MICRODEM Help Home Page

MICRODEM Build 2023.10.1

MICRODEM is a scientific and educational program for:
  • GIS & Terrain Analysis & Remote sensing
  • Geomorphometry
  • DEMIX wine contest
  • Geology and GIS
  • Physical Geography
  • Historical cartography
  • Oceanography/marine mapping
  • Lidar point clouds
  • Digital Elevation Models & Computer Mapping & Cartography & Geodesy
Start with: Key data Free Data Product Gallery
Overview Latest Changes Options
  • Program Setup & operation
  • Basics of running MICRODEM
  • Help file
  • General Windows Suggestions
  • Map quality improvement
  • Manage MICRODEM (updates)
  • Command line
    • Parameters
    • Conversions (batch mode)
  • Integration with camera/photography
  • Task Directions
  • Experimental options
  • On Surface
  • On mobile
  • On big screen
 Modify menus, Toolbars to simplify choices
  • Windows Menu Structure
  • Main Program Toolbar
  • Map Window Toolbar
  • Database table controls
  • Right click on map
  • Graph windows
  • Huge data file issues/workarounds
  • KnownLimitations/Problems
  • DEM Memory Issues
  • Debug log to track problems
  • Troubleshoot data import
  • Coding issues
  • KML and Google Earth
Program History
Download history
Credits
Citing MICRODEM
  • Data converters & other freeware GIS
    • GDAL
    • Key external programs
  • Online data viewing
  • Online satellite data viewing
  • Manage data
    • Landsat
    • Lidar
  • Key Data formats
  • Selected References
  • Web books and tutorials


Recent Program Changes

These highlight recent changes, but we are probably not capturing a complete list of improvements or changes. Older changes, 2012 back to 1985.

Options removed may not include experimental options that were never fully working or documented, or options that have not been used in years.

October 2023

New features | Bug Fixes | Options removed--if you want it restored contact us

September 2023

New features Bug Fixes Options removed--if you want it restored contact us
  • Option to show/hide DEMIX options
  • Improved options for multidirectional hillshades
  • Option to change size of the scalebar
  • Fixed issues with FFT and PowerSpectrumByMaximumEntropy
  • Removed option to wrap ETOPO for wider coverage, as it only worked for ETOPO5.
  • Removed centering global DEMs in Atlantic or Pacific, which did nothing

August 2023

New features Bug Fixes Options removed--if you want it restored contact us
  • Added L2A_scene_class to the land cover DB, for the Sentinel-2 L2A Scene Classification Map for EO Browser (which is downloaded as a three band RGB bile). It is also the SCL layer with the level 20 m 2A Sentinel-2 product, where it is a byte grid.
  • OSM overlays can use multiple directories
  • LOS/topo profile, option for direct paste of legend onto image
  • Option in File, Import, to use GDAL to subset and open a grid (like 300 MB global DEM in one Geotiff)
  • Adjusted recognition of Sentinel-2, so it does not catch EO Browser output
  • Fixed problems with 16 bit, 3 band imagery (e.g.EO Browser output)
  • Set sampling for K-means clustering to use the largest possible value (instead of 2 larger, which was faster)
  • Fixed load from map library for a point
 Removed the BT format in the list of DEMs (the project has not been active or updated recently), but the data should still open with GDAL

July 2023

New features Options removed--if you want it restored contact us
  • One step dNBR
  • MICRODEM download moved to https://microdem.org.
  • Option to set the minimum percentage to show VAT entries in the legends, and the default is now 0 (was 2)
  • Automatic download of data files from the USNA server are no longer enabled
  • Help file in new versions of the program restricted to CHM help
  • Program download at USNA is no longer being updated. and will go dark this fall
  • Removed options to move Tiger and OSM to CDS in memory.

June 2023

New features Bug Fixes Options removed--if you want it restored contact us
  • Option on graphs to make the x axis symmetrical about 0 so you only to change one value (say for difference distributions)
  • Fixed problem that vertical datum could be set to WGS84 for many DEMs during creation of the map
  • LONG_HI and LONG_LOW fields mis-labelled in DEMIX tiles DB
  • Removed option to download geoid files from USNA server. Get them with OSGeo4W

May 2023

New features Bug Fixes
  • Option to assign vertical DEM (limited options, since I can't find a list of the Geotiff or EPSG setings)
  • Option to use VDATUM for datum shift
  • Made quick overlay of a hillshade sticky, with option to turn it off
  • Option to auto-show hillshade of one of the original grids under the difference map
  • Draw perpendicular profiles through all DEMs, on the view menu and draw on the right click
  • Right click, Coordinates and point characteristics, Nearest peak on each DEM
  • Changed the legend on change from from upper percentile to percent of area
  • Difference maps allows choosing which of the two grids to use for the new grid's spacing
  • Fixed some anomalies that the horizaontal datum for DEMs was not sticky
  • Fixed problems with average grid north to true north angle with created problems with reflectance map, for unusual grids (like UK OS)
  • Fixed problem getting MapProjScale from some WKT (e.g. UK OS), probably introduced recently with vertical datum improvements
  • Allowed longer map names for the label on the map
  • Fixed problems with big tiff using 8 byte offsets
  • Fixed problems with the menu choices to change the Pixel-is-format
  • Tracked down wrong pixel shift for pixel-is-area grids
  • Fixed two bugs in DragonPlot (original map was blank, and would not auto-open)
  • Opening a GTX grid via GDAL converts to a Geotiff, but no longer recycles the GTX file, so for instance it will still be there for VDATUM

April 2023

New features Bug Fixes Options removed--if you want it restored contact us
  • New false color vegetation display mode for satellite imagery, with 2 IR bands and a very vibrant green for the vegetation
  • Grids created from satelllite images (NDVI, etc.) immediately subset to the same map area
  • Average by latitude graph for databases. 2D graph
  • Improved options to show and save the vertical datum
  • Concerted effort to correctly track and record RasterPixelIsGeoKey1025 and VerticalCSTypeGeoKey though all DEM creation, edits, and file saving for both the MICRODEM format and Geotiff
  • Insure the debug log always has the GDAL version listed to track down "exotic new projection" issues
  • Option on Graph settings to make all line symbols thicker or thinner
  • New Merge another DEM hillshade (quick), on Overlay, Mulitple map interactive comparisons. This was added recently for automatic selection when loading a number of analysis maps, but now can be selected. for more control on the opacity, pick the Variable opaque merge
  • Separate tolerances for the DEMIX map patterns (elevation, slope, and roughness) set on the Analysis tabe of the options form
  • Option to subset map and zoom to full resolution
    • On Recenter option
    • On zoom to record to point database
  • Option on the Edit menu to edit the VAT.DBF file for grids to change colors and category names
  • V 20 of the land cover database, for LCMAP
  • Legend available for Difference/change map
  • Fixed bug that program was not drawing LOS/terrain profiles
  • Fixed bug with mean filtering in DB table
  • Fixed bug with annual plot of wind vector at a point (may still be problematic to interpret)
  • Fixed issues with Geotiff arc/second grids with 0-360 range for the longitude
  • Fixed issues with subtracting a grid from another; unclear how long it has been present (affects shift to EGM2008)
  • Fixed problems reading Geotiff in Albers Projection (e.g. Landfire EVT) if it did not define the projection parameters
  • Fixed problem summing DEMs to force the result to be floating point (affects vertical datum shifts)
  • Removed options for multiple ways to compute coordinates for points on line (just use geodetic)

March 2023

New features Bug Fixes Bugs working on, debug code has been added
  • Legend for VAT grids is now much less annoying in setting up
  • Work on speeding up shapefile plots, but there is still work to be done
  • New osm_map_rules_v2, so that buildings do not appear until map pixel size < 10 m
  • New land_cover_19.dbf, so NLCD change maps display
  • Filter Sentinel-2 to track motion directions added
  • Further improved the Difference/change map
  • Geomorphometry by categories
  • Match other maps only redraws if required for new map size/coverage
  • If trying to open Land Cover as a satelling image, suggested to open as a grid
  • New reclassify option: all missing set to a single value, and valid reading sets to missing
  • New option on Edit, Mark as missing, interactive adjustment
  • Relief map should be created with Raster GIS, Create derivative grid, Multiple parameters
  • Find Peaks has progress bar and abort option
  • Roaming on grid with a VAT shows the category name on the screen bottom
  • Fixed problem creating WhiteBoxTools TRI map
  • Fixed relatively recent problem creating base maps to map to lidar point cloud extent
  • Fixed bug that unnecessarily redid database RecordID field
  • Fixed bug in symbolization for land cover grids
  • Fixed incorrect order for grid names when doing grid difference
  • Fixed problem plotting OSM roads, if the unzip was done in Windows and a duplicate directory level was added
  • Fixed bug in the change map, where the bottom cut level could not be changed independent of the top level
  • Fixed bug that Geotiffs DDEMs/grid with Albers Equal Area and other "exotic" projections were falsely viewed as UTM
  • Fixed bug that replacing missing data if grid with a specified value failed
  • Fixed problem with making geomorphometric maps with a thinning factor
  • OpenGL drape on another DEM fixed (it probably never worked)
  • Fixed problem with program not remembering location of last lidar point cloud
  • Fixed problem withi GDAL loading file (e.g. JP2), and now gives a warning and suggests running the batch file in a command window
  • Could not duplicate problem loading Landfire grids with VAT

February 2023

New features Bug Fixes Options removed--if you want it restored contact us
  • Option to duplicate map on [image] Band selection and contrast enhancement
  • Option on opening ICESat-2 to clean up the file
  • Add option to Match other maps to same area and map pixel size with one command
  • Improved the Difference/change map
  • New satellite bands database (v20) to have names for all the Sentinel-2 bands
  • Speed up of 3D OpenGL lidar views
  • Option to create histogram for DEM/grid with just the map area
  • Allowed Albers equal area projection in WKT files
  • Create aspect difference derivative grid, which can find ridges and stream channels
  • Improved import of Sentinel-2 imagery
  • Improved detection of LAStools, which can now be in any location.
  • Correct location of where the program looked for .FIL files, and sped up filtering with them
  • Fixed problem creating dNBR with the default file names
  • Fixed problem moving on LOS form while opening a new DEM
  • Fixed problems with WKT in southern hemisphere for non-UTM projections (false northing not set)
  • Improved SPCS in feet for WKT
  • Fixed WKT in LAS so it could be in LVR or ELVR
  • Improved LAS with z values in feet
  • Fixed missing "-" for the WKT in merging DEMs using GDAL
  • Removed some special case UTM readings. These should by now be correctly coded, or use WKT. They have not been changed in years if not decades.
  • Removed indexing of side scan sonar imagery and Landsat
  • Removed MrSid imagery
  • Remove range masking from the satellite contrast options. It had not been updated for a long time, and did nt deal with 16 bit resolution imagery. If you need this, open the bands as grids and have at it. It is still enabled (but has not been tested in a long time) for erosion/diation of imagery

January 2023

New features Bug Fixes Options removed--if you want it restored contact us
  • Changed the index files for LAS lidar; old versions will be reindexed
  • Option to copy LAS tiles on the map to another location
  • If using directory selection for lidar point clouds, option to open multiple files at once
  • NBR and NDVI grids store grid units
  • Option on point cloud to get intensity statistics (draw tab)
  • Improved display options with checking/unchecking point clouds, or loading new ones
  • Improved redraw of point cloud slices
  • When creating grids, options to have the x and y spacings equal without having to enter both
  • Big speedup for drawing topographic profiles
  • Add point cloud ID legend for lidar map overlays
  • Add map display option for Difference map
  • Redrawing point clouds brings the map to the the front, and changes the caption to show which clouds are active
  • "Numeric grid with VAT to byte grid with codes" option on Edit, Reclassify menu
  • Options to bring point cloud and slice control windows to the front and top left of screen, on Window menu
  • On startup, the debug log from the last excution is saved and can be viewed from Help menu.
  • Geomorphometry by categories: histograms of elevation, slope, and roughness for grid with VAT and classification codes, on Raster GIS operations
  • Default to new file for EGM96. If you have problems delete the c:\mapdata\geoid folder and download again on the Options, Geo tab
  • Fixed some anomalies after using Open project
  • Improved Calculate menu, Area and Volume computations
  • Option on Image analysis menu to open single band for raster analysis
  • Option to use the MICRODEM merge instead of GDAL VRT. See note on merging very large DEMs, which you should think very carefully about creating.
  • Fixed problem that only 4 of 5 point clouds would display in 3D viewer
  • Fixed inability to use mouse to move the 3D viewer
  • Allowed 5 point clouds in the slice display
  • Progam will not allow the mapdata directory to be any location other than the root directory of a drive
  • Fixed lidar point clouds did not show all display options when there many point clouds with varying inclusions of properties in the LAS files
  • Fixed hide unused fields
  • Fixed problem with density grid creation from point clouds
  • Allow up to 15 returns per pulse in coloring LAS files
  • LAS map display of returns works even if no return (was not a problem unless there were multiple clouds and one did not have returns)
  • Changed lidar intensity color with multiple clouds to use the 1-99% percentiles for each cloud separately
  • LAS files can have the WKT in both VLR or EVLR locations.
  • Fixed problem that coordinates were ofter truncated to an improper number of decimal places (e.g. weapons fans)
  • Geology labs removed. All options still possbile, but the data downloads and automatic opening of the data sets is removed in anticipation of losing access to the web server.
  • Removed the VASA GIS options. They were not accessible, and have not been tested in many years.
  • Edit the DEM z value units temporarily disabled; we are moving to put that into a database

December 2022

New features Options removed--if you want it restored contact us
  • Legend available for slope/aspect merge map
  • Greatly improved display of Sentinel-1, and documented it
  • DEMIX options are on the Analysis tab of the options form
  • WhiteBoxTools EXE location asked from user first time it is called, and then saved
  • MrSID removed

November 2022

New features Bug Fixes Options removed--if you want it restored contact us
  • New color palette database, adding a number of CET diverging palettes, and shows palettes that are diverging and color blind friendly
  • Fixed very recent bug in name of new grid with grid differences
  • Fixed very recent bug masking DEM with grid (could have other impacts, as function GetElevFromLatLongDegree was not working correctly)
  • Fixed problem drawing UTM grid on geographic map
  • Improvements to satellite tracking
  • Fixed color edits to DBF table if the colors used RGB fields instead of Color;
  • Popup legend for VAT grid shows just the area on the map for the percentages
  • Improved detection of UTM zone in WKT files
  • Removed TauDEM. It had not been updated in a very long time, and in fact there was no way to call it.

October 2022

New features Bug Fixes
  • v19 of the satellite band names for Planetscope imagery with 3 or 4 bands
  • Masking option when masking DEM from shapefile to treat polygone as line (just to mask the perimeter)
  • Major speedup to roughness from std dev of slope in neighborhood
  • Improved toggling DEMs on/off in multiple profiles
  • Difference between 2 grids now does normals in addition to aspect, slope, and elevation
  • Pick the DEMs to use for Geomorphometry Analysis
  • Landfire vegetation TIF with VAT fixed
  • Fixed problem with 3D shapefiles (the z values were being read as float32 instead of float64)
  • Fixed issues with closing derivative grids (may still be some remaining in less common operations)
  • Fixed bug that string with decimal seconds also had decimal minute

September 2022

New features Bug Fixes Options removed--if you want it restored contact us
  • Geo Atlas KMZ
  • v18 of the satellite band names for Planetscope imagery with 8 bands
  • Create KML bounding box for each record in DB, for use in web downloads that let you upload an outline file on the DB report menu
  • Fixed recognition for the Natural Earth vector outline shapefile
  • Fixed bugs in reflectance options (could not exit form in some circumstances)
  • Fixed problems with stickiness of legend placement
  • Fixed auto download of EGM2008
  • Moved to tDBF Rev 835 (fixed problems with Delphi 11.2)
  • Allowed changes to right vertical Y axis, and cleaned left and right margins on rescaling that graph
  • Fixed problems with 1:1 scaling on graphs
  • Fixed partial grid to show the y axis major divisions
  • 3D rotating globe with the global data sets (ETOPO, seaflooor crust ages, sediment thickness, magnetic model, sediment type), on the cartography menu
  • Removed wavelength and height computations on profiles (may never have worked well or reliably)

August 2022

New features Bug Fixes Options removed--if you want it restored contact us
  • Use SAGA to create Vector ruggedness map
  • New roughness factor, 1-average aspect vector length
  • Download list of files (say USGS DEMs) now takes multiple files, and has improved tracking of progress
  • Merging DEMs, other than the MICRODEM format, uses GDAL
  • To use DEM ASC format (only if you have no other choice)
    • now uses GDAL.
    • place a WKT in the directory with the DEMs, all of which must share the same projection
    • be careful crossing UTM zone boundaries
    • the first time the program sees the file, it will convert to a Geotiff and recycle the ASC file for a significant saving in file size. You must manually permanently empty the files for the recycle bin
  • Fixed problem with UTM Geotiffs defined with WKT, which led to problems with derived grids
  • Fixed issues creating a grid from a dBase table; it now requests the projection and spacing
  • Dealt with issues with the GDAL tools data path (which is not initially present), and other issues with the newer OSGEO4W
  • DEM import from ASCII Z Value Files. Help file entry was dated 2009, and I cannot remember seeing any data like that recent. If you have to, get the data into a table and import that.
  • DEM import from ASCII XYZ files. Convert to a dBase table, and do that.

July 2022

New features Bug Fixes
  • Graph of moon azimuth and elevation by querying USNO. Option on the right click, physical geography menu. Pick today's date or an arbitrary date.
  • Plot moon position (as well as sun position) of perspective and panorama views, option on the menu. Pick today's date or an arbitrary date.
  • Check reasonable applies for picking observer view point on perspective
  • Changing the perspective location from the options form redraws the viewport
  • OR button for DB Filters, allowing rapid selection of multiple values within the field
  • Option to hide a DB field by Double clicking on field name
  • Adding additional stretched color palettes, and noted which are supposed to be color blind friendly
  • Convert shapefiles to and from geopackages using GDAL
  • 3D rotating globe on the Cartography menu
  • Significant speed up of loading large DEMs by not defining the elevations (they will all be read and correctly defined)
  • Fix problems with "post" to edit databases on the record display form
  • Fixed problem with accessing 256 color palettes

June 2022

New features Bug Fixes
  • Add GDAL version to debug log
  • Read ESA 10 m WorldCover land cover data (v18 of the land cover database)
  • Add Monk Skin Tone Palette https://skintone.google/ (v10 of the color palettes)
  • Move GDAL contour shapefile from Calculate menu to Raster GIS
  • Create Box Plots
  • After masking all open DEMs with one, they will be subset with just the area with remaining data
  • Fixed incorrect zeroing of new grids in certain circumstances
  • Enabled saving of databases with no GIS geometry as DBF files
  • WingDings added to the military icons, so that at least one "standard" font will be there and allow the form to load
  • Simplified loading of GDAL
  • Fixed issue with Geotiff files with WKT UTM projection , where the default UTM zone was not the correct one
  • Fixed problems with perspective view that did not work, and improved
  • Fixed some integer overflow problems with very large DEMs (> several GB)

May 2022

New features Bug Fixes
  • Option to save DEM with changed PixelIsPoint/PixelIsArea representation
  • Improved memory usage during open and merge of DEMs

April 2022

New features Bug Fixes
  • Geomorphons from WBT
  • 6 curvatures from WBT
  • Curvature units (per meter) stored in the DEM header
  • listgeo added as another option to look at Geotiff header information (because both MICRODEM and another program had problems on the same GRASS/GDAL output)
  • Option to get GRASS extensions
  • Option to add a WKT projection to a DEM when editing the DEM header
  • Compressed files are now automatically recycled when using the uncompress options on the form when you manually select the files for decompression
  • GDAL warp Geotiff to adjacent UTM zone (e.g. for Landsat scenes that are along the same path, but move into the next UTM zone): Data Manipulation Resample GDAL rasters
  • SAGA TPI and TRI maps, and comparisons among many algorithms for these
  • Revamp of WBT options, to use their new version, which changed some option names, in particular getting uncompressed Geotiffs
  • Tweaks to Geotiff handling for pixel-is-area, getting the right offset, and recognizing for some output from GDAL/GRASS which did not read all the Geokeys because of the way the projection was defined
  • Fixed issues with closing databases

March 2022

New features Bug Fixes
  • Changed maximum number of DEMs to compare from the map library from 6 to 10
  • Map right click has the Match other maps options
  • Fixed problem with missing data in Land Cover maps not being correctly shown, especially after edits
  • Subset and load file via GDAL will now check and warn about spaces in file names
  • TOC has new buttons to check/uncheck all layers on the map
  • Option to modify map library database on Options, Indexes
  • Option to filter lidar point clouds for single return shots (probably not vegetation if the shot density is high)
  • Fixed GDAL batch files that use Python, as the new version changed requirements
  • Fixed reading of Geotiffs that the first row had erroneous values

February 2022

New features Bug Fixes Options removed--if you want it restored contact us
  • Option to uncompress ZIP files using 7Zip, for very large files which create problems for the standard Windows decompression
  • Option on the Views menu to clean the OpenGL overlays, so they do not appear on the 3D view.
  • Improved converting UTM to lat/long in a database
  • Compress form has option to decompress 7Z files
  • Single grid arithmetic for a grid allows subtraction/addition of another open grid
  • New sat_band_names_v17.dbf to differentiate Thematic Mapper and Enhanced Thematic Mapper, deal with failed band on Landsat 3
  • Selection of the map library shows all the directories it could be (useful for external drives you might swap, and which could change drive letters)
  • Option to make movie with all open maps, and the File, Match other maps. This will subset and zoom all the other maps, and make them the same size
  • New movie engine introduced
  • Added warning that Landsat Level 2 will have problems (it is missing bands and the program currently cannot deal with that)
  • Read Landsat band file names from the metadata file
  • Put Landsat sensor name on the scene titles (useful for long time series maps)
  • Option to show all open maps as OpenGL explorations (on File, Match other maps)
  • Showing projected coordinates while roaming is now an option, and not shown by default
  • Raised max satellite images to 100 from 25
  • Resample data has new option to repair Sentinel-2 TIFF files
  • Fixed problem overlaying KMZ files on a DEM
  • Fixed problem with progress bar when the percentage done was NAN (dividing by 0)
  • Fixed problem with the OpenGL 3D view (apparently only happened if the map had a geographic based projection, and if the view was attempted before a UTM initialization took place)
  • Fixed indexing of imagery, which should be used carefully; contact us if it not working for your use case
  • Fixed subtle bug in map redrawing when computing the aspect ratio of imagery, where the image grid coordinates are not Cartesian
  • Fixed bug writing the elevation range when saving DEMs
  • Fixed bug writing GEOTIFF DEMs that shifted the y coordinates by one pixel
  • Fixed problems zipping shapefiles into SHZ files
  • Fixed anomalies closing databases that left empty tables open, and did not save the DB options
  • Restored giving new databases different colors and symbols
  • Roaming on global map should give correct MGRS coordinates
  • Fixed problems deleting a shapefile with 0 records
  • New option to
  • Removed graphs from Right click, remote sensing, DN's at point. Use the reflectance library graph instead

January 2022

New features Bug Fixes Options removed--if you want it restored contact us
  • Fat finger exercise added, to check the accuracy of point selection with mouse or trackpad
  • New sat_band_names_v15.dbf, to handle the MSS data from Landsats 1-5
  • New tm_rgb_v3.dbf, for additional band combinations, and a note field to explain color choices
  • WhiteBox toolbox must now be in c:\microdem\wbt to be recognized
  • Major cleanup of subtle bugs by enabling overflow and range checking
  • SPOT and Ikonis imagery must be in a directory path with the satellite name (they probably only work for very old data, as we have not seen recent samples)
  • Openness maps can be created from the command line
  • Changed the maxiumum size of satellite images in rows and columns to a 32 bit integer, instead of 16 bit
  • New sat_band_names_v16.dbf, to handle World View 3 data
  • Warning if you try to open a floating point grid as a satellite image, or a multiband image as a grid

Many small fixes (some of which will only take affect for new installs, or resetting the program defaults), including

  • Auto Mercator to UTM shift
  • Names for Natural earth data file groupings
  • Natural Earth pixel size switchovers changed
  • Yellow grid labels inside map switched to white
  • Fix problems with resizing multiple maps with the same satellite image
  • Removed showing the position with two datums when roaming on the map
  • Removed show datum shift while roaming over the map
  • Removed the separate map window for satellite imagery with no registration. Until it is restored, Delauney triangulation image registration is disabled.
  • Removed support for state plane coordinate systems. If needed, uses WKT or PRJ files. Contact us if there are problems.
  • Removed special cases for the Morocco projections, which only worked for vector maps. If needed, use WKT or PRJ files. Contact us if there are problems.
  • Satellite DN's at point removed from image analysis menu. Use Right click

December 2021

New features Bug Fixes Options removed--if you want it restored contact us
  • Changed Geotiff file reading, to work with files larger than 2 GB. Be on the lookout for problems, as we might not have tested all varieties of Geotiff.
  • New downsampling method: average points in the pixel extent of the new grid, which can have a different projection. This can now be created from the command line
  • Option to save DEM as a LAZ file, using Lastools.
  • Changed Natural Earth Vector index locations, and the redraw is faster and smarter
  • All points in line, with XYZ--allows getting elevations for points along roads or similar features in a shapefile
  • Use NGA programs to compute, using the full model resolution, EGM96 and EGM2008 geoid
  • EGM96 and EGM2008 fields in databases now have "_GD" if using the grids, or "_AL" for algorithm if using the NGA programs
  • Open Street Map files from Planet_ recognized without renaming
  • Added WKT projection name to GDALINFO output
  • Improved Landsat pan sharpening, so it is sticky and can be used for OpenGL view
  • Sentinel-2 multiband can now use any combination of bands, with different spacing
  • Option to express aspect in either true or grid north. For UTM grids, this makes a difference for the Queen's aspect ratio
  • Improved satellite histograms, to normalize for different pixel sizes, and ignore the cirrus band
  • Fixed bug that merging DEMs would not open a map
  • Fixed small bugs is point cloud 3D images
  • Sentinel-2 data prep on the Tools menu--just open images normally

November 2021

New features Bug Fixes Options removed--if you want it restored contact us
  • Added option to Create new band for land surface temperature with the thermal bands in Landsat. It requires you to assume an emissivity, and you should insure that the emissivity is appropriate. It might work for sea surface temperature, but you will probably have to mask out the land portion and clouds (which will be very cold)
  • In memory of Tom Craven, DragonPlot is now freeware and fully intergrated in MICRODEM
  • If deleting JP2 files from Sentinel-2, they will now be recycled. You should watch that the recycle bin does not get too large.
  • 11/17/2021, only the debug version of the program is available because the release version has errors which we have not been able to track down
  • Added GRASS aspect maps
  • Added aspect slope map merges
  • Additional options for aspect map color scheme
  • New color palettes file, with circular colors
  • Modified reading of Sentinel-2 to deal with the upcoming file format change of Sentinel-2 data (Processing Baseline 4.00), due in early 2022. This format has many more JP2 files, which were not handled correctly. We will have to revisit this, since the sample image does not appear very representative.
  • Annotate Map, Create shapefile, Create shapefile with the map outline. You can open this on a map, and then use "Plot, Zoom to DB coverage" to rapidly get to this area
  • Fixed bug in Brightness temperature computations (probably introduced last month with allowing ratios for Sentinel-2 bands with different resolutions)
  • Hopefully fixed problems with setting and using masks. In the process of simplifying the code to debug the issues, they went away without actually identifying the problem.
  • Fixed problem creating shapefile by digitizing
  • Fixed problem with grids not drawing clearly atop the map
  • Fixed problems with offset of Geotiffs with RGB in one file
  • Fixed problem for geographic Geotiff imagery, the x and y spacings were flipped, leading to bad aspects on the maps
  • Fixed problems with DEMs starting at the prime meridian, and going to the IDL (long 0-360)
  • Tracked down access violation closing climate grids (multigrids) when they did not have an assoicated map
  • Fixed problem that could not close the 3D options form
  • Mark as missing, everything below cutoff was mis-behaving
  • Fixed minor problems with grid correlations
  • Retired ChromaDepth color scheme (it was in ract duplicated by the rainbow color scheme)

October 2021

New features Bug Fixes Options removed--if you want it restored contact us
  • Option to delete metadata Geotiff DEM files (on the Import/Export tab of the Options form). These are big, and for most users not very useful. If you know enough to use them and want to save them, you need to change the default. If you have terrabytes of global DEM data, every terrabyte counts.
  • Change to how Geotiffs the MICRODEM cannot read, routed through GDAL, will be handled. For imagery this restores the old version (overwrite in place) instead of the new version for DEMs (write in temp directory).
  • Landsat Collection 2 data should now be supported, routed through GDAL. For the data now supplied in TAR files, you must use MICRODEM to untar, and use the Landsat option to create a folder with the correct name (or manually do that)
  • Iwashashi and Pike Classification revised, with two roughness methods
  • Normalized difference index, with picking the bands manually, works with different band spacings (initially for the chlorophyll index, with the first band having lower resolution than the second one)
  • Changed the default for deleting Sentinel-2 JP2 files to FALSE, including for any that have been set. This is to allow processing using ACOLITE; if you want them deleted, you must reset the default. ACOLITE will do Lansdat and Sentinel-2
  • Option to make 4 grids with the variogram gamma in each of four directions; you pick the number of pixels to go out.
  • Option to normalize TPI and TRI, so that all directions go out the same distance. This affects the diagonals for UTM and geographic grids, and the EW directions for geographic grids.
  • Should recognize Sentinel-2 and Landsat bands when they are opened as DEM/grid, and will display in grayscale
  • Changed how OTB needs to be set up (a very old distribution name was hard wired in)
  • Added the name of the graphics adapter to the hardware report
  • Fixed some issues with trend surfaces, and the improved the all trend surface option
  • Fixed bug in geomorphometry point parameters (region sizes not defined)
  • Move curvature categories from overlay to Raster GIS create new grid
  • Finally tracked down subtle that some grids would case an errro when closing (turned out to be grids copied from another grid)
  • Fixed bugs with Delphi 11 that some menu options did not work, primarily choices on the map dealing with geomorphometry
  • Fixed problems that map subset and zoom sometimes went to the wrong location (maybe only with vector maps?)
  • Fixed issues with the GDAL subset of satellite imagery
  • Fixed problem with UTM DEMs that some options were not right (dark hillshade map the most obvious issue)
  • Fixed problem that some options with the database grid in the DB table did nothing
  • Fixed problem that changing the step size for point cloud slices changed the thickness of the slice as well
  • Calculate, Point Coordinates removed (use right click)
  • Calculate, Point parameters removed (use right click, Geomorphometry)
  • Remove Calculate, DEM grid
  • GeoPDF import is disabled: it does not work currently with GDAL or QGIS
  • WMS disabled (it has not worked in quite some time)
  • Removed option for Packbits compression of Geotiff images
  • Removed multiple curvature algorithms, at least until we fix curvature
  • Vegetation obstacle grid which probably has not worked in some time
  • Removed Econ version, shipwrecks version, and TCP version (which has not worked in quite some time)

September 2021

New features Bug Fixes Options removed--if you want it restored contact us
  • Harmonization of
    • Geomorphometry analysis and
    • Multiple parameters--create new grids from the current grid, including features at different
      • Compare SSO, openness, moments by region for 5 region sizes in meters
  • Selected GRASS commands available on raster external tools
  • GDAL batch files must now use an OSGeo4W installation (which is 64 bit, the only option now supported). You can try just renaming your old installation, or redownload
  • Moon rise/set, sunrise/set moved from main toolbar to right click under physical geography
  • Raster GIS menu
    • Create roughness map, std dev of the slopen which does not match the results in GDAL
    • Create TPI, TRI, and roughness from GDAL
    • Create TPI, TRI together natively in MICRODEM; results match GDAL
  • Removed EGM96 binary import, since GeoTiff now available
  • Oceanography tab on options deleted; single check box moved to geology page
  • Analyze, DEM Properties revamped
  • Stream profiles now use a database
  • Moved to Delphi 11 Alexandria
  • GDVI added for satellites (vegetation)
  • Fixed intermittent problems with UTM grids
  • Fixed convergence index
  • Revised and improved code for SSO options
  • Tweak Geotiff export so that Whitebox will read it (QGIS and GDAL had no problems with the older version)
  • Remove Duck beach profiles creation (it was hard wired)
  • Remove drainage basin network
  • Remove Export contours as shapefiles removed (use gdal)
  • Remove VRML import
  • Remove contour line ghosts (a nice result for its time, but DEMs not created that way any more)
  • Remove SSO distribution by slope
  • Remove Option to disable right mouse click
  • Remove Option to use online help

August 2021

New features Bug Fixes
  • DEM map flicker movies (Overlay, Mulitple map interactive comparisons)
  • Use Census 2020 files (started, but probably needs the shapefiles due by the end of September)
  • RMSE for difference maps, DB fields
  • Create maps with the x and y slope components (Multiple parameters, or Slope (%) and components)
  • Add EGM fields to database
  • Create new UTM grids to match a map with different x and y spacings
  • Fix crash with UTM grids
  • Fix problem with Geotiff DEMs where RowsPerStrip is not 1

July 2021

New features Bug Fixes Options removed
  • Major improvements to find optimal lag shift of DEMs
  • Change and improve Peaks, pits, and spires (get peaks from all open DEMs, to see how they compare)
  • Use ESRI 10 m UTM projection Land Cover (path must have "ESRI2020", as the file names are not very diagnostic)
  • Algorithms
    • Compute how arc second grids are rectangles, as function latitude and grid spacing
    • See the pixel dimensions of arc second grids
  • Fixed problem that "bugging about GDAL" worked backwards and would not stop bugging you (solution would be to install GDAL, which is becoming and more and critical)
  • Removed TM processing from the DB table (it can be done on the image)

June 2021

New features Bug Fixes Options removed
  • Maps with the hours of direct sunlight illumination
  • Option on Raster GIS menu to subsample DEM by averaging
  • New Landcover database file name. It has several new landform classifications, and a new field ("STAT") that allows fields not to be used in computing statistics (useful for ocean). "USE" controls only if the class is colored.
  • Use several new landform classification grids.
  • Mask all other DEMs to match selected DEM, on Edit menu, Mark as missing submenu
  • Open Point clouds by directory will now find all files in subdirectories (e.g. for Norway data)
  • Indexing DEMs removes the auxiallary metadata TIFF files
  • When GDAL fixes a Geotiff, the original is now placed in the recycle bin, which you should monitor to insure you do not kill your disk space
  • Fixed problem that sun position menu was not populated in the perspective view
  • Bug fixes and improvements to horizon and sun blocking options
  • Fixed direct ASTER import to match new path on USGS server
  • Fixes to the DEMIX 10K tiles, to avoid missing data in the western hemisphere, and bad names in certain longitude ranges
  • Fixes to download ASTER and NASADEM which might not get all the data in the negative hemispheres
  • Create point cloud grids from a DBF file

May 2021

New features
  • Parallel Profiles, new option on the Raster GIS menu
  • When masking options, option to treat lines as polygons (e.g. for coastlines of islands)

April 2021

New features Bug Fixes
  • Map library improvements to make it easier to use data on external hard disks
  • DEMIX 10K Tiles
  • Import/Export tab of options form can automatically flag -32767 as missing data for Geotiffs
  • Index ignores the ALOS auxilliary TIF files
  • Option to compute RMSE on the Raster GIS, Multiple grid arithmetic. It should only be used for a grid that is a difference from map algebra
  • Cleans out any suddirections in c:\mapdata\temp when program starts (for the GDAL created subsets)
  • Open land cover to match your map area.
  • Option to create multiple DEMs from a point cloud
  • Grid/graticule improved
  • Suggestions on getting all maps to the same coverage area
    • Open all the maps
    • Subset & zoom one map to get the area you want
    • File, Match other maps, This coverage area
    • File, Save project
    • Load project to reopen next time
  • Changes to half-pixel shifts to deal with ASTER GDEM
  • Correctly set HGT files (SRTM, NASADEM) as pixel-is-point
  • Fixed problem that displays often started out all missing data because the percentiles used for color scaled were wrong, which happened with both imagery and DEMs and landcover
  • Revised GDAL file location dialogs
  • Fixed problems with files names of Landsat histogram files
  • Fixed problems with contouring
  • Fix bug that move or copy matching files was case sensitive

March 2021

New features Bug Fixes
  • Subbottom profiler Major revisions to subbottom imagery display
  • Modified [image] Plot single focal mechanism on the map by clicking.
  • Absolute value added as option for Single grid arithmetic (or map algebra)
  • Creation of HTML output now copies the HTML into the clipboard, so you can paste it immediately and directory into another program like Excel
  • Option on the Overlay menu to scribble on the map. Makes a line, but it is not saved when the map redraws. Handy when screen sharing with a remote colleague or student.
  • Many small enhancements for Geomorphometry analysis
  • Cartography menu: new option for Grid spacing and rotation: compute the spacing, and the rotation angle between grid and true north. You can create a database for a single DEM, or do all the open DEMs and then get a summary table.
  • Map marginalia now shows the maximum distance distortion on the map (which determines if a scalebar will appear)
  • Map marginalia map name on map now has the data for Landsat and Sentinel-2
  • Two new options for colors contoured stereonet (also for SSO diagram)
  • Now automatically uses GDAL to automatically convert tiled and compressed Geotiffs to a format MICRODEM will read
  • Removed support for the MICRODEM PRJ files. They were probably not working very well, and WKT files probably now work as well
  • Now using version 5 of the MICRODEM DEM header. This increases the header size to 2048 bytes, to allow very verbose WKT strings to be included.
  • Loading OpenStreetMap will find files that are several directory levels down, so you can just unzip and go without any directory cleanup
  • Option (on Maps tab of the Options form) to set a max acceptable linear distortion beyond which a scalebar will not be drawn.
  • Single method for reflectance, and the code changed to fix problems where dx and dy were different. This issue first appeared when comparing 1"x2" and 1"x1" DEMs covering the same area.
  • Fixed recent bug for any operation (like topo profiles) that needed the average spacing of the DEM, which was set to 0 for arc second DEMs.
  • Fixed bug that detailed map export to clipboard probably could not be reached
  • Fixed problem with NS and EW directional aspects (was using aspect in degrees for radians)
  • Remembers the filter chosen for satellite imagery
  • Save map as registered image--dumb picture, roundoff errors, but can be reopened in GIS program is working again
  • Fixed (and improved) option to reinterpolate grids (which might not be an optimal solution)

February 2021

New features Bug Fixes
  • New options for Geomorpho90 data set (particularly geomorphons)
  • Edit, Math for a database has a new option to compute percentages
  • Bar plot showing the distribution of categories, say for land cover. It is on the Report tab of the database form, and requires a "PERCENT" and "COLOR" fields. You can combine this with Report, Legend to get the names and percentages.
  • Get a plot of slope by region size for a single location, Right click, Geomorphometry, Point slope by region size. Size plotted is the y direction size, which matters for a geographic DEM.
  • Various improvements to New version grids from point clouds
  • New map does not appear until it is fully drawn
  • Fixed bug that Edit, change Z units always changed to CCAP
  • Fixed bugs with Topographic fabric vector overlay
  • Fixed problem reading GeoTiff with multiple bands in the same file

January 2021

New features Bug Fixes
  • Changed location of where WKT files are kept, and significant changes to reading to WKT.
  • Major revamp of reading TIFFs.
  • Reads BigTiff
  • Reads tiff EU 25 m LAEA DEM, and probably other LAEA data
  • Updated to tDBF r738 as the database engine
  • Option to get the dx, dy, and grid-true angle for points in a DEM (on cartography menu)
  • Allows more than 32767 columns and rows in a grid
  • Option on Analyze, Algorithms to get GDAL slope maps with three different spacings (EW, NS, and average)
  • Removed the old climate stations DB unless specifically enabled on Geology/Geography tab of the options form. It has too many caveats, the data is old and does not have good metadata, and the World Climate2 option does it all anyway.
  • Option to add a PRJ file to a shapfile, on the Edit menu
  • Option to make a shapefile with the outlines of all open databases, on the Report menu
  • Option on Match other maps menu to make a single bitmap with all the open maps.
  • Extract point cloud returns on the map right click
  • LIDAR Point clouds: on the Stats tab
    • Cell statistics: compute elevation statistics for every cell in the DEM on which the point cloud is displayed,
    • New grid creation modules using the median of the first returns, all non-noise returns, or the ground classified points. This is designed for medium to large grid cells, such as 30 m or 1"
  • 6 new stretched color palettes
  • Fixed bug that graphical filtering of DBs did not work
  • Fixed some anomalies with graticules

December 2020

  • Fixed probably very recent crash when merging DEMs
  • Changes to download and manage global DEMs
    • Option to get the NASDADEM to cover a map, using Chrome. There will be an error message if one of the tiles is all water. You will have to sign in with your NASA login. You must click to save each file on the hard disk
    • Option to extract just DEM TIF files from Copernicus DEM tar files
    • Option to extract just DEM HGT files from zip file for NASDADEM
  • Major rewrite of the slope/aspect computations to run faster and be more consisent
  • Major rewrite for database opening
  • Removed Javascript to DBF import
  • Warning when opening shapefile with no records, and option to delete it
  • Prep OSM/Natural Earth/GADM shapefile on Resample menu insures the bounding box is present, and trims the length of excessively long string fields. You select a folder, and all shapefiles under that directory will be processed. The overall progress will be shown in the lower left corner of the screen.
  • Option to force all redraw maps on the Match other maps menu choice. Useful if changing things like overlaid contours, scale bar placement, and so on.
  • Resolved issues with indexing DEMs with Geotiffs that needed GDAL resampling
  • Fixed the Flow direction 360 display, which can also be used for aspect
  • Option to turn missing data around islands to sea level, without changing voids on land

November 2020

  • Improved the Geomorphometry options for slope after right clicking on a map
  • Improved LOS and Topo Profiles with missing data along the profile
  • New documentation
    • Geographic versus UTM DEMs
    • PixelIsPoint/PixelIsArea
    • Slope region size (and improved its operation)
  • Fixed problem saving all changed fields in Edit DEM Header record.
  • Improved calculation of the UTM grid to true north angle
  • Geographic grids are all stored with spacing in degrees
  • Improved default settings for elevation/grid value histograms, and the ability to get several on the same graph
  • Your own palettes for Fixed color palette from table (documented existing option). Use this with Elevation map as the Display parameter, and then Fixed color palette from table.
  • Moved the lidar density grids to use longword. The old versionmay have had problems creating mean elevations with large data spacing in dense clouds
  • Option to batch process a series of DTMs from lidar point clouds.
  • Fixed fairly recent problem saving DEMs, where they all moved to the equator. This was a result of differentiating pixel-is-point and pixel-is-area DEMs, which did not initally encode the SW corner and left it at 0,0.
  • Fixed detection of missing data in GDAL written geotiffs (a space at the end of the string created problems)
  • Revamped Match other maps options

October 2020

  • Fixed bug creating the histograms for Sentinel-2 and Landsat imagery
  • Version 4 DMSP-OLS Nighttime Lights Time Series should be opened as a Grid/DEM
  • Error trapping for trying to open compressed file for an image or DEM
  • Reads Copernicus Global Land Service annual dynamic global Land Cover product at 100 m spatial resolution (CGLSLC100). So v15 of the land cover definitions database
  • Changes on the lidar display
    • Moved many settings to the general tab
    • Added setting to automatically redraw the lidar map overlay if any setting change. This can be turned off for very large projects that take a long time to draw, and you do not need them redrawn because for instance you just want to create a grid.
  • Vector maps have the same default size as other maps
  • Removed option to use TIGER LKA files.
  • Removed option to use the PRJ file for DEMs (this was a non-standard format, which probably did not work any long). Use Geotiff.
  • MD DEM format records the PixelIsPoint/PixelIsArea code, from Geotiff tag 1025.
  • Removed a slope algorithm; if your default was one of the rare ones, it might have changed
  • Command line operations revised; new option to create slope map
  • Reading Geotiff DEMs should be faster
  • Cleanup of slope computation code, which runs faster

September 2020

  • Slope algorithm differences moved to geomorphometry analysis

August 2020

  • MICRODEM format DEMs can save the Geotiff keys for some map projections (previously only geographic and UTM were allowed). This is an extension to the v4 format. This allows creation of derivative grids that are not UTM and not geographic. Mars DEMs in equirectangular were the initial impetus.
  • Can use the Mars MOLA DEM, (tiles in IMG format: https://ode.rsl.wustl.edu/mars/indexproductsearch.aspx ) with the following caveats
    • GDAL required to convert IMG format to Geotiff
    • Let us know about any issues. The program has way too many options for me to test them all. These are the first DEMs I have ever seen with this projection, so it is taking some work to get it to go (and the semester teaching is starting, all online).

July 2020

  • Removed option to see the DEM map to a particular zoom factor when opening.
  • Random mis-sizing of the map window, and stretching, fixed.
  • Improved display of Hyperion hyperspectral imagery

June 2020

  • Landsat file name: fixed issue with identifying RT images of full scenes as browse images.
    • First two values the sensors included
      • LC08_L1TP_003055_20170207_20170216_01_T1 = Combined (both OLI and TIRS data)
      • LO08_L1TP_021047_20150304_20170227_01_T1 = OLI data only
      • LT08_L1GT_137206_20170202_20170215_01_T2 = TIRS data only
    • Last two values the tier:
      • Tier 1 (T1) – Contains the highest quality Level-1 Precision Terrain (L1TP) data considered suitable for time-series analysis. The georegistration is consistent and within prescribed tolerances [<12m root mean square error (RMSE)].
      • Tier 2 (T2) – Contains L1TP scenes not meeting Tier 1 criteria and all Systematic Terrain (L1GT) and Systematic (L1GS) scenes. Users interested in Tier 2 scenes can evaluate the L1TP RMSE and other properties to determine suitability for use *in their applications and studies.
      • Real-Time (RT) – Contains newly acquired Landsat 8 scenes, which require a period of evaluation and calibration adjustment after acquisition but are processed immediately based on preliminary calibration coefficients, assigned to the temporary RT Tier, and made available for download. When definitive calibration information becomes available, these scenes are reprocessed, assigned to the appropriate Tier 1 or Tier 2 category, and removed from the RT Tier (Temporary designation).
  • Found work around for early Sentinel-2 images with really long path names (2016 files, still available from USGS in 2020)
    • This is your file is you get a "Path too long message"
    • Place somewhere with a very short path
    • Do not use the Windows extract, but use that in MICRODEM under File, Tools
    • These files were also incorrectly flagged as possible SPOT images, but worked after you said no to the ID
  • If the program does recognize a Sentinel-2 image, put the data in a directory with the word "SENTINEL" somewhere in the path.
  • Fixed recent bug with Geotiff export.
  • Only new program update option available
  • New grids with Landsat TOA radiance, reflectance, and brightness temperatures
  • Fixed bug that changes to contrast were slow and inconsistent
  • Recognizes the quick look images (TIR and true color) for Landsat
  • Option on the Info menu to bring up the full metadata files for Landsat, Sentinel-2.
  • Open imagery by folder works with USGS othophotos

May 2020

  • Added Google turbo color palette
  • New program update option, which requires a much smaller download.
  • Easy shift between directory and file selection for imagery.
  • Major shift in coordinate conversion to use only a single set of routines. If there are any issues, report them.
  • Latest OSGEO4W64 moved to Python3. For those GDAL operations that use Python (currently only gdal_merge), the script used by MICRODEM has to be changed. There are also issues with the Python path. We are working on this. In the interim use QGIS to make the merges.
  • Option to place labels inside the map for the grid/graticule
  • When saving a projects, the program defaults are also saved, and will be restored with the project
  • New satellite band file (v13) for Hyperion
  • Removed registration rotation for imagery. Unregistered imagery is rare, and if you have some, use another tool like QGIS.
  • Removed BIP imagery files
  • Enabled multiple directory picking, for Landsat, Sentinel-2. Espcecially useful for the first time opening JP2 files which require conversion.
  • Option to delete the JP2 files after converting Sentinel-2 ands to Geotiff
  • 5/5/2020: fixed bug (introduced within last month) that Geotiff imagery that was not Planet, Sentinel-2 , or Landsat probably fails
  • New installation program
  • Filters moved into "c:\microdem\filters " (but program will still find them in the old location)
  • Uses new Natural Earth vector files. Some file names have changed. To use, do a new full install, and then force a download of the next files.

April 2020

  • For bitmaps combining multiple graphs displayed in an image window:
    • Some options now include a legend in the bottom right
    • On the Image Options menu, there is a choice to change the number of columns
  • S2GLC--Sentinel-2 Global Land Cover can be used (requires new land cover v13 definitions)
  • Satellite image open icon defaults to opening directory (for Landsat, Sentinel-2, Planet). To pick by files, use the File, Open menu, or change the option with the checkbox on the imagery tab of the options form.
  • Land cover can only be opened as a grid/DEM
  • Save and restore projects will save the grid display mode and the map extent.
  • Improved pick colors and symbols for graphs
  • Improvements to plotting of databases on all maps; the old version of the program had problems with subsequent redraws when the multiple maps were at different scales or coverage areas. This was not a problem with only one map open.
  • Improved DB Plotting colors: option to reverse the color scale, and better legend
  • Full geography analysis
  • Minor improvements:
    • Trapped error when bad input was entered for a satellite image name
    • Improved popup legends with multiple databases
    • Fixed issue with no initial drawing of the database in some cases. This went away when you explicitly picked the display mode, but it should now default to the standard display.
    • Fixed problem with partial import of Sentinel-2 imagery
    • Fixed bug creating new grids from satellite imagery where the bands do not all have the same spatial resolution (e.g. Sentinel-2 NBR which uses 20 m bands instead of 10 m bands)
    • Fixed donut shapfiles to draw outline around the holes inside the main shape
    • New LandCover palette files (v12) to deal with the two new categories with NLCD 2016 science product
    • Warning on exactly where the spaces are in file names when trying to open them
    • Automatic replacing of spaces with underscores in the file name for shape files, but not in the rest of the path name
    • Removed Overlay, DEM Name option. Use Map Name on the Map marginalia window. This will put the name of the data set on the map.
    • Option to show missing data in satellite imagery (Landsat, Sentinel-2., Planet) with the missing data color. Insure that "Ignore zero histograms" is set on Imagery tab and the missing data color is set on Maps tab, both on the options form. Planet missing data is 255; others are 0.
    • Option to add field to DB from grid/DEM as an integer (e.g. for land cover categories)

March 2020

  • Changes to MapLibrary
    • Removed Quad_Name (not really useful with current data)
    • Probably only works with DEMs
    • Option to easily pick it in a location other that c:\mapdata (for data on an external hard drive, which should be SSD for rapid access)
  • In image editor on right click, option to copy the current location color to the clipboard, from which you can paste into a spreadsheet or other control.
  • Land cover
    • Changed the handling of NLCD. If you have old NLCD and do not want to get the newer editions of it, you should use an old version of MICRODEM. In addition to the 2016 NLCD, its release included three other new years. If you have other landcover which has been broken, contact us.
    • Copernicus Annual 300 m Land Cover (CCI-LC)
    • New LandCover palette files (v9) to deal with the changes from GLOBCOV to CCI-LC.
  • Get percentages in each category with defined palette display of grids (on the raster analysis menu)
  • Satellite band file names data file has new version (v11), for the correct name of the Sentinel-2 band B8A.
  • Improved Sentinel-2 handlinge of bands with different spatial resolution
  • Fixed bugs with defined palette display of databases

Feb 2020

  • Now gets S hemisphere in Geotiff with code 34737 with ASCII projection definition, which was not correctly setting the false northing.
  • Fixed problem plotting great circles on the stereo net, which has apparently been present for at least a year
  • Some plots default to connecting points (2 xy axes, plot from Z field in the DB)
  • Re-enabled changing the line width for drawing shapefiles, and enabled for plotting the z values in the shapefile SHP.
  • Fixed recent bug in writing LAS files. Don't use LAS files with coordinates in feet; expect problems if you don't re-project them first.
  • Line of sight, [image] Topographic Profiles. Set these on LOS Parameters--change display parameters
    • Renabled the option to draw lines of constant elevation to connect ticks. It had been inadvertently removed.
    • Option for a blue line marking set level.
    • Option to label ticks on the left side
  • New database, hard_limit_color_palettes.dbf for defined palette display of grids
    • Contains palettes for dNBR, NDVI and geologic ages
    • Has a hard coded max for each category. Instead of stretching to match the limits of the data set, this will color so that the colors on different data sets can be compared
  • Fix for Natural Earth data (mainly Russia) to remove fill across the map when filling polygons
  • NDVI color scale, from Sentinel hub
  • Read 3 m, 4 band Planet imagery (new satellite band file, v10, to allow Planet)
  • For LAS file point clouds, option to make grids of UserData and PointSourceID
  • Fixed bad bug that trying to insert fields in a DB could trash the DB.
  • Fixed plot of DB using symbols stored in the database
  • Added NDBI, building index https://www.linkedin.com/pulse/ndvi-ndbi-ndwi-calculation-using-landsat-7-8-tek-bahadur-kshetri

Jan 2020

  • Comparing Global DEM with Lidar
    • Fixed problem if some DEMs do not cover the whole area or are absent
    • Save the resulting DB table automatically
  • Fixed fairly recent problem (Dec 2019) that did nothing when trying to overlay a second grid
  • Option to show the sun position for today on the perspective and panorama views
  • Fixed fairly recent bug in merge/subset/create new LAS file. Report any remaining problems.
  • Increased the maximum number of points in line/area shapefiles
  • Switch to GlobSed-v2. To use it, re-download the geology data.
  • Database import for GPX files. This is now done natively, and creates only a single DBF with no extraneous fields.
  • New full install posted on web site (last one was Aug 2019)

Dec 2019

  • Lidar multi-dimensional displays
  • Fixed problems with opacity merges in Tools, Load image
  • Fixed problems plotting OpenStreetMap
  • Icesat-2 to LAS
  • Added restore of saved range circles in a database, Overlay menu
  • Added import of ICESAT-2 csv files
  • Removed Icesat GLA12/13|*.DAT files from the import menu of the data manipulation form. All references to it are gone on the NASA website. Use LVIS, ICESAT, and ICESAT-2 options instead
  • Moved to wmm_2020.cof for magnetic variation
  • Index no longer handles lidar data. It was using files, and with today's data volumes, it will need to be changed to deal with directories. The option to open directories is much better.
  • New help page with hints on improving map quality, thanks to sections 3001 and 5001 from this fall.
  • Photo editor allows cropping to a desired aspect ratio
  • Removed GLOBE and GTOPO30 DEM reads. They can be restored if anyone is still using them

Nov 2019

  • Major overhaul of changing symbolization on graphs
  • Attempt to zoom to map checks if the desired box is on the DEM or satellite image, and avoids crash.
  • Photogrammetry from video, with capability to subset multiple bitmaps to extract a consistent image area.
  • Changed many of the GDAL/OGR options to use a batch file. Newer versions require explicitlty setting GDAL_DATA, which was not required in older versions.
  • New option: Raster GIS. Multiple grid arithmetic, Difference maps to all other open grids
  • Allowed opening Landsat Quick Look files (with an RT near the end of the file name)
  • New map window:
    • fixed problem that if the second window was for a satellite image, the [image] Band color mode could not be changed.
    • Fixed inability to close the second window
  • Fixed Variable opaque merge which did not work when the two windows were views of the same satellite image
  • Fixed problem that NBR (normalized burn ratio) would not compute

Oct 2019

  • Improved use of dBase date fields
    • Can change them to strings
    • Can extract year/month/day separate fields
  • Set Mask (Y/N) based on substring in any of the string fields for a record. In Edit button, String field operations
  • Count of records with substring: gives a count of the number of records that contain the substring
    • For a single field: Double clicking on field name
    • For all fields of type string: Edit button, String field operations
  • Correctly handles Geotiffs in the southern hemisphere, which say they are northern hemisphere, do not use a false northing, and use negative northing coordinates (e.g. USGS Landsat)
  • Recent issues with help and Edge hijacking the online help. If not present, the help file will be dowloaded when you try to display the contents.
  • Program will attempt to reproject shapefiles that are not lat/long; this requires that the ESRI Shapefile have a proper PRJ file, and that GDAL is installed.
  • Fixed problems with Sun above the horizon that some entries in the text window were incorrect
  • Fixed issues displaying LandsatLook images (small georegistered preview images)
  • TIGER county map problems fixed, and Tiger re-indexing issues also fixed
  • Improved heat map
  • Nearest point on line/perimeter

Sept 2019

  • DEM add fields to the DB using the DEM, will use centroid or bounding box center for the computations.
  • Distance to line/polygon for every record in a database
  • Landsat/Sentinel-2 imagery can be opened by directory on the File, Open submenu.
  • Manipulation of Sentinel-2 imagery
  • New format for the satellite band definitions to deal with Sentinel-2 imagery
  • Band Pan sharpening for Landsat 7 and 8 images allowed
  • Two versions of the program were posted on the web this month that have pretty severe potential issues. If you got a September version before Sept 17, you should download a new version. While there are probably easy workarouds for both, it is not worth the bother that a fast download would cure.
    1. The first issue was an attempt by the program to automatically open a DEM and DB, and open a control window on the far right of the screen.
    2. The second logs the creation of shapefiles in exquisite detail, to the detriment of making something like drawing a grid take forever. This was through the incorporation of debug code to try to figure out why stream mode digitization is currently not working
  • Monthly series for climate can make grids with min, max, range, and the month of the min and max
  • Fixed problems with Variable opaque merge, and the new version is vastly improved.
  • Option to assume LAS 1.4 classification codes for older version LAS files, which appears to be pretty common. On General tab of LIDAR Point cloud form
  • Option to hide lidar high noise (first introduced LAS 1.4)
  • Fixed error in the Miller cylindrical projection
  • User cannot turn off warning about spaces in file names. Too much chance for problems that are hard to track down.
  • First version of heat map
  • Lidar intensity mapping using a different scale for each cloud

Aug 2019

  • Box resize on vector map works regardless of the order for corner selection
  • Removed option to index point clouds. They are now just so big that this is no longer useful. Just organize them by directory.
  • Unzip can deal with 7z compressed files
  • Option to plot all open data bases with the same symbology
  • Ability to change the max Temperature and Precipitation and Evapotranspiration on Koppen and Evapotranspiration and precipitation plots
  • Updated documentation for changes in TIGER download site
  • Documentation on how to get ICEsat-2 data
  • Revised delete records in database, use carefully (backup databases first)
  • Fixed problems with PLSS display, and removed option for Alberta PLSS

July 2019

  • Allowed reading LAS files with extra bytes (currently they are ignored)
  • Fixed problem with merge of GeoPDF quads, and added menu choice to merge them without asking later
  • Option to get just max lidar intensity grid (probably better than average of min)
  • Option to open Garmin FLT files

June 2019

  • When picking rectangles on map, status bar shows the size
  • RGB imagery grids (long word)
    • Filter grids to remove holes
    • Export RGB grids for LAS files with imagery
    • Saved in very nonstandard format, with a longword and the r, g, b values 0-255 stored in the first three bytes. The fourth value could be used for NIR if we had data with that included.
    • to export to another program, do a Geotiff image of the map on screen
  • Major revamp to 3D map options and Map shading options and removed map/image merge on the overlay menu
  • Major revamp to geomorphometry calculations
  • Geomorphometry calculations box size must be only in meters
  • Mode filter or hole filling, for byte grids, available on menus (also called majority filter)
    • Edit, DEM Holes
    • Raster GIS, Filter
  • Azimuth-elevation panorama graphs for lidar data

May 2019

  • Multiple field statistics for databases
  • Improved drainage overlays
  • Geomorphometry stats for region around point for point shapefile records.
  • Area geomorphometry stats for area shapefile records.
    • Original version had challenges with very small records (small is a function of the area, and the resolution of the DEM).
    • Advanced elevation option has the highest and lowest elevations, the locations where they occur, and the direction, distance, and slope in a staight line between them (think for landslides)
  • Vector average aspect computations, in drainage overlays and Area geomorphometry stats
  • Vector smoothing Filter for aspect.
  • Polygon shape indices, in field geometry
  • Poor man's multithreading explained
  • Fixed minor errors in Least cost paths
  • Distance algorithm comparison: does the Vicenty, haversine, and cosine distance formulas
  • Slide sorter

April 2019

  • Improved Sun above the horizon
  • Default option is now to show databases on all open maps. To change, use the Options form, DB tab.
  • Fixed minor errors in Least cost paths
  • Fixed problems with overlay drawing on imagery with world files
  • MODIS satellite imagery fixes for new web site and data format from NOAA

March 2019

  • Upped size for max number of points in shapefile line/polygon, to 1.25 million
  • LAS codes for LAS 1.4 r14
  • Improved Table of contents operations

Feb 2019

  • Improvements with control of point plotting for lidar and slices
  • KML export of point cloud must now be done by Right click on map
  • Improve Triple Junction models for plate tectonics
  • Fix for bad points in shapefiles of OpenStreetMap from http://download.bbbike.org/osm/

Jan 2019

  • Grid creation for lidar point clouds can create arc second grids
  • Use the new interim World Magnetic model. This can be used with options on the Cartography menu.
  • Labs button on toolbar for geology and geography versions of the program
  • Animate option for monthly grids
  • Hopefully trapped several bugs on opening the program, with incomplete menus/toolbars
  • Simplified loading of geology and geography data sets. If you have problems and how to force a download of those data sets, us the button on the Options form, Geology/Geography tab
  • Google geocoding now requires an account and an API key.
  • Grid average/std dev (multiple grid statistics) now works with fewer restrictions.
  • Least cost paths revamped (primarily for TIGER data)
  • New files for TIGER and OSM road symbolization, which include costs for using them as input for least cost paths.

2018

November 2018

  • Fixed read NightLights Geotiff
  • Physical Geography version has access to land cover legend
  • Better scaling length of daylight graph
  • TIN operations now only work from a DB
  • Improved changing program mode, so you do not have to close all data.
  • For the physical geography version, insured Save DEM and Open project options appear.
  • Option to use GDAL/OGR to extract the part of a shapefile that is on the current map
  • Improved options to delete fields in a database
  • Set percentage data shown for raster data. This hows the percentage of pixels in the data set that are shown on the map.
  • Trim length all string fields on Edit button String field operations on Table view
  • Read BAG files with NOAA bathymetry
October 2018
  • Allowed reading of NASADEM, with new HGTS extension and grids with 1, 2, and 4 bytes instead of just 2 byte files
  • Vertical datum shifts, between WGS84 ellipsoid and EGM2008 geoid, using the NGA grid which is in the geology data download.
  • Convert GPKG to shapefile
  • Info menu on the map form menu has a number of more detailed metadata options for the current data set in the map window
  • Improved GDAL import of imagery. JP2, such as USGS NAIP quarter quads, should load in one step.
  • Fixed crash during drawing of Tiger Labels
  • When WMS fails, option to see the https failure message in the browser. USDA NAIP WMS appears to no longer be available.
  • Band select and [image] Contrast: buttons combined and only [image] Band select now on map toolbar
  • Fixed crash on Create derivative grid, Reflectance
  • Fixed LAS file identifying UTM projection when it had a full WKT projection and not just a short information field. This issue came up for the first time with data from the NOAA Coastal Site, but only for one projection out of about 20 downloaded this month. The program was only checking part of the projection string.
  • Major revamp to geology data set locations and automatic download. Vector data and Raster data
  • Tweaks to Proportional symbols/Icons, which was not tolerant of picking options in any order and required very precise choices; did not plot symbols with the smallest values; would not color from a field; and was not good about saving your settings.
  • Tweaks to the Icon composer from True Type fonts.

September 2018

  • Option to grayscale or subdue individual database layers. Slight shift of commands on Bottom panel controls during database plots.
  • Option to change monitor on the Window menu.
  • WMS Maps. When WMS fails, the message from the server will be displayed in the default browser.
  • Horizon blocking improved
  • Major changes to handling of projections of grids (such as the polar stereographic for IBCAO, and Albers for NLCD). If you experience any issues, please report them.
  • Buffers improved.
  • Does not attempt MGRS on secondary datum

August 2018

  • New options for showing MGRS 6x8 degree zones, and 1:100K MRGS blocks using NGA databases.
  • Fixed KML export of database with icons, when the display mode is single icon and there is no ICON field in the DB
  • Major changes to geotiff projections. Those other than UTM or geographic should be much more robust; we need samples for any that still have problems. Albers equal area (for NLCD) was the initial impetus.
  • PLSS off by default. You must enable it on the Menu tab of the Menu tab.
  • Options to close all analysis windows of a particular type; on both the File and Window menus.

July 2018

  • Add RGB windows back, and works for Landsat 8 and the older Landsats.
  • Gaussian pyramid downsample for DEM
  • Monthly climate grids
  • Sun position equinox/solstices
  • Fixed TIGER indexing to deal with newer files
  • Revamp WMS, for using the USDA WMS, because USGS no longer supplies WMS feeds

May 2018

  • Revamp MrSid (for Norwegian topo maps)
  • Major revamp of Geotiff reading.
  • Major improvments to multiple band imagery in single band files, which do not follow standard naming conventions like Landsat. It should also deal with bands of different resolution, like Sentinel-2.

April 2018

  • Removed options to de-collar and recolor USGS DRGs, since they are no longer commonly available (and GeoPDFs supply the capability).
  • Better recognition of Tiger line files, and fixes problems getting them to display
  • MICRODEM can call a number of external progams (especially for lidar)
  • LIDAR Point clouds improvements and rearrangment of options
    • Improved automatic colors and elevations for LAS images
    • Enhancements to Create grids from LAS point clouds

Jan 2018

  • LAS 1.4 files display

2017

  • 12/19/2017: Point cloud display only shows options that are present in the point cloud.
  • 12/18/2017: improvements for high resolution terrestrial lidar scans
  • 12/15/2017: satellite contrast and [image] band selection on a single form
  • 12/10/2017: many improvements to point cloud operations, slices, and OpenGL 3D views
  • 11/18/2017: Removed MGRS zones and 100K UTM square overlay; just use shapefiles from NGA; enhanced native grid display on maps; big enhancements for the conic map projections to allow most resizing operations
  • 11/1/2017: multiple enhancements to [image] Open Vector Map
  • 10/23/2017: Changes to geomorphometry
    • Faster operations over regions, by doing the core and then adding strips
      • Graph parameter by region size
      • Grain by region size
    • Improve RGB three parameter map
  • 10/10/017: redo [image] TIN operations, which were probably not working.
  • 10/3/2017: zipatone for area pattern fills.
  • 9/30/2017: many small changes in the last month (UTM projection, database drawing, ambush maps).
  • 8/24/2017: parallelized viewsheds (which had probably had the parallel option turned off for some time)
  • 8/16/2017: parallelized filters, and several variants of geomorphometric point classification map creation.
  • 8/11/2017: changes to TIGER: show streams/coast separately, and redraw when setting parameters to see effect immediately.
  • 8/10/2017: major changes to projections for LAS and Geotiff files, to simplify and make the code consistent. We will be moving to use the EPSG codes (and databases wioth constants) to allow more projection/datum combinations. In the process, it is possible that some of the more exotic data sets (and perhaps even some pretty standard ones) to fail. If you have problems with GeoTIFF or LAS files, please contact us.
  • 8/6/2017: storage and display of vector outline maps changed. Old saved PRJ files will not work.
  • 7/30/2017: open and merge of USGS GeoPDF topo quads.
  • 7/23/2017: several conversions (LAZ, convert GeoPDF) can now use threads.
  • 7/22/2017: multiple improvements for reading LAS projection information, and for reprojections (now including SPCS)
  • 7/21/2017: improvements to import of CSV/TXT files into databases.
  • 7/20/2017: option to use Notepad++ to display metadata and other text output
  • 7/15/2017: native conversion of LAS files with UK and Irish grids to UTM (on Resample menu of the data manipulation form).
  • 7/14/2017: for band ratios and NDVI with Landsat, option to use refelectance or radiance instead of DN.
  • 6/15/2017: improved options for 3D point cloud manipulation.
  • 3/4/2017: default is now to strip the leading zeros from string fields (think FIPS and ZIPs) when used to join. If you want to use the files in another database with files that have not had this done, turn off the option of the join form, or add them back in before using the databases elsewhere.
  • 2/28/2017: major improvements for Landsat satellite manipulation, and change on where files are stored.
  • 1/4/2017: USGS has deprecated the WMS service we have used. We are working on getting a substitute working.
  • 1/3/2017: Major changes to display of databases on the map;
  • 1/2/2017: Major change to handling of multiple point clouds. For some of the operations that edit the clouds, the option will only work on the first cloud.

2016

  • 12/19/2016: database settings now saved in an ASCII INI file.
  • 11/28/2016: multiple enhancements to coloring of databases.
  • 10/23/2016: option to create SHX for point point DBF files, with rapid computation of the data set extent.
  • 9/18/2016: fixed issues with DB joins.
  • 8/14/2016: fixed recent bug with coordinates in UTM maps.
  • 7/11/2016: revised Tiger indexing.
  • 4/27/2017: changed required location for LAStools
  • 3/4/2016: option to move databases into memory, for huge speed gains. Only some are currently moved; see the help file for details.
  • 2/27/2016: OpenGL 3D views moved from main toolbar to map toolbar
  • 2/25/2016: removed Oblique view; use OpenGL
  • 2/10/2016: New OpenGL (might actually be DirectX) viewer is embedded in the program, so the size took a very large jump.
  • 3/4/2016: option to move databases into memory, for huge speed gains. Only some are currently moved; see the help file for details.
  • 2/27/2016: OpenGL 3D views moved from main toolbar to map toolbar
  • 2/25/2016: removed Oblique view; use OpenGL
  • 2/10/2016: New OpenGL (might actually be DirectX) viewer is embedded in the program, so the size took a very large jump.
  • 1/17/2016: New OpenGL viewer, for LAS lidar files, and for any draped map (Right click on map, Export menu).

2015

  • 11/8/2015: XY rotation of images has a new format for the .xy file. You will probably have to recreate it.
  • 8/21/2015: this will be the last version of the 32 bit program released, and the 32 bit version will no longer have the ability to update from within the program. If a severe bug causes a new version to be released, it will require a manual upload from http://www.usna.edu/Users/oceano/pguth/website/microdem/microdemdown.htm.
  • 7/30/2015: 64 bit version now default. The 32 bit version will not be updated as often as the 64 bit.
  • 7/24/2015: recentering map now done only with right click
  • 7/10/2015: major revision to LOS/terrain profiles and perspective views; contact us if there are problems with lesser used options.
  • 7/9/2015: use NLCD 2011
  • 5/5/2015: fixed bug finding pits
  • 4/26/15: fixed bug which left a white void on the bottom of maps drawn with multiple threads.
  • 3/5/2015: option to put map name in a corner, on marginalia form.
  • 3/3/2015: many DEM calculation and display options have be parallelized, for a speed increase proportional to the number of cores (or faster). Let us know if you have favorite options which you think should be sped up.
  • 2/26/2015: Removed GMT options; they have not been used for years.
    •
  • 2/21/2015: DEM map drawing threaded for parallel operations. Speed up by approximately the number of cores available.
  • 2/10/15: GPS options removed. Use normal database.
  • 2/8/2015: Now reads and displays RGB colors from LAS point type 3.

2014

  • 12/16/2014: many geomorphometry options are threaded (terrain fabric, openness maps) for much faster operation.
  • 8/1/2014: Natural Earth vectour outlines now have automatic zoom with scale, and program will automatically get new files.
  • 7/29/2014: New internal format for MICRODEMv4 DEMs.
  • 5/14/2014: Windows 64 version should be working

2013

  • 12/2/2013: Landsat imagery must use the current USGS file naming conventions to be recognized.
  • 8/29/2013: help file not included in the download. You should download it on the help menu, and the program will prompt to download it the first time you try to open it.
  • 7/15/2013: active transition between BDE and native interface to DBF files; both 32 bit and 64 bit versions should share the same code base when the transition is over. Check the debug log to see which version you have.
  • 6/19/2013: new option using GDAL to reproject shapefiles. The existing options will be removed.
  • 4/26/2013: supervised image classification undergoing significant changes. If you want to use that, you should be using the version of the program in the full install.

2012

  • 12/23/2012: multiple changes for hyperspectral imagery (144 bands) in a single Geotiff file.
  • 11/30/2012: new default location for viewsheds, as the older default does not work in Windows 7. If you had set a value, it will be overwritten.
  • 11/25/2012: multiple improvements to WMS operations.
  • 11/19/2012: numerous improvements to the 64 bit version of the program. WMS downloads now includes USGS DRGs, which can be picky about the scales at which they work.
  • 9/7/2012: 64 bit version of the program now available, and the menus.dbf file is no longer used.
  • (8/22/2012): The INI and menus.dbf file are nowstored in the Windows Application Directory. This lets each user on a lab computer keep there own settings.
  • (8/22/2012): Change to update of EXE and help file. The external file is no longer needed, and the Windows security is hopefully happy with it.
  • (8/22/2012): Many changes to LOS operations.
  • (7/23/2012): Download new file for LAS (Lidar) definitions. This allows reclassification, and will support the new 1.4 specs with additional classification categories when that option is added.
  • (7/12/2012): deployment of a 64 bit version is imminent. This requires moving to a different method for database access, because the BDE will not work in 64 bit Windows. The rewrite is underway, and if you use this version of the program, you should be careful to back up any critical databases as it is possible that there will be growing pains would could involve loss or corruption of databases. The new choice is SQLite3, which hopefully will allow eventual deployment to smart phones.

2011

  • (12/20/2011): moved program defaults settings to an INI file. This will allow them to be fully sticky, even when adding additional settings, and allows the file to be viewed in a text editor. Complete migration will take some time.
  • (11/6/2011): program now called version 16, to denote compilation with the XE2 version of the Delphi compiler.
  • (9/18/2011): major changes in anticipation of going to 64 bit mode. These affect all parts of database operations, and undoubtedly bugs will appear. This version will only be selectively released for a while, and if you have it, you should use with caution.
  • (9/18/2011): New compression/decompression engine for ZIP, Tar, and GZzip (7Zip.exe, which must be in c:\microdem\zip with its DLL).
  • (8/15/2011): additional many changes to LOS, for point clouds
  • (8/1/2011): significant changes to database operations.
  • (7/20/2011): significant changes to LOS (so that point clouds can be superimposed). Check any results carefully.
  • (8/1/2011): Major changes to the database table operations.
  • (7/13/2011): significant changes to SPCS projections read from Geotiff and LAS files. This require the (automatic) download of new databases with the SPCS projection codes and parameters.
  • (5/23/2011) Using the Natural Earth shapefiles for vector map outlines. You should download these shapefiles (File, tools, download data). Report any problems in getting and configuring the overlays.
  • (7/13/2011): significant changes to SPCS projections read from Geotiff and LAS files. This require the (automatic) download of new databases with the SPCS projection codes and parameters.
  • (5/23/2011) Using the Natural Earth shapefiles for vector map outlines. You should download these shapefiles (File, tools, download data).
  • (4/10/2011) New options for viewsheds, and redesign of viewshed operations.

2010

  • (12/14/2010) New option to sort databases.
  • (7/21/2010) If you try to download MSR map data, insure that you read the help file on this topic.
  • (7/15/2010) Windows temp directory has been moved the "c:\mapdata\temp" because Windows 7 (and presumably Vista) is so anal about not letting you go there to the suggested temporary directory. Since it had such a terrible path name anyway, maybe this is long overdue.
  • (7/12/2010) Major rewrite for shapefile creation and rewriting.
  • (6/1/2010): you should only select WGS84/NAD83 as the primary map datum.
  • (5/27/2010) Program is now compiled with Delphi 2009.
  • (5/23/2010) New version 3 of the MICRODEM DEM format. If you export to other software that expects to read MICRODEM DEMs, you should should a older version of the program, and get that software to be modified (should be a very simple fix). You should also use Geotiff as a better format for transfer.
  • (5/16/2010) Major changes to Geotiff imagery, to read GeoEye; if you have problems with Geotiffs, please report them since we have a limited sample on which to test.
  • (4/2/2010) The program now checks for critical support files when it runs, and will prompt to download them if they are not present. You should accept and perform the download. This should only happen if you have updated the EXE file.
  • (3/15/2010) Changed viewsheds/weapons fan. You must download the new support files.
  • (1/17/2010) Changed drawing of grids and graticules.

2009

  • (12/20/2009) Allowed cut/paste of lines and areas between shape files. Use all shapefile options with caution (i.e. on a copy) until we verify that there are no problems introduced with the improvement.
  • (10/4/2009) Any satellite training and supervised classification data sets that have been saved will no longer work.

last modification is date for first entry at the top


MICRODEM Installation Instructio

MICRODEM Installation

Get program and CHM help file from https://microdem.org

Source code and archived installation available at https://github.com/prof-pguth/git_microdem

  • Complete MICRODEM install (~30 MB).
    • Installs 64 bit version Windows and required files into c:\microdem\.
    • Uses 7Z SFX intallation program.
      • Does not require administrator priviledges
      • Will be a small window asking permission to install, which may be hidden, in which case it will probably have its icon on the far right of the task bar.
      • Will not install shortcuts, icons, or entries on the program list. You must and create them if desired.
        • In Windows File Explorer, navigate to c:\microdem
        • Right click on microdem.exe and pick options desired:
          • Pin to taskbar
          • Pin to start
          • Send to > Desktop (create shortcut)
      • The program does not use any registry entries.
      • This includes support databases
  • Help file which you must place in c:\microdem\:

Executing the installation program will create two directories:

  • c:\microdem. You can put this elsewhere, but if you encounter problems, you were warned and we will not try to figure out what is wrong unless you can very clearly indicate exactly what steps are required to recreate the issues. Our limited testing in other locations has been in the root directory, x:\microdem, so you might try that.
  • c:\MapData\ with subdirectories. You can move this entire directory to another location or computer. If copying from an external hard drive or USB drive, you do not need administrator rights to install MICRODEM into c:\microdem. This must also go into the root directory of its drive.

Updating the program can now only be done with a full install. The difference in size does not warrant multiple procedures.

Uninstall

  • Delete c:\microdem
  • Delete c:\mapdata, unless you want to retain any data.

Last Update: 7/4/2023


MICRODEM Program Overview

MICRODEM is a Geographical Information system (GIS) which manipulates digital map data. All data used must be registered to fully benefit from the GIS, meaning the data has earth coordinates associated. While the program has some capabilities to create and register data sets, this requires a high degree of user sophistication and is not recommended for most users, and is not a major focus of program development.

Users of GIS must be aware of the following mapping issues:

  • Datums. The wrong datum can shift coordinates up to hundreds of meters, and the GIS software cannot always automatically detect and correct for different datums, so the user must have a basic understanding of the difference between NAD27 and NAD83/WGS84. Users should also recognize that they may have to check the metadata with their data to learn about the datum and projection used.
  • The difference between geographic Lat/Long coordinates and projected coordinate systems. Software can easily convert one to the other, but some operations may require that the two data sets share the same coordinate system.
  • Vector and raster digital map data, and the difference between "objective" data like a satellite image or a DEM elevation and "subjective" data like interpreted plate boundaries or a geologic map.
  • The difference between screen resolution and data resolution. Many GIS data sets cannot be displayed on screen at full resolution. The program must either subsample to show the big picture, subset the area to show a small area at full resolution, or use scrollbars. With the last two options it can be hard to recognize where in the data set you are looking.

Basics of running MICRODEM.

Introduction to Data

Edits:

  • Edits to databases are immediate. Because of this, you must check to enable edits on the database display table. You can save a copy of the database before you work, using the Report button.
  • Edits to grids/DEMs do not take effect unless you deliberately save the grid/DEM, because these are stored in memory for rapid manipulation, and when you save, you can save them to a new file.

Program History: how a great program like this evolved.

Product Gallery. Samples of the imagery the program produces, with links to how they are created.

Download history. See how many people are getting MICRODEM.

Disabled Options

Manage program updates.

Contact the program author with comments and suggestions using the online MD forum hosted by Delphi. You should also check the debug log option.

Selected References

Last revision 8/5/2018


MICRODEM Basics

MICRODEM is a standard Windows program and inherits functionality from the operating system.

Help file--the downloadable CHM file has an index and full text search.

  • Open map: File, Open menu choice or a button on the Main Program Toolbar. You must know and identify the type of data. The most common are:
    • New DEM or other grid. For a DEM, the default display is a combination reflectance map with color elevation tinting. Right click on the map window, and change the display parameter, or adjust the "reflectance options". You can change the default DEM map type on Maps tab on options form.
    • New image for satellite imagery or air photos.
    • Quick vector map
    • Open shapefile map. Vector data sets can be opened on their own, but are most often displayed as [image] Database (shapefile) overlays on another data set.
  • MICRODEM opens maps with what it considers to be a reasonable set of default settings, showing the entire data set on screen without scrollbars.
  • Selection actions require a double click.
  • Right clicking on the map or other window brings up selected options most relevant for the current window settings.
  • Menus: there will generally be a single menu, with options depending on the type of window that is active.
  • Toolbars: there can be multiple toolbars
    • Main Program Toolbar options do not apply to a particular map
    • Map toolbar buttons which apply only to that map. The number of toolbar buttons that appear on the map window toolbar depends on the map size and the screen size. On a small laptop screen, you might have the use the menus or right click alternatives to the buttons; almost every operation can be started in several ways.
    • Database table controls
    • Other windows, like graphs, can also have their own toolbars.
  • Setting map size
  • Map Overlays
  • Map enhancement.
  • Map zooming, especially [image] Subset (graphical) & zoom .
  • Copy to clipboard
  • Force screen redraw

    Saving changes or edits

    DEM:

    • DEMs are loaded into memory for fast use.
    • Changes are not saved unless you explicitly Save the DEM. If the DEM has never been saved (for example, after you Create a derivative grid, it should be marked as unsaved on the map title bar).
    • If you have made edits, that status will also be indicated.
    • You can undo edits which have not been saved by reloading the DEM on the Edit menu.

    Database:

    • Changes to a database take place immediately.
    • If you want to be safe, create a backup before you begin edits.
    • If the database title bar indicates it is unsaved, the database has been written to c:\mapdata\temp, and will be erased when you close the program. This is used for what the program considers to be scratch files; if you want to save them, save them to a different location.

  • Consider using map library database.

Last revision 1/3/2023


Program history

MIDRODEM Program History

MICRODEM
Recent Program History (2009 and later)
Version 17/18 (2012-2014)
Version 16 (2011-2012)
Version 12
Version 10
Version 9
Version 8
Version 7
Version 6.0x (Last TerraBase II )
Version 6.0
Version 5.1
Version 5
Version 4
Version 3

[Complete version history up to 2008]

Version number was tied to the version of the Delphi compiler, has now been de-emphasized on the splash screen, in favor of the build number, which is easier to track because it changes daily instead of annually.

Options already removed

MICRODEM (for Microcomputer Digital Elevation Models) is an outgrowth of TERRANAL (Terrain Analysis) version 3.01, written at the Computer Graphics Laboratory, Department of Geography and Computer Science (now Geography and Environmental Engineering), US Military Academy. A parallel version of the program ran in Turbo Pascal under CPM on the Apple II based MICROFIX System One (AN/UYK-71), a fielded Army system. Version 1.0 of MICRODEM, running only on the CGA (an archaic color monitor with 320x200 resolution featuring 4 colors), provided a close copy of the MICROFIX system fielded to Army terrain units in the summer of 1986. The West Point terrain analysis software eventually became TerraBase and ran solely on MS-DOS machines, and was turned over to the Engineer Topographic Laboratories (ETL, then TEC for Topographic Engineer Center, and now AGC, Army Geospatial Center AGC) to support the Army terrain units. TerraBase has since been replaced by DTSS, the Digital Topographic Support System, initially running on work stations. Peuquet and Bacastow (1991) have an interesting perspective on the institutional inertia in getting a system into the field.

After the primary author of TERRANAL left USMA for first UNLV and then USNA, he completely rewrote MICRODEM to support EGA/VGA/Super VGA graphics and moved to successive new versions of Turbo Pascal and then Delphi. MICRODEM includes scientific applications and incorporates significant new functional capabilities, runs on higher resolution monitors and printers, and allows use of many additional DEMs and other data sets.

TerraBase Trainer (TBT) was developed in June 1990 to support the Terrain Analysis course EV203 ("Dirt") at West Point. TBT was in fact a subset of MICRODEM; it was impossible to run TerraBase on anything like a cadet computer of that era. TBT originally worked on a two floppy (3½") system with 640 kb RAM and 256 kb EMS. TBT removed many of the less frequently used options from MICRODEM, especially those to manipulate the data sets as opposed to displaying them, and thus provided a meaner and leaner program. It started the process of using compiler directives to provide options in the MICRODEM program which could be removed or included as required.

WinDEM was the first true Windows version of MICRODEM. The first widely distributed version appeared in January 1996 and was a major effort during a sabbatical at Deep Springs College in easternmost California.

With the retirement of the DOS version of the program in early 1996, Windem reverted to MICRODEM. Source code for the DOS version, circa March 1995, is available on the USNA web site with no support. We cannot recompile that DOS version without significant archaeological effort to find a working compiler, and have no interest in doing so as it has not had any of the enhancements to the program since 1995.

After a study to find a program for teaching terrain analysis and digital data to its students, in late 1996 the Army Engineer school at Fort Leonard Wood selected MICRODEM as the best alternative (Kirby, 1997; Adams and Hooper, 1998) . In the summers of 1997--1999 the Army Engineer School funded creation of TerraBase II. This was a subset of MICRODEM for military training in DEMs and computerized terrain analysis. Work continued with the Engineer School during the summers of 2000, 2001, and 2002 to improve the capabilities of the program. The last efforts have focused on true GIS capabilities, although an emphasis on DEMs and geology (for the author's teaching and research) remains in MICRODEM.

In the fall of 1999 MICRODEM and TerraBase II became a single program. Previously they had shared code, but conditional compiler directives created two distinct executable versions. Choices on the options menu allow users to hide functions they do not need. Compiler directives are now used primarily to include additional debug code when problems turn up that cannot be rapidly fixed; the Debug log lists active directives. The Terra Base II home page at Fort Leonard Wood had the latest official releases, which underwent rigorous testing. After the release of version 6.03 in the spring of 2003, there was no further work on Terra Base II. All later versions of MICRODEM should be regarded as alpha or beta software; the program is frequently updated to support research, teaching efforts, or to fix bugs.

Key publications for MICRODEM

MICRODEM on netbook

Disabled Options

Download history

Last revision 10/12/2017


Map Quality Improvment

  • Scientific figures. General guidance which also applies to maps.
  • Grid/graticule. Labelled graticule probably on at least one map, the first small scale one which shows the area. Copy to clipboard with detailed option. To save space for getting more visible detail on the remaining maps, they do not have to label the graticule.
  • Legends/marginalia, including scalebar
    • Scale bar should be on all large scale maps. Because map scale changes on small scale maps, you cannot have a single scalebar there.
    • Move these to a corner where they do not cover important parts of the map
  • Legends
  • Large maps: maps should be large to show as much detail as possible
    • Use a large monitor, and have the map fill the screen.
    • Blow up so the map is bigger than the small laptop screen, and has scrollbars; when you Copy to clipboard you get a map that is bigger than the screen size
    • Zoom in (blow up; same coverage area on a larger scale)
    • Run the figures as close to the margins of your page as possible, and put pages in landscape mode if it helps.
  • Don't try to use color for two different things on a single map. If you have color overlays, consider grayscale for the base map.
    • Grayscale reflectance map for a DEM
    • Single band satellite image
    • Grayscale and subdue any map
  • Match other maps
    • Show the location of one map on a smaller scale map.
    • Make all maps have the same size, so you can put them side by side on a figure for easy comparison
    • Have all maps use the same color scale and range for better comparison
  • Colors not using full spectrum and how to fix.
    • DEM/grid: Z range
    • DB: Pick color palette and range of values to use for assigning colors
    • If you are trying to compare multiple maps, Match other maps so they all have the same color scale
  • Fonts: the bigger the map, the bigger the fonts need to be. This is probably the most frequent criticism of figures for publication, so look carefully at all your fonts.

Last revision 1/25/2021


DEBUG LOG

MICRODEM DEBUG LOG

The program creates a debug log when it runs called "microDEM-64_debug_log.txt", in a subdirectory under the program directory ("c:\microdem\logs"). The log is closed after each entry, so that a program crash will not lose any debug information except perhaps the very last step.

You can view the debug log inside the program with the "Help, View debug log" menu choice. You can save this log, or cut and paste it into email or another program.

On startup, the debug log from the last excution is saved and can be viewed from the Help menu. This avoids having to find it.

The debug log contains information about the build number, hardware, program execution steps, and any problems. When you have difficulty, and cannot resolve them any other way, submit the debug log as a bug report, along with a description of the problem.

The complete installations of the program have a limited debug log capability built in. These are carefully designed not to interfere with program execution; there are no logging events inside tight loops, and the exe and debug file sizes should not get very large. This is designed to generally track your program choices, and to supply data about the most common problems.

Most problems will probably require additional debug information. We will first try to verify the problem on the development systems, and often we can reproduce the problem and fix it. Sometimes we cannot, and we must add more debug code and get you to rerun the program to pinpoint the problem. The goal is to trace program execution module by module, and sometimes almost line by line, to see where things blow up. Usually this kind of problem is the result of the interaction of several choices you have made, and until we discover the combination of choices responsible we cannot duplicate the problem. Often your (and our) first guess about the cause of the problem is only half right, and we might require several iterations to fully identify the difficulty.

We have a number of predefined debug packages, which can be inserted into the code immediately. These will be reported at the end of the debug log as a "RecordXXXXProblems active in CodeModule". Some of these can degrade system performance, because sometimes the debug code must go inside a tight loop and be executed many times, each with a write to the file. We strive to remove these debug options as soon as the problem is fixed. If you think the program is running too slowly, you can:

  • look at the size of the debug log; if it exceeds 100 kb there are likely severe problems being logged, and that build of the program should not be used for general operations other than tracking down a specific problem.
  • see how many options are enabled at the end of the debug log, but this may not be reliable.
  • Turn off debug logging on Printer/Hardware tab of the options form.

In rare cases the problem will be in the initial startup code, and happen before the debug log opens. In that case we can compile a version of the program that records progress during initialization through a series of on screen messages. While annoying, this is usually very effective.

Sample Debug Log
9:58:27 PM Opened Debug log: C:\microdem\logs\MicroDEM-64_debug_log.txt
Log from 12/17/18
EXE: C:\microdem\microdem.exe
Build: MicroDEM-64 2018.12.16.60
Compiled: Delphi 10.3 Rio
DB driver: tDBF
INI: C:\Users\NNN\AppData\Roaming\microdem\microdem.ini
9:58:27 PM GetHardware
Windows 10 (Version 10.0, Build 17134, 64-bit Edition)
Total Physical Memory: 16.0 Gb
Intel64 Family 6 Model 60 Stepping 3
CPU Speed: 3392 MHz
Processors: 8
Monitors: 2 Screen Resolution, Colors: 32 bits
Monitor 1: 1920x1200 Left=-1920 top=-103
Monitor 2: 3072x1728 Left=0 top=0
Printer resolution : 4900 x 6400 at 600 dpi
Computer name: MY_COMPUTER

9:58:30 PM GotHardware
9:58:30 PM Debug file opened
9:58:30 PM Start LoadMDdefaults ProgramMode=0
9:58:30 PM End LoadMDdefaults ProgramMode=0
9:58:30 PM No command line parameters
9:58:30 PM Microdem Temp Directory: C:\mapdata\temp\ Free space: 191.4 Gb
9:58:31 PM MDdef.AutoOpen=1 MDdef.ProgramOption=0 GDAL tool dir=C:\OSGeo4W64\bin\
9:58:31 PM MDdef.AutoOpen=1
9:58:37 PM MDdef.AutoOpen completed, Twmdem.FormActivate wsMaximized, width=3088 & height=1704
9:58:37 PM ending FormActivate, first time
9:59:15 PM DoGeoStatAnalysis in

Last revision 1/23/2023


Calling External Programs

MICRODEM can use external GIS tools for some options:

Library | Function | Use in MICRODEM
Google Earth Pro for download issues in one browser (e.g. Chrome) try another (e.g. Edge). |  | Quick exploration of a region with reasonable imagery and easy operation. More details.
GDAL | Data format translation, subsets, merging | Used from many less common projections, and to manipulate data sets.
LAStools (read license carefully) | Manipulate lidar point clouds | Reproject LAS files with unusual projections
mcc-lidar |  |
Fusion |  |
WhiteBox toolbox |  |
GRASS |  |
SAGA |  |
Orfeo toolbox |  |
libLAS |  |
PDAL |  |
RVT Relief Visualization toolbox |  |
ACOLITE | Shallow water properties, SENTINEL-2 |
PROJ4 | Projections | MICRODEM does not use, only because we need the code to run on Android, and the conversion would be painful.

Similar general operations are done with:

  • 7z.exe and 7z.dll

These tools are designed to be called from the command line, or from scripts. To call them, MICRODEM

  • creates a command line with the tool name, input and output files, and required parameters. You may have options to specify the parameters.
  • if required (such as setting up GDAL, or sequentially operating on multiple files), the command is put into a batch file.
  • Where it makes sense, MICRODEM will create multiple batch files which will each process some of the input in parallel if you have multiple processors. If the operation is disk limited, as opposed to CPU limited, this may not buy any speed improvement.
  • Runs the command or batch file
    • For operations expected to very fast, the "black window" is not shown
    • For longer operations, you can track the program execution in the black window(s). You will not see any final output from the tool because the command window will close. The amount of progress shown depends on the program, and can range from nothing to very detailed.
    • When the purpose of running the tool is to get information, the tool's output is redirected into a file which is then opened in a text editor.
  • The command is written to MICRODEM's debug log. You can get the command line, paste it into a command prompt window, and see any final output or error messages. If it is a batch file, the file will be in c:\mapdata\temp, but you must check it you start MICRODEM again.
  • In most cases, MICRODEM waits for the program to finish, since it needs the output top proceed. For a few cases, where the output is not needed, you can immediately resume operations in MICRODEM.

MICRODEM's Design Philosophy

last revised 11/24/2022


OSGEO4W

OSGeo4W download: If at all possible do this from the ethernet, and not Wifi. You will wind up with a 2.6 GB directory, and the installation takes some time. If the installation has problems in the middle, the intallation will probably be corrupt and you will probably have to manually delete the entire c:\osgeo4w folder and download again. Once you have installed the package, MICRODEM will find it and will perform all the GDAL operations. You might have to restart MICRODEM if it was open during the install so that it will find GDAL.

Detailed directions for download:

  • You do not need admin rights on your computer to install
  • Edge work arounds when during the 2021-2022 academic year Chrome would not work, and Edge was very particular. These do not seem to be needed any longer, but are kep here because of the serverity of the problems what were encountered.
    • To "cannot be downloaded securely" pick "See More"
    • On the line for the osgeo42 download, pick the "..." and then Keep
    • Pick "Keep anyway"
    • Pick "Open File"
  • Pick Express Install, which is not the default. If you pick the custom install and go elsewhere with the location of the installation, you will have to correctly locate GDAL directories which is difficult for some people
  • Pick any of the available servers
  • Pick all four packages
  • Next button to accept the unmet dependencies
  • Accept multiple licence terms, probably around 4
  • Sit back and wait (might be as little as 6 minutes on the ethnernet with little network congestion), or a full period (or even longer) on the wifi if shared with a large class.
  • The "Progress" status bar and other status bars and the percentage in the window caption will restart multiple times, so don't get your hopes up too soon.
  • At the end, for the first time (8/28/2022) the install asked to make changes to the registry. It is unclear which program requires this, and if the program could run from an external hard drive and be shared among multiple computers

Sofware included, with some options directly from MICRODEM

  • GDAL --can do a lot of things. MICRODEM now uses it to convert many formats to a Geotiff (floating point) that MICRODEM can read.
  • QGIS--an open source GIS program.
  • SAGA. Can be called from QGIS.
  • GRASS. Can be called from QGIS.
  • libLAS
  • PDAL, which requires a custom installation so it will be included.

To just get GDAL: http://trac.osgeo.org/gdal/wiki/DownloadingGdalBinaries (not recommended, and has not been tested recently).

MS4W, Map Server for Windows: Some other packages uses PROJ databases from https://ms4w.com/

last revised 1/4/2023


GDAL

GDAL is a translator library for raster and vector geospatial data formats that is released under an X/MIT style Open Source License by the Open Source Geospatial Foundation .

Get GDAL installation from OSGeo4W. If you want to try a direct download, you have to configure it on your own.

For the most common formats, GDAL is called directly from:

  • Open Grid/DEM
  • Open image

Less mainstream formats are converted before use:

  • Data Manipulation, Resample:
    • GDAL rasters:
    • GDAL/OGR vectors:

A number of complex formats cannot be directly read by MICRODEM:

  • ADF ESRI grid format. Pick the "w001001.adf" file (which will be the only large file in the directory, and not the small "w001001x.adf" file). An ADF file, like a shapefile, actually contains a number of files which always have the same names (the directory name is what is unique), and all files in the directory must be kept together. Failure to do so will cause problems.
  • JPEG2000 (JP2) compressed file; pick the JP2 file.
  • ECW wavelet compression format for imagery.
  • IMG grid format from ESRI for imagery and DEMs.
  • GeoPDF
  • USGS SDTS
  • NetCDF (for complex files, import might be problematic)
  • Tiled or compressed Geotiff.

Other options implemented with GDAL

  • Subset TIFF imagery, keeping multiband
  • Merge imagery

MICRODEM creates a command line or batch file to use GDAL. This command will be written to the debug log. If there are problems, you can copy that command into a CMD window, run it, and see the error messages to try to debug the process.

Reference: GDAL/OGR contributors (2020). GDAL/OGR Geospatial Data Abstraction software Library. Open Source Geospatial Foundation. URL https://gdal.org

last revised 6/3/2023


known limitations

Known Limitations/Problems

Datum shifts are likely to be problematic and you should use them with caution.

  • GDAL changed operations

  • WKT is now in GDALinfo, and it will require MICRODEM to change how it parses the results

Problem finding options on menu toolbars (only some appear)

Problems with CSV import

Stack overflow when mouse moves over a map

  • Most likely when you are roaming on a map, and a combination of settings creates problems when the program tries to compute the screen coordinates.
  • To verify, drag the dialog box describing the problem off the map before you close it. Then tiptoe the mouse around the window and try to do an option.
  • You will probably have to close the map window. If it it the only map up, you can just <Ctrl> <Alt> <Del>. If there are other maps open, you might be able to keep them open by closing the map window without moving the mouse over the image part of the map.
  • You should look at the Debug log to see if it shows repeated attempts to do something, which might provide a clue to the ultimate problem.
  • This error is not repeatable, and only happens sporadically, making it hard to track down.

Problem plotting shapfiles:

  • Try deleting the saved options for the shapefile, with Report, Clear DB Settings
  • Zip up the shapefile, with Report, Compress shapefile which will include any join file and the join/plotting settings. You can send this file to someone to help debug.

Excel 2016 to edit DBF files for databases.

  • Excel 2016 made major strides in security. As a byproduct, there are major declines in usability.
  • This may only apply to systems managed with policy from an IT department. I do not have Excel 2016 on a personally administered computer at home, but the problem does not exist on my Office 365.
  • The biggest change for GIS users is that Excel is now (o)ver(l)y picky about opening DBF files.
  • You must probably put the DBF file in your DOCUMENTS folder (which is c:\users\YOU\documents) or a subdirectory there. This suggests:
    • Leave common map files you will not need to edit in Excel in c:\mapdata
    • Put your own working files in your DOCUMENTS folder, which are the ones you need to manage carefully and backup.
  • Workarounds to Excel:
    • Export from MICRODEM as a CSV. There are currently no security issues with TXT or CSV files. If the DBF has complex data in text fields, this can be problematic. It can also increase the number of files you must name and manage.
    • Download a program like https://sourceforge.net/projects/dbf-table-manager/ which will convert from DBF directly to Excel.

Fonts: the font selection that will be saved between runs include the font name, the size, and the text color. It will not save oblique, italics, underline, or other settings.

Under obscure circumstances, the program may try to delete system files in the root directory (c:\). This is error trapped inside MICRODEM (the files will not be deleted), and you are requested to submit a bug report with a debug log so we can figure out what causes this. To date, we have not gotten any useful information to track down the issue. Our best guess is that the problem only occurs when the BDE has not been installed first, and will go away after you get it installed.

D isabled Options

With free software, you get what the developer thinks are the most important options.

  • MICRODEM was developed and tested for English language usage only. Set your regional settings to English. We have had reports of problems with other regional settings. This restriction will not be removed without specific funding to test and remove any problems, so we don't expect it to happen.
  • MICRODEM was developed and tested using the standard Windows font sizes. There will be problems if you try to use large fonts. Windows will get it about half right, but you will have missing and overlapping controls. This restriction will not be removed without specific funding to test and remove any problems, so we don't expect it to happen. MICRODEM will keep all forms with small fonts, unless you override this on the Printer/Hardware tab of the options form (which is strongly discouraged).

MICRODEM is a work in progress. We would be waiting for the next millenium to get everything perfect and include everything that someone might want. This program is designed to support my research and as a teaching tool, for GIS, geology, digital terrain data and its uses.

Please send feedback. Use the free Delphi Forum to ask questions or make comments.

Last revision 4/27/2022


Glossary

We are no longer trying very hard to keep this current, and some of these definitions are a little tongue in cheek. We suggest you try http://lmgtfy.com/ (Google or Wikepedia for advanced users) if you need a definition.

  • 8088: CPU in the original IBM PC (very similar to 8086).
  • 80286: CPU in the IBM AT and clones.
  • 80386: CPU in once fast MS-DOS microcomputers.
  • 80486: faster than 80386, initially with built in 80x87.
  • 80586: latest Intel chip, now called Pentium so the 80686 can be the Sexium.
  • 80x87: Intel numerical (math) coprocessor for real number arithmetic. Can be 8087, 80287, or 80387. For 40486, you need to check if the CPU is DX (good) or SX (bad). Necessary for many operations in MICRODEM. Hard to believe, but you used to have to pay extra for this.
  • ADRG: Arc Digitized Raster Graphics, NIMA scanned maps.
  • ASCII: American standard code for information interchange, which produces files that can be read. In contrast binary files produce more compact storage for numbers or executable code. If a file contains happy faces and other unrecognizable characters, it probably isn't ASCII. Standard ASCII covers 128 characters; IBM introduced a standard for a "higher" set of 128 characters that includes graphics, Greek symbols, and other useful characters (like #248, the degree symbol °). The "high ASCII" characters may not show up as expected on all monitors or printers, including some of IBM's own (like the CGA). Now there is UNICODE.
  • AVHRR: 5 band (VIS, IR, 3 thermal) instrument on NOAA polar orbiting satellite.
  • Binary: format used internally by the computer, with 8-bit bytes having values 0-255. In this format files cannot be printed or listed on the screen; if attempted, the screen will fill with "happy faces" and other wonderful characters. Binary format results in more compact storage for numbers than ASCII.
  • Borland Pascal: (archaic) whatever happened to poor Turbo Pascal? A better marketing name or something.
  • CADRG: Compressed Arc Digitized Raster Graphics, NIMA scanned maps.
  • CD: compact disk, optical storage for hundreds of megabytes.
  • CGA: (very archaic) Color Graphics adapter, which allows 4 colors with 320x200 resolution. Now pretty obsolete.
  • CGL: Computer Graphics Laboratory, US Military Academy, the father of microcomputer DEM analysis.
  • CIB: Controlled Image Base, a NIMA standard produce with compressed black and white imagery.
  • Column: runs up and down (vertical) in a data set; the number of columns measure the horizontal (across, or east-west) extent of a data set.
  • CPU: central processing unit, the brain of a computer.
  • Datum: constants for shape of the earth. Since all maps don't use the same one, and especially because NAD84 is replacing NAD27, there will be problems with coordinates "moving" up to 100 m in the U.S.
  • Delphi: the latest incarnation of Turbo and Borland Pascal. Makes programming for Windows bearable, and introduced us to databases.
  • DEM: Digital elevation model.
  • DMA: (archaic) Defense Mapping Agency, creator of digital cartographic data for DOD, now know as NIMA.
  • DNAG: Decade of North American Geology, the celebration of the centennial of the Geological Society of America, which produced a number of gridded geophysical data sets.
  • DOD: Department of Defense.
  • DPI: dots per inch. Printers have not gone metric.
  • DS/DD: double sided, double density. 5.25" disks with 360 kb capacity.
  • DTED: Digital terrain elevation data; DMA's name for the 1:250K DEM.
  • DTM: digital terrain model.
  • EGA: (archaic) enhanced graphics adapter, with 16 colors and 640 x 350 resolution.
  • EMS: (archaic) Expanded Memory Specification. A way to address memory above 640 kb; the DEM can be loaded here. A software driver must be loaded; DOS 5.0 handles this for you with EMM386.EXE.
  • Epson: (archaic) printer manufacturer whose dot matrix graphics standards are emulated by most other printers.
  • EROS: Earth Resource Observation Satellite, an early name for Landsat. There is still an EROS Data Center in South Dakota, and the name is used for some of MICRODEM's satellite source code. It makes computers sound erotic.
  • ETL: (archaic) Engineer Topographic Laboratories, at Fort Belvoir, VA, the Army's research lab for computer mapping. Now know as TEC.
  • Flippy: cute little 3½" disks.
  • GAC: Global Area Coverage, resampled 4 km resolution data from the AVHRR.
  • GIGO: Garbage In, Garbage Out
  • GNA: Geophysics of North America, CD-ROM from NGDC, NOAA.
  • GPS: Global Positioning System, satellite navigation with accuracies better than 100 m. This was with Selective Availability deliberately degrading things; now 5 m or better is probably the case.
  • GUI: Graphical User Interface.
  • HD: high density floppy 5.25" disk with 1.2 Mb capacity, or 3½" disk with 1.44 Mb capacity.
  • IBM: International Business Machines.
  • Index contour line: every fifth contour line is usually a different (bolder) color.
  • IR: infrared. The near IR clearly differentiates land, water, and vegetation, and is widely used in remote sensing.
  • kb: kilobyte, or one thousand bytes (actually 1024 because the computer uses the binary system).
  • Mac: not spoken here.
  • MaxInt: largest value (32,767) for the standard two byte integer type; used for missing values.
  • Mb: megabyte, or one million bytes (actually 1024²).
  • MICROFIX: a souped up Apple II that ran the Army's first fielded microcompuer terrain analysis program, TERRANAL.
  • MS-DOS: Microsoft Disk Operating System, used by IBM PC and compatibles.
  • MSS: Multi Spectral Scanner, 79 m resolution scanner on the Landsat satellites.
  • NAD-27: North American Datum 1927, datum used for USGS 1:24K DEM and currently published topographic maps. Being replaced by NAD-83.
  • NAD-83: North American Datum 1983, to be adopted imminently. Coordinates (latitude and longitude) will be displaced by up to 100 m from their previous locations under NAD-27.
  • NCIC: National Cartographic Information Center, part of USGS, your source for information on DEMs.
  • NGA: National Geospatial-Intelligence Agency (see NIMA, DMA, and AMS)
  • NGDC: National Geophysical Data Center, in Boulder, CO, part of NOAA.
  • NIMA: National Imagery and Mapping Agency, the new name for DMA, until the new name became NGA.
  • NOAA: National Oceanic and Atmospheric Administration
  • NT: as in Windows NT, the more secure version of Windows 95, a 32 bit operating system
  • Olenellus: a genus of Lower Cambrian trilobite.
  • PC: personal computer.
  • Pentium: see 80586. Get one.
  • RAM: Random Access Memory, the memory available to the computer to load programs or data.
  • RPF: the NGA data standard for CIB and CADRG.
  • ROM: read only memory, not directly useful to user.
  • Row: runs across (horizontal) a data set; the number of rows measures the vertical (up-down, north-south) extent of a data set.
  • Sexium: the logical next step after the Pentium. But they came out with the Pentium II instead.
  • SLAR: side looking airborne radar.
  • SPOT: commercial French satellite with 10 m resolution.
  • SVGA: super VGA, with 256 or even 32K or more colors in useful resolutions like 1024x768.
  • TEC: the Army's Topographic Engineering Center, at Fort Belvoir, VA. Was once ETL.
  • Terra Base: the last microcomputer DEM manipulation program written at the CGL, USMA, and then maintained after a fashion by ETL. It used 30' subsets of DTED level 1. It was a late 1980’s vintage MS-DOS program.
  • Terra Base II: a military version of MICRODEM fielded in the summer of 1987 by the Army Engineer School for Windows 95/NT.
  • TERRANAL: the first microcomputer DEM manipulation program written at the CGL, USMA. It ran on the Microfix (a souped up Apple II) and on MS-DOS machines. Its author left the Army to raise trilobites, but wound up at USNA. It stands for TERRain ANALyis, nothing dirty, so clean out your mouth with soap and stop being Freudian.
  • TM: Thematic Mapper, 30 m resolution data from Landsat satellites.
  • Turbo Pascal: (archaic) the original language for learning to program.
  • USGS: United States Geological Survey.
  • USMA: United States Military Academy, West Point, NY. The Corps really has.
  • USNA: United States Naval Academy, Annapolis, MD.
  • UTM: Universal Transverse Mercator coordinate system. See Department of the Army (1969) or Merrill (1986).
  • VGA: (archaic) virtual graphics adapter, providing 640x480 resolution in 16 colors or a very grainy 320x200 resolution in 256 colors, selected from a palette of 64 cubed. Once really cool, now you’re in trouble if this is all your computer does.
  • WGS-72: World Geodetic System 1972, datum used for early 1:250K DEM.
  • WGS-84: World Geodetic System 1984, datum now used by DMA.
  • Windows 3.xx: (archaic) nifty operating system, but used enough memory that I didn't use to recommend using it with MICRODEM. Then along came Delphi and cheap memory.
  • Windows 95: great when Delphi 95 came along. MICRODEM now works on nothing else (OK, it works on NT and 98).

Last revision 11/16/2006


Selected References

These lists will be idiosyncratic and perhaps dated; there is no attempt to keep them current. If you want more current references, look for papers that have cited these papers.

  • ASTER GDEM
  • Curvature
  • Drainage Basin Delineation from DEMs
  • Geomorphometric parameters
  • History of MICRODEM
  • Interpolation methods
  • Openness
  • Plate rotation models
  • Reflectance maps.
  • Satellite image analysis
  • Slope computations
  • Solar illumination
  • Terrain organization
  • Viewshed/weapons fans

Other references:

  • Clarke, K.C., 1986, Computation of the fractal dimension of topographic surfaces using the triangular prism surface area method: Computers & Geosciences, vol.12, no.5, pp.713-722.
  • Cole, G., MacInnes, S., and Miller, J., 1990, Conversion of contoured topography to digital-terrain data: Computers & Geosciences, vol.16, no.1, p.101-110.
  • Cox, A., & Hart, R.B., 1986, Plate tectonics how it works: Blackwell, 392 p.
  • Davis, J.C., 1973, Statistics and data analysis in geology: New York, Wiley, 1st edition, 550 p. [contains FORTRAN code not present in the second edition]
  • Defense Mapping Agency, April 1983, Product Specifications for Digital Landmass System (DLMS) Data Base. Stock No. SPEXDLMS2.
  • Defense Mapping Agency, April 1985, DOD DMA Catalog of Maps, Charts, and Related Products. Part 7, Digital Data Products. Volume 1, Terrain and Feature Data.
  • Defense Mapping Agency, Sept 1990, Datums, ellipsoids, grids, and grid reference systems: DMA Technical Manual 8358.1, Stock No. DMATM83581TEXT.
  • Defense Mapping Agency, 1991, Department of Defense World Geodetic System 1984: its definition and relationships with local geodetic systems: Technical Report 8350.2, 2d edition.
  • Department of the Army, 1969, Map Reading: Field Manual 21-26.
  • Department of the Army, February 1970, Topographic Surveying: Technical Manual 5-441.
  • Drummond, R.R., and Dennis, H.W., 1968, Qualifying relief terms: Professional Geographer, vol.20, no.5, p.326-332.
  • Elassal, A.A., and Caruso, V.M., 1983, USGS Digital Cartographic Data Standards: Digital Elevation Models: U.S. Geological Survey Circular 895-B, 40 p.
  • Etzelmuller, B., 2000, On the quantification of surface changes using grid-base digital elevation models (DEMs): Transactions in GIS, vol.4, no.2, p.129-143.
  • Evans, I.S. 1998 What do terrain statistics really mean? Ch.6, 119-138 in S.N. Lane, K.S. Richards & J.H. Chandler (eds.) Landform monitoring, modelling and analysis. J.Wiley, Chichester. ISBN 0-471-96977-X.
  • Eyton, J.R., 1991, Rate-of-change maps: Cartography and Geographic Information Systems, vol.18, no.2, pp.87-103.
  • Fisher, N.L, Lewis, T., and Embleton, B.J.J. 1987, Statistical analysis of spherical data: Cambridge University Press, 330 p.
  • Gallant, J.C., Moore, I.D., Hutchinson, M.F., and Gessler, P., 1994, Estimating fractal dimension of profiles: A comparison of methods: Mathematical Geology, Vol.26, No. 4, p. 455 – 481.
  • Guth, P.L., 1986, TERRANAL: Microcomputer terrain mapping package, ACSM-ASPRS (American Congress on Surveying and Mapping -- American Society of Photogrammetry and Remote Sensing) Annual Meeting, March 1986, Washington, conference proceedings, vol.1, p.114-122.
  • Guth, P.L., 1991, Combining imagery and digital elevation models on a personal computer: Proceedings, Eighth Thematic Conference on Geologic Remote Sensing, 1 May 1991, Denver, Colorado, vol.2, p.921-929.
  • Guth, P.L., 1992, Microcomputer application of digital elevation models and other gridded data sets for geologists: in Kürzel, H., and Merriam, D.F., ed., Use of Microcomputers in Geology, [Proceedings International Geological Congress], Computer Applications Series, Plenum, pp.187-206.
  • Guth, P.L., 1999, Contour line “ghosts” in USGS Level 2 DEMs: Photogrammetric Engineering & Remote Sensing, vol.65, no.3, p.289-296.
  • Guth, P.L., 2006, Geomorphometry from SRTM: Comparison to NED: Photogrammetric Engineering & Remote Sensing, special issue based on Shuttle Radar Topography Mission—Data Validation and Applications Workshop, Reston, VA, 14 June 2005, vol.72, no.3, p.269-277.
  • Guth, P.L., and Craven, T., 2006, Using DEMs to register oblique photographs and web cameras: Proceedings ASPRS 2006 Annual Conference, Reno, NV, May 1-5, 2006. 11 page paper on CD-ROM.
  • Guth, P.L., Ressler, E.K., and Bacastow, T.S., 1986, Computerized terrain analysis for the field: technology and software deployable today: 15th Army Science Conference Proceedings, June 1986, West Point, New York, vol.1, p.371-385.
  • Guth, P.L., Ressler, E.K., and Bacastow, T.S., 1987, Microcomputer program for manipulating large digital terrain models: Computers & Geosciences, vol.13, no.3, p.209-213.
  • Li, Z., 1992, Variation of the accuracy of digital terrain models with sampling interval: Photogrammetric Record, vol.14, no.79, pp.113-128.
  • Luo, W., 1998, Hypsometric analysis with a geographic information system: Computers & Geosciences, vol.24, no.8, p.815-821.
  • Mark, D.M. (1975) Computer Analysis of Topography: A Comparison of Terrain Storage Methods, Geografiska Annaler: Series A, Physical Geography, 57:3-4, 179-188, DOI: 10.1080/04353676.1975.11879914
  • Mark, D.M, 1975, Geomorphometric Parameters: A Review and Evaluation: Geografiska Annaler. Series A, Physical Geography, Vol. 57, No. 3/4, pp. 165-177.
  • Merrill, G.K., 1986, Map location literacy--How well does Johnny Geologist read: Geological Society of America Bulletin, vol.97, p.404-409. [Defense UTM grid system]
  • Moore, J.G., & Mark, R.K., 1992, Morphology of the Island of Hawaii: GSA Today, vol.2, no.12, pp.257-259, 262.
  • Pike, R.J., 1993, A bibliography of geomorphometry with a topical key to the literature and an introduction to the numerical characterization of topographic form: USGS Open File Report 93-262-A, 132 p.
  • Press, W.H., Flannery, B.P., Teukolsky, S.A., and Vetterling, W.T., 1986, Numerical Recipes: the Art of Scientific Computing: Cambridge University Press, 818 p.
  • Raseman, S., Schmidt, J., Schott, L., and Dikau, R., 2004, Geomorphometry in mountain terrain: in Bishop, M.P., and Shroder, Jr., J.F., eds., Geographic information sciences and mountain geomorphology, Springer and Praxis Publishing, p.101-145.
  • Richards, J.A., 1986, Remote sensing digital image analysis, an introduction: Springer-Verlag, 281 p.
  • Schmidt, J., Evans, I.S., and Brinkmann, J., 2003, Comparison of polynomial models for land surface curvature calculation: International Journal of Geographical Information Science. 17:797-814.
  • Selner, G.I., and Taylor, R.B., 1987, GSDRAW and GSMAP version 4.0, prototype programs for the IBM PC and compatible microcomputers to assist compilation and publication of geologic maps and illustrations: USGS Open File Report 87-496-A (Documentation), 90 p.; 87-496-B to D (disks); 87-496-E (Tutorial), 55 p.
  • Snyder, J.P., 1987, Map projections -- a working manual: U.S. Geological Professional Paper 1395, 383 p.
  • Stoker, J., 2010, Making lidar more photogenic: Creating band combinations from lidar information: PE&RS, vol.76, no.3, p.216-220.
  • Strahler, A.N., 1952, Hypsometric (area-altitude) analysis of erosional topography: Geological Society of America Bulletin, v.63, no.11, p.1117-1142.
  • Tate , NJ , 1998, Maximum entropy spectral analysis for the estimation of fractals in topography: Earth Surface Processes and Landforms, vol.23, p.1197-1217.
  • Thelin, G.P., and Pike, R.J., 1991, Landforms of the conterminous United States--a digital shaded-relief portrayal: U.S. Geological Survey Map I-2206, plus 16 p. text.
  • Toutin, T., 1997, Qualitative aspects of chromo-stereoscopy for depth perception: Photogrammetric Engineering & Remote Sensing, vol.63, no.2, p.193-203.
  • Toutin, T., and Rivard, B., 1995, A new tool for depth perception of multi-source data: Photogrammetric Engineering & Remote Sensing, vol.61, no.10, p.1209-1211.
  • S. Trevisani, M. Rocca, 2015, MAD: robust image texture analysis for applications in high resolution geomorphometry: Computers & Geosciences, Volume 81, Pages 78-92, https://doi.org/10.1016/j.cageo.2015.04.003 .
  • United States Geological Survey, 1986, Standards for digital elevation models: U.S. Geological Survey Open File Report 86-004.
  • United States Geological Survey, 1990, Digital elevation models, data users guide 5: second printing (revised), Reston, 51 p.
  • Watson, D.F., 1982, Accord: Automatic contouring of raw data: Computers & Geosciences, vol.8, no.1, p.97-101.
  • Wood, Jo, 1996: https://leicester.figshare.com/articles/thesis/The_geomorphological_characterisation_of_Digital_Elevation_Models_/10152368 PhD Thesis, University of Leicester.

Auto-Carto Proceedings online for Number 1 (1974) to Number 13 (1997)

Last revision 10/9/2022


Digital Map Data

MICRODEM supports many data formats.

Suggested sources of free data.

Index data for easy access

Digital elevation model (DEM) provides geometric base for 3D operations. It is a grid, a special kind of raster data, and includes underwater bathymetry. | Scanned maps--DRG, ADRG, CADRG, and NOAA nautical charts. Raster data. "Dumb picture" version of a map. | Land cover classification, raster data with about two dozen categories. | Satellite Imagery, Remote sensing raster data, like Landsat TM | Point Clouds from airborne LIDAR.
Points clouds from terrestrial scanning lidar. | Gazetteers (Text data), which locate places by name. | Vector maps-- especially Shapefiles | GIS Database: tabular data linked to geographic records, either point, line, or area. This is a specialized kind of vector data. |

Some data sets consist of multiple files, and you must pick the correct file to open the data set.

All data used must be registered, meaning that it has earth coordinates associated with the data. While the program has some capabilities to create and register data sets, this requires a high degree of user sophistication and is not recommended for most users.

Last revision 8/5/2015


Key Data Sets

Caveats on these lists.

US Interagency Elevation Inventory: https://coast.noaa.gov/inventory/
USGS

Type of data | US, Large Scale (Small Area) | World, small scale (large area) | World, Large Scale (Small Area)

Lidar Point Clouds

  • Organizing point clouds

US sources, with directions

 Not a good choice

The following countries have good, free lidar:

  • Denmark, Finland, Netherlands, Luxembourg,Norway, Slovenia, Spain, Switzerland, United Kingdom
DEM, resolution from 1 m to 100 m

DEM availability

 3DEP from National Map (directions) and National Map Viewer (download)

Key Global Regional DEMs

CoNED, Coastal National Elevation Data
  • SRTM 15+
  • SRTM30
  • ETOPO1/2/5

Key Global Regional DEMs
Orthoimagery, about 1 m resolution or better

NAIP and higher resolution download (check both USGS sites; they might have different imagery)

  • Earth Explorer directions and EarthExplorer download (suggested first choice, as it has a good projection and a selection of imagery dates)
    • NAIP will be leaf on, about 1 m resolution
    • High resolution might be leaf off, can be down to 6 inch resolution
  • National Map directions and National Map Viewer downloads

WMS service

  • USDA NAIP web service
 Not a good choice
Satellite imagery, 10-30 m resolution
  • Landsat
    • Earth Explorer general directions, specific Landsat dirctions.
    • EarthExplorer download
    • Managing Landsat data
  • Sentinel-2
    • Available from Copernicus Open Access Hub
  • Commercial imagery
  • NASA Blue Marble next generation
  • MODIS rapid response system for moderately sized areas
  • NASA Worldview
  • Landsat
  • Sentinel-2
Land Cover US NLCD from MLRC, 30 m resolution 300 m C3S Global Land Cover
  • Copernicus Global Land Cover 100 m Download at https://lcviewer.vito.be/download
  • 300 m C3S Global Land Cover and Land Cover Maps - v2.0.7 22 classes
  • GlobCover 2009 and 2006 (300 m)
  • Global GLC2000 (1 km)
  • Corine Land cover 2000 and 2006 for Europe (100 m and 250 m)
Vector data
  • TIGER overview Download directions Download site
  • Microsoft Buildings
  • Natural Earth
  • GADM--Global Administrative Areas, with national, state/province, county/equivalent boundaries
  • OpenStreetMap characteristics and OSM download sites--not all countries available; insure you get shapefiles
  • HydroSHEDS--15 sec resolution rivers and drainage basins
  • Global roads: https://ciesin.columbia.edu/confluence/display/roads/Global+Roads+Data, http://sedac.ciesin.columbia.edu/data/collection/groads (get shapefiles)
Gazetteer | National Map Viewer or USGS GNIS for state | NGA for foreign countries

US state sites Country sites All Free Data Key Global Regional DEMs

Last revision 9/27/2023


Free Data

Free Data Sources

Caveats on these lists.

Data portals US state sites Country sites Key data Key Global Regional DEMs

MICRODEM supports many types of data and data formats. Insure the files you download are in an acceptable format. Avoid ESRI e00 format and SPCS data if possible, and never get ERDAS Imagine data.

Some data sets consist of multiple files, and you must pick the correct file to open the data set.

General notes on downloading data.

Other indexes:

  • Virtual Terrain Project's list of links
  • Guide to Mostly On-Line and Mostly Free U.S. Geospatial and Attribute Data from Univ. Arkansas
  • MIT Libraries
Data site
  • Aeronautical charts
    • VFR rasters
    • DOF--Digital Obstacle File
  • Agriculture: http://www.neonscience.org/data/airborne-data
  • Altimeters, laser: LVIS, ICESAT, and ICESAT-2
  • Arctic/Antarctic:
  • Archaeology
    • Underwater cultural heritage database
  • Armed Conflict Location & Event Data Project (ACLED) https://acleddata.com/
  • Bathymetry
  • Beach profiles
  • Biogeophysical http://toyo.mediasfrance.org/?-Biogeophysical-Products,52-
  • Biology
    • Fish and Wildlife Service GIS: http://www.fws.gov/gis/data/national/
    • NOAA West Coast: https://www.westcoast.fisheries.noaa.gov/maps_data/maps_and_gis_data.html
    • Northward migrations: http://www.learner.org/jnorth/
    • Wildlife tracking: https://www.movebank.org/
    • Marine tracking http://www.gtopp.org/
    • MoveBank: animal tracking data, https://www.movebank.org/
    • MEOP "Marine Mammals Exploring the Oceans Pole to Pole"
    • Tree species ranges
    • World Ecoregions: http://www.worldwildlife.org/science/data.cfm a shapefile Olson, D. M., Dinerstein, E., Wikramanayake, E. D., Burgess, N. D., Powell, G. V. N., Underwood, E. C., D'Amico, J. A., Itoua, I., Strand, H. E., Morrison, J. C., Loucks, C. J., Allnutt, T. F., Ricketts, T. H., Kura, Y., Lamoreux, J. F., Wettengel, W. W., Hedao, P., Kassem, K. R. 2001. Terrestrial ecoregions of the world: a new map of life on Earth. Bioscience 51(11):933-938.
      •
  • BLM PLSS (Public Land Survey System)
  • Boundaries
  • Building outlines
  • CDL--Cropland Data Layer (US)
  • Cities: Lat, Long, Name, Population
    • https://public.opendatasoft.com/explore/dataset/worldcitiespop/export/?disjunctive.country
    • https://hub.arcgis.com/datasets/6996f03a1b364dbab4008d99380370ed_0
  • Climate and weather
  • Coastal topography
    • Coastl Relief Models: https://www.ngdc.noaa.gov/mgg/coastal/crm.html mostly 3 arc second
    • Coastal Elevation Models: https://www.ngdc.noaa.gov/mgg/coastal/coastal.html 1/9 second to 3 second
    • https://go.climatecentral.org/coastaldem/ SRTM at 3" improved with other data https://www.nature.com/articles/s41467-019-12808-z#Sec15
  • Coastlines
  • Conflict: Armed Conflict Location & Event Data Project (ACLED) https://acleddata.com/
  • Contours (see http://pubs.usgs.gov/sir/2012/5167/)
  • Corruption: https://www.transparency.org/cpi2018
  • Country outlines
    • Natural Earth has a single shapefile with all countries, with two and three letter country codes
    • http://thematicmapping.org/downloads/world_borders.php
    • GADM requires download of the entire world (1.2 GB for the zipped shapefile), but then you can use just the level-0 for country outlines (500 MB), although this might have much more detail than needed for small scale maps.
  • County outlines
  • Crime
    • https://www.icpsr.umich.edu/icpsrweb/NACJD/studies/36399 (this is 2014, but site has other data sets)
  • Crisis support
    • FEMA geoportal: http://fema.maps.arcgis.com/home/
    • NGA portal: http://nga.maps.arcgis.com/home/
    • US State Department Humanitarian OpenStreetMap Team
    • Armed Conflict Location & Event Data Project (ACLED) https://acleddata.com/
  • Dams:
    • http://globaldamwatch.org/good2/
    • Global Reservoirs and Dams database (GRanD) http://globaldamwatch.org/grand/
    • GlObal GeOreferenced Database of Dams (GOODD) http://globaldamwatch.org/goodd/
    • GDAT: Global Dam Tracker
      • https://www.nature.com/articles/s41597-023-02008-2#Sec11
      • https://zenodo.org/record/7616654
  • DEMs--Digital Elevation Models (Key Global Regional DEMs)
  • Disaster Risk:
    • GAR 2017 Atlas Risk Data and Software Download Facility
    • Disasters/hazards, Geologic:
    • UNITED NATIONS SATELLITE CENTRE UNOSAT: https://www.unitar.org/sustainable-development-goals/united-nations-satellite-centre-UNOSAT
  • DRGs (scanned maps)
  • Drought
    • US https://www.drought.gov/drought/data-maps-tools
    • North America: https://www.drought.gov/nadm/content/welcome Monthly shapefiles back to 2002
    • Global: https://www.drought.gov/gdm/content/welcome
  • Economic and demographic data
    • American community survey
    • American religion census, 1952-2010
    • Broadband availability (CSV, with block codes)
    • Bureau of Economic Analysis (Excel, which can be converted to CSV and then shapefiles)
    • Population and population density
    • World GDP from satellites (night lights)
    • World population (TIFF grids)
  • Ecosystems: I was not able to actually find the coastline data (it might be in a monstrous mpk file, a nice proprietary ESRI product)
    • Global Ecosystems, https://rmgsc.cr.usgs.gov/ecosystems/datadownload.shtml ESRI mpk files, which QGIS might read
    • Roger Sayre, Suzanne Noble, Sharon Hamann, Rebecca Smith, Dawn Wright, Sean Breyer, Kevin Butler, Keith Van Graafeiland, Charlie Frye, Deniz Karagulle, Dabney Hopkins, Drew Stephens, Kevin Kelly, Zeenatul Basher, Devon Burton, Jill Cress, Karina Atkins, D. Paco Van Sistine, Beverly Friesen, Rebecca Allee, Tom Allen, Peter Aniello, Irawan Asaad, Mark John Costello, Kathy Goodin, Peter Harris, Maria Kavanaugh, Helen Lillis, Eleonora Manca, Frank Muller-Karger, Bjorn Nyberg, Rost Parsons, Justin Saarinen, Jac Steiner & Adam Reed (2019) A new 30 meter resolution global shoreline vector and associated global islands database for the development of standardized ecological coastal units, Journal of Operational Oceanography, 12:sup2, S47-S56, DOI: 10.1080/1755876X.2018.1529714
  • Energy
    • Geothermal: https://www.nrel.gov/gis/data-geothermal.html
    • Solar: https://www.nrel.gov/gis/data-solar.html
    • Wind: https://www.nrel.gov/gis/data-wind.html
  • Environmental Atlas, EPA https://enviroatlas.epa.gov/enviroatlas/interactivemap/ environmental and demographic data
  • Fires (wildfire/forest fire)
  • Flood
    • FEMA Flood Maps--data sold, but FIRMettes are free and could be registered. Some DFIRM sample data sets, but most cost $10.
    • https://www.fema.gov/national-flood-hazard-layer-nfhl
    • https://waterwatch.usgs.gov/?id=wwds_shp
    • https://stn.wim.usgs.gov/FEV
  • Forests
    • Global change, 2000-2019 http://earthenginepartners.appspot.com/science-2013-global-forest/download_v1.7.html
    • Forests in west Africa, 50 cm imagery derived. Brandt, M., C.J. Tucker, A. Kariryaa, and K. Rasmussen. 2020. An unexpectedly large count of trees in the West African Sahara and Sahel. ORNL DAAC, Oak Ridge, Tennessee, USA. https://doi.org/10.3334/ORNLDAAC/1832 https://daac.ornl.gov/cgi-bin/dsviewer.pl?ds_id=1832

    • Global Forest Canopy Height, 2019 https://glad.umd.edu/dataset/gedi

    • Fires (wildfire/forest fire, especially landfire)

      •
  • GADM: global administrative boundaries
  • Gazetteer
  • Geodetic survey control
    • NGS ground control points, shape file (all the resulting fields are strings, so you must fix, such as by writing to a CSV file and reimporting) (beta version, but still all strings)
    • DSWorld--create KML file of survey points.
  • Geoid/Gravity
  • Geology
  • Glaciers
    • https://www.glims.org/RGI/
    • http://glims.colorado.edu/glacierdata/
    • https://nsidc.org/data/g01130

    • Glacier lake outburst floods. GLOF inventory V2.0 is freely available at http://glofs.geoecology.uni-potsdam.de , and archived at https://doi.org/10.5281/zenodo.7326571 .

  • Global DEMs
  • Google Earth data files
  • Groundwater: https://nwis.waterdata.usgs.gov/ca/nwis/gwlevels?
  • Hazards: https://hazards.geoplatform.gov/portal/apps/MapSeries/index.html?appid=ddf915a24fb24dc8863eed96bc3345f8 EPA county and census tract rankings of hazards (using likelihood and potential loss); shapefiles available
  • Health
    • http://ghdx.healthdata.org/us-data By county, directions to enable use
    • Health: http://www.healthdata.org/us-health/data-download has Excel spreadsheets with county names that could be joined to geographic shaperfiles. Alcohol, life expectancy, obesity, and physical activity.
    • Demographic and health data from USAID https://www.dhsprogram.com/data/available-datasets.cfm
    • https://vizhub.healthdata.org/lbd/malaria
  • Historic map scans
  • History
    • Trans-Atlantic slave trade: https://www.slavevoyages.org/
  • Hydrography
  • Hydrologic predictions
    • https://water.weather.gov/ahps2/download.php?wfo=ilm
    • https://water.weather.gov/ahps2/index.php?wfo=ilm
  • Irrigated land percentages
  • KML for Google Earth
  • Lakes and wetlands from WWF: https://www.worldwildlife.org/pages/global-lakes-and-wetlands-database
  • Land cover
  • Landslides
  • Laser altimetry: LVIS, ICESAT, and ICESAT-2
  • Lidar Point Cloud Data Sources
  • Mangroves: https://data.unep-wcmc.org/datasets/4
  • Marine regions and gazetters
  • Nautical charts
  • Night lights
  • Noise: online maps, unclear how to get underdlying grids
    • http://osav-usdot.opendata.arcgis.com/
    • https://maps.bts.dot.gov/arcgis/apps/webappviewer/index.html?id=a303ff5924c9474790464cc0e9d5c9fb
  • Oceanography
  • Online historic GIS
  • Piracy NGA's Anti-Shipping Activity Messages (ASAM): http://msi.nga.mil/NGAPortal/MSI.portal?_nfpb=true&_pageLabel=msi_portal_page_65--available as shapefile or KMZ
  • Planets and moons
    • Mars MOLA 200 m DEM (account required)
    • Mars data, MOLA tiles in IMG format: https://ode.rsl.wustl.edu/mars/indexproductsearch.aspx
    • Planets and moons, imagery
  • PLSS (Public Land Survey System)
  • Population:
    • http://www.worldpop.org.uk/data/get_data/ or https://www.worldpop.org/project/list
    • https://ciesin.columbia.edu/data/hrsl/ 1 second data
    • https://data.humdata.org/dataset/highresolutionpopulationdensitymaps Facebook data, currently for Africa, but more coming
    • https://ghsl.jrc.ec.europa.eu/data.php Global Human Settlement
    • https://www.popgrid.org/ interactive online viewer
  • Public Health/GIS
  • Redistricting
    • https://redistrictingdatahub.org/ register, and download shapefiles (and other data, such as election by precinct)
  • Redlining (Home Owners’ Loan Corporation, HOLC maps)
    • https://dsl.richmond.edu/panorama/redlining/#loc=13/37.549/-77.517&city=richmond-va&text=downloads
    • https://www.nytimes.com/interactive/2020/08/24/climate/racism-redlining-cities-global-warming.html
  • Rivers and drainage basins
  • Roads
    • Roads, US (also TIGER files from Census Bureau)
    • Roads, World OpenStreetMap
  • Sea Ice and Glaciers
    • Nordic Sea ice edge positions: http://nsidc.org/data/g02169.html (some data in shapefiles)
    • Glacier data base: http://glims.colorado.edu/glacierdata/
    • Randolph Glacier Inventory 5.0 (July 2015): http://www.glims.org/RGI/
  • Settlement footprints
    • https://www.esa.int/Applications/Observing_the_Earth/Mapping_our_human_footprint_from_space
    • https://geoservice.dlr.de/web/maps/eoc:wsf2019
    • https://geoservice.dlr.de/web/maps/eoc:wsfevolution
  • SST or Sea Surface Temperature
    •
  • Shorelines
  • Soils
    • https://soilgrids.org/
  • Terrorism: Global Terrorism Database
  • Tidal flats (change detection from Landsat time series)
  • Urban expansion atlas has GIS data.http://www.atlasofurbanexpansion.org/
  • USTopo (DRGs)
  • Vegetation inventories
  • Water
    • Water body masks
    • Conflict: https://www.worldwater.org/water-conflict/
    • Groundwater
  • Weather and climate
  • Wetlands: https://www.fws.gov/wetlands/index.html
  • WMS servers
    • http://viewer.nationalmap.gov/example/services.html
  • Zip codes: ZCTA, Zip codes tabulation areas: TIGER files

Last revision 5/8/2023


DEM Availability

Key Global Regional DEMs Supported data formats. Bathymetery

Scale | Spacing | Data series | Coverage | Provider | Web Source | Notes
Global 5' (~10 km) ETOPO5 Entire world, including ocean basins NOAA

Get ETOPO1 and thin

2' | ETOPO2 | Get ETOPO1 and thin.
2' long (lat has Mercator factor) | Smith & Sandwell Predicted topography | Entire world, including ocean basins | SIO/NOAA | Scripps | Ideal for regional base maps, especially for geologists
1' | ETOPO1 | NGDC | Entire data set, or custom grids
30" SRTM-15 Plus,
SRTM-30_Plus: Merge of SRTM30, Smith & Sandwell, and IBCAO 		Entire world, including ocean basins Scripps Get the SRTM version files, with a data file and an ERS header. Open with MICRODEM which will use GDAL. You will probably have to edit the header to get the correct SW corner.
30" (~1 km) | GTOPO30 | Entire world, land only | USGS | GTOPO30 | Use GMTED2010 as better alternative.
SRTM-30 | Entire world, land only | SRTM-30 | Use GMTED2010 as better alternative.
30", 15", and 7.5" | Global Multi-resolution Terrain Elevation Data 2010 (GMTED2010) | Entire world | USGS | GMTED
Regional 3" (60-90 m) Key Global Regional DEMs: SRTM-3, MERIT, COPDEM JPL SRTM Entire world except for polar regions (broadly defined)

National Map Viewer directions.

1" (20-30 m) | Key Global Regional DEMs: COP DEM, SRTM-1, ALOS Global Digital Surface Model "ALOS World 3D - 30m" (AW3D30) ,ASTER GDEM, NASDEM, FABDEM
1" (20-30 m) 3DEP (formerly NED) United States USGS
  • National Map Viewer
 National Map Viewer
10 m NOAA
  • NOAA Tsunami Inundation Grids
  • NOAA Tsunami grids
1/3" | 3DEP (formerly NED) | United States | USGS | National Map Viewer | National Map Viewer "Best" available data from USGS.
1/3" | Continuously Updated Digital Elevation Model (CUDEM) - Third Arc-Second Resolution Bathymetric | Coastal United States | NOAA
1/9" | 3DEP (formerly NED) | United States | USGS | National Map Viewer | National Map Viewer "Best" available data from USGS. Very limited coverage at this scale
1/9" | Continuously Updated Digital Elevation Model (CUDEM) - Ninth Arc-Second Resolution Bathymetric | Coastal United States | NOAA | https://coast.noaa.gov/htdata/raster2/elevation/NCEI_ninth_Topobathy_2014_8483/ | Tiles named for the NW corner
1 m | Coastal National Elevation Database (CONED) | Coastal United States | USGS | https://topotools.cr.usgs.gov/topobathy_viewer/ | Directions
Point (Lidar)

Bathymetry (DEMs under water)

DEM resolution: the tradeoff between detail and file size, and help on selecting the DEM series to use.

  • Table
  • Color maps

Commercial DEMs

Last revision 3/26/2023


Bathymetry

Bathymetry Availability

NOAA Coastal Lidar NOAA point soundings NOAA main bathymetry site Global Multi-Resolution Topography Data Portal

DEMs on land

MICRODEM requires that depths have negative z values. You can quickly edit the DEM to multiply the depths by -1.

Spacing | Data series with MICRODEM directions | Coverage | Provider | Web Source | Notes
1' | ETOPO1 |  |  | NOAA | GEODAS build a grid (use ASCII XYZ) Older versions had 5' and 1' resolution
 | Global Multi-Resolution Topography Data Portal (includes RIDGE data) |  |  | MGDS |
 | Seamount database |  |  | Scripps | GMT format
 | USGS Coastal mapping (includes lakes) |  | USGS | USGS 2 | Crater Lake, Lake Tahoe, San Francisco, Los Angeles, San Diego, Hawaii, Gulf of Mexico--not all may be supported in MICRODEM
3" to 10' | NOAA Design a Grid |  |  | NOAA info NOAA download | US coastal and Great Lakes GEODAS build a grid (use ASCII XYZ for export). If you use the G98 format, expect to have to edit the coordinates of the SW corner.
 | NOAA Multibeam Viewer and Data Downloader |  |  | NOAA |
15" | GEBCO_2022 and earlier Grids |  |  | https://www.gebco.net/data_and_products/gridded_bathymetry_data/ |
15" | SRTM15_PLUS | Entire world, including ocean basins |  | https://catalog.data.gov/dataset/srtm15-plus-data-fusion-of-shuttle-radar-topography-mission-srtm-land-topography-with-measured- https://topex.ucsd.edu/marine_topo/mar_topo.html |
15" and 250 m | NOAA EEZ | US coastlines out to 200 nm | NOAA | NOAA description | EEZ data is old; may have to purchase on CD
1' Geographic 250 m Polar stereographic | International Bathymetric Chart of the Arctic Ocean (IBCAO) | Arctic Ocean |  | NOAA | Current version requires some modification to use
15" and 30" | Land/sea merge | Gulf of Maine | USGS | USGS | Arc, GMT, Matlab and ASCII formats.
3.75" | European waters, EMODNET 2018 |  |  | EMODnet-bathymetry emodnet-hydrography | Get the Arc ASCII. The 16 bit Geotiff is a colored image, and the 32 bit Geotiff has issues. Includes Black Sea, Med, North Atlantic, some Arctic. 2016 version had 7.5" resolution
100 m | EEZ grids | Alaska, East Coast | UNH | UNH | Get the ASCII format.
3" | Land/sea merge | Coastal US Great Lakes Bathymetry | NOAA | NOAA info NOAA download | Available on CD ($).
30 m | US Coastal Estuaries | Selected estuaries, underwater only | NOAA | NOAA | Includes Hudson River, Chesapeake Bay. Get USGS ASCII format for MICRODEM
 | USGS California |  |  | http://walrus.wr.usgs.gov/mapping/csmp/gis.html |
40 feet | Gulf of Mexico |  |  | https://www.boem.gov/Gulf-of-Mexico-Deepwater-Bathymetry/ |
1 m |  |  |  |  |
 | NOAA soundings |  | NOAA |  |
 | NOAA Coastal Lidar directions |  | NOAA | https://coast.noaa.gov/dataviewer/#/lidar/search/ |
 | Continuously Updated Digital Elevation Model (CUDEM) - Ninth Arc-Second Resolution |  | NOAA | https://coast.noaa.gov/htdata/raster2/elevation/NCEI_ninth_Topobathy_2014_8483/ to download by tiles https://coast.noaa.gov/dataviewer/#/lidar/search/ for cut out desired region |
 | Coastal National Elevation Database (CoNED) |  | USGS |  |

Academic Web Sites | Notes on Multibeam Available
http://science.whoi.edu/ahanemo2/ | AHA-NEMO2, Shipboard data web site compiled during R/V Melville NEMO Expedition, Leg 2, D. Fornari, M. Perfit, M. Tolstoy, R. Haymon, D. Scheirer, P. Johnson, G. Kurras, S. White, J. Getsiv, and shipboard scientific and technical party, May, 2000
Hawaii: http://www.soest.hawaii.edu/HMRG/Multibeam/index.php |
http://www.mbari.org/data/mapping/mapping.htm |
http://dusk.geo.orst.edu/tonga/mgr/ http://www2.ocean.washington.edu/gis/active.html | DeepSeaDawn data
http://seafloor.csumb.edu/SFMLwebDATA.htm |
http://www.ngdc.noaa.gov/mgg/inundation/ | Tsunami grids
http://www.ga.gov.au/scientific-topics/marine/bathymetry# MH370 bathymetry and backscatter: http://marine.ga.gov.au/#/ | Australia

Marine geology and geophysics http://www.ngdc.noaa.gov/mgg/mggd.html

ChesBay seds http://www.mgs.md.gov/coastal/data/baysedata.html

Other data

  • Bathy-topo merges, Puget Sound: http://www.ocean.washington.edu/data/pugetsound/psdem2005.html
  • Lake Michigan reef bathymetry: http://geopubs.wr.usgs.gov/open-file/of03-120/gl-data.html#XYZ
  • Australia: https://elevation.fsdf.org.au/
  • USGS Bathymetry Portal (might not have been updated recently)

NCEI's Marine Trackline Geophysical database provides bathymetry (single-beam), magnetics, gravity and seismic reflection data collected during marine cruises from 1939 to the present.:

  • http://www.ngdc.noaa.gov/mgg/gdas/gd_sys.html

https://doi.pangaea.de/10.1594/PANGAEA.924451?format=html#download has data from fracture zones used in a paper in Nature (Grevemeyer, Ingo; Rüpke, Lars H; Morgan, Jason Phipps; Iyer, Karthik; Devey, Colin W (2021): Extensional tectonics and two-stage crustal accretion at oceanic transform faults. Nature, 591(7850), 402-407, https://doi.org/10.1038/s41586-021-03278-9 ). At least for the Atlantis fracture zone, the Global Multi-Resolution Topography Data is much better).

Last revision 9/29/2023


LIDAR Point Cloud Sources

Best sources for free LIDAR point clouds (probably LAS or LAZ format):

US Interagency Elevation Inventory: https://coast.noaa.gov/inventory/

For MICRODEM, the data must be in UTM or geographic coordinates. There are options to reproject with MICRODEM, liblas, or LAStools. LAS lidar

General caveats:

  • May need to get LAStools to
    • reproject data if it is not UTM
    • uncompress LAZ data if that is what you get
  • MICRODEM will identify each project area by the name of the directory. You should put the files for each project in a separate directory, and give it a short, meaningful name
Source and directions | Web site | Notes
USGS TNM Download National Map directions | https://viewer.nationalmap.gov/basic/ | Probably the best starting location in the US
3DEP Lidar Explorer | https://apps.nationalmap.gov/lidar-explorer/#/ | Alternate USGS source I have not used much
OpenTopography directions | https://opentopography.org/ | Mostly US, but now a lot of data from New Zealand. If you have an edu email, you can get USGS and NOAA lidar.
NOAA Coastal Lidar directions | Graphical: http://coast.noaa.gov/dataviewer/?# Projects list: http://coast.noaa.gov/dataviewer/?dataregistry/#/coastallidar Getting lots of data | Some surveys may penetrate water; others only coastal strips of land. For many areas multiple dates are available, showing temporal change. Over 800 data sets now available at OpenTopography to academic users.
Status of state mapping | https://en.wikipedia.org/wiki/National_Lidar_Dataset_(United_States) | My asessment 1/3/2023 is that this listing might not be very current. My list and directions, not exhaustive or necessarily current
Countries with good national lidar: Denmark, Finland, Netherlands, Norway, Slovenia, Spain, UK, Wales |  |

Problems with ftp data download? Your network might view these downloads as a security risk.

Other sites

  • https://coastal.er.usgs.gov/hurricanes/data/lidar.php 2003-2015
  • Puget Sound LIDAR Consortium. State Plane Coordinate System, in feet. Very nice urban data set of downtown Seattle. They might not so active any more.

LVIS: http://lvis.gsfc.nasa.gov/index.php

Commercial LIDAR clearing house:

  • http://lidardata.com/ (US only; they have a KMZ file which slows points representing survey areas; you can download a shape file for each showing the actual coverage areas).

Last revised 1/3/2023


Computer mapping

Introduction to Computer Mapping

Raster Data (satellite image) | Vector Data (TIGER data)

Computer mapping uses the speed and versatility of computer graphics to display spatial data. Digital map data consists of two fundamental types: vector and raster. The type of data determines how it will be stored and displayed.

The basic principles of cartography apply to computer mapping, with some modifications. Computer maps still have scale, although the computer can easily change the display scale. Even when the display scale changes, the underlying scale at which the data was collected cannot change. Because the earth has a three dimensional shape and the map (or computer screen) is a two dimensional flat surface, the cartographer must use a projection to transform three dimensions onto two. Finally, using multiple data sets requires consideration of datums, because all coordinates depend of the reference frame in which they are considered.

To help portray three dimensions on two, maps frequently use isolines, or lines of constant value of a parameter. Contour lines represent isolines of elevation as used on topographic contour maps, and the term contouring has been extended to the general process. Computer contouring uses the computer for fast, consistent contouring.

Approximate conversions, degrees to metric.

Last revision 2/15/2015


Approximate Metric Equivalents for Degrees

Approximate Metric Equivalents for Degrees, Minutes, and Seconds

At the equator for longitude and for latitude anywhere, the following approximations are valid:

  • 1 degree = 111 km (or 60 nautical miles)
  • 0.1 degree = 11.1 km
  • 0.01 degree = 1.11 km (2 decimals, km accuracy)
  • 0.001 degree =111 m
  • 0.0001 degree = 11.1 m
  • 0.00001 degree = 1.11 m
  • 0.000001 degree = 0.11 m (7 decimals, cm accuracy)
  • 1' = 1.85 km (or 1 nautical mile)
  • 0.1' = 185 m
  • 0.01' = 18.5 m
  • 0.001' = 1.85 m
  • 30" = 900 m
  • 15" = 450 m
  • 3" = 90 m
  • 1" = 30 m
  • 1/3" = 10 m
  • 0.1" = 3 m
  • 1/9" = 3 m
  • 1/27" = 1 m

If you report a position to the nearest 0.01° (two decimal places for latitude and longitude), you will only be accurate to around 1 km. While this is adequate for rough locations on a global scale, for detailed work it will be inadequate.

Last revision 5/8/2019


Datum Issues & MICRODEM

Horizontal Datum Issues & MICRODEM

All open maps will have the same primary datum, set on the maps tab of the options form. The datums should be selected before opening data, and you probably cannot set the primary datum with open data sets. All data displays, and coordinate entry, use that datum.

You can display coordinates in two datums as you roam with the mouse. This is also set on the maps tab of the options form. This can include your primary datum and and datum on which the data was digitized, or any choice of two datums. The datums should be selected before opening data.

All DEMs and imagery (including scanned maps) will have a datum transformation applied when you open them. Whatever the datum used to digitize the data sets, they will be displayed on your primary datum. The datum shift moves the SW corner point (for a DEM) and the NW corner point (for an image) to the new datum, and then assumes the horizontal and vertical spacings remain the same in the new datum, and there is not a significant rotation between the two datums. If you do insist on using a primary datum other than WGS84, the raster imagery (DEMs and imagery) should work correctly. When a DEM or image does not explicitly state its datum on import, you will be prompted to enter it.

Vector data (e.g. Shapefiles, and TIGER files) will generally not have a datum shift applied. It is up to you to select the correct primary map display datum for the vector data coming in. Mixing and matching datums with vector data will lead to misregistration.

You can do a datum shift for Shapefiles on the data manipulation form, Resample, Shape file menu choice. You must transform to WGS84 Lat/Long coordinates before using them.

Saving data and datums:

  • Saving as DTED will always transform to WGS84.
  • Saving as GEOTIFF will save the image of the current map in the current primary datum.
  • Saving a DEM in MICRODEM format will save in the current primary datum.

You can get the digitizing datum by looking at the metadata for your files, or the Analyze header menu choice.

Only in exceptional cases should you use another primary datum than NAD83/WGS84, and then you must be careful. The problems will come with plotting vector and GIS database files, which in general will not do a datum shift. In addition, some options in this program assume WGS84 as the datum.

See also:

  • Horizontal datum introduction
  • Datums for warfighters (but equally valid for other users).
  • Datum shifts
  • Datum shift numerical examples
  • Example of incorrect datum shift.
  • Vertical datums

Last revision 8/16/2015


Vertical Datums Basics

Vertical Datums

Elevation uses a vertical datum, which is distinct from the horizontal datum. We refer elevations to sea level, but in practice that is difficult to measure (especially on the continents). We have already referred to the ellipsoid, the best fitting shape of the earth. It is very close to the geoid, a gravitational equipotential surface. This means that every location on the geoid has the same value of gravity, directed perpendicular to the surface, so there is no tendency for water to flow downhill because the water molecules don’t see a hill. The geoid varies from the ellipsoid by ±100 m, primarily due to mass imbalances in the mantle (“fossilized plate tectonics”), and the large changes occur over 1000s of km. Smaller scale changes reflect ocean ridges and trenches, but these are only about ±10 m and occur over hundreds of km so the slopes are very small. Even smaller scale geoid changes of ±1 m reflect ocean currents, over 10's of km. Satellite radar altimeters like Geosat and Topex/Poseidon have measured theses changes in the ocean geoid to an accuracy and precision level of a few cm.

Vertical datums come in three categories: those based on a form of Mean Sea Level (MSL), called orthometric datums, those based on tidally-derived surfaces of high or low water, called tidal datums, and three-dimensional (3-D) datums realized through space-based systems such as Global Positioning System (GPS) which are referenced to the ellipsoid. The "ortho" in orthometric means correct, because we expect heights to be in terms of sea level even if we don't normally think about how hard it is to measure sea level.

Fig. Definitions of height (from an old NIMA web page)

Datum | Height | Example | Creation | Characteristics | Datum transformation
National or continental | Orthometric | NAVD 1929, NGVD 1988 | Traditional survey and leveling, using bench marks, and tied to tide station(s) | Used for maps on land. |
Geodetic | Geoid | EGM2008, EGM 96 | Created from Geoid model from satellite observations with radar altimeters |  | NGA provides grids with differences between WGS84 ellipsoid and EGM 2008 and EGM96, and works worldwide
Ellipsoidal | Ellipsoidal | WGS84 | Derived from horizontal datum and satellite measurments | Instruments such as GPS or ICESAT measure elevation relative to the ellipsoid. These can either be transformed to a geodetic or national datum, or left as ellipsoidal. | NGA provides grids with differences bewteen WGS84 ellipsoid and EGM 2008 and EGM96, and works worldwide
Tidal | Orthometric | Local chart datum from nautical chart with tide gauge | Created from tide record from 18 year Metonic cycle | Applies to a single tide station with epoch, and updated roughly every 18 years. Difficult to extend from the tide gauge. Not used for maps on land. | NOAA Vdatum provides some capabilities for this in the US Can be on MSL, MLLW, or potentially others

Topographic maps from the USGS generally have elevations referenced to an orthometric datum, either the North American Vertical Datum 1988 (NAVD 88) or to the older National Geodetic Vertical Datum 1929 (NGVD 29). Nautical charts have depths referenced to different tidal datums, which can vary from chart to chart. In the United States, mean lower low water (MLLW) is the official NOAA chart datum. To support harbor and river navigation, bridge clearances are referenced to a mean high water (MHW), and not MLLW. In both cases, the choice provides a margin of safety--the water will generally be deeper than depicted, and the bridge clearance will be more.

On land, leveling surveys connect ocean tide gauges and lead to a national or continental survey adjustment. These are done about as often as the vertical datum adjustments, so that the United States has NGVD 1929 and NAVD 88 which correspond roughly with NAD27 and NAD83; this will be updated in 2022. The vertical datum defines a surface to which all surveys and maps refer. Differences in the orthometric vertical datums are usually small (a meter or less), and only affect very precise work. This can often be the case along the coast, where nautical charts introduce another complexity with tidal datums. This is now becoming more important with the increasing availability of LIDAR topography and looking at the impact of rising sea level, where a meter difference is huge.

Nautical charts use as their reference level MLLW. This is the average of the lower of the two daily low tides, and while it makes for safer boating (there should almost always be deeper water than indicated), it requires an adjustment to get to the vertical datum used on land. A nautical chart’s MLLW uses a local tidal gauge and an 18 year tidal record to establish a tidal epoch; these epochs are revised much more frequently than the vertical datums on land. This conversion must be done for local areas, and NOAA has a tool for the conversion at http://vdatum.noaa.gov/. It only works in the US, and requires large data files to make the conversions, particularly for the local tide datums which are only valid for the particular tide station.

When a GPS measures elevation, it most often measures the Ellipsoid height because the ellipsoid is the simplest of the surfaces to define and calculate. This can often be below 0.

Key Global Regional DEMs can either use orthometric or ellipsoid elevations for the 0 point. If the conversion is from the WGS84 ellipsoid (which is the same as ETRF89 or NAD83), they can use grids of earth gravity and the geoid from NGA to perform a vertical datum shift which is required to evaluate DEMs on different vertical datums, or to place the elevations on the geoid (mean sea level) so negative elevations only occur in places like the Dead Sea or Death Valley.

ASPRS had a highlight article on vertical datum transformations in the November 2009 issue. This article describes the implementation of vertical datum adjustments in a particular piece of commercial software (GeoCue), but notes that NOAA and the National Geodetic Survey want more software to deal with tidal datums. This will be required to integrate bathymetric data sets and coastal LIDAR.

Outside references

  • NOAA discussions
    • https://vdatum.noaa.gov/docs/datums.html
    • NAD83 verus WGS84 ellipsoids
  • Vertical datum handling in Geotiff
  • Online computations
    • US VDATUM
    • GEOD18: https://geodesy.noaa.gov/GEOID/GEOID18/computation.html
    • GEOID99: https://www.ngs.noaa.gov/cgi-bin/GEOID_STUFF/geoid99_prompt1.prl
    • EGM 84. 96, amd 2008: https://www.unavco.org/software/geodetic-utilities/geoid-height-calculator/geoid-height-calculator.html

Last revision 5/30/2023


Introduction to DEMs

A digital elevation model (DEM) is a raster data set with a regular grid of elevations arranged by column and row. We use it as a generic term, and there are other more specific terms. DEM's have also been called DTM (Digital Terrain Models, with buildings and vegetation excluded) and DSMs (Digital Surface Models, including vegetation and buildings). Some agencies use DEM in a more restricted sense. USGS now calls their DTM a DEM.

At each location in the raster the elevation is recorded. Elevations were historically recorded as integers to the nearest meter, but most high resolution DEMs now use 4 byte floating point values.

DEM availability table

Two different representations of a DEM: as points on the left, and as areas on the right. For use in slope and many other operations, only the point representation on the left makes sense. The version using areas does not support interpolating between the grid postings.

View of grid data stored in a DEM, available with "Edit DEM grid" option on Edit Menu.

The most common convention for DEMs has the 0,0 point in the SW corner, with rows increasing northward and columns eastward. This is a regular Cartesian grid. This convention differs from the common convention for imagery or that used on computer graphics screens, but MICRODEM will handle all details for any data its supports.

Elevation | Slope | Reflectance | Contours
 The simplest display of a DEM consists of a map, which can display Elevation, Slope, Reflectance, or Contours or other options shown in the Product Gallery . The Reflectance option is probably the most useful, at least to someone who thinks like a geologist.

New DEM on main program toolbar automatically opens a map.

The DEM can also be displayed as 3D views (Perspective, OpenGL), and merged with a wide variety of other map data. See Product Gallery for samples and links to directions.

As a raster, DEMs store only the coordinates of one corner and the spacing in the x and y directions; all other coordinates can be computed from these and and row/column locations of the z values. This can be very efficient in terms of computer storage.

DEMS differ from [image] TINs (Triangulated Irregular Networks), which use a variable point location strategy to put elevations at critical locations. TINs promise to decrease storage enough to make up for having to store x,y, and z coordinates, and to make up for the overhead of triangle indexing, but to date no significant number of TINs have been created to compare with the wide availability of DEM data.

With the rise of LIDAR, some applications are going to direct manipulation of the Point clouds rather than first transforming the data to grids or TINs.

DEM grids for 30 m UTM spacing (triangles) and 1” geographic spacing (squares) for a location in Wyoming. The UTM grid is square, while the geographic grid is almost rectangular. This mismatch varies over the map area, changing slowly in the north-south direction and rapidly east-west.

The most common DEMs use arc second spacing (NED/3DEP, SRTM, ASTER GDEM). The prevalent spacing is 3", and that is often called 90 m or 100 m. The true spacing is close to 90 m in the NS direction, but EW it will be less as you move away from the poles. Now there are global data sets with 1" spacing, and some with 1/3" spacing.

DEM Header information. You can display or edit this data.

Note that the header has information on the datum, size of the DEM, units for horizontal and vertical resolution, spacing, elevation range, the SW corner's coordinates, and whether the data is integer or floating point.

For many applications, DEMs can be regarded as unchanging and a constant layer in a GIS. However, DEMs are now being used to monitor change. Recent eruptions at Mount Saint Helens have been recorded with multiple LIDAR DEMs. SRTM DEMs differ from NED in areas of large open pit mines and the adjacent large spoil piles, which postdate the topographic maps used to create NED. NOAA has been running LIDAR surveys along beaches, recorded changes from coastal erosion after hurricanes or El Nino storms.

MICRODEM deals with practical application of the DEMs, for many users who will view the DEM and its creation as a black box. Users of the DEMs must be aware of the accuracy and resolution limitations of the data, detailed in the published descriptions. For a user without recourse to digitizing (and these large DEMs represent major investments in digitization), a DEM either exists covering the area of interest or does not. If the DEM exists, it is either accurate enough to use or not. That decision will be subjective; in some cases, "pushing" a DEM beyond its accuracy may be preferable to the alternative of using a paper map and doing the work by hand. The user must take responsibility for specific uses of the data. Perfect DEMs will never exist everywhere, and there will always be tradeoffs in their design and use.

See also:

  • DEM availability table
  • Bathymetery
  • Views of California. Multiple DEMs at a variety of scales.
  • Structure of USGS DEMS
  • DEM Data Storage
  • NGS control points to check DEM accuracy
  • Approximate metric equivalents.
  • Relative elevation model
  • Changing resolution

Last revision 9/28/2023


Map Projection

The globe is not the ideal map: it is too small to see any amount of detail, and you can't get a straight edge or protractor on it to measure distances or angles. The central problem in cartography thus becomes flattening a round earth onto a flat piece of paper or a computer screen.

The earth's shape is really extremely close to spherical, but precise maps require a shape model or datum.

A projection is a mathematical equation or series of equations to take a three dimensional location on the earth (even when given in the seeming two dimensional form of latitude and longitude, earth coordinates have an implicit third dimension, the earth radius) and provide two dimensional coordinates to plot on a paper or computer screen.

  • Forward equation: Lat,Long ===> x,y
  • Inverse equation: x,y ====> Lat,Long

Without the use of a chart table and tools, accurate plotting with lat/long coordinates is not easy. The x,y cartesian coordinates make plotting much easier, even if the xy coordinates do not appear on the final map. In other cases, such as the UTM/MGRS coordinates used by the military's ground forces, the cartesian coordinates appear much more prominently on the map than the lat/long graticule.

Example for the Mercator Projection

The use of a single R term indicates this is a spherical projection.
The inclusion of the terms a and e indicate this is an ellipsoidal projection.

Note the much greater inclusion of trigonometric and log/exponents, which are expensive (slow) to compute.

A Perfect projection would preserve:

  • Area
  • Distance
  • Azimuths
  • Shape
  • Navigation routes
  • Parallels evenly spaced
  • Parallels-meridian right angle intersections

You can't get it all (except very large scale maps of small areas when the earth's curvature can be ignored, and they only generally get one thing perfect, and the others are "close" enough that you cannot see the distortion.)

Projection Terms:

  • Conformal: shapes are correct; local angles about point are accurate; local scale about any point is constant. This is generally the most import characteristic; for military users, all NGA maps are conformal except those designed to show the entire world for general description.
  • Equal area: areas correct everywhere
  • Equidistant: distances constant
  • Azimuthal: directions correct with respect to center of map

Special characters desired for some maps:

  • Rhumb lines (constant direction) are straight
  • Great circles (meridians): either straight, or circles
  • Small circles (parallels): shown as circles

Geometric Projection types: distribute error differently depending on the geometry

  • Cone
  • Cylinder
  • Plane

Geometric Projection types: distribute error differently depending on the geometry

  • Plane--a plane is a cone whose apex and base coincide
  • Cone
  • Cylinder--a cylinder is a cone whose apex is located infinitely far from the base

Take the geometric shape, project from the earth onto the shape, and then open up and flatten the shape. Different projections have different properties based on this geometric starting point and how the projecting works.

Diagrams from Wikipedia.

Grids: ease of plotting, with rectangular coordinates; may or may not coincide with lat-long. UTM best known example.

Album of projections.

Table of projection properties

Reference on projections:

  • Snyder, J.P., 1987, Map projections -- a working manual: U.S. Geological Professional Paper 1395, 383 p.

Last revision 2/28/2022


Tissot Indicatrices

The Tissot indicatrix shows the deformation for a map projection. It takes a small circle on the earth's surface, and projects that circle on the map projection. You should look at two things:

  • The shape of the ellipses. If they are circles, the map is conformal. If they are elliptical, the projection distorts shapes and is not conformal.
  • The size of the ellipses. If they are the same size, the projection is equal area.

A map cannot be both conformal and equal area. If you have a large scale map of a small area, it may be "almost perfect" and it may not be apparent which of the two properties is correctly preserved and which is slightly distorted. This is the goal of a lot of projections, to be close enough that distances, areas, and shapes can all be measured easily. As the area mapped gets larger, and the map scale smaller, this becomes increasingly impossible and you must make decisions and compromises.

Tissot indicatrices on conformal Mercator projection.

Three planar projections, which map half of the earth onto a circle, with the Tissot indicatrices and the values of h and k. The h and k values measure the distortion in two directions, stretching or squeezing. Two have h' and k', indicating that there is angular distortion as well.
  • Left map is conformal, with h=k at all points, and the circles stay circular.
  • Center map is equal area; h'*k' ≈ 1. Also note that in the lower right section of the map there is minimal distortion.
  • Right map is neither equal area nor conformal, but has other properties which are useful in some situations.

You can also look at where the values change. For example, for the commonly used map projections:

  • In a Mercator map, the h and k values will be the same along parallels, because of how the cylinder is oriented prior to being unrolled, tangent to the equator.

  • In a UTM map, the h and k values will be the same along the central meridian, where it will be 0.9996. This is because the cylinder is transverse, touching the earth along a central meridian, or a uniform distance away from there. The cylinder is actually secant at two arcs on either side of the central meridian, but those arcs are neither parallels nor meridans. If you rotated the coordinates by 90 degrees (the transverse in the projection name), values of h and k would be the same along the "rotated parallels".

  • Conic projections, Albers and Lambert, will have the same values for h and k at every point on a parallel, with the values increasing away from the standard parallel. They will look virtually identical (the differences are too hard to see with the naked eye, but will be apparent if you look at the h and k values, and should be apparent with only two decimal places. For the conformal Lambert conic, h and k will be the same, while for the equal area Albers, either h or k will be greater than 1, and the other will be less than 1 (their product will be approximately 1, to preserve areas).

In MICRODEM, overlay Tissot indicatrices from the Cartography menu choice of a map menu. You must have the cartography options enabled on the options form.

Tissot references and extensions

  • http://www.physics.drexel.edu/~goldberg/projections/

  • https://arxiv.org/abs/astro-ph/0608501

  • https://arxiv.org/abs/2102.08176 Flat Maps that improve on the Winkel Tripel, suggesting azimuthal equidistant is the "best" projection

Last revision 1/5/2019


Introduction to Marine Geophysics

Marine Geophysics Data Sets

Fundamentals of Radar Altimeters

History of Radar Altimeters

The Geoid

Marine Magnetic Anomalies

Triple junction bathymetry and velocity models and sea floor ages.

Key concepts

Last revision 7/20/2015


Fundamentals of Remote Sensing

Remote Sensing Fundamentals

A remote sensing system uses a detector to sense the reflected or emitted energy from the earth's surface, perhaps modified by the intervening atmosphere. The sensor can be on a satellite, aircraft, or drone. The sensor turns the energy into a voltage, which an analog to digital converter turns into a single integer value (called the Digital Number, or DN) for the energy. Alternatively a digital detector can store the DN directly. We can then display this value with an appropriate color to build up an image of the region sensed by the system. The DN represents the energy sensed by the sensor in a particular part of the electromagnetic spectrum, emitted or reflected from a particular region. The principles can also be applied to sonar imagery, especially useful in water where sound penetrates readily whereas electromagnetic energy attenuates rapidly.

Definitions

Remote sensing systems can be active or passive: active systems put out their own source of energy (a large "flash bulb") whereas passive systems use solar energy reflected from the surface or thermal energy emitted by the surface. Active systems can achieve higher resolution.

Satellite resolution considers four things: spatial, spectral, radiometric, and temporal resolution.

Electromagnetic radiation and the atmosphere control many aspects of a remote sensing system.

Satellite orbits determine many characteristics of the imagery, what the satellite sees, and how often it revisits an area.

The signal to noise ratio is important for the design of remote sensing systems.

Satellite band tradeoffs.

Interpreting satellite reflectance patterns and images uses various statistical measures to assess surface properties in the image.

The colors used on the display are gray shading for single bands, and RGB for multi-band composites. We can also perform image merge and sharpening to combine the advantages of both panchromatic (higher spatial resolution) and color imagery (better differentiation of surface materials).

Keys for image analysis

Hyperspectral imagery

Spectral reflectance library --different materials reflect radiation differently

Remote Sensing Options in MICRODEM

Last revision 5/19/2020


Scaling Vector Data

TIGER data for Pulaski County, Missouri, showing smart scaling over a range of scales that vary by a factor of 40.

Last revised 9/20/2005


Blow Up Vector Data

Blow Up of Vector Data

Data set looks good over a wide range of scales.

Last revision 9/20/2001


Contour Line Ghosts

Guth (1999, PE&RS) introduced the ghost ratio and discussed its importance for USGS Level 2 DEMs.

Characteristics of Digital Elevation Models (DEMs) differentiate those produced from digitized contour lines from those produced directly from imagery. Contour to grid algorithms produce more grid-node elevations with the same elevation as the contour lines compared to elevations different from contour line elevation; this “ghost” artifact reflects the DEM generation process and not the underlying topography. The effect ranges from extreme to slight. These artifacts require users to carefully evaluate their data and analysis methodology, especially when computing derived surfaces from the DEM, such as slope, aspect, or curvature, which magnify data irregularities.

Calculation of the contour ghost ratio (after Guth, 1999).

  • An “on contour line elevation” is defined to be the closest elevation in a DEM corresponding to a contour line on the source map. This definition allows DEMs in meters with source contours in feet.
  • Require that five source map contours appear within the DEM. The method does not require a uniform elevation distribution, but does require enough relief for the assumption of equal probabilities of elevations lying on contour line elevations and adjacent off contour line elevation. It has problems with data sets with very strong modes in the elevation distribution.
  • Exclude sea level, lakes, and playas, since they can constitute a large fraction of the DEM and influence the results depending on whether or not they happen to coincide with a contour line. A simple exclusion routine ignores all points with the same elevation as their eight surrounding neighbors.
  • Compute the percentage of the remaining points on contour lines, NumPoints.
  • Compute the percentage of elevations in the DEM relief range that lie on contour lines, NumLines.
  • Compute the contour ghost ratio, NumPoints / NumLines.

The algorithm tests for a variety of likely contour intervals (5; 10; 20; 40; 80; 100; 200 feet and 5; 10; 20; 50 m) and reports the contour interval with the largest ghost ratio. The larger intervals will only be tested for smaller scale DEMs, and only in rugged terrain where at least 5 contour lines would appear.

To illustrate the ghost ratio, consider a map with an elevation range from 53 to 76 m. There are 24 possible elevations (53 to 76 inclusive), and for a contour interval of 10 m (contour lines at 60 and 70 m) 8.33% (2/24) of the points should lie on contour lines. If 10.83 % of the points in the DEM had elevations of 60 and 70 m, the ghost ratio would be 10.83 / 8.33 or 1.30. This example would in fact be excluded by criterion 2 above, but it illustrates the method.

To calculate the ghost ratio, open a DEM and then pick the “Analyze, DEM properties, Contour ghosts” menu choice.

Last revision 12/24/2009


Slope Algorithms

Znw | Zn | Zne
Zw | Z | Ze
Zsw | Zs | Zse

The slope is taken as a dZ value divided by a horizontal distance. The horizontal distance is the data spacing (east-west, north-south, or diagonal) for the one point and nine point methods, and twice that distance for the four and eight point methods. For DEMs like the USGS 10 m and 30, the NS and EW spacings are the same; they differ for data like the USGS NED, USGS 1:250K DEM, SRTM, and DTED with geographic spacing.

Aspect, the downhill direction, can be computed as a byproduct of the slope computation.

Slope and aspects, the magnitude and direction of the vector tangent to the topographic surface pointing downhill at a point, have been computed with a multitude of methods; Eyton (1991) and Carter (1992) list a number of references. The following discussion centers on the methods implemented in MICRODEM; the references point to clear expositions of the method, and not necessarily the first use of the method, many of which are in hard to location publications in the gray literature. The algorithms fall into several categories, depending on the number of neighboring points considered to compute the slope and aspect.

In general the choice of slope algorithm does not make much difference, and you should just stick with the default.

Two neighbors:

  • Batson & others (1975): calculates component of slope in direction of one of the nearest neighbors. Strictly speaking this value of slope should be assigned to a spot halfway between the point and the neighbor used. This is the fastest algorithm, with no calculation for aspect, and has limited applicability. MICRODEM used it at one time for modeling radar reflectivity from the DEM, as the look direction for SLAR is typically to the east or west.

Three neighbors:

  • O'Neill & Mark (1987): three points uniquely define a plane; this algorithm uses the point and its neighbors to the north and east (Z, Zn, and Ze). The simplest measure, it has the lowest correlations with all other methods. Other equally arbitrary choices of points to use would give different slopes and aspect directions. This method would be used for TINs, where the slope and aspect apply to the triangular facet and not the point at which the slope will change. Called the “simple method” by Jones (1998) who chose the points to the north and west. This method assigns the values from the triangle to the point in the center and assumes it covers a rectangular grid. A more sophisticated, but harder to implement, version would compute a different slope for each of the eight triangular regions about the point.
  • Four contiguous right triangles ( Onorati and others, 1992 ) Sub-pixel calculations: using two neighbors about the point, four subpixels can be computed. The four use points (Z, Zn, Zw), (Z, Zn, Ze), (Z, Zs, Zw), and (Z, Zs, Ze).

Four neighbors to N, S, E, and W (excluding point itself) (rook's case):

  • Four neighbors (e.g. Ritter, 1987; Zevenbergen and Thorne, 1987; Band, 1989; Eyton, 1991; Carter, 1992) Called the Fleming & Hoffer (1979) method by Jones (1998) for a Purdue University technical report. Evans (1972) may have described this method, and amplified it in Durham University technical reports (Evans, 1979; Young, 1978); Shary (2002) calls this the Evans-Young method. This gets a dx from Ze-Zw, and a dy from Zn-Zs, and calculates the slope and aspect from them. The value is assigned to the central point, even though its elevation is not used in the calculation.

Four neighbors to NW, SE,N E, and SW (excluding point itself) (bishop's case):

  • Diagonal Ritters: proposed by Jones (1998), using the 4 diagonal neighbors. This gets a "dx" from Znw-Zse, and a "dy" from Zne-Zsw, and calculates the slope and aspect from them. This effectively averages slopes over a longer distance, since the diagonals are longer than the distances to the nearest neighbors. The value is assigned to the central point, even though its elevation is not used in the calculation.

Eight neighbors (excluding point itself) (Queen's case):

  • Horn method (Horn, 1981): nearest points weighted more than diagonal neighbors. This method is also known as the Sobel operator (Richards, 1986). The point itself has no influence on the calculated slope (Guth, 1995). Jones (1998) discusses two variants, using 1/r and 1/r² weightings. The value is assigned to the central point, even though its elevation is not used in the calculation.
  • Sharpnack & Akin (Sharpnack and Akin, 1969; also "mean method" in ELAS, cited in Ritter, 1987): all neighbors weighted equally. The point itself has no influence on the calculated slope (Guth, 1995) The value is assigned to the central point, even though its elevation is not used in the calculation.
  • Local Trend Surface (Heerdegen and Beran, 1982): this method is equivalent to fitting a second order trend surface (z = a + bx + cy + dx² + ey² + fxy) to the nine points using the algorithm in Davis (1973), but an order of magnitude faster. The algorithm was modified for MICRODEM to allow different x and y data spacing, but gives the same results as the Sharpnack & Akin algorithm. The point itself has no influence on the calculated slope (Guth, 1995).The value is assigned to the central point, even though its elevation is not used in the calculation.
  • Constrained quadratic surface method (Wood, 1996 thesis, cited in Jones, 1998). The trend surface is constrained to go through the point itself. The value is assigned to the central point.

Nine points:

  • Steepest Adjacent Neighbor
  • Steepest downhill neighbor (D8): similar to the steepest neighbor, but the point must be lower in elevation than the central point. The value is assigned to the central point. Most drainage basin algorithms use a variant of this algorithm, looking only for the neighbor into which water will flow.
  • Average neighbor: averages slopes to the eight nearest neighbors. Its estimate is about 50% of the Steepest neighbor, because the slopes at 90° to the maximum will typically be nearly horizontal. The value is assigned to the central point. This is directly proportional to TRI.

Table. Selected Slope and Aspect Algorithms expanded and adapted from Guth (1995).

Name | Short Name | Neighbors Used | Neighbors | Comments | Slope references
Steepest Down Hill | SDN | 9 |  | Also called D8; only 8 aspects | O'Callahan and Mark, 1987
Steepest Adjacent Neighbor | SAN | 9 |  | Only 8 aspects | Sharpnack & Akin, 1969
Average Neighbor | AVN | 9 |  | Only 8 aspects |
Guth Hybrid (Steepest + 8 even for aspect) | HYB | 9 |  | Preferred in Guth, 1995 | Guth, 1995
Four Neighbors | N4 | 4 | zn,zs,ze,zw | "Rook's case": Preferred in Jones, 1998 Second order finite difference | Fleming and Hoffer, 1979; Ritter, 1987; Zevenbergen and Thorne, 1987; O'Neill & Mark, 1987
3 Neighbors | N3 | 3 | z,zn,zne | In a grid, two choices for the triangles | O'Neill and Mark, 1987
8 neighbors, even weighting Evans or Evans-Young or Sharpnack and Akin | N8E | 8 |  | "Queen's case": Equivalent to fitting a second order trend surface. Preferred by Evans, 1998; Florinsky, 1998. Identical weights. Third order finite difference | Sharpnack and Akin, 1969; Evans, 1980; Heerdegen and Beran, 1982; Wood, 1996; Evans, 1998; Florinsky, 1998; Pike and others, 2009; Olaya, 2009
8 neighbors weighted Horn | N82 | 8 |  | Third order finite difference weighted by reciprocal of twice distance | Differential weights (Horn, 1981); Sobel operator (Richards, 1986)
8 neighbors weighted | N8R | 8 |  | Third order finite difference weighted by reciprocal of sqrt2 * distance | Unwin, 1981
Frame Finite Difference | FFD | 4 |  | Difference above, below, right, and left |
Simple Difference | SD | 3 |  |  | The other choice of points from O'Neill and Mark, 1987
Two neighbors |  | 2 | z,ze | No aspect | Batson & others (1975)

Program | Evans-Young Algorithm | Horn Algorithm | Zevenbergen and Thorne Algorithm | Works with Geographic DEMs
References | Sharpnack and Akin, 1969; Evans, 1980; Heerdegen and Beran, 1982; Wood, 1996; Evans, 1998; Florinsky, 1998; Pike and others, 2009; Olaya, 2009 | Horn, 1981; Richards, 1986 | Fleming and Hoffer, 1979; Ritter, 1987; Zevenbergen and Thorne, 1987;O'Neill & Mark, 1987 | Guth and Kane, 2021
MICRODEM | Yes | Yes | Yes | Yes
GDAL |  | Yes | Yes | No
GRASS |  | Yes |  | ? Strobl and others (2021) reported yes, but cannot verify now
WhiteBox Tools |  | Yes |  | Yes
ArcGIS |  | Yes |  | Geodetic option only
SAGA |  |  |  |

Maps showing where slope algorithms differ.

Assess the effect of region size on computed slope.

Slope references

Slope units, in percent.

Slope algorithms for arc second DEMs

Three slope methods appear to have the broadest support:

  • Four closest neighbors (FCU):
  • Eight neighbors unweighted (ENU): present preferred method in MICRODEM. Users must still be aware that this method produces peaks that are too flat, but its smoothing providew a "better" slope surface.

The Steepest Adjacent Neighbor (SAN): requires adjustments to get reliable aspect distribution, and does not give a smooth slope distribution. It was the preferred method in MICRODEM until the summer of 2003, and there are still reasons to prefer it. The Eight Neighbors Unweighted method became the default in MICRODEM the summer of 2003, primarily because it produces the smoothest, most realistic slope histograms, and reasonable aspect distributions It still has problems with smoothing of slopes in valleys, peaks, and ridges.

Guth (1995) reviewed all the independent slope and aspect algorithms he could find. He suggested that the steepest adjacent neighbor provided the best estimate of slope, and the 8 neighbors with even weights provided the best estimate of aspect. More recent comparisons of slope algorithms include Hodgson (1998) and Jones (1998), but neither cited Guth (1995).

Justification to use largest slope of 8 to adjacent elevations in grid:

  1. Each point is surrounded by 8 neighbors. Four are to the N,S,E,& W, and 4 approximately NE,SE,SW,& NW. How close those are depend upon the type of DEM and latitude; it is exact at the equator where x and y spacing is equal or using a UTM based DEM. Withe DTED, the worst cases will be in the vicinity of 50°, where just to the south the spacing is 60 and 90 m, and just to the north the spacing is 90 and 120 m. There the diagonal values are at 53 and 34° instead of 45° (arc tan (120/90) and arc tan (60/90)).
  2. The direction of maximum slope can thus occur no more than 28° away from the largest of the eight directional slopes to nearest neighbors in the DTED grid (half of 56, the complement of 34).
  3. If we assume a plane for the surface in the vicinity of the greatest slope, we can use vector arithmetic to project the slope in various directions. The projection will be a function of the cosine. For the worst case, the estimated slope to the DTED value in the closest direction will be 87.9% of the true slope (cos(28) = 0.879), and that occurs only when the true maximum lies directly between two grid values. At the equator, with maximum error in estimating, the estimated slope is 92.4% of its true value.
  4. Since maximum error is only about 10%, and given the overall accuracy of the data to start with, we do not feel it necessary to obtain the added rigor of fitting a surface to the data points in the vicinity and then computing the slope of the tangent surface.
  5. The other methods effectively compute the slope are a region twice the size of the data spacing.
  6. See Guth (1995) for additional details and a comparison on the effect of algorithm on calculated slope.

Slope algorithms for arc second DEMs

  • https://gis.stackexchange.com/questions/14750/using-srtm-global-dem-for-slope-calculation/229186#229186),
  • Equi-7
    • https://cartography.tuwien.ac.at/eurocarto/wp-content/uploads/2015/09/3_6_ppt.pdf
    • https://github.com/TUW-GEO/Equi7Grid/blob/master/docs/doc_files/EQUI7_V13_grid_and_tiling_definition_document_issue06.pdf
  • https://github.com/r-barnes/dggridR/

Last revised 3/5/2023


Effect of data spacing

Terrain Views--California

Views of California from DEMs at a variety of scales. Increasing data resolution by decreasing data spacing greatly increases file size .

ETOPO5 or Terrain Base, 5' data spacing, which covers the world in about 20 MB. This data set covers the entire world with both topography and bathymetry. It shows only the largest features, and is suited for looked at continental size regions. There is now a 1' version of this data, which is 25 times larger, or 460 MB.
DTED Level 0 or GTOPO30 or GLOBE or SRTM-30, 30" data spacing. This covers only elevations over land over the entire world. This data sets shows moderate sized features, and is best for looking a large areas within a continent.

DTED Level 1 or USGS 1:250,000 DEM, 3" data spacing. SRTM-3, similar in scale, in now available anywhere in the world below 60N.
USGS 1:24,000 DEM, 30 m spacing. This data set approximates DTED Level 2 with 1" spacing, SRTM-1 now available in the United States, and 1" NED. The ASTER G-DEM , available world wide, is this scale.
USGS 1:24,000 DEM, 10 m spacing. 1/3" NED is roughly the same scale.
1 m LIDAR DSM

Last revision 8/13/2021


Windows Menu Structure

MICRODEM is designed with a standard Windows MDI interface. A parent window fills the screen, and child windows can be arranged on it. A toolbar on the top of the screen reflects the major options. Each child window will have its own toolbar. The toolbars can be hidden using the options menu. The main menu across the top changes to reflect the options available in the currently active child window, indicated by a blue highlight. The options will also vary according to the menu structure for the version of the program you are running.

Right click on the map popup menu

The following choices may appear on the main menu. Some require that data be loaded. The contents of some menus will change depending on the active child window.

  • File: selects new data sets, printing and save the image in the active window, and close the current window. This menu also selects new data sets.
  • Edit
  • Modify: change parameters that define the image in the currently active window. These will vary with the contents of the window.
    • Map child window:
    • DEM Perspective View window
    • DEM line of sight window
  • Overlay: plot additional information on the active map window.
  • Calculate: perform calculations from the digital data.
  • Cartography: (requires the cartography options to be enabled).
  • Raster GIS: operations on a gridded, raster GIS data set (a.k.a. a DEM)
  • Image analysis --satellite images
  • Info, information on the map, pixel size and percentage of the data displayed.
  • Database: open a vector GIS database.
  • View: create another view of the current data set in another window.
  • Analyze: do analyses of the data.
  • Geology
  • Oceanographic data: plot CTD or light meter data. There is also an option to import MEDS file format CTD data
  • Point Clouds.
  • Register an image
  • Options: set various program parameters.
  • Window: arrange the open windows on the screen, select the active window, or save/restore projects.
  • DEMIX
  • Help: access the on line help, or check on system resources.

Last revision 6/2/2023


Main Toolbar

Main Program Toolbar

  • Many options will not be available until you load data.
  • Some options must be turned on on the Menus tab of the program options form accessed via the Options menu choice.
  • The items on this toolbar are not restricted to a particular map window. There is also a Map Window Toolbar for each open map, which applies only to that map.
Open Data View Data Analysis and Data Manipulation Geology Considered for Removal
Not tested in Years
  • Load project
  • Map library
  • Gazetteer
  • Open Grid/DEM
  • Open image
  • Open hyperspectral imagery
  • Open scanned map
  • Open Landcover map
  • Open Vector Map
  • Open quick vector map
  • TIGER county map
  • Open Global topography
  • Open NASA Blue Marble
  • Open shapefile map
  • Open database without map
  • Line of sight
  • Topographic Profiles
  • Multiple DEM profiles
  • Perspective views
  • Panorama view
  • Fly through
  • Live flying
  • Data Manipulation
  • Convert coordinates
  • Rotate continents
  • Global topography
  • Predicted sea floor ages
  • Magnetic anomaly maps
  • Sediment Thickness
  • TINs
  • Stereo net
  • Stratcol
  • Ternary Diagrams

Last revision 12/1/2022


Map WindowToolbars

Map Window Toolbar

These options affect only the map window on which they appear. Items on the main toolbar are not restricted to a particular map window.

The icons shown will depend on:

  • The type of data in the map window
  • The size of the window (less important icons will not appear in small windows)
  • The purpose of the map

All choices here can also be accessed by menu choices, and some can be accessed with a right click on the map.

Key map toolbar buttons

Some of these options, and some additional options, are available by right clicking on the map. You can also get most options with the menus.

  • Set percentage data shown for raster data
  • Print:--brings a pop up menu
    • Quick print current screen
    • Print preview & print to scale
    • Prepare printer image
  • Save image:
  • Copy to clipboard
  • Annotate Map: brings a popup menu
  • Map Overlays
  • Zoom out to show entire data set.
  • Subset & zoom
  • Undo last subset
  • Zoom in (blow up; same coverage area on a larger scale, which can become unwieldy)
  • 1:1 map view (best resolution view of the data)
  • Zoom out (same coverage area on a smaller scale)
  • Force screen redraw
  • Measure distance
  • Measure distance
  • Overlay vector data
  • WMS Maps: use option on Load after right clicking to change the map shown.
  • Weapons fan/viewshed
  • Range circles
  • Grid/graticule
  • Band selection and contrast enhancement: select multiband or single band, and choose among the available bands (Imagery only.)
  • Open database (shapefile)
  • Climate options
  • Climograph--after selecting this choice, double clicking on a station will bring up its climograph.
  • New map window
  • Force screen redraw
  • Information on the map, pixel size and percentage of the data displayed, map projection, and data spacing.
  • Plot single focal mechanism on the map by clicking.
  • Identify data base records. Double click on a feature, and see its attributes from the data base table.
  • Geology options
  • OpenGL 3D view--creates a view with a DEM and this map
  • Anaglyph
  • Volume computation.
  • Area computation
  • Sidescan (must to turned on via the Menu choices tab of the Options menu choice)
  • Subbottom profiler (must to turned on via the Menu choices tab of the Options menu choice)
  • Load from map library
  • LIDAR Point clouds
  • Table of contents to control display of databases on the map

Last revision 6/25/2021


options form

Options Form (Options Menu choice)

Window allows you to access options that customize program operation. Tabs group the various options.

Select with Options choice on the program menu, the button on the splash screen, or by clicking on the status bar at the bottom of the screen..

Tabs bring up the following pages:
  • Program
    • Menus: flavors of the program, with simpler menus.
  • Menu tab--turn options off to reduce the complexity of menus
  • Directories/files --locations for data and support programs.
  • Maps
  • Database
  • Coords (coordinates)
  • Vector maps
  • Units
  • Imagery
  • Analysis
  • Hardware
  • LAS (Lidar point clouds)
  • Views
  • Import/Export
  • Indexes
  • Datum:
  • Geology/Geography
  • Web
  • WMS
  • Grids
  • Vegetation
Buttons on the bottom:
  • OK: accept defaults, save to disk in default location
  • Cancel
  • INI file options
    • Save copy: save INI file selections to disk, specify location. You could share this with another user, or save to have multiple configurations. This is probably easier to find than the Windows selected location.
    • Import copy: open saved INI defaults file. This is helpful for debugging problems someone else is having with the program. Windows may try to block downloading or opening, so watch out for a chance to override the caution.
    • Help: display this topic
    • Restore defaults: restore the standard defaults which provide the "best" results for general operations.
    • Recreate INI file: deletes the INI file completely, and then restores it. This is a more complete version of restore defaults. If you are running multiple versions of the program (compiled at different times, and not just multiple menu flavors), this will delete any settings for other versions of the program, and any settings that are no longer used or have been renamed.
    • View INI file, which is ASCII and you can carefully edit it.

Settings are stored in an INI file.

Last revised 3/30/2023


Map Right Click

All map windows, key options:

  • Map Overlays
  • Recenter
  • Legends/marginalia
  • Map shading options
  • Load
  • Export: to Google Earth and Google Maps
  • Grid
  • Legends/marginalia
DEM window key options
  • Display parameter
  • Reflectance options
  • 3D map options
  • Map shading options
Image window key options
  • Display parameter (Pick band/colors, Blank)
  • Image Bands and contrast
Vector Map window key options
  • Map projection
    • Load projection
    • Save projection--you can save the projection to restore it, or association with an image or DEM. This will be in the MICRODEM PRJ format, not to be confused with other PRJ formats.
    • Modify projection

Complete list of options:
  • Display parameter
  • Intervisibility map--if you have a DEM with a vegetation grid loaded
    • DSM--digital surface model, the first return
    • HAG--the height above ground, or vegetation height
    • DTM--digital
  • Map Overlays
  • Recenter
  • Modify map area
  • Elevation/grid colors--only for a DEM map
  • Slope categories--only for a DEM map
  • Openness options
  • Contour interval
  • Reflectance options--only for a DEM map
  • Difference/change map
  • Geologic ages--only available if the data set has Ma as the z-units.
  • Image bands and contract--imagery only
  • Map shading options
  • 3D map options
  • Merge colors
  • Map projection--vector map only
    • Load projection to change the map projection from a WKT or PRJ projection file, with the same area as the current map window
  • Grid
  • Legends/marginalia, including scalebar
  • Popup legends
  • TIGER options--must be [image] TIGER county map:, or have TIGER overlay
  • Label TIGER roads
  • Locate TIGER roads
  • Database display
  • Gazetteer label options--only after a gazetter is on the map
  • Edit fan
  • Terrain blowup
  • Map library setup (only when [image] loading data from map library)
  • Load
  • Export
  • Download
  • Overlay
    • TIGER
    • Gazetteer
    • MGRS zones
  • Gazetteer:
  • 3D map options
  • Geocode address
    • Address to lat/long
    • Lat/long to address
  • Geomorphometry
    • Point parameters
    • Point slope algorithms--shows the slope at the point using all the implemented slope algorithms.
    • Point slope by region size---shows the effect of increasing the region over which the slope is computed.
    • Directional: shows the elevations of the point and its eight neighbors, and the slope in each of the eight directions.
    • Grain by region size
    • Graph parameter by region size
  • Physical geography
  • Remote sensing
  • Extract point cloud returns: if you have a point cloud open this will create database with all the returns from the grid cell
    • 1 Pixel
    • 3x3 pixels
  • DEMs at point: shows the lat/long of the point, and the DEM that contains it.
    • CGIAR SRTM (which do not use the lat/long directly)
    • 5 degree tiles, SW corner
    • 1 degree tiles, SW corner
  • Create survey lines
  • Quad tick points
  • Redraw
  • Match other maps
  • Manage overlays
  • Edit image :
  • Save image :
  • Annotate Map:
  • Copy to clipboard --copy the map to the clipboard. Choose Quick or Detailed
  • Copy coordinates to clipboard (programs other than MICRODEM cannot use this feature)
  • Paste from clipboard
  • Draw multiple fans
  • Abort current operation--stop active process. The left-most panel on the program status bar will indication what operation the program is currently expecting.

Last revision 1/28/2023


Load Multiple DEMs

Loading & Merging Multiple DEMs

There are several ways to load multiple DEMs: You can select as many DEMs as you want, up the size limits on a single DEM. The current limits are listed with the Help, Program Limits menu choice. The memory in your computer might limit your ability to manipulate such a DEM, and you probably cannot display every data point simultaneously. If this is a problem you should Thin or Subset the DEMs before the merge. You should also consider using multiple scales of DEMs for different scales of analysis.

  • File, Open submenu with Open and merge DEMs. You must use the multifile selection option from Windows as you pick files, all of which must be in the same directory. There are two options
    • Using GDAL and a VRT. This is fast, but somewhere in the several GB Geotiff size range MICRODEM cannot open the DEM, and we have been unable to track down the problem.
    • Using MICRODEM's slow but sure method
  • Map library to load and merge multiple DEMs on the fly. This will bring up a graphical selection window, showing the available DEMs. Move to the NW corner of the region you want, hold down and drag to the SE corner. The DEMS will be loaded. With UTM based DEMs you can only select DEMs in a single 6 degree zone.

You can savethe merged DEMs from the File, Save DEM menu choice.

You must obey the following rules:

  • All DEMs must be the same basic type, UTM-based or lat/long based.
  • All DEMs must have the same data spacing.
  • If using UTM based DEMs, all must be in the same UTM zone.
  • All feet DEMs will be converted to metric.

Instructions for special cases of merging:

  • Arbitrary DEM merge

When merging DEMs, MICRODEM loads all the DEMs into memory, determines the size of the merged grid, creates it, and then adds each DEM to the merge. If you do not have the memory, you could:

  • Merge just the DEMs that will be in the corners of the final merge; they will define the required size.
  • Then use the Fill holes option (Edit, DEM Holes, Fill holes from reference DEM, Grid in file) which will minimize the memory required.

Merging Multi-GB DEMs

Think very carefully about the wisdom of doing this.

  • Consider Map library
  • Consider using lower resolution DEM
21 tiles of 1 m USGS DEM (5 GB as compressed, 11.8 GB uncompressed). Note the irregular boundaries when the mapping projects ended. DEMIX "10 km" tiles shown. The USGS DEMs are also 10 km, but on a UTM grid on not lat/long. This fails with GDAL and the VRT method, but works with MICRODEM. | DEM clipped to just the area with filled DEMIX tiles. This drops the DEM to under 6 GB.

Last revised 4/16/2023


Map Enhancement

Map Overlays for boundaries

  • US smart outlines--can put counties, states, or TIGER data automatically on your maps.
  • World boundaries, rivers, coastlines
  • GADM: higher resolution, with lower level boundaries.

Zoom in to region of interest

  • Subset data set --picks a smaller area, but keeps the map window the same size;
  • Zoom in/out (same coverage area, but changes the size of the map, and can rapidly lead to a map that is too large for easy use)

Scalebar

  • Legends/marginalia after right clicking on the map, lets you put a scalebar on the map, and grid legends, and place them in a location that minimizes disruption to your map content.

Grids/Graticule

  • Grid adds or removes a grid, either UTM or Lat/Long. Set a grid and neatlines with [image] Prepare printer image
DEM Map Coloring
  • Map coloring can be changed with the Display parameter by right clicking on the map.
  • You will probably get best results with Reflectance maps or Elevation maps. The shading on a reflectance map greatly enhances topography, and you can include elevation coloring as well.
  • If you need color for overlays, the grayscale reflectance if probably best.

Margins

  • Prepare printer image to get an option to set up the map for printing (or saving) with marginalia and map neatlines.

Legends can be added in several ways

Grayscale and subdue map can allow emphasis on map overlays instead of the base map.

Control Missing Data display

Table of contents to control display of databases on the map

Water--effectiveness very dependent on the DEM used, both its scale and quality

  • Right click on the map and picking the Reflectance map options and set the Sea level or lake checks.
  • SRTM water bodies

Last revision 1/22/2023


Structural Geology Symbols

Overlay structure orientation symbols one map. These must be in a dBase file, with specified fields.

Digitize structural symbols on screen, using [image] Annotate Map on map toolbar.

After you click on a map location pick type of symbol and dip and strike.

Select file like any Database. When plotting, control operation with this window:

  • choose to plot data as bedding, foliation, joints, or fault plane (only if this was not included in the file)
  • suppress labeling of the dip value if desired
  • select the color for plotting on the map
  • pick the symbol for plotting on the stereonet
  • plot a stereo net if desired

The data in the file that plots on screen can also be plotted on a stereo net. You have control over appearance of the stereo net.

You can contour the data on the net, by selecting the net window and using the Modify, Contour interval or Recontour menu option.

Last revision 2/28/2010


Geology Popup from Map Window

Button on map window toolbar brings up pop up menu (also available on Overlay menu):

  • Plate boundaries: loads data base with plate boundaries, color coded by the type of boundary.
  • Continental crust: shows boundaries of continental crust, which includes the shelves and some oceanic plateaus.
  • Earthquake focal mechanisms. This has >43,000 earthquakes since the 1970's and is the most versatile data set for earthquakes. It can show the type of fault involved.
  • Major historic earthquakes: loads a data base with major earthquakes. This will show 3526 major earthquakes, going back to 2150 BC. These are someone's idea of the most important earthquakes, and not necessarily representative of where earthquakes occur
  • Volcanoes: loads a data base with a listing of 1518 volcanoes from the Global Volcanism Program of the Smithsonian.
  • Fracture zones: loads a data base of marine fracture zones.
  • Marine magnetic anomalies: loads data base with digitized marine magnetic anomalies.
  • Magnetic anomaly picks plots points from a database, with times and magnetic anomaly identifications.
  • Coast lines
  • Rivers
  • Plate rotations
  • Hot spots.
  • Age-depth plot
  • Cande and Kent time scale for Marine magnetic time scale
  • Seismic fence diagram
  • DSDP/ODP/IODP drilling
  • Trenches
    • Slab dip
    • Slab depth
  • Structural Geology Computations
  • Focal plane analysis
  • Project focal mechanism to surface
Geology Vector layers

Last revision 4/11/2019


Earthquake Focal Mechanisms--map

Earthquake Focal Mechanisms

  • Open database file with Geology options popup menu, "Earthquake focal mechanisms" choice.

Actions with focal mechanisms

  • Plot on map, Earthquake focal mechanisms. Plot with symbols colored by fault type, or the beach balls.
    • Each type of earthquake with colors denoting the type of focal mechanism. Get a legend with Plot, Legend menu choice.
    • A beach ball for each focal mechanism. This may be too cluttered for a small scale map, or one with a large number of earthquakes. Options to plot on the map.
    • Export beach balls to KML.
  • Plot a single focal mechanism by double clicking an entry in the data table, and picking Earthquake focal mechanism from the popup menu.
  • Stats, Earthquake Focal mechanisms.
    • Options to plot Multiple Faults on stereo nets, can help show groupings of earthquakes with similar focal planes (and hence fault planes). This can be a better option than trying to make a long table.
    • Plot all mechanisms shown in the table with the Stats button on the database table, and picking from the popup menu. You should not do this unless the number of records displayed is reasonable, after Filtering the database. This will give you a page with just the focal mechanisms.
  • Create a table by Hiding fields you do not want to see, and dragging the remaining fields into a good order.
  • Geology options and pick Focal plane analysis. This allows you to identify ridges as potential fault scarps. You are looking for ridges parallel to the strike of the faults. While you would love to match the dips, this might not be possible or might be harder.
Plot single focal mechanism

Focal mechanism theory

Fault types and focal mechanisms

Global CMT catalog (earthquake centroids)

Last revision 11/20/2016


STRATCOL

Running Stratcol

This has not been used extensively in about 15 years, and we are working on updating it to work with all the changes that have taken place in the program in that time. We also need to improve the documentation. If you want to use it, contact us for help, as we need to work on the error trapping (I have learned a lot in 15 years, and this code has not benefitted very much).

A diagram is composed of three types of data, stored in ASCII files:

  1. Time scale files, which place text within a rectangular box. The labels files might be series, zones, stages, or formations. The scaling will be either thickness or age depending on the type of diagram selected.
  2. Stratigraphic files, which produce a graphical representation of the lithology and its upper and lower contacts.
  3. Range files which contain the stratigraphic ranges of fossils.

Control the appearance of the diagram by setting various options.

Menu Structure: organization of the menus for this option of MICRODEM.

Create new data files

  • Rock correlation, Create New, Column

Directions for Creating Diagrams:

  • Thickness correlations: create a lithologic column in terms of rock thicknesses.

The lithologic patterns are in a file called ROCKS.PAT. This is a binary file that you cannot rename or view except in MICRODEM. It currently has about 150 patterns, some of which may be rather whimsical.

The file *.NAM is an ASCII file. It lists a three letter code for indexing into ROCKS.PAT, and a longer text description of the lithology. You can edit this file in any word processor or NOTEPAD. It can be created within STRATCOL, and the active NAM file can be set within the program. It allows you only to see the patterns you need when you are editing or creating columns.

Main options in the program include:

  • GIS selection and display of columns
  • Creating Time Correlation Diagrams. A time correlation diagram contains up to three elements:
    • An optional vertical time axis on the left margin.
    • A required time scale label, on the left margin or adjacent to the time axis. Additional time scales can be placed anywhere.
    • One or more optional stratigraphic columns.
  • Printing
  • Time files
  • Stratigraphic files
  • Unit edit window
  • Fossil ranges
  • Fossil files
  • Edit stratigraphic column
  • File menu options
  • Add new column
  • Set diagram size

Last revision 1/17/2018


Sediment Classification Ternary Diagram

Shepard (1954) Ternary Classification of Sediments

diagram courtesy Maryland Geological Survey

Icon on main toolbar will draw a ternary diagram, but will currently not plot data, which must be done from a database.

The ternary diagram is really only a two dimensional plot, which is the only reason it will plot on a 2D computer screen or graph. Since the three percentages sum to 100%, only two are independent.

To plot ternary diagram. Example for sediment size classification, but it will work with any three fields in a database.

  • Open a map. It could be:

    • New DEM , such as the bathymetry of a specific area.

    • New Vector Map, an outline map of the world.

    • Predicted bathymetry, a small scale overview map showing depth and relief.

  • Open database from the map toolbar.

  • Many of the sediment databases (for instance the USGS East Coast Sediment Data Base, or the Maryland Geological Survey data for the Chesapeake Bay) have a vast number of fields, most of which will not be of interest in an analysis like this. You can hide these with the "Hide" button on the data base table display form. If you have the program option selected to save the database status, these fields will remain hidden on subsequent uses of the data base.

  • Select "Ternary diagram" option from popup menu that opens with "Stats" button.

  • Select the three fields. Note on the sample above in which corners they go. If you have the program option selected to save the database status, these fields will remain the defaults on subsequent uses of the data base.

  • There is an option on the Geology/Geography tab of the Options form about whether the three fields should sum to 100%. This is appropriate if they are in percent. If not, the three will be summed and the percentage calculated. If the points should sum to 100%, they must be in the range of 98 to 102, to account for roundoff errors, or the point will be ignored. Shepard (1954) did not indicate how gravel should be considered in this plot, so it is ignored. If you wanted to include it, you could construct a sand + gravel field in the database and plot that instead of sand. USGS classifies anything with over 10% gravel using a different system (gravel, sand, and fines).

  • The ternary diagram will be drawn, and it will be color coded to the map, which will also redisplay. The three corners will plot in red, green, and blue, and points between will be scaled accordingly.

  • Right click on the ternary diagram,to change the size or whether the grid is shown.

  • You can ID points on both the map and the ternary diagram by double clicking.

To see gravel.

  • Pick the "Plot" button menu and then select "Color code by DB field" from the popup window. You will select a numeric field and then plot something like "Gravel_PCT".

  • If you think the locations with no gravel are hiding points with gravel, you can Filter the database to show only points with a particular gravel concentration.

References:

  • Shepard, F.P., 1954, Nomenclature based on sand-silt-clay ratios: Journal of Sedimentary Petrology, v. 24, p. 151-158.
  • USGS Open File 00-358: East Coast Sediment Data Base
  • Grain size analysis of marine seds

Last revision 11/3/2014


Plate Tectonics Rotation Control Window

Opens with Rotate continents button on main MICRODEM toolbar.

The program will draw a map, with subdued boundaries.

Edit boxes on the top control the parameters for the current rotation.

Memo Box lists results of the rotations.

Option Radio buttons control the rotation mode in operation. Depending on the mode selected, controls will be enabled or disabled.

  • Current vectors for a single plate, in the reference frame of the current rotation model
  • Past total poles--rotations to move a continent back to a former position in a single step. This may not be how the plate actually moved, which would have to use stage poles.
  • Arbitrary rotation--select the pole and rotation angle, and move a continent.
  • Two plate motions--pick two plates and a location on their boundary, and get the rates between them. This could be convergence as well as spreading or transform. If the point is not on the plate boundary, GIGO.
  • Triple junction--pick three plates and their triple junction, and get the rates between them. If the point is not the triple junction, GIGO.

Controls to the right of the option selection:

  • Velocity diagram: draw a velocity diagram graph for the spreading rates and triple junction options.
  • Label velocities:
  • Resultant vector: for two plate motions, you can plot either the motions of the two plates, or the resultant vector between the two.
  • Velocity scalebar: can appear on the map
  • Line: the color and line weight to draw the rotation.
  • Font to label
  • Velocity vector slider controls the size of the vectors. The best value depends on the speed, the size of the map, and how close to the map edge you want to go.

Drop down boxes control the rotation model and plate to use. These will vary with the option selected by the radio buttons.

  • Current rotation model.
  • Plate: (one to three plates enabled, depending on the option)
  • Time (Ma): used for past total poles.
  • Continent: these are the blocks of continental crust.
  • Total poles model: Cox and Hart or Duncan and Richards

Map options

  • Modify projection
  • Redraw map: removes overlays you no longer need
  • Vector outlines: coastlines, rivers, national boundaries and cities.
  • Continental crust:
  • Plate boundaries:

Buttons along the bottom control the operations on the associated map.

  • Pick Pole: used for arbitrary rotations
  • Rotate: rotate the current continent, using the current pole. Only available for "Past total poles".
  • Show pole: shows current pole of rotation, and its antipole.
  • Motion: pick the point for the spreading rates and triple junction options.
  • Track: show the current continent for all available times. Only available for "Past total poles".
  • Time: shows all continents for the selected time. Only available for "Past total poles".
  • Vectors: draws plate motion vectors for the current plate and model. Only available for "Current vectors". Length will be determined by the model's rotation rate and rotation duration. If the vectors are too short, increase the rotation duration.
  • Movie: select "Past total poles" for this to work. It will create a movie using the current model.
  • Close:

References on plate motions.

Plate motion data files

Last revision 2/5/2019


Model Magnetic Anomaly Profiles

  • Topographic Profiles to get the length of the profile you want. You could draw this on the map in the same location as the profile you want to match.

  • LOS Right click options, pick Magnetic model. The program will draw a synthetic profile with the length of your profile. By defaults it will have a 30 km/My spreading rate, and will have a ridge at the center of the profile.

Control the model profile. In most cases you should accept the defaults for the first three parameters.
  • I--the inclination, which is a function of latitude from 90 at the north pole to 0 at the equator to -90 at the south pole.
  • Alpha--compass orientation of the profile.
  • Block intensity--magnetization of the ocean crust.

You can get a time scale and anomaly names drawn. For a long profile, the anomaly names could wind up overprinting each other.

Set the ages of the left and right side of the profile. Make one negative to include the ridge. The half spreading rate will be indicated in the upper right.

Modify Model Parameters will redraw the profile.

Synthetic profile with anomaly names (above) and time scale below.

Each normal period is labeled, with several labels for those with short reversals. The normals within reversals are also named, such as 1r.1

The units of magnetic anomalies are nanoTesla (nT) or the equivalent gamma.

Discussion of marine magnetic anomalies.

Marine magnetic profile interpretation. Includes time scale and anomaly names.

Last revision 10/26/2014


Geomorphometry

Geomorphometry is the quantitative measure of the earth's surface characteristics, using DEMs.

Geomorphometry analysis in MICRODEM

Theory

  • Key Parameters
  • All Regional Parameters computed in MICRODEM
  • Slope algorithms
  • Slope algorithms for arc second DEMs
  • Terrain Fabric
  • Openness
  • Term definitions
  • Curvature
  • Roughness
    • Rugosity
    • Topographic ruggedness index (TRI)
    • Topographic position index (TPI)
  • Moments
  • Hypsometric integral or hypsometric curve
  • Point classification
  • Relief, Summit Level, Base Level, Geophysical Relief
  • Profile height/wavelength
  • Geomorphometric maps
    • Curvature categories
    • Ridges and valleys (point classification)
  • SRTM Atlas
  • Dune geomorphometry
  • Iwashashi and Pike Terrain Classification
  • Ridge and valley detection
  • Aspect difference maps
  • Prominence
  • Visibility index (total viewshed)
  • Round versus square filters

Drainage basin geomorphometry (experimental)

References for geomorphic parameters

Parameter and index summaries

  • Bartłomiej Szypuła, 2017, Digital Elevation Models in Geomorphology: DOI: 10.5772/intechopen.68447 https://www.intechopen.com/chapters/55617

Last revised 3/2/2023


Trend surface

MICRODEM Trend Surface

Option on

  • Raster GIS menu, Geomorphometry analysis, with a DEM
  • Stats button table display window, with points upon a line to which you want to fit a plane

Display multiple windows with its results:

  • Graph with trend surface versus DEM.
  • A map window with deviations from trend surface (difference between DEM and trend surface). Modify this map like any other map.
  • Histogram of deviations between DEM and trend surface.
  • Text window with statistics. This will include the correlation coefficient r and r², the coefficients for the trend surface, and some data on the goodness of fit and the variation explained by the surface (see Davis, 1986, for an explanation of this table).
  • Map window with trend surface. Modify this map like any other map.

This option fits a trend surface to the current DEM or database. You should be aware of the following limitations:

The entire DEM will be fit. If you do not want to use portions of the DEM, edit the DEM first. To speed up the computations, the program will decimate the DEM to use 250,000 points or fewer to compute the trend surface.

All variables are in meters, with the elevation (z) and the easting (x) and northing (y) UTM coordinates. To avoid math overflow problems, the x and y coordinates are shifted to place the origin at the SW corner of the data set. The shift will be indicated in the statistics window.

  • The DEM must be capable of conversion to UTM coordinates, which will be the x and y coordinates used. The input DEMs in mind when the option was created were USGS 1:24K and 1:250K (DTED).
  • The z units should be meters to correspond with the UTM coordinates.

Potential problems and their solutions:

  1. The deviations from the trend surface mirror ridges and valleys in the valley. Consider editing the DEM to remove the deep stream valleys.

Last revision 9/15/2016


SSO diagram

SSO Diagram Algorithm

The statistical slope orientation diagram of Chapman (1952) provides a tool for this analysis; the calculation and display of the orientation for an entire DEM takes only a few seconds. The diagram contours the normals to the earth's surface. The data are portrayed on an equal area net, averaged to show the concentration per 1% area on the map. This removes artifacts from the digitizing process (steps in the slope values calculated) and in plotting to the net.

In addition to the SSO diagram, the program will compute statistics about the distribution. The organization parameter (vector length) and eigenvector S3 direction (vector direction) can be plotted on a map to graphically show the strength and orientation of the terrain fabric.

Algorithm:

  • At each interior point in the DEM, calculate the slope and aspect which define a vector normal to the earth’s surface. This will use the Preferred slope algorithm
  • Compute direction cosines of the normal vector.
  • Create a 3x3 matrix of the sums of the cross products of the direction cosines.
  • Extract eigenvalues and eigenvectors from the 3x3 matrix
  • Normalize three eigenvalues, and for terrain S1 >> S2 >S3. S1 will be close to vertical
  • Pseudocode for the preceding steps
  • Eigenvector S3 points in direction of dominant topographic fabric.
  • Compute and graph the ratios ln(S1/S2 ) (flatness) and ln(S2/S3) (organization) (follows Woodcock, 1977).
    • s1s2 := ln(v[1]/v[2]);
    • s2s3 := ln(v[2]/v[3]);
  • Can also calculate the shape and strength parameters from Fisher and others, 1987
    • Shape := ln(v[1]/v[2])/ln(v[2]/v[3]);
    • Strength := ln(v[1]/v[3]);
  • Plot and contour the normal vectors on an equal area, lower hemisphere projection.

The diagram above shows the lower hemisphere, equal area projection. Slopes in both percent and slope angle are indicated inside the diagram, and the uphill direction around the margin. A 1% circle (used for the contouring) is also shown. Contouring.

Select in MICRODEM

  • Topographic grain submenu of Calculate menu. Topographic fabric vector overlay. This will plot vectors on the map, and is probably the most useful product. It combines both the orientation and strength, and lets you rapidly assess if the algorithm is working. If not, you should experiment with the spacing parameters. This should be relatively fast.
  • Calculate Menu, or Raster GIS menu, Create derivative grid. This will create grids of the different parameters, and will be very slow.

The box size to pick depends on the resolution of the DEM (how much detail it captures), and the characteristics of the terrain. 1000 m is probably reasonable for 10-30-90 m DEMs.

Because this will change only slowly, you don't need to compute it at every point. Thus you can subsample. If you don't care about time, or have a small DEM, 1 is OK.

If you do the fabric overlay (which provides a visual clue about the effectiveness of your parameters), you can plot the database it creates and have the same effect as the grid creation.

Example SSO analysis.

Terrain organization references.

Last revision 2/5/2017


Eigenvector geomorphometry

Interpretation Eigenvector Geomorphometric Parameters

Parameter | Formula | Interpretation of Values | Reference
Flatness | Ln(S1/S2) | Large values indicate flat terrain, low values rugged terrain. Correlates strongly and negatively with slope or relief. | Guth papers listed in Terrain organization
Organization | Ln(S2/S3) | Large values indicate a dominant linear fabric to the terrain, low values isotropic topography | Guth papers listed in Terrain organization
Orientation | Trend of S3 | Dominant trend to the terrain fabric, direction between 0 and 180°. Used in eigenvector analysis of SSO diagrams. | Guth papers listed in Terrain organization
Strength, c | Ln(S1/S3) | Large values indicate flat terrain, low values rugged terrain. Very similar to the flatness parameter. Correlates strongly and negatively with slope or relief. Used in eigenvector analysis of SSO diagrams. | Fisher, Lewis, and Embleton, p.159
Shape, k | Ln(S1/S2)/Ln(S2/S3) | Large values indicate a dominant linear fabric to the terrain, low values isotropic topography. Correlates moderately with organization. | Fisher, Lewis, and Embleton, p.159

S1, S2, and S3 are the eigenvalues from the 3x3 matrix of the sums of the cross products of the direction cosines for all points in the analysis region.

S1> S2> S3.

Last modified 5/24/2006


Stream Profiles

On the Calculate Menu. This option allows you to digitize a profile from a map on screen. This could be a stream profile, pipeline route, or another similar use.

Take the following steps:

  • Open the map upon which you want to digitize, and blow it up so that you can clearly see the entirety of the route.
  • Select Calculate, Stream Profile.
  • Digitizing can use either point (double click to set each point) or stream mode (drag with the mouse down). Change modes by right clicking while digitizing.
  • Select the first point on the profile.
  • When done, right click on the map and pick the first option to end the selection.
  • The program creates a database with the profile

When complete, the program will produce a graph of the route.

Annotate Map, create a line shape file can save the the location of your selections. You can then draw the Terrain profile from the Table view of the database that goes with the shape file.

Last revision 8/6/2021


GIS Overview

A geographical information system (GIS) contains linked data with a digital map and digital database. It is a form of computer mapping.

GIS Product Gallery Common GIS Operations Database symbolization

Table view A database table with additional information about the records from the map.

  • Double clicking on field name
  • Double clicking on record in data base
 Map view. Map locations: points, lines, or areas. Control map display with Plot button options. Most current GIS applications use vector data. Graph View
The GIS allows multiple views of the data. Clicking on a point or record in one view lets you see the same data in the other views.

In MICRODEM, you should open a base map before you open a GIS data base. This can be a local or global map. Then Database (shapefile) on the map toolbar or Database, Load on the main menu opens a database over the map.

  • Open shapefile map with no base map below. You can open additional databases on the same map.
  • Open data table without a map, which only allows statistical operations and negates the best features of the GIS.
  • Specialized cases on map window toolbar, including:
    • Climate options
    • Geology options

The database will be associated with the current map window. A table display window will open, and remain visible as long as the database is open. You can perform operations on the database

  • from map window,
  • from table display window toolbar,
  • by double clicking on a record in table display.

Much of the power of the GIS comes from the ability to filter data, or restrict what is shown on the map or used in statistical computations, based on logical criteria, or geographic regions. Another strength is visually querying the data, clicking on a record on either the map or table and seeing the data in another view. You can further query graphs derived from the data, and see the record in the table or on the map. This ability to rapidly move among three different views of the data makes one of the key contributions of GIS. This power comes with a price, and you must always be aware whether the program is showing you the entire data set or a subset that you have filtered. In MICRODEM the number of active records is always shown on the bottom of the table base display table. The "All Recs" button will only be enabled when the data has been subset.

You can also perform statistical operations, on either the entire database or a filtered subset.

Table display window

The data base display view. Each column corresponds to a field in the data base, and each row represents a record.

Because the "All recs" button is enabled, this database has been filtered, either with the "Filter" button or the "Map query" button. Any analyses will use only this data.
Map window

Map view of the database. In this case color corresponds to the type of fault believed responsible for the earthquake. The database has been filtered to display only the data within the selected block.
Graph Views. Two dimensional graph of the data, from two fields selected from the data base. The y-axis is reversed, a common convention in earth sciences that go down into the earth like oceanography or geology.

Because this graph is linked to the data table and the map, clicking on a point on the graph will highlight its location on the map, and its position in the data table so that you can see the other characteristics of the point.

You can also get histograms, and other specialized graphs for particular data sets (like earthquake focal mechanisms, Koppen climographs).

Default options affecting GIS and database operations.

Database auxiliary files.

Reserved field names.

GIS examples:

  • Census Bureau Data Analysis: Age-Gender-Income Distributions
  • Excel to CSV to dBase in MICRODEM
  • Create database in Excel.
  • Register imagery and create a vector database by on-screen digitizing
  • Register historic map, export to Google Earth, and use to digitize
  • Legislative redistricting
  • Edit line/area shape files
  • Sensor placement and coverage computation
  • Create a time animation for Google Earth
  • Geocode addresses
  • Climate data
  • Linking imagery to a database
  • Linking web sites to a database
  • Join/linking to a data base of statistical data
  • Create a hurricane database
  • Edit shapefile's dbase table.
  • Find counties for ZIP code shapefiles

Last revision 3/29/2019


Data Base Plotting

Data Base Plotting & Querying

Open with

  • Button on Map window toolbar.
  • Database, Load menu option

When opening the database, the program can show or hide different file formats. The default settings will show both the DBF and the SHP files for ESRI Shapefiles, because MICRODEM allows self-contained DBF files for point databases. If you will not be using those, you can elect just to see full shapefiles by showing only the SHP file. If both files are shown, it does not matter which you pick; the program will correctly open either.

Formats allowed

  • ESRI Shapefile and usage in MICRODEM
    • Download an incredible number of shapefiles from the WWW. If they are not in Lat/Long coordinates, you will have to convert them. This should now be automatic if you have GDAL installed.
  • DBF dbase Table, (VOLCANOES.DBF is the test file included with a full installation of MICRODEM) with
    • fields LAT and LONG, floating point
    • any number of other fields
    • the sample data base has 1500 volcanoes, with names, elevations, and type
    • create your own data base, or import a file to create a database.
  • CSV file (points only), which meets the rules for a dBase table. If you open a CSV file, it will be converted to a dBase table and in the future you should open that file or you will lose any changes to the database after you have opened it. Problems with CSV import
  • TXT (points only)
  • KML (points only, for others Import with DNR GPS )
  • GPX
  • Garmin FLT files

The program presents a table with the data and options.

Key options with a database .

Edit a database.

Last revised 4/10/2021


Wine Contest

DEMIX Wine Contest

Setting up MICRODEM for DEMIX

Main menu options in MICRODEM are fully supported.

Steps to recreate the DEMIX GIS database (Guth, 2023), or to create a database for you own test tiles:

  • Processing steps to create DEMIX wine contest database
  • DEMIX main menu submenu
  • Manipulate DEMIX wine contest database

DEMIX publications

DEMIX data sets

DEMIX vertical datum shifts

Half pixel offset

Further Options in MICRODEM

  • Many experimental and may not work; source code available at https://github.com/prof-pguth/git_microdem
  • Database Submenu under Stats, DEMIX
  • Analyze: DEMIX

Command line options in MICRODEM for DEMIX.

Key DEMIX References

  • Key Global Regional DEMs
  • NASA/USGS DEM download inside MICRODEM
  • Open Topography downloads
  • Create DEM from lidar point cloud
  • DEMIX 10K tiles
  • Landform/landcover data sets at 300-1000 m resolution

MICRODEM home page

Last revision 9/4/2023


Wine Contest

DEMIX Publications

DEMIX Journal Papers

  • Guth, P.L.; Van Niekerk, A.; Grohmann, C.H.; Muller, J.-P.; Hawker, L.; Florinsky, I.V.; Gesch, D.; Reuter, H.I.; Herrera-Cruz, V.; Riazanoff, S.; López-Vázquez, C.; Carabajal, C.C.; Albinet, C.; Strobl, P. Digital Elevation Models: Terminology and Definitions. Remote Sens. 2021, 13, 3581. https://doi.org/10.3390/rs13183581
  • Strobl, P. A., Bielski, C., Guth, P. L., Grohmann, C. H., Muller, J.-P., López-Vázquez, C., Gesch, D. B., Amatulli, G., Riazanoff, S., and Carabajal, C.: 2021 THE DIGITAL ELEVATION MODEL INTERCOMPARISON EXPERIMENT DEMIX, A COMMUNITY-BASED APPROACH AT GLOBAL DEM BENCHMARKING, Int. Arch. Photogramm. Remote Sens. Spatial Inf. Sci., XLIII-B4-2021, 395–400, https://doi.org/10.5194/isprs-archives-XLIII-B4-2021-395-2021 .

DEMIX Preprints

  • Bielski, C.; López-Vázquez, C.; Grohmann, C.H.; Guth. P.L.; and the TMSG DEMIX Working Group, 2023. DEMIX Method Ranks COPDEM, and FABDEM as Top 1” Global DEMs: https://arxiv.org/abs/2302.08425v3 (current verion 3 changed title, removing wine contest and ALOS)

DEMIX Conference Papers

  • Grohmann, C.H., López-Vázquez, C., Guth, P.L., & Bielski, C., 2023, The DEMIX Wine Contest: a summary. Geomorphometry 2023, Iasi, Romania. https://doi.org/10.5281/zenodo.8066531
  • Carlos Henrique Grohmann. (2023). The DEMIX Wine Contest Jupyter notebook. Geomorphometry2023, Iasi, Romania. https://doi.org/10.5281/zenodo.7779256
  • Guth, P.L., Grohmann, C.H., & Trevisani, S., 2023, Subjective Criterion for the DEMIX Wine Contest: Hillshade Maps. https://doi.org/10.5281/zenodo.8030735
  • Guth, P.L., Grohmann, C.H., & Trevisani, S., 2023, Geomorphometric and Geospatial Patterns in Differences Between ALOS and COPDEM: Geomorphometry2023. https://doi.org/10.5281/zenodo.8057703
  • Guth, P.L., Grohmann, Carlos H., Trevisani, Sebastiano, & Bielski, Conrad. (2023). Going Forward: Extending and Exploiting the DEMIX Database With MICRODEM. https://doi.org/10.5281/zenodo.8092218

DEMIX 10 minute movie

  • DEMIX - The Digital Elevation Model Intercomparison EXperiment, https://www.youtube.com/watch?v=veZA4O1rU28

DEMIX data sets

  • Guth, Peter L. (2022). DEMIX GIS Database (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.7402618 Replaced by version 2
  • Guth, P. L., 2023. DEMIX GIS Database Version 2 (2.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8062008
  • Guth, Peter L., Peter Strobl, Kevin Gross, & Serge Riazanoff. (2023). DEMIX 10k Tile Data Set (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.7504791
  • Guth, P.L., Grohmann, C., Trevisani, S., & López-Vázquez, Cs, 2023. DEMIX 1" Reference DEMs version 1.0 (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.7600699
  • Guth, Peter L, Riazanoff, Serge, Corseaux, Axel, Grohmann, Carlos, Trevisani, Sebastiano, & López-Vázquez, Carlos. (2023). DEMIX 1" Reference DEMs version 2.0 (2.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8086806
  • Guth, Peter L. (2023). DEMIX Difference Distribution Histograms (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8087804
  • Guth, P.L. (2023). K-means clustering of the DEMIX data set (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8283791
  • Guth, P.L. (2023). Bar graphs of DEMIX database tile classifications (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8287774

DEMIX Wine Contest home page

MICRODEM home page

Last revision 8/27/2023


Wine Contest

DEMIX Data Sets

Data sets and high resolution graphic results for the test areas used in DEMIX wine contest

Data Set | Data Set Size | Original Source | New Data Set Availability
DEMIX 10 km tiles | 2.7 GB | Created by MICRODEM | Tile definition data set (Guth et al. 2023d) https://doi.org/10.5281/zenodo.7504791
High resolution source DEMs | 140 GB | National mapping agencies and VT Web (French areas) | Original source links only (Guth et al. 2023e) https://doi.org/10.5281/zenodo.8086806
Four land cover and landform classification grids | 9.1 GB | Web site for each data set listed in Guth (2023e) https://doi.org/10.5281/zenodo.8283791 | Summary statistics for each test tile (Guth 2023e) https://doi.org/10.5281/zenodo.8283791 Bar graphs in Guth, P.L. (2023f). https://doi.org/10.5281/zenodo.8287774
1" Reference DEMs | 1.02 GB | Created by MICRODEM from source DEMs | Data by test area (Guth et al. 2023e) https://doi.org/10.5281/zenodo.8086806
Test area subsets for six Global DEMs | 1.75 GB | Web site for each DEM, merged and subset by MICRODEM | Original sources
DEMIX database | 16.6 MB | Created by MICRODEM from global and reference DEMs | Database (Guth 2023a) https://doi.org/10.5281/zenodo.8062008
K-means clustering for 5 tile classifications | 1 MB | Created by MICRODEM from DEMIX database and classification grids | Cluster databases and two graphics (Guth 2023e) https://doi.org/10.5281/zenodo.8283791
Histograms of the difference distributions | 14 MB | Created by MICRODEM from global and reference DEMs | Histograms (Guth 2023b) https://doi.org/10.5281/zenodo.8087804
Bar graphs with 4 classifications for the test areas and tiles | 81 MB | Created by MICRODEM from classification grids | Data to create graphs: (Guth 2023e) https://doi.org/10.5281/zenodo.8283791 Bar graphs: Guth, P.L. (2023f). https://doi.org/10.5281/zenodo.8287774

  • Guth, P.L. 2023b. DEMIX Difference Distribution Histograms (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8087804
  • Guth, P.L., 2023a. DEMIX GIS Database Version 2 (2.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8062008
  • Guth, P.L., 2023c. GIT-MICRODEM [Delphi source code, archived installation versions]. URL: https://github.com/prof-pguth/git_microdem
  • Guth, P.L., 2023d, MICRODEM: Open-source GIS with a focus on Geomorphometry [download latest Win64 executa and CHM help file] URL: https://microdem.org/
  • Guth, P.L. (2023). K-means clustering of the DEMIX data set (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8283791
  • Guth, P.L. (2023f). Bar graphs of DEMIX database tile classifications (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8287774
  • Guth, P.L., Peter Strobl, Kevin Gross, & Serge Riazanoff. (2023d). DEMIX 10k Tile Data Set (1.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.7504791
  • Guth, P.L., Riazanoff, Serge, Corseaux, Axel, Grohmann, Carlos, Trevisani, Sebastiano, & López-Vázquez, Carlos. (2023e). DEMIX 1" Reference DEMs version 2.0 (2.0) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.8086806

DEMIX Wine Contest home page

MICRODEM home page

Last revision 8/28/2023


Product Gallery

Sample output from MICRODEM.

 Alps Map Example--combine raster DEM and vector streams, roads, and gazetteer place names.

Maps. Multiple views of a 1:24K DEM.
Elevation transformations. Spread out color scale and better reveal trends in parts of the z distribution.

Slope maps. Multiple views of a 1:24K DEM.
Aspect maps
Contour map sampler
Contour map directions

Map merges.

3D Maps. shading effect from the DEM for a scanned map (DRG).

Point clouds

Views of California. Views of multiple DEMs at a variety of scales.
County or state DEM maps
Movies and animations:
  • Fly through and [image] Live flying
  • Variable opacity merges
  • Alpha Blending DEM generated Perspective and Oblique Photograph
  • Basin flooding

Perspective views.

3D Anaglyphs--maps and 3D perspectives

OpenGL views

Intervisibility products--weapons fans/viewsheds, line of sight profiles, ambush movies, and required antenna heights.

  • Fresnel Zones

  • Show masked airspace:

Image merge and sharpening--combine pan and multispectral images

Map showing three grids in RGB.

Map Visualization
  • Labels, scale bars, legends
  • Marginalia and legends
  • Grayscale and subdue

Map projections

Vector Overlays:
  • PLSS Overlays
  • TIGER data

Vector GIS Products

World base maps

Climate maps

KML exports to Google Earth
Geology

3D Fence Diagrams

  • Chirps Data--from data
  • Seismic fence diagram--from bitmaps

Last revision 11/2/2017


Elevation Map Sampler

DEM Elevation Map Sampler

Simple elevation maps | Slope | Reflectance | Merge | Contours | Openness | Ridge/valley maps | Aspect Map | Curvature

All maps of the Hanging Rock, Canyon, California, 1:24,000 DEM.

To change the type of map displayed you have several options:

  1. Right click on map and change display parameter. Then select the type of display desired.

  2. Use "Modify, Display Parameter" menu choice. Then select the type of display desired.

To change the characteristics of the map displayed you have several options:

  1. Right click on map, and select choice corresponding to the type of map currently displayed.

  2. Use "Modify" menu choice, and select the choice corresponding to the type of map currently displayed.

Elevation map, default Chroma depth color bands.
Elevation map, terrain colors.
Reflectance map.
Reflectance map. with elevations as a tinted overlay
Reflectance map merged with

elevation color tints.
Contour maps.
Ridge/valley maps

Last revision 10/20/2009


SLOPE MAPS

All maps of the Hanging Rock Canyon USGS 30 m DEM

Slope map instructions

Slope units, in percent.

Standard slope categories. Select the number of bins, the boundaries, and the colors.
Cross country trafficability color scheme. This considers only the slope, and not the soil characteristics, or soil moisture, which both have impacts on mobility. You can get some idea of those from Land Cover maps.
  • Black is flat (0%). It might be water covered or swampy, which would be no go on other criteria. You could look at satellite imagery, or landcover maps, to get an idea of why areas appear flat. Flat areas are more likely in low resolution DEMs, like SRTM.
  • green is GO (1-29%). Vehicles should not no problems.
  • yellow is SLOW GO (30-45%)
  • red is NO GO (>45%) Vehicles will not be able to traverse the terrain.

In Go/No Go scheme, yellow is added to Red.
Gray scale color scheme--a reverse grayscale can be very revealing for lidar data sets (Example urban lidar displays, including reverse grayscale).
Rainbow color scheme.
DEM Slope merge on satellite image. This has the maximum slope at 60%; anything steeper is capped at red.
DEM Slope merge on satellite image. This has the maximum slope at 45%; anything steeper is capped at red. Note that this has more red than the map above with a max slope of 60%.
DEM Slope merge with a DRG scanned map. Colors show slopes calculated from the DEM.

Last revision 3/6/2022


3D Map Reflectance Merge

This product combines shading from the DEM and the map.

With the DEM and map open, right click on the map and select "Display parameter" and then "DEM reflectance merge". You can adjust the lighting with a right click and "Reflectance options"; both the sun position and the vertical exaggeration will affect the shading.

There are several possible ways to do hillshading.

Base map.
Reflectance merge
Reflectance merge. Less vertical exaggeration for reflectance parameters
DRG anaglyph--applies to other maps as well

Last revision 10/6/2015


DEM/Image merges

Terrain Views--DEM/Image Merges

These images show imagery combined with DEMs, mostly the Hanging Rock Canyon, California, 1:24,000 quad.

Elevation from the DEM as the hue, ranging from blue for the low elevations to magenta for the highest elevations.

Intensity and saturation shading from a reflectance model. Done from the modify menu, merge color scence
Elevation from the DEM as the hue, ranging from blue for the low elevations to magenta for the highest elevations.

Intensity from the reflectance of a principalcomponents.

Landsat TM image. Done from the modify menu, merge color scence
Elevation from the DEM as the hue, ranging from blue for the low elevations to magenta for the highest elevations.

Intensity from the USGS DRG of the 1:24,000 quadrangle map. Done from the modify menu, merge color scence
3D Scanned Map. Color from the USGS DRG of the 1:24,000 quadrangle map, and intensity from a reflectance map of the DEM.
DRG-DEM anaglyph
NLCD-DEM merge shows land cover and topography.

Last revision 6/9/2019


Anaglyph Views

Anaglyph views achieve a 3D look with red and blue glasses. The red lens goes over the left eye, and views an image in red that is displaced to the left as a function to elevation (for vertical views) or distance out (for perspective views).

Anaglyph photographs go back to the 1850's.

Anaglyph maps : Right click on the map, and pick the " 3D map options " choice from the pop up menu.

  • Stereo Anaglyph: creates a new reflectance map with a shift of the red bit plane. You can change the maximum shift, as well as the reflectance parameters, by right clicking on the map display.
  • Stereo Anaglyph/Merge: uses the image on screen, and shifts the red bit plane to the left. This may or may not be effective depending on the imagery displayed. You will be asked for a maximum shift.

Anaglyph perspectives: select this option when setting the perspective parameters. This can be done with either a reflectance or a drape perspsective. Select the anaglyph option on the Stereo tab of the perspective options form.

  • Anaglyph displace: one view, with the red bitplane shifted to the left. You set the maximum shift for the foreground, which decreases to a minimum at the back of the view.
  • Anaglyph, two scenes: two separate views are drawn, each shifted a specified distance from the observer's location. The red view is shifted to the right and the blue/green view is shifted to the left. You can adjust the eye separation; the correct distance will depend on the resolution of the DEM and overlaid imagery and the distance to the main features in the view. Depart from the default value only carefully, and decreasing the separation is probably better than increasing it.

Sources for [image] glasses.

Alternative 3D viewing

  • Chromadepth options provide a alternate 3D visualization, and requires different glasses.
  • Polarized glasses require two projectors. One projector has a vertically polarized filter, and is viewed by one eye with the matching filter. The other projector uses a horizontally polarized filter, and provides an image to the eye which has a matching filter.
  • Shutter glasses change frequently (120 times for second), in sync with the glasses. The eyes alternate viewing the two different scenes, but the changes are fast enough that the brain fuses the two different perspectives and sees 3D. The shutter glasses need batteries. This was the technology for 3D TV, which did not quite catch on.
  • Occulus Rift, and similar devices like Google cardboard which split the cell phone screen.

Last revised 11/26/2017


Imagery Merge and Sharpening

Landsat 7 TM data

Deep Springs California. Panchromatic and merged imagery at 15 m scale, with Bands 4-3-2 blown up with interpolated reflectances.
Bands 4-3-2 in R-G-B, 30 m pixels Bands 4-3-2 in RGB to give the hue, and band 8
to give the intensity. 15 m pixels 		Band 8 (panchromatic), 15 m pixels

To get merge:

  1. Open a Landsat 7/8/9 scene.
  2. Subset & zoom to the region you want. The map will be at 100% magnification for the pan band, and 200% for the other bands
  3. Band to pick the three color merge you want: true color, false color, or custom.
  4. Pick the Pan sharpen button
    1. The current 3 band color merge will be drawn with 200% magnification.
    2. The pan band will be drawn at 100% magnification.
    3. The color merge will be overlaid to give the hue, and the intensity will be from the pan band.

Last revision2/6/2023


Perspective Sampler

All images from the Hanging Rock Canyon, California 1:24,000 quadrangle.

USGS DOQ (1 m resolution) drape

Drape of elevation/reflectance merge.

The views below are show the same terrain, with different parameters.

Landsat TM (30 m resolution), single band Drape

DEM reflectance

Landsat TM (30 m resolution), three bands (5-3-2 from an older TM scene Drape

DEM fishnet, ChromaDepth colors

DEM fishnet, regular colors
Ridges only

Special Function with Perspective Views

Anaglyph 3D views
Label features on perspective from gazetteer
Alpha blend movie of digital photo taken from Black Butte Fire Tower, Oregon. It shifts to a DEM perspective view with TIGER data overlaid.

Other images.

Perspective view with clouds. TM scene in Afghanistan, draped on SRTM topography. You can see the holes in the SRTM, as vertical bands of color. A number appear near the horizon from 55º to 58º.

Perspective view generation.

Last revision 3/7/2017


Intervisibility Gallery

Intervisiblity Operations Summary

Old fans with radials and range circles | Old fans with radials | New fan with IHS colors

Weapons Fans/Viewsheds

Required antenna heights.

Line of sight profiles

Vegetation in LOS profile

Change sensor azimuth

Fresnel Zones

OpenGL view of two line-of-sight profiles.
OpenGL view of LOS through a LIDAR point cloud.
Route observation (ambush) coverage

Intervisiblity Operations Summary

Last revision 10/27/2009


OpenGL 3D Gallery

DEM only view, colors from the elevations.
Landsat TM image draped on the DEM.
3D view of GIS data set

Last revised 11/2/2017


Map Projections Album

Vector Maps created by MICRODEM

Table of projection properties

Orthographic (equatorial aspect)
  • Project perpendicular to plane
  • Known to Egyptians and Greeks 2000 years ago
  • Severe distortion at edges
  • Looks like globe
Stereographic (equatorial aspect)
  • Conformal
  • Projected from point at center on "back" of the globe
  • 2d century BC
Lambert Azimuthal Equal Area (equatorial aspect)
  • 1772
Orthographic (polar aspect)
  • Project perpendicular to plane
  • Known to Egyptians and Greeks 2000 years ago
  • Severe distortion at edges
  • Looks like globe
Stereographic (polar aspect)
  • Conformal
  • Projected from point at center on "back" of the globe
  • 2d century BC
Lambert Azimuthal Equal Area (polar aspect)
  • 1772
Equidistant Cylindrical
  • Simplest and oldest
  • dates 200 BC or 100 AD
  • Also called equirectangular projection, equidirectional projection, geographic projection, plate carrée or carte parallelogrammatique projection
  • In ArcGIS this is the GCS projection
  • Other than as a quick and dirty map of the world, this has no redeeming geometrical characteristics, and should never be used for large scale maps.
Mercator Ellipsoidal
  • Based on cylinder
  • Conformal
  • Straight rhumb lines, parallels, and meridians
  • Poles at infinity
  • 1569

Cylindrical Equal Area
  • Parallel spacing decreases toward poles, by Cos(Lat)
  • Shows poles (but distorted)
  • Lambert, 1772

Lambert's latitude of no distortion was the equator. Others have suggested different latitudes (the "central latitude" of the projection):

  • Gall, 45º
  • Behrmann, 30º
  • Edwards, about 37º
  • Peters, about 45-47º

Lambert's version is above, the Gall-Peters below. To keep areas equal, note the stretching in one direction compensated by equivalent compression in the other direction.

UTM (Universal Transverse Mercator)
  • This is a projection for Zone 18, and normally would be zoomed in to show a much smaller area.
  • The central meridian is zone 18 runs north south, and the others converge--to the east on the left side of the map, and to the west on the right.
Lambert Conformal Conic
  • Based on cone
  • Straight meridians, curved parallels
  • Very close to also being equal area for a region like the continental US
Albers Equal Area
  • Based on cone
  • Straight meridians, curved parallels
  • Very close to also being conformal for a region like the continental US
Sinusoidal
  • Pseudocylincrical
  • Equal area
  • since mid 16th century
Molleweide
  • Pseudocylincrical
  • 1805
Van Der Grinten
  • Entire globe inside a circle
  • All meridians and parallels are arcs of circles (except equator and central meridian, which are straight lines or infinite circles)
  • 1904
Hammer
  • Modified Lambert Azimuthal Equal Area (halve vertical coordinates, and show more meridians to have entire globe visible)
  • Remains equal area
  • 1892

Reference on projections:

  • Snyder, J.P., 1987, Map projections -- a working manual: U.S. Geological Professional Paper 1395, 383 p.

Last revision 9/9/2019


World Base Maps

Global World Base Maps

Quick vector map opens a single map in a Mercator projection unless you have changed the default.
New Vector Map, with a choice of the projections.

NASA Blue marble for a satellite view of the world (must be enabled on options form)
Global topography gives a global map suitable for viewing both land and underwater features at the scale of the entire world down to a single continent. Note this can display 1.5 or 2 earths, so both the Pacific and Atlantic Oceans appear in full view. Pick the multiple earth display on the "Wrap ETOPO5" option on the Import/Export tab of the options form.

New DEM and pick another global or regional DEM.

Predicted sea floor ages (must be enabled on options form)

If you want to emphasize data plotted over the base map, consider Map shading options to Grayscale or subdue the map.

Last revision 9/5/2013


Panorama View

The Panorama button on the toolbar , or the Panorama menu choice also available on the view menu, requires that you first select the central view point, and then the depth of the view.

All perspective views follow the same steps for both generation and modification.

It draws a 450 degree view (you can move up to 45 degrees either side of the north at the start and end), and you use the slider bar to select the view. Unlike the old panorama, you will not experience motion sickness.

Scrolling Panorama Popup

Also, like other single frame perspectives, when you roam on the perspective view, the status bar at the bottom of the screen will show your location, the range, and the azimuth and pitch to the point where the mouse cursor is located. You can also see your location on the maps, if you have multiple map roam selected on the options form. The red cross shows in the map above, although the screen capture loses the mouse cursor on the perspective view itself.

The "Sun position" menu allows you to show the sun position, for the current day or another.

Last revised 6/29/2022


Flying Overview

This produces a pseudo-3D view that shows what the observer would see if they were walking, or flying over the terrain. The fly through is composed of series of perspective views stored as BMP or JPEG files and then replayed. Several types of fly through are available, just like the perspective view since the flythrough is just a series of perspective views:

All follow the same general steps:

  • Pick route and viewport parameters.
  • Wait while the images are generated. A count will keep you informed of the progress. Speed depends on your computer and the parameters of the view.
  • The animation will immediately be played in a Movie Player window.
  • You can recall the movie later from the File, Tools, Movie menu choice which will only be available when all DEMs and satellite images are closed.

The length of the flight line will directly determine the number of frames required for the fly through. Remember that depending on the size of the .bmp files generated for each frame and the number of files/frames you can quickly fill your hard drive.

You can convert to AVI or GIF format from the movie player window.

There are now multiple variants of flying:

Live flight : the view remains forward as the viewer moves and turns. You can control the viewer with the spin buttons on the control window, or use the arrow keys to move up-down and right-left. You can also use a joystick. We would suggest using this option, except in the following cases when live flying might be too unresponsive:

  • You have a mighty slow computer.
  • You want to drape a map.

Normal flight: select a flight path. The view will remain forward as the viewer moves and turns.

Panorama: use a scroll bar to select the view, and use the view to find locations on the map.

Circle around: pick a target, and keep it centered in the viewport while rotating around it. Option available from the View menu.

All the fly through modes share common controls:

  • Select parameters governing fly through.

The fly through path is saved in the Windows Temp directory with a DBF file. If you want to do anything with it, you must manually move it before you close the program.

Last revised 4/8/2016


KML Gallery

KML overview.

LAS lidar point cloud. You must be very careful about the size of this export, which can easily overwhelm Google Earth.

Military unit symbols

Last revision 11/2/2017


Magnetic Model

Microdem uses the MAGVAR code, an NGA product. The code, data files, and documentation are available from NGDC. The code has been converted to Object Pascal, but was also converted to a C DLL. Both reproduce the test results.

The World Magnetic Model coefficients are produced jointly by the British Geological Survey (BGS) in Edinburgh, Scotland, and the U.S. Geological Survey, Golden, Colorado USA, on behalf of the British Hydrographic Office in Taunton, England, and the National Geospatial-Intelligence Agency, Washington, D.C. The model, associated software, and documentation are distributed by NGDC on behalf of NGA. These models are produced at 5-year intervals.

The program requires the data file wmm_xxxX.cof . This is supplied with the program and will be updated automatically, or can be obtained from NGDC at the link above. If you get the file from NGDC, you will have to rename it. The program currently uses the WMM202020 (2020-2025) coefficients file.

Current code is at http://www.ngdc.noaa.gov/geomag/WMM/soft.shtml

MAGVAR IS COVERED UNDER DMA MILITARY SPECIFICATION: MIL-W-89500 (1993).

  • PROGRAMMED BY: JOHN M. QUINN 7/19/90
  • FLEET PRODUCTS DIVISION, CODE N342
  • NAVAL OCEANOGRAPHIC OFFICE (NAVOCEANO)
  • STENNIS SPACE CENTER (SSC), MS

References

  • https://eos.org/science-updates/modeling-earths-ever-shifting-magnetism
  • https://repository.library.noaa.gov/view/noaa/24390
  • http://everyspec.com/MIL-PRF/MIL-PRF-080000-99999/MIL-PRF-89500B_56010/

Last revised 12/10/2019


File metadata

Option on the Analyze menu.

Select a file and get a pop up window with its metadata and characteristics.
  • ESRI Shapefile
  • DBF file
  • LAS--you can find if the problem is with MICRODEM, or the data files.
    • via MICCRODEM--this will be faster, as it just reads the header
    • via Lasinfo--reads the entire file, and provides some statistics
  • Geotiff: you can view the structure of a TIFF or GEOTIFF. This may require looking upt the GEOTIFF specs to make full sense of the output.
  • GDALinfo: GeoPDF, GetTIFF, or IMG
  • EXIF
  • KML/KMZ

Last revision 8/26/2023


Data files

MICRODEM Data Files

File extensions used (MD specific unless otherwise noted):

  • BPW: world file for image registration for BMP files. This is not an MD format.
  • DEM: in the new MICRODEM DEM format, each DEM has a single file. In the old MICRODEM format, which is still supported, each DEM has two files, the data file and a header. You can change the default directory for this data.
  • HDR: old binary header file for the original MICRODEM format. The program can still read these files, but cannot write them.
  • MOV: movie file, an ASCII listing of the BMP or JPEG files used to create the movie. This is not the Quicktime MOV format.
  • TDW: ASCII datum file to go with the TFW world file. Has the datum, UTM zone, and hemisphere.
  • TFW: world file for image registration for TIFF files. This is not an MD format.
  • TGT: target location. Used with a target approach movie to toggle on and off the location of the target in the center of the screen. This is an ASCII file stored in the \MapData\Movies directory.
  • XY: imagery registration file

Analysis results. Many of the analysis options prepare

  • text files with their results, presented in an editor in which you can print or save the files. The file will be deleted unless you save it from the editor window.
  • Standard database

Last revised 7/27/2015


DEM Header Records

Version 4 & 5 format

Version 3 format

Version 2 format

Edit/view header record

Fields in the old DEM header record:

  • DEM Type: data sets can be either UTM-based, with points on a regular rectangular grid, or lat/long-based, with points at regular intervals on the geographic grid. Because of earth curvature, the two types of data behave differently over large areas.
  • DEM Precision (Z data type): short float (4 byte), integer (2 byte), or byte. You cannot change this.
  • Digitizing Datum for DEM: the datum used for creating the data. If you are creating a new DEM from a paper map, the datum should be listed on the legend at the bottom of the map. The program can transform the data from this datum to the datum you need for your map. If your datum is not specifically listed (and only the NAD and WGS datums are directly listed), you want the local datum which will be the default datum you have selected for MICRODEM . The "rectangular" datum should be used only as a last resort, and it treats the coordinates only as a Cartesian grid and has no way to get the latitude/longitude.
  • Z units: the units for elevations (or gravity, magnetics, etc) in the data.
  • X-Y units: the units for the grid. Valid responses are dictated by the DEM type.
  • Columns: the number of columns in the data set. Columns run north-south, so the number of columns (along with the data spacing) determines the width of the data set.
  • Rows: the number of rows in the data set. Rows run east-west, so the number of rows (along with the data spacing) determines the height of the data set.
  • X-Spacing: distance between points, which might differ from the y-spacing.
  • Y-Spacing: distance between points.
  • SW x coord: in either UTM or Lat/Long coordinates, depending on the type of DEM, for the SW corner.
  • SW y coord: in either UTM or Lat/Long coordinates, depending on the type of DEM, for the SW corner..
  • UTM Zone: the 6° zone used for UTM coordinates. Zone 1 centers on 177°W, and each succeeding zone is 6° to the east.
  • Max Z: extreme high value.
  • MinZ: extreme low value.

MICRODEM uses MaxInt (32767) to mark missing data, for both integer and floating point data sets.

Record and type definitions needed to read the header record and DEM in the MD format. All conventions follow Object Pascal, from Borland International. The records are not word aligned but packed. The format changed in Dec 2002. Old files will continue to be read, but new files will break other software using the format. There are 2 changes:

  1. The DefProjName, which links to a PRJ file describing the projection used with the DEM. This was instituted for Finnish DEMs on the KKJ projection. Until it is extended more generally, this will not be further documented, but it offers the potential to deal with DEMs using any map projection.
  2. The addition of floating point fields for the SW corner and the x and y spacings. These were required for the 1/3" NED from the USGS. You can recognize a new DEM because of the 0 in the LatInterval and Long Interval fields, which have now been renamed as iLatInterval and iLongInterval.

Samples of how to check for the new or old header:

  • if (BaseXUTM24K = 0) and (BaseYUTM24K = 0) then begin //new header
    • BaseLat := fSWCornerY;
    • BaseLong := fSWCornerX;
  • end
  • else begin
    • BaseLat := BaseYUTM24K / ArcFactor;
    • BaseLong := BaseXUTM24K / ArcFactor;
  • end;
  • if (Headrecs.iLatInterval = 0) and (Headrecs.iLongInterval = 0) then begin //new header
    • LatOrYInterval := Headrecs.fLatInterval;
    • LongOrXInterval := Headrecs.fLongInterval;
  • end
  • else begin
    • LatOrYInterval := Headrecs.iLatInterval;
    • LongOrXInterval := Headrecs.iLongInterval;
  • end;

type //for the DEM Header record
  • tDEMAvailable = (UTMbasedDEM,ArcSecondDEM);
  • tSpacingUnit = (SpaceMeters,SpaceSeconds,SpaceMinutes, SpaceKM,Space100m,SpaceFeet, SpaceKFeet,SpaceDegrees, SpaceHundredthSecond,MercProj100m, PolarStereo100m,Space10m,SpaceTenthSecond,SpaceTenThousandthDegree,SpaceIntFeet,SpaceUSFeet);
  • tZValueUnit = (Meters,Feet,TenthMgal,Milligal,TenthGamma,Decimeters,Gammas, HundredthMGal,DeciFeet,Centimeters,OtherElev,HundredthMa, TenthPercentSlope,Undefined,zDegrees,UndefinedHundredth,lnElev,LogElev,,zTenthDegrees,
    UndefinedThousandth,HundredthPercent,UndefinedTenth,HundredthDegree,
    Tens,Hundreds,Thousands,NLCD2001,LandFire,Nanotesla,NLCD1992,IntegerCode);
  • tDigitizeDatum = (WGS72d,WGS84d,NAD27d,NAD83d,Spherical,Local, Rectangular,LamAzEqAreaSphere,SinusEllip,PRDd,UK_OS_grid,ddDefined);
  • tDatumCode = string[5]; //Pascal, 6 bytes since byte[0] is the string length
  • tEllipsCode = string2; //Pascal, 3 bytes since byte[0] is the string length
  • tDMAMapBasicDefinition = packed record //for the DEM header, only the last two fields are (or may be) currently used, but others are loaded from the datum/ellipsoid data files and used inside the program
    • h_Adat,
    • h_f : double; {added July 95}
    • h_XDat,
    • h_YDat,
    • h_ZDat : SmallInt; {added July 95}
    • h_DatumCode : tDatumCode; {added June 98}
    • h_EllipsCode : tEllipsCode; {added June 98}
  • end;

tHeaderRecord = packed record //for a DEM, version 3, introduced 22 May 2010

  • DEMUsed : tDEMAvailable;
  • DEMPrecision : tDEMprecision;
  • DataSpacing : tSpacingUnit;
  • MaxElev, {max elevation in data set}
  • MinElev, {min elevation in data set}
  • fLatInterval, {y spacing}
  • fLongInterval : shortFloat; {x spacing}
  • OldNumCol,OldNumRow : word; //removed 6/16/2011, so you can get larger grids
  • ElevUnits : tZValueUnit;
  • DefProjName : string[7]; {Pascal, 8 bytes, byte[0] is string length} {complex projection definition}
  • SquareID : string2; {Pascal, 3 bytes, byte[0] is string length}
  • UTMZone : Byte; {6 degree UTM Zone number, USGS/MGRS standard: 1 = W177, 60 = E177}
  • DMAMapDefinition : tDMAMapBasicDefinition;
  • DigitizeDatum : tDigitizeDatum; {sets datum for DEM, and it is transformed to the desired local datum for use}
  • LatHemisph : AnsiChar; {N or S}
  • CreationInformation : string[29];
  • FIPS_Zone : tInteger16;
  • hdfSWCornerx,
  • hdfSWCornerY : Float;
  • NumCol,NumRow : integer; //added 6/16/2011, so you can get even larger grids
  • FutureUse : array[1..7] of byte;

end;

Last revision 1/28/2012


Data Base Reserved Field Names

The following field names have special significance:

  • NAME
  • LAT
  • LONG
  • LAT_HI
  • LAT_LOW
  • LONG_HI
  • LONG_LOW
  • COLOR
  • FONT_NAME
  • FONT_SIZE
  • FONT_COLOR
  • SYM_SIZE
  • SYM_COLOR
  • SYM_TYPE
  • PLOT
  • INDEX
  • LEGEND
  • DISTRICT--for post-census redistricting.
  • IMAGE
  • WWW, URL, or URL1, or WWW_xxx: link to web pages from the database record display.
  • QUAD
  • DIP
  • STRIKE
  • CGM_AREA
  • CGM_POINT
  • CGM_LINE
  • GEOSYM_ID
  • USE
  • DEM: open a DEM

These may not be used any more:

  • FILENAME
  • FENNCODE
  • DEM_NAME

Last revision 11/14/2007


US Geographic Data

US "Standard" Databases

Some of these may no longer be available on the web, and some might be old and better options could exist.

Feature & source | Coverage Notes | Fields Used For Labels | File Name
Geologic map (must be reprojected before use)--digital version of King's 1974 geologic map of the United States. 12,934 polygons

161 units based on age and lithology

 UNIT + ROCKDESC us\geology_king\geology-polygon.dbf
Climate divisions: 1991 National Climatic Data Center
  • Average temp (F) and standard deviation
  • Average precip (in) and standard dev
  • Units larger than counties
 PRE_MEAN + PRE_STD

TMP_MEAN + TMP_STD

 us\climate_div\climate_div.dbf
Physiographic Provinces: (must be reprojected before use) Fenneman, N.M., and Johnson, D.W, 1946, Physical divisions of the United States | Codes for 8 major divisions, 25 provinces, and 86 sections representing distinctive areas having common topography, rock types and structure, and geologic and geomorphic history | FENCODE+PROVINCE+SECTION | us\fennprov\fennprov.dbf
US Interstates from NOAA | us\interstates\in101503.shp
USGS 24K Quad: names and locations of the 1:24K 7½' topographic quadrangles. | Must have field "NAME" | us\quads24K\24Kgird.dbf

The files go in c:\mapdata\database\us, with each of these files having its own directory.

This was originally set up for use with the National Atlas, which is now defunct, so you will have to get your own shapefiles and set your selections for rivers, roads, states, and counties (perhaps for another country) in US smart outlines.

Last revision 2/17/2017


LOS

LOS/Weapons Fan Algorithms

Unless you are investigating the effects of the different choices in the LOS algorithm, most of these parameters should probably not be changed. The exception might be if you must really tweak the algorithm for maximum speed, and are willing to compromise accuracy.

The one parameter you might want to change is the Fan Zoom Factor. See the discussion under Mixed visible/masked cells.

Invoked from the fan parameters form.

These parameters apply to both the LOS and the weapons fan:
  • Vertical earth curvature algorithm
  • Fan (viewshed) drawing method (applies only to fan and not LOS)
    • Ray spacing
    • DEM spacing multiple and Map spacing multiple (for Radials, full coverage),
    • Point spacing (for Radial lines, discrete)
  • Radial from zoom map size: this should provide an improved version of the Radials, Full coverage. When we are sure that it works, we will probably remove the older method. Uncheck this only if it gives you problems.
  • Point selection method (along LOS)
  • Viewer and target on grid node
  • Point interpolation method for intermediate points not on a DEM grid node. You should change this only after extremely careful deliberation. This is not used used in the Yoeli or Breshenham methods.
  • Horizontal earth curvature
    • Switchover distance: (applies only to smart horizontal curvature)
  • Closest blocking distance: points closer than this distance will not block the line of sight. This corrects for slight errors in locating the observer, and for problems with the DEM. A reasonable value for this might be 1-2 times the DEM spacing.
  • Missing data blocks LOS.
  • Fan zoom factor: controls the accuracy (and speed of drawing, which are inversely related). See the discussion under Mixed visible/masked cells.

The only options we recommend changing would be, under specified conditions:

  • Fan drawing method
    • Radial lines, discrete. This can speed up results when you only need a reasonable estimate of the coverage from a location, and do not need a detailed map.
    • Radial, full coverage. Recommended for most operations.
  • DEM spacing multiple
    • Recommended to be 0.5, but can go to 1 without much degradation.
  • Map spacing multiple
    • Recommended to be 0.5, but can go to 1 without much degradation.
  • Horizontal earth curvature
    • Over short distances with lat/long DEMs, (out to 10 km for 1/3" or 10 m DEMs), you might get a noticeable speed up by using DEM Grid or Geographic Lat/long coordinates for the algorithm.

Fan (viewshed) drawing method

Last revision 7/27/2008


Vertical Curvature of the Earth

Selected in MICRODEM:

  • Viewshed Parameters window, Color & algorithm, fan parameters form.
  • LOS Right click options, LOS Parameters--change display parameters, Curvature

In screen profiles the computer can include in its calculations curvature of the earth's surface along the profile. This can be seen on very long profiles through areas of low relief, where the ticks on both sides of the profile will be visibly at different levels (e.g. a 20 km profile through West Point will have a 50 m drop due to curvature of the earth with a 500 m vertical scale). The program will not allow curvature in very long profiles, such as those from SRTM30 where the curvature can be much greater than the actual relief.

The algorithm choices are:

  • TM 5-441 (Feb 1970), p.2-12: the Army technical manual for topographic surveying. HP = HP - d² * 0.0676
  • Radio: radio line of sight. HP = HP - d² / (RadioK * 0.25 * 51). This algorithm depends on the atmospheric conditions, but not the frequency/wavelength used. Frequency does impact Fresnel zone calculations.
    • For standard conditions RadioK is usually taken to be 1.33. With this assumption, the formula becomes HP = HP - d² * 0.0590.
    • If you want other conditions, select an appropriate K value.
  • Yoeli: Yoeli (1985) gives a slightly different formula (HP = HP - 0.87 * d² /2R, where R is the radius of the earth, and the units are in kilometers) which differs slightly from the number calculated with the TM's formula. With an earth radius of 6370 this becomes HP = HP - d² * 0.0683. ArcGIS uses this formula.
  • None. Flat earth, appropriate for very long profiles which just show the terrain.

 | Vertical Earth Curvature (m)
Distance (m) | TM5-441 | Yoeli | Radio, K=4/3
100 | 0.0 | 0.0 | 0.0
500 | 0.0 | 0.0 | 0.0
1000 | 0.1 | 0.1 | 0.1
2500 | 0.4 | 0.4 | 0.4
5000 | 1.7 | 1.7 | 1.5
10000 | 6.8 | 6.8 | 5.9
25000 | 42.3 | 42.7 | 36.9
50000 | 169.0 | 170.7 | 147.4
100000 | 676.0 | 682.9 | 589.7

The differences between Yoeli and TM5-441 are probably due to the low resolution of the constants in the equations, and should not be considered significant.

Earth curvature (over 3d shading from the DEM).

Create on Required antenna height of Calculate, Intervisibility menu.

Provides an estimate of how good a flat earth approximation will be.

Graphs of the vertical earth curvature.

Horizontal earth curvature

Last revision 7/29/2011


Slope Map Colors

Slope map colors are assigned as follows:

  • Slope is computed using selected slope algorithm.
  • Value is converted to a percentage, and rounded to the nearest integer.
  • Values greater than 100 are truncated to 100.
  • It is assigned a color. The color boundaries are integer, and value that round to the boundary are assigned to the category above the boundary.

If you want a more precise depiction, you should use terrain category option:

  • The slopes are done in percent, floating point.
  • Boundaries use a >= and <= comparison, in floating point arithmetic.
  • If you set multiple categories with the same boundaries, any slopes that came out with exactly the boundary value would be assigned to the last drawn category. Given the vagaries of real number arithmetic, this is probably very unlikely.

Last revision 1/28/03


Copernicus Global Land Cover

Copernicus Global Land Cover (GLC100)

MICRODEM recognizes these with "LC100_global" in the file name. Do not rename unless you keep this in the file name

https://lcviewer.vito.be/download

  • 20x20 degree tiles named for the NW corner, but you can pick on the map to get the correct one.
  • Leave all settings
  • annual versions 2015-2019; click on the year to start download
  • You can skip sending your opinion
  • 3.6" spacing (~100 m)
  • MICRODEM will use GDAL to open
    • Use a map open to the area you want because otherwise the file will probably be too large, will be very slow, and might fail.
    • Full global coverage (1.7 GB in a very compressed state; this will not realistically open without subsetting), with additional layers at https://zenodo.org/record/3939050#.X67ebWhKj8A.
    • After import you can save an a MICRODEM DEM, and the program will remember what it is and open faster

Land Cover overview

Reference:

  • Buchhorn, M.; Smets, B.; Bertels, L.; Lesiv, M.; Tsendbazar, N.-E.; Masiliunas, D.; Linlin, L.; Herold, M.; Fritz, S. (2020). Copernicus Global Land Service: Land Cover 100m: Collection 3: epoch <2019>: Globe (Version V3.0.1) [Data set]. Zenodo. DOI: <DOI>

Last revision 3/29/2022


Database Edit

Menu appears when "EDIT" button is pressed on database table form. You must enable edits.

Choices available will depend on the type of database open.
  • Color_db_recs
  • Date/TIME
  • Icons
  • Font
  • Map coordinates
  • Fill viewshed fields
  • Insert record--add a new record at the bottom of the table.
  • Insert record from clipboard
  • Merge point databases
  • Graphically move points: drag points to a new location.
  • Graphical pick and edit record: pick a record by clicking on it on the map, and then edit the record.
  • Graphically insert point: copies the current record to the bottom of the database, and gives it the location when you double click on the map. The you can edit the record. You must change any fields that do not apply to the new location, or that might be duplicated by the record this was copied from and are not allowed to be duplications.
  • Graphically delete
    • Single points: double click to delete; confirm if you want to keep deleting
    • All points in box: outline box to delete. Right click and abort current operation when done.
    • All points in box, all open DBs
    • All points in polygon
    • All poits in polygon, all open DBs
  • Delete current record
  • Delete all records--useful after filter, for point databases only. You can get the same result by reversing the filter, and then saving that as a new DBF file on the Report menu.
  • Thin database: select thinning factor. A "USE" field will be added to the database, the first record will be marked "Y", and the next (thinning factor minus one) records will be marked "N". You can then filter based on this field, and save as a new database. This only makes senses in certain cases, such as points selected along a line, for instance a least cost path or a digitized path, when such selective thinning produces a reasonable subset of the data, or when you have points very densely but randomly located.
  • Mask--based on geometry
    • Mask database with shapefile:
    • Mask database with grid (DEM): select a grid, and the field "MASKDEM_1" or "MASKDEM_2" will be added. Then for each record, if there is a valid value in the grid the new field will be set to "Y", and if missing data, it will be set to "N". You could then filter the database with this field, and extract a subset.
    • Mask DEM with shapefile
    • Mask DEM with gazetteer
    • Insert MASK field--add additional MASK field for use in masking.
    • Find points in areas
  • Copy data files
  • Flag--based on data characteristics
    • Add Y/N from substring. Because you cannot filter with an initial wild card, this enables you to create a new field, and fill it with a "Y" for every records that contains a specified substring.
    • Add count from substring: adds a new field with the number of times a specfied substring occurs in the field
  • Evaluate XY profiles
  • Edit records in grid--type directly in the grid to change values. For the last change to take, you must click inside another cell.
  • Create grid
    • Point density (match map area)
    • Point density (match grid area)
  • DEM/grid: add fields to the DB using the DEM or grid.
  • Satellite, add reflectance: add the reflectance value for each band in fields BAND_1 to BAND_N. If one of the bands (e.g. ETM pan) has different spacing, the values for it will not be correct.
  • Stream network topology/Strahler order
    • Open shapefile with the river segments.
    • Filter shapefile to have a single basin, so the segments must be assigned to basins.
  • Fill in drainage basin
    • Must open grid with the drainage directions, following ArcGIS flow directions conventions. An example of this would be the HydroSHEDS data.
    • Must open rivers shapefile, which must have the orders for the subbasins fields set.
  • Add NLCD category
  • Find neighbors in second database: both databases must have point geometry, and you will select a box interval (distance out from point in all direction), and the program will find the number of points in the second database. For large databases this will be very slow, and you should consider the raster option to get Point Density.
  • Check joined database
  • Fill fields from joined table: select fields from the joined table. They will be copied to the table into a field with the same name. If the field already existed, you choose whether or not to overwrite records which already have a value for the field.
  • Add fields from open data base: insert the value from the closest record in the other open database.
  • Geocode
    • Geocode address to lat/long: compute LAT/LONG from ADDRESS field.
    • Geocode lat/long to address: point databases only.
  • Insert new fields
  • String field operations--change the string in the existing field. To be safe, you might want to create a duplicate field first.
  • Field arithmetic
  • Multiple field statistics: select a number of numeric fields, and create a new field with the min, max, mean, median, or sum.
  • Field geometry
  • Navigation
  • Rename fields from reference table
  • Fill field for all records
  • Delete unused fields
  • Use field
    • Mark all "Y"
    • Mark all "N"
    • Toggle records--change "Y" to "N", and "N" to "Y"
    • Current filter "Y", rest "N"--everything in the current filter will be "Y", and everything else "N"
  • Change fields used
  • Create geographic PRJ file
  • Backup DB
  • Restore backup version of DB
  • Octree
  • Reclassify Koppen
  • Reclassify focal mechanisms
  • Training class available
  • Clear all database settings

Rename individual fields by clicking on field name for the field.

Last revision 9/27/2019


Database Report

Menu from the "Report" button on database table form.

  • Hidden fields will not be included, and only records that meet the current filter will be included.
  • Drag and drop can rearrange columns.
Choices available depend on the type of open database.
  • Export text (CSV). You can supply any file extension.
  • Export HTML
  • Export DBF Table: Create new dBase table. The options here will only use the filtered records, and the displayed attributes/fields, so be careful. You can lose data, which can be good or bad depending on your desires.
  • Data DBF only (no geometry)
  • Quick KML: export for Google earth, using current settings.
    • Quick--uses current settings.
  • Export other database formats
    • Export Text (Deliberate): use only if you want a separator other than a comma, or to thin the export.
    • Deliberate KML--lets you adjust output
    • XML: export as XML file, which includes a definition of the database. This is valid XML, but I have seen 3 different exports into XML of a DBF file, so it might or might not import into other software.
    • CDS:
    • SQLite:
    Earthquake focal mechanisms
    • Quick
    • Deliberate
  • Database structure: see the field types and lengths.
  • Shapefile metadata
  • Coordinates to text file--you can get your preferred lat/long format, or all of them
  • Color array
  • Export points to registration table
  • ArcGIS viewshed sensors
  • Create point shapefile--writes SHP and SHX files for the current database, and includes all records and fields. MICRODEM does not normally use the SHP and SHX files for point shape files (but see the next option), and does not automatically update them if you edit the file. If you need, subset first using the "DBF Table" option which also has an option to save as a shapefile. This creates a PRJ file acceptable to ArcGIS. If there is a field Z or ELEV, this will be a 3D shapefile.
  • Create point SHX index: writes SHX files for the current database, and includes all records and fields. MICRODEM can use the SHX file for point shape file to Zoom to DB coverage on the Plot popup.
  • Create XYZ point shapefile
  • Create grid: makes grid with the same extent and spacing as the one associated with the map.
  • Create normalized database
  • Create cost surface from TIGER file
  • Export lat/long/z to text file: must be line or area shape file, with Z values in a field, and creates a text file with all the coordinates.
  • Export XYZ triples to table: must be 3D line or area shape file, and creates a point shape file with all the coordinates from the shapefile.
  • Thin database: save DB to a new file, with a specified thinning (decimation) factor.
  • Shapefile export--only works for line and area shapefiles, and if only available if the file is filtered. Use the DBF table option for point files.
  • Copy shapefile
  • Create area/line shape file from points
  • Create points file
  • Create shapefile with outline all databases
  • Create KML bounding box for each record in DB, for use in web downloads that let you upload an outline file. This will be in the temp directory (get them moved immediately, as the next program restart will kill them), and in a separate KML folder for each record.
  • Normalize fields--select fields will be scaled so that 0 is mean of the original field, and values represent standard deviations from the mean. This will create a new database.
  • ZIP shapefile: creates a zip file (with SHZ extension) with the shapefile's 3 files and the MICRODEM specific symbology in the INI file) and the linked table if there is a join. This keeps the files together to send to someone else, compresses the data, and lets you email without having to PIZ the file. MICRODEM and use the SHZ file, or you can Uncompress with MICRODEM, and rename the file and then use any software that handles zips. The SHZ file name will have the current date and time, so you can track edits to a database.
  • Copy data files: copies all files in the FILENAME field to a specified directory. You can have previously filtered the database to only move those in a particular map area.
  • Movie:
  • Legend:
  • Color bar chart: legend with the colors; required COLOR and PERCENT fields in the database. Useful for landcover.
  • Fonts
    • Grid
    • Legend
  • Hide unused fields: for fields that are blank, hides them all. You can can export the database to remove them.
  • Show DB settings
  • Clear DB Settings: restore default plotting and join options, by clearing the database's INI file.
  • Clear field ranges

Last revision 12/15/2022


Field Arithmetic

Submenu on "EDIT" button on database table form. The button is only enabled if you check the box on the right of the row of buttons, since all changes are permanent (save a copy of the database if you are concerned about editing mistakes).

  • Copy numeric field
  • Sum 2 Fields-add a new field with the sum of two existing fields
  • Difference 2 Fields--add a new field with the difference between two existing fields
  • Multiply 2 Fields--add a new field by multiplying two existing fields
  • Quotient 2 Fields (ratio)--add new field with the quotient of two existing fields. If the divisor is 0, the result will be undefined.
  • Percent field: pick a field, and it will be summed and for each record the percentage of the sum will be computed and added.
  • The next options do not add a new field; if you want to keep the original field, copy the field first
    • Add constant to field: pick a field, and add a constant to all records (meeting the current filter).
    • Multiply field by constant: pick a field, and multiply all records (meeting the current filter) by a constant.
    • Divide field by constant: pick a field, and multiply all records (meeting the current filter) by a constant.
    • Fix compass angles: Insure all angles are in the 0-360 range
  • Normalize fields--select fields will be scaled so that 0 is mean of the original field, and values represent standard deviations from the mean. This will create a new database.
  • Log of Field--If the value is 0 or negative, the result will be undefined.
  • Sin of Field--sine of field, interpreted in degrees.
  • Cos of Field--cosine of field, interpreted in degrees.
  • Average of neighbors--requires that the geographical neighbors have been computed and stored, and adds a new field with the average of their values.
  • Sum of neighbors
  • Mean Filter Field: pick the number of terms to use for the filter. Records at the start and end will not be filtered.
  • Median Filter Field: better removal of outliers compared to mean filter, since the outlier has no effect on the filtered value.
  • Z statistics: z values of the first and last point in a line shapefile.
  • Remove missing data
    • Pick field
    • All fields
  • Oceanography-- requires Oceanography options enabled, and fields TEMP_C and SALINITY and DEPTH exist; compute
    • Sigma tee
    • Sigma theta
    • Sound velocity

Last revision 11/10/2022


Multiple Field Quick Filter

Select string or integer fields with the check box, and all values in the data base will be added.

Pick the filter using the check box, or the up/down arrows to rapidly cycle through the choices, The map will update immediately.

Last revision 6/30/2020


Report--Legend

Report, Legend

Option for a database Report, Legend. A number of options create a database with the information for a legend. This is particularly useful for landcover.

Table display.

  • You can do a screen capture to use this directly
  • You can Filter
  • You can adjust the fonts with Report, Grid fonts
  • You can reorder fields by drag and drop
Create a bitmap legend with the Report, Legend option.
Color bar chart

Export the legend database with Report, Export HTML, Single table. You can take the table from the web page, paste it into Excel, and do computations.

Columns A-E were created with a count of the number of pixels in 4 categories.

Count has the number of pixels in each category.

This is from a Sentinel-2 scene, where each pixel is 10 m on a side, with an area of 100 square meters

Column F is added in Excel to get the area in square meters.

Column G converts the square meters to square kilometers, which makes better sense.

Last revision 6/15/2020


Sentinel-1

ESA active radar satellites

Like all Sentinels

  • Download data at: Copernicus Open Access Hub ( Directions )
  • Use SNAP

Radar Principles

Sentinel-1:

  • Characteristics
    • C band SAR
    • 12 day repeat cycle, LTAN=1800 hours
    • Data online within 24 hours
  • Interpretation
    • https://ceos.org/ard/files/Laymans_SAR_Interpretation_Guide_2.0.pdf
  • Easiest download from EO Browser (directions)
  • User Guide: https://sentinels.copernicus.eu/web/sentinel/user-guides/sentinel-1-sar/overview
  • Technical Guide: https://sentinels.copernicus.eu/web/sentinel/technical-guides/sentinel-1-sar
  • Sentinel Hub is good starting place to explore imagery
  • https://asf.alaska.edu/how-to/data-recipes/geocode-sentinel-1-with-gdal/
  • Modes
    • Stripmap (SM) 80 km swath, slightly better than 5x5 m spatial resolution. Image small islands and in exceptional cases emergency operations
    • Interferometric Wide (IW) swath mode is the main acquisition mode over land and satisfies the majority of service requirements. 250 km swath at 5 m by 20 m spatial resolution, often resampled to 10x10 m or 20x20 m
    • Extra Wide (EW) swath mode acquires data over a 400 km swath at 20 m by 40 m spatial resolution.
    • Wave mode acquires data in 20 km by 20 km vignettes, at 5 m by 5 m spatial resolution, every 100 km along the orbit, acquired alternately on two different incidence angles. Wave mode at VV polarisation is the default mode for acquiring data over open ocean.
  • In MICRODEM
    • Need to reproject to UTM before using

https://www.l3harrisgeospatial.com/docs/sentinel1intensityanalysistutorial.html

  • https://asf.alaska.edu/how-to/data-recipes/create-an-interferogram-using-esas-sentinel-1-toolbox/
    • Need to get sub_swath SLC burst mode, IW (each scene about 4 GB download, and 8 GB uncompressed)
    • May need to go to apply orbit file, and tell the program not to fail
  • https://asf.alaska.edu/how-to/data-recipes/create-an-rgb-composite-from-multi-temporal-sentinel-1-data/
  • GRD is not projected, because it is in ground range geometry (the .tiff in the SAFE set is not a GeoTIFF). You need to first apply terrain correction to project and create a GeoTIFF, which will then have the geometry information embedded in the relevant TIFF tags (which gdal.open() recognises).
    • GRD are about 0.75 GB compressed, and about 1.5 GB uncompressed
  • Geocoding and terrain correction are different
  • Multi-coherence product for volcanic eruptions
  • StaMPS was developed by Hooper et al. (2004) to calculate PS-InSAR time series. Hooper, A., Zebker, H., Segall, P., & Kampes, B. (2004). A new method for measuring deformation on volcanoes and other natural terrains using InSAR persistent scatterers. Geophysical Research Letters, 31(23). https://doi.org/10.1029/2004gl021737

Radar processing options:

  • ESA's NEST software (free), which has some built-in tools for interferogram generation: http://nest.array.ca/web/nest
  • Great free InSAR guide: http://www.esa.int/esaMI/ESA_Publications/SEM867MJC0F_0.html It describes all essential steps to an interferogram.
  • http://www.astrium-geo.com/de/3023-copy-of-software-tools (only in German unfortunately) for software tools, e.g. RAT is free and allows interferometric processing
  • SNAP, for the Sentinels

NASA in partnership with the Indian Space Research Organization (ISRO) is about to launch The NASA-ISRO SAR (NISAR) Mission in 2023

  • https://asf.alaska.edu/data-sets/derived-data-sets/sentinel-1-interferograms/, with 4 layers as Geotiffs
  • Global Seasonal Sentinel-1 Interferometric Coherence and Backscatter Dataset: Global Seasonal Sentinel-1 Interferometric Coherence and Backscatter Dataset , https://www.nature.com/articles/s41597-022-01189-6 1 degree tiles,
  • https://uavsar.jpl.nasa.gov/science/documents/nisar-sample-products.html

Last revision 8/14/2023


Create DEMIX Wine Contest Database


Create DEMIX database submenu

Submenu on the DEMIX sub menu of the MICRODEM main window

  • Merge source data files
  • Subset large 3DEP areas
  • Process GDAL shift for 3DEP: this can be very slow. It is unclear if it is the version of GDAL or the computer (GDAL 3.6.2 is very fast on one computer, while 3.6.3 is very much slower on another computer that should be faster).
  • Process 3DEP VDATUM shifts: (no longer recommeneded)
  • Merge 3DEP reference DEMs by area
  • Extract EDTM for test areas
  • Create 1 second references DEMs (for regions other than US)
  • Create half second reference DEMs (for map comparisons of ALOS and COPDEM; see https://zenodo.org/record/8057703)
  • Merge 1 sec reference DEMs from Visioterra: take adjacent 10 km tiles and create an area
  • Process difference statistics per tile
  • Create database (merge and transpose CSV files)
  • Full processing chain (use with caution, not recently tested)
  • Summarize VDATUM shift for US areas (no longer recommended)
  • Summarize vertical datum shift for EGM96 test DEMs

Wine Contest home page

MICRODEM home page

Last revision 7/30/2023


DEMIX Analyze Options

The DEMIX options on the main menu are currently working.

On Analyze: DEMIX these options should be working

  • Modes of difference distributions
  • Histograsm to CSV files
  • Landform categories by data base: database use have AREA and DEMIX_TILE fields, sorted in the order in which you want the AREA plotted.

Others may not be working, and we are working to fix or remove them.

  • DEMIX index high res reference DEMs
  • DEMIX 1 sec reference DEM creation
  • DEMIX reference tile survey
  • DEMIX tiles geostats (disabled)
  • DEMIX elevation histograms
  • Open DEMIX area: create maps (percent difference, air/dirt) and histograms

DEMIX wine contest main page

Last revision 6/18/2023


DEMIX Options with Evaluation and Opinion Matrices

Database Submenu under Stats, DEMIX

  • Mean and median histograms
  • Graph filters
  • DEMIX tile inventory: shows whether each tile has DTM, DSM, or both
  • DEMIX tile summary: creates table showing the number of cells and how many have sufficient pixels in each land type
  • Filter out signed criteria (mean and median, which do not work with the wine contest)
  • Filter for just signed criteria (mean and median, which do not work with the wine contest)--for instance you could then delete them from the database
  • Filter for DEMIX tiles: apply a filter so each DEMIX tile appears only once, to get tile statistics or to make an index for tile graphs
  • 1 degree tiles to cover records in table; creates list of the SW corner of the 1 degree tiles needed to cover every record in the table.
  • Add IMAGE field for difference distribution graphs. This file can also serve as a summary of the average characteristics of each tile
  • Best by sorted geomorphometry values. Be careful about the caveats so you understand the graph. Increased control over the results on the graphs
  • Graph best DEM (average score) for criteria and filters: makes two graphs (DSM and DTM) for all criteria and several terrain filters. Graphs with a legend will be in c:\mapdata\temp which you must save
  • Rank DEMs and find best by criterion and tile. You can change the tolerances used for ties.

The remaining options are experimental and may not currently work. Options may come and go, change positon, or be renamed

  • Graphs with various filters (experimental)
    • Key means
    • Key medians
    • Key 3 params
    • Pick criterion (parameter)
    • Single tile, all criteria, values
    • Simple example
  • Sum scores based on active filters
  • Ties by opions: adds a field for each DEM to the database, showing where it is tied for being best and how many DEMs share the tie, and a field showing CRIT_CAT whether what kind of difference is used for the criterion. Reod if you change the tolerances.
  • Wins and ties: summarize results from Ties by opinions. Call that if it has not been done already.

  • Graph filters
  • Winning percentages and shootouts
  • Graphs best DEM per tile, by criteria (sort by area)
  • Graphs best DEM per tile, by criteria (sort by tile characteristics)
  • Graph best DEM (average score) for criteria and filters
  • Graph difference values by DEMIX tile
  • Sum scores based on active filters, used for Friedman statistics
  • Graph best DEM (average score) for criteria

DEMIX wine contest main page

Winning percentages and shootouts

Graphs for DTM and DSM

Graph for

  • COP versus ALOS
  • COP versus ALOS versus FABDEM
  • All 6 DEMs (ties allows, so sum can be over 100%)

Within each graph

  • Each row is a wine contest
  • Top group each of the 15 criteria
  • Next group has filters by tile
  • Bottom group has filters by pixel

Best DEM per tile, by criteria

  • Tiles on the left, but only areas labelled
  • Criteria on the horizontal axis
  • Ties shown by multiple color boxes in the column
  • Tiles arranged in the same order as in the database
  • Labels by area, with a break between areas

Plots for mean or median, which are signed. The criteria used in the wine contest are unsigned

  • Tiles arranged in the same order as in the database
  • Labels by area, with a break between areas
  • Vertical line at 0.
    • Points to the left have negative differences, so the candidate DEM has a lower value than the reference DEM
    • Points to the right have postive differences, so the candidate DEM has higner value than the reference DEM

Option details, and snippet of graphical output

 Best by sorted geomorphometry values. Be careful about the caveats below
  • Vertical axis will be sorted on average slope, forest percentage, and so on, with the axis title showing the tile characteristic
    • May also consdider only a single criterion, which will also appear on the axis title
  • Horizontal column label will be for criterion or land type.
  • Two columns, blue for DSM, and brown for DTM
  • Only DEMs tied for first in the current tolerance will be included, and each DEM will always have the same position along the x axis.

REF_TYPE | AREA | ALL | BARREN | CLIFF | FLAT | FOREST | GENTLE | STEEP | URBAN
DTM | 15 | 105 | 102 | 49 | 105 | 105 | 86 | 60 | 79
DSM | 6 | 48 | 46 | 42 | 48 | 48 | 48 | 48 | 43
 DEMIX tile summary. Shows the number of areas, and the number of tiles that have a sufficient number of pixels with the appropriate land type.

last revision 9/13/2023


Main Menu DEMIX Options

These options on the main menu are currently working. Others may not be, and we are working to fix or remove them.

  • Open and manipulate DEMIX database: opens a form to maniplate the database.
  • Create DEMIX database
  • Advanced analysis
    • Modes of difference distributions: these are stored in a MICRODEM specific binary format, which this option turns into a CSV file
    • Landform categories from data base
    • Landform categories legends
    • COP/ALOS compare to reference
    • COP/ALOS high low geomorphometry
    • COP/ALOS pixel by pixel map statistics
    • Load COP/ALOS map difference analysis
    • Best DEM Multiple Panel Graphs
  • Help

DEMIX options for a database.

Last revision 9/13/2023


Best DEM Multiple Panel Graphs

Option from Open and manipulate DEMIX database: on the DEMIX main menu submenu

Graph Settings | Graph Panels | Max Panels
Sort by tile parameters, DEM type, graph for each criterion | TP * DEM | 14
Sort by tile parameters, graph by DEM type and Land Type, merged all 15 criteria | TP | 7
Sort by tile paramaters, each criterion, and graph by DEM type and Land type | TP * CRIT | 105
Sort by tile parameters, graph by criterion and DEM type | TP | 7

Index | Category | Number of Options | Notes
TP | Tile Parameters | 7 | Calculated over entire tile 4 geomorphmetric, 3 land cover
DEM | DEM type | 2 | DSM and DTM
CRIT | Criterion | 15 |
LT | Land type | 8 | Only matching pixels use to evaluate criteria All, 4 Slopes classes, 3 land cover

 Best by sorted geomorphometry values. Be careful about the caveats below
  • Vertical axis will be sorted on average slope, forest percentage, and so on
    • May also consdider only a single criterion
  • Horizontal column label will be for criterion or land type.
  • Two columns, blue for DSM, and brown for DTM
  • Only DEMs tied for first in the current tolerance will be included, and each DEM will always have the same position along the x axis.


DEMIX Processing Steps

DEMIX Processing Steps in MICRODEM

MICRODEM Setup

  • Download and install MICRODEM
  • Perform default GDAL installation from OSGeo4W. This is needed to read some of the Geotiff DEMs, and has transformation grids to convert the vertical datums to EGM2008

Collect Reference data and downsample to 1" spacing

  • Download reference data from national mapping agency or comparable source. Place each area in a separate directory, with the DSMs and DTMs further separated.
  • If data is tiled, Open and merge DEMs into a single DEM. If DEMs are not a simple Geotiff, MICRODEM will need GDAL.
  • Test areas must include at least one DEMIX tile with no more than 25% data voids. A DEMIX covers covers about 10 x 10 km, but you must typically include a significantly larger area
    • Even when the source DEM tiles are 10x10 km on a UTM grid they will not include full DEMIX tiles.
    • DEM tiles frequently are not full becasue of
      • Coastlines
      • Mapping projects end at political boundaries
  • Test area naming conventions, with each high resolution DEM placed in its own directory
    • Separate words with "_"
    • If there is just a DTM, the name does not have to include anything. DTM will be entered automatically in the reference DEM type field of the database.
    • If there is both a DTM and DSM, the last four characters in the file names will be "_dsm" and "_dtm". These are stripped off for the analysis, and DTM/DSM entered in the reference DEM type field of the database.
    • Create a DBF table with AREA, and VERT_CS. The second is the EPSG code for the local vertical reference, which is 3855 if the DEM is already on EGM2008
  • Insure you know the vertical and horizontal datums of the DEMs, how to transform them.
    • Insure reference DEM is in WGS84 or equivalent. You can use GDAL, QGIS, or try the options in MICRODEM.
    • Insure reference DEM is in EGM2008. ;If you have, or PROJ has, the correct transformation grids, MICRODEM can handle this.
  • Downsampling by aggregation (creating a lower resolution grid), DEMIX 1 sec resample by averaging. These will be floating point.
    •

  • Create an index database for each test area. Follow the format in the samples at https://doi.org/10.5281/zenodo.7600699/a>

    • . You must have links to the vertical datum transformation if the files are not already EGM2008.

Collect landcover data for the test areas.

  • Currently this must be Copernicus Global Land Cover (GLC100). Changing this would require require source code changes (1) adding file name recognition for another data set, and (2) adjusting land cover category codes.
  • Place in x:\landcover\Copernicus_LC100
Collect and index test/candidate Global DEMs
  • Create the following directories in the root directory of a drive
    • x:\mapdata\indexed_data\DEMs, with the following subdirectories
      • ALOS
      • ASTER
      • COP
      • FABDEM
      • NASA
      • SRTM
  • Download the 6 Global DEMs for all test areas to be used. Each is a separate downoad from a different location. Place files in correct subdirectories; they can be in additional subdirectories if desired.
  • Index map library
Evaluate DEMIX wine contest criteria: Compute multiple CSV files with the elevation, slope, and roughness differences and their statistics organized by test DEM. There will be 3 separate databases created. Each global DEM will be in a separate record (line), and all the criteria evaluations for a tile will be on that line. Some operations later will only run on these three databases.
Create DEMIX database (transpose and merge criteria CSV files). These have one row organized per criterion and tile, with all 6 test DEMs on the same line. It will also rank and score the wine contest.
Manipulate database, in MICRODEM or in the DEMIX Jupyter notebook

Wine Contest home page

MICRODEM home page

Last revision 7/30/2023


DEMIX Reference DEMs

Wine Contest home page

Wine contest processing Steps

Rationale for each step

Collect Reference data

  • A 1” DEM cannot be compared directly with a 1-5 m UTM DEM, due to issues with both the projection and the spatial scale. Almost all high resolution DEMs use a UTM or similar projection, and the global DEMs are all in geographic coordinates. The global DEMs at 1” (approximately 30 m, but increasingly rectangular pixels as the latitude increases) show a generalized version of the terrain compared to 1-5 m DEMs. While reinterpolation has been used to solve the projection issues, Guth and Kane (2021) showed that reinterpolation changed the characteristics of the DEM, and that care in the algorithms allows accurate computations with the geographic coordinates without introducing interpolation errors. Take the reference DEM or point cloud, and create the “best” 1” DEM
  • Match the pixel-is-area (ALOS) and pixel-is-point (5 other global DEMs) geometries (Guth and others, 2021) of the DEMs to be compared. Because we will show ALOS is one of the winners of the wine contest, we do not want to have to interpolate some but not all of the DEMs and potentially bias the results.
  • Take the reference DEM and create the “best” possible 1” DEM which shows what a 1” global DEM should represent, preserving the original grid geometry of the DEM to be tested. We take that as the mean elevation of the points in the reference high resolution DEM that map to the pixel in the 1” DEM using the appropriate pixel geometry. If using a raw lidar point cloud, this should be the median to eliminate the effects of noise from isolated returns.
  • Match the spacing that changes with latitude for some of the 1” global DEMs (COP and ALOS), and which do not change in the same manner.
  • Ideally create both a DSM and a DTM, since only one of the global 1” DEMs being considered purports to be a DTM. In fact all of the global DEMs probably fall somewhere between a true DTM and DSM (Guth and Geoffory, 2021).
  • Move the reference DEMs to the EGM2008 vertical datum if required, using the transformation grids from PROJ https://proj.org/ ) via OSGEO4W ( https://www.osgeo.org/projects/osgeo4w/ ) or local geoids available from national/regional institutions.>
  • We will have up to 4 reference DTMs for each DEMIX tile: 1”x1” pixel-is-point DTM, 1”x1” pixel-is-area, 1”x COP spacing pixel-is-point, and 1”x ALOS spacing pixel-is-area. The last two will only be present for high latitude DEMs. If we have a reference DSM, there will be 4 comparable reference DSMs. This allows us to perform pixel by pixel comparisons for every pixel for difference criteria without having to interpolate in either the reference or candidate DEM.

Processing Pipeline

  • We are currently not directly using lidar point clouds, but MICRODEM has the capability to use them to create reference DEMs.
    • For the DTM, use the median (to avoid the influence of rogue returns on the mean) of the points in the cloud classified as ground that map to each pixel in the DEM being created
    • For the DSM, use the median (to avoid the influence of rogue returns on the mean) of the first returns that map to each pixel in the DEM being created
  • Input reference DEM is in WGS84 or equivalent and EGM2008
  • Prep high resolution reference DEM to compare to 1" Global DEM
  • (Optional) Keep test area DEM covering multiple DEMIX tiles, so operations like slope can work right to edge of tile, and to minimize the number of small files. If you have multiple tiles in each area, this will be easier than trying to subset into DEMIX tiles.
  • Find DEMIX tiles in reference area DEM.
  • Open and merge global DEM tiles to cover the test area. This currently uses MICRODEMs Map library index.
  • Convert global DEMs to EGM2008 if necessary, at which point they become floating point.
  • Run statistics for reference DEM(s)
  • Find percentage of each DEMIX tile with valid reference data
  • For DEMIX tiles with > 75% reference data (potentially less than 100% because of coastalines, or the survey cut off before the DEMIX tile edge), run wine contest criteria currently coded in MICRODEM.

Last revision 7/30/2023


DEMIX Resampling by Averaging

Create reference DEMs for a higher resolution more accurate reference DEM, DTM or DSM or both if available

  • Data Manipulation, Resample, Vertical datum shift, overwrite DEM/grid
  • Raster GIS menu, Downsampling (creating a lower resolution grid) using the DEMIX 1 sec resample by averaging option.
    • The ideal high reference DEM will be 1-5 m resolution, but it should also work for a 10 m DEM.
    • Create 3 or more new DEMs
      • 1 sec, pixel-is-area
      • 1 sec, pixel-is-point
      • 1/2 sec (work with both pixel representations)
      • Additional DEMs at high latitudes

Last revision 4/13/2023


DEMIX Setup

Required table, c:\microdem\demix\demix_dems.dbf

DEM_NAME | DEMIXSHORT | USE | RED | GREEN | BLUE | REC_ID
FABDEM | FAB | y | 204 | 121 | 167 | 1
EDTM | EDTM | y | 115 | 43 | 245 | 2
COP | COP | y | 86 | 180 | 233 | 3
NASA | NASA | y | 0 | 158 | 115 | 4
SRTM | SRTM | y | 213 | 94 | 0 | 5
ASTER | ASTER | y | 0 | 114 | 178 | 6
TIE | TIE | n | 205 | 133 | 63 | 7

DEMIX Wine Contest home page

MICRODEM home page

Last revision 9/4/2023


Vertical Datums Basics

DEMIX Vertical Datum Shifts

The reference high resolution DEMs have several distinct reference systems. Our goal is a reference DEM on the WGS84 ellipsoid and the EGM2008 geoid.

  • USGS 3DEP are on the NAD83 ellipsoid and NAVD88 geoid. There is not a grid to convert, because you must convert the x and y coordinates a variable amount across the DEM, as well as the z coordinates. For version 1 of the database we used the GEOID18 grid and ignored the differences in the horizontal datum. For version 2 we first used US VDATUM to compute an average shift for each area, and confirmed using GDAL that the differences were "small", and now are using GDAL.

  • Spain, Norway: on the WGS84 ellipsoid and a national geoid (two for Spain, mainland and Canary islands). These only involve a shift in the vertical coordinates, and there are grids to accomplish this. This requires two grids, one to move the elevation from the national geoid to the WGS84 elllipsoid, and a second grid to go from the ellipsoid to the EGM2008 geoid. The EGM2008 grids are derived from NGA, and are included in the US VDATUM download, or OSGeo4W. We are using mapalgebra with OSGEO4W national grids for Spain and Norway: OSGeo4W\share\proj\es_ign_egm08-rednap.tif, OSGeo4W\share\proj\es_ign_egm08-rednap-canarias.tif, OSGeo4W\share\proj\no_kv_HREF2018B_NN2000_EUREF89.tif

  • UK: we are using a map algebra and vertical transformation grid from OSGeo4W OSGeo4W\share\proj\uk_os_OSGM15_GB.tif

  • Italy: this uses a local geoid from the two provinces which produced the lidar DEMs, which supply a transformation grid which does not have a ESPG code. We used map algebra. Without an EPSG code we cannot use GDAL.

  • South America: these were converted by co-authors using unspecified methodology.

Program | Data | Notes
US VDATUM Points Online or download program and run locally
Handles NAD83 ellipsoid and NAVD88 geoid to WGS84 ellipsoid and the EGM2008 geoid. We used the default realization, which changed over the course of this spring.
Shift in the x, y, and z coordinates
For a "small" area, can compute the average shift in 3 dimensions and then shift a grid. We did this with points every 1 arc minute.
It agrees to a about a half meter for State Line with GDAL. There are large differences over very short horizontal distances
Lidar point cloud | This could be done if your are creating the reference DEM directly from the point cloud
Grid No longer directly supported.

Could onvert the DEM to a point cloud using LAStools (demzip), and then use VDATUM with the grid treated as a point cloud.

  • If you are aggregating, the fact that the shifted points will not lie exactly on a grid will not be a problem.
  • Alternatively you could interpolate within the shifted points to create a grid with the same spacing as the original
GDAL Grid Need EPSG codes for both ellipsoids and vertical datums.
OSGeo4W installation will install the transformation data, which are used by PROJ and GDAL.
Slow when both horizontal and vertical datums have to shift.
Will create a new grid with an offset corner location, and the same number of rows and columns. It is unclear if the horizontal shift is exact for the corner, or an average for the entire grid.
This agrees with very small differences with what ArcGIS does (check by a colleague).
Simple map algebra in the GIS Need two conversion grids, one between the local geoid and the ellipsoid, and another from the ellispoid to EGM2008 from NGA, and do a subtraction and addition with the DEM. OSGeo4W installation will install these, which are used by PROJ and GDAL.
This will not handle a horizontal datum (ellipsoid shift)

Untested possibilities:

  • lastools
  • ArcGIS
  • QGIS

These all have varying degrees of challenge, and I have not actively pursued seeing how to get them to work. Good luck Googling them!

  • For State Line, Arc agrees to within a few cm for elevation, but a few decimeters in the horizontal coordinates

Projection data sets

Last revision 6/9/2023


Prep high resolution refererence DEM

Prepping a high resolution reference DEM to compare to a 1" Global DEM

  • Comparing point values in a high resolution DEM, which represent a very small area, with the values in the global DEM which represent a much larger area, has been done in a lot of studies, but is probably not ideal. Instead we should compare the global DEM with what the true value should be of a DEM representing a 1" pixel, using the high resolution reference DEM to create a 1" reference DEM.
  • The 1" reference DEM has "comparable" elevations for every pixel, both in sampled area size and location. Simple map algebra can create difference maps and statistics between the reference and candidate DEM.
  • For slopes and aspects (and to some extent elevations), we could either:
    • Use the 1" reference DEM, and compute slope and aspect from it. In this case differences do not reflect the pixel size, but the DEM characteristics. This is the preferred method.
    • Compute slope and aspect at every point in the reference DEM in its original resolution, and then take some kind of average slope and aspect of every point that is within each pixel of the 1" global DEM. We would expect the reference DEMs to have steeper slopes due to their smaller pixel sizes. If we have reference DEMs of different resolutions, we cannot compare test areas.

Steps:

  • Horizontal datum:
    • If needed convert high resolution reference DEM to WGS84
    • For 1" DEMs, conversion probably not needed for NAD83 or ETRS89 and perhaps some national datums
    • For 1" DEMs, probably no need for the realizations in time for the horizontal datum
  • Vertical datum
    • Most geotiffs do not have the vertical datum specified, and it takes some digging to find it (and then more digging to find how the local vertical datum relates to the WGS84 ellipsoid)
    • Need EGM96 for ALOS, ASTER, SRTM, and NASADEM, but we will shift all of those to EGM2008
    • Need EGM2008 for COP
    • Probably assumes WGS84 ellipsoid
    • Real challenge is to get conversion from a local datum (e.g. NAVD88 in North America, SLOVRP2016-Koper in Slovenia, or Rednap in Spain) to EGM
    • Best solution is to use VDATUM, but that only works in the US, and I have found it to be nasty
    • Use Geotiff or GTX grids. For EGM96 in particular, these are relatively coarse resolution. Use the files from PROJ
    • NGA has Fortran code and coefficients to do the conversions at any point (https://earth-info.nga.mil/index.php?dir=wgs84&action=wgs84). These run from the command line, with an ASCII input and output files.
      • For EGM96, the coefficients file is only 5 MB, and 15' grids might be the best attainable with the model. Interpolation within the 1' file is likely to be as good as a higher resolution model.
      • For EGM2008, the coefficients for the model are 236 MB, and the 1' grid is much more detailed that for EGM96.
    • MICRODEM can use the NGA programs to compute, using the full model resolution, EGM96 and EGM2008 geoid values at any desired point, but it is slow
  • Projection
    • Ultimately we want the reference DEM in geographic coordinates
    • For getting the 1" geographic reference DEM, reproject the original high resolution reference DEM to UTM or geographic if required (might be for MICRODEM, as other projections have not been tested since they are relatively rare)
  • DEMIX tile extent: does a 10 km tile, for the pixel-is-point DEMs, include the points on the bounding parallels and meridians (for pixel-is-area this is not a concern). They will then be double counted, but I think that is not a problem.
  • Resampling the reference DEM to get a 1" version
    • Grid storage, the pixel representation to avoid 1/2 pixel posting shift.
      • Need pixel-is-point for COP, ASTER, SRTM, and NASADEM
      • Need pixel-is-area for ALOS
    • Lidar point cloud as the source of reference data
      • Choose DSM or DTM as desired result
      • Use any tool, providing the methodology can be defended
      • MICRODEM can create the grid using mean or median, and either the first returns, all returns, or just ground classified points. This can create any desired grid spacing, with UTM, geographic, and some WKT projections with restrictions. This is currently done in the GUI, but could easily be adapted to the command line.
        • 1 pass grids Create a new grid that matches the DEM covering the map. This can use min, max, or mean points in the pixel.
        • Multi pass grid: if you want the median, or a specified percentile. This is slower, but avoids influence of rogue returns
    • DEM as the source of reference data
      • Most of the DEMs will be a DTM, which don't compare well with the 1" global DEMs which are DSMs
      • Use any tool, providing the methodology can be defended
      • MICRODEM can Average to new projection which takes the mean of all points in the reference DEM that contribute to the 1" pixel. MICRODEM can do this with either the GUI or the command line. See example for El Hiero, with 2.5 m source DEM resampled to 1".
      • Take median of all points in the reference DEM that contribute to the 1" pixel. This can be done using LAStools (demzip) to create a point cloud with the DEM, and then using the point cloud option above.

DEM grid size (m) | Approximate points in 1"x1" pixel
1 | 900
2.5 | 144
5 | 36
10 | 9
15 | 4

The table assumes the 1" pixels are 30 m. If the reference DEM is UTM, the number of pixels from the reference DEM that map into each pixel will vary because the grids will have different sizes, are not multiples of each other, and the UTM grid will be rotated relative to the geographic grid.

Using ICESat-2 to verify correct vertical datum

  • Converting to the same vertical datum (EGM2008) might be the hardest part of the comparisons, and it can be verify to determine the local vertical datum and its relation to EGM2008
  • ICESat-2 offers a way to check this, using only the highest quality returns
    • Get the ICESat-2 data
    • Prep the ICESat-2 data (in particular, convert the elevations to EGM2008)
    • Filter the data
      • Terrain elevation uncertainty above 0.1 m to remove points with no uncertainly
      • Terrain elevation uncertainty below 1 m
    • Interpolate the elevation from the reference DEM at the location of each IECSat-2 elevation. Remove all ICESAT points where the DEM elevation is less than 0. 5m (these are water)
    • For the island of La Palma
      • This leaves 243 points
      • There were 20,692 points on the island
      • The table shows the difference statistics between the national 2.5 m DTM and the highest quality ICESat-2 points

Summary of quasi global DEMs,

Last revision 1/28/2023


TRI Comparison

Comparison of TRI with Various Programs

Discussion of Roughness

Algorithm | Options | Compute at edges of grid | Geographic grids | All output pixel-is-area | Notes | Reference
MICRODEM | Normalize distances | No | Correct | No
GRASS | neighborhood size, exponent | No | Yes | The index represents the mean change in elevation between a grid cell and its neighbours, over a user-specified moving window size. The original calculation in Riley et al. (1999) used only a 3x3 neighbourhood and represented the sum of the absolute deviations between the center pixel and its immediate 8 neighbours. In r.tri, this calculation is modified so that the calculation can be extended over any scale by taking the mean of the absolute deviations. r.tri produces fairly similar results to the average deviation of elevation values, apart from the center pixel is used in place of the mean. In practice, this produces a slightly less smoothed result that can potentially highlight finer-scale terrain features. However, because the terrain ruggedness index does not consider the distance of each cell from the centre cell in it's calculation, the TRI results can become noisy with large window sizes. To avoid this, weighting each cell by the inverse of its distance can be used by setting the exponent parameter to > 0. | https://grass.osgeo.org/grass78/manuals/addons/r.tri.html
GDAL, Riley | None | Optional | Single conversion | Yes | This algorithm uses the square root of the sum of the square of the difference between a central pixel and its surrounding cells. This is recommended for terrestrial use cases. | https://gdal.org/programs/gdaldem.html
GDAL, Wilson | None | Optional | Single conversion | Yes | algorithm uses the mean difference between a central pixel and its surrounding cells. This is recommended for bathymetric use cases. | https://gdal.org/programs/gdaldem.html
Whitebox Tools | None | Yes | Single conversion | No | The terrain ruggedness index (TRI) is a measure of local topographic relief. The TRI calculates the root-mean-square-deviation (RMSD) for each grid cell in a digital elevation model (DEM), calculating the residuals (i.e. elevation differences) between a grid cell and its eight neighbours. Notice that, unlike the output of this tool, the original Riley et al. (1999) TRI did not normalize for the number of cells in the local window (i.e. it is a root-square-deviation only). However, using the mean has the advantage of allowing for the varying number of neighbouring cells along the grid edges and in areas bordering NoData cells. This modification does however imply that the output of this tool cannot be directly compared with the index ranges of level to extremely rugged terrain provided in Riley et al. (1999) | https://www.whiteboxgeo.com/manual/wbt_book/available_tools/geomorphometric_analysis.html#RuggednessIndex
SAGA 8.2.1 Standardize, min, max radii, weighting choices Yes Topographic Position Index (TPI) calculation as proposed by Guisan et al. (1999). This is literally the same as the difference to the mean calculation (residual analysis) proposed by Wilson & Gallant (2000).
The bandwidth parameter for distance weighting is given as percentage of the (outer) radius. 		https://saga-gis.sourceforge.io/saga_tool_doc/8.2.1/ta_morphometry_16.html

Case 1. 30 UTM DEM, Italian Alps--this is preliminary and all results subject to change

The 30 m DEM compares with the 1 sec DEM, which has actual spacing of 21.5 m x 30.9m. The average slope for the UTM grid is 56.14%, while for the arc second it is 57.45%. This is because the arc second grid slope is computed over an average distance of 26.2 m, and over shorter grid spacing slope increases (Guth and Kane, 2021). Guth and Kane also showed that the overall statistics for elevation, slope, and aspect are very similar for a 1 sec and 26.2 m UTM DEM at this latitude. You cannot compare individual points in a UTM and an arc second grid, because at some points they are at the same point, and at others are up to half the grid spacing apart.

The values computed by the various programs for TRI do not agree, except for Microdem and WhiteBox (small difference probably because Whitebox computes on the edges where points do not have eight neighbors), and Grass/GDAL Wilson which appear to use the same forumlas.

MICRODEM can create this on the Advanced Tab of the Raster GIS, Geomorphometry analysis.

Moment report

DEM | MD TRI norm | MD TRI | grass TRI | gdal TRI Riley | gdal TRI Wilson | WB TRI
TRI n | 132660 | 132686 | 132682 | 132689 | 132682 | 134226
TRI mean | 11.1 | 15.47 | 13.51 | 43.76 | 13.51 | 15.44
TRI avg dev | 5.03 | 5.32 | 4.76 | 15.05 | 4.76 | 5.33
TRI std dev | 6.31 | 6.81 | 6.07 | 19.28 | 6.07 | 6.82
TRI skewness | 0.7458 | 0.2061 | 0.2084 | 0.2059 | 0.2084 | 0.2137
TRI kurtosis | 1.0301 | 0.6714 | 0.5922 | 0.6712 | 0.5922 | 0.6741
TRI min | 0.01 | 0.01 | 0.01 | 0.01 | 0.01 | 0.01
TRI max | 61.71 | 63.14 | 56.41 | 178.6 | 56.41 | 63.14
TRI median | 10.38 | 15.78 | 13.78 | 44.64 | 13.78 | 15.75

Despite the differences in the values, all the TRI results correlate highly except for the MICRODEM normalized by distance (which are probably better numbers).

Correlation Matrix

DEM/Grid | MD TRI norm | MD TRI | grass TRI | gdal TRI Riley | gdal TRI Wilson | WB TRI
MD TRI norm | 1 | 0.7965 | 0.7957 | 0.7965 | 0.7957 | 0.7965
MD TRI | 0.7965 | 1 | 0.9958 | 1 | 0.9958 | 1
grass TRI | 0.7957 | 0.9958 | 1 | 0.9958 | 1 | 0.9958
gdal TRI Riley | 0.7965 | 1 | 0.9958 | 1 | 0.9958 | 1
gdal TRI Wilson | 0.7957 | 0.9958 | 1 | 0.9958 | 1 | 0.9958
WB TRI | 0.7965 | 1 | 0.9958 | 1 | 0.9958 | 1

Highly correlated measures do not add much new information. This tells us if the different programs compute the same thing even if there are differences in the scaling, and for instance that TRI and slope are really the same thing.

Correlation Matrix for elevation, slope, TRI, and TPI

DEM/Grid |  | MD TRI norm | MD TPI norm | MD TRI | MD TPI | N8E Slope percent | Rugosity (m per 30m) | std 3x3 | grass TRI | gdal TRI Riley | gdal TRI Wilson | gdal TPI | WB TRI | saga tri | saga tpi
 | 1.0000 | 0.2356 | 0.0740 | 0.2375 | 0.0752 | 0.2371 | 0.2617 | 0.1202 | 0.2379 | 0.2375 | 0.2379 | 0.0752 | 0.2336 | 0.2334 | 0.1285
MD TRI norm | 0.2356 | 1.0000 | 0.0197 | 0.9990 | 0.0201 | 0.9799 | 0.9459 | 0.3750 | 0.9956 | 0.9990 | 0.9956 | 0.0201 | 0.9990 | 0.9990 | 0.0416
MD TPI norm | 0.0740 | 0.0197 | 1.0000 | 0.0199 | 0.9996 | 0.0285 | 0.0117 | 0.0001 | 0.0196 | 0.0199 | 0.0196 | 0.9996 | 0.0199 | 0.0199 | 0.8691
MD TRI | 0.2375 | 0.9990 | 0.0199 | 1.0000 | 0.0203 | 0.9799 | 0.9459 | 0.3760 | 0.9958 | 1.0000 | 0.9958 | 0.0203 | 1.0000 | 1.0000 | 0.0423
MD TPI | 0.0752 | 0.0201 | 0.9996 | 0.0203 | 1.0000 | 0.0288 | 0.0120 | 0.0002 | 0.0201 | 0.0203 | 0.0201 | 1.0000 | 0.0203 | 0.0203 | 0.8753
N8E Slope percent | 0.2371 | 0.9799 | 0.0285 | 0.9799 | 0.0288 | 1.0000 | 0.9305 | 0.2874 | 0.9818 | 0.9799 | 0.9818 | 0.0288 | 0.9799 | 0.9799 | 0.0455
Rugosity (m per 30m) | 0.2617 | 0.9459 | 0.0117 | 0.9459 | 0.0120 | 0.9305 | 1.0000 | 0.3382 | 0.9504 | 0.9459 | 0.9504 | 0.0120 | 0.9459 | 0.9459 | 0.0309
std 3x3 | 0.1202 | 0.3750 | 0.0001 | 0.3760 | 0.0002 | 0.2874 | 0.3382 | 1.0000 | 0.3408 | 0.3760 | 0.3408 | 0.0002 | 0.3760 | 0.3760 | 0.0169
grass TRI | 0.2379 | 0.9956 | 0.0196 | 0.9958 | 0.0201 | 0.9818 | 0.9504 | 0.3408 | 1.0000 | 0.9958 | 1.0000 | 0.0201 | 0.9958 | 0.9958 | 0.0419
gdal TRI Riley | 0.2375 | 0.9990 | 0.0199 | 1.0000 | 0.0203 | 0.9799 | 0.9459 | 0.3760 | 0.9958 | 1.0000 | 0.9958 | 0.0203 | 1.0000 | 1.0000 | 0.0423
gdal TRI Wilson | 0.2379 | 0.9956 | 0.0196 | 0.9958 | 0.0201 | 0.9818 | 0.9504 | 0.3408 | 1.0000 | 0.9958 | 1.0000 | 0.0201 | 0.9958 | 0.9958 | 0.0419
gdal TPI | 0.0752 | 0.0201 | 0.9996 | 0.0203 | 1.0000 | 0.0288 | 0.0120 | 0.0002 | 0.0201 | 0.0203 | 0.0201 | 1.0000 | 0.0203 | 0.0203 | 0.8753
WB TRI | 0.2336 | 0.9990 | 0.0199 | 1.0000 | 0.0203 | 0.9799 | 0.9459 | 0.3760 | 0.9958 | 1.0000 | 0.9958 | 0.0203 | 1.0000 | 1.0000 | 0.0420
saga tri | 0.2334 | 0.9990 | 0.0199 | 1.0000 | 0.0203 | 0.9799 | 0.9459 | 0.3760 | 0.9958 | 1.0000 | 0.9958 | 0.0203 | 1.0000 | 1.0000 | 0.0417
saga tpi | 0.1285 | 0.0416 | 0.8691 | 0.0423 | 0.8753 | 0.0455 | 0.0309 | 0.0169 | 0.0419 | 0.0423 | 0.0419 | 0.8753 | 0.0420 | 0.0417 | 1.0000

Last revision 2/5/2023


DragonPlot

DragonPlot was conceived by Tom Craven of Sisters, Oregon as a tool to help lookouts in fire towers. It added a digitial telescope to the Osborne Firefinder, and allows a single observation of a fire to locate the position using a DEM.

Dragon Plot runs in two modes:

  • Start solo program, which looks like the old DragonPlot, and which will persist until you change the program mode:
    • If you rename the program EXE to include the phrases "DP" or "DragonPlot" it will start in this mode
    • If you pass the program the command line parameter "-DP"
    • If you set the program mode to DragonPlot on the Options form, program tab, MICRODEM
  • Option within MICRODEM
    • Start with the option on the file menu. This will currently close all windows, but bring back MICRODEM when you close the program.

To set the defaults for DragonPlot

  • Options tab on DragonPlot control form, then other options, then reset DragonPlot Options.

Last revision 11/10/2022


Data Format Interoperability--Key Formats

Most GIS and geomorphometry programs have their own internal format, which is designed for optimal storage and processing for the particular program. Most programs can convert a number of other formats into their internal format, and can export to a number of other formats.

Three formats have the most versatility, and widest acceptance, for the three main classes of data. Rasters have traditionally been the data used by geomorphometry, but the increasing availability of lidar data sets may drive algorithm development toward the raw point cloud instead of the derived grids.

GDAL provides translatiton to and from a large number of formats, relieving GIS programs from handling all variants of formats like Geotiff, and providing a standard against which to measure data set compatibility (if GDAL cannot read it, there is a problem with the implementation of the data format).

Raster Geotiff especially with the GDAL drivers. Problems include:
  • Tiling may cause issues
  • Inconsistent handling of missing data
  • GDAL can converta Geotiff that uses unusual options in the Geotiff specification, which allows an almost limitless number of coding options, or if the projection is not natively supported by the GIS program.
Vector Shapefile
  • ESRI spec did not call for datum projection
  • PRJ file not always present, and not always interpreted correctly
  • Shapefile specs from ESRI
  • GDAL can reproject data if the projection is not natively supported by the GIS program. Geographic (lat/long) provides the most versatile coordinates.
Point cloud

LAS with LAZ compression

  • Web format description: https://www.asprs.org/divisions-committees/lidar-division/laser-las-file-format-exchange-activities
Raster/Vector Mix

KML format

  • Lacks a way to manipulate or search for data attributes.
  • Combines raster and vector data in a single file.
  • Can be compresses as KMZ file
  • Good distribution format to non-GIS users
  • Open standard at Open Geospatial Consortium (OGC).

With the ability to exchange data in common formats, users can use several programs to capitalize on the unique capabilities of each.

Some programs will require a separate import step, and write a new version of the program in their native format, while others will convert on the fly and keep the native version of the data set in memory.

Formats to watch:

  • OGC Geopackage (*.gkpg): supports raster (especially tiled data) and vector data; design had mobile devices as key motivating factor. GDAL supports both raster and vector.

Formats to avoid:

  • World files
  • XYZ format
  • ESRI geodatabases
  • ESRI zLAS

Last revised 1/3/2023


FOSS Geomorph Software

FOSS Geomorphometry

A workshop, presented in October 2013 at Geomorphometry 2013 in Nanjing, China, provided an introduction to Free and Open Source Software for Geomorphometry. Some people will insist and on both "free" and "open source" modifying each program, but we will take a more expansive view and include both "freeware" and "open source". Freeware is software that is free to use, but does not include source code.

This workshop builds on

  • Software descriptions in the book edited by Hengl and Reuter (2009) which included 8 software packages, two commercial and 6 free. We will only briefly mention the commercial ArcGIS, because it is the de facto standard GIS program, and will not discuss the commercial program RiverTools.
  • Portable GIS, GIS on a USB stick from Jo Cook (not updated since 2016), which includes one of the packages (GRASS and QGIS front end). To that we have added 4 additional packages (SAGA, ILWIS, MICRODEM, and WhiteBox) included in Hengl and Reuter (2009). LandSerf is not being actively maintained, and there are problems getting it to run with current versions of Java, so it will not be considered.

Why not one single free GIS program?

  • Language choice (Java, C/C++, Delphi)
  • Historical development and internal data models not compatible
  • Focus of programs differ

Data Format Interoperability

Geographic versus UTM DEMs.

Command line versus GUI--personal preference, but for many, it is a strong preference

Program Capabilities

Other programs

  • LSD topo tools: https://lsdtopotools.github.io/
  • TerraView:
    • http://www.dpi.inpe.br/terralib5/wiki/doku.php?id=wiki:downloads#terraview installs to 224 MB
    • http://www.dpi.inpe.br/terralib5/help/help_5.5.1/terraview/
  • LandLord: http://iflorinsky.impb.ru/ll.htm (available only for collaborators; written in Delphi) http://iflorinsky.impb.ru/ll.htm has descriptions of many geomorphometric parameters
  • RVT
  • Landserf has not been updated in a long time (2009). It is Java code, and apparently has not been been able to run on Windows in a long time.

Web Services--shift the data storage and processing burden onto the cloud.

last revision 11/10/2022


Geographic versus UTM DEMs

A number of free DEMs (e.g. SRTM, ASTER GDEM, USGS NED) all use geographic coordinates because they are "seamless" and can be merged across UTM zone boundaries. A smart program would compensate, and correctly compute slopes and aspect, hillshades, and viewsheds by converted the decimal degrees into meters with an adjustment for earth curvature. The default map would also account for the different spacings in X and Y. With rare exceptions, this is not the case, and you must reproject the geographic DEMs to get reasonable results in most GIS programs.

The area of a grid cell projected onto a UTM map at 60 degrees north, in Alaska. The 1" geographic spacing is frequently given as 30, but in the case the 1" pixels are actually about 15x30 m, and the DEM has twice the number of points compared to the true 30 m data set.

In addition to the pixels having different sizes, the relationship changes over the area of the map, with the points in the two grids sometimes being close, and other times being shifted.

The reprojection solutions takes the measured elevations, at the intersections of the blue geographic graticule, and interpolates new elevations at a different number of locations. The original elevations are then not used. This will tend to slightly smooth the DEM, as the highest and lowest values will be gone after interpolation. There is no theoretical reason why reinterpolation should improve the quality or accuracy of a DEM; the algorithm can only attempt to minimize the changes.

The comparison must also consider whether to two grids share a common pixel definition.

Slope algorithms for arc second DEMs. Only some software correctly handles geodesic slope computations, without reprojection to UTM. The option provided by many of the other programs, to use a single scaling factor from degrees to meters, does not account for the difference in data spacing with latitude.

last revision 4/6/2022


GRASS


ILWIS

  • http://52north.org/downloads has version 3.8.4. This is open source and free of charge. In Sept 2020 version 3.8.6 is available, from 2020.
  • http://www.itc.nl/ilwis/downloads/ilwis33.asp was released in Sept 2005. Patch to 3.31 was released in June 2007. It contains some copyrighted code.
  • https://github.com/52North/IlwisCore/releases has a Python version, but the last changes were in 2016
  • https://github.com/52North/Ilwis3Downloads/releases/tag/v3.8.6

Very nice blog on why ILWIS exists, in addition to QGIS, which also applies to MICRODEM.

Would not open a floating point Geotiff DEM, even though going through GDAL (11/18/2020)

Open DEM

  • Operation Tree
  • Import/Export
  • Import Via GDAL

Import creates an "object". If you did not give it a name, the default will look something like this.

Open Map icon

  • Select the object
  • A new window will open with the map
DEM Visualization creates (very slowly) a hillshade and opens a new map.

Import shape file

  • Operation-Tree, Import/Export, Import Map (via GDAL has problems)
  • Pick the shapefile
  • Insure you set a new name (otherwise you will get a file with no name)
  • Program will create 5files, and will show two of them in the directories
  • To put atop another map, use the Add Layer on the other map (either menu or toolbar button

Last revision 11/18/2020


Program Capabilities

Program Capabilities, Fall 2013 with minimal updates since

Program | Free | Open Source | Geotiff | Shapefile | LAS | Multiple Open Maps (1) | Geographic DEM (2) | Reproject on Fly (3) | Extended DEM Display (4) | Raster Geomorphometry | Notes
ESRI ArcGIS | N | N | Y | Y | Y | N | N | Y | N | Extensive |
qGIS | Y | Y | Y | Y | With effort | N | N | N | N | Limited: Slope, aspect, hillshade, relief, ruggedness (via Terrain Analysis plugin) |
GRASS (via qGIS plugin) | Y | Y | Read, write fails | Y | Cmd line (?) | N | N | N | N | Extensive |
ILWIS | Y | Y | Y | Y | N | Y | N | N | N | Limited: hillshade |
SAGA | Y | Y | Y | Y | Y | Y | N | N | N | Very extensive |
MICRODEM | Y | N | Y | Y | Y | Y | Y | Y | Y | Very extensive |
Whitebox (formerly TAS) | Y | N | Read, no write | Y | Y | Not visible same time | N | N | N | Very extensive | Java
Landserf | Y | N | N |  | N | N | N | N | N | Extensive | Java problems, may be broken No access to home page
Landlord | N | N |  |  |  |  |  |  |  |  | Only available as coauthor of paper

Notes.

  1. Multiple open maps: there can be advantages to having two maps side by side, with options to automatically adjust scaling and extent, and coloring options, and to show the position of one cursor on the other map. Transparency of stacked layers can only partially compensate, as can swiping to change the layer displayed.
  2. Geographic DEM: correctly scale a geographic DEM in default map display, and correctly adjust arc second spacing to meters for computation of parameters.
  3. Reproject on the fly. Some programs require that all layers on the map share the same projection. Those that can do this remove the step of having to reproject data, which saves time and disk space, and avoids the inevitable errors that come with reprojecting rasters.
  4. Extended DEM Display. Display hillshades, slope, and aspect maps on the fly, without creating and storing a new grid.

Last revised 4/28/2016


QGIS

QGIS can read (and then convert to common formats) ESRI Geodatabases (.gdb).

Open QGIS and drag the GDB file (probably actually a folder) into the Layers pane of QGIS. Then select the layers you want.

Get QGIS with OSGeo4W

If you want a more recent QGIS than comes with OSGeo4W, go to https://qgis.org/en/site/forusers/download.html#

last revision 8/12/2022


SAGA

Currently there are options called from the MICRODEM using the SAGA command line

  • https://saga-gis.sourceforge.io/en/index.html
  • https://saga-gis.sourceforge.io/saga_tool_doc/8.2.1/ta_morphometry_16.html

Running SAGA from command line

  • https://sourceforge.net/p/saga-gis/wiki/Executing%20Modules%20with%20SAGA%20CMD/
  • https://sourceforge.net/p/saga-gis/wiki/Command%20Line%20Scripting%20Tutorial/
  • https://www.luisalucchese.com/post/how_to_saga_cmd/

Last revision 6/10/2022


Whitebox


Longitudinal spacing 1" DEMs

1" Global DEM Longitudinal spacing

Lat Band | Lat spacing | SRTM, NASADEM Long spacing where data exists | ASTER, Long spacing where data exists | Copernicus Long spacing | ALOS/AW3D30 Long spacing
85-90 | 1" |  |  | 10" | 6"
80-85 | 1" |  | 1" | 5" | 6"
70-80 | 1" |  | 1" | 3" | 3"
60-70 | 1" |  | 1" | 2" | 2"
50-60 | 1" | 1" | 1" | 1.5" | 1"
0-50 | 1" | 1" | 1" | 1" | 1"

Last revision 11/17/2022


1:1 Maps

Set 100% data shown

1:1 icon on the map toolbar , or "Modify, Map Area, 1:1 view" menu command, or from "Zoom" on the pop up menu when you right click on a map.

You can get true 1:1 maps, where every pixel (data point) on the map displays on screen, only for maps where both the x and y spacing are identical (most older USGS data in UTM projection). For maps where the X and Y spacing varies (almost all NGA data and now the USGS seamless data, with constant spacing in arc seconds, which varies by latitude when converted to meters). Arc Second data will have some pixels displayed twice so that every pixel displays and scaling remains correct.

You can get a custom map size from "Zoom" on the pop up menu when you right click on a map. This will be the linear zoom factor compared to 1:1. It will be exact for a UTM grid, but only approximate for lat/long data.

Last revised 12/31/2018


2D DB Graphs

Table view, Stats

  • 2D graph, simple (points)
  • 2D graph, simple (lines)
  • 2D graph, 2 series:
  • 2D graph, 2 y-axes
  • 2D graph, COLOR field
  • 2d graph, color code (numeric): color code by the value in the color field, and assumes a numeric range.
  • 2D graph, color code (text/integer): color code by the value in the color field, and assumes a code with each value getting a unique color. Example.
  • 2D graph, all open databases (points)
  • 2D graph, all open databases (lines)
  • Average by latitude: pick a field and bin size.

Edit the graph once drawn.

Last revision 4/2/2023


2D Graph

2D Graph, 2 Series

On the Stats button of the database table display

Pick the series to use for the X axis, and the two series for the y axis.
The first series will be displayed in red, and the second in blue.

Last revision 9/1/2014

/


2D Graph

2D Graph, 2 Y Axes

On the Stats button of the database table display

The first series for the y axis will be displayed in red, and the second in lime green.

Last revision 9/1/2014

/


3D Graph

Option on Stats button of database table form.

  • Pick X,Y, and Z fields.
  • Reverse Z values, for instance if you have depths as positive values.
  • String field to color (can also be integer): use only if there are a limited number of discrete values in the field.
  • Numeric field to color:
  • Field for size: if you want the symbols to be of different sizes. The default is 0.025, and you should pick values close to this.
  • Color: applies only if you are not using a DB field for the colors.
  • Thin Factor: decimate the data, since the OpenGL view has a limit on the number of points.

Last revision 11/2/2017


3DConnexion

Several options can now use the SpaceNavigator and SpacePilot (we actually have the SpaceNavigator):

  • OpenGL 3D view

Last revision 5/10/2009


7-Zip

We use the freeware 7-Zip for compression and decompression.

  • Uncompression of Unix TAR and GZ files
  • Extract ESRI Layer Packages, which is probably the safest and easiest way to transfer data from ArcGIS.
  • Compress and uncompress BZIP2 files.
  • It will also deal with RAR files, if you have students who think that is a good format.

The MICRODEM full install will place the 64 bit versions of the 7z.exe and 7z.dll files in the MICRODEM program directory. You can use the EXE file and its GUI to compress and decompress files.

Last revised 2/13/2023


Adding Attributes to a Database

Use Excel.

  • If the lat/long fields are in the DBF file, this is easy and probably the best way.
  • Must be done with extreme caution with line are area shapefiles. You cannot add, delete, or rearrange records.
  • Excel will read a DBF file, but you must save it as CSV, and then use MICRODEM to import as a DBF. Once you have the DBF, all edits in MICRODEM will be to that, and you must avoid reopening ghe CVS and over writing your edits (the program will warn you).

Use MICRODEM.

  • Put the database into edit mode.
  • Insert new fields. You must get the data types correct for what you want, the field length, and for real numbers the number of decimals.
  • You can fill a field for all records in the database, or all those that meet a filter, by Double clicking on field name and "Fill field".
  • You can edit a record by Double clicking on a record in data base and picking "Record edit". You must "Post edits" when you close that window.

Last revision 9/27/2015


Add lat/long from Linked database

Option on the Edit option (which must be enabled) of the database table form.

You must have Linked data base from the Stats option of the database table form, and the linked data base must have the fields LAT and LONG. When you link the databases, you must select the fields in the two data bases that will be used to find the lat/long locations.

If there are no LAT/LONG fields, they will be added and populated.

If there are LAT/LONG fields, LAT2 and LONG2 fields will be added and populated.

If you need to add two sets of LAT/LONG coordinates, you will have to do the operation once, then pick a second link table with different fields for the linkage operation, and then repeat this step.

Last revision 12/7/2006


Add Leading Zeros

Option on String field operations, Edit button on Table view,

Pick a field, and a desired length, and leading zeros will be appended. This can repair a field like a Zip code (New England) or FIPS (A and C states) code that has been treated as an integer in a program like EXCEL, and thus cannot be used for join/link databases. Excel is a likely cause for the loss of leading zeros.

Last revision 9/21/2016


Add NLCD classification to database

Option on Edit tab of the database table form. The database must be an area shape file.

You must have opened an NLCD data file, which must have been saved so that MICRODEM can recognize it.

You must also have the current LAND_COVER.DBF.

If your NLCD is not a single file, you cannot merge them in MICRODEM.

New image: open all the NLCD files that correspond with your database.

Database: open the database on any one of the maps.

Pick this option to add NLCD do the database.

You can select a single NLCD category, or you can do all at the same time. Doing all will take effectively the same time as doing a single one, and is a slow process

A series of fields will be added to the database, with the fraction of the record belonging to each NLCD categories.

You can use map algebra to merge categories.

As an alternative:

Mask the shape you want on the land cover data set, and then do a popup legend.

Last revision 12/3/2009


Add Flag from Substring

Edit button on Table view, which provides popup from which you pick Flag, Add from substring. Only enabled if you check the "EDIT" box on the right of the row of buttons.

Pick the name of a new field (will be a one character string), the field to search, and the substring to look for. All records that match will be filled with a "Y".

This is useful because you cannot filter the database with an initial wild card.

The database at left was digitized in Google Earth, which allows only a single text field to transfer (NAME). To get the ICON field populated with a minimum of effort, you could make flags for "GERMAN" and "INF_DIV" by searching for substrings "Ger" and "Inf" in the NAME field, and then filter for 'GERMAN='Y' AND INF_DIV='Y', and then fill all those records with the correct icon in one step.

Last revision 2/15/2014


Add Time Animation Fields

From Edit button, Date/Time submenu on the table display window. The prepares time fields in the correct KML format for a database.

MICRODEM can create some of these fields on the Date/Time submenu

Set options. The appropriate value depends on the duration of your data, and what you want to show with the animation:
  • Month and years: will create a monthly animation. Requires fields "YEAR" and "MONTH".
  • Months in a single year. This will put all the data in the year 2000, and produce an animation showing the occurrences by month. This makes sense for many earth science events which relate to the annual climate cycle, and for which you have insufficient data to show the trends with a month and year animation. Requires field "MONTH".
  • Years. Requires field "YEAR".
  • Days: Requires fields "YEAR", "MONTH" and "DAY".
  • Full time (like 1999-12-31T23:59:59Z (UTC)): Requires fields "YEAR", "MONTH", "DAY" and "TIME_STR". These will be the "START_DATE", and the "END_DATE" will be the next entry in the table. The records must be in chronological order.

You can select either UTC, or a local time and specify the offset from GMT (- in the Western Hemisphere).

This will add new fields START_DATE and END_DATE to the database if they do not exist. If they already exist, the current values will be overwritten.

This requires the fields YEAR (must have values with 4 digits; edit the database if it only has two digits for the years) and MONTH (must use numbers 1 to 12) and perhaps DAYS (1 to 31).

This will enable you to have a KML animation when you export your database as a KML file for Google earth. .

Last revision 3/24/2010


Add TM windows

Add RGB windows

Requires a database "tm-rgb.dbf" in the directory with the program EXE.

Pick the bands and band combinations to display, each in a separate window.

  • RGB combinations; the option shows the advantages of the combinations

Works only for Landsat at the moment.

Last revision 7/28/2018


Address Geocoding

TIGER Geocoding in MICRODEM

Access from the Map query button's popup menu on the database table display .
Address geocoding form appears if the data base contains TIGER data, in ESRI shapefile format .

Type in the address, and hit FIND. Most addresses do not use FEDIRP (prefix direction) and FEDIRS (suffix direction), and you should leave them blank.

Number | FEDIRP | FENAME | FETYPE | FEDIRS
1 | N | Main | St | NE

You will get the lat/long of the address and the ZIP code, and it will be highlighted on the map. The street segment will also be highlighted.

How TIGER address geocoding works.

You can also use a geocoding web service.

Last revision 1/20/2017


Algorithms

Submenu on Analyze menu

  • Vertical earth curvature (requires open DEM)
  • Horizontal earth curvature (requires open DEM)
  • VDATUM shift in USA

  • Arc second spacing conversion factors: this is the factor needed to sort of get GCS DEMs to work correctly in some software. You can use only one factor, and must pick if you want the X direction, the Y direction, or the average. Shows the number of meters in a degree and an arc second. You can get a graph from the database created.

LAT | M_DEG_Y | M_DEG_X | M_DEG_AVG | M_SEC_Y | M_SEC_X | M_SEC_AVG
85 | 111685.375 | 9734.4 | 60709.887 | 31.024 | 2.704 | 16.864
84 | 111681.615 | 11674.624 | 61678.12 | 31.023 | 3.243 | 17.133
83 | 111677.184 | 13611.221 | 62644.202 | 31.021 | 3.781 | 17.401
82 | 111672.085 | 15543.589 | 63607.837 | 31.02 | 4.318 | 17.669
81 | 111666.326 | 17471.131 | 64568.728 | 31.018 | 4.853 | 17.936
80 | 111659.913 | 19393.247 | 65526.58 | 31.017 | 5.387 | 18.202

Output

  • Table for every 1 degree of latitude (same results in both hemispheres)
  • Can get graphs in MICRODEM or Excel, and you can filter the results as desired

Gives

  • Meters per degree in the x, and y directions, and the average
  • Meters per second in the x, and y directions, and the average
  • These can be used, not very effectivley but it's they best they can do, in software that cannot do Slope algorithms for arc second DEMs

  • Arc second rectangular pixel approximation

LAT | SEC | SIDE_M | BASE_M | TOP_M | ERROR_PC | RECT
85 | 1 | 31.0237 | 2.704 | 2.7038 | 0.00554088 | 0.0872
85 | 3 | 93.0712 | 8.1119 | 8.1105 | 0.01662265 | 0.0871
85 | 30 | 930.7118 | 81.121 | 80.9862 | 0.16623594 | 0.087
85 | 60 | 1861.4239 | 162.242 | 161.7026 | 0.33247403 | 0.0869
85 | 450 | 13960.7019 | 1216.8151 | 1186.4706 | 2.49376366 | 0.085
85 | 3600 | 111687.0008 | 9734.4 | 7791.152 | 19.96268876 | 0.0698

Output

  • Table for every 5 degrees of latitude (same results in both hemispheres), for 5 spacings in arc seconds
  • Can get graphs in MICRODEM or Excel, and you can filter the results as desired

Applicable to a quadrangle map, or the pixels in a geographic grid.

  • 1" and 3" are the pixel sizes of the Key Global Regional DEMs
  • 60" is the pixel size of the 1' ETOPO1
  • 450" is a 7.5' quadrangle
  • 3600" is a one degree tile of the Key Global Regional DEMs

Gives

  • the size in meters of the side (same east and west), top, and bottom each each quad/pixel
  • ERROR_PC Gives the percent difference between the top and bottom. This will be a max at the pole, and zero at the equator
  • RECT gives the ratio of TOP/BOTTOM, on how rectangular the pixels are

Also computes IVAN_DX and IVAN_DY, the size given the formulas in Marchesini, I., Ardizzone, F., Alvioli, M., Rossi, M., and Guzzetti, F.: Non-susceptible landslide areas in Italy and in the Mediterranean region, Nat. Hazards Earth Syst. Sci., 14, 2215–2231, https://doi.org/10.5194/nhess-14-2215-2014, 2014.
  • UTM spacing and grid-true angle

LAT | W_SPACE | W_ROTATE | MID_SPACE | MID_ROTATE | E_SPACE | E_ROTATE
80 | 30.011 | 357.05 | 30.012 | 0 | 30.011 | 2.95
79 | 30.011 | 357.06 | 30.012 | 0 | 30.011 | 2.94
78 | 30.01 | 357.07 | 30.012 | 0 | 30.01 | 2.93
77 | 30.01 | 357.08 | 30.012 | 0 | 30.01 | 2.92
76 | 30.01 | 357.09 | 30.012 | 0 | 30.01 | 2.91
75 | 30.009 | 357.1 | 30.012 | 0 | 30.009 | 2.9
5 | 29.971 | 359.74 | 30.012 | 0 | 29.971 | 0.26
4 | 29.971 | 359.79 | 30.012 | 0 | 29.971 | 0.21
3 | 29.971 | 359.84 | 30.012 | 0 | 29.971 | 0.16
2 | 29.971 | 359.9 | 30.012 | 0 | 29.971 | 0.1
1 | 29.971 | 359.95 | 30.012 | 0 | 29.971 | 0.05
0 | 29.971 | 0 | 30.012 | 0 | 29.971 | 0

For every one degree of latitude for a UTM zone and a 30 m DEM, gives

  • Spacing in meters for the western edge, center, and and eastern edge of the zone. These are true meters, and the projected metgers are a constant 30 m
  • The grid north to trun north rotation angle at the same three locations
  • GDAL slopes arc second DEMs (requires open DEM): creates 6 maps using the Zevenbergen and Thorne algorithms, with three spacings: the x,y, and average. None give correct answers; compare with the slope maps from MICRODEM.

Last revision 7/16/2021


All Band Histograms

Option invoked:
  • Image analysis menu
  • Supervised classification

If opened on the supervised classification, you have the option to show or not all the points not in a training set. This can be slow; the speed is set by the maximum number of points to consider on the Imagery tab of the options form. A sampling factor is picked that uses no more points than set here.

This shows all the band histograms in a matrix. This allows easy visualization of which band pairs discriminate your training areas. You can compare this with a band correlation matrix.

You can show the training sets, with the points and selected window in which points must lie; this option is set on the Supervised classification form.

The graphs on the principal diagonal how well single bands discriminate the training areas.

Last revision 3/10/2009


ALOS World 3D

ALOS Global Digital Surface Model "ALOS World 3D - 30m" (AW3D30) JAXA home page

Download 		Free version of 5 m commercial grid.

PRISM (Panchromatic Remote-sensing Instrument for Stereo Mapping) flown on ALOS (Advanced Land Observing, with 2.5 m resolution, and stereo triplets looking at nadir and 23.8° fore and aft.

The download appears to use an ftp interface, and hypothetically your helpful IT department might block it. If you have problems, try downloading at home (or fight the good fight with IT, knowing it might be like Don Quixote and the windmills).

Table. Fill codes for ALOS DEM from the MSK file

Hex | Decimal | Fill source
0 | 0 | Valid
1 | 1 | Cloud and snow mask (invalid)
2 | 2 | Land water and low correlation mask (valid)
3 | 3 | Sea mask (valid)
4 | 4 | GSI DTM (valid)
8 | 8 | SRTM-1 v3 (valid)
C | 12 | PRISM DSM (valid)
10 | 16 | ViewFinder Panoramas DEM (valid)
18 | 24 | ASTER GDEM v2 (valid)
1C | 28 | ArcticDEM v2 (valid)
20 | 32 | TanDEM-X 90m DEM (valid)
24 | 36 | ArcticDEM v3 (valid)
28 | 40 | ASTER GDEM v3(valid)
2C | 44 | REMA v1.1 (valid)
30 | 48 | Copernicus DEM GLO-30 (valid)
FC | 252 | applied IDW method (gdal_fillnodata) (valid)

The ALOS documentation has the wrong Hex value for PRISM (the binary value is correct)

Key characteristics, references, and comparison to other Global DEMs

Last revision 8/21/2023


Alpha Blending Perspective and Photograph

Guth and Craven, 2006 describe a technique to register oblique photos take with a consumer digital camera or webcam.

Digital photo taken from Black Butte Fire Tower, Oregon. It shifts to a DEM perspective view with TIGER data overlaid.

Create Perspective view with :

  • The same pixel height and width as the photo.
  • From the same position as the photo was taken, at the same elevation above the ground.
  • The same angular field of view as the photo.
  • The same azimuth as the photo.
  • The same pitch as the photo.
  • If the photo has roll, you can rotate it back to horizontal. The Tools submenu from the File menu has a "Load image" option which has a "Rotate" menu option that can be used.
  • If the photo is too large to fit on your screen, you can reduce its size so that it is manageable. Paint can do this. This will lower you attainable accuracy, and the program should now work with slider bars so you can use the full resolution photo. This is a case where a larger monitor will greatly simplify operations.

On the file menu of the Perspective view view, select the "Alpha blend bitmap" option.

  • The slider that will appear on the panel at the bottom of the perspective view lets you adjust the opacity of the photograph.
  • A button on the new panel lets you save a single blended image.
  • A second button lets you save a movie, showing the perspective and photograph blending into one another.

This is a complicated operation. It pays to pay strict attention when capturing the photo to keep the camera horizontal. You may well have to iterate multiple times to get a good match.

Fig. 1 of Guth and Craven, 2006. This is an iterative process, but our experience suggest that after an initial rough cut to get all parameters correct, this provides an efficient way to process.

Panorama view might help with matching photograph.

Last revision 6/4/2015


TOPEX Orbits

Ascending passes have the altimeter satellite moving from the vicinity of the south pole northward; they travel from SE to NW. For the TOPEX/Poseidon, they have odd numbers.

Descending passes have the altimeter satellite moving from the vicinity of the north pole southward; they travel from NE to SW. For the TOPEX/Poseidon, they have even numbers.

Two passes make up an orbit, and the TOPEX/Poseidon satellite has 254 passes or 127 orbits per 10 day cycle.

Map shows the coverage of the TOPEX/Poseidon radar altimeter, but all polar orbiting satellites would show a similar geometry. The coverage of all 254 passes is indicated with the gray color, with the first eight highlighted. Note that each orbit steps westward from the preceding orbit, and that the intervening area will be filled in much later in the cycle.


TOPEX File Names

The files names on the computer for the TOPEX data: ALE-023.106:

  • The first three characters denote the location code, keyed to the bathymetric data set selected and used to pick the map and other relevant data
  • The fourth character must be a “-“ or an “_”. The “-“ indicates the file is a compressed geophysical record, with certain fields removed. This cuts the size of the files to 1/3 the original size.
  • The three digits after the underscore indicate the altimeter cycle. TOPEX/Poseidon has a ten day repeat cycle. This gives the date of the pass.
  • The three digits after the period (the file extension) indicate the orbit or pass within the cycle.

Last revision 7/10/2014


Fundamentals of Radar Altimeters

Instruments on radar altimeter:

  • Altimeter
  • Navigation systems
  • Radiometer to meter water vapor and correct the altimeter

Altimeter fundamentals

  • Must measure 1 m difference from 800 km up (for oceanography), somewhat larger for geoid (now measuring to a few cm)
  • At speed of light, this requires very precise timing
  • For accuracy required, several corrections to the speed of light must be included.
  • Altimeter is an active sensor.

Older radar altimeters typically did not collect over land, because except for the continental ice sheets in Greenland and Antarctica the rough land surfaces scatters too much of the signal and prevents a stong return. Newer altimeters are imporvoing in this regard.

Three basic measurements, all over the oceans:

Geoid height: measure time of travel (actually the TWTT, two way travel, down from the satellite to the sea surface and then back up), and use speed of light (c) to get distance from satellite (Dist = TWTT/2 * c), whose orbit is known. This is generally expressed as an anomaly above or below the reference ellipsoid.

This is not very noisy, since the geoid changes on a much longer time scale than the 10 day orbital cycle of the altimeters.
SWH (Significant wave height): Measure duration of return: if short, sea state is low and all energy comes back at the same time.

The global map is somewhat noisy because it takes 10 days to collect, and adjacent orbits are collected on different days and storms can dissipate between the collections, but it still gives a reasonable picture.

It clearly shows the largest waves in the southern ocean driven by the West Wind Drift.
Wind speed: Measure strength of return (backscattered power): strong return if low wind; as wind increases, the roughness of the sea surface increases, and less energy is returned because it is reflected in other directions.

This is also somewhat noisy because it takes 10 days to collect, but shows the southern ocean and the West Wind Drift.

Marine geoid

Temporary disturbances of sea level include:

  • Atmosphere
  • Eddies, meanders
  • Major currents

Average many orbits to get geoid, which removes weather and ocean currents.

Subtract average to get oceanographic features like eddies and the wall of the Gulf Stream

Altimters over fresh water

  • https://www.esa.int/Applications/Observing_the_Earth/Envisat_radar_altimetry_tracks_river_levels_worldwide

  • https://ipad.fas.usda.gov/cropexplorer/global_reservoir/

  • https://appliedsciences.nasa.gov/sites/default/files/2021-02/Lake_Webinar_Week2_Final_2.pdf

Last revision 6/29/2020


American Community Survey Data

This is demographic data: data files with no geometry--which must be linked/joined to Geometry files for Block Groups or Tracts

The only data currently available at the block level are the legislative redistricting files created every 10 years after the census. They have limited information.

10/14/2020: Current directions

https://data.census.gov/cedsci/

Microdata: https://data.census.gov/mdat/#/ (beta version on 10/14/2020, which has some options disabled)

  • Pick year and dataset
  • Select variables
    • Filter by category
    • Pick variables
  • Select geographies
  • Data cart
  • Table layout
  • Download

6/10/2020: This site has changed; the directions below are not valid. They are left in because the new process probably needs to get the same information from you.

This site can be slow and annoying. Watch the directions, proceed carefully, and be patient.

Download the 2010 Census Summary File 1 as shapefiles which will be simpler to download, and to use, but has a less robust set of data. It also does not teach you about joins, an important learning objective.

The ACS samples 3.5 million households every year, out of the 143 million households in the country.

This data has 5 year, 3 year, and 1 year estimates. The 5 year estimates cover most of the country (there must apparently be about 5000 people in the tract for it to appear), while the others only cover the more populous regions. Three year estimates require 20,000 people in the geographic area, while one year estimates require 65,000 people to get accurate statistical estimates.

http://factfinder2.census.gov/faces/nav/jsf/pages/searchresults.xhtml?refresh=t

Main options for the American Community Survey (seen in "Your Selections" at the upper left).
Pick general topics to add.
Pick specific topics.

You can get 1, 3, or 5 years estimates. The larger the time interval, the more complete the results.
  • Pick geographies
  • If you want county level data for the entire US follow these directions.

Pick specific level you want. Note the "ALL" selection at the top of the list, which is probably what you want.

View a table by clicking on the Name, or checking the checkbox and then clicking the "View" button.

Suggested tables to look at that might be most interesting (of course a very subjective assessment):

  • S1501 Educational Attainment
  • B08302 Time leaving home to go to work
  • B23006, Educational Attainment by Employment Status

View command shows you the data.

The table view shows what fields are available (on the rows), and the tracts (in the columns). This format does not resemble what you will receive with the download.

Pick the download icon at the top.

You want CSV, with the data and annotations in a single file.
The option to include descriptive element names is handy but not required.

OK Downloads the data.

Modify CSV file from American Community survey so it will be a usable database.

To get all counties in the US, use the Name Tab.
Pick "county" on the Geography Filter Options, and then "All counties within US"

This is appropriate for a look at the entire country, which has about 3500 counties. For some options, the smaller counties by population might have missing data because they do not get a valid statistical sample every year.

Last revised 7/1/2014


Ambush

Ambush/Route Analysis

Accessed via the Calculate, Intervisibility, Route Observation menu choice.

  • Select the route, using either point or stream digitizing.

  • Select the viewshed options.

  • Fans will be drawn (this operation is threaded for multiple cores)

  • Select target area (shapfile) if desired

  • "Edit fans" with viewshed toolbar

Route analysis along a route shown in red. Green areas can be seen at some point from the route, and the region shown in blue can be seen at one particular instant from the blue dot overlaid on the route.

Ambush potential along the route. Points shown in red could see the entire route, making them excellent ambush locations because they have a wide range of times to attack. Points in purple can see only a few points along the route, making them less effective ambush locations. White points cannot see the route at all.

Last revision 4/29/2003


Anaglyph Maps

These maps require red/blue glasses.

Sources for glasses.

Stereo Anaglyph: creates a new reflectance map with a shift of the red bit plane. You can change the maximum shift, as well as the reflectance parameters, by right clicking on the map display.
Stereo Anaglyph/Merge: uses the image on screen, and shifts the red bit plane to the left. This may or may not be effective depending on the imagery displayed. You will be asked for a maximum shift. This is a Landsat TM image.
DRG anaglyph

Last revision 11/26/2017


Anaglyph Perspectives

Require red/blue glasses.

Select anaglyph option on Stereo tab of perspective options form.

Perspective view, DEM only

Landsat TM image draped on DEM

Last revision 11/26/2017


Analysis Options Tab

This tab is on the options form, brought up from the Options menu selection.

  • Use sea level for statistics: you can use or not use sea level (defined as 0 elevation) when computing slope and elevation statistics.
  • Drainage flow options
  • Slope map options
  • Statistical sampling interval
  • Graph width and height for analysis graphs.
  • Clip tails for histograms, and tail size: use if you do not want to see a few extreme values to bias the histogram (because the program uses a limited number of evenly spaced bin), you should set this. Be careful and remember you have done this.
  • Terrain category percentages
  • Confirm openness directions
  • Dune height/wavelength/height
  • Least cost path options

Last revision 1/16/2022


Analyze DEM Properties

Choice on Analyze menu.

  • Contour ghosts
  • Point spacing
  • Geomorph params, all DEMs
  • DEM summary table
  • DEM corner parameters table

Last revision 9/15/2021


Annotate Map

Annotate Map: popup menu from map window toolbar :

  • Military icons (requires military Menu choices enabled)
  • Geology symbols (requires geology Menu choices enabled)
  • Digitize contours
  • Create shapefile--also option to add records to an existing shape file.
    • Oultine map area
    • Map bounding box

Last revision 9/9/2022


Aspect Maps

Aspect is the downhill direction. Vegetation is frequently different on south and north facing slopes, due to differences in insolation and snow melt/retention and soil development, and ski resorts typically use ground differently depending on the aspect.

In geology, aspect is the dip direction.

Aspect map created with Display parameter for a DEM set to aspect with 8 cardinal directions quadrant colorsafter Brewer and Marlow, 1993. | Aspect map created by the Create derivative grid option. This allows computations with the resulting grid, but has the same color display options. | Aspect/slope merge DEM color merge, Eight aspects, three slope categories, and gray for nearly flat.

You can use aspect in Terrain categories.

Last revision 11/26/2021


Arbitrary DEM Merge

The merge operations are designed to merge a number of DEMs that belong to the same series, with similar characteristics.

If you want to merge any set of DEMs:

  • New DEM that covers the entire area you want.
  • Subset & zoom to cover just the area you want (covering a little too much area is better than too little)
  • File menu, Save DEM, MICRODEM subset
  • Close the DEM, and open the subset.
  • File, Save DEM, reinterpolate. Pick whether you want lat/long or UTM, and select the spacing you want.
  • Close the DEM, and open the reinterpolated DEM.
  • Edit, Mark as missing the entire DEM.
  • Edit, DEM holes to put DEMs into the merge. The order is important; some options will use the last value, and some will only replace values for holes.

This option will not do any checking that your merge makes sense (it will happily interpolate ETOPO5 down to 1 m resolution), and does nothing about edge matching, so consider the old adage GIGO and take full credit/blame for the resulting DEM.

Last revised 7/5/2010


Arbitrary Shape File Coordinate Shift

To perform an arbitrary shift in shape file coordinates:

  • Insure the shape file is in UTM coordinates;
  • Find the amount of the shift to apply:
    • Plot the map with the shape file; insure that your primary map datum is the one you want to use.
    • Use the Calculate distance tool
    • The dialog will give you the shift in both x and y directions.
    • Take several well defined points spread over the map, and average the results. If the numbers for the shift are not consistent, this is not the primary problem.
  • Shift the coordinate with the "Resample, Shape File, Specify Shift" menu choice on the data manipulation form.
  • Set the shift in meters in the x and y direction.

Last revision 4/12/2001


ArcGIS Flow Directions

Flow Directions

ArcGIS TauDEM
32 | 64 | 128
16 |  | 1
8 | 4 | 2

4 | 3 | 2
5 |  | 1
6 | 7 | 8
  • Downhill flow direction can use several conventions convention above.

Last revision 7/3/2014


ArcGIS viewshed sensors

Option on Reports Menu of database table form.

Renames the fields of the sensor table for the non-intuitive names uses in ArcGIS, and exports as a point shapefile format .

MICRODEM | ArcGIS
SENSOR_UP | OFFSETA
TARGET_UP | OFFSETB
SENSOR_RNG | RADIUS2
MIN_RNG | RADIUS1
LEFT_AZ | AZIMUTH1
RIGHT_AZ | AZIMUTH2
MAX_VERT | VERT1
MIN_VERT | VERT2

Note the intuitive names (at least for MICRODEM), which you will remember as soon as you see the definitions once.

ArcGIS creates a composite viewshed, from all the sensor locations, with the number of sensors that see each pixel. If you want to see individual fans, you must filter the database either before export, or in ArcGIS.

Last revision 10/22/2010


Arctic DEM

Arctic DEM: 2 m strips (multiple times available for change detection), 5 m mosaics

  • 2 m and 5 m DEMs, https://www.pgc.umn.edu/data/arcticdem/
  • http://pgc.umn.edu/arcticdem
  • http://arcticdemapp.s3-website-us-west-2.amazonaws.com/explorer/
  • http://arcticdemexplorer.s3-website-us-west-2.amazonaws.com/
  • https://www.pgc.umn.edu/data/arcticdem/
  • https://livingatlas2.arcgis.com/arcticdemexplorer/, download in polar sterographic with variable resolution (can be very slow)

NGA Arctic: http://nga.maps.arcgis.com/apps/MapSeries/index.html?appid=cf2fba21df7540fb981f8836f2a97e25

IBCAO

Last revision 4/30/2020


Volume Computation

Area Computation

If you already have or Created an area shapefile, from its Database table controls, you can:

  • Double click on a record in the data base , and pick calculate area
  • Edit , Field geometry to compute the areas and place them in the database.

If you just want a quick area:

Icon on map window toolbar , or Calculate menu .

Outline the region specified, either with stream or point mode digitizing.

This will creates an area shapefile in c:\mapdata\temp , which will be deleted when you close the program unless you save it, and a text display of the results.

Last revision 6/10/2020


Area Geomorphometry Stats

There must be a DEM associated with the map on which the DB is plotted.

Stats button popup menu for an area/polygon shapefile.

Set parameters that you want computed. You have the same choices as used a regular array of blocks.

  • Advanced elevation option has the highest and lowest elevations, the locations where they occur, and the direction, distance, and slope in a staight line between them (think for landslides). You can extract these into a new point shape file

Set masking options.

  • Pick the buffer size. You want some buffer if you have thin polygons. If you are computing variables like slope which require that the nine point neighborhood be full, you probably want one at least a one pixel buffer if the polygons are relatively small.
  • Mask out points not in the polygon.

Point shapefile will be created, with the lat/long of the center of each polygon's bounding box, and the requested geomorphomertic parameters. You can join with the polygon shapefile using the REC_ID record in each.

Last revision 5/31/2019


Arterfact Bin Frequency Table

Example BIN_NAME field:

  • Lower gundeck/Left/12-13
  • For this bin, the program must find the following points in the Key points Database:
    • Lower gundeck/Left/12
    • Lower gundeck/Left-mid/12
    • Lower gundeck/Left-mid/13
    • Lower gundeck/Left/13
  • Names can differ, but must match exactly between the artefacts and the key points.
  • Use the String Concatenate fields operation on the database to create the field from the separate fields.
  • Use the option to remove all values with a "'99" for missing values in one of the fields.
  • Create a Frequency table for the bins, save it as a CSV, and convert to a DBF.
Original artefact database (some fields are hidden).
BIN-NAME created by using Concatenate fields with the three fields. .
Final bin frequency table.

last revision 3/8/2016


ASCII DATUM File

ASCII DATUM File (TDW)

This file goes with a world File. It contains the Datum (using the 5 character ASCII code), UTM Zone, and hemisphere. This format is unique to MICRODEM.

Last revision 8/26/2006


Aspect distribution by slope plots

Menu option on Geomorpometry analysis of Analyze menu

This diagram is actually a series of rose diagrams. The circles are radii of constant numbers of values; you get different numbers depending on the maximum frequency, which depends on the isotropy/anisotropy of the distribution and the total number of points in the slope interval.

If you want to get at the underlying data, go to the aspect distribution graph and make it the active window. You can then go to the "Analyze Graph", "View data" menu choice. Each slope interval will be in a text window that you can save or paste into another application--the first (x) value is the aspect direction, the second (y) value the count of elevations. Data set 1 is the lowest slope interval, working on up to the last.

If you want to see the slope and aspects plotted on an equal area stereo net, pick the SSO diagram option. Eigenvector calculations on the SSO diagram can produce an intensity and direction of the topographic grain.

Last revision 10/13/2022


Aspect Difference

Found on Raster GIS, Derivative grids, Aspect

Aspect difference: largest difference in aspect in the NS, NE-SW, EW, or NW-SE directions, with a value 0-180. Gets the aspect from the central point to the 8 neighbors for 3x3, 5x5, and 7x7 windows. Can help to pick out valleys and ridges

Last revised 3/2/2023


Aspect Difference Maps

Raster GIS, Multiple grid arithmetic, Difference elevation, slope, aspect maps

Computes 4 new grids with the difference between two DEMs:

  • Elevation
  • Slope
  • Aspect. The downhill direction. Map differences in the surface in flat areas lead to big differences in the aspect.
  • Normals. The normals to the surface are perpendicular to the aspect.

Trentino Italy, with:

  • Hillshade from COP DEM
  • Slope from COP DEM
  • Aspect difference between COP and ALOS (signed, based on the shorter angular distance)
  • Normal vector difference (unsigned, the dot product of the two normals)

While the aspect and normal vectors are perpendicular, one is almost horizontal and the other almost vertical, and they behave very differently in flat terrain.

In the valley running north0south in the center of the map, note that the slope and surface normal differences are very small, but the aspect differences are very large.

Aspect difference is strongly influenced by slope, and is particularly affected in flat areas, where integer DEM precision will further affect results. While aspect is very important, it might not be the best metric to use for DEM comparisons and must be used with caution. In particular it must use circular statistics.

This is related to SSO diagrams, and the suggestion by Jordan (2003) that the plots should use the downhill direction instead of the normals.

Last revision 10/22/2022


Associate DEM with Database

Many operations on a database require that it be associated with a DEM.

The easiest way to do this:

  • Open Grid/DEM
  • Database (shapefile)

Other ways

  • Open another map
    • Open image
    • Open scanned map
    • Open Landcover map
    • Open Vector Map
    • Open quick vector map
  • Database (shapefile)
  • Make the map window active, then Modify associate DEM with map

Last revision 5/31/2019


ASTER DEM

The ASTER GDEM was created with two NIR cameras on the ASTER satellite. One looks down at nadir, and the other is inclined in the along track direction. After a short delay, the two image provide overlapping stereo imagery that allows creation of a photogrammetric DEM.

  • The original DEMs are no longer freely available.
  • A new global ASTER DEM (GDEM) became available in 2009. Despite the 30 m (really 1") , resolution, it is probably not as good as SRTM-3" (Guth, 2010; Tomislav Hengl and Hannes I. Reuter, 2011)
  • Version 2 of ASTER GDEM came out in the summer of 2011, and was still probably inferior to SRTM 3", even with the supposedly higher resolution. SRTM 1" is also now freely available.
  • Version 3 came out in August 2019, and has water masking. It is 3601x3601, Pixel_is_Area, with one pixel overlap.

ASTER GDEM Geotiff Available from:

  • For a small region, use the option of Files, Import, ASTER GDEM to match this map
  • https://search.earthdata.nasa.gov/search/
    • Search for ASTER GDEM at the top left
    • Pick the area
    • Get the list of URLs you want, and save as a text file
    • You will need a NASA account, and be logged in on your browser to do the downloads (the browser will prompt you to log in for the first download).
    • Data Manipulation, Download, Chrome list, and then pick the text file with the list of Aster tiles. The program will open Chrome, and put each into a tab, and download. You will have to approve each download, and it is unclear how many you can download at once (at least 17 works). If your IT blocks this, try the IE option.
    • You can paste the URLs one at a time into the browser, in which case
    • File names look like this, so you can create your own URLs: https://e4ftl01.cr.usgs.gov//ASTER_B/ASTT/ASTGTM.003/2000.03.01/ASTGTMV003_N40W081.zip without going through the NASA site (but you will still have to log in to download)
    • Unzip the files. There are files with the number of scenes used to get each elevation, with "num" in the file name, which you can delete. On the Tools menu You can copy all the files ending with "dem.tif" into the correct directory, and then delete the remaing "num.tif" files.
  • https://lpdaac.usgs.gov/products/ast14demv003/
  • https://e4ftl01.cr.usgs.gov/ASTT/ASTGTM.003/2000.03.01/--pops into huge directory with 10,000's of files, so it loads slowly, and it's hard to find what you want

GDEM files must be opened via GDAL.

  • You can convert them in batch mode, and overwrite the original files, so that GDAL is not needed and they will load faster. Data Manipulation, Resample, DEMs, Convert to Geotiff

ASTER references

Documentation

  • https://lpdaac.usgs.gov/products/astgtmv003/
  • https://lpdaac.usgs.gov/documents/434/ASTGTM_User_Guide_V3.pdf
  • https://lpdaac.usgs.gov/documents/642/DEM_Comparison_Guide.pdf
  • Abrams, Michael; Crippen, Robert; Fujisada, Hiroyuki. 2020. "ASTER Global Digital Elevation Model (GDEM) and ASTER Global Water Body Dataset (ASTWBD)" Remote Sens. 12, no. 7: 1156. https://doi.org/10.3390/rs12071156

Other Global DEMs

Last revision 4/25/2021


Atlas Classify

Option under active development; contact us if you want to try to use it and are having problems.

Open on Raster GIS Menu, Geomorph atlas. You must first load a base map to use (ETOPO is a good choice).

  • Grids. Set directory for grids on Directories tab of options form. The grids must exist in that directory, and you must have a correctly defined data base to control operations.
  • Database. Currently hard wired with required files.

I & P class

Bottom functions:

  • Classify: use up to five parameters, and find points matching set ranges.
  • Histogram:
  • Scatter plots:

Overlay: puts symbols from selected atlas grid on base map. Use this option only when the map map pixel size is larger than the spacing between points in the atlas grids.

Last revision 3/31/2013


Alberta Township System

Alberta Township System (ATS)

Can no longer be used.

Last revision 8/10/2019


AUV Data

AUV DataDirections were Outdated


Mobile Mapping Software

Mobile Mapping Options

Avenza PDF Maps. Navigate on mobile with base maps created in MICRODEM

  • Download from https://www.avenza.com/avenza-maps/ (Android and iOS vesions). Read license carefully; it is very restrictive, and you must insure that you can legally use the free app. In particular the fine print does not allow educational use; you can only use the program for personal, non-commercial use. It is great for hiking.
  • The program can use Geotiffs and GeoPDFs. Geotiffs will convert much faster than GeoPDFs. The program converts the map to a JPEG, with an XML registration file, before it can be used.
  • USGS 7.5' GeoPDF quads are a free download from the Avenza store inside the program. These are older versions of the printed maps.
  • For other files, download to the PC and then copy map to Dropbox, or directly to "This PC\Nexus 7\Internal storage\PDFMaps"
  • Displays GeoPDFs from USGS, but as a single image layer. These are newer than the ones from the Avenza store (also bigger). The most recent versions have hiking trails shown (not yet nationwide).
  • To download base maps from MICRODEM
    • Save Map as Image in Geotiff format. Testing was on a grayscale hillshade, and a color hillshade, with files up to 110 MB which work. Any map saved this way in MICRODEM should work, up to the unknown size limit.
    • Floating point Geotiff DEMs do not work.
    • Download the map from Dropbox (use + button on the Maps tab)
  • Save tracks on the settings with "Record GPS tracks"
  • Program can overlay KML/KMZ, but only points.
  • Export vis KML. CSV exports only waypoints and not tracks.
Windows version

MAPS.ME

  • https://maps.me/
  • Uses OpenStreenMap, download so no internet connection required
  • Android, iOS
  • Open source code on github
  • Cannot (yet) save and export tracks

LizardTech free mapping software (has not been tested recently)

  • GeoViewerMobile for iOS and Android visit website: https://www.lizardtech.com/geoviewer-pro/mobile-options
EpiCollect
GPSLogger (Free. There are other apps with the same name, which might be better for your use, or just different)
GPS Test nice sky maps in the free version

last revised 11/8/2022


Base Map Options

These are base maps for use in Local map databases, with [image] Integrated database.

Vector Base Map. Coastlines, boundaries, and major bodies of water show up. | DEM Base Map. This is from SRTM-30, with coastlines and rivers and major boundaries shown. | Image Base Map. This is from NASA's Blue Marble, with coastlines and rivers and major boundaries shown.

Set the base map type and properties on the Indexes tab of the options form.

Last revision 11/28/2006


Basin Flooding

Basin Flooding/Sea Level Rise

Accessed with "Calculate, Drainage, Flood basin" menu choice.

  • Simple elevation: if the point is below the water level, it floods. This is appropriate if you think the water will come through seawalls, or back up along storm drains, and the extra work to compute flow paths is not worth it. If the danger will be from waves, this might not be appropriate.
  • Flood basin from single point: pick a point and a reservoir top level; all points below that level with a path to the water will be flooded and shown in blue.
  • Complex uses file with starting locations: specify point shapefile or dBase table (Create shapefiles), with locations from which flooding will start. This allows you to deal with bridges, which act as dams in 2.5 D LIDAR DEMs, and the fact that there might be unconnected patches of water of different sides of the land.

After you pick the point to start flooding from (or a shape file with multiple points), you will get the form below which lets you select options and parameters.

If you want to export this to a KML file, you must use a lat/long DEM. You can Reinterpolate a UTM DEM to lat/long

These require that depths have negative z values. You can quickly edit the DEM to multiply the depths by -1.
  • Reservoir top: flood up to this level (only level used for the "Flood 1 level" button).
  • MLLW (ft): NOAA does flood predictions on the coast in terms of MLLW in feet, so you can enter this
  • MLLW-NAVD88: enter this constant in meters, so the feet you enter for MLLW will be converted to NAVD to go with the elevations in the DEM. As you change this, the reservoir top edit value changes
  • Low level: for the movie option, the first level to depict.
  • Interval: amount to increase each frame of the movie, until the movie stops at the reservoir top.
  • Label maps: put the water level label on each map.
  • HTML: copy the results of the Complex algorithm in the data grid into an HTML file.
  • Flood 1 level: flood a single water level. The value will be in the "Reservoir top" edit box.
  • Movie: create animation with a variety of reservoir levels. Frames are saved with the format selected on Directories tab of options form,
  • Label maps; put the flooding level in the NW corner of the map
  • KML export: export the map to KML and open in the default KML viewer
  • Start points: if you have a high resolution LIDAR image, you can start flooding from a number of points because bridges will act like dams. Select a point database file, which you can create with the Create shapefile option (point shape file) on [image] Annotate Map icon of map toolbar .
  • Algorithm: This choice only applies to a DEM map. If you use an image, the Flooding algorithm will be used.
    • Elevations: color codes elevations above the flood level green, and those below in blue. Points (like Death Valley) will "flood" even if they have no path to the water. This may be appropriate if:
      • There are holes in the seawalls through which water will flow
      • Storm drains will allow flooding inland
      • You must want a quick estimage
    • Flooding: uses a fast graphical flood fill operation to rapidly find all points with a path to the water. This uses the current screen resolution. For maximum accuracy, you should be at [image] 1:1 map view with the DEM, having a screen pixel size that is equal to or less than then DEM resolution.
      • create a white bitmap the same size as the map
      • set all points about the flood elevation to green
      • from all the starting points (one per point in the water that is separated by a bridge or peninsula from the others), flood fill to a green boundary, with blue fill
      • turn all the green to white, as those points are above the water
      • in blue the bitmap now has all the flooded points, which are below the top of the flooded level, and which have a clear path to the water
    • Complex: methodically computes all points with a path to the water. It will be slow, but uses all points in the DEM, and produces the table seen below.
Table from complex algorithm.

Save using HTML button

Movie showing flooding of downtown Annapolis with hurricane Isabel.

For this option, set:

  • Low level (m), for the water at the start of the animation.
  • Reservoir top (m), for the final water level.
  • Interval, the value in meters between frames in the animation.

There are some anomalies present due to the 2.5D nature of DEMs; bridges and some other features will block flooding, so you should use multiple starting points.

Larger example on web, and a KML model.

Caveats:

  • Does not consider friction, and slopes to the water surface, which would apply in rivers.
  • Does not consider breaks in seawalls not captured by the DEM, or water backing up storm drains.
  • Assumes there is sufficient water available to maintain the water level as it floods onto the land.
  • Carefully consider the Vertical datums. LIDAR DEMs are most likely to use NAVD88, and tide gauges and storm surge predictions are likely to use MLLW or MSL. Tide stations will have the conversion factors on their web sites.

Last revision 1/17/2022


Batch Download Files

Batch Download of Files

Data Manipulation option on the download menu.

  • Pick the TXT file with the list of files to download. You might have to edit the file, perhaps with Excel, to get just the file names, if you got the CSV option from some locations.
  • If getting lidar from USGS, the file might have both zip and laz versions. You can remove one with the Edit, ASCII remove, ASCII remove lines with substring, or you will download twice as much as needed.
  • If the batch download uses ftp, your IT department might have restrictions.
  • Pick (or create a new) directory for downloaded files.
  • Files will be downloaded. If you must turn off the program, it can resume where it left off automatically. If the file is already in the download directory, it will not download again.
  • You can track progress, with the file count and the file name, and the success or failure.
  • Some files may be missed, which may be a function of the server policies where you are downloading. You should check that you got the number of files expected, and if not, rerun, which will not download any files you already have. You might have to restart the program.
  • Uncompress the files if needed for LAZ or ZIP files.

If there are problems, try uGet.

Open Topographpy: this no longer works. You must use the AWS downloader.

This might work with other data sets, if you can get a similar listing of the files to be downloaded. You can copy the file list from the web page into a spreadsheet, and then add the path (using the concatenate function in Excel), and export a text file.

Last revised 12/31/2020


Batch TM Operations

Batch TM Operations--not tested recently

Create an index file for the TM scenes.

To get all the NDVI,

  • Open database without map
  • Filter the index if desired.
  • Stats, TM Process, NDVI

To clip all the NDVI grids to a common area

  • Edit a DEM/grid to have the area desired
  • Data Manipulation, Subset, Mask DEM

Working with a series of NDVI grids:

  • File, Open submenu, Open NDVI grids
  • Pick the directory for the grids; They will be opened, and a single one will be displayed.
  • Image analysis, NDVI/NSDI. These will create a database and a map; you can do some displays with the database to color by the satellite or the year.

Value of the NDVI at the 90th percentile of the scene.
Percentile within the entire scene for the NDVI value of 30
Point time series. This shows the NDVI values at a single location

last revision 3/8/2015


Focal Mechanisms Plot Options

Use with

  • Plot single focal mechanism on the map by clicking on the map toolbar.

  • Plot, and then Earthquake focal mechanisms, then beachballs .

Size
  • Use a constant size, or scale by one of the magnitude measures.
  • Pick the radius in pixels of the beach balls.
  • Pick the magnitude range for magnitude scaling.

Color

  • Use a constant, scale by one of the magnitude measures, or color by depth.
  • Pick the magnitude or depth range for color scaling.

You can set the size (in pixels) or the plots. If you plot by magnitude, you can set the sizes for 3 and 10 which are somewhat beyond the smallest and largest quakes in the data base. You can pick the plotting on maps:

  • Color symbols color codes by fault type.
  • Beach balls draws focal mechanisms
  • Scale switch draws colored symbols at small scale, and focal mechanism at large scale when the pixel size is less that the threshold selected.

Max to show: this will be the largest number of mechanisms to show; if you have more, the data will be thinned. To avoid thinning, pick a small region, and filter the DB to just this area.

Last revision 4/29/2019


Beach Profiles

Duck NC profiles, 1981 to date

Last revision 1/24/2009


MICRODEM on Big Screens

The Nile Delta from Landsat on three monitors. Each shows the full resolution of the 7000x7000 pixel scene (25% reduction to fit on the page, and to keep the file size down). Note that the laptop only shows a postage stamp area compared to even the 2K monitor, and hardly anything compared to the 4K monitor.

Four monitors, each 1920x1200. See detail and context at the same time. Despite my early reservations, the brain easily ignored the gaps between monitors.

Or just get a 4K monitor or TV, which shows the same number of pixels.

Last revision 8/26/2018


Bin Corners

Must open three DBF files:

  1. Side limits--must have fields "SIDE", "LEFT", and "RIGHT"
  2. Key points file (created with Digitize y-axis)
  3. Artefact Bin frequency table, created from the Artefacts database with a Frequency table operation on the BIN_NAME. Must have fields "BIN_NAME" and "N". You must insure that the BIN_NAME field follows the conventions from the image below.

Creates a CSV file which you can turn into a database. CSV will be in the same directory as the Project file. This requires no input from you after entering the three files.

Note any error messages about problems in creating bins; you must then fix the input files or determine if the anomaly requires other operations.

  • Files needed
  • Point Digitize on Slices
  • Move points up/down
  • Digitize y-axis
  • +Box--add more bins interactively
  • Add bin corners to data base
    • Create a bin frequency table
    • Open it with the Box option
    • Turn on edits
    • Add the corner coordinates to the DB table: Edit, Insert New Fields, XYZ, and pick 4 sets of coordinates.
    • Double click on a record in the DB table display, and pick Edit, Add XY box
    • Outline the box, and pick the Z value
    • If there are already coordinates, this will overwrite them

last revision 4/18/2016


Bottom Panel Controls

  • Immediate redraws: when you change a setting, the map will immediately redraw. If the layer takes a long time to draw, you might want to one redraw after making all changes, wuth the Redraw button
  • Labels (all records)
  • Outline polygon
  • Track bar sets opacity for layer.
  • Redraw map: clear map of any temporary overlays, but does not redraw this layer
  • Legend
  • Area/line/point symbol characteristics
  • Plot: redraw this layer. If you have immediate redraws enabled, this will not often be necessary.
  • Filter:
  • Close:
  • Help: display this topic.
  • Display: change the display option

This panel is used for many options on the PLOT button on the table display window.

  • Proportional symbols
  • Color code by DB numeric field
  • Color Code DB from String Field
  • Label all records
  • Vector data
  • Quick filtering
  • Animate field

Last revision 9/24/2018


Box Plots

Option on Stats menu of table display window.

Database must have values for the distribution, in the following fields: 'NAME','MIN','MAX,'PC99','PC98','PC5','PC95','Q1','Q3','MEAN;

On the left:

  • Point symbol at the data set minimum

In the center:

  • Wiskers from the 5th to the 95 percentiles
  • Box from Q1 (25th percentile) to Q3 (75th percentile)
  • Vertical mark at the mean

On the right:

  • Point symbol at the 98th and 99th percentiles and data set maximum
  • If these are extreme outliers, they may be missing

On the left:

  • Point symbol at the data set minimum

Last revision 6/8/2022


Buffering

Buffering is the process of putting an inclusive or exclusive zone around features. It can be done with points, lines, or areas. With points you will circles around each point; for lines, you will get a wider line; and with areas, you get a generalized, larger outline.

Point Shapefile
Points outside a 500 m radius have been eliminated | Points within a 500 m radius have been eliminated.
DEM masked with schools from USGS gazetteer database. This could model the effects of a school drug free zone, for example, or restrictions on sex offenders, or the zoning of adult businesses.
Line shapefile
Only points near roads, with buffer of 250 m on each side of the road. | Only points off roads, with buffer of 250 m on each side of the road.
This could model critical zone along rivers, proximity to roads (or subclasses of roads like interstates) for businesses seeking locations.

Buffering can be done in MICRODEM:

  • Using shapefile to buffer DEM or grid.
  • Using grid mask, or TIGER roads
  • Mask database with shapefile
  • Plot of a database, which does not edit the grid

Last revision 8/31/2012


Build Number

The build number is on the splash screen, and on the program title bar. It is maintained by the compiler, and built into the EXE file. The format will be 2017.2.6.17, which is the date in a Windows backward way. The last number is a sequential build number and can identify sequential builds on a single day. The debug and release versions have different build sequnces

If you cannot get the program to run, the build number can be found by right clicking on the EXE in Windows Explorer, picking "Properties", and looking on the Details tab.

Last revision 2/6/2017


Building Density along Coastline

Heat map showing the number of buildings closest to each location along the coastline.
Red line shows regions of the coast that are not the closest point for any buildings.
  • Get Building outlines which will be an area shapefile.
  • If the building file is large, subset the shapfile to just the area you need.
  • Get coastline, which should be a line shapfile. Insure the scale is adequate for your purpose.
  • Get a DEM covering the area, with a scale that is adequate
  • Open Grid/DEM
  • Open database (shapefile) for the buildings and the coastline
  • Nearest point on line/perimeter for the centroid of each building
  • Get interpolated elevation for the centroid of each building DEM on Submenu on "EDIT" button on database table form.
  • Filter the buildings, on the elevation and distance from coast, to highlight the desired buildings.
  • Heat map to get the density of buildings along the coast

Last revision 9/7/2019


Building Edges

  • Option on Calculate menu
Min/Max building height: specifying both lets you try to pick out different height classes.

Edges: there must be between the min and max number of immediate neighbors lower than the min building height.

Roof: if there is at least one point the min building height or more below the point, within the search radius, the point will be noted as a potential roof. The roof height and radius will be in the database.

This will create a database. Turn it into a grid with Report, Create grid option.

Edges | Roofs, 10 m search region | Roofs, 25 m search region

Last revised 7/18/2014


Building Outlines

Microsoft project, vector outlines. This will be a huge file with challenges.

  • https://github.com/Microsoft/USBuildingFootprints/, geojson format by state,
    • convert to shapefile with ogr2ogr (which will be slow, but shows progress in the command window) with is part of GDAL.
    • Subset to just the region you want as soon as possible
      • File, Import Shapefile after subset to match map extent, which required GDAL
      • Report, Shapefile export, Clip to map extent
  • Descriptions of the data and a project using them
    • https://www.nytimes.com/2018/10/13/insider/maps-data-visualization-america-buildings.html
    • https://www.nytimes.com/interactive/2018/10/12/us/map-of-every-building-in-the-united-states.html?action=click&module=RelatedLinks&pgtype=Article
  • State files are huge, so you should subset the shapfile to the region you need for best performance.

Alternatives

  • OpenStreetMap, vector outlines of buildings, but coverage varies from very good to not so good
  • USGS from NationalMapViewer, but does not have house outlines, and only points

Use of buildings

  • Building density along coastline
  • Number of buildings within in area
    • Create area shapefile
    • Use Point in polygon

last revised 10/30/2020


Buoy Drifting

Buoy Drifting No longer supported


Required Antenna Height

Option on Calculate, Intervisibility menu of a map window with associated DEM.

Pick the location of a fixed antenna (use point selection verification , so that you get a very accurate placement) and its height.

Set these options.
  • Antenna height--height of the fixed antenna at the center of the diagram
  • Antenna range--range of the sensor. Radials will drawn this distance, or to the edge of the DEM.
  • Minimum vertical standoff--used with required flying height
  • Choose to compute
    • Map of required antenna height--this will be in meters above the ground surface.
    • Map of required flying height--if an aircraft must fly a specified height above the terrain, the minimum vertical standoff will be included in the computations. This will be height above sea level.
    • Map of grazing angle
    • Map of earth curvature
    • LOS Profile: creates Line of sight/Topographic Profile at sensor location with correct sensor/target heights; you can easily change the azimuth.
  • Vertical earth curve: pick vertical earth curvature algorithm to use.

Required antenna heights. This map requires that the location of the fixed antenna, and its height, be specified. The computation then determines how high a mobile antenna would have to be if it were located at each grid node in the DEM. The resulting surface can be displayed like a DEM. The split map at the left shows a reflectance view of the resulting surface, which retains a recognizable imprint from the landscape, on the top, and a colored height field on the bottom. Both depictions have a radial pattern emanating from the location of the fixed antenna, caused by dead zones behind hills which project outward. These hills have the greatest impact when they occur close to the fixed antenna. The map on right combines elevation and reflectance shading, and probably provides the best tool for analysis.

These two diagrams assume a sensor range that can cover the entire DEM. If the range is less than the DEM size, regions outside the visible range will be missing data.

This can also be used to calculate the permissible flying heights that will be visible or masked to a fixed radar.

Map of grazing angle for a sensor.

Positive angles face the sensor, and negative angles slope away from it.

Missing areas are masked.

Earth curvature (with 3d shading from the DEM).

Technical Details The algorithm creates a box from the antenna location, going out to the range requested, or the edge of the DEM, whichever comes first. It then draws radials from the location to each DEM grid location on the edges of the box, and fills in the location of the LOS as each grid point along the way. This is the minimum number of radials to be sure that a radial passes over every grid posting in the DEM. It uses a spacing along the radial of half the grid posting. Points close to the fixed antenna will be computed on a number of radials, and the last one computed will be the value retained. Earth curvature will always be a floating point grid; the others will have the same precision as the input DEM.

Applications. This could be used in at least two frames of reference:

  1. You are sneaking across the border into a country, and pick your location. Then the resulting map shows how high a sensor (think tower or UAV or even manned aircraft) would have to be to see you.
  2. You are the tower or UAV or manned aircraft, and want to see where you can see the sneaking person. This is like a viewshed, but it shows how much cushion/safety margin there is, which you can factor into how much you trust the results based on the quality of the DEM.

Last revision 7/25/2014


Calculate Slope

Invoked from the "Calculate" menu of a map window with a DEM associated.

  • Slope between two points: calculates average slope between two selected points picked on the map. It figures this average slope by the total change in elevation between the two points and the distance between them. It does not account for intervening rises and drops; thus you should select two end points of a relatively uniform slope. You select the two points graphically on the map.
  • Excessive slopes: finds and labels all slopes greater than a specified value with a large point symbol. This is useful for finding errors and blunders in a DEM, and will show every such point. A terrain category might miss some points if the DEM must be subsampled to display, and individual points may be hard to locate.
  • Steepest slope: finds the steepest slope on the map. This is likely to be the result of one or more bad elevation values in the DEM, and provides a good assessment of DEM quality.

Last revision 11/29/2020


Camera GIS Operations

  • Settting up GPS on camera
  • EXIF photo database
  • Slide sorter
  • See the sun position on a perspective or panorama view

Last revision 1/20/2020


Camera GPS

Camera GPS Setup

  • Nikon D5300 (and some other Nikon models)
    • Download A-GPS file from https://downloadcenter.nikonimglib.com/en/download/fw/111.html
    • You may have to use a card reader to transfer the file to the camera memory card (I cannot do it on two Windows 10 machines, on both of which I can copy and delete JPEGs)
    • File is good for 2 weeks.
    • Without the current file, camera never seems to lock onto GPS (even with file, it is very hit or miss)
  • Olympus TG870
    • Use OL.Track app on phone to get and download the A-GPS file, which will be good for 2 weeks.
    • For PC, get http://sdl.olympus-imaging.com/agps/ and directions at http://sdl.olympus-imaging.com/agps/pdf/A-GPS_Instruction_EN.pdf
    • Without the current file, camera takes a long time to lock onto GPS
  • Setting up smart phone.

Last revision 1/12/2020


Card File Import

Option accessed from the Import menu choice of the Data Manipulation form .

Select the text file with the data, and then a dBase table describing the data format.

This has not been used in a while. You might do just as well to import this into Excel and create a CSV file there, and then import that. This method should be used when:

  1. The data file is too big for Excel (the example below), or too big for the CSV file import. This is not likely with the recent changes to the size of files Excel can handle.

  2. You have a lot of data files with the same format to import.

The Climatological Database for the World's Oceans 1750-1850 provides an example of importing a text file that looks like a card file listing.

Data arranged in columns, with no decimal points.

This data could be imported into Excel and turned into a dBase table, with the following caveats:

  • If you had multiple files, or wanted to perform the operation again, it could become tedious. You would have to add field labels, and in this case deal with the decimal places which are missing.
  • Excel has a limit to the number of records, and in this case there are too many.
Create a dBase table with the structure of the data. You will have to find the metadata for the file you are importing. You can use Excel, or a similar program. In this case there is an HTML file describing the format of the data set, which can be imported and modified in Excel.

You need 6 columns/fields, named as in the example.

  • VARIABLE will be the field names in the data base.
  • START is the first column for the data.
  • END is the last column for the data.
  • FORMAT describes the coding of the data, in the spirit of the old Fortran.
  • TYPE should the "Float", "Integer", or "String"
  • Decimals will put an explicit decimal point into the values.

Last revised 12/24/2009


Cartography Principles

Cartography refers to the making of maps.

Horizontal datums

  • Horizontal datum introduction
  • Datums for warfighters
  • Datum shifts

Map Scales

  • Map scale
  • Map scale and effective resolution
  • Change scale for raster and vector GIS data
  • Approximate conversions between degrees, minutes, seconds to meters.

Map Projections

  • Map projection basics
  • Map projection gallery
  • Table of projection properties

Map Distortion

  • Tissot indicatrix theory

UTM Projection

  • UTM compared to MGRS.

"Geographic" Projection

  • This leaves coordinates in lat/long, and is often called unprojected. While these can be plotted as an x-y cartesian grid, the resulting distortions have no redeeming features.

"Pretty Maps"

  • Traditional paper maps observed a number of conventions (scale bars, north arrows, grids, legends, and so on).
  • Many contemporary maps will never be printed on paper, and will go straight into a Power Point Presentation or Word Document. In this case you should consider the most effective use of your space--you want as much map as possible, and as little white space separating the marginal information. You should consider how much marginal information is necessary (scale bar probably is, but it can be in a corner and allow the map body to go all the way to the edge of the page or screen).

Cartography operations in MICRODEM

Last revision 6/18/2010


General Cautions

  • Minimize (as in keep to a small number, not the Windows reduce) the number of windows you have open or reduced to icons along the bottom of the screen. Too many can cause an Out of system resources message, from which the only recovery may be to restart Windows. Close windows when you are done with them.

Last revision 11/15/2006


NOAA Coastal Change Land Cover

NOAA Coastal Change Analysis Program Land Cover (CCAP or C-CAP)
  • Download at https://coast.noaa.gov/dataviewer/?#/landcover/search/
    • Pick UTM projection
  • https://coast.noaa.gov/ccapftp/#/ Download, no choice on the projection, and you will probably want to reproject to UTM
  • for very limited, targeted areas, NOAA has 1-5 m resolution. https://coast.noaa.gov/htdata/raster1/landcover/bulkdownload/hires/
  • Online atlas: https://coast.noaa.gov/digitalcoast/tools/lca.html
  • Categories used: https://coast.noaa.gov/digitalcoast/training/ccap-land-cover-classifications.html

Using CCAP in MICRODEM:

  • Open the file as a DEM/grid
  • Edit, Set z units to see the category names

Last revision 10/11/2019


CDED


CDL--Cropland Data Layer

Each US state has different coding for the crops

Cropscape: http://nassgeodata.gmu.edu/CropScape/

Last revision 11/20/2015


Census Economic and Demographic Data

This data is currently for the 2000 Census. You must factor the age of the data into any analyses you undertake. This data is not available for the 2010 Census; instead you must use the American Community Data.

  1. Download Geometry files for Block Groups or Tracts. Determine which level of generalization you want to use. Tracts have fewer polygons but each is larger. Only limited data is available for blocks, for reasons of both privacy and statistical accuracy.
  2. Download Demographic data files. Two Census Summary Files will be most useful, SF1 and SF3:
    • Summary File 1 presents counts and information [age, sex, race, Hispanic/Latino origin, household relationship, whether residence is owned or rented] collected from all people and housing units. Form this data set you will be able to target your audience by age groups.
      • If you get it from the Census Bureau you will have to Modify the spreadsheet like you do the SF3 data as noted below.
    • Summary File 3 was available for the 2000 Census and earlier, and presents detailed population and housing data (such as place of birth, education, employment status, income, value of housing unit, year structure built) collected from a 1-in-6 sample and weighted to represent the total population. You must get this data from the Census Bureau and modify an Excel file.
      • Download SF3 demographic data from the Census Bureau. You can get a wide range of factors here. While you can get a large number of variables, you will have to edit each variable in the file to make it usable. When in doubt, download fewer variables until you understand how this works.
      • Modify the spreadsheet in Excel so you can Link/join the data base with the shape files.
  3. Open a map.
    • Database: Open the tract or block group shapefile as an overlay atop another map
    • Open shapefile map that covers just the region of the shapefile.
  4. Link/join the SF1 or SF3 data base to the shapefile with outlines of the regions. You must correctly match the geometry with the correct demographics (you cannot match block groups with tracts, for instance).
    • In the tract database, the linking field is STFID for shape files from ESRI.
    • In the census data, the linking field is GEO_ID2, unless you renamed it.
  5. Plot maps of parameters from the "Plot" button menu on the database table display window,
    • Color code by DB field
    • Proportional symbols plotting
  6. Computations you might want
    • Compute area: Field arithmetic, Edit button,
    • Compute ratio (e.g. population density, or male/female ratio): Field arithmetic, Edit button,
  7. You can adjust the color in the underlying map to de-emphasize the background and let this data dominate, but the background helps the viewer locate the points of interest.
    • Grayscale and subdue map

You can combine this analysis with other data:

  • DEM to cover the county from the USGS Seamless Server. You can either select it graphically, or by using the bounding coordinates which you can get from the shape file maps.
  • TIGER Line data.

European NUTS data:

  • http://ec.europa.eu/eurostat
  • http://ec.europa.eu/eurostat/web/gisco/overview has shapefiles (avoid the Geodatabases) and Geotiffs.

Last revised 4/1/2023


Centroid separations

On Stats button popup menu on table display window .

You must pick whether the co-occurrences are

  • Symmetric--it does not matter about the order of the two fields.
  • Asymmetric--the order of the two fields matters.

You must then pick:

  • First field in the database
  • Second field in the database

You can then pick a database for the results.

Original data base. It has a list of contracts between two towns, listed in the BUR and VIL1 fields.

Select the BUR and VIL1 fields

The title bar lists the data base name (CORMIMATR) and the two fields used.

String grid shows the results. The two field will be listed in the rows and columns. The numbers in the grid will be the number of times in the original data base base a record occurs with the two towns in the two fields.

This is a symmetric analysis; the matrix is symmetrical about the principal diagonal, and it does not matter which town is in which field.

You can save this table as a CSV file, or an HTML file. Neither can be used for statistical work in MICRODEM, because most of the town names are longer than 10 characters and cannot be field names in dBase tables, and in any case the format is probably not useful.

dBase table summarizing the results. Each grid cell that is filled in has a record, with the first two fields those selected, and the N field showing the number of co-occurrences.

Do judicious filtering with this option, as it is very easy to get very complex results that don't reveal much.

Add lat/long coordinates from a linked data base for the two towns, and then do a point separation plot to graphically look at the links between the towns.

This shows the trade relationships from cormicy to the towns around it--thicker lines indicate more contracts.

Last revision 2/13/2011


Changing Field Names

This example is for the SF1 files for the 2010 Census, but the principles could apply to other data sets.

File you need to facilitate the process, a DBF table posted on the internet.

DBF for the shape file as supplied. Some of the names are reasonable, but no sane person will remember the difference between DP0060002 and DP0060003.

ALAND10, on the other hand, makes senses: AREA of the LAND in 2010.
The Metadata comes in the form of an Excel spreadsheet, which is fine for human lookups but can be a little tedious since this table has about about 250 fields.

We have reformatted the metadata as a DBF table posted on the internet. The fields are:

  • CENS_NAME, the field name assigned by the Census Bureau.
  • DBF_NAME, a sensible name for the DBF file. These must comply with the dBase rules for field names. These have not been completely assigned, so you can edit the table and add any you want. These do not have to be filled in, as fields with no new name for the DBF will retain the Census names.
  • DESCRIBE, the description from the Census Bureau.
  • CENSUS_TBL, the table from the Census Bureau..
  • UNIVERSE: the sample from which this field is taken.

Download this file.

From the DBF file for the SF1 data:

Enable edits.

Edit: Rename fields from reference table, using a join. You will pick the file with your rules, and the names of the two fields, the first with the fields names in the Census Bureau file, and the second with what you want them changed to.

The table names will be rewritten, and be much easier to use and remember.
You can create your own file with rules. It needs only two fields, and they can have any name since you will be asked for the field names when you do the join. You need to match the names used by the data creator exactly, and provide the new names in compliance with the dBase rules for field names.

Last revision 10/28/2015


Changing DEM Resolution

Superresolution

  • OpenDEM on using machine resolution

Last revision 5/2/2023


Difference Change Map Display Op

Difference Change Map Display Options

If you have an old change map created before version 2023.2.16, it did not correctly record change for the z units in the grid. You can fix with with Edit, Set z units.

For a grid recorded as a change grid, you can selected the change display:

  • When creating the difference map
  • When change the display parameter.

Three color classes:

  • Green above the high cutoff
  • No color
  • Red below the low cutoff

Control the display with the three tabs:

  • Single cutoff use plus and minus the value
  • High and low cutoffs can be any desired values
  • Percentiles: allows specifiction of the cutoffs by percentiles within the difference distribution

Change percentiles show below. If the Positive change is the 80th percentile, 20% of the points fall there.

Change category map will have byte values and a lookup table to create a legend. It will also allow creating statisitcs with the points in the DEM in each category (Geomorphometry by categories).

An effective display uses one of the DEMs being compared and

  • Select the Reflectance/Hillshade map with a grayscale coloring.
  • Overlay, Mulitple map interactive comparisons, Variable opaque merge (two maps)

last modified 3/25/2023


Change Sensor Azimuth for LOS

Option for Line of sight/Topographic Profile .

You can use the slider bar to change the azimuth. If you use the right and left arrow keys, the response will be immediate. If you use the mouse, you must click the redraw button to get the new view.

The map will show the visible and masked terrain.

This example also shows the effect of masked airspace below the blue lines on the right side of the profile.

Available for required antenna height if you select the LOS option.

Last revision 4/3/2008


Chirp depths

Chirp Depths (currently probably disabled; note date of last revision)

Chirp display includes a dBase table.

One field contains depth computed from the chirp record.

Plot these depths on the map, using the Color code by DB field option from the Plot button on the Table view.

Ping versus depth graph, 2D graph from the Stats button on the Table view.

We have noticed anomalies:

  • Some depths are too small
  • Some depths are much too large

To get a good display, filter the database:

  • Use a Filter to restrict display by removing depths that are too extreme. This works when there are a large number of adjacent bad records.
  • Median filter to replace isolated bad values. This is on the Edit button menu.

Last revision 11/17/2006


Fence Diagram

Option with Chirp subbottom display.

Displays all the open profiles (up to 5)

Subset map to show just the area you want before picking.

Controls for the 3D viewer:

  • Turn lines on and off in the display.

Requires subbottom data in JSF format.

Last revision 3/22/2021


Circle Around

Option on the View Menu. This create a movie as you circle 360 degrees around a point. You double click to select a starting viewpoint, set the size of a view, and then pick the point the movie circles around.

Last revision 9/24/2006


Citing MICRODEM

The best way to cite MICODEM:

  • Guth, P.L., 2009, Geomorphometry in MICRODEM, In Hengl, T., Reuter, H.I. (eds), Geomorphometry: concepts, software, applications. Developments in Soil Science Series, Elsevier, ISBN-13: 978-0-12-374345-9, p.351-366.
    • https://doi.org/10.1016/S0166-2481(08)00015-9

If you would like a journal reference, the best (although probably out of date in details) is probably:

  • Guth, P.L., 1995, Slope and aspect calculations on gridded digital elevation models: Examples from a geomorphometric toolbox for personal computers: Zeitschrift fur Geomorphologie N.F. Supplementband 101, pp.31-52.

Cite the open source code:

  • Guth, P.L., 2023c. GIT-MICRODEM [Delphi source code, archived installation versions]. URL: https://github.com/prof-pguth/git_microdem

Cite the exectubable and help file downloads

  • Guth, P.L., 2023d, MICRODEM: Open-source GIS with a focus on Geomorphometry [download latest Win64 executable and CHM help file] URL: https://microdem.org/

Last revision 8/27/2023


Classify Point Clouds

Classifying point clouds looks at the returns in a region, and attempts to assign them to a category based on geometric properties of the points. The resulting classification can be stored in the LAS file.

  • ground: finds the ground returns, which define a continuous surface at the bottom of the point cloud, excluding low noise. This requires several parameters, most importantly a step size which affects how buildings will be excluded, and a bulge parameter which affects how much local variation is allowed in the surface created by a TIN of the ground points.
  • roofs: regions above the ground with planar orientation. There are generally few returns from the sides of buildings.
  • Vegetation: regions above the ground with rough surface, and multiple points within the canopy. Success will depend on the number of points; the more mulitple returns, the easier it is to differentiate the trees.
  • water: very flat, horizontal surfaces, with low intensity. May only see water with very small scan angles

Options to peform Ground point classification in MICRODEM. These are not designed for robust use, but as educational tools to show how the process works.

  • Classify (LAStools)
  • Classify--mcc-lidar

last revision 6/15/2020


Clean Up KML exports

Original output, with all default entries. This is fine for quick initial visualizations. Since you are likely to create a number of maps before you finalize your output, it may not pay to perfect the map until you are sure you have what you want. Output after light edits in Google earth. You can right click, and edit any of the values. You can also drag elements to other locations, and add/subtract folders. Note the changes:
  • MICRODEM_Map replaced with more descriptive terms.
  • Database and DB Map leading text removed.
  • Dates changed to the month, since this was a monthly animation.
  • INTRO moved up a level, since it was the only entry in that database. The GE table of contents supports drag and drop of items.

A number of these changes could have been done in MICRODEM by setting values for the deliberate export instead of accepting the defaults from the quick export. If you know you want to save the output, this can be a good idea, but usually the process will be iterative, so it might make sense to see what major changes need to be made before getting down to the minor details, and then just do the edits in Google Earth.

You can save output in Google Earth at multiple levels. When you save, any subfolders will be included. In the example above, you could save all of "Temporary Places", or get the same effect by saving just "Oklahoma Tornadoes 1950-1990". You could save just "Animation by Month" and get 10 maps, or save each individual map. If you save at a high level, you will have a single file with all the data, but it might be very large; you can turn layers on and off in Google Earth with the check boxes. Saving individual layers provides many small files, but the user can pick which ones to open, as Google Earth can choke fairly fast with very large data sets. Recommended size limits are a moving target, as computers and Google Earth both improve.

If you want to remove the labels in Google Earth:

  • Right click on layer, pick properties
  • Pick Style, Color Tab
  • Drop Label Opacity to 0 which makes them invisible
  • Make the scale smaller.

Last revision 4/19/2017


Climate Data, Koppen system

Climate Data--Koppen Classification

Climate Stations

This used the following files from National Climatic Data Center and World Meteorological Organization, 1998, 1961-1990 global climate normals CD-ROM, Version 1.0:

  • ALLNORMS.DAT
  • STNMETA.DAT
  • ALLNORMS.TXT
  • PROGDOC.TXT

There were a number of cleanup operations done on the data, and you can no longer recreate it in MICRODEM.

Grids with Koppen Classification

  • Values on ½º by ½º grid with Koppen climate class at each point on land, for the time period 1976 to 2000. The data comes from The Institute for Veterinary Public Health, University of Vienna; they have additional periods since climate does not appear to be static.
    • Rubel, F., and M. Kottek, 2010: Observed and projected climate shifts 1901-2100 depicted by world maps of the Köppen-Geiger climate classification. Meteorol. Z., 19, 135-141. DOI: 10.1127/0941-2948/2010/0430.
    • KMZ, Global grid and shapefiles: http://koeppen-geiger.vu-wien.ac.at/shifts.htm
  • 0.1º x 0.1º grid: Peel MC, Finlayson BL & McMahon TA (2007), Updated world map of the Köppen-Geiger climate classification, Hydrol. Earth Syst. Sci., 11, 1633-1644.
  • Global grid: http://www.fao.org/nr/climpag/globgrids/KC_classification_en.asp
    • Beck, C., J. Grieser and B. Rudolf, 2005: A New Monthly Precipitation Climatology for the Global Land Areas for the Period 1951 to 2000. Klimastatusbericht 2004, 181-190, DWD. [pdf]
    • Mitchell, T., and P. Jones, 2005: An improved method of constructing a database of monthly climate observations and associated high-resolution grids. Int. J. Climatol., 25, 693-712. http://www.cru.uea.ac.uk/
    • Rudolf, B., C. Beck, J. Grieser, U. Schneider, 2005: Global Precipitation Analysis Products of the GPCC. Internet publication at http://gpcc.dwd.de/ [pdf]
  • 1 km global grid (30") and 5' version and 0.5º version
    • Beck, H.E., N.E. Zimmermann, T.R. McVicar, N. Vergopolan, A. Berg, E.F. Wood: Present and future Köppen-Geiger climate classification maps at 1-km resolution, Scientific Data 5:180214, doi:10.1038/sdata.2018.214 (2018).
    • http://www.gloh2o.org/koppen/
    • Present (1980-2016) and future (2071-2100)

You can compare this with

Last revised 2/18/2022


Climate Options on Map Toolbar

Climate options button on map toolbar, (or an option on the Overlay menu) which opens a popup menu. Most of these require a database, which will be downloaded automatically if it is not present.

  • Koppen grid data everywhere on earth
  • Koppen climate stations data only at stations, and some countries did not contribute data. This is only enabled if you specifically request on Geology/Geography tab.
  • Global monthly temperatures at Koppen climate stations
  • Global monthly rain at Koppen climate stations
  • Global monthly wind vectors
  • Hurricanes: https://www.ncdc.noaa.gov/ibtracs/index.php?name=wmo-data new format coming fall 2018
  • US tornadoes: https://www.spc.noaa.gov/gis/svrgis/
  • CLIWOC ship logs
    • Weather
    • Ship motion
  • Recent world piracy: NGA ASAM database of recent piracy. This shows current piracy world wide, starting in 1978.
  • Tide gauges and sea level rise
  • Sun above horizon
  • Night lights 2016

Last revision 1/13/2021


Climograph

You can get the climograph

  • Double clicking on record (station) in data base, and picking Record display
  • Record display can rapidly cycle through a number of climographs.
  • Right click on map, Physical geography
  • Climograph--(or choice on the Calculate menu) after selecting this choice, double clicking on a station will bring up its climograph.
A climograph shows temperature in red, with a scale on the left, and precipitation in blue with a scale on the right.
Gray lines show critical temperatures used in Koppen Classification.

Options set on Geology/Geography tab of Options form determine how climograph creation works.

Koppen Classification

ID'ing climate with climograph

last revised 2/5/2020


Copy to Clipboard

From the clipboard move to Paint, Word, or PowerPoint.

Clipboard export is usually available:

  • On File menu.
  • By right clicking
  • On map window toolbar

You will then get a popup window

  • "Quick display" on the left shows just the map as it appeared on screen. This maximizes the information on the map. There is an option to put a frame around the map.
  • "Detailed map: display on the right provides a more formal display with the lat/long graticule.

Print, prepare printer image allows more deliberate control on the map.

Scalebar: Legends/marginalia after right clicking on the map, lets you put scalebar on map. This helps with your analysis, and helps your readers.

Last revision 6/19/2015


Cloud Compare

http://www.danielgm.net/cc/ Reads LAS files, fast display, and allows comparison.

  • Documentation: http://www.danielgm.net/cc/

http://www.cloudcompare.org/doc/wiki/index.php?title=Command_line_mode which is used to add roughness and curvature to point clouds

Options in CloudCompare:

  • Axis conventions
    • x--red
    • y--green
    • z--blue
  • Convert a PLY file to LAS.
  • Edit, segment: clip out parts of the clouds you do not want. http://www.cloudcompare.org/doc/wiki/index.php?title=Interactive_Segmentation_Tool
    • Segment tool (scissors on toolbar)
    • Outline points
    • Segment in or segment out on the popup toolbar
    • Confirm and delete hidden points
    • Green check on popup toolbar
  • Interactive Transformation Tool http://www.cloudcompare.org/doc/wiki/index.php?title=Interactive_Transformation_Tool
    • Translate and rotate model to match axes.

Cloud compare wants the clouds to be centered, and the coordinates should be the same for all the clouds.

  • Open files
  • Highlight
  • Edit, synchronize
  • Highlight 2
  • Compute cloud/cloud distance
  • Local model, height function
  • Compute
  • Capture the graph; the mean/standard deviation are on the bottom of the screen (the approximate values are in the prominently displayed table)

Ransac:

  • R. Schnabel, R. Wahl, R. Klein, 2007, "Efficient RANSAC for Point-Cloud Shape Detection", in Computer Graphics Forum, Vol. 26, No. 2, pages 214-226.

RansacShapeDetector: ransac Options;

  • ransacOptions.m_minSupport = 500; // this is the minimal number of points required for a primitive
  • ransacOptions.m_epsilon = .01f * pc.getScale(); // set distance threshold to .01f of bounding box width // NOTE: Internally the distance threshold is taken as 3 * ransacOptions.m_epsilon!!!
  • ransacOptions.m_bitmapEpsilon = .02f * pc.getScale(); // set bitmap resolution to .02f of bounding box width // NOTE: This threshold is NOT multiplied internally!
  • ransacOptions.m_normalThresh = .9f; // this is the cos of the maximal normal deviation
  • ransacOptoins.m_probability = .001f; // this is the "probability" with which a primitive is overlooked

last revision 11/29/2015


Clustering database

This is not totally correct. If you want to use this, contact us and we will update it to match the current operation of the program.

Unsupervised classification scheme using a k-means algorithm.

You can also do an unsupervised classification of satellite imagery using the same algorithm.

Select fields for clustering, which will be all fields not hidden. You want to at least remove LAT, LONG, MASK.

If fields have a great range in the degree and amount of variability, you could normalize them first (option on the "EDIT" button of the database table form). Otherwise distances will largely depend on the variable with the largest range.

Select clustering options:
A "CLUSTER" field will be added to the database, if it does not exist. Values with be cluster number, from 1 to the maximum you specified. Map the results with the Color code by DB field option on "Plot" button menu on the database table display window.
You can get 2D scatterplots, color coded by assigned clusters.

The fields are arrayed in the rows and columns. Each graph is displayed twice, but the ability to look at each variable on the same axis helps in the interpretation.

This can be a slowdown with a lot of clusters.

If you have masked the database and created a MASK field (such as using the irregular area option on the Map query button of the database table display, you can get a scatterplot with coloring from the MASK field. Those points will be colored in red, and other points will be in gray.
Histograms, with each cluster a separate color.
Histograms, with the MASK points in a different color from the non-mask points.

If you have more than 5 selected parameters, you will have an option to search for the best set of 5 parameters.

If you select the option, you will get no graphical output but will get this text file which you should save and import into something like Excel for analysis.

The columns will be:

  • Five parameters used.
  • The number of clusters found by the algorithm.
  • The number of clusters which contain points in the MASK.
  • The number of MASK points in the cluster with the most MASK points.
  • The percentage of MASK points in the cluster with the largest number of MASK points. The higher this value, the better the cluster did at isolating MASK points from others. It is (Number of MASK Points in Cluster) / (Total points in the cluster).
  • The percentage of all MASK points located in this cluster. The higher this value, the better the cluster did at combining all the MASK points in a single cluster. It is (Number of MASK Points in Cluster) / (All MASK points).

The "best" set of parameters would produce high values in the last two columns. You can sort by column in Excel (insure that you expand the selection to sort the entire data set, and not just the single column.

Clustering Delphi code from Fred Edberg

Last revision 6/13/2015


Clustering Options

Unsupervised classification scheme using a k-means algorithm.

  • On Stats button popup menu of table display window .
  • On Unsupervised classification menu choice of Image analysis menu
Select clustering options:
  • Initialization: best options will probably be with the first two
  • Clusters: the maximum number of clusters you will get. The program may return fewer clusters if there are not enough distinct clusters in n-dimensional space.
  • Iterations: how long to keep going
  • Sampling: the clustering can use only a limited number of points, and the data set will be thinned by this factor in both x and y for grids, and pick every nth point for databases. The original default should be the largest allowed. You can pick a larger value of this parameter to speed up operations, but not a smaller one.
  • These options can greatly slow operations.
    • Scatterplots by cluster: get 2D graphs from each pair of variables, colored by cluster.
    • Scatterplots by mask:
    • Histograms by cluster, colored by cluster
    • Histograms by mask
  • Create grid: put the classification into a grid.
  • Classification distance power: the Euclidian distance uses the the square, but other powers can also be used. The larger the power, the greater the effect of single outliers.
  • Clustering Delphi code from Fred Edberg

Last revision 8/23/2023


Command line conversions

Command line conversions and output creation

Option | Command line, mandatory parameters | Optional parameters | Notes
DEM to GeoJSON-G | ?act=dem2json&in=c:\mapdata\glacier.dem | Output in same directory, with new extension .JSON
LAS to GeoJSON-P ?act=las2json&in=c:\mapdata\little.las Output in same directory, with two new files with new extensions .JSON and .JSON.BZ2
7zip used for compression
Create fabric overlay ?act=terr_farbric&in=c:\mapdata\dem.tif&out=c:\mapdata\fabric.dbf &boxsize=100 (region size)
&ptsep=100 (point separation) 		If not specified, optional parameters use values in the MICRODEM.INI file.
Create slope map | ?act=slopemap+in=c:\temp\test.tif+out=c:\temp\test_slope.tif
Create Openness maps | ?act=openmap+in=c:\temp\cop.tif+upname=c:\temp\test_up_open.tif+downname=c:\temp\test_downup_open.tif+rad=250 | +rad=250 (radius size of box in meters) | Can do downward or upward openness; give the output names must for those desired.
Create subsampled DEM by averaging ?act=resampavg+in=c:\temp\test25.dem+out=c:\temp\test_resamp.tif &proj=geo/utm/wkt (wkt has limited options)
&dx=1 (meters or arc seconds)
&dy=1 (meters or arc seconds)
&holes=0/1/2 (0, no hole filling; larger values the radius to fill)
&pixelis=area/point 		If not specified, optional parameters use values in the MICRODEM.INI file.

DEMIX resample by aggregation automates this by creating all the reference DEMs for the DEMIX work.
Create slope uncertainty map ?act=slopeuncertain+in=c:\temp\test.tif

Experimental:

  • Creates output files (3 slopes, 4 directional derivatives, 2 aspects, and a slope uncertainty map in the same directory as the input DEM)
  • Based on a paper under review
  • Same grids created in the GUI under Raster GIS, Create derivative grid, Slope error estimator
  • ?act=slopeuncertain+in=c:\temp\cop.dem+x=601+y=401 will output the intermediate results in the debub log
DEMIX criteria evaluation ?act=demix-criteria&filelist=c:\microdem\demix_criteria_files.txt
  • filelist is the full path to an ASCII file, with one full path DBF control file name per test DEM
  • requires that the test and 1" reference DEMs be on the local machine, and indexed in the Map library
DEMIX resample by aggregation ?act=DEMIX-CREATE-REF&filelist=c:\microdem\demix_resample_files.txt
  • filelist is the full path to an ASCII file, with one full path DEM file name per test DEM. This creates 1" pixel-is-area and pixel-is-point reference DEMS, and additional resolutions for high latitude COP and ALOS
  • output will be in the same directory, with standard names

Notes

  • Start from a command line, type the program name, a space, and the command line parameters:
    • microdem ?act=slopeuncertain+in=c:\temp\test.tif
    • c:\microdem\microdem ?act=slopeuncertain+in=c:\temp\test.tif
  • If not specified, optional parameters use values in the MICRODEM.INI file. When the program closes cleanly, the defaults currently set are saved to the INI file. Set the values in the GUI
  • You can also include in a batch file
  • The astute will notice that the command lines mirror the format for passing parameters to a CGI program running over the web
  • Parameter list starts with "?"
  • Parameters separated with "&" (or "+" if using a batch file, because that environment does not like "&")
  • Parameter order is not important
  • Case is not important; the program will convert all to upper case before processing
  • Supply full names of files, which should not have spaces; there is an in= and out=
  • Input can be any grid format supported by MICRODEM, but more esoteric ones may require GDAL to be correctly configured so MICRODEM can find it.

Last revised 1/24/2022


Global CMT catalog

Global centroid-moment-tensor (CMT) catalog

Options with the CMT data. Originally the Harvard CMT catalog.

The CMT method gives two focal planes, one of which is the fault plane and other the auxiliary plane. The first motions used for the CMT method do not allow a determination of which plane is which, but study of the regional geology sometimes allows that discrimination. These are FP1 and FP2, and each has a dip and strike.

Field Name | Type | Length | Explanation | Example
EVENT_ID | string | 16 |  | M122604A
MONTH | integer | 2 |  | 12
DAY | integer | 2 |  | 26
YEAR | integer | 2 |  | 2004
TIME | string | 10 | UTC | 58:50.0
LAT | float | 8 | Decimal degrees | 3.3
LONG | float | 8 | Decimal degrees | 95.78
DEPTH | float | 8 | km | 10
MB | float | 8 | Body wave magnitude mb (~Richter magnitude) | 8.9
MS | float | 8 | Surface wave magnitude MS (~Richter magnitude) | 8.9
MECH | string | 2 | Fault type (N= normal, T=thrust, S=strike slip, blank for oblique slip). Assigned by MICRODEM for color coding on maps and cross sections. |
REGION | string | 30 | Description of the location | OFF W COAST OF NORTHERN
FP1_STRIKE | integer | 2 | Strike in degrees of the first focal plane | 329
FP1_DIP | integer | 2 | Dip (from the horizontal) of the first focal plane, The dip direction is 90 degrees clockwise from the strike direction. | 8
FP2_STRIKE | integer | 2 | Strike of the first focal plane | 129
FP2_DIP | integer | 2 | Dip (from the horizontal) of the second focal plane, The dip direction is 90 degrees clockwise from the strike direction. | 83
PLUNGE_1 | integer | 2 | Moment tensor, first eigenvector | 52
STRIKE_1 | integer | 2 |  | 36
PLUNGE_2 | integer | 2 | Moment tensor, second eigenvector | 3
STRIKE_2 | integer | 2 |  | 130
PLUNGE_3 | integer | 2 | Moment tensor, third eigenvector | 38
STRIKE_3 | integer | 2 |  | 222

Data file will be cmt_fault_cent_MMM_YYYY.dbf, named for the last month with data:

  • It will download automatically if you try to open it. MICRODEM will periodically update as the Global (formerly Harvard) CMT releases new data.
  • Create data file if you want the latest files
    • Download NDK files from Global CMT project. They usually are posted several months after the earthquakes.
    • Create DBF file, from Import menu on [image] Data Manipulation form. No checking is done about adding multiple records if that data is already in the database. You will asked if you want to overwrite or append to the existing file.
    • File x:\mapdata\database\fault_cent.dbf will be created.

Citing the data

Ekström, G., Nettles, M. & Dziewoński, A. The global CMT project 2004–2010: centroid-moment tensors for 13,017 earthquakes. Phys. Earth Planet. Inter. 200, 1–9 (2012).

Last revision 4/3/2019


Display CMT Record

Display earthquake record, using either
  • ID button on the map toolbar,
  • ID button on the database table form toolbar.

This will have two additional tabs with specialized options for a CMT record.

Click on the Focal mechanism tab to bring up the focal mechanism.

Click on the Focal planes tab to see the focal planes in three formats:

Last Update: 1/15/2013


Co-occurrence Matrix

Works on two grids, which must be byte values, or two fields in a database with integer fields. The range of values must be 0 to 255.

Select the two grids, and whether you want to see counts or percentages.

While this is a complicated graphic, it can show where changes are happening.

The first grid will be along the top, and second in the columns.

This shows NLCD-1992 across the top, and NLCD-2001 vertically.

Category 11 (open water in both years) was 39.5% of the area in 1992, and 38.39% in 2001).Open water was in both years for 37.90% of the region.

Last revision 10/3/2021


Coastal Data

  • Coastal flooding: https://www.data.gov/climate/
  • Sea level rise: https://coast.noaa.gov/slrdata/

Last revision 10/20/2016


NOAA Coastal LIDAR Data

Graphical: https://coast.noaa.gov/dataviewer/?#/lidar/search/

  • Zoom in to the area
  • Use blue pencil draw icon in the upper left, and outline the box you want
  • Insure you are getting elevation data. The Landcover might be higher resolution than the 30 m NLCD in some areas. I have not tried to get imagery, but in some places they appear to have NAIP.
  • Add data sets to the cart. Insure you only get ones that say
    • LIDAR if you want the point clouds, which give you more options. You can create the DTM or DSM from the point cloud. You can also get grids from this option.
    • DEM as part of the name if you are sure that is what you want. These will be a much smaller download for the current high density surveys
  • If the files are too large, restrict the area. With lidar you should be looking at small areas in great detail.
  • Go to the cart
  • Hit next

Bulk download takes you to a page with options, but it will be less convenient than going through the cart.

Projects list: http://coast.noaa.gov/dataviewer/?dataregistry/#/coastallidar has descriptions of the layers, and you can download from the description.

Recognizing the lidar point clouds

  • Name says "Topobathy lidar" (and not DEM)
  • Size is in "Pts"
  • Gives you more options
  • Recommended for most cases

Recognizing the DEM/Grids:

  • Name says "Topobathy lidar DEM"
  • Size is in "MB"
  • Will be smaller, but give you fewer options
  • Use with caution, as you can easily create from the point cloud or get the grid output from the point cloud

Cart

  • Add data sets to the cart
  • This will allow you to get the projection you want
  • Then follow directions below for the product you are getting:
Option | All cases | Lidar Point cloud , Point output | Lidar Point cloud, grid output | LIDAR DEM
Projection | UTM |  |  |
Zone | Leave default alone |  |  |
Horizontal datum | NAD83. If you get WGS84, the vertical datum will be WGS84/ITRF94 Ellispsoid, which will probably not be useful. |  |  |
Horizontal units | Meters |  |  |
Vertical Datum | NAVD88 |  |  |
Vertical units: |  | Meters. Insure you change | Meters. Insure you change | No choice
Output product |  | Point | Raster |
Output format |  | LAZ: smaller download; will be zip and must decompress in two steps. You can Decompress after download, but you will have to get the LAStools decompressor for LAZ file and place it in the correct directory. LAS: larger download; only the decompression of the zip | Grid--Geotiff 32 bit | Geotiff
Grid method |  |  | default average should be good |
Grid units |  |  | Meters |
Fill small gaps |  |  | Check |
Grid size |  |  | Stick with the default unless you really want something different |
Data classes: |  | ALL. You must change this for every file you want to download | ALL. You must change this for every file you want to download |

Suggested settings on checkout which will vary if you picked a point cloud or lidar:

  • Get the point cloud for flexibility; you can create a grid in MICRODEM from the point cloud. If you do want a grid, get "Raster" as the output product, and pick the 32 bit Geotiff. You could also have picked the DEM in the previous step when you picked data sets.
  • Copy choices from one dataset to another by highlighting the second data set on the left, and then using the drop down box in the upper right. Check very carefully that all settings are correctly set (we have had issues with the data classes having to be set for every dataset).
  • Do not hit Next until all choices are set for all data sets. There is no back button on the next screen.

You will get emails immediatly and when the data is ready. Problems with download?

When you download, put each data set in its own directory, and carefully name it (no spaces).

  • There may be laz files in the zip when you unzip. The are double compressing to keep the lidar data with its metadata, a text file and a shapefile.
  • You can uncompress all the laz files, in multiple directories, with a single command

Tile naming conventions, geographic data

  • Tiles are named either as quarter quads or a smaller variation.
    • Quarter quad naming is YYXXXyx indicating the southeast corner location where
    • YY = integer latitude
    • XXX = integer longitude (positive west)
    • y = a letter (a-h) representing 1/8 degree of latitude (a = 0, h = 0.875).
    • x = a number (1-8) representing 1/8 degree of longitude Thus, quarter quad 42082b5 has its southeast corner at 42.125N 82.5W.
  • The scheme for smaller tiles is YYXXX_yy_xx, where
    • yy = hundredths of a degree of latitude
    • xx = hundredths of a degree of longitude Thus, tile 42082_12_50 has its southeast corner at 42.12N 82.5W.
  • Only tiles with data are included.

Bulk download option

  • By each of the projects, there is now a bulk download option
  • These can be monstrously big (one is 119 GB with LAZ compression, so likely at least a terrabyte in LAS format) and cover a very large area
  • You can set a shapefile with the tile index, and get just the tiles you need
  • Having tiled data is extremely useful for large areas
  • You can use uGet to get a list of files
  • You can also download files by name
  • This gives you only one choice of projection, so you might have to reproject
  • You can get a URL list, which you can feed to MICRODEM's downloader
  • You can get a tile index shapefile. Display it on a map, filter to just the area you want, and extract the files names in the URL field (click on field name, and choose list of unique values), and then feed that list to MICRODEM's downloader

Last revision 3/21/2023


Duck Lidar Surveys

Coastal Lidar Survey Time Series

There are 6959 profile lines done with the CRAB, between 1981 and 2007. Raw data was acquired from http://www.frf.usace.army.mil/bathy_main.shtml and converted into a 3D line shapefile.

Open DEM opens the data file(s), with a map. Change Display parameter by right clicking on the map.

Multiple DEM profiles show results from LIDAR surveys. Directions there show how to get the legend.

OpenGL 3D view depicts the beach.

Load Database on one of the LIDAR maps for 3D line shapefile with CRAB survey lines.

Filter option restricts to one of the survey lines, a particular date, or a month. In addition to the standard filter options, there are quick filter options on a second toolbar which let you pick a data, a survey line, a year, or a month.

Survey line 62 on LIDAR map. There are 249 different profiles over the time period on this line. They are all at essentially the same location, although some extend into deeper water.
Crab profile. Double click on a record in the data base table, and pick 3D shapefile profile option.
Crab profile in red and points from the LIDAR DEM in blue. Double click on a record in the data base table, and pick "Compare shape file and DEM profiles" option.

Last revision 6/20/2016


Coastlines

The best choice depends on the scale you want. For very small scales, Natural Earth vector files should work well, and has three levels of detail.

  • OpenStreetMap
    • https://osmdata.openstreetmap.de/
    • https://planet.openstreetmap.org/ (360 MB coastline for the world)
  • https://www.ngdc.noaa.gov/mgg/shorelines/ Global Self-consistent, Hierarchical, High-resolution Geography Database (GSHHG), 142 MB ,Wessel, P., and W. H. F. Smith (1996), A global, self-consistent, hierarchical, high-resolution shoreline database, J. Geophys. Res., 101(B4), 8741–8743, doi:10.1029/96JB00104.
  • US
    • https://www.census.gov/cgi-bin/geo/shapefiles/index.php has shoreline feature for the US only
    • https://shoreline.noaa.gov/data/ has some large scale options for the US
    • https://shoreline.noaa.gov/data/datasheets/medres.html 75,000 nautical miles of US coastlines, 2.5 million vertices
  • https://www.eea.europa.eu/data-and-maps/data/eea-coastline-for-analysis-1/gis-data/europe-coastline-shapefile

You must check the scale of the vectors, and whether they work for the scale you will be using.

Many of these are huge, and could benefit from being subset before use.

Many also have multiple small line segments, and could benefit from a dissolve operation.

Most of these are lines, but in some cases for islands the lines close and you can convert them to a polygon or treat them as one.

Last revision 9/17/2021


Color Database Field

  • Insure that the database contains a COLOR field. If needed, add it to a regular dBase file (10 character integer field) or to a shape file.
  • Insure option to edit a database is enabled.
  • Open database:
  • Check edit checkbox.
  • Double click on a single record to color it.
  • Pick edit button for options on coloring multiple records.

Line shape files:

  • Insure database contains LINE_WIDTH and LINE_COLOR fields. If needed, add to shape file.
  • Insure option to edit a database is enabled.
  • Open database:
  • Check the edit checkbox.
  • Double click on a single record to color it, and pick the option from the pop up menu.
  • Pick the edit button for options on coloring multiple records. You can either color all active records, or only those not already colored.
  • This coloring will be used by default when the shape file plots.

Last revision 7/13/2015


Product Gallery

Color Code Database from Numeric Field

 Color database from a numeric field

Done with the "Plot" button menu, Color code by DB field on the database table display window.

Last revision 10/6/2007


Color DB Recs

Color Database records
  • Insert
    • Insert Color Field
    • Insert line color/width fields for line shapefiles
    • Insert area color/symbology for area shapefiles
  • Color all records: all records in the display (if you have a filter active, some records in the database will not be displayed) will be colored with a selected color, line width, or fill pattern.
    • records: for point shapefiles
    • line segments for line shapefiles
    • fill pattern for area shapefiles
  • Color uncolored records: all records in the display with an empty color field (if you have a filter active, some records will not be displayed) will be colored with a selected color.
    • records: for point shapefiles
    • line segments for line shapefiles
    • fill pattern for area shapefiles
  • Color from RGB float fields
  • Color from RGB integer fields
  • Color based on field: select a field, and then the program will cycle through each unique value in that field and have you select a color. As each color is selected the records matching the criteria will be colored.
  • Color based on joined table
  • Color from Koppen category
  • Fill pattern all records
  • Fill pattern all uncolored records
  • Assign unique colors (based on the sequence within the file number)
  • Recolor all fans when edits being done for viewsheds

You can also color individual data records, after you enable edits:

  • Double click on a record in the table, and then pick "Edit record". There will be a color button at the top of the edit form if the database has a color field
  • Pick Graphical pick and edit database: and then double click on the record. There will be a color button at the top of the edit form.

You can also click on the column title, and then color that column from the popup menu.

Last revision 11/10/2017


Color Code Database from String Field

Done with the "Plot" button menu, Color code by DB field on the database table display window.

Pick the field to use, which can be a string or integer; The label to the right will show the number of categories.
Label options

Caption title for the legend.

Bottom panel controls:

This map shows buildings for a polygon shapefile, with the names labeled and a color coding with legend.

Last revision 1/11/2017


Colors From Grid Categories

Use the VAT Grid display option instead.

    Option on Modify menu for DEM/grid

    Each unique value in the grid will have its own color.

    Pick a limit, and each category whose percentage of the area exceeds the limit will appear in the legend.

    This is Landfire Existing Vegetation Type.

Last revision 3/14/2010


Color Merge of Two Grids

Select from the menu or toolbar for the grid to be on the bottom, which in this case is [image] Global topography near the Mid Atlantic Ridge. This grid should probably be a grayscale Reflectance map.

Manage Overlays

  • Pick the second grid, in this case the rock types. Sediment thickness is also a good choice, The grid must already be open.
  • Adjust opacity.
    • High values will let none of the lower grid show through.
    • Right click on map, and pick overlays
    • Used sliders on the 2d DEM/grid panel

OpenGL 3D view can show this map in 3D

Last revision 2/8/2021


Color Based on DB Field

From Color popup menu when "EDIT" button is pressed on the database table form. You must have already put in a COLOR field for this option to appear.

Pick the field to use. You should insure that there are a reasonable number of unique entries in this field, as you will have to pick a color for each.

The program will then cycle through all the categories in the field you selected. The status bar for the main program window will show:
  • Progress (in the screen shot, it is on category 1 of 21)
  • Name of the category (you can also get the name form the database table, which will be filtered)
  • The existing color, if any, will be the default choice.

The status bar for the DB will show the number of records in the category.

If one of the fields in the DB is NAME (you can rename a field to this), it will have the color shown.

Last revision 10/22/2010


Color Palettes

The program has two palette files, stored in the directory with the program executable.

Choose from the elevation map options form.

  • Pick either fixed or stretched color palette
  • Select the palette from the name in the PALETTE field.

Scaled or stretched palettes

  • Select the palette from the name in the PALETTE field.
  • The scheme uses even divisions across the elevation range.
  • All colors will be used, stretched to color the min and max values in the data, or other values you can select manually.
  • N is the number of colors in the palette

Fixed palettes

  • NAME field will be used for legends.
  • Currently for
    • Geologic time
    • NDVI
    • dNBR
    • Your own palettes

Each color in a palette must have the same unique PALETTE name, and the colors must progress in sequence from low to high.

Online tools to create and explore palettes

  • https://sciviscolor.org/home/colormoves/
  • http://vrl.cs.brown.edu/color

To add a new palette:

  • Edit the palette file (say in Excel), located in c:\microdem
  • Match the rules and structure of the existing entries
  • Save the file as CSV
  • Open database without map for the CSV file in MICRODEM

Colors marked "ColorBrewer" used by permission from Cindy Brewer (https://colorbrewer2.org ).

Additional color palettes from http://geography.uoregon.edu/datagraphics/color_scales.htm (link no longer working)

  • https://www.kennethmoreland.com/color-maps/ 33 and 257 color palettes in CSV files, and an Excel spreadsheet to create your own
  • https://github.com/BIDS/colormap/blob/master/colormaps.py
  • https://github.com/holoviz/colorcet has a large number of color sets, with values 1 to 256, with floating point RGB values
  • https://colorcet.com/gallery.html has a number of color sets; the circular ones have the name CET-Cn. Peter Kovesi. Good Colour Maps: How to Design Them. arXiv:1509.03700 [cs.GR] 2015
  • https://www.nature.com/articles/nmeth.1618 8 step color blind palette
  • https://www.fabiocrameri.ch/colourmaps/
  • https://zenodo.org/record/5501399#.YtbDmnbMJpI from Crameri (references below)

Guidelines for color palette design, with web tools to see results:

  • http://colorbrewer2.org/
  • http://colorusage.arc.nasa.gov/ColorTool.php
  • http://kuler.adobe.com/
  • http://vrl.cs.brown.edu/color
  • https://matplotlib.org/stable/tutorials/colors/colormaps.html

Color blind

  • https://personal.sron.nl/~pault/
  • https://thenode.biologists.com/data-visualization-with-flying-colors/research/
  • https://www.nature.com/articles/d41586-021-02696-z
  • Wong, B. Points of view: Color blindness. Nat Methods 8, 441 (2011). https://doi.org/10.1038/nmeth.1618
  • https://medium.com/cafe-pixo/inclusive-color-palettes-for-the-web-bbfe8cf2410e

Published papers

  • Zeller, S., and D. Rogers (2020), Visualizing science: How color determines what we see, Eos, 101, https://doi.org/10.1029/2020EO144330 . Published on 21 May 2020.
  • https://eos.org/features/the-end-of-the-rainbow-color-schemes-for-improved-data-graphics A. Light and P. J. Bartlein, 2004, The End of the Rainbow? Color Schemes for Improved Data Graphics: EOS, Vol 85 Num 40.
  • Crameri, F. (2018). Scientific colour maps. Zenodo. http://doi.org/10.5281/zenodo.1243862
  • Crameri, F. (2018), Geodynamic diagnostics, scientific visualisation and StagLab 3.0, Geosci. Model Dev., 11, 2541-2562, doi:10.5194/gmd-11-2541-2018
  • Crameri, F., G.E. Shephard, and P.J. Heron (2020), The misuse of colour in science communication, Nature Communications, 11, 5444. doi:10.1038/s41467-020-19160-7

Last revision11/16/2022


ColorBrewer

We gratefully acknowledge the color schemes developed by Cindy Brewer.

Copyright (c) 2002 Cynthia Brewer, Mark Harrower, and The Pennsylvania State University. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Redistributions as source code must retain the above copyright notice, this list of conditions and the following disclaimer.
  2. The end-user documentation included with the redistribution, if any, must include the following acknowledgment: This product includes color specifications and designs developed by Cynthia Brewer (http://colorbrewer.org/). Alternately, this acknowledgment may appear in the software itself, if and wherever such third-party acknowledgments normally appear.
  3. The name "ColorBrewer" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact Cynthia Brewer at cbrewer@psu.edu.
  4. Products derived from this software may not be called "ColorBrewer", nor may "ColorBrewer" appear in their name, without prior written permission of Cynthia Brewer.

The colors database now includes other color schemes as well.

last revision 11/12/2016


Command Line Parameters

MICRODEM accepts the following command line parameters. They are not case sensitive.

  • -EXPERT: forces the program to come up in the standard mode
  • -GEOLOGY or -BRUNTON: option tailored for structural geology.
  • -MINIMIZE: open minimized
  • -NOAUTOOPEN: ignore automatically opening a data set; useful if some combination of map options causes a crash.
  • -RESET: reset the program defaults
  • -DEBUG: turn on the debug log
  • -NODEBUG: turn off the debug log
  • -RESET: reset all program default settings

Command line conversions

Last revised 1/24/2022


Commercial DEMs

Most of these are created with stereo imagery (a few with radar), and they will be DSMs and not as good as lidar.

  • AW3D: http://www.aw3d.jp/en/ worldwide at 5 m, some areas at 0.5/1/2 m
  • SPOT 20 m http://cms.mapmart.com/Products/DigitalElevationModel/SPOTDEM.aspx
  • WorldView: http://cms.mapmart.com/Products/DigitalElevationModel/HIDEMWorldView.aspx 1 m DSM, 5 m DTM
  • Solutions from AIRBUS
    • Elevation 30: 30 m (1 arc second), from stereo Spot imagery: http://www.intelligence-airbusds.com/elevation30
    • WorldDEM (commercial TANDEMX, radar)--http://www.intelligence-airbusds.com/worlddem/ 12 m raster, DSM and DTM. Samples
    • Elevation 8: SPOT 6/7 stereo and tri-stereo, http://www.intelligence-airbusds.com/en/5409-elevation8
    • Pleiades high resolution DEMs, 1 and 4 m: http://www.intelligence-airbusds.com/en/4365-pleiades-high-resolution-3d-dems
    • WorldDEM™ Neo, our next level of Global Elevation Models which will shortly be joining the Airbus Elevation portfolio.
  • Aggregator selling about 10 DEMs: Digital Elevation Models - Apollo Mapping | The Image Hunters

Last revision 5/1/2023


Common GIS Operations

Field 1 | Field 2 | Field 3
Record 1 |  |
Record 2 |  |
In a data base displayed as a table, rows contain records and columns contain fields (or attributes).
  • A ccumulated cost surface
  • Address geocoding
  • Bounding box
  • Buffering
  • Join/Link databases
  • Least cost paths
  • Neighbors
  • Weapons fan/viewshed

Last revision 11/21/2010


Compute Fan Coverage

Option on viewshed toolbar.

Pick an open area shapefile, which must have a solid pattern on the map. If you pick a line shapefile, the program will use the line width as a surrogate for the computations.

After each sensor's name is the percentage of the target region covered. Because of possible multiple coverage, these could sum to more than the total coverage.

last revision 4/18/2017


Compare Two Point Clouds

This could be used:

  • Point clouds at different times, to compare differences
  • Original point cloud, and recreated point cloud from vegetation density grids
  • A special case compares different classifications of the same point cloud

LIDAR Point cloud and open the first point cloud.

Compare tab to open the second cloud. From here you can compare:

  • Map views, including rapid toggling between the two clouds.
  • Slice views, including rapid toggling between the two clouds.
  • OpenGL views.
Map view:
  • Left is original classified LAS file.
  • Right is vegetation LAS recreated from Vegetation density voxel grids. Buildings show up as anomalies, and the density of ground points is much less.
Slice view
  • Top view is original LAS point cloud, with minimal classification.
  • Bottom view is a LAS file recreated from the vegetation density grids.
Slice view
  • Top view is leaf-on, bottom is leaf-off two months earlier.

Animation of two point clouds,
  • original classified
  • recreated from the vegetation densities
Multiple profiles through two DEMs created from snow covered and snow free conditions. The grids are floors in the point cloud, which show spikes on tree trunks.

Last revision 6/4/2015


Compare Classifiers

Compare Classifiers matrix (currently disabled)

Matrix shows agreement between two classifications.

To run, the two LAS files must have the same number of returns. MICRODEM will compute the distance between the x-y coordinates in the two files, and if any are greater than zero, will report the number.

To classify points, you could try lastools or mcc.

You might want to reclassify one of the files in case it uses different categories, such as for vegetation.

Last revision 5/16/2017


Compare Point Clouds

Tab of LIDAR point cloud analysis .

Classification algorithms

  • Load point cloud into memory: loads the point cloud, and includes the classification from the second point cloud.
  • This can be used for
    • Plot: how to color for plotting the point cloud with the two classifications. This should be very fast, and immediately redraws.
    • Slice will use the same coloring scheme.
  • Matrix: creates matrix showing how points classify in the two schemes.

Last revision 7/16/2015


Compatible Grids

Compatible DEMs or grids are exact copies in terms of grid size and spacing, and corners. They must both be either UTM or lat/long.

Last revision 6/15/2007


Compressed Data

There are two types of compression:

  • Lossless. If you cannot tolerate changes in the data, it must be lossless. Some kinds of files, like text, can still get very good compression. Examples include the DOCX and PPTX formats for Microsoft Office, or the LAZ format for Lidar point clouds which reduces file sizes to 10-20% of the original.
  • Lossy. If you are willing to trade some data quality for additional compression, lossy compression works. Examples include DVDs, MP3 and other music formats, and JPEG photos. Mapping examples include PEG2000.

Compression of GIS data often uses standard Windows ZIP compression, but often uses Unix TAR and GZIP.

Last revision 12/4/2022


Computations

Chosen from Analyze menu.

Select computation you want, parameters required, and hit the "Compute" button.

Alternatives:

  • Other ways to measure distance.
  • Sunrise-sunset on main program toolbar to create graphs or sunrise table.
  • Moonrise/moonset

Last revision 7/13/2015


Computer Data Types

The computer has different types of data, each with different properties:

  • Integer--whole or counting numbers. Since the computer stores in binary, it is easier to store integers compared to floats, and they take less storage.
  • Float (or floating point or real number)--numbers with a decimal point. These are actually stored with a mantissa and exponent, and will never be exact: 2 will be 1.99999999 or 2.00000001. (√2)² will often not be 2.
  • String or character--just text, can include numbers. In GIS you cannot do arithmetic on strings.

When a vector data database is created, each field will have a specific type which limits what you can do with the database. For instance, if your enter "14495 feet" as the elevation for Mount Whitney, the computer will store it as a string, because you cannot mix the number with its units. You cannot do arithmetic with that data, or color it by elevation since the computer cannot compare "14495 feet" and "13298 feet". One solution is to put the units in the field name--this could be ELEV_FT. The other option is to force the user to look up the units in the metadata that should accompany the database.

Raster data sets also have types; the values in the grids can be stored as integers or floats. This determines the precision of the values, and the required storage.

Last revision 7/22/2015


Coastal National Elevation Database (CoNED)

The USGS CoNED Project integrates disparate light detection and ranging (LiDAR) and bathymetric data sources into a common database aligned both vertically and horizontally to a common reference system. The resolution on land is generally much better than in the water.

https://www.usgs.gov/core-science-systems/eros/coned

1 m data

Limited coverage, but includes Chesapeake Bay

The files are very big, so consider carefully the areas you select. You will need GDAL to use them.

https://www.usgs.gov/core-science-systems/eros/coned

Viewer and download:

  • https://topotools.cr.usgs.gov/topobathy_viewer/
  • Data download is the last button on the top above the map.
  • Pick box
  • You will get an email when it is ready to download

https://coast.noaa.gov/dataviewer/#/

  • Can do bulk download of the tiles. There are a lot, and they are big.
  • This might be 1/9, which is slightly lower resolution, but that also makes the files much smaller
  • Can outline a subset box, put in the cart, and then have them send you an email. You must pick the projection parameters (go UTM or geographic)

Last revision 9/29/2023


Contour Map Sampler

Contour directions

Contour map, with Chroma Depth color contours.
Contour map, with terrain color contours.
Contour overlay on Reflectance map.
Alps Map Example, with several examples with contours

Last revision 11/26/2017


Convergence Index

The convergence index computes ridges and valleys. We are not adjusting for the diagonal angular spacing of arc second DEMs not being exactly 45 degrees.

Accessible References:

  • Thommeret, Bailly and Puech (Geomorphometry 2009)
  • Kiss, R., 2004, Determination of drainage network in digital elevation model, utilities and limitations Journal of Hungarian Geomathematics, vol.2, p.16-29.

Original reference in German, 1993 and 1994 papers by Köthe and Lehmeier, SARA—ein system zur automatischen relief-analyse.

Last revision 6/4/20 10


Converting SPCS Shapefiles to Lat/long

Data Manipulation, then the Resample/Reproject Shape file menu.

  • You must correctly pick either a point database, or a line/area shape file.
  • Pick the state, and the correct zone if the state has more than one, and the horizontal units.
  • Pick the shape file to convert.
  • Pick a name for the converted shape file. Appending an "-ll" for "lat/long" can be helpful as the original file is not changed. You can delete the original file when you are sure you got the conversion correct.
  • Pick the state and zone if required. If the state is not listed, you picked the wrong projection type.
  • Select database field with SPCS easting (x coordinate).
  • Select database field with SPCS northing (y coordinate).
  • The file will be converted.

Last revision 8/8/2007


Coordinates Tab

Coordinates (Coords) Tab

This tab is on the options form, brought up from the Options menu selection.

  • Dual elevations: elevations are always displayed in meters; you can also display them in feet.
  • Both datums when roaming--show the location on both the primary and secondary datums, set on the maps tab.
  • MGRS and Lat/Long when roaming--show both sets of coordinates.
  • Keyboard selection for target run
  • Satellite image coordinates: display the image coordinates
  • Verify graphical selection: allows precise selection of locations.
  • Verify, either graphically or by keyboard
  • Show roam on all maps--when you roam, you location can appear as a cross on all open maps.

Last revision 5/20/2008


Copernicus DEM

Copernicus DEM:

  • nominal 90 m, 30 m, 10 m (actually arc second spacing)
  • 30 m and 90 m freely available. The intention of the f&o license negotiated with Airbus ( see here pages 15-17 ) was to come as close as possible to the general Copernicus licensing policy, which in a few words means: after registration as a user and acceptance (Art. 1) you can essentially do with the data what you want (Art. 4) as long as you ackowledge the source (Art. 6).
  • Avoid the DTED version (integer is much worse than floating point elevations)
  • Validation report: https://spacedata.copernicus.eu/documents/20126/0/GEO1988-CopernicusDEM-RP-001_ValidationReport_V1.0.pdf/edc88601-897e-82df-5604-b6b60cbecb57?t=1586527010843
  • AIRBUS (2020) Copernicus DEM: Copernicus Digital Elevation Model Product Handbook RFP/RFI-No.: AO/1-9422/18/I-LG, Version: 2.1. Available online at https://spacedata.copernicus.eu/documents/20126/0/GEO1988-CopernicusDEM-SPE-002_ProductHandbook_I1.00.pdf/082dd479-f908-bf42-51bf-4c0053129f7c?t=1586526993604
  • https://spacedata.copernicus.eu/fr/dataset-details?articleId=394198

EU LAEA DEM

  • Precursor to Copernicus
  • https://ec.europa.eu/eurostat/web/gisco/geodata/reference-data/elevation/eu-dem/eu-dem-laea
  • Multi-GB zip files, which uncompress to a multi-GB tiff, which QGIS did not much like (so subset immediately)
  • The LAEA projection is not very standard
  • Probably only useful if you absolutely need a DEM in this projection (to map other EU data)

The names for the DEMs have a lot of variability.

“CPP10_DGED” and “CPP10_DTED” are the Package names for version 2019 of the 30m product

“CPP30_DGED 20” and “CPP30_DTED 20” are the Package names for version 2020 of the 30m product

The 2020 version substitutes the 2019 version. Use 2020 always where available. Discrepancies between both versions are not due to time update, but to improvements in the product.

There is also now a 2021- version

Determining the version is not easy.

The dates of the image acquisition for the DEM are in the Copernicus_DSM_10_N28_00_W018_00_SRC.kml file in the Preview directory. For the La Palma island (Canaries, Spain) this was over about 2.5 years fron 2011 to 2013.

This is changing very rapidly, and might not be current. The suggestions are based on my personal experience, and hopefully the download will get easier.

The easiest way to get the Copernicus, though not without some caveats, is from OpenTopography (Directions)

  • Tile level metadata will be stripped out. For most users, this will not be significant, because the metadata is hard to use.
  • The overlapping rows and columns will be stripped out. For most users, this will not be signifcant.
  • Raster bulk downloads use AWS command line. If you want the complete data set and have the disk space and download capacity, this is the best option at present.
  • Graphical selection browser
    • For the latitudes where the longitudinal spacing changes from 1", the data will be reinterpolated to 1"x1" when you use the cookie cutter option. This will affect some options, like slope.
    • File names are not helpful
    • Limit to size you can get

AWS had the COP data, at https://registry.opendata.aws/copernicus-dem/

  • It has 3600x3600 pixels in the 1" data, trimming the overlap rows and columns
  • It has 3600x3600 pixels at all latitudes, meaning elevations have been interpolated.
  • It says it is pixel-is-area
  • It shifts the origin a half pixel in each direction
  • This is some but not all of the changes done by Open Topography (above)

New download

  • login with user account
  • https://explore.creodias.eu/
  • Have to pick the sensing or production date
  • Download did not work 3/23/2023

Old version, no longer being updated: Downloads at https://finder.creodias.eu/

  • login with user account
  • Pick collection (COP-DEM), Instance (GLO-30), and Product Type (DGED_PUBLIC)
  • Select polygon (lower left)
  • If you upload a KML outline, it will not change the map until you select "Search" (very bottom left)
  • Search products
  • Download directions: https://creodias.eu/-/how-to-order-products-using-finder-api- (all Greek to me)
  • Download options
    • One at a time, so this is only feasible for small areas
    • Zip names look like: DEM1_SAR_DGE_30_20110423T040654_20121013T041307_ADS_000000_kTTf.DEM.zip which are more or less random from what I see
    • Unzipping gets folder that looks like: Copernicus_DSM_10_S27_00_E019_00, which has the location of the SW corner
    • The DEM itself will be "Copernicus_DSM_10_S27_00_E019_00_DEM.tif", about 50 MB for the 1 sec DEM, in a folder with a total size of about 104 MB.
    • Copy as paths/urls does not produce an ASCII result
    • Add to cart option is not available

Everything below here may or may not still be valid. It is still here in case things change (again) and you have to go looking. I look forward to deleting this because the access has become simpler, but until then this might be helpful

  • The main entry point to the data is the Copernicus Space Component Data Access PANDA Catalogue: https://panda.copernicus.eu/ which has a graphical interface. You can download indiviudal files, but you must be careful to figure out which files you want and can only see a few at a time.
  • 3" data only
    • https://ec.europa.eu/eurostat/web/gisco/geodata/reference-data/elevation/copernicus-dem/elevation has 10x10 degree tiles of the 3" data for download from a graphical interface
    • https://gisco-services.ec.europa.eu/dem/copernicus/ has two folders with the 3" data in 10x10 degree tiles. outD has the DEMs, and outA auxialliary data. You can get the text of the web pages, which has the relative paths to all the data, combine that with web address, and then do a bulk download. Files named like 10_DEM_y-10x-20.zip

Other Key Global Regional DEMs

Last revision 8/9/2023


Copy Records Between Databases

  • Double click on a record in the data base
  • Pick "Copy point coordinates to clipboard"
  • Insure Edit is enabled in the second data base
  • Pick Edit button
  • Pick "Insert record from clipboard"
  • This will copy NAME field, and for points the Lat/Long fields, and for lines/areas the coordinates and the bounding box .
  • Edit any other fields in the
  • Pick "Post"

Last revision 12/20/2009


Copy Coordinates for Registratio

Copy Coordinates for Registration

To get image coordinates, right click on the image window and pick "Copy image coordinates to clipboard"
To get ground coordinates (Lat/Long),
  • double click on record in gazetteer or other database, and pick "Copy point coordinates to clipboard".
  • right click on any registered map, and picking "Copy image coordinates to clipboard" .
Double click on the record to update in the registration database, or select "Next Point" to add a new one.

Insert either the lat/long (and POINT name) or the image coordinates.

Last revision 2/15/2014


Corine Land Cover

The CORINE Land Cover (CLC) inventory was initiated in 1985 (reference year 1990). Updates have been produced in 2000, 2006, 2012, and 2018.

https://land.copernicus.eu/pan-european/corine-land-cover

Includes Turkey and Cyprus

You must sign up and register for a password.

Must resample the TIFF files with GDAL, to get 467 MB files for the 250 m version and 2.8 GB for the 100 m version which will have problems. You can subset with QGIS.

You will have to deal with the EPSG:3035 projection, a Lambert Azimuthal Equal Area.

Last revision 5/15/2019


Compute Correlation Matrix

  • From Field correlations option of Stats button popup menu on table display window .
  • Raster GIS, Grid correlations menus choice
  • Correlation matrix option on Analyze menu.
  • Open a CSV file.
  • Set a DBF file with the color scheme to use, or if you Cancel that, coloring will use the extremes in the data set.
  • Font: select font to use.
  • CSV: export as a CSV file.
  • HTML: export as an HTML table.
  • r²

Select Highlight button on the top of the form to display only correlations with an absolute value above the edit box to the right of the button. This makes it much easier to see significant relationships. Variables with no significant correlations with other variables will be hidden.
Field | Positive Correlation > 0.90 | Negative Correlation < -0.90
ELEV_AVG | ELEV_MAX |
S2S3 |  |
OPEN_DOWN |  | OPEN_UP
 Text highlights. Creates table that displays only those correlations with an absolute value above the edit box to the left of the button. This makes it much easier to see significant relationships.

Diagram.

Select the fields to use. You will have a chance to paste them into a list, or rearrange them.

Graph:

Last revision 5/7/2011


County Outlines

County Outlines and Generalization

Generalization is the process of taking complex lines and making them simpler. They will draw faster, take up less file space, and if done well, will not be distinguishable at the the selected scale from the higher detail original data.

These examples show Anne Arundel County, MD, part of whose boundary is the Chesapeake Bay.

TIGER,

  • Tiger downloads
Get Geographic areas, Counties and equivalents
69 MB zip download, entire US

Boundaries in the center of the Chesapeake Bay
Tiger cartographic boundary files,
http://www.census.gov/geo/maps-data/data/cbf/cbf_counties.html
         Generalized 500K (8.8 MB zip, entire US)
This is probably the best bang for the buck, since it is reasonably small, and does not include a lot of extra water along the edges.
Tiger cartographic boundary files, http://www.census.gov/geo/maps-data/data/cbf/cbf_counties.html | Generalized 5M
Tiger cartographic boundary files, http://www.census.gov/geo/maps-data/data/cbf/cbf_counties.html | Generalized 20M (1.3 MB zip, entire US)
SW corner of Anne Arundel County, with the 4 boundaries.

The generalized 500K and the detailed TIGER map are very similar at this scale. The big difference comes on the Chesapeake Bay, where there detailed map goes down the center of the bay, and the 500K follows the coastline. You would have to carefully consider which worked better for your purposes.
Coastline of Anne Arundel County.

Note the detailed TIGER data in the center of the bay, and and three generalized data sets indistinguishable generally following the coast. Note also that one island in the NE corner of the map is bisected by the generalized coastline.

Added coastlines from the National Map. This is a 4.5 MB download (which requires Unix Tar/Gzip decompression). Whether this improves on the Tiger data is up to the user. It is more complex, but maybe not more accurate.

Suggested choices:

  • If the county has only long straight boundaries, all will be about equal except for the file sizes since there is little to generalize, and none of the files will have many points for each segment.
  • If the county has curved boundaries like a river, either the detailed map or the 1:500K generalization will be about the same, but the generalized file will be about 1/8 the size.
  • If the county has a coastline, you will have to consider which you want, following the coast or in the center of the water body.
NED along the Arizona-Mexico border. The terrain in Mexico is from the 250K DEM, which grossly simplifies topography, and the change in resolution shows the boundary.

National Atlas. Note that this does not match the topography from NED.

Census Bureau Note the much better match with topography.

Both files are essentially the same size (about 13 MB for the three files making up the shape file).

The USGS National Boundary Dataset (NBD) Downloadable Data is organized by state.

last revision 1/9/2019


Create/Index Menu

Menu on [image] data manipulation form with options to:

  • Map library
  • TIGER index update: cycle through all the data in the TIGER directory and its subdirectories and create the data base.
  • Vertical datums: select all the TIFF files with a vertical datum transformation grid (for instance from PROJ downloaded via OSGEO4W) and create a database with the bounding box for each of the grids.

Last revision 10/2/2022


Create DTM from Point Cloud

DTM creation steps

last revision 8/6/2012


Create Grid from Point Database

Option on Report menu of database table form.

Makes grid with the same extent as the open map, and a projection and pixel spacing selected.

  • Values from DB: the grid point closest to the record will get the value.
  • Radius from DB: all points within the radius specified by the RADIUS_M field will get the value.
  • Box: specify a radius in m, and all points will have the value of the point.
  • Specify code: all points in the database will have the specified code attached.
  • Point density: specify a grid size in meters, and the program will create a grid with the number of points in each grid cell.

For the first three options, you will pick the fields from which to create the grids, and the value of the field will be placed in the grid.

This uses a drop in the bucket algorithm. If multiple points would plot at the same location, the value of the last will be the one that appears in the grid.

Last revision 8/15/2022


Create HTML for KML Display

Create an HTML file with text, graphics, and other standard features such as a reference list. If you do not know how to use any other HTML editor, you can use MS Word or OpenOffice Write (if you use Google Docs, see below, and start early). These are certainly not optimal HTML editors, and create bloated HTML code. But if you just want to create HTML without the bother of learning something else, they will work.

  • Make the first two lines in the document something that will make sense when it is put into th table of contents in Google Earth (see examples below).
  • Keep the formatting very simple, since the output will go through several encodings before the final users see it. You also have limited space as displayed by Google Earth.
  • Figures
    • Put the figures in the text (use the "In line with text" format option), the captions as a line of text below them, and do not try to wrap text around the figures or tables, or use multiple columns.
    • Make sure there is a blank line after every image. A good way to insure this is to have a figure caption or explantory text between all figures.
    • Do not try to put two figures side by side, unless you use Paint to merge them into a single image (so then you do not have Fig. 1 and Fig.2, but Fig.1a and Fig.1b).
    • Do not use text boxes for the captions, or use the Word option to insert captions.
    • Word used to degrade the quality of the graphics. If they are too small for your taste, or the quality is insufficient, you will have to use an HTML editor. This is now much less of problem.
  • No footnotes
  • Avoid the following characters: &, >, <, ", and probably any other special symbols.
  • Save the file as a word processor document. If you want to edit it later, use the word processor document and not the HTML.
  • Sometimes Word is not helpful. You should consider saving multiple versions of the file, stamped either by time ("project_Wed_0900") or version number ("project_v1").
  • Save the file in a directory where you will create a point database, using the save as Web page/HTML option. Use a file name that has no unusual characters (in particular no spaces), only letters, numbers, and the underscore character. Make sure the directory name (complete path) has no spaces. Try something like c:\temp, perhaps in a new subdirectory with nothing else. Use CamelCase or underscores if you want.
  • Remember that only image names are included in the HTML file, and not the images. If you want to move the HTML file, you must also move the images in a correct manner--the best solution is not to move anything after you save as HTML, or move the entire directory. The program must be able to find the images when it packages up the KML file. The images will be in a subdirectory in the folder with the HTML file.
  • Check the HTML file by viewing it it a web browser. If there are problems you should fix them in Word, which will allow you to edit the HTML file.
  • MICRODEM will strip out some of the worst of the Word HTML code bloat when it puts the files into the KML file. You can turn this off (options form, Web tab, KML options) but the HTML display in Google Earth might not like the Word specific HTML.
  • You must close the file in Word before moving to convert it to KML in MICRODEM.

Title in Google Earth

For its Table of Contents, Google Earth will take the first two lines of your HTML document (which will also be the first two lines in the Word Document).

Here, the first project (Eastern Nepal) actually actually created four documents, which each getting its own line in the CSV file and its own symbol on the map, and each has two lines that make sense highlighting. The last two could probably have put something more descriptive.

If you want to include an animated GIF:

  • Word will output a single image from the GIF, in GIF format. You can recognize it if you view the thumbnails for the images.
  • In the images folder for the export, replace the GIF image for the single frame from the animated GIF movie (flooding, OpenGL rotation, annual climate cycle, others) with the complete file. You must use the same name given by the Word export, so you will have to rename the file.
  • You can also edit the HTML in an HTML editor, but if you can do that you would probably not be using Word to create the HTML.

If you want to use Google Docs, start very early and be ready for problems

  • Create the document
  • Make sure that EVERY carriage return is done twice, and that you have a real blank line on either side of every image.
  • File, Download, Web page (html, zipped)
  • Move the zip file (or download it there in the first place) to a directory with nothing else
  • Unzip
  • The file will have an HTML extension (not just HTM), and the images will be in an "images" folder.
  • Some students experienced severe problems with this HTML file, before covid. This may be solved, as Nov 2021 testing showed no problems with a carefully created document. Web editors like MS Expression Web 4 open the file as a mass of overlapping images and text. The HTML itself is miserably formatted, making it very hard to parse to see what the problem is. MICRODEM cannot turn it into a KML file. To resolve, you must open in Word, and resave the HTML, which removes whatever evil Google did. If it is not working, do a search and replace (look for ^p, and replace with ^p^p; ^p is ¶ which old timers grew up with in Word).

Last revision 12/8/2021


Create Point KML File

Create CSV file (complete directions)

  • In Excel or OpenOffice (or even Notepad/Wordpad).
  • Need at least the following fields. Name them with less than 11 characters, only 0-9, A-Z, and "_" (underscore). Do not use any commas, and text fields must be less than 255 characters long.
    • LAT: must be in decimal degrees
    • LONG: must be in decimal degrees, negative for the western hemisphere
    • NAME: optional, but the points will have this as a text label
    • ICON: optional. If present, and the name of a GIF or PNG file present in the directory c:\mapdata\icons, the points will use this icon to show the location.
  • Save as CSV format (values separated by commas, although tabs or spaces can also work)

Open in MICRODEM

  • Open database. This will convert the CSV file into a DBF file, which is the standard for GIS. The LAT/LONG will be in the DBF. You can also create a point shapefile on the Report tab. This is the more standard GIS option, but requires care because you must keep the multiple files of the shapefile together.
    • Open database without map on Main Program Toolbar. Simplest option, does not show the database on a map.
    • Database on Map window toolbar,
    • Open shapefile map on Main Program Toolbar
  • Select Report button on database table form.
    • Quick KML/Google Earth export: should work in most cases.
    • If the database table is not in the popup, you can turn it on the KML export options on Web tab of options form, brought up from Options program menu selection.
    • Deliberate KML/Google Earth export: provides you much more control, at the price of having to make a lot of choices.
    • File will be saved in c:\mapdata\KML, but it is easier to save in Google Earth

Google Earth opens automatically. The allows anyone with Google Earth to see your data in a simple, intuitive interface. They can combine your data with the Google imagery, vectors, and any other KMZ files.

  • Simple edits in Google Earth.
  • Save as KMZ file (right click in table of contents, and select save as). This is the KML file and any associated images, in a single compressed file that avoids broken links.

Last revision 5/11/2012


Create Mask From Grid

Option on the Raster GIS menu.

Change the Z values for the mask. The program shows the values, and the percentiles that they represent within the grid.

Plot shows the effect.

Export grid creates a new grid, with the value you want. All other points will be 0.

Masking by category. This allows edits of the DEM/grid based on category membership. This will be in memory; to save, you must save the DEM/grid. Reload the DEM/grid to undo the mask.
  • Mask cat in: in the DEM/grid, all points that meet the single category will be retained, and all others removed.
  • Mask cat out: in the DEM/grid, all points that meet the single category will be removed.

Last revision 6/11/2020


Create Points File

On Report option of database table form.

Creates a new, points database with the requested number of records for each record in the shapefile.

Along lines, by number or separation

Lines shape file

Database must have "NAME" field, which will be used in the new database.
Two options

  • Along lines (by number): must have "NPTS" field for each record which will control the number of evenly spaced point records added along each line segment.
  • Along lines (by separation): select the separation in meters, which will be the same for all records.

Options:

  • Include first point
  • Include last point (partial distance): the last point might be a different distance apart from the others
  • Include turn waypoints (partial distance): if you force the waypoints to be included, not all points will be the same distance apart

In polygons

Area shape file

Database

  • must have "NAME" field, which will be used in the new database.
  • must have "NPTS" field for each record

The points will be randomly distributed in the polygon. Graphically drag them (Edit, Graphically move points) if you want a more even distribution, or to match the imagery.

All points in line, with XYZ

  • Need DEM. This uses a lidar NVS; you could also uses a DTM
  • Open two shapefiles with roads
    • TIGER
    • OpenStreetMap
  • Filter to just the road or roads you want
  • Pick option
  • While they generally have the same location, one swings wide around the curve near the top right
  • Where they are different, the elevations can be different, for instance where a car affects the NVS

If you have a points shapefile, turn it into area/line shape file from points.

Last revision 4/4/2018


Create Registration File

  1. REG File button, which will also automatically save the registration points.
  • TIN Mapping: any map will work as long as you enter enough control points. This uses all the registration points entered.
  • Simple registrations
    • "UTM world": requires that UTM grid lines are lined up north-south and creates a world file. If this is a valid choice for your data, "Geo" is not valid. For many data sets, neither choice is appropriate.
    • "Geographic world": requires a lat/long graticule lined up north-south and creates a world file. If this is a valid choice for your data, "UTM" is not valid. For many data sets, neither choice is appropriate.
    • Find optimal rotation registration: this will consider all combinations of three control points, and show you the average registration error and the maximum with the points considered as verification of the results. The three points with the smallest average error will probably produce the best rotation registration results.
  • Shift prime meridian: move all the longitudes, for instance in you are doing "quad map" and the map uses an old Prime Meridian. You can enter an arbitrary shift, or use the Ferro value.
  • Lat/long Graphs
  • Export map for Google Earth. This will create a KML or KMZ file and open it in Google Earth. This file will be stored in "c:\mapdata\kml" in a new directory, but you can save it from Google Earth with a name you want and a location where you can easily find it. You can overlay this file on a map (like a DEM) with the Overlay, Imagery (KML, KMZ, world files)
  • Reproject map: This will create a Geotiff.
  • Insure the Datum and UTM zone are correct. If not, select the Datum button and correct them.
  • The first three options (world files and rotation) use only the first three registration points. Those points would ideally be in three corners of the map; they should be as far apart as possible, and as far from being on a straight line as possible. Any points beyond three will be used to estimate the accuracy of the registration.
  • For the world file register options, you will get a window with statistics. These are in the form y = ax + b, and will show the results for both a UTM and lat/long spacing.

Part of Image Registration.

Last revision 12/3/2017


Area/line shapefile from points

Create area/line shapefile from points

Option on "Report" button of GIS table display window.

You must first convert the data into a dBase table or point shape file, which must have the following fields (all others will be ignored):

  • LAT (decimal degrees, west negative)
  • LONG (decimal degrees, south negative)
  • Whatever other fields you need to filter the data.
  • A field to name the records if you want to split the file based on combined data.

Excel is probably the easiest way to do this, with an export to CSV, and then open with the DB load option in MICRODEM.

This will create area or line shape files, with one record per file. It will include all currently active point records in the database file, so you should filter the database appropriately before you use this option.

You can:

  • 3D shapefile: create a 3D shapefile if there are elevations in the database.
  • Multiple records based on filter: filter the database by the values of a field, and create a separate line record with each filter.
  • Thin: take only every nth point in the file
  • Start/end times: put the start and end time of each line into the DBF table.
  • Line end points; put the lat/long of the start and end of each line into the DBF table

You can add fields to the database later, or Merge multiple shapefiles.

Last revision 4/4/2018


Create Survey Track Lines

Open a map, such as gridded bathymetry or a nautical chart.

Start with right click on the map at the starting point of the survey, and pick "Create DBs, Create survey lines" option.

Choose settings. See the example below for the explanation of the parameters.

Plot: plots track lines on the map.

Create DB: creates a points database with the end points of the track lines.

Plot: plots track lines on the map.

Starting point is wreck marked "PA (for position approximate) in the SW portion of the survey areas

  • The lines head toward 330 (the reverse lines will be 150). This might be the direction of the tide, or in this case a direction that minimizes changes in depth.
  • The line length is 250 m toward the NW from the starting location
  • Lines extend 100 m to the SE from the starting location
  • There are a total of 8 line
    • 5 lines to the right of the first track line (+90 to the heading).
    • 2 lines to the left of the first track line (-90 to the heading).

You can save the map as a Geotiff (File, Save map as image, As Geotiff, screen scale (color) ) and import that onto an Android cell phone (ianMICRODEM on mobile) to track your progress.

Waypoint DB for tracklines

  • Select your favorite units for way points ("EDIT" button, Map coordinates)
    • Add decimal seconds string
    • Add decimal minutes string
  • Export this to Google Earth with the Report, KML: export for Google earth. options.
  • Export to HTML with the Report, HTML option, and then move HTML to Word, Excel, or other reports
  • Open the DBF file in Excel.

Last revision 4/11/2016


Create Tables

A table is an incredibly effective way of presenting and organizing information.

MICRODEM can create tables from databases in several ways. You might first want to limit to a reasonably small number of records for this option, by Filtering the table. You can also Hide fields you do not want.

From dabatabase table form, Report:

  1. HTML . Both Excel and Word can open HTML files.
  2. DBF Table. You can open this DBF file in Excel, and then edit, and copy into the word processor. You can also save it from Excel as a CSV file, and then re-import into MICRODEM.
  3. Text (CSV) which you can open in Excel.

Last revision 9/26/2015


Create Vegetation Density Voxels

Create on tools tab of Point cloud options.

  • You need a DTM of the area to use.
  • This will create grids with the number of lidar point returns in bins above the ground surface. Vertical bin size is currently set at 1 m.
  • You should have a horizontal bin size that includes a reasonable number of returns in each grid cell, since this works on the statistics of the returns.
  • The horizontal bin size of the DEM used to open the point cloud will be the same as that used for the derived grids. If necessary, Thin the starting DEM first. You will have to use this DTM when using the data.
  • Filter the export by LAS class for instance to only include vegetation.
  • Pick the number of bins, which determines the highest vegetation.
  • Ignore or include points above the highest class. If you do not ignore them, they will be placed in the highest bin.

Vegetation voxels overview.

Last revision 3/24/2013


Create Vegetation Obstacle Grid

Removed October 2021

Option on Raster GIS, Create derivative grid menu from map window menu.

Options:

  • From NLCD 2001 .
  • From a shape file
  • From LandFire data
  • From NBCD--you need the "NBCD_MZ12_BAW_height.tif" file.

From NLCD 2001.

  • Get NLCD 2001 from the USGS Seamless server in Geotiff format . This is a conic projection, and must be converted to a compatible projection to use the your DEM or other data set.
  • You must have the HEIGHT field correctly filled out in the Land cover database.
  • The data has 30 m spacing, and you should use a DEM with a similar scale.
  • Create vegetation obstacle grid. This will be a slow process.
Height filled out in the land cover database.

From a shape file:

Last revision 4/19/2011


Credits

Throughout the development of TerraBase II, Mark Adams at Fort Leonard Wood was the force behind the scenes in testing new versions, suggesting enhancements, and generally stressing the program before users encountered problems. With his moving on to work with the Forest Service, all users of MICRODEM, and especially those in the military, lost a key player in the program's development. Mark is unlikely to be replaced in all that he contributed. Without someone like him there cannot be another release of TerraBase II.

Thanks to the following individuals for creating components or code used in MICRODEM. Many of these credits do not include a link to a website, because the original links are now broken.

  • 7Zip: Igor Pavlov, http://www.7-zip.org/
  • AVI: modified from Thomas Schimming, schimmin@iee1.et.tu-dresden.de, which was mainly a port of Mark Gamber's CAVI example
  • K-means clustering code from Fred Edberg; 11/30/02 (fedberg@teleport.com which no longer works, and no current web presence could be found) using K Means clustering.
  • ColorBrewer color schemes from Cindy Brewer cbrewer@psu.edu.
  • EPSG projections database:
  • Disaster Response Map Symbols (DRMS), version 1.0 (beta), May 2009, Association of Volunteer Emergency Response Teams.
  • exif: http://delphihaven.wordpress.com/ccr-exif/
  • GIF module: GifImage 2.1, Release: 4, Date: 15-OCT-1998 Author(s): Anders Melander, anders@melander.dk; Filip Larsen, and Reinier Sterkenburg . Now using the updated version from http://www.tolderlund.eu/delphi/ by Finn Tolderlund.
  • HTML Help: headers translated by Ron Loewy, HyperAct, Inc. Last Update: Oct. 21, 1997
  • Military Fonts, military TrueType™ fonts from Major Tom Mouat ( http://www.mapsymbs.com/ )
  • isNAN and isInfinity tests for IEEE real numbers, and a number of other routines, from Earl F. Glynn, http://www.efg2.com/Lab/
  • pk3DConnexion to use 3DConnexion, SpacePilot,SpaceNavigator from 3DConnexion, A LogiTech company, from Patrick M. Kolla
  • Satellite tracking code: NORAD SGP4/SDP4 Units, Developed by Dr TS Kelso, Version 2.60, 1999 November 28
  • SQLite: http://www.soundvibe.net/blog/sqlite-for-delphi/ and http://code.google.com/p/sv-utils/
  • TExpressionParser by: Egbert van Nes, http://www.aew.wur.nl/UK/TExpressionParser/
  • Video MPEG for Pascal: commercial component from M.S.B. Software,Via Romea Vecchia 67, Classe,48100 Ravenna RA - ITALY,FAX/TEL +39-0544-473589,CELL +39-339-2739548,WEB http://www.msbsoftware.it or http://www.msb-astroart.com; MAIL msbsoftware@tin.it - msb@sira.it. Because this did not survive in the Unicode world, it is now in the separate movie player program.
  • Indy components for Delphi from indyproject.org for client/server network grid option.

We believe that our use of all these components fully complies with their individual copyright provisions, and their listing here acknowledges our debt to the authors of each component.

  • Cadet K. Gorkowski wrote the first version of the grid contouring algorithm for an independent study project at West Point in 1985.
  • Midshipman A. Brookhouse performed program testing at Annapolis in August 2002.
  • LTC Scott Loomer at USMA provided the basic format for the imagery IDX headers, which are no longer supported because of the rise of GEOTIFF imagery.

The following components have been removed, but at one time each contributed to the program:

  • AgBlend Component enabled Alpha Blending . Copyright (C) Agni Software Pvt. Ltd., 1998-2001. Delphi now has this capability built in.
  • http://www.zlib.net/ http://www.base2ti.com/zlib.htm
  • VuMate. J.D. van Wees1,2 and G.P. Kok2, 1Netherlands Research School of Sedimentary Geology, 2Department of Earth Sciences, Vrije Universiteit, Amsterdam, wrote a 3D real time animator once available as a plug in. This has now been replaced by an OpenGL viewer native to MICRODEM.
  • MPEG utility avi2mpg1
  • netCDF header translation by Sandia's Sandy Ballard and netCDF
  • Geodetic Bearing: Bearing.Pas by Kurt Spitzley, V1.0 Jan.99, email Kurt.Spitzley@rz-online.de.
  • CYBERCOM OCX from Lowrance Electronics, Inc. for Eagle/Lowrance GPS communications
  • Joystick component: Paul van Dinther, paul@diprode.com, diprode.com (link lnow broken)
  • Twain module: twain.pas and scanner.pas from http://www.delphi-jedi.org, created by Uli Tessel, Matthias Thoma, and Martin Olsson.
  • Targa code from Davie Reed, davie@smatters.com, downloaded from http://www.efg2.com/Lab (Earl F. Glynn)
  • used to use dEXIF 2001, 2002 Gerry McGuire (links dead, but then found version v1.03d, from 2006); did not like move to Unicode
  • PNG code: Gustavo Huffenbacher Daud gubadaud@terra.com.br (http://pngdelphi.sourceforge.net/ appears to be inactive, and we had to modify the code for Unicode, and PNG support became native in Delphi).
  • CPU Speed: modified from routine in CPU Speed 1.0, Erik Salaj, erik@dodo.sk
  • Serial port module (for GPS): ComPort version (4.0) at http://sourceforge.net/projects/comport/ Alternative might be http://sourceforge.net/projects/tpapro/
  • OpenGL CgLib, Version 1.00, (c) 1998-1999 Tom Nuydens
  • Zarko Gajic, BSCS: ScreenThief - stealing screen shots over the Network http://delphi.about.com/library/weekly/aa012004a.htm A free network screen shot grabber application, with source code, which formed the basis the client/server network grid option
  • Google Earth embedded in a window: David Hawk, at http://www.delphidabbler.com/articles?article=26

last revised 8/23/2023


Cross Correlation

Methods for looking at time series are available on the Time series option of the Stats button of the table display window.

You must select the two series to use, and then will get a series of plots and a control window.

  • Correlogram
  • Scatter plot of the two series at the optimal lag (largest absolute value)
  • Table showing the highest correlations
  • Plot of the two series at 0 lag
  • Plot of the two series at the optimal lag (largest absolute value)
Change the value for the lag in the edit box, and hit the Show Lag button to redraw:
  • Scatter plot of the two series
  • Plot of the two series at the optimal lag

Select the correlations button to redo the table with the highest correlations. This allows you to change the values shown, which vary with the degree of correlation between the two series.

Autocorrelation is a special case of cross correlation.

Last revised 2/27/2007


CSV File

A CSV file (Comma separated variables or values) is a least common denominator for exchanging data among programs. It is an ASCII file which used commas, tabs, or spaces to separate the entries. Other separators are less common (such as "|").

CSV files can be viewed or edited in a text editor like Notepad or WordPad, or in Excel.

The handling of "exotic" values in the file, such as actual commas in a text field like an address, can be problematical. If there are problems, you can edit the file to replace those values with another character, and then change back once you have the data imported.

Last revision 2/22/2013


CSV File Imports

You can import a CSV (or TXT or XYZ) file or a KML points file into a Points database.

  • Select the file when you open a database and it will automatically be converted to a DBF file. The field types will match the data, and the length will be set to include all the data. If you want to be safe, you should put in dummy records with lengths that are sufficient to handle any edits you might want to make later.
    • Database on Map window toolbar,
    • Open shapefile map on Main Program Toolbar
    • Open database without map on Main Program Toolbar

Rules for data format and field labels.

  • A GIS point database must have fields LAT and LONG.
  • Insure that the CSV file does not have blank lines, or extra columns at the end, which are probably the result of edits in Excel that leave hidden features in some cells. You can see them if you open the CSV file in Notepad, Wordpad, or a similar text editor (commas at the end of the lines are one way these will show up).

Set up a table with the rules for CSV import.

For a KML file, the feature NAME will go into a NAME field.

Verify the CSV Import.

Other CSV problems.

Problems with CSV import

If the CSV file is too large:

  • The program loads the entire CSV file into memory, and then if it is small enough, it will load the entire data set into a string grid. This loading does a lot of error checking. If the program suspects the file will be too large to load into the string grid, it will ask if you want to try anyway.
    • If you file is extremely well behaved (no missing data cells), you do not have to load it into the string grid, and the import should work.
    • You can try to load the string grid. Exactly what size will cause problems depends on a lot of factors.
    • Split the input file with the Edit, ASCII split file option on the data manipulation form, and then recombine the files after you import the parts.

Last revision 1/29/2017


CSV Import Rules

This table (currently CSV_IMPORT_RULES_v2.dbf) has the GAZ_TYPE (USGS, NGA,CCOG) and which automates following the rules for field names. Fields whose names are too long for the DBF rules must be shortened. SKIP for the OUT_NAME means the field will not be imported because it is not useful.

Import a CSV file

Last revision 9/18/2018


CSV File Import Issues


CSV Export

Accessed via

  • Cartography menu, Export computations options. If you use this option, the approximate map limits will automatically be entered into the form.
Set limits in decimal degrees for grid. By default this will be the map extent on the active map when you picked the option.
 | Lat High |
Long Low |  | Long High
 | Lat Low |

You can put in a record number with each line if the checkbox is checked.

You can set a constant z value for all records

Set spacing in lat and long for the grid, in dlat and dlong, in decimal degrees. By default this will be 1, which will not be appropriate for a large scale map.

Parameters:

  • Datum shift, geographic: distance in meters between the two points having same lat/long coordinates in the two datums.
  • Datum shift, UTM: distance in meters between the two points having same UTM coordinates in the two datums.
  • Map distortion, h and k
  • Magnetic declination and intensity: you can plot this using the Vector data plot option. You will need a multiple of about 0.002, because the intensity of the magnetic field is so large.

You have the option to include a header line or not.

Set the file name for the output CSV file.

Write the file. This will close the form, and open output as [image] Database overlay. The file will be saved in a temporary directory, and you must save it elsewhere if you want to keep it.

Close the form without writing.

Last revised 1/24/2014


Curvature References

  • Jozef Minár, Ian S. Evans, Marián Jenčo, 2020, A comprehensive system of definitions of land surface (topographic) curvatures, with implications for their application in geoscience modelling and prediction, Earth-Science Reviews, Volume 211, 103414, ISSN 0012-8252, https://doi.org/10.1016/j.earscirev.2020.103414
  • Florinsky IV (2009) Computation of the third-order partial derivatives from a digital elevation model. International Journal of Geographical Information Science 23: 213–231.
  • Koenderink, J. J., and Van Doorn, A. J. (1992). Surface shape and curvature scales. Image and vision computing, 10(8), 557-564. Proposed "curvedness" and "shape index". Implemented in WhiteBox extension
  • Schmidt, J., Evans, I.S., and Brinkmann, J., 2003, Comparison of polynomial models for land surface curvature calculation: International Journal of Geographical Information Science. 17:797-814.
  • Shary PA (1995) Land surface in gravity points classification by a complete system of curvatures. Mathematical Geology 27: 373–390.

Last revised 12/9/2022


Data Set Dimensionality

Type of data | 2D | 2.5D | 3D
Vector Shapefile | Most Shapefiles are 2D, with only the horizontal coordinates |  | The shapfile specification allows a z coordinate to be stored for every point. Few data sets use this option.
DEMs or grids |  | A grid can only have a single value at a point, so it is not truly 3D. The grid cannot store caves, overhanging cliffs, or features above the ground. Having both a DTM and a DSM is one way around this limitation with gridded data. The conforms to the mathematical concept of a single valued function: if the earth's surface elevation z = f(x,y), or z = f(Lat,Long), there can only be one z value at a point. |
Point clouds |  |  | The point cloud can show the full 3D nature of the data. There can be multiple elevations at the same point, or close to the same point, subject to measurement uncertainty. Most of the multiple points will be features above the ground, like vegetation or power lines, but they can include overhanging cliffs or caves. If you have complex man made features like buildings, with the interior, you will have multiple surfaces and a true 3D data set.

Last revision 3/22/2016


Data Tiles

Many GIS data sets are tiles, broken in small rectangles. This commonly applies to point clouds in LAS format, DEM grids, orthoimagery, and maps delivered over the internet.

This has a number of advantages:

  • Only the tiles that are on the map need to be opened and processed.
  • Speed, with several scales of tiles stored, and the appropriate tiles are loaded and scaled for the screen.
  • Speed, for operations like Delaunay triangulation where the algorithms are most efficent for a small number of points.

On a slow connection, you can see the tiling in Google Earth, as the map appears tile by tile.

Last revision 11/23/2017


Data translators

Data Converters/Translators/Viewers

Must Have

  • OSGeo4W: there is now only the 64 bit network installer (MICRODEM is also only 64 bit), and install the desktop version of the package for GDAL in the default location. You will wind up with a 1.6 GB directory in the root directory of C.
  • DNRGPS--convert GMX and KML to shape file. You want "unprojected shape files" for the output. It also deals with getting data from your GPS.
  • 7z.exe and 7z.dll
  • Cloud Compare
  • Google Earth
  • NotePad++ : good program to view metadata and other XLM files. It has line numbers, tabs for multiple files, and the data will be present when you close MICRODEM.

MICRODEM can call a number of external programs

FOSS Geomorphometery (especially GRASS, QGIS, SAGA)

Somewhat useful

  • ACOLITE: processing of coastal satellite imagery
  • SNAP, for the Sentinels
  • DESKEW
  • potrace
  • NOAA converter for BSD raster nautical charts, http://coast.noaa.gov/digitalcoast/tools/chartreprojector
  • Recover shapefile geometry.
  • Mobile mapping options

Online Sentinel 2 cloud free image: https://s2maps.eu/

https://www.opendatacube.org/data-cube-applications

DXF LAS and LIDAR Processing and Point Cloud Visualizing GeoPDF KML converters Mobile Mapping

Coordinate conversion programs online

  • UK OS (added 4/24/2022)
    • https://www.ordnancesurvey.co.uk/gps/transformation/
    • https://webapps.bgs.ac.uk/data/webservices/convertForm.cfm#bngToLatLng

Entries below have not been systematically checked recently; use judiciously after checking date of last activity.

https://github.com/OpenDroneMap OpenDroneMap is a tool to postprocess drone, balloon, kite, and street view data to geographic data including orthophotos, point clouds, & textured mesh.

Geomorphic Change Dectection, GCD: http://gcd.riverscapes.xyz/Download/ ArcGIS plugin, or Windows program with no display options.

Topcat decimation: http://gcd.riverscapes.xyz/Help/Concepts/topcat-decimation.html uses ASCII XYZ files

PySESA: Python program for Spatially Explicit Spectral Analysis

http://dbuscombe-usgs.github.io/pysesa/ uses ASCII input files
https://static1.squarespace.com/static/582b5e07197aeac54fcdd6a8/t/59d92020e45a7c0ce23fb1c9/1507401777289/Buscombe2016_CompGeosciences.pdf

http://www.grime.net/gistools/ list of conversion software, with formats

TopoToolbox for Matlab: https://topotoolbox.wordpress.com/

Side scan sonar data analysis

  • https://woodshole.er.usgs.gov/operations/sfmapping/sonarsoftware.htm
  • https://www.mbari.org/products/research-software/mb-system/

NGA Office of Geomatics

  • http://earth-info.nga.mil/GandG/update/index.php?action=home
  • Shape files with UTM zones, MGRS polygons, 100K polygons
  • Many options are not available for the general public

GMT--Generic Mapping Tools:

  • http://onlinelibrary.wiley.com/doi/10.1002/2016GC006723/full
  • http://gmt.soest.hawaii.edu/

Grid converter

  • http://www.geospatialdesigns.com/gridconvert.htm : You can export Surfer (not used by MICRODEM) to the following formats which are useful: ArcView ASCII (*.asc), ArcView Float (*.flt with *.hdr), or X,Y,Z triplets (space or comma delimited) (*.dat or *.csv). You best choice here is probably the GridFloat, but the datum/projection will be an issue.

GeoMapApp: http://www.geomapapp.org/index.htm (can export in Fledermaus format). GeoMapApp is an earth science exploration and visualization application that is continually being expanded as part of the Marine Geoscience Data System (MGDS) at the Lamont-Doherty Earth Observatory of Columbia University.

Image processing:

  • HEG--HDF to Geotiff: convert NASA format to geotiff
    • https://newsroom.gsfc.nasa.gov/sdptoolkit/HEG/HEGHome.html
    • http://hdfeos.org/software/heg.php
  • pktools: http://pktools.nongnu.org/html/index.html
  • Change matters: http://changematters.esri.com/compare. Online Landsat viewer, with two images and a change map. Choice of bands and time periods.
  • MultiSpec
    • HDF, Convert to Geotiff
    • https://engineering.purdue.edu/~biehl/MultiSpec/tutorials.html
    • https://engineering.purdue.edu/~landgreb/publications.html (many are linked to copies)
    • my notes
      • Loading histogram statistics is really slow
      • With 224 geotiffs, could not get classification to work

Cartography

  • http://www.flexprojector.com/
  • http://projectionwizard.org/
  • http://berniejenny.info/3dmaps/
  • http://berniejenny.info/terrain/
  • http://berniejenny.info/mapdistortion/
  • http://terraincartography.com/PyramidShader/index.html

Color Palettes

  • http://soliton.vm.bytemark.co.uk/pub/cpt-city/ wide variety as PNGs

Coordinate Conversion

  • Datum shifts:

    • use NGS's GEOCON tool for the HARN transformations, which is now part of the beta NGS NCAT tool ( https://www.ngs.noaa.gov/NCAT/ ). Web interface, web service, Java program download

GIS:

  • GeoDa: http://geodacenter.asu.edu/ from Luc Anselin, interactive environment that combines maps with statistical graphics, using the technology of dynamically linked windows.
  • CrimeStat: http://www.icpsr.umich.edu/CRIMESTAT/
  • DIVA-GIS http://www.diva-gis.org/ --freeware GIS, with focus on biodiversity (last changes 2011, as of 2/2015)
  • MapWindow--http://www.mapwindow.org/ free, extensible, geographic information system (GIS) that can be used in many ways. It can convert shapefiles from one set of coordinates or projection to another.
  • BASINS multi-purpose environmental analysis system that integrates a geographical information system (GIS), national watershed data, and state-of-the-art environmental assessment and modeling tools into one convenient package.
  • Spatialite:
    • http://www.gaia-gis.it/spatialite-2.3/ Command line and GUI

    • http://www.bostongis.com/PrinterFriendly.aspx?content_name=spatialite_tut01

  • http://www.openjump.org/ You can use OpenJump as a GIS Data Viewer. However, its particular strength is the editing of geometry and attribute data.

GPSies the leading platform and community for GPS recorded tracks and is used by thousands of outdoor enthusiasts around the world.

  • Android GPS http://www.gpsies.com/page.do?page=android
  • iPhone GPS http://www.gpsies.com/page.do?page=iPhone

3D worlds

  • PDF3D: http://www.pdf3d.com/
  • LIME: http://virtualoutcrop.com/lime/overview

Map analyst, accuracy of old maps.

General

  • http://spatialorder.com/downloads.htm includes DXF2SHP.
  • GEOTRANS: http://earth-info.nga.mil/GandG/geotrans/ for geographic coordinate translator

Metadata

  • Formal metadata: information and software http://geology.usgs.gov/tools/metadata/

Geocode addresses

  • http://www.gpsvisualizer.com/geocoder/

Cartograms

  • http://artofsoftware.org/tag/cartogram/ (tutorial for ScapeToad, with some Python perhaps required)
  • http://chorogram.choros.ch/scapetoad/index.php ScapeToad, input and output are shapfiles
  • http://www-personal.umich.edu/~mejn/cart/ Mark Newman software, only C code
  • http://anoved.net/2008/10/cartograms/

These need to be verified:

  • Converters etc.: http://www.terrainmap.com/
  • GIS and Image Processing shareware/freeware: http://www.vinek.ru/index_en.html

Google maps/Google Earth

  • http://www.heywhatsthat.com/ labeled panoramas and display in Google maps
  • https://earthengine.google.com/timelapse/ see changes from Landsat imagery for several decades

Web Mapping

  • http://www.urbanobservatory.org/compare/index.html
  • http://www.maps-for-free.com/ Puts a relief layer atop Google Maps, and can find volcanoes easily

Interesting mapping pages on the web

  • StereoPhoto Maker: http://stereo.jpn.org/eng/stphmkr/
  • http://www.imagico.de/

Stitch photos, make point clouds (these are all pretty old

  • http://freegeographytools.com/2011/3d-textured-models-from-2d-photos-with-photofly
  • http://palentier.blogspot.com/2010/12/how-to-create-digital-elevation-model.html
  • http://www.cs.cornell.edu/~snavely/bundler/, now at GitHub - snavely/bundler_sfm: Bundler Structure from Motion Toolkit (but last update years ago)
  • VisualSFM http://ccwu.me/vsfm/
  • Clustering Views for Multi-view Stereo (CMVS) CMVS (ens.fr)

Small body mapping tool for moons, comets, asteroids: http://sbmt.jhuapl.edu/

DXF files: Nasty format, not completely GIS-compatible; avoid if at all possible. We have not tried it recently (think years, if not decades).

  • Converters
    • Use CAD2Shape: (http://www.guthcad.com.au/cad2shape.htm), but had some issues with the file we tried (but still beat other options we could find in about 2010)
  • Viewers
    • DWG True View 2010 (from AutoDesk at http://usa.autodesk.com/adsk/servlet/pc/index?id=6703438&siteID=123112 )
    • A9CAD (http://www.a9tech.com/) does not view 3D
    • Fledermaus does not do complete data import, but does get the 3D.
    • ArcGIS did not get complete 3D import last time we checked
  • GDAL has capabilities
    • MICRODEM shell
      • The export contours to shapefile on the Calculate menu can create a DXF; make sure you pay attention to the caveats on the input and output. We have not tested the output to see what programs like it.
      • Resample GDAL/OGR vectors may be able to read some
    • QGIS or command line invocation of GDAL are also possible

IP address lookups

Commercial:

  • ET GeoWizards 12.4 (released 14 March 2021) and ET Surface 7.1, https://www.ian-ko.com/
  • WhiteBox Commercial extensions https://www.whiteboxgeo.com/geospatial-software/

last revised 12/2/2022


Database Auxiliary Files

MICRODEM can compute the following files to go with a database stored in a "db_aux" subdirectory of the directory where the DBF file is located.

  • Same base name as database, .DEF extension: display settings for the database
  • NEIGH-DB.DBF
  • RANGE_ + name of the database: contains the max/min in each field, which can be used to greatly speed up color coding of the map with database fields. This option can be toggled on Database tab of the options form

Last revision 8/5/2015


Data Base Add Record

Map showing line digitizing, and entry of data base fields.

You can enter values for the fields for the record just digitized. This will be the top line in the table, with the * in the leftmost column.

If required, the ID field (a numeric record number) will be entered automatically; you must enter the others from the keyboard. If you have a numeric field, you will be unable to enter text.

The two buttons do the following:

  • + Rec & resume digitizing: post this record and returns to digitizing.
  • + Rec & close shapefile: post this record and close the file

The buttons will not be enabled until you have entered attributes for at least one field, and then either hit the enter key or clicked on another record.

Last revision 10/4/2006


Data Base Create

The Record view on the left allows you to edit a single field. | The Grid View on the right shows the fields that will be created in the new data base; you can edit these directory on the grid.

Before creating a data base, you must set the number of fields and their properties (name, type, and length). This form allows two views of your proposed data base.

  • Field Name must be 10 or fewer characters, using the letters "A" to "Z", the digits "0" to "9", and the "_".
  • Field type determines how the data is stored, and what kinds of operations you can perform on it. Examples include String for character data, integer, float, and date.
  • Field length determines how many digits will be stored.
  • Decimals field (number of places after the decimal point) is only required for float fields; it will be ignored for others.

The Insert button takes the current contents on the Record View and copies them onto the Grid view.

Copy DB button allows you to copy the field structure of an existing dBase table.

When you have the correct fields set, select the Create DB button.

Last revision 9/29/2008


Data Base Defaults File

If you set the option on the Database tab of the options form to "Save data base status" a file with the same name as the database and a "DEF" extension will be created.

This will store:

  • Fields used for some statistics and graphical operations

  • Database linking information

  • Fields used for labels.

  • The hidden fields for display

  • Symbols used for display

Last revision 8/19/2007


Database Tab

GIS Database Options Tab

Tab on options form, brought up from Options choice on program menu.

  • Avoid text overwriting
  • Plot on all maps
  • Save data base status: current display options.
  • Track database ranges: a linked database will be created with the max/min in each field, which can be used to greatly speed up color coding of the map with database fields.
  • Auto enhance shape files: should be set. This adds the bounding box to each record in the dbf file, and allows queries and filters using the database engine.
  • Show second data base toolbar
  • Show boundaries of colored regions
  • Relabel on map redraw
  • Autoassign label field
  • Area: the fill pattern used by default for area shapefiles.
  • Outline selections: outlines selected regions after you are done picking them. Works with outlines of rectangular and irregular regions on the Map query.
  • Add MASK field when merging shape files, with the number of mask fields to create
  • Always show coordinate edits
  • GIS edits: unless this is set, you cannot edit the database. Even when set, you must also check the checkbox on the table display window to verify that you really want to edit the data. unless you pick "Always allowed".
  • Min integer field size: when creating a new database, this will be the minimum size. Unless you will create very large databases, this should be larger than you think you will need, to avoid problems when you later want to add or edit records with a larger value.
  • Default points: the point symbol to use for the first data base to be opened.
  • Text as separate layer: this may lead to artefacts around some letters.
  • Quick shape file definitions. Determines whether you must define fields when you digitize a shape file, or get a quick default which you can modify later by adding fields.
  • Multiple filters for DB graphs:
  • Start STAT graphs with reversed y-axis (this is automatic the the Y axis field is DEPTH or DEPTH_*)
  • Show shapefile donut message
  • Create 3D shapefiles: if set, and there is a DEM on the map which you are creating the shapefile from, it will be a 3D shapefile.
  • Save intermediate DBFs: when you edit a database by adding fields, there is a potential for corruption. If this is selected, a backup will be created in the same directory, with ''old_db_file_' at the start and "~.bak" at the end of the file name. There is an option of the Data Manipulation form, Delete menu, to clean these out when you are sure that you do not need them.

Last revision 6/28/2013


Data Base Table Display Options

If there are multiple databases open, each will have its own window.

Current record count will be displayed at the bottom of the form in the status bar. The number will change as you filter the database using Filter or Map query options.

Double clicking on a record in data base will get pop up menu with options.

Double clicking on field name will get pop up menu with options.

The form has following controls:

  • Toggle database display on and off. You can perform the same function on the [image] Table of contents on the Map Window Toolbar
  • Symbol and color selection.
  • Filter: restrict display to only records that meet specified criteria. This can be done geographically (most easily with a map query)
  • All recs: after you limit the data with either a filer or a query, future operations on the data will use only the selected records unless you revert to all the records. If this button is disabled, the database is not filtered and all operations will use the full data set.
  • Plot: plot selected records on the map
  • Stats: perform statistical operations (not map based) on the database.
  • Map query: Geographically filter data; restriction will remain in effect until removed.
  • ID: identify records on associated map by double clicking. Same as [image] ID button on map toolbar.
  • Report: save current filtered database in several formats. Hidden fields are not included.
  • Edit: you must enable this option in the program defaults, and with the checkbox, because any changes you make are permanent.
  • Hide: keep unwanted fields from displaying.
  • Help: display this file.

Additional toolbars may be present:

  • Gazetteer toolbar.
  • Address geocoding toolbar
  • Viewshed/weapons fan toolbar
  • Quick filter toolbar
  • Layer symbology toolbar

Key options with database .

Default database plotting.

Database accessory files.

Customize display:

  • Remove column from display with Hide button. The column will still be in the database.
  • Rearrange columns by dragging the column name with the mouse. The left boundary of the column being moved will become a thick line, and it will move to show its new position.
  • Change a column's width by putting the cursor over the right boundary of the column name cell, and when the mouse cursor changes drag to adjust the width.
  • Some databases that you download will have wildly excessive lengths for the string fields, so that you can only see a few fields even if you make the form bigger. You can fix with by enabling edits, then Edit:,

Edit data in table:

  • Select "Edit GIS data base" option options form, of Database options tab. You must do this before opening the database.
  • Check "Edit" checkbox on this form. This will only appear if "Edit GIS data base" option was selected first.

Last revision 6/10/2020


Data Portals

  • National Map wide variety of data including DEMs and NLCD.
  • TIGER--roads and streams--overview . Download TIGER data.
  • USDA Portal: aerial imagery, topos, DEMS. May get better results using an ftp program rather than internet browser.
  • Coastal
  • DEM discovery portal--NGDC
  • Hazards Data Download, USGS: http://hddsexplorer.usgs.gov/
  • Natural Earth Data
  • Africa, from Center for Geographic Analysis, Harvard University
  • store.usgs.gov: includes a side variety of data, including NGA JOGs (1:250K) in GeoPDF. On the order form, click on the map to get the GeoPDF into the browser window.
  • USGS NHD--National Hydrography Dataset
  • Global Multi-Resolution Topography Data Portal "Best" merge of marine (down to 100 m) and land data
  • U.S. Interagency Elevation Inventory: http://www.csc.noaa.gov/inventory/# (download as Geodatabse)
  • USDA NAIP: https://naip-usdaonline.hub.arcgis.com/
  • Fish and Wildlife Service
  • KML USGS 7.5' Quads

Index of data sites

Last revision 3/28/2022


Data Used

Data Formats Supported

DEMS & Bathymetry | Imagery | Scanned Maps | Vector Data | Text Data | Point Clouds
USGS
  • ASCII
  • 3DEP or NED in Geotiff
 GEOTIFF, single file GEOTIFF ESRI Shapefile--the best and most popular vector format Gazetteer
  • USGS
  • NGA
 LAS/LAZ
NGA DTED, Levels 0, 1, and 2 | GEOTIFF, multi-file | Census TIGER shapefile Data
SRTM elevation files (HGT files)
NGDC Coastal Relief (*.G03) (*.G98)
NOS EEZ Bathymetry (*.PRU)
ETOPO NLCD--National Land Cover Database BLM PLSS Shapefiles
GEOTIFF
UK OS DEM
NASA Blue Marble 1 km MODIS imagery
IBCAO Arctic bathymetry
ASCII XYZ
Arc/Info E00 files (ASCII)
LIDAR coastal bathymetry
ADF grids | ESRI IMG (via GDAL)
ECW (via GDAL)
Images (BMP, JPG, TIF, PNG, GIF) with world file
netCDF, digital bathymetry (via GDAL)

Last revised 8/26/2023


Datum Shifts

Shifting coordinates from one datum to another uses a set of equations.

  • Helmert: used by NATO.
  • Molendenski: used by NGA, either 3 or 7 parameter. NIMA (1997/2000) lists the terms for the 3 parameter Molendenski transformations.

The datum shift with the Molendenski transformation must always be done in Lat/Long coordinates. For UTM coordinates, they are first projected to Lat/Long, converted to the new datum, and then converted back to UTM. The magnitude of the shift depends on which type of coordinates are used. In the continental United States, Lat/Long coordinates vary by up to 100 meters, in a rough bull's eye pattern about Michigan. This is the difference between where the same lat/long coordinates project in NAD27 and NAD83. UTM coordinates in the United States everywhere differ by more than 200 m, depending mostly on latitude, although the change does not differ as much by location as the Lat/Long shifts.

Last revision 8/20/2007


Datum Tab

Datum Options Tab

Tab on options form.

  • Default UTM zone: zone that will be the default when you must select a datum, or when the data set does not contain datum information.
  • Default hemispheres
  • Pick the secondary datum

Last revision 7/18/2017


Data Base Animate

Data Base Animate Field

Accessed from Plot button on database table display window.

Select a field (string or integer), and shows all the unique values in the data base on the map

  • Pick field to use from the combo box.
  • Pick font to use to put title and number of records in the upper left of the display.
  • Pick line size on color for the "Connect sequence" option.
  • Make a movie.
  • Connect sequence: requires a field "SEQUENCE", and that it have records in sequential order starting with 1.
  • n>= requires that there be at least this number of records.
  • > Picks next record and plots it. This is the fastest way to cycle through records, especially in you set "Immediate redraws".
  • < Picks previous record and plots it. This is the fastest way to cycle through records.
  • List box shows all records for selected field. Clicking on one draws it on the map.
Symbol options. Will not appear if you are showing Icons.

Color options. Will not appear if you are showing Icons.

Redraw/New base map panel controls

Bottom panel controls:

Last revision 11/10/2007


Database Basics

 Databases use tables, arranged like a grid. At first glance this looks like a spreadsheet, and in fact you can do some very limited database operations in Excel.

The biggest difference between the database and the spreadsheet is with the the top row, which has the names of the columns or fields. This row does not move when you scroll the database, and the computer finds values by using the name--the order of the columns does not matter, and you can even drag them around, or resize them, or hide those you do not want to see.

The database rows are called records; in the example at left, each refers to a volcano.

The database columns are called fields, and in GIS are often referred to as attributes. Each record as a number of attributes such as location, name, elevation, and so on.

Last revision 12/25/2016


Double Click DB Field Name

Double Clicking DB Field Name

Can also be selected with Stats button on table display window but in that case you have to select the field.

  • Field statistics (min, max, mean, median, etc.)
  • Histogram
  • Sum
  • Longest string
  • List unique values
  • Count unique values
  • Frequency table
  • Count of records with substring: gives a count of the number of records that contain the substring.
  • Sort field: for numeric fields only, this produces a popup with the values in the field sorted. For string fields, use list unique values.
  • Edit
    • Search and replace: replace one string with another, only for string fields.
    • Fill field--place the same value in all records. If the database if filtered only the current subset will be operated on.
    • Color all records: if there is a COLOR field, you can fill it for all selected records with a single color. By changing the filter you can get several colors.
    • Change field type
      • Integer to string
      • String to integer, only if the length of the field < 12 since DBF files do not handle very long integers
    • Rename field
    • Delete field
    • Trim field length: some databases have really long fields, usually for strings, and often use only a tiny fraction of the allocated length. This makes it hard to see any other fields. If you trim the field to the length of the longest record, it can be much easier to manipulate the database. However, if you want to later edit the field values, you cannot increase the length.
    • Limit decimal places: if there are too many decimal places, you can pick a reasonable number which makes viewing the data easier.
    • String manipulation
      • Remove lower case characters
      • Remove numerical characters
      • Remove final character
      • Remove entire string if substring present
      • Remove substring and following characters
      • Trim blanks
      • Alphabetize: must be strings separated by commas
      • Add file extension: pick a file extension, and if the string does not end witht that extension, it will be added to the field.
      • Extract file name
  • Find
  • Hide: the field
  • Sort table: sorts entire table based on this field. This will create an MDX file to go with the database. You can purge these when the data closes if you choose to pick the option on the Database tab of the options form.
  • Quick filter
  • KML export filtered by values

Last revised 7/19/2022


Data Base Color Options

Used for the following options accessed from the Plot button on the database table display window.:

  • Proportional symbols:
  • Color code by DB field:
  • Color/line weight from database:
  • Connect sequential points
  • Point separation
  • Vector data : use two fields to plot vectors on the map.

Last revision 11/7/2017


Concatenate Fields

On Insert new fields submenu of Edit popup menu of database table form..

This form lets you combine two or three fields (integer or character) into a new string field.
  • Name the new field in the left edit box, keeping in mind the rules for field names.
  • The two fields to concatenate are selected from the two drop down boxes.
  • Edit boxes allow you to put text in front of, between, and after the two field names. The text can include blank spaces.

If you need to combine more than 3 fields, do the process in stages.

Last revision 4/23/2014


Database Counts by Unique Value

Frequency table

From STATS button on table display window. Pick either a single field, or two fields.

Single field option also available by double clicking on field name

Single field
  • Two columns, the selected field and the number of occurrences in the (possibly filtered) database
  • You can change the font, save as a CSV or HTML file, and sort ascending/descending by either alphabetical value in the field or the numerical count.

Possible use:

  • Input database with list of tornadoes, with the FIPS code for county where each occurred.
  • This option produces the number of tornadoes in each county.
  • Note the field is the state and county FIPS code, and n is the number of tornadoes.
  • Save this as a CSV file, and then import that as a database.
  • Link/join data base to a county shape file.
  • Plot number of tornadoes per county, or compute the number of tornadoes per square kilometer.
Two fields
  • Option shows the number of times a string occurs in either of the two fields.
  • Possible use: The input data base has lists of towns, in two fields, recording financial transactions.

Last revision 8/7/2021


Data Base Distance from Point

Accessed from the Edit button Field geometry on the database table display window.

  • If the data base does not already have a "DIST_KM" field, it will be added.
  • You set the latitude, and longitude of a point, and the program will compute the distance (in km) from each point in the data base to that point.
  • To pick graphically, right click on the point, add its coordinates to the clipboard, before selecting the option, and then you can paste the coordinates into the location request.

Distance algorithm comparison (also on the Edit button Field geometry) does the Vicenty (the default, more accurate, and the only one recommended), plus haversine, and cosine distance formulas (not recommended)

  • Haversine formula assumes spherical earth, and has errors over very small distances
  • Cosine formula assumes spherical earth, and has errors over very long distances (opposite side of the earth)

Other ways to measure distance.

Last revision 5/8/2019


Map Coordinates

Submenu on "EDIT" button on database table form. The button must be enabled.

  • Add UTM--UTM x and y, and the UTM zone. You can force the conversion to a particular zone, or use the correct zone based on the longitude.
  • Add lat/long: adds but does not populate the fields.
  • Add UTM from offsets--
  • Add MGRS
  • Add Mercator--Mercator x and y, and h/k distortion factor.
  • Add decimal seconds string--adds text/string field of the form N54°23' 4.29" E0°26' 5.89".
  • Add decimal minutes string--adds text/string field of the form N54°23.072' E0°26.098'.
  • Add decimal degrees string--adds text/string field of the form N54.3845250° E0.43497000°.
  • Fix 360 longs--convert longitudes from 180 to 360 to negative values.
  • Add lat/long from shp file
  • Add lat/long from joined database
  • Add Bounding box
  • Add XYZ from shp file
  • Add XYZ from joined table: XYZ fields will be added if they do not exist. For the field used to join, the program will find all the unique values in the primary table. It will filter for each unique value in turn, and apply a corresponding filter to the join table. If the filtered join table has at least as many records and the filtered primary table, XYZ values will be placed in each record in the primary table. The first record will be matched to the first record, the second to the second, and so on.
  • Convert DDMM.MH/DDDMM.MH/ string to Lat/Long: e.g. 2037.0S/02913.0W
  • Convert UTM to Lat/Long
  • Datum shift (reproject lat/long coordinates): pick the datum used by the database, and a new datum, and the coordinates will be transformed
  • Vertical datum shift: creates a new field with the shift between the WGS84 ellipsoid, and the EGM2008 geoid. The shift file from NGA must be available in C:\mapdata\geology\tgeology_grids
  • Randomize duplicate points: if there are points in the database with the same coordinates they will be given new coordinates with a specified region about the point.

Last revision 1/2/2022


Edit Icons in DB

From Edit popup menu on the table display window

  • Add icons
  • Icons from thumbnails:
  • Create unit icons: creates standard military icons, for one field. Pick the field, set the size of the unit, the symbol and font sizes, and then pick "multiple icons" on the icon composer window. Filter the database before doing this if you have multiple kinds of units, or different sides, so that only the desired records get this icon.
  • Insert icons from filter file

Last revision 12/17/2017


Database Edit Mode

By default MICRODEM will not let you edit a database. This protects users from accidentally changing a data base; most users will not be editing their databases.

To edit the database:

  • Allow edits on the Database options of the options form.
  • Check edits Checkbox on the database table display form.

Last revision 9/10/2006


DB filters

This form allows you set filters for the data base. Select database filtering from the data base display table. There is also a Quick filtering option.

 Parts to the DB filters form:
  1. Tabs to create filter
    • Main filter
    • Geographic filter. Set graphically with a Map Query.
    • Time Filter
  2. Plot and accept options

Create main filter condition. You must create at least one condition before you can filter.

  • use edit boxes at the top of the form, and then click "Add condition" button.
    • Select the DB field with the drop down box DB Field in the center of the form. You can type in the value if you are sure you can spell correctly. Since the length of the field names is limited, they might be abbreviated.
    • Use the drop down boxes to set the operator (=, <>, <, <=, and so on). The operators available will depend on the type of field.
    • For numerical fields, you can use the < and > operators. You can make a complex condition, like "8< HEIGHT < 18", which the program will convert to "HEIGHT > 8 AND HEIGHT < 18" which is what the program actually needs.
    • For text fields, you can use the = and <> operators.
    • If the field is an integer or string (and should not have too many unique values) you can:
      • "Query field" button will find all unique values in a text field, and the range of values in a numerical field. This avoids spelling or typing issues, and can show you have the database was populated.
      • "OR" button lets you select multiple values in the fields, and adds a filter that uses OR.
  • writing directly in the memo box

The "Add condition" button moves the filter criteria to the middle box.

Add addition criteria by repeating the process.

Edit the condition in the memo box, for example:

  • Change "=" to "<>", or "<" to "<=".
  • Use "OR" joins between lines, as the default will be "AND". Type the "OR" at the end of the line, and then use the delete key to move the next line up to become part of the single condition.

After the condition is added, the "Apply filter" button becomes active and uses the filter on the data set.

The quick filter button accepts the criteria and immediately filters. This is useful for single, simple filters.

Multiple conditions can be added. Each will be on a separate line, and they will be concatenated with an "AND". If you want an "OR", edit the filter display by adding the "OR" manually and then putting the second condition on the same line.

The "*" character acts as a wildcard; thus "M*" in a state field will find MA, MD, MO....

Filters are case sensitive or not, depending on how you set the checkbox.

The Clear button removes all filter conditions.
Create Time Filter.

Plot and accept options

  • Apply Filter button exits the form. If Redraw on close is checked, it will plot the filtered day.
  • Cancel aborts.
  • Plot takes the current filter and symbol and overlays the results on the map. If clear layer is checked, the layer will be erased before drawing. Otherwise the filtered data will plot over the other data.
  • + Layer: add symbology to layer file.
  • Clear Layer: clears any layer symbology, and replaces it the current filtered set. If unchecked, the new display will draw above the previous display of the layer.
  • Redraw on close: automatically redraw layer when the filter window closes.
  • Set USE on close: all records matching the filter will be set the "Y", and the rest to "NO"

For a text field with discrete values, you should select the "Query Field" button. This will give you a selection box with all the values. You many find poor quality control in the edit process of data base creation, with mis-spelled words or multiple variants for what should be the same coding.

Note in this case that "Cinder cone" and "Cinder cones", and "Complex volcano" and "Complex volcanoes" are used. You can use the wild card to find both variants, as in "Cinder cone*", or use the OR button.

Last revision 7/19/2022


Database Filters

Filters are applied to every record in a database, and only those meeting the criteria will be displayed or used for computations. This provides a rapid and powerful way to control and subset the data.

Filters must be single conditions, combined with AND or OR. You cannot say "2<X<6", but must say "(X>2) AND (X<6)".

It never hurts to add extra parentheses to make the intent clear.

Filters can use a wild card. For instance, volcano types might be coded as "Shield", "Shields", or "Shield (?)" in a database. To avoid an OR, you could filter for "TYPE='Shield*'" which would cover all three. You must be sure that there are not other similar variants that you do not want, and know what the wild card symbol is for the data base. While "*" is common, other databases might use something else like "%".

After you filter a database, any operations like plotting on the map or computing will only use the records which match the filter.

Last revision 9/19/2017


Geocode Addresses From Database

If there is an ADDRESS field in the database, the program can compute the LAT/LONG. This ADDRESS can be a complete street address, or just the city and state. There must be a map open from which the database was opened for this option to be available. This uses a web service from a server.

  • Open map.
  • Database. This will probably not plot yet since you do not have locations for the records.
Original table, from the web site of a college football team. Note that the hometown field includes the city, state, and the name of the high school.

Copy the HTML table into Excel, clean it up, save as a CSV file, and import into MICRODEM.
If you have separate fields with CITY and STATE, you can combine them with Edit, Insert new fields, Concatenate fields.
Turn on edits, and pick Edit, Insert new fields, Split field with separator. In this case we split the HOMETOWN into ADDRESS and HIGH_SCHOOL with "/" as the separator. Similar operations could work with other address variants.

This would also work with complete street addresses, in which case you would get a more accurate location.

Pick Edit, Geocode addresses. There must be an ADDRESS field (rename the field if necessary by clicking on the name), which can be either a complete address, or just the town and state. The web interface will be relatively tolerant of how the data is entered (note that in this case the "-" between the town and state does not cause any problems; the original "," in the files was replaced in Excel because of the challenges that the commas can create with CSV file import. The program will cycle through all records. The web service might limit how many requests you can make each day before you have to pay, or require you to have account.

Get the tracts or counties for each record, using Point in area.

Get demographic and economic data with American Community Survey Data and then Joining databases.

Last revision 1/13/2019


DB Hide Fields

Data Base Table Hide Fields

This popup form appears when you select the HIDE button on the table display window.

Double click on fields to hide or unhide them. Hidden fields are in light gray. The changes will take place immediately

Last revision 1/11/2007


Database Icons

Several types of Icons can be displayed:

  • Icons are JPEG, PNG, BMP, or GIF files stored in the x:\MapData\Icons directory. This directory should have only your "favorite" icons. When used with a database file and the Plot from DB field option or the KML export, the icons can also be in the same directory as the database.
  • For KML, use GIF or PNG icons.
  • Icons can be transparent.

Icons can be displayed:

  • Plotting Options, either from a field in the database, or one icon for all plotted records. This limits your options for export to KML.

Icons can be added to the database, which provides the greatest flexibility for KML export:

  • Add icons with the "Edit, Add Icons" menu choice on the database table display window to put icons into a database. This will insure that the "ICON" field is present, and then add a selected icon name to all the records. You can filter the database, and use this option to add a variety of symbols.
  • Double click on field name and pick "Fill field", and type in the name of the icon.

If you have True Type fonts with Icons, you can use the Military icon generator to turn symbols into an Icon graphic. You can also plot Proportional symbols/Icons: (True Type fonts) symbols directly.

To get an icon, edit an image in Paint.
  • Cut out just the part you want.
  • Use Stretch option, on Image menu, to make a smaller version of the image. The icons should be moderate in size.
  • Save as a GIF and a PNG.

You should not see the white background around the icon. You can adjust icon transparency.
You can create multiple icons, with the field names all starting with ICN_, and select the one to use when you pick display options
or do a deliberate KML export.
Icons in the database, and used as the KML export symbology.

Icon sources:

  • You do not want SVG graphics, unless you do a screen capture
  • Download bitmap image to c:\mapdata\icons
  • http://grasswiki.osgeo.org/wiki/IconSymbols (individual icons)
  • http://osm-icons.org/wiki/Icons (do a screen capture/snip to capture bitmaps instead of SVG files)
  • https://www.nps.gov/hfc/carto/map-symbols.cfm (do a snip or screen capture in the PDF)

Last revision 1/8/2017


DB Insert Field

Edit button on Table view, which provides popup from which you pick Insert new fields to get the following choices. Only enabled if you check the "EDIT" box on the right of the row of buttons, since all changes are permanent (save a copy of the database if you are concerned about editing mistakes).

  • Insert new fields
    • Insert field--lets you pick the name, type, and field length.
    • Concatenate fields: lets you combine two fields with optional text before, in the middle, or after.
    • Split field with separator: if you have a field with records like "Annapolis/MD", this option would let you name one or two new fields, identify the "/" as the separator and then:
      • Keep before: make a single new field with just "Annapolis"
      • Keep after: make a single new field with just "MD"
      • Divide two fields: make two new fields with "ANNAPOLIS" and "MD"
    • Copy string field
    • Insert viewshed fields: for a point database, this will add the fields for [image] Weapons fan/viewshed , and populate them with default settings.
    • Insert IMAGE field:
    • Insert WWW field:
    • Add integer code field: finds the unique values in a string field, creates an IDX_n field, and assigns each entry a numerical value starting with 1 for the unique entires in the string field.
    • Sequential index:
    • EGM2008
    • EGM96

Last revision 12/11/2016


Database Join

Set join relationships on Stats button menu of table display window. Joining does not require the same name for the Join field, or the same order for the records.

Pick the field in the database for the join. This must be a string/character or integer field. You will see the values in this field for the first records.

Pick the table to join.

Pick the field in the join table database to use. This must be a string/character or integer field. You will see the values in this field for the first records. Depending on the organization of records in the two databases, you might not see exact matches, but you should verify the general correspondence of the two fields. If they have different lengths, you will not get any results.

Verify that the fields in the two tables have compatible records--they should have the same length and type of codings (string or integer; you cannot link on floats). If the data starts with a "0", be particularly careful, as Excel can remove them and cause problems for things like Zip codes in New England and state FIPS for states starting with A and C.

You will see the number of records in the two databases.

If there are records in the join table with duplicate values in the join field, you will be issued a warning. This should not happen. MICRODEM will allow you to use the first of the duplicates if you pick the allow multiple join matches, but you should insure that your data file is not corrupt, and that you understand why there are multiple records.

Select OK.

For US countries or states, you can link on either the name or the FIPS codes. The name option must be used judiciously; a county might be coded as any of the following:

  • Saint Louis
  • St Louis
  • St. Louis
  • St. Louis County
  • St. Louis Cnty

If the two databases do not use the same model for the names, the join will fail. In contrast the FIPS code will have no ambiguity. The FIPS code is also shorter and takes up less storage space, which may no longer be important, but was when a lot of the database functionality was developed.

The MICRODEM default is now to strip the leading zeros from string fields (think FIPS and ZIPs) when used to join. If you want to use the files in another database with files that have not had this done, turn off the option on this form, or add them back in before using the databases elsewhere.

Example using joined fields.

Last revised 3/4/2017


DB Layer Definitions

  • Currently only works for point files with a string or numeric field.
    • If you plot a string field, this will be created automatically.
    • If you plot a numeric field, this will be created with the Layer button.
  • Save the layer on the Color code by DB field form, with this button.
Key fields in this database:
  • NAME, used for legends and labels.
  • PLOT, toggle Y/N, determines if it plots.
  • FILTER, the filter used on the database. Note that in this case there are "Cone" and "Cones". You could combine them with "CONE*", where * is the wildcard used in the database.

You can double click on a record, and pick

  • Edit point symbol
  • Delete Record: permanent; use the PLOT toggle to temporarily change.
Edit from "Edit Layer symbology" from the "Plot" button menu on the database table display window.

Radio buttons on the top determine what happens when you click on a record.

Last revision 8/29/2012


Database Layer Properties

This is under active development, and will change. Currently works only for area shape files.

Display the shape file, using the "Plot, color code by DB field"

Pick String field

Use the File save button on the lower right.

The symbolization file will be saved in the db_aux directory, with a name that adds "lyr_" at the beginning of the file name.

When you Open the data, if the layer symbolization is present, it will be used.
After making changes, you may have to manually force a redraw for them to be reflected.

Use the Modify, Force complete redraw menu choice.

Use the quick select button to decide which records to symbolize.
Standard patterns
Zipatone patterns (aka screentone)


DataBase Map Query

Accessed with Map Query button on database table display.

Geographically filters the data, and the restriction will remain in effect for all database operations until you remove it by changing the filter or selecting "All Recs" button.
  • Rectangular region: Outline region on the map, and show all records in the box.
  • Irregular region: select a region using current digitizing options. For area shape files this uses the centroid, and for line shape files the coordinates of the central point. Puts a "MASK" field in the database.
  • Radius about point: select a point and a radius. For area shape files this uses the centroid, and for line shape files the coordinates of the central point. Puts a "MASK" field in the database.
  • Current map area: Restrict database table to just those records currently on screen.
  • Pick points for time/sequential series:
  • Near TIGER roads: will fill a USE column in the data base with "Y" or "N" depending on whether a point is within a specified buffer distance of a road in the TIGER data base.
  • Away from TIGER roads: will fill a USE column in the data base with "Y" or "N" depending on whether a point is at least a specified buffer distance away from a road in the TIGER data base.
  • Find address

After the query, if it does not automatically fill in a MASK field, you can manually set it.

Last revision 9/14/2018


DataBase Ma sk Field

Several options, including some map queries, use a MASK field in the database. This can be set the "Y" or "N" and the database filtered based on the result.

These options will create the MASK field if it does not exist.

You can create the multiple MASK fields when you Merge shapefiles. The Database options tab on the options form controls whether the mask, or multiple mask fields, will be added. You can merge a single shape file, to create a duplicate, which can add the MASK field(s).

You can also add a MASK field on the EDIT menu of the database table form.

If you have multiple MASK fields (they will be MASK, MASK2, MASK3, MASK4, and MASK5, you will be asked which to use when you create a map query. You can use these to create complex geometric filters with AND or OR logic.

After you do a Filter or Map query option, you can click on the "MASK" field and use the Fill Field command to put a "Y" or "N" for all selected records.

Last revision 4/30/2009


DB Menu Options

Menu Option when a map window is active, to open vector database.

  • Load: opens database with its table for Map query or filtering.
  • Standard: load states, counties, rivers, or highways. This will open the table for use in operations like masking. The files to use are defined on Directories tab of options form. Map Overlays also opens these.
  • Load cartographic overlay: opens a database with a list of layers solely for use as a map overlay.
  • Load OSM overlay: pick the directories, which must all be subdirectories of the same main directory, with the OSM data. This allows, for example, selecting a number of cities, and as you zoom the correct one will be selected.
  • Shape file grouping
    • Load DB grouping
    • Add files
    • Update grouping
    • Create grouping
  • ID
  • Merge multiple CSV/TXT files: alll files must have the same structure, and they will be loaded into a single DBF, in alphabetical order. This is intended to work with GPS log files; there will be no intermediate files left on the hard disk.

Last revision 8/13/2023


Data Base Table Plot Options

The plot options cover displaying the data on a map window. These options will be on a popup menu when you select the PLOT button on the table display window, and there will one of these windows for each database that is open. Some options will be available only for certain types of database files.

  • Color code by DB numeric field:
  • Color code by DB string field:
  • Color field in DB
  • Color field in joined DB
  • Proportional symbols/Icons: (True Type fonts)
  • Default symbols
  • Icon field
  • Single icon for entire database
  • ZipATone field
  • Single ZipATone
  • Vector data : use two fields (magnitude and direction, or x and y components) to plot vectors on the map.
  • Two or three field RGB
  • Positive/negative
  • Earthquake mechanisms
  • Point symbols in DB
  • Color/line weight in DB
  • Terrain fabric
  • Dip and strikes: geologic orientations, if there are "DIP" and "STRIKE" fields in the data base.
  • Point separation
  • Connect sequential points: for a point data base, plots and connects points in sequential order on the map. Option to put arrows on the line in the direction of travel.
  • Plot fan locations
  • Label fans
  • Plot coverage circles
  • Edit Layer symbology
  • Edit gazetteer symbology
  • Selected symbology: use the default symbology, assigned with the leftmost button on the table display window. All selected records will be plotted. By selectively filtering, changing the symbology, and picking this option, you can plot features differently.
  • Change TIGER symboloby
  • z values: Very fast display for 3D point shapefiles. If you want more drawing control, or a legend, use Color code by DB field.
  • Record centroids: if the area records are small on a map covering a huge area, you can display them with a large symbol so you can locate them to zoom the map in.
  • Buffers: Buffers on the current map with the currently selected records in the database.
  • Restrict by map scale
  • Zoom to DB coverage (must be a shapefile, or a point DB with an SHX which you can create): sets the map limits to just cover the database. You can use [image] Annotate Map, Create shapefile, Create shapefile with the map outline and then use the file to rapidly over maps to the desired coverage area..
  • Color code by ratio two fields
  • Quick filtering
  • Label
    • Label all records: pick a field, and label all data with the value in the selected field.
    • Label every nth record:
    • Label selected data: Pick a field, and then click a record to label it with the value in the selected field.
  • Legend: for some types of database (e.g. Koppen, earthquake focal mechanisms) get a legend for the map.
  • Highlight color: color used to highlight records
  • Font
  • TIN contour
  • Animate field
  • Time Sequence (experimental, may not be working)

For viewsheds:

  • Plot fan locations
  • Label fans
  • Plot coverage circles

Change TIGER symbology

Last revision 3/1/2022


Connect Sequential Points

Accessed from Plot button on database table display window.

For a point data base, plots and connects points in sequential order on the map. Option to put arrows on the line in the direction of travel.

Last revision 2/4/2012


DB Principal Components

Option on the Stats button on the table display window.

Basics of principal components.

Last revision 9/13/2007


Data Base Point Separation

Accessed from Plot button on database table display window.

  • The database must have fields "LAT", "LONG", "LAT2", and "LONG2".
Width of lines proportional to one field up to a max of
"Max symbol size"
Color options
Bottom panel controls:

Last revision 4/7/2011


Database Record Click Popup Menu

These options will be on a popup menu when you click on a record in table display window. Some options will be available only for certain types of database files.

  • Record display. In addition to the text for each records, graphics will also be displayed.
    • Earthquake focal mechanism: requires Harvard CMT project database file.
    • Image: IMAGE field present. You can bring up an image (BMP, PNG, TIF, GIF, or JPEG) stored in the same directory as the database. If the file is a GIF, it will appear in a window that can play animated GIFs. The program will attempt to load other files (like MPEGs, WAVs, etc.) using the program set as the default in Windows.
    • Climograph--Koppen climate classification
  • Edit record options, requires edit enabled : You can also Color multiple records from the edit button on the toolbar.
    • Record edit: You will get a pop up window with the record, and can edit it.
    • Edit point location (graphical): requires point database, and edit enabled. If available, you can then double click a location on the map. If the point verification (Verify Graphical Selections, on the coordinates table of the options form) is set to verify all or reasonable, you will have to verify the selected points, either graphically in a small blowup window or via the keyboard. After selecting the point, and verifying it if necessary, you can double click on records in the data base to change their locations. This option currently only works for data bases which include LAT and LONG fields, and not for Shape files.
    • Edit Point symbol: for point shapefiles
    • Edit Font
    • Edit line weight and color for line shapefiles
    • Edit fill pattern for area shapefiles
    • Keyboard new point location: for point database.
    • Insert new record at distance/bearing
    • Distance to other records:
    • Associate image: requires an IMAGE field, and you can pick the image to associate with the record.
    • Delete record:
    • Color record
  • Map
    • Recenter map on record
    • Zoom map to record
    • Highlight record on map
  • Show
    • Record coordinates: gets a listing of the coordinates for the record. This will be in lat/long or UTM, depending on your choice of coordinates on the Units tab of the options form,.
    • Record screen coordinates: There is also a "Coordinates to text file" option the the Report tab.
    • Record bounding box
  • Calculate
    • Calculate Line length:
    • Calculate area:
    • Calculate perimeter:
    • Calculate volume
    • Calculate centroid:
    • Distance to other records
  • Views
    • Outline camera view
    • Perspective view
    • Panorama View
    • DEM Terrain profile--requires DEM map.
    • LOS/terrain profile
    • Normalized basin profile--distance and elevation both normalized from 0.0 to 1.0, so you can compare basins with different scaling.
    • 3D shapefile profile--requires 3D shapefile
    • Compare shape file and DEM profiles--requires a 3D shapefile and a DEM map.
    • DEM Terrain blowups
  • LVIS waveform: You must have prepared LVIS Level 2 ASCII data.
  • Movie
  • WWW
  • Delete record
  • Select all records prior to this one
  • Select all records after this one
  • Mask DEM/Grid: for an area shapefile, marks as missing all grid points not within the current record. Set masking options.
  • Range circles
  • Export
    • line/Polygon to point database: creates a point DBF file with LAT, LONG, ELEV_M, and DIST_KM. This allows you to see and manipulate the coordinates of the line.
  • Create DEM
  • Mark holes
  • Load Options to load data
    • from map library
    • sidescan image
    • Landsat indexed image
  • Data statistics
    • Station time series
    • Stratigraphic column
    • Plot XY fille
  • Point in record
  • Feature geomorphometry
  • Monthly winds
  • Ridge count around point
  • Accumulated cost surfeace
  • Point cloud and global DEMs
    • Point cloud statistics and canopy density
    • Point cloud points to DBF
    • Lat profile
    • Long profile
    • Both profiles
  • Show neighbors: requires that neighbors have been computed and stored.
  • WWW: WWW or URL field present. Bring up the web browser with the selected page.
  • Associate image
  • Options for weapons fans edits:
    • Edit Fan properties:
    • Edit fan color
  • Clipboard operations-- programs other than MICRODEM cannot use this feature. Move record locations from one file to another.
    • Copy record coordinates to clipboard. Point records can be pasted on this menu to modify a record, while new records can be inserted on the Edit menu.
    • Paste coordinates from clipboard. This works only for points and modifies the current record.

Last revision 1/27/2022


Database Record Display

Right click on record in table display window and pick Record Display.

Buttons on the top allow specialized options.
  • <Prev, Next>: cycle through records
  • CSV save:
  • Change image size
  • +Font: change font used
  • HTML: save table as HTML

Tabs select the view, if there are graphics

  • Database
  • Image: size set in the edit window
  • Climograph
  • Earthquake focal mechanism, and nodal plane orientations
  • Focal planes

Last Update: 9/10/2018


Data Base Table Stats Options

Options on popup menu from Stats button on table display window.

  • Some options will be available only for certain types of database files.
  • Some options will also be available by clicking on field name .
  • All statistical operations will use the current filter.
  • Count unique values: for a string field, the number of unique entries.
  • List unique values: for a string field, a memo box with the unique entries in alphabetical order.
  • List non-numeric values
  • Frequency table
  • Longest string
  • Sum
    • Sum for one field:
    • All records matching single field
  • Statistics/Moments
    • Single field
    • Select fields
    • All fields
    • Mean/STD all DBs
    • Field percentiles
  • Statistics grouped by one field:
  • Field correlations matrix
  • Centroid separations:
  • Find neighbors
  • Area record statistics
    • Multipart records
    • Records with holes
  • Principal components
  • Heat map
  • K-means clustering
    • Create cluster
    • Cluster frequency: select a field like AREA, and see how many tiles are in each cluster from that area. This shows which areas have tiles in a cluster, and the number of tiles. This shows what is on the cluster map, but unless you zoom the map in, that can only show that tiles in that area
    • Cluster maps: separate map for each cluster. Set the map area and symbol size before picking the option.
    • Cluster statistics: create a table with 5 statistics for each of characteristics defining the clusters. You can filter it to get just a single statistics.
  • Field co-occurrence matrix
  • Histogram:
    • 1 series
    • 2 series
    • 3 series
    • Cumulative
    • By category
    • Select multiple fields
    • All DBs single graph--each database, which has the same field as the one selected, will be plotted as a separate series on the histogram.
    • All DB's multiple graph
  • Rose diagram
  • Ternary Diagram
  • Area geomorphometry stats: for area/polygon shapefile, compute statistics for each area.
  • Earthquake Focal mechanisms: requires Harvard CMT project database file. Only select for a limited subset.
  • Structural geology
    • Three point problem
  • Geomorphometry stats (each polygon). Map on which DB was opened must have the DEM you want to use to compute the statistics.
  • Geomorphometry stats (each point neighborhood). Map on which DB was opened must have the DEM you want to use to compute the statistics.
  • Koppen latitude stats
  • 2D graph: If the points are in order and should be connected, you could also use the Time series option.
  • 3D graph:
  • 3D slicer
  • Box plot
  • Sticks/tadpole
  • Bar graph
  • Line length: computes the sum of the length for each field
  • Line lengths for one field
  • LOS/Topo profile: if the database has fields LAT, LONG, LAT2, and LONG2, selection draws Line of sight /Topographic Profiles
  • Profile all DEMs; if the database has fields LAT, LONG, LAT2, and LONG2, selection draws Multiple DEM profiles
  • Terrain profiles
    • All profiles normalized
    • All normalized profiles (density)
    • Each profile separately
    • Cycle through terrain profiles
  • ICESat-2
    • Lat Profiles, ground and canopy
    • Long profiles, ground and canopy
    • Lat profiles, color from date
    • Clean up ICESat-2 files
  • LVIS
  • Lidar to analyze global DEMs. This option is experimental and subject to change.
  • Plot all XY files
  • Cluster
  • Feature statistics
  • Trend surface
  • Time series
  • Supervised classification
  • Multiple linear regression:
    • Requires database with
      • FIELD--name of field in the database
      • VALUE--coefficient
    • Can create with Matlab
    • Creates new field PREDICTED, and fills with the value
  • Link/join data base
  • Multiple field quick filter
  • Oceanography
    • Drift models
    • Tide prediction
  • Redistrict
  • Multiple graph matrix
  • DEMIX
  • Elevations at bench marks
  • Trace route

Last revision 11/10/2022


Earthquake Focal Mechanisms--DB

Earthquake Focal Mechanisms

Option on Stats button on table display window.

Requires a Harvard CMT project database file. This should only be selected for a limited subset of the data because the full database might take too much time, and if you want to see spatial patterns you need a small area with consistent patterns.

  • Focal mechanisms, all on single image. Diagram with all beach balls.
  • Graph by latitude
  • Graph by longitude
  • Graph by latitude (km units)
  • Graph by longitude (km units)
  • Earthquake focal mechanisms 3D
  • Focal planes on stereonet
  • Poles to focal planes on stereonet
  • Dip directions for focal planes on stereonet
  • Rose diagrams, strikes
  • Rose diagrams, dip directions
  • Insert dip directions and dip and strike fields in the database.

  • Focal mechanisms: draw all the focal mechanisms on a single image.
  • Graph by latitude
  • Graph by longitude
  • Graph by latitude (km units).
  • Graph by longitude (km units). By default the graph will have no vertical exaggeration.
  • Earthquake focal mechanisms 3D
  • Zoom and rotate the OpenGL view.
  • Focal planes on stereonet. Too much data will probably make this very hard to interpret. With a reasonable number of mechanisms, you can see trends.
    • There appears to be a single set of strike-slip faults, nearly vertical, with a strike either about N20E or N 70W.
    • There is a single set of normal faults, with a strike betweeen N50E and N90, with dips either to the N or S at about 45 degrees.
  • Poles to focal planes on stereonet (the pole is the line normal to the plane, which projects to a point on the stereonet.). Too much data will probably make this very hard to interpret.
  • Dip directions for focal planes on stereonet. Too much data will probably make this very hard to interpret.
    • The normal faults are in green, and there are two groupings: moderate dips down to the NW, and moderate dips down to the SE
Rose diagrams, strikes. Example analysis.
Rose diagrams, dip directions. Example analysis.
Insert dip directions and dip and strike. Inserts four new fields, which allows you to get output with the dip and strike or the dip direction. You can then create tables with the information, or statistics on the dip directions.
Legend

  • Map query to restrict the data base to the region you want to investigate.
  • Graph earthquakes by depth against either latitude or longitude, color coded by focal mechanism, with the choice "Earthquake depth-focal mechanism" option from the Stats button of the Table display window.
  • On the graph, ID a record by double clicking. It will be highlighted (as in the one in the lower right of the graph), and display the earthquakes characteristics.

Display earthquake record, using

  • ID button on the map toolbar,
  • ID button on the database toolbar.

Then double click on the map.

Tabs show the beach ball, and orientations of focal planes.

Plotting options.

KML Beachball export

Last revision 3/26/2019


DB Edit String Fields

Edit button on Table view, which provides popup. Only enabled if you check the "EDIT" box on the right of the row of buttons, since all changes are permanent (save a copy of the database if you are concerned about editing mistakes).

  • Trim blanks: removes leading or trailing blanks, which can make filtering the database difficult. This should not be required, but moving files between programs can leave unwanted blanks.
    • one field
    • all string fields
  • Trim length all string fields: some databases have excessively long lengths for string fields. This option will find the longest length in each field, and rewrite the database to use this length for the field. This allows you to see many more fields in the table display, without have to manually resize the fields every time you open the database, or to hide the fields. This may limit merging of shape files, since one reason for excess field lengths is that other data bases for adjacent areas might have longer strings in the field. You can do this for a single field by Double clicking on its field name.
  • Add leading zeros:
  • Remove leading zeros: pick a field, and a desired length, and leading zeros will be appended. This can repair a field like a Zip code that has been treated as an integer, and thus cannot be used for join/link databases.
  • Remove non-numeric entries
  • Fix Excel dates: if you have fields like "2-3", Excel will turn them into "3-FEB". This will turn them back into the numerical form. This is really for things like heights ("5-9").
  • Add integer code: adds a field, and computes an integer code for each unique string in a string field. The codes will run from 1 to the number of unique values, and will be in alphabetical order.
  • Translate from table
  • Add record ID field: will add a string field, which will have an optional ID string, followed by a number from 1 to the number of records.
  • Extract file name: remove the path, and leave just the file name. This allows you to move the database and files to another computer.
  • Count of records with substring: gives a count of the number of records that contain the substring in each DB field of type.
  • Mask based on substring present in any string field for the record

Last revision 10/31/2019


Database Symbol Selection

This menu appears

  • when the leftmost button is pressed on the database table form
  • multiple database legend.
  • From the "Display" button on form that selects display options

If the database has one of the special color schemes (Koppen climate classification, geology dip and strike, earthquake focal mechanisms) it will be symbolized for that type of data.

This will take you to the selection options for the current display mode:

  • Color code by DB numeric field:
  • Color code by DB string field:
  • Color field in DB
  • Proportional symbols/Icons: (True Type fonts)
  • Default symbols
  • Icon field
  • Single icon for entire database
  • Zipatone Field
  • Single Zipatone for the entire database
  • Vector data : use two fields (magnitude and direction) to plot vectors on the map.
  • Two or three field RGB
  • Positive/negative
  • Earthquake mechanisms
  • Point symbols in DB
  • Color/line weight in DB

Last revision 10/3/2017


Database Symbolization

Databases can be opened:

  1. Solely for cartographic display.
  2. For full GIS use, including
    • Filter--restrict the database based on values of attributes
    • Map query -restrict the database based on geographic locations
    • Identify data base records. Double click on a feature, and see its attributes from the data base table.

Databases can be symbolized:

  1. Database (shapefile) and then display each database individually
    • Symbol and color selection. This has limited ability to use different symbols within a single database, unless you fill COLOR or ICON fields in the database. You can save the default symbology for display whenever you open the database.
    • Options on Plot button popup menu. This allows a range of options, but they cannot be saved for later automatic display.
  2. Produce a database with the databases to symbolize, filters to use, and the symbology. You can create this database on the Database menu and then open atop a base map from the Database menu .
    • Load cartographic overlay: opens database with a list of layers solely for use as a map overlay.
    • Load DB grouping: opens each database, with its table visible.
  3. Load project which will open databases and use the stored Symbol and color selection. This allows you to load a number of databases

Some databases have default symbolization which you can customize:

  1. Gazetteer
  2. TIGER
  3. OpenStreetMap
  4. Natural Earth world outlines.

Last revision 5/29/2011


Database Text Placement

The points database must have the font fields and the point symbology added.

The PLACE_TEXT field has the following meanings:

1=upper left | 2=centered above | 3 upper right
4=centered left | ▲ | 5 centered right
6=lower right | 7=centered below | 8=lower right

Last revision 10/7/2009


Database Time and Date Fields

Database Date and Time Fields

Submenu on "EDIT" button on database table form. The button is only enabled if you check the box on the right of the row of buttons, since all changes are permanent (save a copy of the database if you are concerned about editing mistakes).

  • Insert time animation fields (for KML/KMZ file). Insure that you have the fields you need before proceeding.
  • Insert date field: if fields MONTH, DAY, YEAR exist, they will be concatenated into a string field of the form "12/25/1944". There will not be any padding for single digit months and days.
  • Insert Year/month/day
  • Insert Julian date (annual)
  • Split date field (MM//DD/YYYY): takes date in the form MM/DD/YY, and creates fields YEAR, MONTH, and DAY. The date does not require leading zeroes for month and day. If the year only has two digits, for values less than 20 it assumes the 21st century, and for 21 to 99 it assumes the 20th century.
  • Split date field (YYYYMMDD): creates fields YEAR, MONTH, and DAY. Month and day must have two digits each.
  • Format date field: must have a DATE_LABEL field
    • MM/DD/YYYY
    • M/D/YYYY
    • YYYY/MM/DD: in this format, dates will be in alphabetical order.
  • Split time string (HH:MM:SS): creates fields "HOUR", 'MINUTE", and "SECOND".
  • Time field (HHMMSS or HH:MM:SS) to dec hours: creates a DEC_HOURS field which will have decimal hours.
  • Time fields (Hour/Minute/Second) to dec hours: creates an DEC_HOURS field which will have decimal hours, from fields "HOUR", 'MINUTE", and "DAY".
  • Time fields (Day/Hour/Minute/Second) to dec days: creates an DEC_DAYS field which will have decimal hours, from fields "DAY","HOUR", 'MINUTE", and "SECOND".
  • Time fields to dec Julian days (annual)
  • Time fields to dec years
  • Dec hours to HH:MM:SS--Uses DEC_HOURS to create a TIME_STR field (such as needed for KML time animations); hours, minutes, and seconds will have leading zeros so each is two digits.
  • Military time to HH:MM:SS
  • Day of week from Year/Month/Day: if fields MONTH, DAY, YEAR exist, this will compute the day of the week.
  • Days since full moon: if fields MONTH, DAY, YEAR exist, this will compute the number of days since the last full moon. Currently it only gives answers to an even number of days.
  • Format date field

Time fields used by MICRODEM database operations:

Name | Type | Example | Notes
HOUR | Integer |  |
MINUTE | Integer |  |
SECOND | Integer |  |
DAY | Integer |  |
MONTH | Integer |  |
YEAR | Integer |  |
DEC_HOURS | Float |  |
DEC_DAYS | Float |  |
TIME_STR | String | HH:MM:SS |
START_DATE | String | 1999-12-31T23:59:59Z (UTC) | Used for KML/KMZ
END_DATE | String |  |
DATE | String | MM/DD/YY | If the year only has two digits, for values less than 20 it assumes the 21st century, and for 21 to 99 it assumes the 20th century. The date does not require leading zeroes for month and day.
DATE_LABEL | String | MM/DD/YYYY |

Last revision 2/16/2016


Text/CSV Output

Export Text/CSV Output (deliberate)

Access from Report button on database table form. The resulting file can be imported into a spreadsheet for formatting or manipulaiton.

Field separators:

Thin factor: only output every nth record, for faster operations and smaller output files.

Last revision 1/05/2019


Dead Reckoning

Choice on Navigation submenu of "EDIT" button of database table form.

Requires fields LAT, LONG, KNOTS, HEADING, with time readings in HOUR (e.g. from a log book). You can filter the database to only operate on part of the record. If there is a field DT_HOURS, it will contain the intervals for computation in hours; otherwise the program will assume one hour per reading.

Insure that the LAT and LONG fields have enough precision for the computations; you might want to make them 12.2500001 rather than 12.25.

  • Forward: Using the first position, will compute a position for every reading until the end of the file.
  • Backward: Using the last position, will compute a position for every reading until the beginning of the file.

Last revision 2/28/2016


Define GIS

Define a GIS

A definition of a Geographical Information System (GIS) from the USGS (United States Geological Survey) states that

"A GIS is a computer system capable of capturing, storing, analyzing, and displaying geographically referenced information; that is, data identified according to location. Practitioners also define a GIS as including the procedures, operating personnel, and spatial data that go into the system."

Two components make something a GIS: a map, and computer data, linked together. The map part, or the geographic coordinates, differentiates a GIS from a standard computer database. In GIS, and especially in geospatial intelligence, we are looking for the spatial patterns. Where do things happen (description), and then why do they happen there (analysis).

The military currently classifies this as geospatial intelligence or GEOINT (previous terms included "Mapping, Charting, and Geodesy" (MC&G) and "Geospatial Information and Services" (GI&S)):

"The term "geospatial intelligence" means the exploitation and analysis of imagery and geospatial information to describe, assess, and visually depict physical features and geographically referenced activities on the earth. Geospatial intelligence consists of imagery, imagery intelligence, and geospatial information." (U.S. Code Title 10, §467)

The biggest problems for students using GIS deal with coordinates--when some of the map layers do not want to display on others, there are problems. Without coordinates, a graphical map is just a "dumb picture", and the GIS software has no way to know where to plot the map. The data must also stay in a GIS format to retain its full value; saving in a graphics format like JPEG loses all the associated data.

GIS programs store their vector data in tables, with rows and columns. Understanding GIS requires understanding computer databases. In the simplest cases the geographic coordinates for points can be included in the database table, but most cases require multiple files.

GIS is based on geography, and applies Tobler's first law of geography:

"Everything is related to everything else, but near things are more related than distant things."

Spatial patterns exist and prove to be important; GIS harness computers to look at maps and data and tease out the spatial relationships.

A GIS course will be a mixture of education and training:

  • Education in the principles of mapping, databases, and their intersection, with general concepts that should be more or less applicable in any software program you want to use.
  • Training in the specifics of a particular GIS program. The exact sequence of commands will vary in other software, but you should be able to adapt if you really understand the principles involved. Training will also have to deal with versions of a GIS program; as the technology improves, the interface changes, and you will no longer be able to use old directions. The same applies to web pages, which constantly evolve.

Fundamentally GIS is about telling stories, and the stories involve spatial patterns of data.

Last revision 5/19/2020


Delaunay Triangulation Registration

For quadrangle registration, the registration points lie on the ticks (or graticule intersections), and the triangles subdivide each rectangle. There are two potential ways to draw the triangles, and random effects (slight errors in locating points, and imprecision in floating point computations) determine which is drawn. This will not affect the results.

You can note any missing registration points on this diagram, enter them, and then redo the triangulation registration.
With Delaunay triangulation, you will get graphs of the Lat and Long versus the image coordinates. This should both be close to linear; if not, the graph pinpoints likely blunders in the digitization process. The points will not be entirely linear if you can see bending of the parallels and meridians on the map, or if the map is not perfectly aligned in the image.

You can correct any problem registration points pointed out on this diagram, and then redo the triangulation registration. You can identify the problem points from their image coordinates and geographic coordinates, find them in the registration point database, and correct them.

Recognizing Problems

Note that the triangles do not extend to the lower right corner. This point was misdigitized with west longitude.

It also appears that the 48N, -1.5 (W) was missed, because there is no line connecting it to the point to the north..

Note the multiple x coordinates at each longitude. The Y_IMAGE versus LATITUDE would show similar problems.
Fix problems on the image registration form
  • edit the coordinates of the initial corners in the map by typing into the grid,
  • re-select the Quad map.
  • Verify the grid/tick spacing
  • Say yes to recompute the interior points
  • Add any missing points by selecting "Next point", and then double clicking on the point.
  • If there are extra points, you can double click on them in the grid display, and pick delete registration point.
  • Redo the Reg file, TIN mapping

The map with the Delaunay triangulation currently has limited utility in MICRODEM. To use it as a normal base map, Reproject the old map or Export map for Google Earth.

Last revision 7/21/2014


DEM Difference Maps

DEM/Grid Difference Maps

Select from the Raster GIS menu, Multiple grid arithmetic.

DEM difference maps will be drawn in one of two ways:

  1. If the DEMs/grid are compatible the difference will be computed for each grid location.
  2. If the DEMs vary and are not compatible, the new grid will match the first of the two DEMs in extent and point spacing. At each location in that grid, the elevation in the other grid will be interpolated. Reasons for the grids varying could be different extents, or one DEM being UTM and the other Lat/Long.

Think about do you want a positive difference to mean. Along the coast or a river, or a landslide, this could be erosion or deposition, or it could be additon of a new building or tearing down an old building, or growth of trees, or loss of trees due to a fire.

The order of selecting the two DEM will determine the sign of the result. The second DEM will be subtracted from the first. The title of the map will show the order of the subtraction. If you want to control the resolution of the grid, you can change the sign of the results using Single grid arithmetic on the Edit menu and multiply by -1.

You can get:
  • XY scatter plot for the two grids.
  • Histograms for the two grids and the difference.
  • A difference map, which will have have the difference map highlight changes from a specified level
    • Points with greater positive change will be green
    • Points with greater negative change will be red
    • Other points will be gray
    • This is a hillshade/reflectance map, to show changes if you need to make adjustments. Insure that you pick an appropriate highlight level. Differences in NDVI will probably be less than 1 at the largest , and most will be much smaller Changes in lidar DSM will be up to 10 or more meters and many will be more than 1 m.
    • If the highlight level is too large, everything will be gray (with maybe a couple of colors areas).
    • If the highlight level is too small, everything will be graeen or gray.
  • The altenative to the difference map will a colored Elevation/grid value map, with the colors scaled from the largest to the smallest.

If you take the first grid as the later one, and subtract the earlier:

  • Positive will the uplift, deposition, or building contstruction
  • Negative will the subsidence erosion, or building removal

References:

Last revision 2/15/2023


Poor Man's DEM Digitization

This option is not for the faint of heart. It requires patience and that you understand a great deal about DEM characteristics. Improving this option is on the agenda, but with a very low priority.

Digitize scanned map (like a DRG).

Import XYZ file and create a DEM.

Fill holes.

Last revision 1/6/2002


MICRODEM version 2 DEM Format

tHeaderRecord = packed record //for a DEM

  • DEMUsed : tDEMAvailable;
  • DEMPrecision : tDEMprecision;
  • DataSpacing : tSpacingUnit;
  • NumCol, {number of columns in data set}
  • NumRow : SmallInt; {number of rows in data set}
  • MaxElev, {max elevation in data set}
  • MinElev, {min elevation in data set}
  • fLatInterval,
  • fLongInterval,
  • oldfSWCornerx,
  • oldfSWCornerY : shortfloat;
  • ElevUnits : tZValueUnit;
  • DefProjName : string[7];
  • SquareID : string2;
  • UTMZone : Byte; {6ø UTM Zone number, USGS/MGRS standard: 1 = W177, 60 = E177}
  • DMAMapDefinition : tDMAMapBasicDefinition;
  • DigitizeDatum : tDigitizeDatum; {sets the datum for the DEM, and it is transformed to the desired local datum for use}
  • LatHemisph : char; {N or S}
  • CreationInformation : string[29];
  • FIPS_Zone : SmallInt;
  • hdfSWCornerx,
  • hdfSWCornerY : Float;
  • FutureUse : array[1..7] of byte;
    end;

On Jan 3, 2007, the structure of the headers changed. Either the oldfSWCornerX and oldfSWCornerY, or the hdfSWCornerx, and hdfSWCornerY fields will be used. The other set will be set to 0. Software reading both types of headers will have to check both fields, and use the non-zero values. This change was required by finding that the shortfloat, with 7 significant figures, did not "accurately" locate UTM coordinates.

version 3 format introduced 5/23/2010

version 4 format introduced 7/30/2014

Last revision12/30/2017


MICRODEM version 3 DEM Format

The format was introduced 5/23/2010, to accommodate DEMs with more than 32,767 columns or rows. The NumCol and NumRow changes from 2 byte integers to an unsigned 2 byte value.

tHeaderRecord = packed record //for a DEM

  • DEMUsed : tDEMAvailable;
  • DEMPrecision : tDEMprecision;
  • DataSpacing : tSpacingUnit;
  • MaxElev, {max elevation in data set}
  • MinElev, {min elevation in data set}
  • LatInterval, {y spacing}
  • fLongInterval : shortFloat; {x spacing}
  • NumCol,NumRow : word;
  • ElevUnits : tZValueUnit;
  • DefProjName : string[7]; {Pascal, 8 bytes, byte[0] is the string length} {complex projection definition}
  • SquareID : string2; {Pascal, 3 bytes, byte[2] is the string length}
  • UTMZone : Byte; {6 degree UTM Zone number, USGS/MGRS standard: 1 = W177, 60 = E177}
  • DMAMapDefinition : tDMAMapBasicDefinition;
  • DigitizeDatum : tDigitizeDatum; {sets the datum for the DEM, and it is transformed to the desired local datum for use}
  • LatHemisph : AnsiChar; {N or S}
  • CreationInformation : string[29];
  • FIPS_Zone : SmallInt;
  • hdfSWCornerx,
  • hdfSWCornerY : Float;
  • FutureUse : array[1..15] of byte;
    •

Types:

  • tDEMAvailable = (UTMbasedDEM,ArcSecondDEM);
  • tSpacingUnit = (SpaceMeters,SpaceSeconds,SpaceMinutes,SpaceKM,Space100m, SpaceFeet,SpaceKFeet,SpaceDegrees,SpaceHundredthSecond,MercProj100m, PolarStereo100m,Space10m,SpaceTenthSecond,SpaceTenThousandthDegree,SpaceIntFeet,SpaceUSFeet);
  • tZValueUnit = (Meters,Feet,TenthMgal,Milligal,TenthGamma,Decimeters,Gammas, HundredthMGal,DeciFeet,Centimeters,OtherElev,HundredthMa,TenthPercentSlope, Undefined,zDegrees,UndefinedHundredth,lnElev,LogElev,zTenthDegrees, UndefinedThousandth,HundredthPercent,UndefinedTenth,HundredthDegree, Tens,Hundreds,Thousands,NLCD2001);
  • tDigitizeDatum = (WGS72d,WGS84d,NAD27d,NAD83d,Spherical,Local, Rectangular,LamAzEqAreaSphere,SinusEllip,PRDd,UK_OS_grid,ddDefined,MarsD,VenusD);
  • tDEMprecision = (SmallIntDEM,FloatingPointDEM,ByteDEM);
  • tDMAMapBasicDefinition = packed record
    • h_Adat,h_f : double; {added July 95}
    • h_XDat,h_YDat,h_ZDat : SmallInt; {added July 95}
    • h_DatumCode : tDatumCode; {added June 98}
    • h_EllipsCode : tEllipsCode; {added June 98}
  • end;

version 2 format

version 4 format introduced 7/30/2014

Last revision 7/30/2014


MICRODEM version 4 DEM Format

MICRODEM version 4 & 5 DEM Format

The MICRODEM format goes back to the mid 1980's, and has evolved as DEMs moved from 16 bit integers. While the program can read other formats, they are converted to this format for the program's internal representation of a grid.

For interchange with other programs Geotiff is a better (probably mandatory) option.

  • The only thing not currently in a Geotiff is an indication of what the z values represent, which we add as a note which MICRODEM can interpret and which other programs will ignore.
  • MICRODEM also reads its native format much faster than it does a Geotiff.

MICRODEM format DEMs can now save the Geotiff keys for some map projections (previously only geographic and UTM were allowed). This is an extension to the v4 format. This allows creation of derivative grids that are not UTM and not geographic. Mars DEMs in equirectangular were the initial impetus.

Header | Comments
*MICRODEMv4 numcol=7543 numrow=21131 maxz=1786.507446 minz=-327.923706 dx=1.011582613 dy=1.011582613 llx=-3691.26494242 lly=-406457.93893821 utmzone=11 projtype=0 precision=1 spaceunit=0 elevunit=0 digdatum=11 fipszone=0 hemi=N h_datum=WGS84 VertCSType=0 3075=17 2057=3396036.8126024 2058=3396036.8126024 2061=0 3078=-5 3082=0 3083=0 3088=284.23 3089=0 *END | All number keys are the values from the Geotiff header. These are intially read from a Geotiff file, and written to the MICRODEM file when derivative grids are created. The 3075 code defined the projection, its presence alerts MICRODEM to

The header consists of 1024 ASCII bytes at the beginning of the file. Each field consists of a key, an "=", the value, and a #13 line termination. The order of keys is not specified, and more can be added at any time as long as the total size does not exceed the 1024 characters.

Version 4 added the WKT projection in early 2021. Version 5 was added in March 2021, to doubled the header size to 2028 to deal with very verbose WKT.

The format was introduced 7/30/2014, to accommodate reading on Android and IOS devices. Between the problems with byte order and string definitions, it was time for a clean break and an easily extensible format.

version 3 format introduced 5/23/2010.

version 2 format

Last revision 3/7/2021


Create DEM from Lidar

Create DEM from Lidar Point Cloud

  • Download lidar data
  • Open MICRODEM program
  • Open point clouds
  • Subset & zoom the map so it covers the area you want for the DEMs
  • Pick the grid parameters for the DEMs
  • Pick the Multi pass grid option

last revision 5/30/2021


A History of DEM Starting Locati

A History of DEM Starting Location and Pixel Location

Table 1 shows two interpretations of a DEM based on an ASC file with no other metadata. GDAL uses both interpretations of the same file, depending on whether gdal_merge or gdal_translate is used.

Table 1. Two interpretations of an ASC DEM, from Italy

 |  | ASC file |  | Interpret Pixel-is-point | Interpret Pixel-is-area (NW corner)
 |  |  | xulcenter | 652500.25 | 652500
 |  |  | yulcenter | 5140499.75 | 5140500
 | ncols | 1000 |  |  |
SW Corner | nrows | 1000 |  |  |
 | xllcenter | 652500.25 | x | 652500.25 | 652500
 | yllcenter | 5140000.25 | y | 5140000.25 | 5140000.5
 | cellsize | 0.5 |  |  |

USGS National Mapping Program, 1992-1998, Technical Instructions, Standards for Digital Elevation Models

  • Part 1, General. https://web.archive.org/web/20180612184053/https://nationalmap.gov/standards/pdf/1DEM0897.PDF
  • Part 2, Specifications https://web.archive.org/web/20180612184054/https://nationalmap.gov/standards/pdf/2DEM0198.PDF
  • Part 3, Quality Control https://web.archive.org/web/20180612184055/https://nationalmap.gov/standards/pdf/3DEM0897.PDF

DEM starts at the SW corner, with rows running south to north, and columns running west to east. Both in the figures and text, the “elevation points” represent a point with no discussion about areas.
Variable number of points in each profile (column), because the data is in UTM projection but clipped to the bounds of a geographic quadrangle.

Federal Geographic Data Committee, 1999, SDTS Part 5: Raster Profile and Extensions: https://www.fgdc.gov/standards/projects/SDTS/sdts_pt5/srpe0299.pdf

  • Page 38 says Geotiff “less appropriate for ….. digital elevation grids or multi-spectral satellite data. [They got that one wrong, but DEMs would have been much better to keep the SW corner starting location which is a Cartesian grid, and not the computer graphics convention starting in the NW corner.]
  • Not very clear on how the DEMs were encoded
  • Bad memories of dealing with this format, and it utter neglect of the KISS design principle (VPF was competing to see who could make the most complex data structure)

National Imagery and Mapping Agency, 2000, MIL-PRF-89020B, PERFORMANCE SPECIFICATION: DIGITAL TERRAIN ELEVATION DATA.

  • DEM starts at the SW corner, with rows running south to north, and columns running west to east
  • Values are “true elevation of point”
  • Thinning done by decimation; the elevations in the 3” product are the same as those in the corresponding position in the 1” product

Pixel-is-what

Last revision 7/25/2023


DEM Holes

Option on Edit menu

These work on the entire DEM. To work on a designated region, use Outline regions options.
  • Missing data to sea level
    • Entire grid
    • Island perimeter--starts at each edge, and replaces any missing data with 0.
  • Missing data to specified value
  • Fill holes from reference DEM: for all voids/holes in the DEM, the value from the reference DEM will be interpolated and filled into the original DEM.
    • Grid in file--does not open a map, and closes the reference grid after the hole filling
    • Open grid
  • Replace values with reference DEM: for all points in the DEM, the value from the reference DEM will be interpolated and filled into the original DEM. This will work if the reference DEM covers only a part of the original DEM, or has missing data in the regions you do not want replaced.
    • Grid in file--does not open a map, and closes the reference grid after the hole filling
  • Drop in the bucket from ASCII XYZ (lat/long/z) or 3D shapefile or DBF file. Will put the values from the file in the closest location, and will use only the first value found.
  • Merge grids, take lowest value: the two grids must have the same extent and spacing.
  • Interpolate across holes (smooth): fill holes in the DEM which have missing data.
  • Replace with mode must be a byte grid. Uses mode (or majority) filter to replace with the most common value in a 3x3 or 5x5 region.
  • Fill holes with external program
    • Whitebox
    • GDAL

Last revision 11/30/2020


DEM Resampling

There are limited valid reasons to resample a DEM. Resampling gets new data points, and can remove original data points.

Valid reasons

  • Resample to a larger resolution

The following are NOT valid reasons to resample:

  • Compute slope or similar derived properties. Suggestions that the data must be in a UTM or similar projection are simply wrong. Properly designed software can work with lat/long data. Slope, aspect, hillshade algorithms for arc second DEMs
  • Deal with arc second data with the lat and long spacings are different in an attempt to keep pixels more square, which is done at high latitude for some global 1" and 3" DEMs.

Resampling options in MICRODEM

  • Save DEM/grid on the File menu
  • Downsampling on the Raster GIS menu (creating a lower resolution grid)

Last revision 2/18/2022

.


DEM Summary Table

DEM | LAT | LONG | MIN_Z | MAX_Z | HOLES_PC | SW_CORNERX | SW_CORNERY | SW_CORNER | DX | DY | NUM_COL | NUM_ROW | PIXEL_IS | AVG_X_M | AVG_Y_M | AVG_SP_M | REC_ID
blue_ridge | 38.712 | -78.282 | 144.6 | 1023.9 | 0 | -78.37583332 | 38.64583332 | N38¦38'45" W78¦22'33 | 0.00083333 | 0.00083333 | 225 | 160 | 2 | 72.48 | 92.51 | 82.49 | 1
canyon_mtns | 39.355 | -112.23 | 1619.4 | 2928 | 0 | -112.29999998 | 39.30916665 | N39¦18'33" W112¦18'0 | 0.00083333 | 0.00083333 | 168 | 110 | 2 | 71.83 | 92.52 | 82.17 | 2
el_hiero | 27.74 | -18.019 | -10.5 | 1530.4 | 62.81 | -18.16749998 | 27.62749999 | N27¦37'39" W18¦10'3 | 0.00083333 | 0.00083333 | 358 | 272 | 2 | 82.16 | 92.35 | 87.25 | 3
guam | 13.295 | 144.703 | 0 | 448.2 | 30.809 | 144.63250002 | 13.23416665 | N13¦14'3" E144¦37'57 | 0.00083333 | 0.00083333 | 169 | 148 | 2 | 90.29 | 92.19 | 91.24 | 4

Last revision 9/14/2021


DEM Coloring Vector Map Projection

  • New Vector Map: Open a vector map.
  • Blow up or subset as desired. Some vector projections cannot be blown up.
  • If you have the DEM open, associate it with the vector map with the "Modify, Set DEM with map" menu choice.
  • Pick Overlay, DEM elevation colors
  • Select the DEM.
  • The map will be recolored.

Last revision 1/24/2004


TIGER files

TIGER Overview

TIGER shapefile are now the primary option for Tiger data. The program only use the shapefiles.

Download TIGER data.

Use TIGER data base.

  • Address geocoding from the line/edges files
  • Legislative redistricting
  • Economic and demographic data

Multiple ways to plot TIGER files:

  • Plot at overlay on another map
    • Database (shapefile):
    • Map Overlays
    • Overlay, All TIGER Menu choice
    • Right click on map, Overlay, TIGER
  • Create map with just the TIGER data (with option to overlay additional data):
    • TIGER button on main program toolbar loads a vector map of a single county. (must be indexed and enabled on the Options form, Menu choices tab).

By default MICRODEM uses smart scaling to show increasing levels of detail as you zoom in.

TIGER data for Pulaski County, Missouri, showing smart scaling over a range of scales that vary by a factor of 40.

TIGER plotting options can be set by right click on the map window with TIGER data plotted, and selecting [image] Map Overlays from the popup menu. You can set the following:

  • For each type of data, the line color and width.
  • Turn layer on or off .
  • Set autoscaling, which uses smart scaling to remove smaller road and stream features as you zoom out. See the examples above.

You can also use TIGER auto-plotting to plot the TIGER overlay every time a map is plotted. Pick this on the Vector Map tab of the map options form, which requires that you index the TIGER files.

OpenStreetMap. Alternative in US (includes building footprints) and rest of the world; TIGER is only US.

Tiger WMS: https://tigerweb.geo.census.gov/tigerwebmain/tigerweb_wms.html

Last revised 8/14/2019


DTED conventions

DTED File Conventions

DTED comes in 1° by 1° cells named for the SW corner.

Specs for DTED are as follows:

Level 0 | ~900 meter | 30 arc seconds
Level 1 | ~90 meter | 3 arc seconds
Level 2 | ~30 meter | 1 arc second

Last revision 8/26/2023


Ordnance Survey DEM

Lidar DSM/DTM at 2 m, 1 m, and 0.5 m resolutions. This is so much better than the older data, you should use this if at all possible.

MICRODEM reads the United Kingdom Ordnance Survey DEM in NTF v.2.0 format, in several variants:

  • 50 m post spacing, in 20 km square tiles. The file must be named according to the OS convention, such as TQ26.NTF. The first two characters reference the 100 km grid square, and the two digits the 20 km grid square.
  • 10 m post spacing, in 5 km square tiles. The file must be named according to the OS convention, such as TQ53NE.NTF. The first two characters reference the 100 km grid square, the two digits the 10 km grid square, and the last two digits to the 5 km quadrant of the tile.
  • 5 m post spacing, in 5 km square tiles. The file must be named according to the OS convention, which appears to follow the same rules as the 10 m DEM.
  • 2 m post spacing in urban areas; I have not seen a sample of this.

The program will ignore a leading DT for 5 km tiles and a DTM for 20 km tile file names. You cannot rename the files; the registration information is in the file name. If you want descriptive names, put the files into directories.

The import assumes the grid size and spacing, and gets the DEM location from the file name. It ignores the header portion of the file, and jumps directly to the data grid. It has been tested with a number of DEMs (at least 5 for the 50 m posting, 1 for the 10 m, and 2 for the 5 m postings.). Should there be importing problems, I would need a copy of the offending DEM to fix the code.

The British National grid uses a transverse Mercator projection, but differs from UTM:

  • False easting and northing start at N49, W2 rather than the equator and a central meridian that would be W3 (or E3 for the Eastern Hemisphere part of the UK).
  • Projection covers about 12 degrees of longitude, double the size of a UTM zone.
  • The 100 km grid squares use a unique two letter naming convention.

For the British National Grid, see

  • page A.1, The National Grid, in Ordnance Survey, Land-Form Panorama User Guide, v.2.0, 06/1997.
  • page 4-8. Defense Mapping Agency, DMA TM 8358.1, Ed.1, 1998.

Landform Panorama:

  • NTF and ASC formats
  • https://www.ordnancesurvey.co.uk/docs/user-guides/land-form-panorama-user-guide.pdf , user guide is dated 2015
  • https://www.ordnancesurvey.co.uk/business-and-government/products/land-form-panorama.html
  • Collected in 1970-1980 and not updated since
  • Withdrawn spring 2017, and replaced by OS Terrain 50

OS Terrain 50

  • ASC and GML grids, 50 m spacing
  • Also an OS Terrain 5, but that is not free. Instead, get the Lidar DSM/DTM.

Last revised 10/24/2017


Slope Angle vs Percent slope

The program generally uses slope in percent, 100 * rise/run. When asked for a slope value, enter it in percent.

Angle (°) | Slope(%)
1 | 1.7
2 | 3.5
3 | 5.2
4 | 7.0
5 | 8.7
6 | 10.5
7 | 12.3
8 | 14.1
9 | 15.8
10 | 17.6
15 | 26.8
20 | 36.4
25 | 46.6
30 | 57.7
35 | 70.0
40 | 83.9
45 | 100.0
50 | 119.2
60 | 173.2
70 | 274.7

Slope (%) | Angle (°)
1 | 0.57
2 | 1.15
5 | 2.86
10 | 5.71
15 | 8.53
20 | 11.31
25 | 14.04
30 | 16.70
35 | 19.29
40 | 21.80
45 | 24.23
50 | 26.57
60 | 30.96
70 | 34.99
80 | 38.66
90 | 41.99
100 | 45.00
125 | 51.34
150 | 56.31
200 | 63.43
250 | 68.20
300 | 71.57
Percent slope is the tangent of the slope angle (rise/run), multiplied by 100.

Last revision 5/28/2022


Diagonal Distances

Many people feel that the map distance "as the crow flies" will significantly underestimate true distance. This will generally not be true; I once did a numerical analysis of the feature at West Point, NY (fairly mountainous for the East coast), going both parallel and perpendicular to the grain of topography, and the map distance varied from the actual slope distance by only a few percent. Unfortunately, I do not have a copy of that analysis. Your actual walking distance may be significantly greater because you don't traverse a straight line, but tend to follow a switchback trail, but that is another matter.

The following chart emphasizes the point. The distance or area will be increased by the secant of the angle of slope, and until you get to very large slopes, the secant is essentially 1. Even in steep areas (and 45° is about as steep as you get in nature on what looks like a vertical cliff), only a small percentage of the area is that steep.

Angle (°)

Slope %

Secant

1

1.75

1.000

2

3.49

1.001

3

5.24

1.001

4

6.99

1.002

5

8.75

1.004

7

12.28

1.008

10

17.63

1.015

15

26.79

1.035

20

36.40

1.064

25

46.63

1.103

30

57.74

1.155

35

70.02

1.221

40

83.91

1.305

45

100.00

1.414

Last revision 11/26/99


1:24,000 DEM

1:24,000 USGS DEM--Historical Interest Only

The 1:24K DEM has points every 30 m on a UTM grid based on NAD-27. Data spacing is regular, but because of the construction of the UTM grid in 6° zones the grid is rotated with respect to geographic latitude-longitude coordinates. DEMs cover 7.5 minute topographic map quadrangles, and elevation profiles are clipped at the boundaries of the quadrangle, which creates complexities not present in the 1:250K DEM. Grid north-true north divergence increases away from the central meridian in each zone, leading to variable numbers of columns and rows in the DEMs due both to the UTM grid and convergence of the meridians with latitude. The Table below shows typical size and storage required for 1:24K DEMs with latitude at the center and edges of a 6° UTM zone; note that due to clipping of elevation profiles at the quadrangle boundary, some of the storage space is not used.

Table. Approximate Size of USGS 1:24,000 DEMs
 | Westernmost |  |  | Left Central |  |  | Right Central |  |  | Easternmost
Lat | Col | Row | kb | Col | Row | Kb | Col | Row | kb | Col | Row | kb
75 | 145 | 472 | 134 | 124 | 467 | 113 | 123 | 467 | 112 | 144 | 472 | 133
65 | 220 | 475 | 204 | 200 | 467 | 182 | 199 | 466 | 181 | 218 | 475 | 202
55 | 289 | 477 | 269 | 269 | 467 | 245 | 269 | 466 | 245 | 287 | 477 | 267
50 | 319 | 477 | 297 | 301 | 466 | 274 | 301 | 466 | 274 | 318 | 476 | 296
45 | 347 | 477 | 323 | 331 | 465 | 301 | 331 | 465 | 301 | 347 | 477 | 323
40 | 374 | 477 | 348 | 358 | 465 | 325 | 358 | 465 | 325 | 372 | 476 | 346
35 | 396 | 476 | 368 | 383 | 464 | 347 | 382 | 465 | 347 | 396 | 475 | 367
30 | 417 | 475 | 387 | 405 | 464 | 367 | 404 | 464 | 366 | 415 | 474 | 384
20 | 447 | 471 | 411 | 439 | 464 | 398 | 438 | 463 | 396 | 446 | 471 | 410
10 | 464 | 468 | 424 | 459 | 463 | 415 | 459 | 463 | 415 | 463 | 467 | 422

Figures in the table were calculated by computing the UTM of quadrangle corners at various latitudes, and various distances from a typical central meridian (117°W). The calculations cover the extreme cases at the east and west margins of the UTM zone, where the UTM grid is rotated the greatest distance from the meridians of longitude, as well as the central cases where rotation is the least. The numbers in the table contain a small safety margin, and the actual number of columns and rows in the data sets I have worked with was 1-2 less than that predicted. Along the edges of the UTM zone the number of rows in the data sets increase to a maximum of 477, from 463-467 along the central meridian. The number of columns also increases somewhat moving away from the central meridian, but that effect is much less than the effect of the converging meridians moving north.

NED --preferred USGS data set.

Last revision 12/17/2007


DEM Accuracy

The accuracy of a DEM is dependent upon its source and the spatial resolution, that is grid spacing, of the data profiles. One factor influencing DEM accuracy is source data scale and resolution. A dependency exists between the scale of the source materials and the level of grid refinement possible. The source resolution is also a factor in determining the level of content that may be extracted during digitization. For example, 1:250,000-scale topographic maps are the primary source of 1-degree DEMs.

Another factor is the horizontal and vertical dimension of the DEM. Horizontal accuracy of DEM data is dependent upon the horizontal spacing of the elevation matrix. Within a standard DEM, most terrain features are generalized by being reduced to grid nodes spaced at regular intersections in the horizontal plane. This generalization reduces the ability to recover positions of specific features less than the internal spacing during testing and results in a de facto filtering or smoothing of the surface during gridding.

Vertical accuracy of DEM data is dependent upon the spatial resolution (horizontal grid spacing), quality of the source data, collection and processing procedures, and digitizing systems. As with horizontal accuracy, the entire process, beginning with project authorization, compilation of the source data sets, and the final gridding process, must satisfy accuracy criteria customarily applied to each system. Each source data set must qualify to be used in the next step of the process. Errors have the effect of compounding for each step of the process.

The horizontal accuracy of the DEM is expressed as an estimated root mean square error (RMSE). The estimate of the RMSE is based upon horizontal accuracy tests of the DEM source materials which are selected as equal to or less than intended horizontal RMSE error of the DEM. The testing of horizontal accuracy of the source materials is accomplished by comparing the planimetric (X and Y) coordinates of well-defined ground points with the coordinates of the same points as determined from a source of higher accuracy.

The vertical RMSE statistic is used to describe the vertical accuracy of a DEM, encompassing both random and systematic errors introduced during production of the data. Accuracy is computed by a comparison of linear interpolated elevations in the DEM with corresponding known elevations. Test points are well distributed, representative of the terrain, and have true elevations with accuracies well within the DEM accuracy criteria. Acceptable test points include, in order of preference: field control, aerotriangulated test points, spot elevations, or points on contours from existing source maps with appropriate contour interval. A minimum of 28 test points per DEM is required to compute the RMSE, which is composed of a single test using 20 interior points and 8 edge points. Edge points are those which are located along, at, or near the quadrangle neatlines and are deemed by the editor to be useful to evaluating the accuracy of the edge of the DEM. Collection of test point data and comparison of the DEM with the quadrangle hypsography are conducted by the quality control units within the USGS.

There are three types of DEM vertical errors; blunder, systematic and random. These errors are reduced in magnitude by editing but cannot be completely eliminated. Blunder errors are those errors of major proportions and are easily identified and removed during interactive editing. Systematic errors are those errors that follow some fixed pattern and are introduced by data collection procedures and systems. These error artifacts include: vertical elevation shifts, misinterpretation of terrain surface due to trees, buildings and shadows, and fictitious ridges, tops, benches or striations. Random errors result from unknown or accidental causes.

Extracted from USGS WWW pages in the spring of 1997. While it applies specifically to USGS products and procedures, the same principles apply to NGA or other DEM producers.

Last revision 11/15/2006


SDTS DEMs

SDTS Format DEMs

MICRODEM can read using GDAL.


1:250,000 DEM

1:250,000 (3") DEM

>

Data spacing for NGA DTED Level 1, which has changes in the E-W spacing at higher latitudes. East-west spacing is show in red, and the nearly constant north-south spacing in green. The validity of the approximation that DTED Level 1 has 90 or 100 m spacing depends on latitude.

Some of the 1" global DEMs (ALOS and COP) have roughly similar changes in the east-west spacing. Values for the 1" DEM are 1/3 of those for the 3" DEM.

Table. Spacing of Three Arc Second 1:250K DEM (DTED Level 1)

Latitude | E-W spacing | N-S spacing
0 | 92.7 m | 92.1 m
10 | 91.3 m | 92.1 m
20 | 87.1 m | 92.2 m
30 | 80.3 m | 92.3 m
40 | 71.0 m | 92.5 m
45 | 65.5 m | 92.6 m
50* | 119.1 m | 92.7 m
55 | 106.3 m | 92.7 m
60 | 92.6 m | 92.8 m
65 | 78.2 m | 92.9 m
70* | 94.9 m | 92.9 m
75* | 95.5 m | 93.0 m
80* | 95.7 m | 93.0 m
85 | 47.4 m | 93.0 m

* Changes in longitudinal data spacing

Last revision 8/26/2023


Crooked UTM Grid Lines

For lat-long data sets, true north is to the top of the screen, while for the UTM based data set the grid north is to the top. This provides the fastest operation with each type of data, and avoids a rotation if the other north were placed at the top of the map. UTM grid lines for arc second data break because true north lies to the top of the screen, and grid and true north only coincide at the center of a 6° UTM zone. Near the edges of UTM zones the grid lines definitely do not run true north-south.

More on the varieties of north......

Last revision 6/18/2010


Structure of USGS DEMS

DEMs are stored as a series of north-south elevation profiles. The profiles progress from west to east, and within each profile the points start from the south and follow sequentially to the north. Thus the first data point is at the southwest corner of the data set, and the last point at the northeast point of the data set.

USGS created a 1:100,000 DEM, but it never became as popular or widespread as the 24K or 250K. SDTS replaced the original ASCII formats but was never very popular despite mandates that it be used. The current USGS push is to use 3DEP/NED, which uses a variety of formats.

 USGS DEM
Spacing
Columns
Rows
File Size
Profiles

1:24,000

UTM--10 m & 30 m
varies
varies
variable
clipped
 This is no longer available, and unless you have very good reasons, do not use any old data you might find.
1:100,000
Geographic--2 arc sec
constant
constant
constant
filled
 Never very common.
1:250,000
Geographic--3 arc sec
constant
constant
constant
filled
 Original source was NGA-predecessor agency, and there is little good reason to use this data. SRTM is much better.

N3DEP/ED

1", 1/3", and 1/9"

variable

variable

variable

filled

1 m 1 m filled Derived from lidar, with increasing coverage.

See also:

  • Approximate metric equivalents.

Last revision 11/2/2017


Graphical point selection

Graphical Point Verification

If the option for Verify Coordinates is set to All or Reasonable, you can verify points using the blown up window covering the region in the vicinity of your initial mouse click on the selection map. This map should have a reasonable default contour interval. Your current location will be shown in the status bar at the bottom of the program window. The point on which you clicked on the main map will be the center of this window.

This allows you to insure that your selected point lies on the top of a hill, the crest of a ridge, or other critical location, by judging exactly where it appears in the DEM. Depending on the quality of the DEM, this might not be at the same coordinates on a paper map. It may also be difficult to correctly pick the point you want from the DEM, depending on the size of the DEM and the window on screen.

You must move the mouse to the correct location on this window; your previous selection from the main map will be in the center of the window, but the mouse cursor will not automatically be located there.

Turn off coordinate verification if you do not need the degree of control this option provides for point selection.

Last revision 12/3/2011


Program Version Changes

MICRODEM Significant Version changes

Program History

Minor changes, bug fixes, and modifications at the source code level are not referenced.

The completeness of this log varies, and currently is very sparse. The important improvements will now be listed in the Program History , organized by functional aspects of the program, and linked to the relevant section in the help file, and the MD forum hosted by Delphi will list bug reports and other questions that have been asked.

The current build numbering system uses a number like 2014.6.24.1, where each number has a meaning:

  • Year,
  • Month,
  • Day,
  • Build during that day.

The old numbering system used a number like 12.34.28.4, where each number had a meaning:

  • First number, the major version and corresponds to the version of Object Pascal compiler used.
  • Second number, the minor version. This increased every time a complete install was posted on the WWW or every month.
  • Third number, the release. This will correspond to the day of the month the version was compiled, and can be used to track debug installs.
  • Fourth number, the build.

Version numbering is a Windows standard, stored in the executable file and retrieved with an API call.

  • 1.0 June 1986: MICRODEM renamed from TERRANAL when it left West Point
  • 2.0 Oct 1986: EGA support
  • 3.0 6/25/87: store DEM in RAM
  • 3.01 7/9/87: graph elevation histogram
  • 3.02 7/12/87: 3 point problem, graphic selection LOS
  • 3.1 7/21/87: graphic select oblique and contour map; vertical ticks on LOS; aspect maps
  • 3.12 7/28/87: formation thickness and trace contacts
  • 3.2 8/27/87: UTM conversion allows choice of number coordinates; warning if converting too far from UTM zone
  • 3.4 10/2/87: Mouse support
  • 4.01 1/24/88: Fishnet oblique
  • 4.03 2/17/88: Perspective View
  • 4.10 4/28/88: 1:24K DEM support added
  • 4.20 6/18/88: compare contour maps
  • 4.23 8/31/88: reflectance maps
  • 4.24 9/08/88: non-standard UTM based DEMs; vary elevation categories on tinted elevation maps
  • 4.25 9/14/88: 24 pin printer
  • 4.30 9/21/88: laser printer
  • 5.00 10/18/88: VGA support
  • 5.02 11/25/88: increased DEM handling routines (ASCII export, 30' cells); ASCII file creation from the DEM; conversion of 30' DEMs into 15' format
  • 5.03 12/12/88: basin delineation; histogram option with cumulative percent of area versus elevation
  • 5.10 2/09/89: allows 30' 1:250 DEM (DTED Level 1); saved point file in GIS module; prepare header for 1:250K 30' data
  • 5.11 2/26/89: sunrise/sunset calculations
  • 5.20 5/7/89: arc minute DEMs and non standard Lat/Long DEMs; negative contours on contour map, and shade sea area; up to 248 kb DEM fits in memory; multiple histograms with one distribution; vert exag for slope and reflectance maps; entire 1° cell and 1°x2° tinted map for DTED level 1
  • 5.21 5/26/89: split topo profiles for different data sets; rubber band lines for profile section, and box for map area selection; automatic 0 contour break in color tinted maps
  • 5.53 11/2/89: on screen resize area selected for contour and GIS
  • 5.54 11/30/89: check duplicate data points in triangulation contouring; redraw legend on tinted map if wide map; V.E. on reflectance map
  • 5.56 12/14/89: spot elevs on contour map; import NOAA EEZ 250 m data
  • 5.57 12/18/89: quick determination if LOS visible or masked
  • 5.60 1/10/90: DEM creation routines available; slope and aspect report
  • 5.62 3/09/90: allowed no data option in GIS module; fill sides of oblique on screen
  • 5.63 3/17/90: compare contour maps, 1:24K and 1:250K DEMs overprint
  • 5.64 3/27/90: insure contour map with arc minute data fills screen
  • 5.65 4/15/90: import binary data from Geophysics of North America CD
  • 5.66 5/03/90: exact spherical projections for contour base maps; printer option of elevation maps at specified scales; DEM creation allows trend surface gridding, and creation of trend surface data sets; run with rectangular data sets with no projection, datum, or spheroid data
  • 5.67 5/22/90: subset data sets
  • 5.70 6/15/90: tinted maps for subset of the area
  • 5.71 7/19/90: greater options to change colors, number bins, and boundaries in tinted maps
  • 5.72 6/26/90: view 3 data sets simultaneously (e.g. topo, grav, mag) with maps and profiles; rewrite old 1:24K DEM from 477 rows to that actually needed during opening; compare DEM with scanner image of map works with 1:24K
  • 5.721 7/5/90: scanner option uses individual image names; larger printer contour maps; removed leaking flood fill on printer obliques; missing data points in tinted map drawn in black to cover previous image on screen
  • 5.73 8/28/90: Convert option allows local datum
  • 5.74 9/10/90: segmented topo profile
  • 5.76 9/25/90: satellite subset of multiband data allowed; improved seven band satellite operations
  • 5.78 11/8/90: multiple satellite bands on screen at same time; improved histograms and scattergrams in satellite; calculate variance-covariance in satellite
  • 5.79 11/25/90: stereo SPOT images on screen; calculate areas in GIS; change elevation angle of view in oblique
  • 5.80 12/10/90: improved printer elevation map to show image on screen and immediately take to image option menu to allow editing or printing; worked on gridding from imported data; allowed different sized areas on point editor; printer slope map allowed; new defaults to allow choice of length for printer maps; legend on printer maps; changed options menu
  • 5.81 12/17/90: speed up printer slope map; correct aspect for printer images on screen IF VGA and laser or 24 pin; allowed Molodenskiy transformation with WGS84 and WGS72
  • 5.82 12/26/90: corrected direction labeling on rotating oblique; allowed abort on selecting points on map; better selection of multiple points with Escape to abort rather than continued prompts; distance over selected route in GIS module
  • 6.00 1/10/91: reflectance map ignores missing data; changed point editor menu and operation; improved roam with multiple data sets; oblique selection shows area on map; satellite contrast enhancements compared
  • 6.03 2/22/91: in DRIFTER projections Mercator, HammerProj, SinusProj, Mollweide can shift central meridian; in DRIFTER see what part of the screen image will appear on the printer output; streamline map projection menu in DRIFTER; select contour map for printer by scale rather than area; reflectance map revised for correct shading in the Southern Hemisphere
  • 6.04 3/9/91: import ASCII files with x,y, and z as explicit triples; decimeter DEMs allowed
  • 6.06 3/24/91: digitize line data for display in GIS module (GIL files); merge 1:24K DEMs to create large data set (and then subset to cover quadruple junction of map sheets)
  • 6.08 4/8/91: plotting of TIGER files in world mapping;automatic reading of *.PRU file for NOAA EEZ files; plot vector SIN (lat-long, radians) in GIS module
  • 6.09 4/22/91: import NOAA EEZ files in both UTM and lat-long grids; allow import lat-long XYZ files as well as UTM; weapons fan and other contour map operations enabled on satellite image
  • 6.10 5/7/91: changed menu for DEM operations in satellite module; better import USGS DEMs; merge lat-long based DEMs; allow merging up to 16 data sets; import WVS files to SIN format; speed up processing TIGER files; radar cone coverage in line of sight and masked area modules; improved scaling in perspective, and can now see the panorama from a peak
  • 6.11 6/1/91: registration of satellite image with points beyond DEM; improved Lat/Long ticks for printer maps; improved labels for printer slope and elevation maps; reorganized GIS menus; changed satellite index files to allow default band other than band 1; category maps combining slope, aspect, and elevation; automatic blowup for small satellite images; improved terrain overlays on draped satellite oblique, and labelling
  • 6.12 6/5/91: allowed choice of UTM or lat-long coordinates when registering map in scanning and satellite image; register satellite on thinned image of entire scene rather than current image; DRIFTER menu does not show drift option unless continent(s) selected and allows clearing screen and redrawing map in drift option; improved report category map placement; get title from user before printing output; time series perspectives ("fly by") and reflectance maps ("sunrise-sunset"); label distance on diagonal side of oblique; allow contour operations on tinted map; change how CONTOUR operation works; speed up masking of water on contour maps; replay "movie" option in defaults menu; control colors of contour lines; allowed appropriate display options for one band satellite imagery
  • 6.13 6/21/91: update defaults option on ending program; removed a number of defaults options to only appear in the relevant menu, such as oblique and LOS options; new defaults which include contour colors and some of the typed constants for perspectives, weapons fans, and perspectives; perspective movie takes up half the disk space; reports removed from tinted maps, and replaced with category option
  • 6.15 7/26/91: check that DEM being imported in USGS format does not have too many rows; changed printer option in DRIFTER to show reduced scale printer image
  • 6.16 8/17/91: contour on satellite image if UTM based DEM; satellite import to main import menu
  • 6.17 8/20/91: break up SIN file by color (to overprint on satellite); terrain color profiles on satellite draped oblique optional; satellite draped perspective
  • 6.18 9/1/91: MGT automatically loads and displays map for 3 data sets; count in perspective time series; move time series replay to the view menu; satellite oblique must be entirely covered by satellite data; satellite allows up to 4800 columns; satellite blow up selected in window option and zoom out allowed for images that do not fit on screen; improved UTM grid on satellite image, and labeled it; use satellite image to pick draped oblique and perspective views; quads and vertical and horizontal views of multiple satellite bands can use blow up and zoom out; mesh on perspective; SuperVGA mode for satellite multi band image display
  • 6.20 10/13/91: DEM into extended memory; multiband composite color satellite draped obliques and perspectives; plot file in GIS with Lat/Long in ASCII, and can have leading label
  • 6.21 10/31/91: Super VGA mode for training/classifying, and Ground/DEM operations in satellite module; compare two different satellite images at the same time; extract ASCII triples for 1:24K DEMs; Albers Equal Area Conical projection for Ellipsoid in DRIFTER
  • 6.22 11/25/91: convert SIN files from NAD27 to WGS84; GIS wander shows slope; vary speed and resolution of rotating obliques
  • 6.23 12/13/91: fly with bends in flight line (DOS program)
  • 6.24 12/28/91: ellipsoidal Mercator projection in DRIFTER; DRIFTER roaming allows different format for display of lat-long; datum convert ASCII file; DRIFTER draws new grid without redrawing entire map; option for scale bar in ellipsoidal projections in DRIFTER; option to estimate satellite frequency distribution from every 100th row
  • 6.25 1/23/92: read and import final version of Census TIGER files; import DMA DTED from CD-ROM; create dummy DEM for use with registration of satellite image; GPS plotting on satellite image; TIFF convert to satellite image does whole scene
  • 6.30 2/9/92: multiband satellite works on Tseng ET4000 chip with Sierra Hicolor DAC in 32000 color mode; show processing count during rapid satellite frequency determination
  • 6.31 2/22/92: ellipsoidal UTM projection in DRIFTER; the default satellite blowup is increased if it will fit on the screen; 32000 color mode for draped satellite oblique message about default blowup/zoom; check on default satellite selection band
  • 6.32 3/2/92: option for no UTM or lat-long ticks on maps; import DLG files; Reflectance maps in Super VGA mode; profiles across satellite images to show reflectance values; read palettes for USGS color satellite images; undo options in DRIFTER to remove most recent drawing on screen
  • 6.33 4/11/92: Read NOS 50 m bathymetric files; calculate length in pixels on satellite image; satellite value display will only work with 1:1 image (avoids problem in zoom out mode); for new satellite image, can assume uniform histogram distribution for fast loading (for CD-ROM); import XYZ ASCII triples allows longitude to be reversed, for data sets that do not have west longitude negative
  • 6.34 4/26/92: allow reflectance time series by moving direction of illumination (to look for lineaments); display much larger satellite images; import (via the subset option) images with LBL headers
  • 6.35 5/3/92: Import *.IMG image files, with the header at the start of the data file; improved reregistration of satellite images; clarify instructions for ASCII XYZ import; option to get point slope and aspect; automatic opening of LBL, IMG, and IDX files in satellite, with choice of default extension type; animate DRIFTER sequences; route planner broken profile, with slope and elevation both shown; tinted elevation maps works on Super VGA; graphical display of sunrise, sunset, and length of daylight
  • 6.36 6/7/92: change fly through to appear on main view menu; move spot elevation and masking to appear on contour interval menu and not as questions; in DRIFTER, move map projection in any desired direction, and save the two current drawing files (Point and SIN outline) with the projection; import 1:2,000,000 DLG files and others in Albers equal area format
  • 6.40 6/17/92: multiple data sets with the same z units will have the same z scale
  • 6.41 7/18/92: show aspect and slope maps for multiple data sets, and multiple tinted maps including satellite image for single data set, on screen at the same time; mask maps with what is within a desired elevation range
  • 6.42 8/7/92: filter satellite images with 3x3, 5x5, or 7x7 filter; added new rotating type with color coding; ASCII lat-long import can be longitude before latitude; edit and create filters; default spherical Mercator projection changed slightly to show entire east-west extent of world
  • 6.43 8/22/92: band ratios in satellite display; check before import-export that data directory/disk is not full (CD-ROM) improved format of histogram display in satellite image; select area for scattergrams
  • 6.44 9/12/92: direct use of USGS ASCII 24K DEM without import module; import Arc/Info Generate files; plot SIN UTM files
  • 6.45 10/5/92: select area and then do multiple statistics on it in satellite option; save filtered satellite image to disk, and rescale colors after filtering
  • 6.46 11/2/92: window options within Ground and Reregister options of satellite portion of program
  • 6.50 11/8/92: draped one band oblique and perspective satellite images about three times faster when satellite image can be loaded into RAM; faster reflectance map if viewed from the east with 1/2 grid cell shift to the west for displayed points
  • 6.51 11/30/92: ratio and filtered bands can be used for all later display options
  • 6.52 12/13/92: normal probability histograms for DEMs
  • 7.00 12/19/92: twice as many colors in color tinted elevation map on SVGA monitor
  • 7.01 1/18/93: checking LOS shows distance along profile; improved interpolation of data set from xyz triples
  • 7.02 2/7/93: import satellite images from TIFF files with one composite band with color table; plot DLG files on contour maps; faster reading of DLG files; plot graph of slope versus elevation
  • 7.03 3/1/93: direct import DMA DTED 1° cells in protected mode with 3 Mb free RAM or 30' subset with 720 kb; option to manually rescale LOS
  • 7.10 3/12/93: access to view menu with the contour map for point selection; speed up import of ASCII XYZ file by using RAM during import, and allow aborting; allow offset in elevation values so that MaxInt limitation does not preclude decimeter data at higher elevations, with change to header record structure;
  • 7.12 4/11/93: classify in ground option of satellite, with chance to put contours over classification; std dev in elev-slope plots; side ticks, with labeling, on Drifter maps
  • 7.22 7/18/93: allow change V.E. in LOS; triangulation contour should do 8000 points in protected mode; discontinued padding of 1:24K DEMs, the ability to cross into adjacent data sets, and the ability to display large area maps on screen--with the ability to merge and subset data sets, and have huge data sets in memory, these appeared to be rarely used options that could be easily be worked around; histograms of aspect distribution by elevation
  • 7.23 7/23/93: Compute semivariograms for DEMs and satellite imagery
  • 7.30 8/18/93: Use 6 slope methods; Compare slope algorithms; compare grid spacing effect on slope; FFTs of satellite and DEM data; plan and slope convexity maps; new color scheme on aspect maps
  • 7.31 9/15/93: FFT can go by either columns or rows; mask out part of a DEM; rose diagram of aspects; DRIFTER continental drift does some stereo net calculations; MGT does estimated age of seafloor, and plots model age-depth profiles; 64 and 256 color elevation maps in SVGA modes; improved Marks et al basin delineation implementation; TerraBase import restricted to 30' header creation
  • 7.32 11/1/93: no area statistics on selection of new area, but instead as selection from analyze menu; MGT does marine magnetic anomaly modeling
  • 7.40 11/12/93: least squares adjustment of control points for satellite registration; read DEM with PDS labels; added ellipsoidal sinusoidal projection in DRIFTER; satellite images go straight into display
  • 7.41 12/15/93: import ETOPO5 & 30' US DEM & GEOSAT southern ocean gravity direct from Global Relief CD-ROM; allow convexity maps in 3 maps side by side; better vertical exag for very flat DEMs; many import and manipulation routines for DEMs now require that the DEM be in memory;
  • 7.43 3/5/94: filter DEMs; interpolate with nearest 4 neighbors (rook's case) to fill holes; extract ASCII XYZ File with lat/long data
  • 7.50 3/26/94: MGT combines GEOSAT profiles with topography; plot Fresnel ellipses on LOS profiles; three curvature of earth models, TM5-441, Yoeli, and Radio line of sight with variable k factor; automatic rescaling of color tinted map between new extremes; import ETOPO5 and GEOSAT gravity from the Global Relief CD-ROM across prime meridian
  • 7.51 4/24/94: semi-variogram work with satellite and with multiple data sets; modify Fresnel to verify that despite appearances the ellipses should be correct
  • 7.52 5/22/94: import DEM with just Z values in regular grid; improve profiles across satellite images
  • 7.53 7/23/94: weapons fans do complete circle for faster operation by not getting left and right limits; option to check all selected points on blowup of DEM to see if selected point is really correct; find number of pit, peak, ridge, and valley points; ability to move weapons in weapons fans
  • 7.54 8/20/94: mask out regions above or below sea level
  • 7.56 9/19/94: select colors for sensors in masked area plot, and plot dead space
  • 7.62 3/1/95: blow up of multiband color satellite image display
  • 7.63 3/8/95: in MGT: (1) improve GEOSAT options for elevations with bathymetry profiles, (2) improve magnetic anomaly matching
  • 7.66 5/17/95: allow changing color bands in oblique view; force 0 to be a color boundary for tinted maps and obliques; allow keyboard input of coordinates for arbitrary rectangular x-y grids
  • 7.70 7/14/95: WGS datum assumed to be WGS84, limited option for WGS72
  • 8.01 8/10/95: first Windows version with LOS, perspective, rotating oblique, slope map, contour maps, and some satellite display capability; read ETOPO5 from TerrainBase CD-ROM
  • 8.02 8/19/95: improved labeling of rotating oblique
  • 8.03 9/10/95: reflectance map, change coordinates, Fresnel zones, and modify grid in Windows program
  • 8.04 10/10/95: overprint earthquakes in Windows
  • 8.05 11/6/95: ChromaDepth 3-D support; label dip and strike symbols, sunrise and sunset in Windows; modify perspective parameters in Windows version
  • 8.06, 11/30/95: Edit DEM in Windows; check coordinates in blowup contour map in Windows; filter and band ratio satellite image in Windows; show stereo net when plotting geologic orientations; statistics and histograms for satellite images in Windows; DEM contours on satellite images in Windows; SSO diagram in Windows; added Guth Hybrid slope/aspect algorithm; blank map option
  • 8.11, 2/11/96: vector SIN file overprint on maps; vector mapping option from main menu; show graph of color mapping in satellite imager
  • 8.15 3/3/96: trend surfaces for DEMs, program limits on help screen; graph of reflectance spectra in satellite image display
  • 9.01 3/27/96: first 32 bit Windows version; save either masked or unmasked part of edited DEM
  • 9.02 3/29/96: oblique and perspective working in 32 bit Windows version; improved scaling on 30" DEM maps; allow aborting during map drawing; change reflectance parameter to elevation from horizon; set vert exag for LOS; set min and max elev for LOS
  • 9.03 4/17/96: set the grid and lat/long spacing on maps; automatically redraw maps on resizing; allow input of vert exag on reflectance maps; allow elevation colored reflectance map
  • 9.04 4/27/96: improved DEM edits, allow trimming of large negative deviations in trend surface fitting; filter DEMs
  • 9.05 6/22/96: read 1:24K USGS DEM in SDTS format
  • 9.06 7/05/96: combine satellite imagery and DEM for IHS 3D view
  • 9.11 7/30/96: fishnet oblique; legend for elevation map; color coded oblique; fill holes in DEM
  • 9.12 8/19/96: magnetic anomalies in MGT; allow tinted map to show just elevations above or below sea level
  • 9.13 8/28/96: allowed selection of local map datum,overlay UTM grid on registered satellite image
  • 9.14 9/4/96: does not allow maximizing of LOS, oblique, and map windows; allow abort of view generation
  • 9.16 10/8/96: read SPOT data files
  • 9.20 11/2/96: maps of relief and average elevation
  • 9.21 11/9/96: slope maps can be displayed in grayscale or rainbow colors; new color tinted maps have same size as selection map; tinted curvature maps; statistics for differences in two DEMs of same area; two black and white options for printer output for contoured stereo net, with legends; improved picking subset of satellite image
  • 9.3 12/11/96: change vertical exaggeration in oblique; set default size of maps; improved menu selection of DEMs; improved graphical subset selection for DEM; revised reading of DTED so DTED Level 2 will have correct coordinates automatically
  • 9.31 1/17/97: option to restore program defaults; import TIGER data; show ghost contour lines on map; colors on SIN file overlay on DEM
  • 9.32 2/5/97: use filtered or ratio images in composite color images; Principle components images
  • 9.40 2/17/97: dramatic speed up display of satellite imagery; draped reflectance obliques
  • 9.41 3/2/97: dramatic speed up in display of elevation and reflectance maps, and draped reflectance oblique; show coordinates while picking boxes; verify coords of oblique
  • 9.44 4/2/97: text display with slope statistics
  • 9.45 4/3/97: maps print out to scale; maps are scrollable; steepest neighbor slope algorithm added
  • 9.50 4/13/97: reflectance perspective; show perspective view while picking it; Convert BMP (e.g. from scanner) to satellite image; sum of satellite images; resample DEM to another spacing}
  • 9.51 5/3/97: semivariograms for DEMs; FFTs of DEMs;
  • 9.52 5/12/97: move mouse cursor on DEM maps with cursor keys; modify oblique allows change of method; right click on oblique and perspective brings up modify dialog box; avoids crash if no printer is selected; place UTM grid labels in map margin; place elevation legend in map margin; combined satellite defaults file with main defaults file
  • 10.0 5/17/97: move to Delphi 3.0; trace planar geologic contact across map; satellite draped oblique and perspective; maximize color range used in subset elevation maps; improved colors on color coded oblique and put legend on the image; quick wandering intervisibility on maps; calculate eigenvectors and statistics for SSO diagram; scroll box for satellite imagery, and improved handling of large satellite imagery for blow up and zoom outs; subset satellite imagery; quick weapons fans; option to draw perspective that extends out of data set; Weapons fan options to draw sector rather than 360 degree circle; show distance in m on satellite image if viewed with DEM
  • 10.01 7/6/97: put blue sky in perspective; roam on LOS and see location and elevation; perspective flythrough; simplified vector map initial display; new menu choice to open DEM and satellite together; drape any colored map, with overlaid data, on oblique view
  • 10.02 7/14/97: switch to new model for storing map datum; improved color options for 256 color modes; option to put scratch files in selected directory
  • 10.03 7/21/97: import USGS DOQ; display image coordinates even if DEM is not loaded; option to import ERDAS LAN/GIS files; option to change size of obliques; graphical subset of satellite image; drape very large satellite image; drag resizing for graphs (like elevation histograms); range circles on weapons fan and as calculate menu option; import of ERDAS IMG file without registration data
  • 10.04 7/23/97: simplified import of standard series DEMs; verify DEM wanted when adding a map display with multiple DEMs open; can open ERDAS IMG file in the New satellite dialog; reads UTM coordinates in ERDAS IMG file
  • 10.05 7/29/97: direct import of CIB in satellite new image; option to delete satellite image; option to change colors and boundaries for slope categories; two directories for both satellites and DEMs, one for writing new data, one that can be on A CD or network without write permission; improved CIB import with click on bounding rectangle after selecting table of contents file
  • 10.06 8/1/97:view multiple header records; viewing header records does not allow editing;
  • 10.07 8/2/97: satellite draped fly through;
  • 10.08 8/5/97: improved satellite subset; check that satellite frequency file is the correct size; automatic merge of DTED Level 0; improved and made more accessible the DEM/satellite ChromaDepth merge;
  • 10.10 8/6/97: sea level colored separately in reflectance views
  • 10.11 8/7/97: option to change number of points per ray on perspective; improved labeling of perspective viewport
  • 10.12 8/8/97: deal with NIMA files transferred from CD that still have the read only attribute set; option to close all DEMs from a single DEM map; first GPS position overlay; graphical pick of CIB even if no DEM; default fly through window size is reasonable; write new satellite images (ratio, principal components, filter) in the default satellite write directory; removed quick intervisibility as regular LOS now does same thing; Print satellite image to scale; option to plot coordinates as full MGRS; change type of perspective in modify window; =Terrabase II Release 2.0
  • 10.13 8/15/97: option to turn on the header/dictionary report for IMG files, and in USGS 1:24K DEM; improved merging of DEM, to reject single DEM that is outside limits, to put all on same elevation (feet or meters) and to show summary of the merged DEMs; sped up merging DEMs by not reading the DEM on the first pass through to check limits; provides report on 1:24K USGS ASCII DEMs during merge;
  • 10.14 8/20/97: reverse color progression in sky for perspective; graphical directory selection; information option for maps; GPS overlay enabled (but not tested) on vector maps
  • 10.15 8/25/97: improved CIB overlay on world vector map; satellite image now implemented as a class; automatic deletion of CIB files from hard disk unless they are imported; minor improvements to MGT option, including showing three z values in roam on stacked profiles; will print out some of the CIB header information
  • 10.16 9/10/97: list significant date for CIB;
  • 10.17 9/13/97: option to label altimeter tracks in MGT; pick many of the View options (LOS, oblique, perspective) on satellite image; fly through with nap of the earth or constant elevation
  • 10.20 9/24/97: show fly through locations on map and satellite;
  • 10.21 9/26/97: automatically save imported CIB imagery; list name of missing band file
  • 10.22 9/27/97: recognize MaxInt or -MaxInt as missing values in USGS format DEMs; import GTOPO30 data set; read USGS 1:24K DEM with an empty column;
  • 10.23 10/7/97: allow VuMate plug in for 3D rotations; option to set color for missing data (black/white only on elevation map)
  • 10.24 10/12/97: right click to bring up modify menu for LOS; picking of 3 band multicolor satellite images in a single window; =TBII Release 2.04
  • 10.25 10/25/97: read integer, real, and get a string do not have a cancel button; handle problem with insufficient disk space for fly through; automatic redraw after keyboard selection of DEM map corner coordinates
  • 10.26 10/30/97: added Miller Cylindrical projection in vector map; changed projection picking; show CIB file names on map when displayed; option to set default vector map; read UTM NOS EEZ bathymetry; option to set default map as elevation or reflectance; nest some choices on options menu to make it shorter; select 1 or 4 CIB frames automatically without need to make a menu choice; changed clicking on satellite if doing something on DEM (especially loading CIB) so that satellite options are available; show DEM creation information in header in header edit
  • 10.30 11/10/97: new DEM format, single file with header and DEM and also heritage information; comparison; Mask to read USGS CDO extension ASCII files; can add registration points for satellite image; extract random XYZ triples from registered satellite imagery
  • 10.31 11/26/97: Imports ETOPO5; improved map display of small scale lat/long DEMs like ETOPO5; =TBII Release 2.05
  • 10.32 12/01/97: increased number of satellite images that can be open; provide warning when satellite images closed because trying to open too many; option for printing vector maps that puts them in a box with a scale bar outside
  • 10.33 12/10/97: option to set contour as default map type; removed analyze data set limits option that did nothing
  • 10.34 12/15/97: DEM merges write to correct directory, and indicates where it is writing; clarify opening DEM report; thin and subset use new format for DEM, no more support for writing old DEMs and headers;
  • 10.35 12/22/97: export to old MICRODEM format; help menu choice can connect to program home page
  • 10.36 1/2/98: read OS (Ordnance Survey, UK) DEMs
  • 10.37 1/7/98: Memo on conversion form holds conversions, which can be saved to a text file or printed;
  • 10.38 1/8/98: log transform elevations; equidistant cylindrical projection has decorative grid around map; option to have DEM export as either single file or old DEM and header
  • 10.39 1/13/98: option to output ASCII MGRS-z value file; tweaked conversion window;
  • 10.40 1/14/98: moonrise/set; option to set and save size of vector maps; tool bar in main window
  • 10.41 1/28/98: additional icons in tool bar
  • 10.42 2/4/98: simple toolbars on many child windows;
  • 10.43 2/6/98: coordinate conversion allows UTM entry in southern hemisphere;
  • 10.44 2/18/98: new window for satellite contrast;filtering satellite image displays window with the filter; changing satellite contrast displays graph with the DN mapping; rename slope map to slope/cant; improved caption of contour maps to reflect modified contour intervalnew buttons on vector maps; moved DEM filtering to the analyze menu instead of the data manipulation window; consider aspect in terrain categories; enable USGS DLG and TIGER files in TerraBaseII; error checking tightened in lat/long entry; improved selection of grid parameters on tinted DEM maps
  • 10.45 3/4/98: copy to clipboard button added to most windows; import Alberta ASCII DEMs; read 10 m UK OS DEM; import RGB BMP as 3 band satellite; options to show coordinates in full UTM (complete northing and false easting); show missing CIB frames on both vector and DEM tinted maps;
  • 10.46 3/5/98: automatically save defaults first time through after getting the default directories; conversion window will not do UTM or MGRS in regions where UPS is needed; longitude can be entered on 0-360 scale; unworking cancel option removed from entry of lat/long; named highest and lowest "index" contours in the contour color selection window; changed name to expand "color" range in elevation map modification; not redraw slope map after cancel on user colors; check for special UTM zones for Norway and Svalbard, and warn user; turn off toolbars in all child windows if desired;
  • 10.47 3/10/98: more bugs corrected in coordinate conversion; perform coordinate conversion for overlapping grids; correct coordinate display during mouse roam for DEM in feet; simple lake check on reflectance views; additional minor changes to datum conversion; disabled to buttons in fan editing that were not working; improved display of sea floor age data set in 0.01 Ma}
  • 10.48 3/16/98: default contour interval saved; right clicking on contour map brings up redraw window; greatly increased flexibility for import of XYZ DEMs in lat/long format;
  • 10.49 3/30/98: option to output lat/long in 0-360E;
  • 10.50 4/3/98: option in XYZ import to multiply z by -1; improve error trapping of lat/long xyz imports that created problems with obliques; Import BMPs as DEMs;
  • 10.51 4/7/98: weapons fan edit window appears center screen; plot xy files in Lat/long on vector maps; improved printer output of vector maps with grid (probably only works on Mercator projections); reorder header editor window
  • 10.53 4/28/98: save and restore images as JPEGs; improved default band titles when importing a satellite image; Expand Color Range menu choice only enabled if map is blown up; change creation of log and ln transformed elevation maps so they can change the grid, and moved their placement on the menu bar; improved fly through movie by allowing abort to change view parameters, and checking that movie name does not already exist; default minimum elevation angle for fly through set to -20°; fly through speed button
  • 10.54 5/11/98: show hints on perspective/oblique window toolbar; Koppen climate option allowed; reads production DTED level 2; program imports the SDTS tar.gz files; SDTS files tucked into a single file with .SDTS.DEM file extension; change water color on reflectance maps; expedite CIB loading on vector map; PopupMenu for View, Tinted Map, and associated button on the map window toolbar;
  • 10.56 6/1/98: extar import for DTED Level 0; CIB reads histogram and color scale from data file instead of computing them; export in Arc/Info Generate ASCII format;
  • 10.57 6/2/98: improved DEM comparison for DEMs in feet and m; put a cancel on the pop up menu to create a new tinted map; fixed splash screen with Koppen; changed the satellite reading method to use one single procedure to read a row; default option to set preferred local datum; fixed bug in satellite read of CIB and ADRG that would not allow drapes on DEM; satellite imagery can display correct coordinates (lat/long, MGRS, UTM) without DEM loaded; pack and unpack SDTS DEM; removed attempt to read CIB histogram; read CADRG legend file; read CADRG file extensions for JOGs and ONCs; option to read SDTS DEM directly from WWW in tar-gz format; display ADRG files; fix problem in DEM oblique if default is set to satellite and no satellite image is available; ; improvements to ADRG display; GPS overlay options limited in anticipation of upgrades;
  • 10.58 6/16/98: zoom 1 button on satellite images; fixed recent bugs in CADRG and COB display; change button order on satellite images; fixed crash if several DEMs were open; option to save movies to AVI or MPEG formats; fixed bug in closing DEMs; fixed problem with some NIMA RPF files that have a bad path for the frame files; allow changing contrast on CIB; fixed some problems with CIB/CADRG loading; fixed recent bug in loading 4 frame merge of CIB; MPEG movie creation and GZip-Tar file imports only enabled if utility files are present in the UTILS directory; simplified closing of oblique/perspective forms; fixed problem with oblique default vertical exag for DEMs in feet; improved default vert exag for very small obliques; read GEOTIFF; fixed problem with trying to read CADRG legend after reading another RPF file; direct manipulation of frame based RPF data without importing; significant speed up in display of satellite imagery, perspective, and obliques, using ScanLine;option to show or hide the satellite image coordinates if the image is ground registered; warning before attempting to display satellite image that will be "too" big, defined as more than 1 million pixels; fixed intermittent bug in getting elevation range in a rectangular region, that led to oblique set too far above the baseline, and also problem with erroneous points in the DEM; fixed problem with weapons fan edit and re-enabled two buttons; contrast enhancement fixed for CIB; overlay UTM grid on geo-referenced satellite image even if no DEM loaded; ability to ignore 0 in satellite histograms, if it indicates missing data and would confuse the contrast enhancement;
  • 10.59 7/1/98: speed buttons on satellite image for UTM grid and to revert to full image; perspective options disabled for those not applicable; revise GPS display, and include speed and heading; GPS overlay on satellite image; datum shift before display of GPS position; replay GPS on DEM and satellite imagery; speed up display of ADRG imagery; toolbar button for full screen perspective; roam on ADRG imagery; ADRG maps approximately scaled to true size of paper maps; roam on imagery and maps displays the datum being used; local datum for display will always be the default selected by the user, and not that saved in the old MICRODEM; header; improved robustness of RPF and ADRG reading for variants of file structure; upload and download of EPLGR waypoints to and from MPS; added column headings every 25 lines in sunrise/moonrise routines
  • 7/16/98: option to set grid color; save fan color; RPF displays in map window, and allows most options; all defaults move to tabbed notebook window; deal with RPF A.TOC files with the paths in lower case letters, and unclear termination; pick size, color, and symbol for GPS track; fixed reading of old IDX satellite image files; fixed window sizing for satellite images; contrast enabled for sat image on map window; ADRG map displays on map window;
  • 7/23/98: drape of map window on DEM working, and drapes satellite or map; option to change the color of range circles, and to verify them before selection; remove possibility of trying to contrast enhance color maps; fixed contouring on image maps; enabled terrain categories on image maps; fixed LOS selection from image map; non-tiled satellite images display on map window; removed contouring, GPS point plotting from the image windows--they should be displayed in the map window; change band grayscale/color composite in single window, and allowed from map window display; worked on automatic recognition of maps so that they will not allow contrast enhancement which shows them in a very bad black and white mode; fixed problems with CIB satellite enhancement; information display for satellite image in map window shows the associated DEM; fixed recent problem that UTM grid did not extend to bottom of map; fixed recent problem that sat image in map window might not extend across the screen; drape the current map on perspective, and all draped satellites drape the current map; option to thin DTED level 2 on importing; fixed problem with incorrect box shown in graphical subset selection; read GEOTIFF with lat/long spacing, and RGB color interpretation;
  • 7/27/98: changed process for shutting down program, DEMs, and images, adding a pop-up menu; set default to automatically move satellite image in map window; fix viewport labels in draped perspective; major effort to distinguish DEM and image coordinates on map windows where both can be active; loading 4 RPF frames enabled; graphical subset of DTED level 2 on import; removed option to put grid on satellite window (it should be done in a map window); moved SAT/DEM merge to the map window, where it works with non-tiled sat images; added Sat/DEM slope merge for non-tiled sat images; option to draw or not draw range circles with weapons fans; fixed eastward shift (by the size of the map margin) for terrain categories; sped up terrain categories overlay, and improve color selection; graphical DEM subset fixed (recent bug); option on the analyze menu to see the open data sets; if more than one DEM is open, program asks which to associate with an image; complete housekeeping of record keeping for open satellite and DEM--some analysis opitions that cycle through all open DEMs will not work if DEMs and have been closed and there are "holes" in the data structure; major revision of closing DEMs, images, and windows to avoid problems; rename the GEOTRANS datum and ellipsoid files as short file names; always load NAD27, NAD84, WGS72, and WGS84 datums at the start of the list so they are easy to find; fixed some satellite display problems, especially the DEM/Sat merge;
  • 7/30/98: draped fly through working, and the satellite drapes have been removed; panning tiled image shows the number frames on the map; added many additional automatic help popups; roaming and point elevations on maps show if it is missing data; fixed problem in measuring distance on a satellite image in a map window; fixed crash loading DOQs; prevented SPCS Geotiff from displaying in map window; fixed read only files for all satellite and scanned maps; fixed problem with perspectives/flythrough where the maximum viewing angle was less than 20° (very close in or from very high up); set minimum number of points on perspective ray at 150; fixed problem blowing up non-tiled image in a map window; fixed problem reversing x and y scaling in lat/long GEOTIFFS; fixed problem with loading of conversion window that crashed in NT (and probably did for some time); fixed problem in display of satellite imagery that file might not be open; moved sat image display to be a method of the image, and the image and map windows use the same code; removed options from the map window that should not be available if DEM is not open; fixed problems displaying filtered or ratio satellite images; fly through along segmented paths; move climate files to climate directory below the program directory;
  • 8/3/98: fixed problem reading SDTS DEMs under NT; replay GPS route as a fly through; fixed problem that imagery would not print unless a DEM was loaded, and would not print to scale; fixed problem with ADRG not being able to overlay a UTM grid; ability to name the PLGR waypoints created graphically; fixed very recent problem drawing a single perspective; not draw legend on map if there is no marginal blank space; option to turn off grid on drapes; option to show or not a fly through map with the fly through;
  • 8/5/98: option for true north or grid north on the GPS tracking window; azimuths in the map roam are labeled as grid; fixed problem reading ADRG in NT; fixed ADRG roam; option to drape the map exactly; option to change the distance between scenes for the fly through; removed separate contour button and menu choices,and the contour map is treated as just another map; automatic help added for another group of options; map overlays (terrain categories, weapons fans) copied with map, so they will appear on a draped map; fixed map zoom in/out; grid selection window has sample color in grid color selection; full data set button enabled for satellite imagery and maps; flush file buffer on fly through so there are no problems if it crashes; fixed problem blowing up a DEM map; image maps will display a lat/long grid; datum shift for satellite imagery/scanned maps; choice to put fly through flight map side by side or atop the perspective;
  • 8/8/98: full data set for satellite images on map window maximizes the window rather than creating a new window; single temporary WORKING.BMP replaced by stack of five, WORKING1.BMP to WORKING5.BMP (oldest) with automatic renumbering; #5 is lost each time; option to select specific RPF frame if more than one frame covers the desired region, as happens with sampler NIMA CDROMs; read RPF frames from NIMA demo CDROMs with flawed A.TOC files; buttons for new parameter and new map window work with image maps; option to put title on movie when saved to an AVI; modified colors in DEM/satellite merges;
  • 8/12/98:added menu choice to get scanned map; performs checks that LOS, Perspective, obliques and fly through are all within the DEM, if selcted on an image map; checks in flythough to avoid seeking drapes that are off the image map; fixed problem that CIB and CADRG allowed some choices for enhancement they should not have; fixed problem with incorrectly set default satellite write directory; write XY files in new format; fixed problem with IMG file imports; slope statistics exclude sea level cells; option to modify dem/satellite merges, with sliders for I,H,S;
  • 8/18/98: fixed problem that at times with ADRG clicking on the map it would redraw; fixed IMG import to correctly write XY file so it can appear as a registered map; remove weapons map button if no DEM loaded; popup menu to select the type of oblique; read TIFF with RowsPerStrip=ImageLength, which does not adhere very closely to the recommendations, and required some guessing about the format as a result; large oblique enabled for screen resolution > 1200 pixels wide;
  • 8/19/98: oblique and perspective method picked from form after the view is selected, so they behave the same way as the fly through;
  • 8/20/98: added size check to blow up of map window; fixed problem reading RPF files with longer attribute sections; it was reading too much and overwriting memory, which may have caused other errors beyond those that were caught; fixed problem with closing a DEM, with an image open that uses it; implemented a GetRow procedure for RPF, so that single CIB frames can be displayed with sat/dem merges, and probably filtered;
  • 8/21/98: modify load of ADRG and RPF so that multiple data sets can be loaded; getting RPF neighbors checks that it is the same type file; single frame RPF can be roamed;
  • 8/24/98: roam with 2x2 RPF imagery; keep track of RPF TPC files separately from images; fixed problem with default lat/long tick spacing; separate selection map for RPF TOC files loaded, either a DEM or vector map; fixed problem with merge; larger oblique enabled for higher resolution monitors; fixed collage problem with ADRG and CIB; fixed inability to roam in ADRG;
  • 8/31/98: movie viewer will play a series of JPEGs as well as BMPs; the perspective drape will use a map up to 2400x2400 instead of 800x600 for better resolution; fixed problem with multiple slope calculations that they had to be in continuous segments; fixed problem importing GTOPO30; verify locations for spot elevations; spot elevation and range circle locations stored and replayed when map is redrawn; fixed problem then DEM map would not allow user to change the parameter;
  • 11.01 9/2/98: allow some maps to have up to 6000 rows instead of 2000; checked that blow up does not exceed 6000 rows or columns; save contours when redrawing a map; smarter redraw of oblique after the draped map is modified; vert exag displayed in perspectives; that likely affected other maps at times
  • 11.02 9/3/98: draped perspective uses size of draped pixel (rather than DEM) to pick the number of points per radial, and selection window is in terms of point spacing rather than number of points; fixed problem with terrain categories on small scale DEMs like DTED0; 7 term filter for directions in flythrough to smooth out motion; default to set max size of the drape for perspective and fly bys; option to terrain color scale for elevation map; right clicking on elevation map brings up window to modify the display; allow the ocean and the lakes to be colored for water on the elevation maps; improved handling of decimeter USGS ASCII DEMs;
  • 11.03 9/10/98: draw legend for interpolated elevation maps; interpolate terrain and grayscale color scheme elevation maps; 15 color elevation map renenabled; add read/only check for TIGER data files; minor enhancements to DLG import; changed color display for SIN files, and TIGER/DLG imports; changed requirement for the geology directory that it be on the same drive as the program is running; IHS color option for elevation maps; corrected Vumate directions to SE corner for 2d point; added altimeter buttons on MGT toolbar; save defaults in directory where they can be found even if the scratch directory is changed;
  • 11.04 9/17/98: improved labeling of lat/long grid on maps; fixed problem that satellite image window did not show top few rows of the image; removed some MGT options that had appeared on the TB2 menus; fixed crash of reflectance map if no marginal information on map; removed the overlay grid option (use the regular grid drawing); improved perspective when the scale of the draped imagery was higher than the DEM (e.g. Landsat TM over DTED1); drape grid and tick spacing is the same as the original map; DEM selection map for RPF set smaller than other maps; fixed bug that size of map could not be increased; fixed problems with deletion of DEMs and satellite imagery on the data manipulation menus; fixed the edit DEM that puts missing data at sea level; fixed draped oblique to allow draping without redrawing so everything on the map will drape; fixed problem with DEM elevations in roam on satellite image; added point verification to slope calculations on DEM map; fixed problem with slope calculation on satellite image; fixed problem with dem/sat merge on a 4 frame CIB image (corners were flipped, and bottom image was garbage) fixed problem with DEM comparison in MICRODEM; option to set size of ADRG map display; fixed problem than ERDAS GIS/LAN files were limited to 4096 columns; fixed problem printing with very large blow up of screen image; fixed progress bar during contouring; fixed y inversion on printout; fixed problems printing to "big" HP plotters like the 650C; overlays should remember GPS track files and SIN outline files; can open another image after ADRG; option to clear all map overlays; error messages added for GTOPO30 import; fixed problem writing the XY registration file for imported TM imagery; fixed problem for ADRG (and perhaps RPF) that scaling was off approaching the SW corner of the image, which was worse the larger the number of frames viewed;
  • 11.05 10/8/98: additional improvements for very large (30x40 tiles) ADRG displays; fixed problem with datum shift on UTM based DEMs; fixed problem that satellite file names could only be 8 characters; IMG file can be converted to the program's internal format; the copied internal format files are deleted from the hard disk after an IMG file is closed; fixed insufficient space check on IMG file import; default contour interval reset when user changes it; option to ask about local datum on data set selection removed, because of the havoc it can impose with a variety of map windows open; improved copying of map overlays to new map for draping, and avoids error when closing the map view; fixed datum transformation for USGS DOQ; fixed problem with merge that affected SDTS DEMs; fixed minor problem with UTM coordinates for SDTS DEM that had used the quadrangle corner; fixed problem with USGS DOQ and error messages due to incorrect datum transformation (recent problem); varied size of drape map on oblique to correspond with the size of the oblique, to fix losing overlay information for smaller views; fixed problem that map windows with weapons fans crashed when closing program; fixed problems with histogram display when the elevations were below zero (in compare of DEMs, when half where negative in the difference histogram); DEM comparison ignores points where both are sea level; fixed problem with overeager location checking in the calculate distance routine;
  • 11.06 10/22/98: removed individual options from Perspective menu options (they still appear in the selection form); option to do rotating panorama from a single point; fixed verification problem with distance and bearing calculation on map with no point verification; added point verification for point offset; work on Imagine 8.3 IMG files; ability to overlay the topographic fabric added to MICRODEM
  • 11.07 11/1/98: option to selectively clear overlays; write XY file for NLAPS TM import in correct directory with correct file extension; allow LAN files with Lat/Long projection; add range to display when double clicking in a perspective window; remove extra icons from toolbar on RPF selection map with DEM, and put on an icon for CIB loading; fixed problem in calculate offset in image map window; removed non-working abort option from terrain categories; fix problem that 0% slopes would not work in terrain categories because aspect was undefined); fixed recent problem that some RPF (CADRG specifically) crashed because its attributes section was longer than the program was prepared to deal with); Perspective view on map shows the distance out to first part of view, so the depiction is no longer a triangle; fixed some recent problems with perspective setup for drape; fixed reading of some CADRG with a 6 byte long mask section; fixed GeoTiff color table for Little Endian images; cross at observer location in perspective; warning when trying to import 16 bit GEOTIFF; if midpoint of satellite image is on DEM 1, then they are automatically associated; fixed some problems with perspective, that only became obvious with very small viewport angles; removed erroneous check for datum and ellipsoid files that caused problems running the coordinate conversion routine; display OVR file for RPF imagery, by dealing with lack of registration; changed contour map for export to have the BPW file coordinates use the NW corner as required by ArcView removed Modify, Vertical Exag menu choice from LOS, since it is available both by right clicking on the image and with the Modify, LOS Parameters menu choice; changed the angle display on calculate distance/heading to show correct heading with S35E or S67W instead of opposite end of line; option to set type of perspective while setting parameters for the panorama view; removed various small bugs in the perspective view; put slope angles into slope statistics tables; add a color bar to help with IHS value selection for maps and DEM/Sat merges; save and restore images as GIFs; cancel on overlay of terrain categories now works; convert movies to GIF; corrected window caption on semi-variogram
  • 11.08 1/4/99: right clicking on map window with satellite image brings up pop up window to change band and contrast; form to set options for variogram, including new log/log plot; fixed problem with loading CIB from file with spaces in the path name; fixed problem than edit header would not change elevation range; fixed integer overflow problem during contour ghost seeking in large DEM with high elevations; option to change a specific z value to missing; improved the contour map options selection window;
  • 11.09 1/6/98 window to get hemisphere, UTM zone, and datum when necessary; read TIFF with (BitsPerSample = 3) and (PhotometricInterpretation = 2); read TFW world file for a TIFF, as in MrSid export; removed menu choice to load DEM and image together (use GUI button instead); flip colors on TIFFs with PhotometricInterpretation = 2;use DLL for gzip and extar, and greatly improved reading of SDTS USGS DEMs directly from the WWW; import DEM from ERDAS LAN file; removed option for satellite menu structure, which probably did not work; fixed problem with LOS window remaining open when closing a DEM; fixed a variant OVR files (type of RPF) that did not correctly locate the missing frames; put progress bar on printing, and a check before proceeding when printing will require more than one printer page; New Image and New Scanned Map menu choices added to the map window main menu; the View Satellite menu choices removed; fixed problem in draped perspective when imagery has resolution less than 1 m; read higher resolution CIB with I3 and I4 file extensions; fixed problem in changing the observer's elevation above ground in the perspective
  • 11.10 1/26/99: set starting date and duration for moonrise table; show moon phases with moonrise;
  • 11.11 1/29/99: improved ability to graphically delete points in a DEM; allowed a keyboard coordinates resize of map window for images and scanned maps; fixed problem in structural geology data point overlay if point was off the map; import LAN DEMs can deal with data sets too large and do a subset when importing; display of map information show key image information, especially RPF significant date; fixed problems with moving map edit window when editing a DEM; fixed an access violation when closing MGT, which might have affected other multiple open DEM cases; do a datum transformation of GEOTIFFs; option to do a datum shift for graphical point selections on map; =improved operation of import of MAPGEN coast to a SIN file; redraws the draped map when the size of an oblique is changed; option to display grid lines on two datums; UTM grid line labels in the same color as the grid lines; only 1000 m grid lines labeled; fixed crash when MGT tried to print three profiles; fixed problem that command line parameters not correctly set the program version; corrected problems with closing of map windows with multiple DEMs open; moved selection of missing data color to the options form; corrected behavior of blank map with an image displayed; corrected the parameter/band change to show an image if another type of image display (e.g. blank, merge) was up; ability to set the overlay color for point elevations in the options form; fixed problem selecting LOS from image map; dual elevations (feet and meters) for image maps works; linked the map overlay options in a perspective view to being enabled only for the draped option; moved the save DEM menu choice to the file menu, and removed the mask DEM option; slope, aspect, and reflectance maps created with the View Tinted Maps option can be saved; corrected so that changing the IHS parameters will automatically redraw a map; fixed problem with dual grid display; removed WWW import of SDTS 1:24K DEM since it is now a standard series in its tar.gz format; fixed problem with Koppen climographs always showing the same graph; fixed problem with scrollbars not appearing in satellite imagery window; fixed problem crashing when closing with satellite imagery windows open; fixed some problems with multiband imagery colors in the image window; fixed some problems reading GEOTIFFs from a CD and NT; fixed some problems with the aspect map and placement of the legend; fixed recent problem that UTM grid lines were sometimes not labeled; Aspect map leaves missing points that are flat; changed the aspect map color scheme to resemble illumination from the NW; fixed problem that GPS location window did not show location correctly for UTM and MGRS coordinates; GPS plotting allows setting the size and symbol type; extend UTM grid lines to map edge when drawn; show range circle color on the button when editing; fixed problem cutting end of GPS fly through replay; fixed bug that closed the DEM automatically when the image with it closed; improved draped oblique when very large image is to be draped; revised perspective operations to let single view either be nap of the earth or absolute elevation; fixed requirement to double click on satellite color/single band selection; fixed problem that overlay SIN files and GPS tracks would not correctly redraw; fixed problem that range circles would not draw on imagery or scanned maps without a DEM loaded; fixed problem with cumulative distance measuring, probably only affecting imagery maps; improved closing of DEM showing RPF TOC file; fixed y axis mirroring problem with LAN DEM import; fixed problem with multiple LAN file import; check that DEM has some valid data before writing; animated GIF viewer added; fixed problems with TFW files that do not have a CR/LF on each line;
  • 11.12 3/5/99: enabled ASCII file manipulation options in TBII; overlay DXF file with lines, points, and circles; save contours to DXF file; create DXF File with lines, points, and circles; modified the algorithm for contour maps; modified the logic for the point verification windows to use a modified map window rather than a custom window; improved default contour interval in the point verification map window; read DXF files with lat/long coordinates, and DXF polylines; fixed problems hanging on closing if derivative maps (e.g. elev difference map) were created; improved labels for 0.01% slopes when roaming and in map legends; save DXF polylines; colors with layers in DXF files; DXF solid added, and line removed from digitizing; status bar added to bottom of main form with the current action indicated; adjusted how the picked option is set, so that error trapping and gracefule closing of the previous selection can be handled; Status Panel at the bottom of the main window, with current action and coordinates; no longer sets focus to DEM selection map for options like LOS, perspective, oblique, and fly through; enabled DEM edit in TBII; save defaults first updates changes; added DXF options (UTM coords, max file size) to the program defaults; vector overlays in a single menu choice, with selection via the vile type, which is saved along with the vector directory; added vector overlay button to map toolbar; removed panel from bottom of map form; Loading A.TOC file with overlapping maps of different types (e.g. Ft Irwin sampler) lets you restrict to a single type; Changed RPF handling of multiple frames, and lets user select any number of frames; print out multiple frame RPF at full resolution; CIB applies contrast enhancement to each frame individually; read LAN DEM with fractional arc second data spacing; read uncompressed RPF files; improved selection of slope map colors and cuts; fixed problem with low resolution obliques if draping overlays; ADRG selection window will display MGRS or Lat/Long; fixed recent problem with contour lines; undo button for graphical subset on map windows; Print current image and delete movie menu choices added during movie replay; reads one type of NITF image; speed up plot of draped oblique and perspective; check for disk space when saving image to A: drive; plot obstacles from SapperNet; plot GPS data collection on maps other than a DEM during data collection; modified default for LOS curvature algorithm (code change only); ability to pick earth curvature in program options and weapons fans; increased limit for considering earth curvature in LOS from 100 to 250 km, and asks for longer runs; fix GTOPO30 import problem with read only files; display Garmin GPS PCX5 TRK files; plot points in lat/long format (.LL file) on maps; saves fan colors for redraws; fixed problem with closing of location map window after flythrough; fixed problem with incorrect blowup on ADRG for oblique views;
  • 11.20a 13 April 99: Label output for fan edit text window, remove duplicate entry, and separate two entries; fixed problem with fan drawing for constant elevation targets; correct display of earth curvature in LOS display (only appeared on long profiles, and did not affect calculations); fixed problem setting fan colors; fixed problem with standard or user defined slope categories; shifted parameter toolbar button to the left on map window; fix problem with caption on viewing of DEM header with multiple DEMs open; fix problem with subset of DTED Level 2 with incorrect coordinates; fixed problem setting colors for contour maps, and changed the contour selection form; fixed crash in displaying MGRS coordinates on some ADRG overview images; fixed problem with the Masked/Visible label when roaming to do an LOS; remembers last DEM, image, and scanned map; option in data manipulation menu to strip tabs from ASCII file; beef up error checking for Garmin PCX file (TRK extension); added k factor to name for LOS algorithm when radio LOS selected;
  • 11.21 25 April 99:mproved handing of number input so that by default you overwrite the number, and fixed cancel of DEM entry; fixed problem that overlaid contour interval could not be changed; option to un-gzip a file on the edit menu of the data manipulation form; CR/LF option for ASCII files uses tStringList for files under 10MB, and a slower incremental read for larger files; land/sea elevation scale for DEMs that include both ocean floor and land; fixed problem reading long/lat ASCII xyz files (problem depended on combination of elevation units and x-y type/order); tried to restrict DEM/sat merges to single frame of CIB, and not work with scanned maps; read NGDC GRD98 land/sea data grids; fix problem with RPF that min and max reflectance were set for 0 and 255, and not the actual values in the frame; fix inability to enhance multiple frame CIB imagery; sea level check on reflectance masks out all below 0 elevations; new method for merge of images and scanned maps with DEM; option to view ASCII results from a GPS file; form to clear overlays; save last overlay file name; DXF layer colors and symbols saved in defaults, and only changed with the Views tab in the options form; fixed some problems with colors and layers for DXF files; added debug code for DXF digitizing; fixed problem with color display for circles and symbols on DXF files;
  • 11.22, 5/6/99: fixed problem with drawing on DXF layers 10 and up; defaults button on IHS merge form; fixed problem with IHS merge after one display; fixed registration problem with IHS merge; store IHS parameters in the program defaults; fixed problem with number of slope categories in "standard" mode; adjust IHS elevation merge for DEMs in feet, decifeet, and decimeters; TBII Version 3
  • 7/18/99 removed separate entry options for DTED level 1 and level 2; create indexes for DTED and other DEMs, and graphically load them; check for correct UTM zone and number of columns on merge; remove small holes automatically on load of merge; warning included on alpha splash screen; Revised viscosity calculations for pipeline calculations; ability to set pipeline parameters for symbols for pumps, overpressure;
  • 7/22/99: more logistics for pipeline reports; fixed problem with interpolate within grid option for tinted elevation result; elevation maps now always scaled in meters, and not feet; option to change resolution of vector maps; DEM selection map scaled to just show the data; removed warning about missing WMM-95.DAT, since the program will just not calculate magnetic declination; removed toolbar from quick view DEMs in data manipulation window; use ONC.DIR for DTED importing (in the x:\TEXT directory; vast speedup in hole filling on dem merge loading; Point fabric at point should allow selection imagery, and accepts region size in meters; Greatly enhanced geomorphometry SSO operations possible, if option set; Show UTM grid zone boundaries on DEM selection map; Fixed problem loading DEMs from selection map if file name > 75 characters; changed friction factor for pipelines; for secondary datum to be plotted it must be different than primary datum; option to turn on/off grid point verification for subsets; option to show or not show declination diagram; moved status in data manipulation window to the program status bar; graphical DEM subset uses the same conventions (mouse up/down instead of double click) as other rectangle selections; ability to draw two levels of water with TIGER data, with different colors, and for them to be set for auto selection when zooming; placed scale bar on vector map in clear box; ability to set line width for TIGER features; creates a vector map legend in a separate window; option to overlay scale bar on map;
  • 8/2/99; roam button disabled for vector maps; show significant date for RPF imagery; worked on missing scale bars at some scales; worked on extraneous lines plotted across map with SIN files; target approach fly through added as general option;
  • 8/5/99 fixed problem with extraneous first line segment for stream/pipeline segment when redrawing map; read tiled GEOTIFF files; allow graphical edit of pipeline route; ; fixed problem editing a DEM; showing location of point in data grid when editing a DEM; adjusted graphical load of DEMs to allow multiple merges open simultaneously;
  • 8/9/99 changed names of coordinate unit options, and revised display of UTM coords; changed names on pipeline output to easting and northing; full resolution printing to scale of imagery (and subsets) works; Auto load data from NIMA data archive on hard disk; fixed problem autoloading NIMA data if no RPF covered selected area; never tries to automatically fill holes with DTED; does not check elevation ranges for each DEM in merge; accepts ASCII text export from Eagle/Lowrance GPS receiver; GPS waypoints automatically replot when map is rescaled; overlay management allows removal of streams/pipelines, and GPS waypoints;
  • 8/12/99 option to set map series of NIMA data to load in automatic data base display; import into DTED database allows looking for DTED other than in standard location; import into DTED database shows cells already in database; fixed bad pipeline formula converting psi to ft/head; another fix to pipeline formula converting psi to ft/head; tweaked speed for RPF, GEOTIFF, and NITF frame display; display contrast works with tiled Geotiff, NITF, and IMG (8.2) imagery; fixed problem overlaying GPS track on vector map; moved GPS track into same file as vector overlays; edit DEM allows entry directly into grid, instead of double click and use dialog box; edit range circle allows entry directly into grid, instead of double click and use dialog box;
  • 8/16/99 allow edit of order for drawing overlays, and changed overlay removal;
  • 8/17/99 route ambush weapons fan for routes; route selection (pipeline, ambush, etc) shows rubber band line; put in counter for tiled image histogram generation; sample for histogram for very large tiled images; fixed problem with first pump plotting on end of route on map; new splash screen with icon moved onto image;
  • 8/19/99 live fly through; keyboard control of live fly through; increased length of stored file names in defaults; various fly through made more consistent, and controls changed for this; merge of DRGs should work (required loading pal file for idx imagery);
  • 8/23/99 fixed problem with fly through requiring c:\z\temp directory; streamlined number of menus to get fly through going; pause on fly through; "P" and "S" keys pause and stop live fly through; save live fly route, and replay it;
  • 8/27/99 additional control options on live fly through; read NOAA estuary data base (cm, and interesting depth depiction); change color for ambush route fans;
  • 8/30/99 network GPS positions available but may be disabled if program compiled on NT machine;
  • 9/1/99 warning that Albers equal area projection optional DLGs not supported;
  • 9/3/99 a number of minor bug fixes and other improvements to MGT (resize three profiles; remember last data set loaded; load bathy map last and on top; fixed estimated age calculation which did not plot); program will allow some entries to be in feet, and report z values in feet when roaming; fixed problem that second fly through would probably not work without closing the program; modified fly through selection window; fixed problem with target approach if flying nap of the earth; option to set the target run route from the keyboard; option in defaults to not try to load .dbf file with ESRI shapefiles;
  • 9/6/99 use correct curvature algorithm in perspectives; fixed scaling problem for DEMs in KM; option to set sensitivity of controls in live flight; added third color option for reflectance (blue/green for water/land); fixed problem with pipeline logistics that number of sets was off by factor of 1000;
  • 9/7/99 increased max number of cols to enable wrapping of ETOPO5; correctly set desktop toolbar when auto restoring last desktop; must have save path option checked to be able to save live fly through path;
  • 9/9/99 fixed problem that drawing stream profile did not work; removed unnecessary menu choices from MGT program; option to enter range circles in feet or meters; calculate map corners works on imagery;
  • 9/10/99 option to show coordinates in both datums when roaming; shift to Delphi 5; use new CHM help files, and start replacing links to old style help file; option to change secondary datum on the fly on the grid form; print the total pipeline length in the output summary table; option to remove DEM merge on the pop up menu; fixed problems with point verification on a map without a DEM loaded;
  • 9/14/99 calculate datum shift function now does the magnitude of the shift for both lat/long and utm; improved live fly through when doing a draped image;
  • 9/17/99 : reset the menus to show what can be done after closing DEMs or imagery; fixed error message when rejecting a point on flight route selection; re-enabled speed selection on movie replay; fixed problem that target cross hairs in movie only appeared when aborting out of fly through before completion;
  • 9/21/99: added option to save movies to a specified directory; removed USMA defaults; added option to hide military options; show points used for three point problem;
  • 9/21/99 : GEOTiff with unrecognized datum now asks user to enter it; fixed problem saving image files as BMP with world file; fixed problem with extra lines across screen on vector maps; Panorama view allows map show/not show and location; Fixed problem with incorrectly scaled location map on fly through; live fly through with draped map hides the progress bars and draped map
  • 10/15/99: saved the default UTM grid zone; option to show both lat/long and MGRS when roaming; many changes to CastleNet operation
  • 10/23/99: option to auto fill holes on DEM Merge; improved operation of DEM index files (with changes in file format);
  • 11/01/99: option to automatically load a DEM index; slightly exaggerate DEM size when showing index, to avoid gaps and insure all appear; option to show roaming on all open maps; fixed problem with pipeline route selection crashing; fixed problem with double loading of CIB graphically
  • 11/05/99 : option to save fly through movies as JPEGs instead of BMP; option to do target fly through with two viewport sizes
  • 11/08/99: option to do fly through with two different drape maps; image object now has a selection map; modified subset of imagery--keyboard and graphical options, writes XY file, and PAL file if required;
  • 11/14/99 : option to subset imagery using Lat/long or MGRS coordinates; GPS should now really work with COM1 to COM4; decreased default max size for drapes;
  • 11/17/99 : right click on image analysis window brings up menu to change band or contrast; improved information available for image analysis window; image analysis window uses status panel for its messages; adjust full image, and full size icons on image analysis window to only be enabled when they will do something; fix problem with RPF files with erroneous MaskSection (e.g. Annapolis 5m); corrected problems with the circle around; fixed problem that could not close program after doing a DEM slope algorithm compare (on analyze, dem properties); fixed problem displaying ERDAS IMG files; reads Baltimore LIDAR elevation set (hard coded);
  • 11/18/99 : fixed showing RPF on index map to avoid problems when frame is off the map;
  • 11/19/99 : fixed three major problems with geology option to seek plane contact; plane contact defaults to last dip and strike, to make it easier to see top and bottom contacts; Fresnel zones now requires that Radio Line of Sight be selected; calculate area on map form; fixed problem with loading DTED into NIMA data base, that it asked for additional things after the load was complete; put labels in bends in stream/pipeline profile in the graph form, so they redraw automatically when graph is resized; option to show or not labels on bends in stream/pipeline; fixed various problems and anomalies with selected a second pipeline route without exiting the program; fixed inability to print full resolution for tiled imagery and scanned maps;
  • 11/23/99 : save satellite puts all files in same directory, if user changes the directory; fixed blowup problem for display of BMP with world file; fixed problem getting to Castlenet options (only if enabled via compiler directive);
  • 11/24/99 : fixed problem that pipeline routes could not be saved; ability to pick the pattern for belts in Castlenet;
  • 11/29/99 : changed slope calculations (handles all algorithms for all z units; remove look up tables for slopes); fixed problem editing pipeline route; option to not use CHM help file, and instead put the help files in an HTMLHELP directory under the program directory; fixed image subset for RGB triple Geotiff files, which had showed up all bad, and did not write a bad PAL file for them; option to change ASCII file commas to spaces;
  • 12/09/99: GPS options moved to submenu on the overlay window of the map form; plot volcanoes of the world from the Smithsonian data set edit header allows selection of 0.01 sec and Merc100m x-y spacing types; fixed extra "km" when measuring a distance on the world map; show source contours should work in both meters and feet; merges color DOQQs correctly;
  • 12/13/99: import of Scripps bathymetry from radar altimetry is able to select area by entering coordinates; fix problem saving images as GIF files (needed to set compiler defines for D5 in GIF unit; first option to plot dbf files with query, restrict, and plot; ASCII export in lat/long and long/lat formats were reverses;
  • 12/14/99: removed option to export DEM in old MICRODEM format; use instead the import, single standard series DEM with the new format; removed satellite import options for CIB and IMG files, since they are handled directly (They could always be imported and converted with a single file merge); fixed very recent bug that broke DEM merge; fixed recent bug that removed elevation from roaming map display; fixed recent bug that left terrain categories unplotted; fixed problem with digitizing from scanned image;
  • 12/21/99: OpenGL oblique views, with control over view;
  • 12/23/99 : changed edit to set elevation to missing to make it an elevation range;
  • 12/24/99: for GTOPO and ETOPO, will not put on ticks if none have been selected; fixed recent problem with analyze, elevation-slope plot (which may fix other problems caused by an undefined elevation, such as problems displaying GTOPO30 elevation maps); fixed sky overwriting in dual view anaglyphs;
  • 1/2/00 : many additional improvements to the OpenGL view; Uses WMM-2000 magnetic model, and an option on the analyze menu to get the values for the magnetic model; and correctly inputs KM rather than m into to magnetic model; may have fixed sporadic problems with plotting lat/long points on the map; VUMATE has been removed;
  • 1/5/00 : OpenGL improvements; creation of DEM index can find DEMs in the starting directory, and not just directories below it; fixed problem with reselection of a point during pipeline operations (and likely stream profiles); fixed crash after loading CADRG and then trying to subset;
  • 1/7/00 12.00; draped OpenGL;
  • 1/10/99 12.01 read GEOTIFF DEM with 32 bit floating point elevations; improved OpenGL views;
  • 1/11/00 12.02 draped overlays and grids checkboxes added to the options, views tab;
  • 12.02a fixed reversal on dual view anaglyph perspective; fixed problem that default UTM zone was not used when reading a world file; fixed problem calculating ghost ratio;
  • 1/14/00 12.02c fixed problem with BigEndian tiled Geotiffs that did not correctly get tile offsets to image, and gave a seek beyond end of file error; read ERDAS IMG files in geo (lat/long) coordinates;
  • 1/14/00 12.02d fixed problem saving multiple thins of the same DEM; fixed problem with some GeoTiffs that used code 3073, and wound up in UTM zone 0;
  • 1/18/00 12.02e fixed read beyond end of file problem with GEOTIFF that had image at very end of the file;
  • 1/21/00 12.02f name of SDTS DEM is the file name, and not the unhelpful name of the CELO file; automatically unzip GZIPed USGS 1:250K DEMs;
  • 1/26/00 12.03 fixed problem loading merge of DTED Level 0 from DIX index file; ASCII XYZ export notes the datum used for the export; Option to turn off the verification of closing DEMs; default to set maximum number of OpenGL triangles; removed import option to 1:250K USGS DEM from Web, since it is now a standard series;put a ex-tar option on the Edit menu of the data manipulation form; merge DTED across a latitude line with different long spacing now works; change for DXF file that uses $EXTMIN rather than $LIMMIN to set coordinate limits; warning that gzip option deletes the zipped file; create DTED Level 0 index when file and directory names use lower case "s" or "w"; shows progress of extar option; option to average readings of imagery that is zoomed out, selected on the imagery tab of the options form; fixed reflectance maps for DEMs not in meters for elevations; fixed anaglyph maps for DEMs not in meters for elevations; opening DEM sets missing values to 0 or missing (32767) depending on how option is set; fixed Koppen climograph which only plotted one graph when clicking, for the wrong station; program should now read DTED that is not "Unclassified" (unclear if any exists, since this was never a problem); DTED indexes for DTED 0 show cells produced from VMPA0 in dark green; will read a ShapeFile with coordinates in UTM; option to set pipeline options and turn off many unneeded program options; new size for defaults file; fixed problem putting title on movies; fixed problem with expand color range on a small subset, which probably only affected DEMs with elevations in something other than feet; additional menu choices removed for pipeline option; combo box for default sets; pick 4 additional menu sets to hide; TBII default sets; fixed crash when selecting Van Der Grinten map projection; fixed problem with image averaging display, if it should only have displayed/averaged one pixel; secondary datum shown in correct format when shown while roaming; delay added before OpenGL save to keep remnants of dialog window from appearing on save; moonrise table shows location; option to save DEM on the File Menu; fixed problem setting the border width of a pattern fill (as for ShapeFiles); fixed problem reading imagery from 2d or higher CD; subsample to get histogram from large, untiled imagery; image analysis options (ratio, filter, principal components, etc.) should work with tiled imagery; fixed crash when roaming on map with spherical digitizing datum; fixed some problems roaming on registered image if no DEM loaded; load index file for GTOPO30 (must be converted to 1 degree tiles, with specific directories and file names, which is not possible within MICRODEM); no progress if loading very small native format DEM;
  • 2/10/00 12.04 fixed problem loading MM type of CADRG; read BC (Canada) gridded DEMs;
  • 2/10/00 12.05 option to set the name and location of the Geotrans exe file; check that DTED0/GTOPO30 graphical merge does not exceed DEM size limits; removed status bar from OpenGL saved image; major effort in help file to remove duplicate index headings that differed only in capitalization; removed menu choices and toolbar buttons not suitable for vector outline map; fixed problem that dem/image anaglyph merge did not work; satellite training set selection uses the mouse up/mouse down, instead of double click; average RPF imagery on display works; bitmap header option in Image display (under file, tools) shows more information; option to read SPOT data not in the SPOT tape format, but in that from USGS; save of the OpenGL image is in 24 bit color, for the benefit of PhotoShop; some changes in the pipeline module; fixed import of MAPGEN coastlines; fixed help file operations; read tiled GEOTIFF DEM where there are partially blank tiles;
  • 2/18/00 12.06 fixed reversed reading of GEOTIFF DEM, and incorrect corner coordinates (Orientation 4, and added problem for Orientation 1); any likely DEM includes GZ files for the USGS compressed data; correct pipeline flow rate calculation, and set additional pipeline defaults; pattern selection for fill shows map background; set option to ignore 0 in imagery histograms on the Imagery tab of the options form; correctly interprets Orientations 1 and 4 for Geotiff DEM, and only allows Orientation 1 for GEOTIFF imagery; revised and documented VPF import; ambush movies enabled; rearranged the weapons fan selection form slightly, so ambush movies are on it; removed the Castlenet menu operations on options form; removed option to merge DTED0 from the data manipulation form, since it can be done otherwise; option to create GTOPO30 index if it looks just like DTED0 in 1 degree cells; improved data base display operations (still limited);
  • 2/22/00 12.07 default for a required MapData drive; improved data base display operations (still limited, but works with point only Shape file; fixed problem reading Geotiff with no orientation given (probably a lot; introduced with 12.06a); dem and sat write directories must be \MapData\DEMs and \MapData\SATS GEOID.DEM and WMM file explicitly tied to program root directory; in image analysis windows, displaying all bands does not duplicate the band in the active window; fixed the contrast graph in the image analysis window; when picking fill pattern, picking the "clear" disables selection of the fill color; clean up display of image classification; allow restricting bands to use in image classification; fixed incorrect sizing of the coordinate conversion window; query of shapefile will work for polygons; redrawing of shapefiles correctly remembers the fill shape; RPF images do not allow the roaming button (use the recenter button instead); undo subset button now works on DEM maps; OpenGL drape should correctly handle vert exag for elevations in other than meters; replaced internal "CapitalizeString" procedure with Delphi's UpperCase function; replaced internal "StripXXBlanks" procedure with Delphi's Trim functions; fixed problem with size of the pick fill pattern box (could not change border width); form to create complex data filters for data bases; pump stations now multiplied by the number of lines to calculate the correct ISO containers, cube, and weight)
  • 2/29/00 12.08 database query improvements; database should be closable, and pick either shapefile or table; remembers name of last opened data base; CIB selection on DEM map removes many buttons on toolbar; CIB selection map shows frames partially covered by the DEM; fixed data base query that would not display the selected symbol; more action buttons on the data base table form; menu option to open data base; fixed problem of white strip on left side of OpenGL map drapes; plots filtered shapefile; fixed problem merging DEMs if the primary datum is not that of the DEMs (e.g. USGS 1:24K with primary datum set to WGS84), which has been present for a long time; GridInDataSet changed from a procedure to a function (internal code effect only); added default to show or hide the data base functions;default remembers if live flying should be auto nap of the earth; warning if you try to change flight elevation in live flying with auto Nap on; fixed problems closing live fly through; elevation versus average slope plot shows standard deviation, and second graph in degrees; clearly output on the number of pumping stations for the pipeline calculations; fixed 12.09 problem plotting the secondary UTM grid; pipe support equipment not multiplied by the number of lines; pipe support equipment multiplied by the number of lines, but before rounding up rather than after;
  • 3/7/00 12.10 selection of Scripps predicted bathymetry from lat/long; changing base directory should set ODBC alias; data base automatically brings up data table, and no longer uses the pop up menu; new defaults file size; use of a DEM as a selection base map; graphical selection of Scripps predicted bathymetry, as regular DEM; Elevation-slope plot can be done for all DEMs or a specified one; fixed problem with ambush movie file names; fixed problem closing a data base; fixed problem with fill pattern on data base plots; removed SIO bathymetry from import menu, since it can be done as a regular DEM; color code data base uses correct colors for polygon fill and line shape files; edit option on dem map window if geomorphometry available, and it will do a graphical cutout and an elevation band removal; options has place to set the DEM for base map selection; warning if you try to build a filter without applying any conditions; remembers desired elevation color scheme; cancel button added to database filter creation; fixed crash aborting Area Calculation or graphical area subset and then restarting; map query of shape files works; lighting in OpenGL disabled for drapes (for which it won't work); fixed problem that some OpenGL options did not reset the current action; ambush fans set both hue and sat; selection of ambush fan color done over the center of the map; able to abort from ambush drawing; option for two pass fan movie; fix so default DEM map does not need the vertical scroll bar; removed excess code from OpenGL module; option to close all data will delete all windows; fixed database color plotting; option to plot volcanoes from Smithsonian removed (use a data base); option to plot earthquakes removed (use a data base); database options with numbers in fields ignore blank fields instead of assigning them to 0; database option to label point values; hi-res vector outline will plot 3 separate files (coasts, boundaries, water) in 3 colors; fixed crash subsetting imagery in map window if no DEM is selected; fixed label of axes on very large scale oblique views; save and restore colors for FACC_Codes of VPF data; fixed problem if no data base selected from file selection dialog; dBase connection string modified to use a FileDSN; fixed problems with overlay management (added trash can); shape file plotting uses FACC codes; dBase connection string modified to remove use of any DSN; fixed sizing problem with satellite image analysis window; option to create Lat/Long (.LL) file for overlay, by hitting cancel on file entry; option to overlay point labels interactively;
  • 3/16/00 12.11: new defaults format; hopefully fixed problems when user tried to change the directory for writing satellite imagery; reads the Morrison CO lidar 2m DEM from USGS (extension must end in BIL), but like the Balmer 1 m data (extension BIN), this data set's parameters is hard coded; removed option to pack an SDTS DEM; fixed problem with loading DEM graphically from index file; can use special base map with an index file, if it is in the same directory and has the same name with the PRJ extension; world file TFW will now write a TDW with the datum and UTM zone, which will be read in the future; NIMA data base files moved to MapData directory instead of Microdem program directory; create and use an IIN index file to load single frame of imagery; check that GeoTiff DEM is 32 bit floating point; fan line width forced to be 1; IHS fan colors only available for ambush movie fans; Default for ShowRoamOnAllMaps is now true; roam or recenter imagery off south or east margins no longer makes the map smaller; ShowOverlaysOnDrapes default set to true; it can be changed on the View tab of the options menu for the OpenGL views; warning when trying to roam outside image data;
  • 3/23/00 12.12: trend surface uses a window to select parameters, and select the windows to display; import ASCII XYZ with units of 100m spacing (e.g. 2500 m real spacing); fixed problem that trend surface DEMs did not close correctly; fixed crash in ETOPO5 and similar data sets if coordinates display set to MGRS (only lat/long works); only allows color coding of database with a numeric field; removed almost all references to the old help system; accepts polar stereographic grid for the IBCAO Arctic bathymetry; aborting loading of database correctly closes the data base and allows selection of another; panning of tiled imagery can move by a single frame; modified selection of colors for graphs (used by DXF layers); edit picture button added to map toolbar, uses DXF file; DXF file saves and displays text; : fixed problem on ETOPO5 of trying to display both Lat/Long and MGRS; fixed crash on live flying if no location map; 3/31/00 12.12d: worked to avoid merging problem with old format DEMs with an HDR file; DEM index creation ignores HDR files for old format DEMs; DXF creation no longer available from the data manipulation menu; DXF overlays for vector map should write in lat/long no matter what the default is set to; DXF creation only allowed for vector maps or if a DEM is loaded; DXF creation disabled while another is being created; fixed problem blowing up or redrawing DOQQs under NT only; DXF files saved in the x:\MapData\DXF directory; check and error message is SHX file missing for shapefile; fixed crash in pipeline/stream profile (component already exists); fixed problems with fill patterns for polygons that went off the screen; VPF Shapefiles must be in x:\MapData\VPF directory to use FAAC codes for display colors; added AVI to GIF menu choice in movie replay; fixed some problems with movie directory and file names; movie shows the program splash screen; VPF Shapefiles need only have VPF in the directory name to use FAAC codes for display colors; fixed problem that would not show MGRS and Lat/long when roaming on a DEM; plot text from DXF file does not use a clear background; moved DXF routines out of DEMMapF into DEMDXF; DXF file being worked on with annotation tool redraws when screen redraws; pop up menu for printing from a map window to set choice; edit and save image now on pop up menu with right click
  • 4/7/00 12.13: on small maps, a number of tool bar buttons are removed; data base can be sorted based on one field; default suggested name for movie of fly through does not exist; movie flight route automatically saved in the MOVIES directory (restore from file menu); edit fly through routes (from file menu); fixed problem that zeroing DEM always assigned 0, not MaxSmallInt; DXF can save line weights, colors, and symbols as comments in file, that program can interpret
  • 4/11/00 12.14: DXF annotation tool correctly enabled and disabled; roam on vector map shows MGRS grid zone; when DEM memory is allocated, it is set to 0 or MaxInt depending on user preferences; DXF annotation sets text color; default for max fill range of DEMs (for USGS 1:24K); new size for defaults file; option to convert AVI to MPEG; movie delete also allows GIF and AVI deletion Bold, underline, and italics on DXF annotation; substitute TOC file written with a relative path, so it can be transported; revised handling of DEM missing data to sea level on merging of DEMs; save DEM in DTED format on data manipulation form
  • 4/17/00 12.15: command line -PAPA to get pipeline planning module; changed some of the pipeline defaults; pipeline options set to menu choice on the popup used to invoke it; removed open multiple DEM icon from toolbar (use graphical entry from index); removed rotating oblique (use OpenGL); allow beta diagrams for stereonet (geology); Options can hide or show stereonet and Pipeline planning; fixed problems with vector maps straddling the international data line; set width of range circles; correct display of datum names when roaming; : correct vector map display for shapefiles with polygons on the edge; change where DTED in NIMA data base written; improved ticks on the pretty print map;: correctly set datum on world file the second time through when the datum and UTM zone have been saved
  • 4/21/00 12.16: data manipulation form not available if DEM or image open; disabled image contrast enhancement for images it would crash, like those with a palette; option to turn off GPS operations; 16 bit Geotiff imagery should work; ability to set default CD drive if more than one is present; open irregular shaped RPF imagery
  • 4/25/00 12.17: loading RPF will work even if corners of selection box are outside the data; merging USGS DEMs with mix of ft and meters will store as decimeter; new defaults file size; :RPF type selection shows series name, scale, and latitude band; ability to use 2 CDROMs, as RPF can use a second drive; PAPA automatically loads RPF covering the same region as the DTED; MPEG conversion uses new external EXE (but has a skew); all old help file calls are gone; ambush route saved and can be recalled; warning if dBase file name is longer than 8 chars; show location on all maps will work while actually doing something, and not just while roaming; warning about unsupported ShapeFileType; ability to use DEM as selection map for DEM index files; auto load DBF files removed from options; improved error checking for MGRS in CastleNet; improved ops with NOAA EEZ bathymetry; z value only export of binary elevation data (since the program no longer uses that format) has been removed; ambush movie can save as JPEG; (and fly through as well, which probably were not saving as JPEGs); fixed plot of shape file plot printing within the DB module; fixed problem in vector overlay plotting of point shape file; topographic grain calculation works on image map; fixed problem processing comments for text and symbols in DXF annotation; fixed a read-only file problem in satellite image display; roaming on DEM selection map shows the DEM (quad) map; fixed full res image plotting for ADRG; speed up display of rose diagram for aspect; change bin size of rose diagram by right clicking; added rose diagram to topo grain; fixed problems with DXF annotation of circles on vector world map (0 elev was interpreted as end of record); fixed problem with database map query, which missed one record; MDAC version added to hardware detection string; CastleNet will plot zones, belts, and groups; fixed problem with GPS route fly through replay; fixed problem on fly through, probably only affected short depth of field with low res DEMs; allowed up to 5000 frames for a GPS replay fly through; fixed index out of bounds when clicking in overlay manager below the last overlay; right click on fan gives option to edit it; experimental PowerPoint option; right click on perspective during movie generation disabled;
  • 5/15/00 12.18: overlay icons on map; showing PowerPoint option can be turned on or off; filtered DEM lists filter name in the window caption and DEM name;: show roam on all maps only works when just wandering; overlay icons does GIFs;: redraw of icons draws them at the correct location;: fixed problem merging DEMs from an index file if the index did not use relative paths (as for DTED from a NIMA CD); Koppen climate classification changed C and D winter/summer rain/dry season to use the 70% rule like the B climates; fixed problem trying to load a type of RPF if you had not selected it to autoappear;
  • 5/21/00 12.19: used triangle strips in the OpenGL views; warning if OpenGL call GLinit fails; fixed NT problem with OpenGL normals not initialized;: added debug code, removed progress messages in OpenGL module; broadcast position will not plot on draped view map;allow three options on how to show the roam on all maps;
  • 5/26/00 12.20: changed rotation and translation controls for the OpenGL view;: debug and timing code in OpenGL view;: version number now comes from the EXE; fixed problem when two views of imagery open, and first is closed; default to save GPS Comm Port and type of GPS; Waypoints written to and read from the Eagle/Lowrance and Trimble GeoExplorer GPS; if selecting an oblique or perspective from an image, the default is draped; data manipulation menu can look at VPF tables and coverages; NMEA GPS should work with NT; scale bar on map goes down to m resolution (show GPS input at fixed location); Feature set fixed for TB II ver 4.0 ;Save desktop with a name, and button to restore it; create xy registration (RegRect) for imagery on the data manipulation form; satellite roaming works for RegRect; enabled closing of RPF selection map on a DEM (TBII 4.0); fixed problems closing maps;scale bar for very large scale maps will be in meters, rather than km; fixed more closing problems; option for horizontal spacing interval to be 10 m; DXF contour saving forced to be UTM coordinates; reset from pipeline defaults when running regular version after PAPA version;data base access uses the BDE instead of ADO for simpler installation and faster operation; removed new VPF options (and use of BDE to write shape files) from TBII 4.0; sort of database no longer works; fixed problem reading GeoTiff from FalconView (it used ADRG raster map projection), with warning that coordinates may not be correctly handled); two CGM symbols used for VPF (fords and bridges), which must be in x:\MapData\cgm; main menu dims when data manipulation window open; VPF option using NIMAMUSE converter removed as option; "desktop" renamed as "project" to save and restore; fixed VPF problem with missing codes for coloring; allow image only viewing of GeoTiff with registration the program does not understand; new logic for map ownership (relationship to DEM, image, drape) and closing; fixed problem that draped 3D maps always showed grid and overlays; increase max number of points in lines/polygons for Shape files and VPF; fixed problem plotting some VPF point node files (did they use cnd or end?); fixed problem getting VPF library contents due to inconsistent capitalization; save and restore vector maps with project;
  • 12.21 7/3/2000: resolved problem with VPF tables with associated DOC file; plot tiled LFT files; plots GeoTIFFs exported by FalconView; fixed drawing mode for VPF point symbols; reservoir flooding opiton on calculate menu; fixed problem in overlay management when an icon was dragged too far down; fixed problem with map query of lat/long databases; allow plotting a series of fans from an LL input file; fixed extension capitalization problem with restricting CADRG data types in samplers with more than 1 data type; PAPA CADRG loading only shows the subframes covered by the DTED; PAPA does not ask about the CDs if they are already in the drives; Does a datum conversion on world file imports, and save the datum with world files in a third file; CGM symbol size as defaults option; changed VPF overlay manager so top (last-drawn) layer is on top of the form; VPF type TADS defaults to show Vegetation, streams, and transportation; changed OpenGL rotation/translation controls; plotting CADRG indexes only shows the cells that are present; fixed problem with index map on DEM for DIN file; icons can be from CGM files; automatic plot of database when first displayed; fixed problem loading RPF when only a single frame from the A.TOC file is present; map selection for RPF scales for data actually present, and not what is listed in A.TOC; fixed problem that DEMs were not being correctly closed; view metadata for VPF; place VPF text-output viewing on the Analyze menu; CastleNet deals with degenerate point obstacles ); a tiled VPF area feature tables plot; removed query before closing a database; tiled VPF area features tables check if tile is on map; Geotiff added to metadata choice on the analyze menu; new SDTS DEM reading module, which can read decimeter and arc second DEMs; progress bar with option to abort during large data base plotting; increased allowed size of VPF data files, and use of pointers to avoid stack overflow; display count of records displayed on database table; displays lines in CGM files (for new bridge symbol); removed error message and looking for pattern file; added help buttons to data base filter and open GL forms; deals with "S" type in writing shape files from VPF; fixed a number of VPF problems with FFD, dealing with attributes not included in the data set but selected by the user for the display; non-functioning pan button removed from DEM map window; check and if shape file already created, it is not recreated; VPF coverage modification works if loaded over a map, and not just when VPF button used; fixed problem that recentering ADRG causes a map blowup; CGM files moved to the ICONS directory; fixed problem in tilded FFD VPF files with LJT file present; increase of size for VPF line files; CGM file display uses pointer to avoid stack overflow; increase VPF field limit to 50, to deal with a problem in DTOP; plot of SDTS DLG does not convert to DXF, so it uses a different color scheme; TB II Version 4 posted at FLW
  • 12.30 7/21/2000: fixed recent problem plotting area shape files; database filtering retains previous filter conditions; ability to clear the database filter in the filter creation form; options to calculate statistics on a database field; fixed very recent bug that left holes in SDTS DEM merges;
  • 12.31 8/13/2000: create data base filters by writing in the memo field option to hide columns in data base grid display; when color coding database, points beyond range plot with extreme color rather than not plotting; map query of data base with Lat and Long fields using a filter for faster operation; merge and load DEMs (USGS 1:24K) from data base map query; load single DEMs (USGS 1:24K) from data base table; compute correlation coefficients for data base variables; added frames per second counter to live flying window caption fixed crash when closing DEM and ADRG using the X in the upper right of form; put the inverse projection for Albers projection back in; dec degrees lat/long adjusted to have 5 decimal points; handle USGS 1:24K DEMs on the Puerto Rico datum; merge of DEMs checked that they are all digitized on the same datum; point verification map has a help menu choice, and no other menu items; option to open a 1:1 DEM view on the DEM manipulation menu; fixed problem with GIF icons not correctly redrawing; clean up mouse trails for distance and LOS graphical selection; fix of DTED writes for regions below sea level; check that SDTS files are not read only, for transfers that have been uncompressed outside MD/TBII; significant code reorganization in openGL views; fixed USGS DLG import to process read-only files; fixed problem that writing some DEMs as DTED led to a hemisphere switch; fixed loading of ADRG with more than 1 large scale map image; GeoTiff saves should work with any DEM or imagery; Plot VPF point feature table allows abort; abort during plot of VPF coverage ends entire coverage; error checking for compressed SDTS DEMs expanded for truncated CELO file; fixed problem blowing up tiled VPF displays;
  • 12.32 9/01/2000: color for grid on vector map same as other maps; Lat/long geotiff image saved with comments for ERDAS Imagine; for vector projection, can overlay the h & k scale factors, and show them while roaming; cartography menu choice; datum shift shows the values while roaming; option to overlay Tissot indicatrices on some vector projections; MGT allows OpenGL subset, and regular oblique removed; MGT OpenGL Vert Exag defaults to 100; graphical subset removed for vector maps others than Mercator; option to show or hide cartography menu choice; datum shift option shows the difference in easting & northing, as well as total; undo subset works correctly for vector projections; Shapefile digitization for line features; changed the input for two anaglyph perspective options; change GEOTIFF saves again for IMAGINE; read BT files in UTM based DEMs, and in 4 byte floating point elevations; fixed problem with elevation-slope plots for DEM in feet; option to connect points in GPS waypoint files, and LL files; improved shapefile creation (close polygons, zero new database fields when creating); fixed stack overflow in database map query function; work on Geosym CGM display; MEA version functional;
  • 12.33.17 9/17/2000: shapefiles created with dBase III + dbf file for export to other programs; fix bearing on Mercator vector maps; disable distance and bearing on non Mercator vector maps; drape a DEM on vector map projection; warning if importing ASCII XYZ and attempting switch from UTM to lat/long; DEM column and row limit at 7201 for DTED3; 0.1 arc second data spacing allowed; UTC time difference displayed for sunset/sunrise; multiple data bases allowed, and maps automatically redraw the data base; shapefile writes adjusted; fixed problems displaying shape files from vector overlays; option added to either plot or not plot data bases upon selection; report option on database to get a text output; fixed problems with DTED0, GTOPO30, and ETOPO5 with 3D views
  • 12.34 9/28/2000: one source code for display of shape files, used for both data base and vector overlays; fixed incorrect value for parts in shapefiles; able to set spacing of Tissot indicatrices on cartography option; save as DTED can export with 0.1 sec units for lat/long spacing;
  • 12.35 10/02/2000: fixed problem that all water grid zone 31V would return 32V; cartography menu choice to show the MGRS grid zones; cartography menu choice to show the 100K grid squares UTM projection working in vector map projections; Albers Equal Area conic projeciton working in vector map projections; Default model type 2, and get datum/UTM zone for new MrSid defective Geotiff exports; 10/06/2000: increased max size of the screen (from 1500 to 4500), which fixes some problems with very large maps; fixed problem if double clicking to subset DTED 2); convert shape files: conic to lat/long, and lat/long to UTM removed limit on the number of images that can be merged; recenter map allows zoom in, zoom out, or no zoom; shapefile creation allows copying of an existing dBase table; recenter option on right click pop up menu in map window; fixed problem redrawing weapons fans in saved project; vector projection LambertConformalConic working; fixed crash when subsetting DTED Lev 2 and moving selection off the window on the right side; fixed problem closing RPF selection map on top of a DEM; data base query works when the box crosses the International Data Line; UTM grid drawn on UTM ellipsoidal vector projection; Multiband, multifile Geotiff (e.g. Landsat 7); fixed draping problem in panorama (and likely other moving views); option to delete shape files;convert GMT files into shape files (for UT plate boundaries); 1:1 display option for imagery and UTM DEMs; Zipatone patterns (from Stratcol) for VPF area fills; fixed DEM elev/reflectance merge for DEMs in feet; likely images file filter choice for loading imagery (TIF, TOC, and IDX extensions); many improvements for VPF display; add military unit icons; create point shape file; load MIC file with military icons from the vector overlay choice; load any TTF font for symbol generation; fixed problem loading draping map for oblique with tiled imagery;
  • 12.36 11/2/2000: using the Save DEM button saves the DEM using the preferred primary datum;
  • 12.40.6 11/6/2000: Castlenet reintegrated into the program; DXF contours save in UTM or Lat/Long; 11/8/2000: fixed problem reading compressed USGS 1:250K DEM; database filter divided into two parts, main and geographic; fixed unbinned elevation histogram for DEMs in feet; drop down box for satellite analysis window blowup factor;legend when database plotted by color by a string field; IHS overlay plot for shape files; histogram of a database field; fix problem with label of database;
  • 12.41 11/20/2000: imports GLOBE DEM, using Geo-Vu headers; GLOBE can have DIX index file and auto merge; fixed problems with VPF tables, with > 255 characters in a text field, and with bogus comment (?) line in the DQT table; VPF metadata view has full (slow) and partial (fast) options for library; write of VPF into shape files reset; option for custom perspective sky color; won't do database legend if it contains more than 100 entries; fixed problem that database field stats could provide results for the wrong field if string fields were present; fixed problem that loading DEM from DIN file did not reset the main toolbar (oblique, perspective were not enabled); added delay on very fast systems for live flying to allow pausing and stopping; index for TIGER files; auto plot of TIGER files on DEM loading; plot all TIGER files on map; fixed query in box for database with 4 corners (LAT_HI...); datum shift for shape files; fixed load of thin for large DTED, which would only thin by 6; save as DTED will not interpolate elevations, rather than just take the nearest; fixed two small memory leaks in VPF area plotting; fixed IHS imagery merge when the size/aspect ratio of the two images differed; create VPF Geosym legend; options for very fast digitization and area calculations;
  • 12.42.1 12/1/2000: cancel buttons on the overlay management forms;
  • 12.43.4 12/4/2000: read IKONOS Tiff files, and 4 colors from those files;
  • 12.43.7 12/7/2000: New DEM/Image etc. in menus switched to Open DEM/Image etc; correctly handles VPF line tables with lines with multiple "parts";
  • 12.43.13 12/13/2000: added information of memory availability to the hardware string (maybe all Windows garbage);
  • 12.44.15 12/15/2000: rediscovered map legend; read Tiger files directly from the zip file;
  • 12.44.18 12/18/2000: file unzip option on the data manipulation form
  • 12.44.19 12/19/2000 : change drawing of VPF AFT tables, to allocate drawing BMP and copy only once to the bitmap; allow abort during auto draw of database table on map; fix for RTV IFSAR data (unusual choice of fields for setting data value limits, using real number for 16 bit integer field; VPF vector maps can plot on a UTM projection;
  • 12.45.22 12/22/2000 : right click on map window allows copy to clipboard; startup for program checks and creates local data bases if necessary; fixed a number of memory leaks using BoundsChecker; Icons for sunrise and sunset use a graphical point selection;
  • 12.45.25 12/25/2000 : print preview for maps; read 16 bit RGB tiled GEOTIFF imagery (IKONOS sample); DTED level 2 copied to hard disk with the NIMA data base manager will havd DT2 file extension; option to delete files from the NIMA online database; 3 annotation buttons on map window combined into one, with a pop up menu; fixed crash on closing after running a fly through;
  • 12.46.4 1/4/2001 : revised algorithm for plotting of VPF AFT tables; added some error trapping for problems with VPF files; increased max index size for VPF file indexes to 75K from 50K; simplified in-memory handling of VPF tables; dialogs for line and pattern fills have caption with the feature listed; 12.46.8 1/8/2001 : VPF quick display works; VPF maps switch from Mercator to UTM projection when it gets into a single zone;
  • 12.46.9 1/9/2001 : save/restore desktop includes vpf
  • 12.47.10: 1/10/2001: print to scale works with UTM vector map projection (VPF)
  • 12.47.12: 1/12/2001: fixed load of NIMA data base to correctly roam and show coordinates and elev after loading; data manipulation has an Export, VPF table to shape file option
  • 12.47.16: 1/16/2001: live flying can use a joystick; live flying cannot go underground; fixed VMAP 0 leak for some area tables
  • 12.47.17: 1/17/2001: fixed shape file digitizing on a vector map; printer properties dialog on the print preview; fixed problem loading NIMA local data base with RPF not always correct, due to bad LONG in data base; better automatic labels of NIMA RPF merges from local data base;
  • 12.48.22: 1/22/2001: Map calculate menu has a WhereIs option; Fixed crash after a map subset; Overlay management form has a remove all, and an option to turn off deletion verification; Speed up display of Shape files by using the bounding box coordinates; Before plotting a TIGER file, check that it is on screen; fixed problem displaying two UTM grids; removed some menu choices that did not apply from MGT; overlay geology earthquakes and new volcanoes plot the supplied data bases in MGT
  • 12.48.23: 1/23/2001: allow image enhancement of NIMA DOI (=CIB) in Geotiff format, even though it uses a palette; fixed problem with shape files not plotting on first pass through the program
  • 12.48.24: 1/24/2001: fixed very recent problem for UTM shape files that would not plot; fixed to enable plot of shape files from CD
  • 12.48.26: 1/26/2001: local NIMA data base should reliably pick add series, and will work if the corners are outside the coverage box; fixed problem creating shape files from VPF line tables; reads TC type CADRG
  • 12.50.29 1/29/2001 : UTM grid on two datums for vector map projections (e.g. for VPF); VPF will only plot if primary local datum is set to WGS84; roam on UTM vector map can show both datums
  • 12.50.30 1/30/2001 : added table name to VPF legend; loading RPF works if loading a single frame from an index map; corrected the locations shows for weapons fans displayed on imagery; fixed crash on program closing if imagery had been closed manually; separately set width of primary and secondary UTM grid lines
  • 12.50.31 1/31/2001 : fixed VPF problem that files with an AJT table were not correctly getting all area features; fixed problem that VPF AFT was incorrectly set to line shape files; fixed problem writing shape files for VPF AFT tables; DEM merges can be saved in project file
  • 12.51.3 2/3/2001 : fixed digitization of point shape files; restore desktop works with RPF
  • 12.50.29 1/29/2001 : UTM grid on two datums for vector map projections (e.g. for VPF); VPF will only plot if primary local datum is set to WGS84; roam on UTM vector map can show both datums;
  • 12.50.30 1/30/2001 : added table name to VPF legend; loading RPF works if loading a single frame from an index map; corrected the locations shows for weapons fans displayed on imagery; fixed crash on program closing if imagery had been closed manually; separately set width of primary and secondary UTM grid lines;
  • 12.50.31 1/31/2001 : fixed VPF problem that files with an AJT table were not correctly getting all area features; fixed problem that VPF AFT was incorrectly set to line shape files; fixed problem writing shape files for VPF AFT tables; DEM merges can be saved in project file;
  • 12.51.3 2/3/2001 : fixed digitization of point shape files; restore desktop works with RPF;
  • 12.55.5 2/5/2001 : fixed problem with calculate area function; started major recoding of the map form, putting map drawing into a formless object; option to edit GIS from table (must set on options form, and set checkbox); fix flythrough crash is double selecting the same point; fix problems with all route selection; modify SDTS read to handle 32bit floating point 10 m DEMs;
  • 12.55.6 2/6/2001 : fixed problem with slope map introduced in 12.55.5; sets default field size when creating a data base record (as for shape file digitizing); map query of shape file shows the correct record count; removed checks for Calculate Slope and Pipeline menu choices; fixed problem if the path to the temp directory was longer than 35 characters; keyboard point verification shows what the point is for, and has a valid MGRS show;
  • 12.55.9 2/9/2001 : fixed problem with VPF if the series had not been plotted before;
  • 12.56.12 2/12/2001 : image option in the database will display movies (GIF using the internal player; others by calling the Windows associated player);
  • 12.56.13 2/13/2001 : image analysis window not allowed for CIB;
  • 12.56.15 2/15/2001 : edit, outline region of interest problems fixed; get DEM grid option fixed;
  • 12.60.15 2/15/2001 : official TBII ver 5 rollout
  • 12.61.15 2/15/2001 : fixed crash of program if removing a single overlay by dragging it to the trash can; fixed problem that shape files were not being written with the correct number of records, so they would not display as a vector overlay;
  • 12.62.24 2/24/2001 : fixed problem with PLGR waypoints; fixed problem with Geosym of VPF; (TBII version 5.01)
  • 12.62.27 2/27/2001 : improved quality in OpenGL saved images; print OpenGL images; read native format USGS DEMs in decimeters over 3200 m elev (by converting to meters);
  • 12.63.1 3/1/2001 : fixed program to work with BOO and other three letter datum codes; improved finding image in ERDAS Imagine IMG files; (TBII version 5.02); IHS fans, and either masked or visible areas;
  • 12.63.5 3/5/2001 : use PointsIntervisible routine in LOS drawing; LOS drawn shows visible and masked terrain; option to draw LOS on radial from fan; separate controls to label and title the perspective window; read Garmin TRK file with lat/long in decimal degrees; if copying a DB table to create a shape file, does not copy the "ID" field;
  • 12.63.6 3/6/2001 : option to change scale at which TIGER roads and streams autoappear;
  • 12.70.7 3/7/2001 : plot very large polygons/polylines in 95/98/ME (by decimating)
  • 12.70.9 3/9/2001 : map window displays up to 7500 x 7500 without memory/resource problems on a reasonable machine;
  • 12.71.10 3/10/2001 : save map as Geotiff rewritten to use less memory; ability to load local NIMA database files by right clicking on any map;
  • 12.71.12 3/12/2001 : moved label option on the GIS database view to the plot popup menu; color code a Shape file by one field, and it will be the default coloring
  • 12.71.13 3/13/2001 : status bar shows point slope value when roaming while doing a Calculate, Slope;
  • 12.71.15 3/15/2001 : warning if local NIMA data base has no data; fixed recent problem that shape files on a world map, or with UTM coordinates, did not plot;
  • 12.71.19 3/19/2001 : fixed problem with showing the source contours; improvements to IHS fans (show both masked and visible, and show range circles); option on data manipulation form to add the bounding box to the dbf file for shape files, which makes filtering and map queries much faster; GIS database option to query map for just the current screen area; Plot of GPS satellite positions;
  • 12.71.20 3/20/2001 : PowerPoint buttons added to OpenGL, LOS, oblique, and Perspective; Option to set time interval for AVI and animated GIFs
  • 12.71.22 3/22/2001 : slight modification to labels of curvature maps; added difference histogram to trend surface plot; combined code for elevation histograms; does up to 8th order trend surface; sampling for histograms in very large images;should be able to filter, do Principal components, and ratios for non-IDX imagery;
  • 12.71.23 3/23/2001 : picking datum and UTM zone correctly shows the changed datum; option to verify datum when loading (implemented so far for Geotiff); corrected 180 degree longitude error in GPS satellite prediction; fixed problem with numbering of ID field when digitizing shape files;
  • 12.71.26 3/26/2001 : fixed read beyond end of file with shape files digitized by MD/TBII
  • 12.71.27 3/27/2001 : read 16 bit NITF IKONOS imagery; read world file in lat/long coords; fixed problem with Tiffs with RowsPerStrip > image size (WCS)
  • 12.72.3 4/3/2001 : shape files converted from VPF use standard shape file dBase tables; shape files converted from VPF contain the bounding box in the dBase table; shape files converted from VPF contain the Geosym CGM pattern;
  • 12.72.6 4/6/2001 : revised display of coordinates while roaming maps, so that all maps (imagery and vector) show 2d datum and lat/long and MGRS; ability to set or change DEM for imagery after loading (on modify menu);
  • 12.72.7 4/7/2001 : digitizing shape file has option to copy last record's DBF file record
  • 12.72.9 4/9/2001 : datum shift reproject Shape files in UTM coordinates; reproject shape files both Lat/long to UTM and UTM to lat/long
  • 12.72.12 4/12/2001 : shift shape files by an arbitrary amount; distance calculation tool shows dx and dy; save GIS table as HTML report asks for file name; register BMP image produces an HTML file with a table of the coordinates in image and xy-utm space;
  • 12.72.13 4/13/2001 : Analyze, Create Map, Contour Base for export menu option removed, since it can be done by creating a map and saving it with a world file; when converting VPF to shape files, irrelevant fields (like TILE_ID) will not be copied;
  • 12.72.16 4/16/2001 : improved clicking on single record in GIS data base and having it display on map; bounding box for shape files always recorded in lat/long in dbase file; full print imagery removed; used a 1:1 map display and then print that; 1:1 map display should work with all data;
  • 12.72.17 4/17/2001 : because the on-screen check for shape files can be fooled, option to turn it off and try to plot everything;
  • 12.72.19 4/19/2001 : option on file menu after perspective drawn to see the compression/expansion of image/DEM coordinates to the view;
  • 12.72.20 4/20/2001 : improved automatic quality of draped image perspectives to use image resolution rathen than DEM resolution for the default (this inadvertently changed probably around 12.70);
  • 12.72.23 4/23/2001 : Import ASCII Arc Grid DEM now supports arc sec DEMs as well as UTM; Default with max map size, and 1:1 checks for it
  • 12.72.24 4/24/2001 : GIS plot by coding of a numeric field works with area files; fix DXF polyline so that AutoCad would like it
  • 12.72.25 4/25/2001 : added checks for plotting of corrupt point shape file
  • 12.72.27 4/27/2001 : plot of point GIS data base will color code by string field; removed option to use HTML help files instead of CHM; reads NED files (BIL format) from USGS
  • 12.72.30 4/30/2001 : graphing options with temporary files work on Win2K with its long temp path; raised max size of VPF table from 15 MB to 20 MB (for Vmap0 NA water); corrected recent bug that Lat/Long bounds in shape file did not have any decimals; analyze DEM properties, one degree statistics option for DTED0, Globe, and Gtopo30; 2 and 3 parameter RG and RGB color plotting for shape files; correctly reads NED with 16 bit integers and 32 bit floats (m resolution) in addition to dm and cm 32 bit integer files;
  • 12.73.2 5/02/2001 : Information for DEM shows the display and digitizing datums; fixed problem that NED imports did not set UTM zone, which caused problems;
  • 12.73.3 5/03/2001 : calculate line length for a shape file, on the statistics menu;
  • 12.73.7 5/07/2001 : option to convert shape file from UTM to Lat/Long; option to add length field to shape file dbf table; fixed line width when plotting shape file with color coding; default to hide default vector outline map once zoomed in to specified level;
  • 12.73.8 5/08/2001 : fixed problems with the fabric map option; adjusted size of panels on the main form status bar; modified to read Erdas Geotiff DEM in 32 bit DEM with no tiling and the value range not set; modified reading untiled 8 bit Geotiff imagery; finer horizontal value marking scale on LOS;
  • 12.73.14 5/14/2001 : re-enabled option to hide toolbars; merge DEM and bathymetry; option on reflectance to show below sea level with elevations, and reflectance on land;
  • 12.73.21 5/21/2001 : option to put COLOR field into database, and to use it for coloring database; option when doing a Calculate, Topographic Grain, Topographic Grain Vector overlay to plot a graph of ln(s1s2)/ln(s2s3); fixed recent breaking of the help file; fixed so MGRS data base files will plot polygons; uses polyline to draw Fresnel lines, instead of disconnected points; fixed scaling problem with Fresnel zones being centered on ground and not the antenna heights;
  • 12.73.23 5/23/2001 : fixed problem that areas in VPF were not getting the correct CGM symbol in the shape file; option to export an entire coverage to shape files; fixed problem that unregistered images were appearing in the map window and causing math overflows; sped up image classification, and fixed seek beyond end of file;
    option to label MGRS data base file, or area shape file, although placement may not be robust;
  • 12.73.24 5/24/2001 : fixed problem with oblique on imagery for subsequent draws after the first; read e00 DEM grid files;
  • 12.73.28 5/28/2001 : setting vector projections allows picking the outline and text files; plots the text point file with vector projections; option to recenter map on a database point record; fixed problem that hidden fields would not stay hidden on database table display; uses popup menu in db grid to control options like display record, edit point location, set color; kept the database grid display on the current record after changing the display or plotting;
  • 12.73.29 5/29/2001 : read 16 bit integer Geotiff DEM; allow reading e00 files with arc/sec spacing;
  • 12.74.1 6/1/2001 : can change parameters for Lambert Conformal Conic projection; ellipsoidal vector projections show x,y coordinates during screen roam; convert Lambert conformal conic shape files to lat/long; ability to change datum on vector map projections; edit button on data base table, with options to color all records or all uncolored records; set up VPF_INDEX.DBF for handling Geosym display of VPF;
  • 12.74.18 6/18/2001 : fixed draped oblique problem when 2d point is SW of the 1st; database filtering improved, with drop down boxes with options for <>, <=; option to go through a field in database, and pick the color for all values in that field; showing all members of the field after selection; option to color a GIS database with a linked second table; changed interpretation of NITF projection with lat/long corners (really UTM grid); add lat/long fields to point shape file database; add field to a database from a linked table; improved slope algorithm comparison; option on the calculate menu to see point slope with all algorithms; vector outline map (SIN format) does not drop line segments as it is blown up; ID button on GIS data base table display provides characteristics of record by clicking on the map; PAPA correctly shows the colors for pumps and overpressure on the x-section graph; JPEG with world file can be opened as an image type; fixed error in category classification totals for sat image classification; trace contact and other geology operations should work with dip and strike entered as real numbers; option to save GPS waypoints to a dBase file, with an IMAGE field; improved PF_INDEX.DBF for handling Geosym display of VPF with automatic redraw, abort out, and show file names with progress;
  • 12.74.19 6/19/2001 : recovered the list of available windows on the Window menu; ERDAS LAN will import 1000 m DEM spacing;
  • 12.74.20 6/20/2001 : closing a map window closes the Database table windows associated with it; ID button on map, which will cycle through the open data bases to identify records; GEOSYM CGM legends can be for one product, or all VPF; right click on record, and select from file dialog, to get images into a database; VPF GEOSYM plots point CGM files from converted shape files; fixed problem with "PLOT" field not placed in the shape file index for VPF; option on the create menu of the data manipulation form to create/recreate the VPF shape file index;
  • 12.74.21 6/21/2001 : new defaults file format; show VPF priority layers option; set all and clear all on VPF table selection gets the last table down on the display; option (on the database tab of the options form) to set the record limits in the database automatically when it is loaded;
  • 12.74.22 6/22/2001 : conversion of area VPF to shape files should be faster; fixed very hard crash converting very large VPF tables to shape files; fixed memory leak and eventual out of resources with VPF conversion to shape files; -geosym version of the program brings up stripped down version to evaluate geosym;
  • 12.75.25 6/25/2001 : label contours line; undo subset works with vector map projections;
  • 12.75.26 6/26/2001 : data base highlight uses a different color from regular plotting; fixed fairly recent memory leak when displaying VPF the "old" way; IHS weapons fans will draw all the way to right edge of the map, if it has a left margin; fixed problems with "circular" vector map projections drawing across the screen; fixed floating point overflow when roaming on the sinusoidal vector projection;
  • 12.75.28 6/28/2001 : add length field to data base works for lat/long databases; option to delete a record in the database, but only if not a shapefile; fixed very recent problem with multipart shape files; calculate length option on popup menu in database table; weapons fans now have two selection windows, one for the drawing propertions and other the fan properties;
  • 12.75.29 6/29/2001 : fixed VPF conversion to shape files to work when a field name > 10 chars (SASAUS trans/dqline.lft); moved VPF-SHAPES to be a subdirectory of NIMADATA, preparatory to including in the NIMA data base; two line drawing routines for vector line projections, to get all long straight lines in blowups and avoid the Siberia/Alaska lines across the screen; vector Mercator map projection can have NW corner anywhere and show all 360 degrees of longitude; fixed contrast on GEOTIFF imagery;
  • 12.76.2 7/2/2001 : improved check on whether VPF table had already been converted to shapefile; copy 5 lineage files (CAT, LHT, DQT, GRT, AND LINEAGE.DOC) to the hard disk when converting VPF to shapefile; VPF shape file conversions put into NIMA data base on conversion; NIMA data base has a new format, and old version must be rebuilt; option to turn tables on/off in display of VPF converted to shape files; additional work on recent problem with multipart shape files; fixed complex Geosym rules so that field names were correctly capitalized (first record had been used); fixed secondary datum UTM display on vector map projection; VPF conversion to shape will give recs/sec progress;
  • 12.76.3 7/3/2001 : Map window corners works with a vector map; default for autoload Tiger set to false; new file with local NIMA database written as Excel, shapefile viewable dbase format (does not affect existing files); deal with Geosym when same FCODE and PID lead to two solutions for different geometries (e.g. FA001 in POLBNDA for VMPA0 can be point or area); deal with Geosym for a F_CODE of "N/A" (3 islands in in POLBNDA for VMPA0 of SASAUS); VPF conversion to shape will display Geosym problems; fixed very recent problem plotting/converting VPF line tables; fixed "cannot perform op on closed data set" in loading local NIMA data base; improved speed of VPF-shape index creation; CGM line legend shows the FCODE and feature description;
  • 14.1.5 7/5/2001 : Move to Delphi 6, and started finding errors resulting from stricter language rules; All CGM legends show the FCODE and feature description; Geosym legend for areas correctly draw symbols with both a line and an area fill; fixed VPF import for table with "extra" field (embankl.lft in vmap1, #65); increased to 4500 max number of parts in a shape file (donut holes) to deal with Michigan woods on VMAP1); increased limits for shape file area plotting to deal with Great North Woods in VMAP1; weapons fan database uses WGS84, and correctly converts in/out for use; fixed error with the logic in Geosym evaluation with complex connectors;
  • 14.1.6 7/6/2001 : fixed problem in 14.1.5 reading DTED (and perhaps other kinds of DEMs); fixed problem in 14.1.5 with scanline error with draped 3D views; added GEOSYM line ID to VPF converted to shape files (to check on the assignment); smarter shapefile addition of lat/long and corner fields if they already exist; ID of VPF shape file records shows the Geosym evaluation criteria; option in defaults to automatically use Geosym when plotting a VPF table converted to a shape file; automatically converts old local NIMA database to new format that will work with VPF; plot button for fans database brings up custom popup menu; fixed problem with area colors on CGM legend;
  • 14.1.7 7/7/2001 : fixed problem with label of shape file records; located memory leak in VPF display with CGM lines that contained points along the line;
  • 14.1.15 7/15/2001 : plane contact can be done on an image map; option to repeat plane contact at same point; plane contact should correctly work with dips as decimal degrees; OpenGL views can be saved to BMP, JPEG, or GIF; option to edit fan location on fans database display; removed option to plot fans from an LL file (use fans database option); database report option will create a DBF file, which can be a filtered version of the original with fields omitted; shift to version 2.2 of TGifImage; moved location of the index file for GTOPO30, DTED0, and GLOBE; fixed problems with merging DEMs in feet and decimeters; graph from data base has ID option to identify the plotted record; option to plot vectors from database by picking the direction and magnitude fields;
  • 14.1.16 7/16/2001 : open scanned map correctly shows the map file options; fixed problem plotting many shape files in 14.1.15; point ID of entire VPF coverage (all tables) loaded via shape files; text window showing tables in each priority layer for VPF shape files; increased length of NAM field for VPF shape files from 10 to 24; change in handling VPF conditions with longer strings; [(x or y) and (a or b)]; increased max number of coordinates in a line for shape files; CGM area draw works on the CGM test form; ambush movie limited to visible or masked, and not both;
  • 14.1.17 7/17/2001 : shape files from VPF are put into subdirectories like the VPF; table description in VPF shape file index; all old shape files from VPF will have to be redone; DEM color merge hidden unless correct conditions met; fix Geosym evaluation to deal with condition like "EXS=0 or EXS=28 AND RST=1"; data quality tables in VPF ignored; database graph option for 2D map, color coded by a third variable; ID of database rec ord does full size if possible; ID of database record from graph show clicked point on the graph;
  • 14.1.18 7/18/2001 : new defaults format; option to move the NIMA Database to another location; index the FalconView data structure; extended switch in distance calculations for large DTED from 2.5 degrees to 5.25 degrees; record display for VPF shows text values for the attribute names and values; fixed program to load JA* RPF files from the NIMA data base; DEM resampling will produce feet and dm DEMs; DEM resampling will revert to the user's primary datum; rose diagram option for database table;
  • 14.1.19 7/19/2001 : projects are stored in an MD-PROJ directory under the program directory; VPF point files will display mandated text; statistics graphing and plotting for a database remembers the last variables selected; graphs no longer plot points along the margin when they are off the graph area; point density option on analysis graphs to show the density of points when the graph contains 1000's of tightly overlapping points;
  • 14.1.20 7/20/2001 : LOS increases the vertical scale so peaks do not extend above the view; does not try to automaximize a vector map extending over 180 degrees of longitude; program will not compute MGRS more than 4 degrees from the center of a UTM zone; moved three items from the import satellite menu to the create menu (A.TOC and image registration files); multiple enhancements to the new weapons fan edit; removed all traces of the old weapons fan edits; changed default image enhancement contrast to NONE; pixel size for vector map is taken for 1/4 to 3/4 of the way horizontally across the map, at the midpoint vertically; print to scale works for Mercator vector projection (correct scale at center of map);
  • 14.1.23 7/23/2001 : after reprojecting shape file, updates the bounding box; database record ID uses the active filter; SSO diagram also draws an aspect distribution rose; aspect by slope bin option; VPF via shape file has the same index/full plot options as VPF direct; option for movie showing the drawing of VPF (enable on the Vector Map tab of the options form); improved display for FFD roads to improve junctions; fixed files SHX and SHP when converting VPF to shapefiles; fixed problem in DEM resampling that the number of rows was incorrect; calculate area from a database record;
  • 14.1.24 7/24/2001 : overview map of VPF shapefiles uses quick color by table; area VPF text plots; option in database table to display the record coordinates; fixed problems with DTED2 subset import; vector map default to show just what is wanted in terms of correct aspect, and revert to best size when subsetting; NIMA data base selection map has button to return to selection; NIMA data base selection map has ID button; fixed wrong combo box grayed out in DEM resample; spectrum color option for DEM elevation maps; fixed IHS color map for elevation;
  • 14.1.27 7/27/2001 : revised CGM assignment for VPF; fixed bug that Tabledef.dbf kept getting larger (never packed); good guess as to correct line widths for Geosym; fixed problem (from 14.1.5) reading very small DEMs in MD format; new form to read lat/long, with tabs for different formats; point verification map window allows keyboard selection on its menu; size of VPF point symbols taken from CGM file, and fixed recent bad problem with some huge black point symbols; option to put symbol on weapons fan location, and to edit the symbol; fixed recent bug that old style radial fans were not available;
  • 14.1.30 7/30/2001 : point elevations and symbols use a database to store and edit values; improved graphical display of ASCII XYZ points during import to create a DEM; fixed elevation/slope plots for dm and feet DEMs; new defaults file structure; option to automatically label VPF features when map drawn; option to replace VPF contours with those from DTED; option to draw VPF on a DTED reflectance map; ASCII file remove tabs and remove commas options work again; plot Area DOP overlays; fixed recent problem opening helpfile; map modified so that if one scroll bar is visible, so is the other (keeps from hiding part of the map); fixed recent bug that DIX files for DTED0, GLOBE, and GTOPO30 would not work from the old directory location (problem if data was on CD and index could not easily be moved);
  • 14.1.31 7/31/2001 : changed bringing up the local NIMA data base by right clicking on the map; separate form with VPF display options; importing NIMA data to hard disk shows the footprint already on hand; option to plot VPF over CIB; recenter map option on DB table works with lines and areas; option to get single data base record in vertical short table; option to add area field to a shapefile; fixed ability to highlight records with VPF shapefiles up; modified reading of 16 bit GEOTIFFs; maximum tile size for imagery increased from 256 to 1024; spot elevations/point symbols, and weapons fans, work if hopping between several maps; save & restore spot elevations/weapons fans to directories under MD-PROJ;
  • 14.2.1 8/1/2001 : fixed problem with plotting trees (and other area symbols) in FFD VPF; fixed problem in geographic filter that did not combine correctly with other filters; numerous enhancements to CIB or DTED base maps for Geosym VPF; fixed overlay manager; fixed automatic name for single cell of DTED; new format to VPF shape file index (ID field added); changed selection of tables for text, index, plot, and ID of VPF shape files; get to pick tables for record ID with VPF shape files; new defaults file format; keeps track of DTED1 and DTED2 separately when loading NIMA data base; loads 1 M CIB from NIMA data base, and keeps track of 1, 5, and 10 m CIB separately;
  • 14.2.2 8/2/2001 : correct placement of VPF Geosym text for points and lines; option for VPF text background to be opaque or see-through; fixed DTED export (the wrong magic flag had been used at the start of each elevation column) and now works in vterrain.org code; fixed problem trying to remove a single overlay, and in removing VPF, weapons fans, and point overlays; recovered point location on the ambush movie; fixed very recent bug that VPF DTED contours did not show up;
  • 14.2.3 8/3/2001 : opaque/clear area patterns for VPF shape file maps; option to subdue CIB base base for VPF shape file maps; option for IHS merge of VPF shapes with CIB base map; error trapping for many of the combination of options with VPF shape files; DXF annotations requires a DEM;
  • 14.2.6 8/6/2001 : unbinned histogram uses all points, and not just those with slopes available; indexing RPF for NIMA data base can deal with hidden directories; asks user about Geotiff registration for CSIL files from ERDAS which have no registration, but a useless Geotiff header; modified VPF reading to deal with missing EDG tables (VMAP1 of FLW); change edit DEM operations;
  • 14.2.13 8/13/2001 : create a USGS database; point symbols works on vector map without a DEM; reverts to Lat/Long when digitizing DXF on a non-UTM vector map; DXF writing defaults to lat/long coordinates; resolved problems loading VPF with CIB or DTED with the multiple levels; fixed problem loading IDX files with a palette when they were not stored in the default SATs directory; VPF ID asks which finds to display if more than one record type is found; read coastal LIDAR elevation (a binary ESRI grid); fixed problem with edit of pipeline;
  • 14.2.14 8/14/2001 : automatic creation of the correct directories for the USGS data base
  • 14.3.15 8/15/2001 : text placement field added to point records for later use, so files will not be obsolete; loads data from USGS data base (no merging or series checking yet); fixed problem that point CGM were not plotting for VPF, and that line thickness was wrong for point CGMs; fixed very recent problem plotting any VPF by shape files; fixed read of DOQQs in non-Geotiff format (probably broken since 14.1); hardware string reports screen size in mm, and mm/pixels; pick series wanted for USGS data base; play back AVI movies, and changed how movies start; removed the presentation option from the tools menu
  • 14.3.16 8/16/2001 : reinstituted read of LL file (converted to points.dbf); edit of points data base does not show weapons fan options; change size calculations for CGM point symbols; reversed side of CGM line for ticks on depressions; option for enhanced double roads in Geosym; New defaults size; fixed problem for double roads for VPF using TRANS instead of TRN; very crude elliptical arc for CGM point symbols; legend for all VPF omits duplicate symbols; speed up rotation and zoom of 3D openGL graph of database
  • 14.3.17 8/17/2001 : routines on the data manipulation menu use a typed constant to remember the directory last accessed; TMapDraw.LatLongBox will not draw box all the way across the world map when the box is on both sides of the world; deal with VPF point file missing a table; fixed problem that loading VPF trashed the NIMA local data base series selections, and the default map; fixed problem that could not load VPF over CIB or DTED; Map modify, keyboard corners will work wit h vector map
  • 14.3.20 8/20/2001 : NED added as new series for USGS data base; reproject point database from UTM to Lat/long; reproject point database from SPCS (UTM, NAD83) to Lat/long; plot dips and strikes from a database; plot structure symbols from base map removed (use data base); debug log lists at finalization the temporary debug options enabled; fixed problem with distributed cgm1451.txt (line symbolization for marine area in FFD); line bridge CGM plots correctly (only symbols at start and end)
  • 14.4.30 8/30/2001 : create gazetteer databases from both NIMA and USGS data; search and load map data within gazetteer files; openness maps, upward and downward; Queen's aspect ratio computed with SSO; fixed problems with fans and saved projects; calculate Where Is? lets you use any coordinate to enter, and the default location is center of map; calculate area option removed if DEM not loaded; MIM CADRG uses the same color as TLM for NIMA data base drawing; drawing DXF with text does not reset the font for map margins; OpenGL portion of map works on image map (DEM view only); fixed digitizing problem with DXF polyline; highlight record on map and recenter only work if the database belongs to a map; removed flicker when subsetting an image analysis window
  • 14.4.31 8/31/2001 : fixed reading of some ERDAS Geotiffs with no georegistration;
  • 14.5.4 9/04/2001 : removed UNIXFILES.DLL and use internal Delphi code; gzip decompression no longer removes the original file; speed up reading of .TAR.GZ 24K and .GZ 250K USGS DEMs by not having to copy the file before a destructive GZ decompression; deal with ERDAS GeoTIFFS with user specified ProjectedCSTypeGeoKey = 32767; reads Geotiff with extra samples; scan option on tools, and on image display form; command line parameter -milicon to bring up military icon creator
  • 14.5.5 9/05/2001 : max DEM cols and rows bumped up to 8401; calculate where is adds points to the point database
  • 14.5.7 9/07/2001 : calculate menu has option to get size of map at a particular scale
  • 14.5.10 9/10/2001 : fixed problem with GPS data collection; new form for GPS data collection; verified that HP650C will print directly from program under Win2K; fixed bug that plotted same value fo r h and k when clicking to get the values for the Tissot indicatix (problem for non-conformal maps); calculate menu will figure out the masking angles for vertical viewing
  • 14.5.11 9/11/2001 : vertical masking diagram on map after selection; GPS form allows changing of the serial port parameters; fixed legend on DEM elevation merge map; option to move map margin elements
  • 14.5.17 9/17/2001 : marginalia resets with map size change; moved USGS data base button to left side of toolbar; revised full TIGER coverage to save as a single entry in the overlays; fixed overlay management to solve hidden trash can and overlay glyphs; change some problems with GPS form; modified read of e00 DEMs
  • 14.5.19 9/19/2001 : option to set size of map margins
  • 14.5.20 9/20/2001 : change GEOTIFF location of asking about datum when it is user defined; set model type (UTM vs Lat/long) in geotiff where the coding is wrong
  • 14.5.21 9/21/2001 : save and restore of ERDAS IMG file image offset; pastel slope categories; smarter default placement of marginalia; rearranging order of VPF table plotting puts all used tables at the top, and unused tables at the bottom; flying asks if want to continue with parameters after the first frame; aviation danger colors for perspectives and flying (red above observer, yellow < 500' lower); option for IHS terrain categories; option for terrain category legend on map
  • 14.5.24 9/24/2001 : option that map merges do not have to set the map to grayscale; reflectance sea level check changed to false as default; graphical point verification set to none as default; fixed problems with record type 0 in shape files; SPCS UTM conversion can correct if coordinates are in feet
  • 14.5.26 9/26/2001 : fixed problem with point symbols not replotting if they were not created after a spot elevation; map marginalia checks about redrawing diagram when closing; improved display during import of standard/opitonal USGS DLG; temporary dbf file for contour threading moved to Windows Temp Directory and deleted on program closing; rpf ovr files display
  • 14.5.28 9/28/2001 : ambush movies can save as a Geotiff; movie player will do a series of TIFF files; converting integrated database from UTM or SPCS asks for the x and y coordinate fields
  • 14.6.1 10/01/2001 : fixed vpfquick.dbf to use "SHAPE_TYPE" rather than "GEOMETRY"; GPS waypoint form is resizeable; GPS waypoint form will save output as dBase DBF file; map query uses 6 decimal places for lat/long instead of 4, and works with very large scale blowup maps; ambush movie has option to plot both masked and visible terrain; prototype graphic with fraction of ambush route overseen
  • 14.6.2 10/02/2001 : improved graphic with fraction of ambush route overseen; variable frame delay for live flying;
  • 14.6.5 10/05/2001 : direct printing to HP RTL plotters (faster and no memory limits); image maps cannot have a left or bottom blank margin; modified Print to scale for satellite image analysis window (answer question rather than option setting); creating NIMA and USGS gazetteer databases defaults to the GAZ directory on MAPDATA; read NIMA gazetteer from DTED CD (different format than WWW site); white background for magnetic declination diagram, and changes so it plots for DRGs and imagery; ambush movie adds route coverage as a final frame;
  • 14.6.9 10/9/2001 : option for GIS Database to show second row of the toolbar, with the find option; GeoJPEG can use '.JGW' or '.JPW' for the world file;fixed problem that data base coloring by the "COLOR" field did not work; will open a USGS ASCII DEM with x and y spacing in feet, but the spacing is rounded to meters;
  • 14.7.10 10/10/2001 : quantum speedup in display of shape file when blowing up by filtering to show just what is on screen; HTML report table for redistricting; plots microcam PNT vector format; option to turn off color legend really works; fixed problem plotting UTM grids on DEM maps (when map not in default UTM zone?);
  • 14.7.11 10/11/2001 : fixed very recent problem plotting point data base files; fixed problem that correct UTM zone was not set for maps if the map was not in the default UTM zone; option to remove blank records from a dBase DBF file (but not a shape file); option to add fields to a database; modified USGS gasetteer import for problems in NM data;
  • 14.7.12 10/12/2001 : fixed problem that digitizing point shape file did not get lat/long; default outline of polygons in data base plots set to 1 from 3; HP-RTL printing can go landscape or portrait;
  • 14.7.15 10/15/2001 : map marginalia works when the color legend is not selected; fixed LOS that drew the profile line as the elevation of the ground plus the target height;
  • 14.7.16 10/16/2001 : DEM name displayed on the header edit/display form; can select the gzip file for the USGS gazetteer, and it will automatically decompress; database colors plotting fixed for file with lat/long corners present;
  • 14.7.17 10/17/2001 : fixed problem that edit weapons fan did not work fully when invoked from right click pop up menu; fixed problem adding fields to data base; fixed diagonal lines on the UTM grid on UTM vector projection; color code USGS database display, and limit to series selected;
  • 14.7.18 10/18/2001 : fixed problem adding fields to data base again; edit of data base records moved to a separate popup window; option to set color and symbol for plotting dip and strike on stereo net; plot faults from dip and strike; plot vertical bedding, joints, foliation; updated the SPCS zone data table, which had errors;
  • 14.8.22 10/22/2001 : fixed problems in database edit of point position, if no MGRS field or Lat/long fields blank; CIB loading uses database routines like NIMA and USGS database; CIB dates menu choice removed; compare DEMs allows an LOS overprint option; dBase file option to resample and merge data sets;
  • 14.8.23 10/23/2001 : color option for database plot of geology structures; fixed problem converting VPF to shape files when creating the index (very recent problem); default to remember fan angle range, and changes show up immediately and not just when editing; new defaults format;
  • 14.8.29 10/29/2001 : DTSSOP display of area features; fixed problem with index map display VPF over a full world map (e.g. VMAP 0); located memory leak in expression parser during the Geosym evaluation (only affected very large VPF conversion to shape files);
  • 14.8.30 10/30/2001 : fixed problem in route observation when then route segments were shorter than the frame separation;
  • 14.8.31 10/31/2001 : fixed problems in single pass route observation without a movie; removed crash when trying to write a datum file to CD for imagery; 3D map reflectance merge; DTSSOP products will plot all features (line, point just added to areas); old format MICRODEM DEMs (with HDR file) automatically converted to new format;
  • 14.9.5 11/05/2001 : multiple changes to digitize from scanned map (xyz file can be lat/long or utm; any datum for digitizing; shows lat/long while roaming; edit box to show the current elevation); help menu has menu choices to bring up the debug log, and open the Delphi Microdem forum; GLOBE import should work with the roll your own data in Geovu format (change in the headers), and if the binary DEM file does not have the expected extension;
  • 14.9.8 11/05/2001 : fixed problems loading a movie; movie saved as JPEGs can be converted to AVI or GIF; fixed problem that Geotiffs in lat/long may not have been correctly initialized; option to rotate image on the image viewing form; load TM7 Geotiffs with 6 bands directly without import, and the import option removed; option to turn scanner on and off
  • 14.9.13 11/13/2001 : new defaults file; option to set size of map in MB to draw before size check; option to print out fill UTM grid, with vertical line labels on their sides; CurrentProject directory rather than ProjectNNN directories; 1:1 button on the map; check for map size when 1:1 map selected
  • 14.9.14 11/14/2001 : read IKONOS 11-bit Geotiffs with all 4 bands; get limits for old DTSSOP files which don't have limits in the metadata file; flatness added to the 'organization findings.txt' file in the topographic grain overlay; option to export DTED0/GLOBE/GTOPO30 in UTM or MGRS, with warning if it spans UTM zones
  • 14.10.15 11/15/2001 : ability to edit Fan names in the edit of other characteristics; delete projects menu option on the delete menu of the data manipulation form; fixed problem with topographic grain overlay;
  • 14.10.19 11/19/2001 : enabled contrast for CIB if the NW frame is a void; fixed problems with OS DEMs (which are still limited because they cannot be converted to Lat/Long);
  • 14.10.23 11/23/2001 : British National Grid displays both lat/long and UTM coordinates, displays oblique; fixed coordinate problem with RPF with a void in the NW corner; read all 4 files in a compressed 1:100K SDTS DLG; 1:1 button not enabled after it is applied; fixed problems restoring projects; interpolate reflectances for smoother reflectance DRG merges; default to turn CGM button on/off; ASCII XYZ out allows choice of default elevation units, or meter (integer or float); moved dialog to get fan parameters until after location is selected, so each can have its own parameters, including name; don't ask if doing another fan; program default to get fan name removed;
  • 14.10.26 11/26/2001 : fixed redraw problems with restoring of fans and point databases; uncompress options allow selection of multiple files and processing of all without user intervention; field statistics in the database ignores missing data in average; option to set missing data to a specified value; IIN imagery index files option removed (it was broken; use USGS local database instead);
  • 14.10.27 11/27/2001 : option to convert multiple VPF to shape in batch mode;
  • 14.10.29 11/29/2001 : fixed problems with DXF creation on image maps, and streamlined DXF digitization code; minor cosmetic changes in E00 DEM import; fixed crash during graphic display of data during XYZ ASCII import;
  • 14.11.3 12/03/2001 : fixed variety of problems with loading to local NIMA data base, and then opening data from it; xyz ASCII export can export to integer decimeters; changed Resample, DEM menu item on data manipulation form; option on data manipulation form to resample DEM as a UTM grid; fixed merging of DEMs when some are in cm (SDTS USGS with max elev under 320 m); fixed flicker on dragging mouse to resize the Koppen climate map; fixed ASCII USGS import to read ill-formed DEM with a CR at the end of each 1024 character record, and a short A record;
  • 14.11.4 12/04/2001 : fixed problem that local NIMA data base interfered with loading of RPF from CD or its own A.TOC file; improved label placement on map for database fields to be centroid of area features; fixed TIGER display to correctly show the desired line widths; label data base with lat/long corner fields present (like map index databases); correctly redraws Garmin TRK GPS files;
  • 14.11.5 12/05/2001 : fixed sometime crash in flood basin option; fixed problem reading USGS format DOQQs;
  • 14.11.10 12/10/2001 : fixed problems and inconsistencies with the NIMA data base; fixed problems loading from USGS data base; allow DEM merges from USGS data base; correct z units when merging USGS DEMs in dm; export shape file coordinates to a text file; aspect map option on the display parameter popup; TBII Version 5.1 closed
  • 14.12.14 12/14/2001 : option to not show route on ambush movie;option to make database filter case insensitive; improved progress comments for DEM merge; gracefully handle attempt to merge 10 m and 30 dems;
  • 14.12.17 12/17/2001 : import raw binary DEM (16 bit integers); QUAD_NAME field added to local USGS data base (for DEMs); get areaname from USGS ASCII DEM header; increased length for the filename in the USGS database; File, Save DEM menu choice has three options (ASCII, DTED, MD format); Save ASCII DEM has radiogroup to select the xy-units; DEM index option removed; use the USGS or NIMA database;
  • 14.12.18 12/18/2001 : fixed anomalies with the 10&30 m merge from USGS data base; fixed inability to get to LL files; fixed very recent problem with USGS arc second DEMs; fixed crash in opening DEM after creating USGS database;
  • 14.12.19 12/19/2001 : removed MEA options; error trap many of the DEM read options for a bad (especially 0 length) file being read; extracts quad name for USGS database DOQQs and DRGs;
  • 14.12.21 12/21/2001 : fixed problem that TIGER index creation skipped files; form to assist creating IDX file for imagery; Put DEMs and ASCII into submenus on the Import menu of the data manipulation form; ignore 0 for imagery histograms has an immediate effect on contrast; uses quads24k.dbf, and if it is present, shows the quad names while selecting from USGS database;
  • 14.13.2 1/2/2002 : Analyze Metadata option for DTED; create difference field in database; when ID record on graph from database, it is highlighted on the map as well; analysis graphs use the default size set on Analysis tab of options form; analysis graphs remember font; default colors/symbols different for each database; option for 5 degree grid on stereo net; moved stereo net defaults into main program defaults; plot great circles on stereo net; improved coding of stereo net contouring; new defaults size; recode relief calculations; fix problems with resampling 30" DEMs in UTM projection; improved point comparison of slope algorithms;
  • 14.13.4 1/4/2002 increased max slope value in histograms from 150% to 250%; point classification report expanded to include average slope (two methods) for each category; fixed problem with 1:1 display of some DEMs (e.g. USGS 30m); changed difference slope maps from 0.01% to 0.1% to avoid overflow in extreme terrain; increased size of database filter creation window so longer filters to not have a problem; by default, graphs have different colors and symbols for different data series; menu option to turn graph to black and white; DEM edit window has option to get slope method comparison report;
  • 14.13.8 1/8/2002 default saves pixels apart for continuous mode digitizing; new size for defaults file; maps for MGT forced to color tinted elevation; fixed problem drawing 3 profiles in MGT; removed some irrelevant toolbar options in MGT; minor improvements in stereo net;
  • 14.13.9 1/9/2002 added datum field to USGS local data base (filled for DEMs), which require that the database be rebuilt;
  • 14.13.13 1/13/2002 : improved merges USGS 10/30 m, with variable datums; speed up looking for holes in DEM merges; earthquake focal mechanisms from Harvard CMT project;
  • 14.13.14 1/14/2002 : right click, center map, has option for specified scale for vector maps;
  • 14.13.17 1/17/2002 : grouped options on the Menu choices tab of the options form; fixed some MGT problems with scaling of 3 profiles, and reversals of direction when redrawn; digitize scanned map and image display will both take a TIFF file; fixed line color and width for shape files; option to import CSV file to a database; fixed problem saving very large Geotiffs; program mode switch does not require shutting down program;
  • 14.13.22 1/22/2002 : show hints on toolbar buttons on database table; database histogram improved by removing 0 values when too many bins were used; database option to convert "0" to empty string; plotting of point shapefile on world vector map does not draw E-W lines across entire map; database import reads space delimited files; improved window caption for database histograms; option to perform datum shift on point database file; USGS database create has options to rebuild or add new files, which runs much faster; fixed problems loading DTED into NIMA data base;
  • 14.14.24 1/24/2002: fixed problem with USGS database revisions, and then unable to work correctly;
  • 14.14.25 1/25/2002: fixed subtle bug that writing DTED was sometimes shifted to the eastern hemisphere; fixed swap of red/blue bands in Geotiff import; new defaults size; ternary diagram and stratcol added to the program;
  • 14.14.28 1/28/2002: resample to lat/long, save in MD format (retain dm or cm or foot z values, instead of m in DTED); fixed problems with DTED write, elevations below sea level; fixed problem importing USGS ASCII 250K DEM; new defaults size; new options form for stratcol; recenter map has option to verify center coordinates, if verify set to all and text;
  • 14.14.30 1/30/2002: fixed problem with superimposed profiles; read SRTM DEMs in hgt files (first version was flipped);fixed problems blowing up vector map across the IDL
  • 14.14.31 1/31/2002 : improved CSV file imports
  • 14.15.1 2/01/2002 : recenter map has option to center on current map center
  • 14.15.4 2/04/2002 : changed how to load Smith & Sandwell predicted topography; overlays work on Smith & Sandwell predicted topography (changed coordinate calculations); Smith & Sandwell predicted topography can load across Greenwich; Geology tab on the options form; menu choices move to second tab on the options form; fixed problem that Fresnel zones were drawn at twice the observer/target elevation; fixed problem that RPF did not load from NIMA database; marine geology buttons on the toolbar, and option to turn them off;
  • 14.15.5 2/05/2002 : CSV import can deal with tab delimited data; import of NIMA gazetteer fixed to handle double tabs; fixed stratcol problem if the file path was too long (>35 chars); option to fill voids on loading SRTM HGT file;
  • 14.15.6 2/06/2002 : fixed scaling problems and UTM grid on SRTM datum (because UTM zone not correctly set);
  • 14.15.7 2/07/2002 : option to show/hide current location on ambush movie; option to raise/lower DEM on data manipulation form; map right click gives popup menu to change elevation color options and scaling, the same as on the modify menu
  • 14.15.8 2/08/2002 : name for Geotiff DEM; deal with -150 or -250 as the missing value for ASTER Geotiff DEM; USGS database handles satellite images (IDX and Geotiff), ASTER, SRTM-1 and SRTM-3 DEMs
  • 14.16.13 2/13/2002 : revised marine magnetic anomaly models in MGT; fixed long names display option in Stratcol; complex magnetic anomaly models; plate tectonic rotations, and use of dBase table with rotation vectors; fixed problems getting the correct UTM zone with the USGS 1:250K DEM
  • 14.16.14 2/14/2002 : multiple topo profiles correctly shows the vertical exagerration; DTSSOP shows bounding rectangle even if missing in metadata; DTSSOP loaded as overlay shows legend and metadata; DTOP correctly loaded in VPF, even if type is DTOP Level n; VPF geosym deals with symbols that depend on the coverage they are in (only applies to DTOP and WVS);
  • 14.16.18 2/18/2002 : import NASA Blue Marble imagery; full map toolbar button enabled for vector maps (restores original map view); the program's movies can include GIF graphics; improved plate rotations module
  • 14.17.19 2/19/2002 : fixed perspective window size creep with successive views; save OS DEM in MD format disabled;
  • 14.18.21 2/21/2002 : VPF legend only shows features on the current map blowup; database field selections do not include fields hidden on the table display; fixed problem that Geosym evaluation did not use a complete test, and some symbols were wrong (this had been turned off relatively recently because of a memory leak); Geosym logical expressions can be long string and not limited to 256 characters (needed by some DTOP);
  • 14.18.25 2/25/2002 : improved Ternary diagram; database ID record works on Ternary diagram; database can save/restore key table view parameters (hidden fields, and fields for graph display); fixed probem for southern hemisphere UTM Geotiff DEMs (e.g. ASTER) mistakenly moved to northern hemisphere; fixed recent problem reading some Geotiff imagery (introduced with read of ASTER DEM); point symbols labels can use bold, italics, and underline; point symbol labels can have a rotation angle; old point symbol data base files will be incompatible; point symbol edit allows moving the location; label for selected data base features on the map
  • 14.18.26 2/26/2002 : increased limit on the number of parts in a shape file; made digitizing from scanned map more friendly for the southern hemisphere; default for which hemisphere you want, and conversions should work if that is set to southern; option to merge NASA blue marble (must be east_hemi.bn* and west_hemi.bn*); satellite image moved up to 48000 cols max; right click on map has option to open Blue Marble for the same region; fixed import of NIMA Gazetteer files to deal with Mod_date in Feb/02 files; earthquake focal mechanisms colors in the second compressional quadrant for pure strike slip and normal faults; earthquake focal mechanisms data base automatically plots the mechanism classification; creation of NIMA gazetteer database puts Lat, Long, and Name fields at the start of the database;
  • 14.19.1 3/1/2002 : SPCS for Lambert Conformal Conic projections allowed; SPCS conversion form with limited options; convert database in SPCS Lambert Conformal Conic projections to lat long; fixed digitizing scanned contours to work with a JPEG; default elevation in digitizing scanned contours set to 9999; digitizing scanned contours problem with false starts eliminated; option to put vector map outlines on Blue Marble and Smith & Sandwell bathymetry; fixed calculation map window corners with Blue Marble imagery;
  • 14.19.4 3/4/2002 : popup menu with the UTM button for separate conversion forms for UTM, SPCS, or UK OS grids; JPEG and BMP images can have three point registration created with the digitize from scanned map option; option with edit button on database table display to drag point records to new location; option with edit button on database table display to pick records graphically and then edit them;
  • 14.19.6 3/6/2002 : option to move data files from the USGS/NIMA local databases;
  • 14.19.7 3/7/2002 : rearranged some of the menus on the map window; quick view menu options, for stripped down menus for common data sets;
  • 14.19.8 3/8/2002 : modify VPF shapefile drawting to improve IHS merge; all areas drawn, merge done, and then points and lines done so they are full color; option in VPF shape files to replace point and area symbols with user created BMP files; fixed some scaling problems with RPF, and UTM grid; fixed scaling problem when very large area (small scale) lat/long geotiffs were saved; minor improvements to the edit DEM module;
  • 14.19.12 3/12/2002 : changes to merge imagery to avoid crashes when the geotiffs have slightly different d-lat and d-long spacing;
  • 14.19.14 3/14/2002 : edit DEM has option to overlay contours;
  • 14.19.21 3/21/2002 : fixed problems with SPCS Conformal conic coordinate transformations; fixed problem saving DTED0 as UTM ASCII XYZ; add color legend for IHS elevation reflectance maps; interpolate DEM should use dm or cm for z range if possible;
  • 14.19.29 3/29/2002 : removed infinite do loop when saving DEM as DTED from the data manipulation form; radial LOS on weapons fan edit draws the topo profile as you roam on the map;
  • 14.20.1 4/01/2002 : option to findest steepest slope in a DEM; steepest slope check on the DEM geomorphometry data base; GIS graph ID works if y axis on graph is inverted (for depth);
  • 14.20.3 4/03/2002 : CSIL imagery index;
  • 14.20.4 4/04/2002 : minor adjustments to left hand spacing for map marginalia items; option to draw key lats (tropics, equator, polor circles);
  • 14.20.5 4/05/2002 : displays first band of 4-band, non-tiled, NITF imagery; remembers ASCII export choices;
  • 14.20.8 4/08/2002 : fixes in database graph plot, including allowing color coding by a text field;
  • 14.20.10 4/10/2002 : Name field in points DBF file increased from 35 to 80 chars; fixed double loading of DTED from NIMA data base;
  • 14.20.15 4/15/2002 : elevation map colors can be set in a database;
  • 14.20.16 4/16/2002 : major expansion in reading of NITF files (mulitband);
  • 14.20.17 4/17/2002 : cloud-tail only enhancement for satellite imager;
  • 14.21.17 4/21/2002 : option to create satellite difference ratios (e.g. NDVI); fixed plotting of reflectance graphs (.SMO files) in the satellite analysis window;
  • 14.21.23 4/23/2002 : Depth Only and Land Only only appear on the elevation display modification pop-up menu when they make sense for the DEM;
  • 14.21.26 4/26/2002 : plot column lat/long in StratCol; raw binary import of DEM works with 32 bit integers; raw binary import of DEM works with wrong-endian data;
  • 14.21.29 4/29/2002 : many options now work with Smith & Sandwell data sets that cross Greenwhich;
  • 14.22.6 5/06/2002 : write shape file index files for dBase points file; three LOS algorithms; compare LOS algorithms
  • 14.22.10 5/10/2002 : check that ASCII XYZ file has valid points;
  • 14.22.20 5/20/2002 : subset speed button on map not enabled with max zoom (1 tile) for tiled image; make index of gazetteer files; plotting shape file as vector overlay filters the file geographically first, so large files print much more rapidly when zoomed in from full extent; option to use simple world outline map, rather than a table, for VPF selection map (appropriate for VMAP0); right click on map menu has option to bring up gazetteer; vert exag for VRML views; ASCII XYZ import computes likely dx and dy; xy spacing in 0.0001 degree allowed for ridge bathymetry; fixed problems with import of some records in USGS gazetteer; debug log moved to the Windows temp directory;
  • 14.22.21 5/21/2002 : Blue Marble Viewer done for VISTAS; live flying works with global data sets, and draped Blue Marble; works with 5 degrees JPEG tiles of the Blue Marble; removed toolbar from live flying perspective view window;
  • 14.22.22 5/22/2002 : USGS ASCII DEM read modified to use LA LIDAR (- exponent in some real numbers); adapted to read LA LIDAR USGS ASCII DEMs files, which are very non-standard;
  • 14.22.23 5/23/2002 : new detailed reflectance 3D views, with the old resolution retained as the quick version;
  • 14.22.28 5/28/2002 : TIN options; merge imagery with opacity controls; minor changes to DEM merging and datum conversions;
  • 14.22.28 5/28/2002 : create index to shape files in the \mapdata\database directory and its subdirectories; option when loading VPF to pick centerpoint and scale; fixed problem with rotation of first point sybmol on Geosym CGM complex lines (like RR); fixed problem that sybmols were not completely drawn on the last segment of a polyline for Geosym CGM complex lines (like RR); VPF legend correctly does alternate point symbols; opening NIMA data base no longer gives you the choice of series (modify with right click if desired);
  • 14.23.1 6/1/2002 : edit DEM modified to allow the top row and left column to be selected; fix Subset, DEM, Graphical which was not doing anything; fixed recent problems with a straight linear stretch contrast enhancement; option to autoload USGS or NIMA local data base on program loading; fixed problem loading Smith & Sandwell predicted topography in the western hemisphere; fixed database problem with PLOT, IHS from db color field; revised creation of NIMA and USGS data bases; time animation in the plate tectonic reconstructions; revised form to control plate tectonics reconstructions; Geology menu on main form; remembers default scale for VPF; can double click and put magnetic variation value on the map; right click to recenter orthographic and stereographic projections;
  • 14.24.1 7/1/2002 : option to set the automatic display of shape files to use the color field or the default colors; display 4 bit Geotiff images with a palette, and deal with short palettes with less than 256 colors defined;
  • 14.24.2 7/2/2002 : fixed problem closing imagery; Geosym pattern editor underwent multiple changes; calculate area and slope disabled if no DEM loaded; fixed problem displaying UTM grid on imagery; shape file resampling and reprojections can be done in a batch mode; reads single frame of city graphics CADRG (C1, C2, C3, or C4 extensions);
  • 14.24.3 7/3/2002 : fixed problems reading 32 bit Geotiff DEMs; vector overlay selection, and database selection, allow picking of multiple files; bounding box can no longer be added to a UTM database file (must be converted to lat/long first)
  • 14.24.5 7/5/2002 : fixed recent problem importing ASCII XYZ DEM; image analysis histograms show computed bands (PC, ratios); fixed fairly recent problem displaying PC (and probably ratio) images; option to interpolate a DEM from a TIN
  • 14.25.8 7/8/2002 : moved VPF to shape file option to the import menu on the data manipulation form; option to pick color for coastlines and political boundaries in world vector maps; country GIS can be imported and displayed; fixed problem importing VPF areas to shape files, that not all the records would be imported;
  • 14.25.9 7/9/2002 : location for shape files digitized moved to \mapdata\database; fixed problem digitizing shape files that the last record may not take; fixed problem with indexing, that some files/directories were missed; fixed reading of DTED below sea level;
  • 14.26.11 7/11/2002 : changed operation of graphical point edits on database form; option to delete records in area/line shapefile database;
  • 14.26.12 7/12/2002 : live flying can look directions other than ahead; option on the modify menu to make the overlays on a separate image plane with variable opacity;
  • 14.26.15 7/15/2002 : improvements to allow horizon blocking on southern hemisphere small scale DEMs; TIN contouring shows the 0 contour line; fixed TIN DEM interpolation that produced false values to the SE of the triangles; fixed fly through problem, that the draping map was not correctly sized, and you could fly off it;
  • 14.27.18 7/18/2002 : changes to VPF import to work with LWD; writes D field type (date) to shapefile for VPF import; changes to disable creation of alternate A.TOC file for RPF (move into NIMA data base instead); roaming on perspective shows roam on maps, and location elevation on the status bar;
  • 14.27.19 7/19/2002 : alternate A.TOC file for RPF now "a-toc.dbf";
  • 14.27.22 7/22/2002 : using the GAZ button opens a vector map with the gazetteer; read SRTM GDPS files from zipped format found on USGS web site; index of VPF allowed in separate index file; load of VPF overlay by right clicking on map and using the database;
  • 14.27.23 7/23/2002 : NIMA and USGS data base selection map automatically moves to UTM projection when you zoom in enough; NIMA data base selection map can show MGRS zones; variable opacity options removed unless running 2000/XP;
  • 14.27.24 7/24/2002 : roaming on a perspective view shows the azimuth and pitch angles; plots a GPS trail that is an ASCII NMEA dump, in a file with the extension 'NMEA'; option to delete all records visible in a database; new option to print and set up the map legend items;
  • 14.27.25 7/25/2002 : fixed recent problem loading RPF files;
  • 14.27.26 7/26/2002 : right click, recenter, has option to pick scale, map center, and map size; east longitude correctly set (instead of always west) as default in keyboard point coordinate selection; fixed problem loading Smith & Sandwell predicted topography over Greenwich; check for live flying off the map, and option to stop;
  • 14.27.29 7/29/2002 : option to show the viewshed fan on the map when drawing a perspective; MICRODEM algorithm for intervisibility makes much faster weapons fans; improved readout display when roaming on a perspective; new panorama option (450 degrees) with scrollbars rather than movie; fixed problem that ONC.DIR for loading or importing DTED would not work; fixed problems loading CADRG for city graphics (only a few of the valid extensions would load); fixed problem showing the crosshairs on target for the target approach flying;
  • 14.27.30 7/30/2002 : removed calculate printed map size menu choice (use print preview); perspective viewport angles can be made "sticky", and remembered between views; fixed very recent problem with showing location of roam on other maps; option to set Vert Exag on perspectives; live flying off map gives choice to reverse course;
  • 14.28.5 8/5/2002 : fixed every fifth frame popping in target approach; fixed recent problem with the slope map legend; fixed elevation problem when reading most USGS 250K DEMs (off by 10-100); add fields to data base correctly gets the sizes for the existing fields; DIN indexes converted to a DBF index and usable;
  • 14.28.7 8/7/2002 : save Geotiff works for merged imagery; fixed problem of ID of shape file database; ID of VPF shape files can show short categories, not showing the codes but just the meaning;
  • 14.28.8 8/8/2002 : group shapefiles, and display them together with control over symbology
  • 14.28.11 8/11/2002 : panorama button on toolbar; PLR files can be uses an overlay; fixed problem with anaglyphs when the z are not in meters; contour labels now in meters, when the elevation units are not; fixed problem that shape file line query could be tricked for NS and EW lines;
  • 14.29.12 8/12/2002 : can ID records from the last data base group file; fixed problem with graphical subset of DEMs and possibility of double datum shift if the primary map datum was not the DEM's datum; fixed problem loading RPF with improper display of frames when the edge coverage stairstepped;
  • 14.30.13 8/14/2002 : fixed problem that DTED2 was not imported into the NIMA data base with .DT2 extension; checked that default map type is not out of range when loading a DEM; some options (loading VPF?) apparently trash it; fixed problem loading a single CIB frame; Version 6.0 TerraBase II released
  • 14.31.2 9/2/2002 : discovered that Windows XP should be in classic mode for correct operation of variable opaque merges (for two forms to line up); fixed problem drawing UTM grid on maps in the southern hemisphere if the default hemisphere is northern;
  • 14.32.9 9/9/2002 : read and display 3D shape files for points, lines and areas (ignore the 3D coordinates); increased default map size to verify to 12 MB; adjust image pixel averaging so it only works when the image is subsampled; selecting patterns for shape files gives the name of the file; roaming off perspective into the sky removes the cursor from the map display;
  • 14.32.10 9/10/2002 : option to open a number of windows with different band combinations for TM imagery (bands must be named with Band 1 as the first 6 chars); CSV file import correctly deals with values separated by multiple spaces; CSV file import deals with LON field for longitude;
  • 14.32.16 9/16/2002 : removed request for datum and UTM zone when loading Scripps bathymetry; selection map for Scripps bathymetry has toolbar removed; option when saving as DTED to save a missing data padded full 1 degree cell, so programs like IMAGINE can read the DTED; TM7 Geotiff image defaults to false color display when first loaded; TM7 Geotiff image for bands 6 and 8 do not ask if a 6 band scene;
  • 14.32.20 9/20/2002 : modified horizon blocking to allow setting the observer height, and to correctly show the blocking distance; form to get DTED save parameters, and option to set the missing value; default option to automatically recognize TM7 Geotiffs; option to display header of satellite image; when picking a DEM or image, and there is only one, it will be selected automatically; increased tile numbers allowed for ADRG to 200x200, and fixed read of ADRG for images that were too big (thanks, Quito); fixed Geotiff to read the SPOT XS sample with 4 bands in single file, and image strips by band; dupe map speed button shows the same area as it is duped from; added LN to acceptable list of RPF file types;multiple TM imagery band loading can include single band grayscale images (requires new TM-RGB.DBF file);
  • 14.32.24 9/24/2002 : deal with GEOTIFF model type 0 (some guessing involved, for an ERDAS product); deal with Geotiff with both BitsPerSample and SampleFormat (some ERDAS RGB scans); graceful handling of trying to merge-load a DEM that will be too large; improve curvature maps: default display is elevation, and correct labels;
  • 14.33.25 9/25/2002 : added new IHS radial fan algorithm;reproject point shape files; variable opaque merge automatically excludes the DEM or image that will be the base map; zoom in on map does an intelligent resizing of the window; option to calculate region and point geomorphometric parameters; progress bar when graphically outlining and subset of a DEM; allow setting the size for margin clipping when merging DRGs (as for 15' geological quads); fixed problem with margin clipping overflow when merging imagery quads; option to mask out region of image with no DEM data; Aspect map colors when created with the Analyze, Create Map option are now correct; open image window has a preview option;
  • 14.33.26 9/26/2002 : perspectives with draped, tiled imagery (like CADRG) fixed; changed menu choices for several options on the PLOT button popup menu on the GIS database table; option to insert a record into a point GIS database;display/edit of database record sets better field widths for the title and data; fixed some of the database edit opitons to work if the LAT/LONF fields are blank; fixed problem that edit/display of single DB record truncated strings to 35 characters; option to edit database by typing directly in grid (set with pop up menu from Edit button); calculate distance shows both distance and bearing while roaming to select second point; removed display of gravity stations, and replaced with import into DBF file; TIN module can use LAT/LONG fields instead of X/Y; TIN module can ask which field to use if no Z field exists; removed options to plot, subset, and contour structure data (use database); option on import menu of the data manipulation form to import old NET files;
  • 14.34.1 10/1/2002 : fixed loading of DTED 0 via DIX file; Version 6.01 Terrabase II
  • 14.34.2 10/2/2002 : read TM7 FAST data format
  • 14.34.3 10/3/2002 : roam on perspective shows pitch and azimuth even when the cursor is in the sky; added panorama to the edit fan popup menu
  • 14.34.4 10/4/2002 : merge DTED0 across 50 degrees lat where data spacing changes; check that map has a DEM associated, if required, for mouse operations in cases where a DEM is open but not associated with imagery or vector maps; read TM data (image only, no registration) for TM data with HEADER.DAT and BANDn.DAT files;
  • 14.34.8 10/8/2002 : mouse move while measuring distance on image map shows the distance/azimuth while wandering; TM7 image defaults to false color 432 RGB display; fixed problem with UTM grid on Geotiff DEMs south of the equator; changes to the structural geology database display and option selection;
  • 14.34.10 10/10/2002 : changes to setting default colors for imagery; option (maps tab, defaults form) to keep the graphical selection window open; last DEM name does not change when doing a merge from a graphical index; fixed very recent problem with live flying, and regular flying with the vertical viewport angles; fixed file naming problem converting movies to MPEG; fixes for some ERDAS Geotiffs with geotiff keys but no registration information; get location dialog box shows the datum in use; fixed problem reading ASTER geotiff DEMs; updated version of the OpenGL library files;
  • 14.34.16 10/16/2002 : imagery merge can deal with BMP, JPEG with world files; if selecting BMP or JPEG image, and world file is present, it will be detected; option when merging BMP or JPEF imagery to mark it as grayscale;
  • 14.34.29 10/29/2002 : faster loading of USGS database 24K DEMs with both 10 m and 30 m resolution merges; remembers option for merging of multiple resolution 24K DEMs; fixed problem with new panorama; ability to digitize dips and strikes from the screen; fixed problem with merging 30 m and 15 m bands of landsat, that the current bands were not displayed, and only the image default; band modify option removed for JPEG/BMP color imagery;
  • 14.34.31 10/31/2002 : fixed delay in getting changes in weapons fan angles to show up on map; changes to stratcol handling of literal location data;
  • 14.35.1 11/1/2002 : Pitch Up/Down control for live flying; removed view button for live flying; green pan buttons on map window; fixed color loss with multiple IHS radial fans; option to start labels on stratcol at a number other than 0;
  • 14.35.4 11/4/2002 : deal with DATE field in shapefiles; if countyp020.dbf shape file (from National Atlas web site) is in TIGER directory, more efficient determination of which files to plot with all TIGER overlay; new defaults file (added option to show or hide map pan buttons; some Stratcol options); removed overlay data color button from maps tab of options form (unused for some time); rearragned some items on the options form; undo subset button on map toolbar reverts to default reasonable grid spacing; fixed minor problems measuring vertical angles in perspective views; fixed problem roaming on the panorama after it had been modified; fixed recent problem with GPS working; added COM5 to COM8 to what GPS can be hooked up to;
  • 14.35.6 11/6/2002 : predicted sea floor ages does not ask for datum, UTM zone on loading; locate point on perspective takes into account earth curvature, and does DEM calculation and not screen resolution; option to set the size of the graph margins; smarter plotting of location font size and placement on the pipeline/stream profiles; font button on the graph options forms; option to place second thickness labels on right of stratcol diagram;
  • 14.35.12 11/12/2002 : right click on map has option to open terraserver images; option to put arrows on oriented lines; button on the prepare map image form to save the map as a file; option on the Modify menu to recompute the image reflectance histograms for the region on screen; elevation histogram puts all bands on a single graph; removed option (and potential crash if exercised) to view the draped map in opengl view without a draped map; defaults saves last gazetter file; option on map overlay menu to label peaks from the USGS gazetteers;
  • 14.35.15 11/15/2002 : TerraServer Preview coordinates will be in WGS84; perspective uses the same earth curvature as LOS and weapons fans; datum transformation done for USGS DLG, and they do not assume the UTM zone of the map; cartography menu choice to label the magnitude of the UTM grid-true north declination; menu choice on the map overlay menu to set the font for overlay operations; option to load preview imagery of Landsat TM 30 m data from JPL, by right clicking on a map (US only);
  • 14.35.18 11/18/2002 : option on calculate menu to compute PLSS position; import of USGS gazetteer will do a datum shift to WGS84; corrected label of contour interval when DEM is not in meters; when modifying (reproject, etc) a dBase table, option to keep the original file; minor changes to old panorama and rotate about; option to reset perspective defaults on the first options screen;
  • 14.36.20 11/20/2002 : improved handling of trying to close window with fly through ongoing; fixed problems with regular flying along a route
  • 14.36.23 11/23/2002 : revised operation of scaled topo profiles; fixed problem loading a.toc file with RPF when wrong DEM was up;
  • 14.36.26 11/26/2002 : changed how NMEA dump is displayed, and it can decode GPGGA string with elevations;
  • 14.37.1 12/1/2002 : changes to NMEA decoding to handle more error trapping; Finnish DEMs, and grid conversion; added Lat/Long to UK OS grid conversions;
  • 14.37.5 12/5/2002 : revised PLSS to use subdirectories (new defaults); set all, clear all buttons on USGS and NIMA series selections
  • 14.37.10 12/10/2002 : oblique modification window has both reflectance and quick reflectance options; fixed infinite do loop trying to get UTM/Datum conversions (Dec 2002 error); plot PLSS boundaries option on the overlay menu; program converts the township shape files for PLSS to WGS84
  • 14.37.12 12/12/2002 : label PLSS sections and townships when overlaid on map; improved labels for PLSS; improved selection of UTM zone; rotate bitmap on image display form can use real number rotation angle; pick color and width of PLSS lines; new defaults size; buttons for overview and what's new on the splash screen; label data base uses color for outline of areas
  • 14.37.22 12/22/2002 : deal with problems with NED (new ESRI PRJ file, with no indication of the z units); fixed problems with missing data to sea level or specified value; Import ASCII Arc Grid looks for GRD file; read NED Geotiff DEMs; all temporary files in a "TEMP"\petmar_trilobites subdirectory; debug file now named "microdem_debug_log.txt"
  • 14.37.23 12/23/2002 : increased size for SDTS DEM to handle 10 m DEMs of Palau; read 1/3" NED Geotiffs; revised DEM header to allow floating point spacing and SW corner (for 1/3" NED); fixed problem with registration of arc-second GEOTIFF DEMs; removed PAPA version of the program; constant elevation weapons fans should work in all version of weapons fans; get choice of DEM for DXF contour export;
  • 14.38.2 1/2/2003 : option to output distances in miles; save and read files in PNG format; fixed overlay contours on an image map when it extended beyond the limits of DEM coverage; option to read different table with elevations and colors for dbase table definition;
  • 14.38.7 1/7/2003 : option to find missing files in the local USGS database and remove them; speed test on the help menu;
  • 14.38.10 1/10/2003 : vector outlines can be turned on and off on Smith & Sandwell map; fixed problem loading NIMA data base;
  • 14.38.13 1/13/2003 : option to show/hide PLSS options; option to save RPF merges as an RFM file;
  • 14.38.14 1/14/2003 : fixed a number of options (range circles, bearing, offset, stream profiles) to work with a DEM on the KKJ datum and an external projection; option to save DEM in USGS ASCII format; ECW imagery preview; fixed problems with NMEA GPS logging;
  • 14.38.17 1/17/2003 : metadata for shape file shows the fields in dbase table, and asks if you want summary for all records if count is greater than 1000; merging shapefiles checks that fields exist when copying, and does not crash if they are missing; fixed probable bug importing Alberta ASCII DEM (2d y coordinate on a line was the same as the first); increased max data bases open at a time to 15 (from 5);
  • 14.38.21 1/21/2003 : added Geotiff to list of likely DEM files; fixed problems in 3D views and selection with NED Geotiffs; test on variable opaque merge that two maps have compatible projections; edit DEM option to mark hole or lake by stream digitizing; save DEM merge as list of files (small file, but only for uncompressed DEMs); option to ask or not ask about resolution for mixed 10m/30m USGS 24K DEM merges; fixed problem reading some USGS SDTS DEMs that have a different value (~3200) for missing data; increased size of the PathStr variable (from 135 to 255) to deal with problems of file names that were too long (new defaults); adjusted colors on slope merge maps; fixed plot line in stereo net; minor fixes to elevation slope analysis plots; fix geosym for case where point buildings file does not have hosues of worship, but it was on the list of possibilities (deal with required field not in database); abort option from fan drawing; fixed problem reading old HDR DEMs when DEM rather than HDR file was selected; fixed NIMA CD import so you do not have select the midpoint of a cell for it to be imported;
  • 14.38.23 1/23/2003 : option to change size of beach ball focal mechanisms; option to do a map plot all add focal mechanism beach balls (must be blown way up);
  • 14.38.24 1/24/2003 : experimental mpeg conversion using code inside the program (size limit until we buy module); fixed problem with terrain categories (added option for Pits/Flats), which occurred in flat areas below sea level; fixed import of CADRG with multiple series on the same CD, to only import the desired series; option to pick font before labelling a database;
  • 14.38.27 1/27/2003 : improved digitizing to get a world file for imagery; new menus options to show data properties; option to automatically draw PLSS grid when opening a map;
  • 14.38.28 1/28/2003 : much improved MPEG internal converter;
  • 14.39.3 2/3/2003 : index NLCD data into USGS database;
  • 14.39.6 2/6/2003 : option to break a shape file DATE field into day, month, year fields;
  • 14.39.9 2/9/2003 : can load predicted bathymetry with a DEM map open (like predicted bathymetry)
  • 14.39.10 2/10/2003 : deal with NIMA country data base with 3D shape files;
  • 14.39.11 2/11/2003 : geology data bases will automatically plot, regardless of the GIS defaults set;
  • 14.39.14 2/14/2003 : moved projects directory to the mapdata directory; military icons and icons stored in DBF files, and they can be editted with drag and drop; annotate maps with annotation in DBF file, with drag and drop edits;
  • 14.39.19 2/19/2003 : variance/covariance and principal components can ignore 0 in satellite reflectances;
  • 14.39.28 2/28/2003 : add copy to clipboard in the OpenGl 3D view;
  • 14.40.12 3/12/2003 : restored text output to histogram creation; Calculate, point statistics works if some of the points are off the map;
  • 14.40.18 3/18/2003 : projects can save an RPF merge; all old project files should be ditched, as they are likely to lead to problems;
  • 14.42.19 3/19/2003 : option to adjust color scales on DEM-reflectance merge;
  • 14.42.24 3/24/2003 : option to export imagery as Geotiffs (one file per band); fixed problem closing a duplicated DEM map;
  • 14.42.25 3/25/2003 : removed warning that no PLSS files found; fixed shift in loading Blue Marble in the "other" side of the world (E and S hemispheres);
  • 14.42.26 3/26/2003 : required antenna height option; cartography option to show multiple projections;
  • 14.42.31 3/31/2003 : option to create earth rotation movies, from the cartography menu; fixed problems loading 1 m RPF, which was recently downgraded in its classification;
  • 14.43.1 4/1/2003 : added churches and schools to features that can be labeled from a gazetteer; gazetteer labels remain after a screen redraw;
  • 14.43.3 4/3/2003 : option to change gaz labels on the map window (right click); merge NED DEMs works; Version 6.03 TerraBase II (last TBII version)
  • 14.50.8 4/8/2003 : first 7.0 alpha version; reversed earth rotation direction for movies; save satellite as Geotiffs using "P" as the first character so TM7 imagery will be recognized
  • 14.50.10 4/10/2003 : NLCD legend
  • 14.50.15 4/15/2003 : moved location of PLSS file entry to the PLSS options form; use external program to download waypoints from Garmin GPS; old panorama (movie) option removed
  • 14.51.15 4/15/2003 : redistricting option only shows up if BLACK1 and WHITE1 are in database; zero population tracks drawn in white when redistricting
  • 14.51.16 4/16/2003 : button on main toolbar to open a single county TIGER map
  • 14.51.26 4/26/2003 : ambush movie defaults to the point intervisibility algorithm, automatically increments the default file name, and draws the route on the percent coverage map
  • 14.51.28 4/28/2003 : horizon blocking done in degrees true, and returns lat/long
  • 14.51.29 4/29/2003 : read GEOTIFF 32 bit DEMs in wrong-endian format; option to pick color and line width for horizon blocking; horizon blockings settings saved in defaults
  • 14.52.8 5/8/2003 : revised Geotiff reading to ignore any images after the first
  • 14.52.12 5/12/2003 : map corners uses the units chosen by the user; correctly read new DTED with void areas
  • 14.52.13 5/13/2003 : improved shape file groups (creation and edit)
  • 14.52.15 5/15/2003 : improved operation when loading Gazetteer by right clicking on a map
  • 14.52.26 5/26/2003 : read SRTM files as TIFFs from the USGS seamless data server
  • 14.52.31 5/31/2003 : calculate moment statistics for elevation and slope; moment statistics on the database table Stats menu
  • 14.53.9 6/9/2003 : perspective uses rigorous, correct azimuths for horizontal curvature of the earth; fixed color legend for IHS elevation map; additional options for line of sight/weapons fans
  • 14.53.28 6/28/2003 : option to unzip TIGER files to either the Windows Temp Dir or the TIGER dir; read Magellan GPS waypoint files
  • 14.54.3 7/7/2003 : removed option to read old MICRODEM DEMs with a separate header file; option on the file menu to save a DEM, for just what is on screen; NED subset should work; all TIGER defaults moved to options form from the Vector tab
  • 14.54.9 7/9/2003 : roam on LOS broadcasts position to open maps; data base can color from R, G, B fields; default slope method now eight neighbors unweighted
  • 14.55.25 7/25/2003 : OpenGL remembers some settings in program defaults, has slider bars for interactive light adjustment
  • 14.56.1 8/1/2003: native read of NED BIL and gridfloat files; removed option for MGRS data base files (vestige of Castlenet)
  • 14.56.24 8/24/2003: previews of map color schemes when picking; interactive selection of reflectance parameters; option to save DEM as 16 bit BSQ (MS Flight Simulator); Globe, GTOPO30, and SRTM-30 are read as standard DEMs and not imported
  • 14.57.2 9/2/2003 : option to add waypoints from the keyboard; fixed problems measuring distance (off by factor of 1000)
  • 14.57.8 9/8/2003 : USGS ASCII export works if not meters for the z values; fixed DB edit problem, so edit of DB will correct the last field
  • 14.57.18 9/18/2003 : variable opaque merge works with very large DEMs in lat/long coordinates, beyond 1 UTM zone
  • 14.58.7 10/7/2003 : option to compute difference between two grids
  • 14.58.12 10/12/2003 : stream mode for distance calculation
  • 14.58.14 10/14/2003 : TIGER county only allows the TIGER files that are available; new TIGER index file format (to keep track of the counties on hand)
  • 14.59.12 11/12/2003 : NLCD on as default
  • 14.59.18 11/18/2003 : improved detection of NLCD data files
  • 14.59.19 11/19/2003 : stream distance digitizing can use English units; option on hardware tab of options form to set digitizing mode; option to create a relief map from a DEM as derivative grid
  • 14.60.2 12/2/2003 : added JPEG to the file types allowed for imagery in the USGS data base; DOQQS can be merged like DRGs from the USGS data base
  • 14.60.18 12/18/2003 : modify and rearrange OpenGL controls
  • 14.61.1 1/2/2004 : read netCDF bathymetry
  • 14.61.3 1/2/2004 : ASCII XYZ import can deal with comma separators; read zipped BIL DEMs (NED); 1/3" NED tracked separately in the USGS Database; Aspect by slope category can ignore the sea level elevations;
  • 14.61.20 1/20/2004 : option on Calculate menu, US properties, to get county name by double clicking;
  • 14.61.22 1/22/2004 : option to read entire Smith & Sandwell bathymetry into memory
  • 14.61.29 1/29/2004 : slope categories use slope in percent as a float; improved picking of slope categories, in percent or degrees;
  • 14.62.26 2/26/2004 : option to de-collar DRGs when making anaglyphs
  • 14.63.1 3/1/2004 : Geo101 option; improved registration of imagery; improved area calculations
  • 14.63.3 3/3/2004 : interactive preview of satellite contrast enhancement; interactive preview of satellite band selection
  • 14.63.4 3/4/2004 : satellite histograms can do single band or all bands; filters shows the filter name in the caption of the window showing the filter values
  • 14.63.13 3/13/2004 : improved trend surface calculations; option to get map blowup with right click on map; plot drainage vectors; option to convert conic projections to lat/long and back
  • 14.63.15 3/15/2004 : about for an arc sec DEM shows approximate meter DEM spacing; option to overlay world outline for a map
  • 15.1.18 3/18/2004: moved to Delphi 7; revamp DEM handling, to hide the array in memory in anticipation of allowing different types (byte and shortfloat); various enhancements to Geotiff imagery reading for 16 bit data, and allowing 4 bands of imagery in a single TIFF file
  • 15.1.23 3/23/2004: removed separate GPS tab on options form, and moved the GPS type to the Printer/hardware tab; added tab on the GPS commo form, save the trail information in the defaults, and start GPS recording without getting an options form;
  • 15.1.28 3/28/2004: unzip when c:\ drive is not valid; DTED write will write the max size of a DEM instead of just DTED2 max, and work with 0.1" spacing;
  • 15.1.30 3/30/2004: solar position option; option to fix 0-360 long values to -180 to 180; added options for LOS display; improved LOS display for all DEM profiles
  • 15.2.5 4/5/2004: big speedup coloring LOS with vis/masked portions;
  • 15.2.10 4/10/2004: saved point overlay symbol selections; improved operations running with two monitors
  • 15.2.13 4/13/2004: modified right click popup menu on map form
  • 15.2.20 4/20/2004: additional output and control for horizon blocking
  • 15.2.28 4/28/2004: raise/lower DEM can be a real number; right click on LOS brings up full pop up menu; improved full control on scaling of DEM; floating point DEMs
  • 15.3.3 5/3/2004: index SRTM-30; fill SRTM-3 with SRTM-30; volume from a shape file record; volume relative to a specified elevation datum
  • 15.3.10 5/10/2004: speed up ambush movie; calculate weapons fan percentage coverage; maps for sunlight through year
  • 15.3.11 5/11/2004: use new format PLSS files (must now say the datum when importing PLSS files)
  • 15.3.17 5/17/2004: all DEMs written by the program use new format
  • 15.3.25 5/25/2004: default changed to ignore zero in satellite image histograms
  • 15.4.2 6/2/2004: ambush movie can use stream mode point selection; major enhancements to many intervisibility options
  • 15.4.9 6/9/2004: option to automatically (or not) increment the suggested names for VRML export and ambush/flythrough, to save disk space; missing data no longer defaults to sea level; improvements with TerraServer viewer
  • 15.4.22 6/22/2004: satellite image for Geotiffs gets contrast correct; satellite image contrast adjustment does not do multiple slow draws
  • 15.4.24 6/24/2004: plot GPS tracks will do Waypoint+ files
  • 15.5.1 7/1/2004: DEM/image map merge remembered on redraw, and sped up
  • 15.5.8 7/8/2004: option to set pan distance with map pan buttons; many changes to GPS operations; add waypoints from gazetteer; crest separators on perspectives
  • 15.5.8 7/8/2004: reports NAD27 for NAS-C datum; UTM/datum converter defaults to WGS84 and NAD27; option to label TIGER features
  • 15.5.29 7/29/2004: annual graphs of sunlight terrain masking
  • 15.6.2 8/2 /2004: option to find TIGER roads; significant speed up of required antenna height map generation
  • 15.6.9 8/9/2004: code profiling and optimizations, especially related to reflectance map and required antenna heights
  • 15.6.10 8/10/2004: improved and correctly the magnetic/grid/true north declination diagram
  • 15.6.16 8/16/2004: Tissot Indicatrix works with all projections;
  • 15.6.22 8/22/2004: Landsat TM7 should work even if not all bands are present;fixed problem with calculate volume;
  • 15.6.25 8/25/2004: improved operations for three point problem; structural geology version of the program;
  • 15.7.14 9/14/2004: read 8 bit BIL files (1/9" NED of Seattle);
  • 15.7.19 9/19/2004: NBR (normalized burn ratio) computed with TM data; Optimum index factor for satellite imagery;
  • 15.7.20 9/20/2004: modifications to AGES_15 so it would properly display vector overlays; non elevation DEMs default to "elevation" color scale for initial display; perspective vertical exaggeration can no longer be set; reverse colors on sea floor estimated ages, to have rigdes as red and abyssal plains as blue/purple;
  • 15.7.22 9/22/2004: better handling of terrain categories for non-elevation grids;
  • 15.7.24 9/24/2004: better checking of what needs to be on the draped map for a perspective/panorama; draping map for perspective/panorama deals with anomalies of UTM image that is on a neighboring UTM zone;
  • 15.7.26 9/26/2004: program will open image if you try to open it as a DEM; program will open DEM if you try to open it as an image;
  • 15.8.4 10/4/2004 : major improvements and enhancements to plate rotations;
  • 15.8.11 10/11/2004: changed image registration files to a DBF instead of REG format (will still read old REG files); improved image registration; fixed problem reading Geotiff DEMs;
  • 15.8.15 10/15/2004: moved the structural geology options onto the geology popup menu;
  • 15.8.18 10/18/2004: major changes to perspective/panorama/flying;
  • 15.9.1 11/1/2004: earthquake focal mechanisms can plot by magnitude for scale of beach ball;
  • 15.9.14 11/14/2004: read USGS ASCII files with a Level 0 DEM (Alaska, TYONEK-W); plot velocity using VE and VN components in database
  • 15.9.17 11/17/2004: read SRTM with .hgt.bin format; filter databases with a date;
  • 15.9.21 11/21/2004: SSO diagram can plot by downhill direction instead of normals; stereonet skymap with horizon blocking;
  • 15.9.29 11/29/2004: Vector map default size settings must now be in 3/2 ratio; Vector map (for some projections) will use defaults size settings and blow up the map;
  • 15.10.1 12/1/2004: option for lat/long grid or lat/long ticks;
  • 15.10.2 12/2/2004: overlay contours uses the specified width for index contours;
  • 15.10.6 12/6/2004: moved setting size of draped map to the perspective/flying options form; option for two drape maps, a high resolution one for close in, and a lower resolution for farther out;
  • 15.10.7 12/7/2004: abort button on VRML output; limited option to get Terraserver urban area photography; plotting vectors from database can use just direction;
  • 15.10.8 12/8/2004: Unzip of DEMs or images not as sensitive about the case of the file extensions;
  • 15.10.15 12/15/2004: added read of NOAA G98 DEM format;
  • 15.10.18 12/18/2004: removed option to save/restore map subset (big problems with merges);
  • 15.10.18 12/21/2004: register image anomalies fixed (world file overwritten wrong file; registration done immediately when writing world files);
  • 15.10.26 12/26/2004: option to make DEM overlay on satellite so it covers exactly the same area;
  • 15.10.31 12/31/2004: fixed problem with decimeter SDTS DEMs;
  • 15.11.1 1/1/2005: Save DEMs in 3D formats (OBJ and DXF);
  • 15.11.4 1/4/2005: Draw parallel profiles to LOS profile; Removed some dummy placeholders in DTED headers written by program; display some of the accuracy record when showing DTED metadata;
  • 15.11.5 1/5/2005: indexing of 1/9" NED;
  • 15.11.7 1/7/2005: will deal with TM7 images with only 3 bands and Band 1 is not present; option to set and save the widths of the panels on the main form status bar; fixed problems with flying and live flying;
  • 15.11.9 1/9/2005: new button to end live flying without having to enter/escape a saved file name; display of IPADS maps;
  • 15.11.25 1/25/2005: option to thin DB when plotting vectors;
  • 15.11.31 1/31/2005: save DEMs in PGM format; fixed OpenGL display when importing TINs (and other OpenGL problems); grid difference map is more flexible (grids do not have to be identical is size and spacing);
  • 15.12.2 2/2/2005: fixed inability to save DEM (and likely other file saves); check on record ID in GIS display, if > 5 records at "point", to avoid incredibly long loop;
  • 15.11.25 1/25/2005: option to thin DB when plotting vectors;
  • 15.11.31 1/31/2005: save DEMs in PGM format; fixed OpenGL display when importing TINs; grid difference map is more flexible (grids do not have to be identical is size and spacing)
  • 15.12.2 2/2/2005: check on record ID in GIS display, if > 5 records at "point", to avoid incredibly long loop;
  • 15.12.16 2/16/2005: Plotted SIN files use the outline color set on the vector maps tab of the options form
  • 15.12.25 2/25/2005: fixed import for BLM PLSS files that used a number with too many places; option to highlight and do void statistics on the Analyze, DEM properties menu; default for auto fill holes now set to false;
  • 15.12.28 2/28/2005: ASTER Geotiffs correctly mark missing data set to -100 m;
  • 15.13.2 3/2/2005: checking if files exists in UGGS data base works when the drive name has changed, as for USB/Firewire drives moved to a different machine; option to set default area fill for GIS data bases; revised optimal lag for DEM considerably;
  • 15.13.7 3/7/2005: time series analysis expanded for graphs;
  • 15.13.11 3/11/2005: database record ID and display does not show any blank/missing fields
  • 15.13.13 3/13/2005: subset line and area shapefiles
  • 15.13.25 3/21/2005: reinterpolate DEMs as floating point;
  • 15.13.30 3/30/2005: read 16 bit grayscale Tiffs;
  • 15.14.1 4/1/2005: deal with new variant of Garmin GPS TRK file;
  • 15.14.4 4/4/2005: 3D OpenGL can have box with corners missing data; buttons on map toolbar, to open Koppen Climates and tides time series with appropriate databases open;
  • 15.14.7 4/7/2005: roam on Mars MOLA DEM shows location and elevation; foxed problems with Blue Marble map rotations; fixed problems with round vector maps that had coordinates outside the circle, and draped DEMs there; fixed anomalies with perspective viewshed fan on selection map.
  • 15.14.8 4/8/2005: fixed problem reading shape files with field "ID_*" (thanks, USGS DDS -68);
  • 15.14.16 4/16/2005: option to rename a DEM (only for current session) on the map's file menu; option on calculate menu to show extreme elevations with symbol (in cases where they are rare and terrain categories misses them); fixed problem that writing of a subset DEM in MD format had incorrect corner coordinates for geographic DEMs; allow accessing ProfileDropDown on the LOS display; defaults remember the size of the OpenGL viewport;
    option to save/restore OpenGL view parameters (from right click on image); fixed some recent problems with drawing stream profiles;
  • 15.14.19 4/19/2005: parallel profiles to LOS, and stream profiles, shows the Vert Exag in the title bar;
  • 15.14.24 4/24/2005: option to create summit and base level maps; new ZIP dlls used; option to ZIP files;
  • 15.14.26 4/26/2005: read 32 bit Geotiff DEMs as floating point; make difference maps of cm (and likely other non-meter) DEMs;
  • 15.14.27 4/27/2005: parallel profiles works with 1 m lidar DEMs; fixed scaling problem with map resizes; fixed problem with restrict GIS database to map area;
  • 15.14.29 4/29/2005: fixed bug that saving a TIFF world file used a TIF extension and overwrote the original file;
  • 15.15.2 5/2/2005 : won't save map as registered images if they are not a UTM or lat/long map projection;
  • 15.15.7 5/7/2005 : option on the file menu to have all maps match the size and coverage area of a particular map; font choice on gazetteer feature label; selection of sunrise on map allows choice of table or graph, and graph is larger;
  • 15.15.14 5/14/2005 : read SDTS DEMs in lat/long (Alaska, which must be purchased);
  • 15.15.15 5/15/2005 : enabled inclination angles in weapons fans;
  • 15.15.16 5/16/2005 : option to increase/decrease all Tiger roads at the same time;
  • 15.15.22 5/22/2005 : option (very slow!) to create a viewshed map; raster GIS scatter plot can be of current map subset area or the entire grid area;
  • 15.15.24 5/24/2005 : removed restriction that maximum map size was only 256 MB;
  • 15.15.25 5/25/2005 : Calculate NLCD menu choices moved to a submenu; moved MD formats to the top of the save DEM menu; point selection and index maps using a DEM no longer try to draw TIGER; cancel pending menu choice now on right click while digitizing;
  • 15.15.28 5/28/2005 : fixed problem setting to PUL and probably other datums only 3 letters long;
  • 15.15.30 5/30/2005 : revised selection form for perspective/panorama/flying options;
  • 15.16.2 6/2/2005 : option to set perspective/flying parameters on the Views tab of the Options Form; fixed read of Geotiff DEM with resolution better than 1 meter;
  • 15.16.8 6/8/2005 : fixed problems with edit of line/area shape files
  • 15.16.10 6/10/2005 : fixed problem creating a DEM from a TIN; fixed problem digitizing (shapefile, and likely other things) in point mode with verification on;
  • 15.16.12 6/12/2005 : create ratio map of two grids;
  • 15.16.15 6/15/2005 : GridFloat (as from NED) can be imported as floating point DEM; option for region size in slope computations;
  • 15.16.26 6/26/2005 : fixed problems with then solar illumination options, and added a sun path map; option to use a mask on some of the GIS raster grid operations;
  • 15.16.29 6/29/2005 : thinning works with all DEMs, and moved to the File, Save DEM menu;
  • 15.16.30 6/30/2005 : option to get an analysis window for imagery on the file menu, even if a DRG type image, since you might need to register it; show registration points if reopen without the .reg file, and button to replot registration points;
  • 15.17.6 7/6/2005 : improved edit of shape files; edit GIS now has three options, and one can automatically allow edits;
  • 15.17.7 7/7/2005 : option in weapons fan to set a minimum distance that is allowed to block, which is designed to deal with small local errors in the DEM or locating the observer); removed moire patters on very large scale maps, which were not using the map spacing to compute the spacing along radials; redraw of map with a single weapons fan shows the range circles and the fan center point;
  • 15.17.8 7/8/2005 : option ("Modify, Map Area, Set map pixel size" menu) to set a specific pixel size for the map; number of enhancements to putting a collar and legend on a map; option to flood fill a map with a specified color, which can masked;
  • 15.17.11 7/11/2005 : Stratcol GIS; resample DEM removed from the data manipulation form; it's now only on the save DEM menu; option on the import/export tab to force saving of new DEMs create by thinning, resampling, or new grid operations;
  • 15.17.14 7/14/2005 : fixed legend on SSO diagram; fixed route observation (ambush movie); legends added for several elevation maps (colors from table and palette); option for vertical legends for elevation maps;
  • 15.17.15 7/15/2005 : trend surface setting saved in the defaults, and an option to interpolate from the trend surface over holes;
  • 15.17.18 7/18/2005 : added options to find optimal sensor viewshed location in a box, and covering a target area;
  • 15.18.3 8/3/2005 : curved outline for perspective; read zipped images, if the file name of the tif is the same as the zip (can be *.zip or *.tif.zip); disable Geosym/CGM evaluation mode
  • 15.18.5 8/5/2005 : option to open a shape file in a vector map window (like the Tiger speed button) on the file menu;
  • 15.18.5 8/5/2005 : index CDED, with 2 files in the same zip file;
  • 15.19.2 9/2/2005 : vertical viewport on weapons fan is "sticky"';
  • 16.1.16 9/16/2005: moved to Delphi 2005;
  • 16.1.23 9/23/2005: option to zoom a displayed bitmap to a specified size (percentage), and for display of image in bitmap to be zoomed down so it all fits on screen;
  • 16.2.2 10/2/2005: srtm water bodies;
  • 16.2.3 10/3/2005: USGS database can index a LIDAR data type; fixed problem saving UTM-based imagery as a Geotiff;
  • 16.2.12 10/12/2005: can open a CSV file directly as a point database, without having to import; report on database table display form to show the database structure;
  • 16.2.14 10/14/2005: changes to ADRG to remove the overview map, which was no longer used, and the defaults options for the ADRG image size;
  • 16.2.17 10/17/2005: option to zip individual files into ZIP archives, and to delete the original files when done (as for ASTER DEMs); read lambert conformal conic DEMs (USGS lidar DEMs of Antarctica), and fixed problems with lambert conformal conic projection in the southern hemisphere;
  • 16.2.22 10/22/2005: flood basin can use IHS merge, if that is set for terrain categories;
  • 16.2.27 10/27/2005: option to do moment calculations for all open DEMs;
  • 16.2.31 10/31/2005: removed option to export directly to PowerPoint (use the clipboard);
  • 16.3.7 11/7/2005: rescale graph menu has option to force 1:1 scaling on the graph;
  • 16.3.8 11/8/2005: fixed problem if only a single band of a TM Geotiff was present;
  • 16.3.11 11/11/2005: DTED indexes write full file name into index; graph windows have a fuller menu when right clicking;
  • 16.3.17 11/17/2005: gray scale by string field removed (color now has grayscale option); fixed problems importing point VPF tables (Lat, long were not set);
  • 16.3.18 11/18/2005: aspect distribution by slope lets user set the slope categories;
  • 16.3.19 11/19/2005: revised reflectance and elevation map parameter changing form; curvature category maps; fixed crash trying to filter DEM with the raster GIS menu; new option for reflectance map colors;
  • 16.3.22 11/22/2005: trackbar on movie replay form; openGL option to get entire map area of current map;
  • 16.3.23 11/23/2005: Calculate menu of a map has option to get the RGB color of a point on screen;
  • 16.3.24 11/24/2005: "Load" on the map button for all indexed databases instead of "USGS", "NGA", or "CIB";
  • 16.3.26 11/26/2005: color series, and enable/disable them, in the integrated database; Terraserver loader responds correctly when the base map is redrawn; maximize button on the perspective window works, and a new minimize button is there which restores to the previous size; fixed reading of Geotiff SPCS imagery with limited TIFF tags, which reader must identify;
  • 16.3.29 11/29/2005: worked to streamline the DEM/Image merge and topographic shading; improvements to indexing the integrated database;
  • 16.3.30 11/30/2005: graphical edit of database shows blank fields so they can be edited;
  • 16.4.1 12/1/2005: change of menus for map shading and the elev/slope/reflectance merges, with a single popup form available from the modify menu and the right click popup menu;
  • 16.4.5 12/5/2005: changed the db filter form, so that "long" filters will work correctly; tab on the perspective view to change the viewer's location; save and restore perspective views; redraw the perspective coverage area on the original map; add datum tab to the options form; add option to make map window selection maintain an aspect ratio; fixed indexing of integrated database that erroneously found "bad" DEMs in the windows temp directory for zipped DEMs;
  • 16.4.10 12/10/2005: adjustments to the modify menu for maps;
  • 16.4.13 12/13/2005: set what options to show from elevation histogram;
  • 16.4.26 12/26/2005: graphs of moment distributions on the Analyze menu;
  • 16.4.31 12/31/2005: map info for image shows the registration, and UTM zone;
  • Moved to Delphi 2006
  • 17.1.4 1/4/2006: multiple changes to area shape files with donuts;
  • 17.1.8 1/8/2006: closed some minor memory leaks, most notably with Geotiff imagery;
  • 17.1.12 1/12/2006: option to put an ALL.JDW file in a directory, and not have to set it for all files before indexing;
  • 17.1.13 1/13/2006: derivative grids do not compute for 0 elevation points, unless those are enabled; redraw on perspective uses the same icon as the map and graph windows; option to create a movie from a sequence of images; rewrite DEM option after MD format DEM has been modified;
  • 17.1.23 1/23/2006: multiple profiles enabled for a single DEM, to get profiles without LOS; Koppen button on the map toolbar
  • 2006.2.7 : new version numbering scheme; JPE as new extension for JPEGs; change the font for contour line labels;
  • 2006.2.10 : subsample (rather than hang) when grid scatterplot would have too many points;
  • 2006.2.22 : moved climate button from main toolbar to map window toolbar;
  • 2006.3.13 : default vertical exag stored separately for large and small scale DEMs (250 m pixel spacing break point);
  • 2006.6.5 : get hemisphere and UTM zone automatically from Stennis MrSid TM imagery; form to get projection information lists the image file it is for; only write SONAR.DEF if the subbottom or sidescan is enabled;
  • 2006.6.20 : fixed problems with digitization of area/line shape files; remembers type of gazetteer to load (NGA or USGS);
  • 2006.6.21 : automatic download ftp files with needed TIGER data; many changes to geostatistics and geomorphometry;
  • 2006.6.23 : pick multiple DEMs from a directory at one time to merge;
  • 2006.7.20 : better legends for DEMs/grids with very small numbers;
  • 2006.7.26 : option to automatically expand the elevation color scale when resizing a map; get steepest slope works over current map area, and not entire DEM;
  • 2006.8.1: Read TM scenes names like LT5015033000123810_B7.TIF (USGS, from GLCF); Calculate Elevations Extremes is sticky and redraws; Removed option to show 24K DEMs in different colors (if desired, used separate directories/series in the integrated data base); USGS24K DEM, NED, SRTM 1" and 3" must now use the integrated data base; DTED must use integrated database instead of the NGA database;
  • 2006.8.3 : improved series selections for the integrated data base; removed option to create bathy index (use integrated database); removed a number of special case options with NGA data (see the Disabled Options in the help file); removed import of ERDAS LAN/GIS formats; removed import CSIL index; all oblique sizes available on all monitors (buyer beware);
  • 2006.8.5 : size of selection indicated on the panel when outlining a box; option to restrict types of data to be indexed/reindexed in the integrated database;
  • 2006.8.5 : fixed TIGER ftp to use 2005 Second Edition files;
  • 2006.8.22 : added quick vector map button; fixed Tissot Indicatrix and continent outlines for Gnomonic projection (hopefully without breaking anything else);
  • 2006.8.23 : read Geotiff with missing data as -e38; changes to allow import of ASCII XYZ with huge grids; option on XYZ import to create a UTM XYZ file;
  • 2006.9.25 : fixed problems reading NOAA estuarine bathymetry (cm resolution USGS ASCII);
  • 2006.10.3 : adjustments on line shape file entry to eliminate crashes (single point click; nothing in edit; bad edit order); add constant to every record (maybe filtered) in a field of a database, on the edit menu;
  • 2006.11.15 : ternary diagram scales size of symbols to that used on the GIS map; option to put logo on each frame of the movie; can get UTM or MGRS coordinate tracking on all maps, even UK OS; labels on UTM grid, even UK OS DEMs.
  • 2006.12.9 : automatic linking via "STATE_FIPS" if present; most database plotting moved to "Plot by DB field" (includes IHS);
  • 2006.12.31 : improved median filtering on a graph window;
  • 2007.1.25 : Koppen climograph category definitions moved to DBF file in the root directory;
  • 2007.2.5 : smart text overwriting applied to labels for TIGER;
  • 2007.3.11 : buttons on oblique to change vertical exaggeration, and rotate view;
  • 2007.4.3 : import CSV ignores identical lines;
  • 2007.4.18 : read netCDF with integer elevations;
  • 2007.8.4: allow 250 fields in databases; fixed crashes in changing VE or rotation too fast in oblique; allow set color for vector display from database;
  • 2007.8.12: started new overlay management system;
  • 2007.9.17: can open multiple DEMs at one time; world file included with dump of Geotiff metadata; can identify NLCD in any directory in an NLCD-1990 or NLCD-2001 file is in the directory;
  • 2007.11.8: gazetteers automatically imported into correct directory, and option to open them immediately after import;
  • 2008.3.18: removed outline and point files from the PRJ file for vector map projections.
  • 2008.3.25: read Geotiff DEMs in conic projection (for NBCD2000); filtered and PC1 and ratio bands count toward getting to 3 bands for multicolor;
  • 3/23/2008 Database auxiliary files stored in subdirectory "db_aux" under location of the main database files. If you have files stored in the old location, the program will automatically move them.
  • 3/26/2008 LOS has always been done at screen resolution. For very long ranges, or very high resolution DEMs, this could cause problems, which would be most severe if you were on the back side of a hill. This has been fixed.
  • 3/26/2008 Compress/decompress moved to the tools menu, available from the Main menu or when a map window is active. (Still available on the DEM manipulation form)
  • 4/8/2008 Geotiff allows Mercator projection in code 3075
  • 4/18/2008: measure distances and get scalebar in nautical miles;
  • 4/19/2008: range circles stored as database.
  • 7/7/2008: save Geotiff DEMs in SPCS; import multiple e00 files in one step;
  • 7/24/2008: improved UTM grid on maps with conical projection; fixed display of Landfire to show the colors of the categories
  • 7/30/2008: changed Tissot Indicatrix option selection.
  • 8/24/2008: subdue/grayscale vector map;

Program History

Last revision 12/10/2009


Vertical Exaggeration

Vertical exaggeration refers to the common practice in topographic profiles of different horizontal and vertical scales. It is expressed as a number, the ratio of the vertical to horizontal scale, and is almost always greater than 1. Over a long profile, if the same scale were used the differences in elevation would be very small compared to the distances involved and the profile would appear flat. The resulting scene would not look at all like the human eye perceives terrain; we overestimate slopes and the vertical dimension of topography.

Vertical exaggeration x40. Note that this profile is about 1100 km long, and the vertical scale is about 12 km in total, so that the ratio between the two is about 100 to 1. If the profile were drawn to be 1000 pixels wide, it should be only 10 pixels high to have correct scaling.
Vertical exaggeration x10.
Vertical exaggeration x5. Note that we are still a long way from a 1:1 scaling, and already we think the profile is essentially flat.

MICRODEM automatically suggests a vertical exaggeration; the user must consider that exaggeration can make slight slopes into cliffs. The suggested vertical exaggeration is the largest that will fit on the screen if the profile goes through the maximum elevation in the data set and the base of the profile is the minimum elevation. (If a default option is selected, the computer will find the elevation range within the smallest square that contains the view). Selecting a larger vertical exaggeration should be done with care, generally only if you do not check for the extreme values first and only after drawing a profile and finding it to lack sufficient vertical exaggeration. You can always select a smaller vertical exaggeration, but may get pancake topography. Vertical exaggeration is necessary to interpret line of sight profiles, but must be considered before jumping to conclusions about trafficability up slopes.

A true scale profile is only possible over short distances with very steep topography.

Last revision 2/27/2016


WWW Data Imports

Importing Compressed Data from WWW Option Removed


Elevations in Feet

MICRODEM has very little patience with English units. The bulk of the program's operations will use meters. Internally all calculations will be done in meters. DEMs in feet will be correctly handled, with the following caveats:

  • Merged data sets, including samples with elevations in both feet and meters, will be converted to meters. You might consider caution in merging such DEMs as you will lose vertical resolution in the flatter areas.
  • All displays will be labeled in meters.
  • The option to display dual elevations, will show both meters and feet when you roam on the map. This option was enabled to allow comparison of the map display with a paper map with contour lines in feet.

The USGS DEMs in feet offer improved vertical resolution of about 0.3 m, which the program faithfully retains after converting to the metric system.

Last revised 11/16/2006


US DEM Series


ASCII XYZ options

ASCII XYZ Import Options

Values in the XYZ file can be separated by spaces, commas, or tabs.

This form gives you a view of the first 10 records in the XYZ file, and lets you set some options for reading them:

  • Import to a DB table, a grid, or both.
  • The XY format, for how the data will be interpreted (UTM, lat/long, or generic rectangular, or dd-mm-ss.sssN)
  • A multiple for the Z values.
  • No data value: lines with this will be ignored.
  • Elevations in feet
  • Multiply longitude by -1, since west longitude must be negative.
  • Multiply the z values by -1, which might be necessary for depths to behave properly in hydrographic data.
  • Option to plot the raw XYZ data so you can evaluate its coverage.
  • Hemispshere and UTM zone for UTM data, so LAT/LONG fields can be added.

Overview of ASCII XYZ import .

Last revised 10/24/2019


Preferred Slope Algorithm

Last revised 9/12/2020


ETOPO5 data set

ETOPO1/ETOPO2/ETOPO5/TerrainBase Data Sets

ETOPO1 (Earth topography 1 arc minute) is the current global topographic data set. You can Thin it to get equivalents to ETOPO2 (25% of the file size) or ETOPO5 (4% of the file size). Even ETOPO5 cannot be displayed on screen with full resolution , so you only need ETOPO1 when zooming in significantly.

ETOPO5/2/1, unlike GTOPO30/Globe/DTED0/SRTM30, has elevation data over both land and water. GTOPO30 covers only the continents. The marine data primarily comes from radar altimeters.

ETOPO5 was initially generated by the US Navy from a digital data base of land and sea-floor elevations on a 5-minute latitude/longitude grid. The resolution of the gridded data varied from true 5-minute for the ocean floors, the U.S.A., Europe, Japan, and Australia to 1 degree in data-deficient parts of Asia, South America, northern Canada, and Africa. Data sources are as follows:

  • Ocean Areas: U.S. Naval Oceanographic Office;
  • U.S.A., W. Europe, Japan/Korea: U.S. Defense Mapping Agency;
  • Australia: Bureau of Mineral Resources, Australia;
  • New Zealand: Department of Industrial and Scientific Research, New Zealand;
  • balance of world land masses: U.S. Navy Fleet Numerical Oceanographic Center.
  • ETOPO5 had 4320x2160 data values, one for each five minutes of latitude and longitude, for a total of 9,331,200 points or 18,662,400 bytes.
  • Data values are in whole meters, representing the elevation of the CENTER of each cell.

Center ETOPO on Pacific

Comparison of 30" global DEMs which will have slightly better resolution on land.

Data source, citation, and download.

Last revision 3/19/2019


Problems with Text Files

The compiler used for this program assumes the DOS/Windows standard that lines in a text file will be terminated with a carriage return and a line feed. Some other operating systems do not have this convention. Files prepared on such other operating systems may have problems.

Data Manipulation form Edit menu there is an option to insure that every line ends with a carriage return and a line feed. This will replace the original file.

Last revision 11/16/2006


Frequently Asked Questions

How do I register a satellite image?

  1. The best results will be obtained with imagery that is already registered.
  2. Open the DEM that goes with the image, and then the image.
  3. Go to registration, add point. It will now be checked.
  4. Double click on three registration points, and then enter the coordinates. You will enter MGRS, UTM, or lat/long depending on your present choice. You should spread these throughout the image for best results. You can add more than three points, but currently only the first three will be used.
  5. Uncheck registration, add point. When you move the cursor over the image, the coordinates should now be displayed.
  6. If you make a mistake, you can either edit the XY registration file in any ASCII editor or delete it and restart.
  7. This assumes that the image has been geometrically registered, or that you are willing to assume that you can ignore geometric irregularities.
  8. No error checking will be done beyond verification that you enter at least three points.

How do I get my local datum?

  1. Go to the options menu choice, and pick the maps page.
  2. Pick your local map datum. The program will use this for all calculations and computations, performing the datum shift from the digitizing datum. The datum code will be displayed with coordinates when you roam on the map.

What is a CDO file?

  1. This is an ASCII DEM purchased from USGS. You can rename it as a DEM file, or TerraBase II/MICRODEM will now provide an import filter for it.
  2. I have no idea what CDO stands for.

Last revision 2/18/2009


DEM Data Storage

Development of a structure for efficient storage of the DEM depends upon two factors: minimizing the size of the structure, and maximizing the retrieval speed. The two factors are interrelated, because if the data structure can allow significant blocks of the DEM to be loaded into memory, retrieval speed can dramatically decrease through bypassing disk access. Decreased costs for memory, both RAM and disk storage, allow microcomputers to easily manipulate large DEMs. Minimization of time-consuming real number arithmetic should also be avoided as much as possible.

Because both DEMs record data along a regular grid, the x and y locations (whether UTM or latitude/longitude) do not have to be stored but can be computed implicitly from a point's location within the data structure. Since elevations are recorded only to the nearest meter (foot for some 1:24K DEMs), they can be stored in binary form as integers. Use of the standard 2 byte integer type, with a range of -32767 to 32767, easily covers elevations on the earth's surface. While the data structure can be visualized as an x,y array, the computer does not manipulate it as a single array. Instead the computer uses a random access file, with each record in the file being a north-south elevation profile (stored as an array of elevations). The record number corresponds to the x coordinate and retrieves an array, with subscripts in the array corresponding to the y coordinate. By knowing the ground coordinates of the 0,0 point in the array (southwest corner) in either UTM or latitude/longitude and the data spacing, the ground coordinates of any data point can be easily calculated, or the data point corresponding to any ground point can be easily selected.

The two DEMs required slightly different design considerations. For the regular grid of the 1:250K DEM the only serious question concerned the size of data sets to use on the microcomputer. As supplied by NGA, the 1:250K DEM covers 1° by 1° areas. This contains 1.44 million elevations, and requires 2.88 Mb of computer storage. A 15' subset was originally chosen as the basic element for MICROFIX, with 90,601 elevations requiring 180 kb of disk space (which would fit on a floppy disk of that era). The original TerraBase used 30’ subsets, four times the size of the 15’ subsets. The naming schemes for 15' and 30' data subsets were compatible.

The clipped profiles of the 1:24K DEM required slightly more design decisions. The number of columns and rows in the data sets change, unlike the 1:250K DEM (which always has the same number of rows in each profile, but the number of columns changes north of 50° latitude). The corners of the data file are calculated from the corners of the map quadrangle. The southwest corner has the smallest x and y UTM values (northing and false easting) of any point in the data set, and the northeast corner has the largest x and y values. The corners may not be within the data set, and in general several columns on each side of the data set will have only a few values within the data set. Most columns will have several missing points at the top or bottom of the profile. Points outside the data set are flagged with MaxInt (32767) to allow fast determination when the edge of the data set is reached.

The 1:24K DEM supplied by USGS typically requires about 1.2 Mb of computer storage as an ASCII file (varies with latitude). Converted to binary form and a rectangular grid, the same data set requires about 358 kb, a compression of about 70%. A 1:250K DEM supplied by USGS required about 9.8 Mb as an ASCII file and 2.9 Mb as a binary file, also compression of about 70%. While the ASCII format contains some relevant information such as data set boundaries and profile end points, these points can be easily calculated from the base coordinates and the quadrangle elevation range are stored in the 132 byte header record.

For rapid data transfer, the binary data sets can typically be compacted 40-60% using data compression techniques, but must be de-archived before use.

As data spacing goes down, storage requirements go up dramatically. This means that the coverage area must decrease.

Approximate metric equivalents.

Last revision 2/28/2010


DEM MEMORY ISSUES

MICRODEM requires the DEM be in memory (RAM) because:

  • It speeds up the program considerably over disk access.
  • It simplifies coding, since there need only be different import routines and then all access of the DEM uses the program’s internal storage model.
  • DEM storage in files is not standard, even at the level of storing by row or column.
  • Many operations require a number of points surrounding the desired point (e.g. reflectance, slope, aspect), and multiple DEM formats would complicate and slow down these operations.
  • Operations like 3D oblique and perspective views, line of sight, and viewsheds require sequential points along diagonal lines and not just rows or columns.
  • The screen can display only a fraction of the points in a DEM this size. A large DEM will effectively be subsampled to display on screen.
    • Typical screen sizes are about 1000 x 1000 (now may 1920 by 128 pixels may be common, and 3840x2160 is coming up fast (4K)).
    • Even my four monitor large system is only about 4000x2000 pixels, athough I do a second 2K monitor.
  • With subset, merge, and thin options supported in the program, it should be possible to create a suitable DEM of the desired region. Small scale DEMs should cover a large area at lower resolution, while large scale DEMs would cover small areas with better resolution. It is probably appropriate to have two scales of DEM covering the same region, a small scale DEM for regional synthesis and large scale DEMs for particular areas of interest.
  • You can have a small scale overview map, and use it to pick the large scale DEM for specific areas of interest for detailed analysis.

Running out of memory can come from two sources. You should be able to tell which source caused the problem by looking at the error message. If it does not include words like "DEM", "column", or "Row", it is probably being passed from the operating system to MICRODEM, and it is unlikely we can fix the problem and you will have to be less "greedy" and "smarter" in what you want to do.

  • You try to load a DEM, probably by merging, that is too big for the current limits. You should really think about whether you really need that level of detail over such a large area (you cannot see it on screen, and probably cannot also do meaningful analysis with it). This is less than the amount of memory on your system.
  • You try to create a map window on screen that exceeds the limits of Windows or your graphics card. This limit has been creeping up over time, and depends on your system's characteristics, but overall I think it is plenty big (although it will be much much less than the amount of memory you have). You should have gotten a warning that this will take a lot of memory, and noted that you cannot display it all on screen at once and would have to use scrollbars. In this case, [image] Subset & zoom.

With the 64 bit version the only one normally supported, and even larger DEMs could be moved into memory.

Some programs compute multiple grids, and then use those grids to compute geomorphometric parameters. We are considering moving in that direction, but have not adopted it for general operations becasue the grids would all have to be in memory. Having the partial grids might speed up computations, at the cost of limiting the size of the DEMs which could be used. For computations of the SSO, MICRODEM does compute the 3 components of the normal vector to the DEM surface and retains those in memory to speed up computations, so this in effect has three additional grids in memory, at the same cost as the original DEM.

Last revision 8/11/2022


DEM Production

Four processes have been used to generate USGS DEM data for 7.5-minute units. The first three processes have been discontinued:

  • The Gestalt Photo Mapper II (GPM2) is an automated photogrammetric system designed to produce orthophotos, digital terrain data, and contours in subunits known as patches.
  • Manual profiling from photogrammetric stereomodels uses stereoplotters equipped with three-axis electronic digital profile recording modules for scanning stereomodels along successive terrain profiles.
  • Elevations are recorded by stereomodel digitizing of contours, in which digital contours are acquired on stereoplotters equipped with three-axis digital recording modules.
  • Interpolation from digital line graph (DLG). All data now being generated use this process, which leads to contour line "ghosts" in the resulting DEMs..

The first three processes produced USGS Level 1 DEMs, and the fourth process produces Level 2 DEMs. This use of the term “level” is distinct from usage of the term by DMA/NIMA.

Extracted from USGS WWW pages, spring of 1997. While it applies specifically to USGS products and procedures, the same principles apply to NGA or other DEM producers.

Last revised 11/16/2006


DEMIX 10K Tiles

This is a system of nominally 10 km tiles covering the entire world. The actual spacing is in arc minutes, and each 1x1 degree tile on earth is divided into 10-100 subtiles

Table 1. Tile dimensions by latitude zone

Zone | abs(Lat) | Tile size (arc min) | Tiles per 1 degree | 1"x1" Points per tile
6 | 85-90 | 60x6 | 1x10 | 3600x360
5 | 80-85 | 30x6 | 2x10 | 1800x360
4 | 70-80 | 20x6 | 3x10 | 1200x360
3 | 60-70 | 12x6 | 5x10 | 720x360
2 | 50-60 | 10x6 | 6x10 | 600x360
1 | 0-50 | 6x6 | 10x10 | 360x360

 The letters used for the subtiles exclude N/S and E/W because those are used for the 1 degree tile names, and I/O because they can be confused for 1/0
  • LongLetters = ('A','B','C','D','F','G','H','J','K','L') and increase from west to east
  • LatLetters = ('M','P','Q','R','T','U','V','X','Y','Z') and increase from south to north
Tile Naming: [N,S]yy[LatLetter] [W,E]xxx[LongLetter]
In MICRODEM, create a shapfile with the tile boundaries and names to cover any map
  • Open any map
  • Subset & zoom
  • If you want the entire world, open one of these:
    • Open Global topography
    • Open NASA Blue Marble
  • Cartography, DEMIX 10K Tiles
  • The shapefile will be in the temporary directory
  • To save, Report, Zip shapefile or Copy shapefile to store permanently

Last revision 7/27/2022


Point count/density grids from point clouds

LIDAR Point cloud form option on Create grids tab

  • All returns--this will show large differences between vegetated areas and other regions with only single returns
  • Ground classified returns: shows where you will have problems with a DTM
  • First returns: first return from the LAS record
  • Second return: this shows the distribution of pulses with mutliple returns, positioned at the location of the second return. The first and following returns could be at a different grid location, depending on the grid spacing and the scan angle of the pulse.
  • Single: pulses with a single return. With current lidars, these will be in non-vegetated areas where the return hit the ground or a building and nothing else.
  • Non last return (air) from LAS record: record has the return number, and the total number of returns from the pulse, so if these are not equal, it is an air point
  • Overlap points: in adjacent flight lies.
  • Density by class; counts in each pixel for 5 classifications; depends on the quality of the classification.
  • Point count:
  • By Class: counts in each pixel for 5 classifications; depends on the quality of the classification.
  • Points above/below a DEM
    • Ground points above DTM. Number of points within Zcrit of the DEM elevation.
    • Air points above DTM: these are from vegetation, power lines or something else above the ground (the final return in the pulse). Number of points above the DTM + Zcrit. This will be a minimum estimate, since a pulse with a single return might not have reached the ground.

Last revision 6/16/2021


Derivative Grids

Invokes popup menu, which can be selected in two places:
  • Calculate Menu, Derivative Grid
  • Raster GIS menu, Create derivative grid

This will create a new grid, with the same size and spacing as the original grid.

You must save the new grids (File, Save DEM) if you want to use them again. When you save, you can choose either the MICRODEM or GeoTIFF format. The derivative grid can be manipulated in its own right.'

The program can automatically save the files if your pick the Multiple parameters option, which will be savbed to a subdirectory "geomorph_grids" in the directory with the original DEM. If you want to convert to GeoTiff, either:

  • Open and then File, Save DEM, and pick Geotiff.
  • Data Manipulation, Resample, DEM format, convert to Geotiff, which allows conversion of all DEMs in a directory.

Some options (relief, openness) require that a region size be selected. The size is in meters, and converted into the number of grid points needed. The computations will use a square centered on the point.

Some options (e.g. slope, reflectance, aspect) can be selected from the display option of the DEM display, but have limited modification capability since they are just display modes of the DEM.

  • Multiple parameters--This allows creation of multiple grids while you do something else. Parameters within each grouping are computed together, and doing more than adds little time, but will increase memory usage.
  • Slope--uses current slope algorithm
    • All slope/aspect
    • Slope (%) (100 * tan)
    • Slope (%) and components (x and y)
    • Degrees
    • m/m
    • Sin
    • log10 tangent
    • ln tangent
    • sqrt sin
    • slope and roughness
    • Roughness (std of slope)
    • Roughness (from SSO)
    • Slope error estimator: Extrapolated Evans-Young method (López-Vázquez, 2022), using Richardson extrapolation. Makes a lot of maps, and not necessarily easy to interpret. Carlos López-Vázquez (2022) Uncertainty interval estimates for computing slope and aspect from a gridded digital elevation model, International Journal of Geographical Information Science, 36:8, 1601-1628, DOI: 10.1080/13658816.2022.2063294
  • Aspect--uses current slope algorithm
    • Aspect 360
    • N-S component: sin(aspect), 1 is east, -1 is west
    • E-W component: cos(aspect), 1 is north, -1 is south
    • Aspect difference: largest difference in aspect in the NS, NE-SW, EW, or NW-SE directions, with a value 0-180. Done for 3x3, 5x5, and 7x7 windows. Can help to pick out valleys and ridges
  • Curvature: Use with caution. There are also options with external tools.
  • Relief
    • Relief, average elevation, elevation standard deviation, REL (percentage of area that is lower), and TPI: all for a specified region size
    • Relief, Summit levels, Base Level, Geophysical Relief
    • Immediate neighborhood drop: drop off is the distance from the point to the lowest point in the box with the selected size.
  • Rugosity
  • Convergence index
  • Topographic ruggedness (RRI, TPI,TRI)
  • Openness
  • Reflectance
  • Terrain category: pick a terrain category, and the points meeting the criteria will have a single value in the resulting grid.
  • Transform elevations
    • Meter elevations
    • Ln (natural log). Cannot have negative values.
    • Log (base 10) transform elevations Cannot have negative values.
    • Normalize parameter
    • Parameter percentiles
  • Terrain classification--uses current classification algorithm
    • Ridges--all peaks and ridges will have the elevation; other points will be missing
    • Valleys--all streams will have the elevation; other points will be missing
    • All terrain categories--will have an integer code for the category
  • Iwashashi and Pike Classification
  • Terrain organization maps: Organization (s2/s3), Flatness (s1s2, inverse slope), Fabric direction, Roughness factor (slope)
  • Moments for region (elevation, slope, two curvatures, the moments for a selected region size)
  • Point density: divides value at each grid point by size of the grid; the result will in count/m².
  • Optimal viewshed location

Last revision 2/25/2023


DESKEW

  • http://galfar.vevb.net/wp/2012/deskew-tool-updated/
  • https://bitbucket.org/galfar/app-deskew

Used in option on Raster GIS menu.

You must have the 64 bit version of the program in c:\microdem\deskew

last revised 1/14/2018


Create DBF file in Excel

Create dBase Point Data Base with Excel

Excel to CSV to dBase in MICRODEM

CSV import within MICRODEM. This does not have as many options as the Excel import, but will be simpler to use if it works with your file.

You can also use Google Earth to create a KML file, and import that.

Last revision 1/27/2013


Digitize with Your Imagery in Go

Digitize with Your Imagery in Google Earth

Open image

Subset & zoom

1:1 map view (best resolution view of the data)

Remove grid and any open databases

Right click on map, Export, Quick map to Google Earth. If the map is UTM, it will be reprojected with some probably minor distortion. You will get an immediate sense of how good the Google Earth imagery is.

Digitize in Google Earth.

Last revision 2/7/2023


Digitize on Y axis

Digitize y-axis
Pick button
Pick database (prompt will be for "x axis lines") with horizontal lines along the x-axis. The z values should be on the floor of the deck. It must have the fields shown (X,Y, Z, and BEAM). It should be for a single z level or deck.
Pick database (prompt will be for "names of y axis points to digitize") with the names of the points you want to digitize along the horizontal lines. It must have the field SIDE.
Adjust the slice so you have an x-y view, with the z value at the level you want to digitize, since the outline might change with z value. You can adjust the z value, or the thickness of the slice.
Digitize. The horizontal line being digitized will be in red. The name of the location will be in the lower left corner of the program status bar. When done, you will be asked to give the file a name.
The resulting data base. The x and z values are from the horizontal line database, and the y values from your digitizing. Add a field showing the level being digitized, in this case the DECK.
Final database with the key points, after filling the "DECK" field with the name of the deck.

last revision 2/23/2016


Digitize Contours

Choice from popup menu at the [image] Annotate Map icon on map toolbar. This requires that you use a registered map. If you have a scanned map that you need to register, use the image registration option from the satellite image analysis window.

First open or create a new file for the digitized contours. This will be a dBase table with three fields (LAT, LONG, and Z). If you are appending to an existing file, the points already digitized will show on the map.

You have three controls:

  • Z value: this will be same until you change it, since you are digitizing contour lines. The initial value is -9999, often chosen for missing data.
  • Mode:
    • Stream: as long as the left mouse button is down, points will be automatically digitized once the tolerance value is exceeded.
    • Point: points will be recorded only when you double click.
  • Tolerance: in stream mode, this is the distance a point must be from the last digitized point in order to be recorded. This is measured either horizontally or vertically, and not along the diagonall.

As you digitize points, they will be added to the data table and marked on the map.

When your file is created, you have the following options:

  • Ultimately you would like 1-5 elevations within each grid square that you will interpolate. There are bad consequences for both too many and too few digitized points. See Picking the Grid Size.

Once the map has been scanned:

  • Data Manipulation form's Import, ASCII XYZ triples option to import the resulting XYZ file and create a DEM.
  • TINs (Triangulated irregular networks) , which includes an option to create a DEM
  • Graphically edit XYZ data: Open dBase table using [image] Database option from a map window, and you can edit Z values, graphically move points, or delete points.
  • Fill holes.

This option should be undertaken only as a last resort.

Last revision 12/13/2017


Digitizing

Digitizing is the procedure of taking coordinates from a registered image or scanned map, and creating a new vector data set. It will generally be done "heads up" on the computer monitor, although historically it was done on special digitizing tablets.

Digitizing can be in two modes:

  • Point--each point is selected by clicking or double clicking. In point mode, you end selection by right clicking or some other way to notify the program..
  • Stream--points are selected automatically as you move the mouse. With stream digitizing you set a tolerance, and points will be added only when you move the specified number of pixels in either the x or y direction. A large tolerance leads to fewer points, while a small tolerance leads to smoother curves.

Digitizing depends on the user's hand eye coordination to accurately pick the correct points. The accuracy depends on the scale of the map display, which limits the points you can select. If the screen pixel size is 100 m, you will either have one pixel or its neighbor, and you maximum accuracy will be 100 m, or worse if you do not click on exactly the correct point. Digitization should be done with map zoomed in as far as possible with the data available. It benefits from the largest monitor available, and the map taking as much of the space as possible.

Digitizing probably requires a mouse, and would be very hard to perform with just a laptop trackpad.

Effects of digitizing mode.

  • A. Point mode. Note you can clearly see the individual points that the operator picked.
  • B. Stream mode. The points are so close together you cannot see any gaps.
  • C. Resulting lines. Red is the point mode, and green is the stream mode.

Last revision 3/17/2021


Digitizing Options

Digitizing can be in two modes:

  • Point--each point is selected only by double clicking. In point mode, you end selection by right clicking.
  • Stream--points are selected automatically as you move the mouse. With stream digitizing you set a tolerance, and points will be added only when you move the specified number of pixels in either the x or y direction. A large tolerance leads to fewer points, while a small tolerance leads to smoother curves.

In both modes, for options that require an enclosed polygon, the program will automatically close the area.

Digitizing mode is set on Printer/Hardware tab of options form. You can also change mode by right clicking on the map while digitizing.

The "better" selection mode depends on the project, and personal preferences (hand-eye coordination varies among people). Digitization will probably be best with a mouse, and not the trackpad on a laptop.

These same modes apply in Google Earth and other programs.

Last revision 9/11/2019


Directories Tab

Tab on options form, brought up from Options program menu selection.

  • Main data path: only the drive letter you select is important. You must have write permission for this location. Should be at root level of drive.
  • Global topography DEM:
  • GDAL/FW tools directory-- read a variety of formats. This setting is read only; if you do not want the default installation, you will have to edit the MICRODEM INI file to change this.
  • Vector map projection: default vector map.
  • Viewshed Dir: location for storing viewsheds.

Last revision 11/26/2019


Disabled Options.

These could be re-enabled if anyone actually uses them. Most were related to TerraBase II. We are working to eliminate duplicate procedures and code.

  • MGT--use newer options in the geological oceanography course
  • SPLAT
  • GMT
  • UAV scenario
  • Target approach
  • Import ERDAS LAN/GIS and IMG formats. Might work the GDAL.
  • Import CSIL index.
  • Gazetteer indexing (too many points were outside state or national border to make this very useful)
  • Read old format USGS DOQQ;
  • Import USGS DLG
  • Button to open Geotrans
  • Data sets formerly in the USGS database and NGA data base and DIN Indexes must now use Map library
  • Scanner operations.
  • DXF digitizing, display, and contour line export. Contour line export uses shape files.
  • Display PNT vector files.
  • Alberta ASCII DEM import
  • NLAPS TM BSQ: the USGS/EROS format for Landsat TM, in band sequential format.
  • Read/write Targa (TGA) graphics format. If you need need, save as a BMP and find a program to convert.
  • Modis Rapid Response removed 12/31/2012
  • Blue Marble removed 12/31/2012
  • GPS NMEA logging not working and special waypoint. You probably want to do this on a tablet or cell phone anyway, and standard GIS database operations.
  • Geowall
  • NGA data format options, and other military operations
    • Direct plot VPF.
    • Do anything with RPF TOC files. Use Map library
    • Import CDs from NGA with DTED and RPF. Use Windows commands to copy them to the correct directions, and then index them.
    • Use FalconView data in FalconView directory structure.
    • DTSSOP
    • IPADS base map generation
    • Geosym Evaluation and CGM demonstration, for Geosym display of VPF
    • PAPA (Pipeline Automated Planning Aid)

Command line parameters no longer supported:

  • -PAPA: Pipeline Analysis mode
  • -MEA: MEA mode.
  • -DTSS: display DTSSOP products.
  • -IPADS
  • -POCKETPC
  • -MODIS
  • -QUICKVIEW

Last revision 1/13/2019


Display Problems

If you lose the menus or toolbars:

  • Double click on the status bar, and you can get to the Options form to check to insure you see the menus and toolbars (top left of the Program tab).
  • Delete "MD_MENUS.DBF" in the program directory.

Multiple monitors.

Last revision 3/102014


Distance to Line

Distance to Line/Polygon


Distance Matrix

  • Distance matrix option on the Analyze menu.
  • Similar to the Correlation Matrix option on the same menu

Last revision 12/7/2008


DNR GPS

DNR GPS, freeware from the Minnesota DNR, will convert tracks and waypoints to shapefiles, and is the best option for talking to Garmin GPS units. It will also convert KML files to shapefiles. It was previously called DNR Garmin.

Download DNR GPS program and install.

Start DNR GPS.

Import from Google Earth, which does not have to be open.

  • Insure your data is in My Places. If not, drag it there in Google Earth.
  • Alternatively, same the layer as a KML file in Google Earth, and see the directions below.
Highlight the layers to import, and select OK.
Probably only the IDENT, LAT, and LONG fields will have useful data. DNR GPS might truncate the IDENT field, so you should try to use compact names.

When you open the shapefile in MICRODEM, you are likely to have a number of fields that you do not need. You can hide these fields, and then save the database or shapefiles with a report leaving only the fields you want.

File, Save to, File
Pick ESRI shapfile
Select name for the export
Database (shapefile) to open on a map in MICRODEM.
  • Importing GPS tracks and waypoints
    • Turn on GPS, and attach cable to PC.
    • Set the GPS port, on the GPS menu.
    • Use the Track or Waypoints menu options to download from the GPS.
    • Use the File, Save To, File option. You want "unprojected" shapefiles.
      • For tracks, save as either point or line shapefiles for the easiest import into MICRODEM.
      • For waypoints, save as point shapefiles for the easiest import into MICRODEM.
  • Converting KML files (or GPS XML file, GPX extension):
    • Save just the line or points from Google Earth as a KML file.
    • Insure that you saved the file as KML and not KMZ. You can re-save in Google Earth, or the Uncompress Zip option in MICRODEM which can uncompress a KMZ file.
    • Use File, Load from file, and pick the KML file.
    • Use File, Save to, File. Pick ESRI shapfile

    Last revision 12/4/2017


DNs at Point

Ways to start

  • Right click on map, Remote sensing

Get graph or listing of the digital numbers in each band after clicking on a point

Can be in terms of band number, or wavelength.

Last revision 12/20/2017


Download and Convert Gazetteer Files

Download gazetteer files, and place them in c:\MapData\Gazetteer in a subdirectory for the type of gazetteer:

  • NGA-- http://geonames.nga.mil/gns/html/ , with the actual files at http://geonames.nga.mil/gns/html/namefiles.html 1-2 files per country, but no coverage for US. You now get a consolidated file for the country, and separate files for a half dozen categories.
  • USGS--USGS NAMES server : text files for each state, in Tab Delimited Format, with "features" ("deci" in older files) in the file name. The current BGN format is now the only supported format. The single huge zipped file is too big for efficient use. Just get individual states.
  • Antarctica: http://data.aad.gov.au/aadc/gaz/scar/ (registration required; may have duplicate entries) and http://geonames.usgs.gov/domestic/download_data.htm (fewer entries)
  • http://www.geonames.org/export/ has gazetteers available at http://download.geonames.org/export/dump/; you are responsible for converting them to a DBF file, which might not be easy. It is also very slow
  • Underwater features: http://www.ngdc.noaa.gov/gazetteer/ shapefiles with points, lines, and polygons. Alternate
  • Geonames: http://www.geonames.org/

Data manipulation form from main program toolbar.

  • Uncompress files; USGS and NGA both use Windows ZIP compression.
  • Import menu to Create DBF files. The resulting files will have slightly different formats because USGS and NGA have different fields in their gazetteer files, but will operate identically. The import now uses a table with the rules for CSV import. which will correctly deal with translating the fields into acceptable names. After the import, you will have a vector map with the DBF file open.

Using Gazetteer files

Convert gazetteers to shapefiles (for export to other software):

  • Open Database:
  • Create point shapefile on the Report button on Table display window.

last revision 3/9/2022


Downloading Data

When you download data:

  • Note where you save it. A simple path will be easiest to find the files later.
  • Do not save to the desktop or My Documents.
  • Do not save to a network path, or if you do, copy a version for local use. Some operations, such as those with large databases, will run 100 times slower over the network path. Do them locally on the local hard disk, and then copy the files to the network drive if others need to access them.

Uncompress data

  • If it is a Zip file, you can use MICRODEM, or the Windows utilities. Right click on the file, and pick from the popup menu, Open with, compressed (zipped) folders.
  • If you have Unix compression, MICRODEM will be best.
  • MICRODEM can directly open some ZIP files, but you might have to place the files in the correct location so that they can be identified.

Last revision 8/25/2011


Downsampling

Downsampling (create lower resolution grid)

Option on Raster GIS menu

  • Thin (decimate DEM to lower spatial resolution). Pick a thinning factor, n.
  • Resample DEM/grid by averaging: pick a thinning factor, n. The average of the the n-x-n points will be placed in the center of the region. With an odd n, the point will be placed on a grid node in the original DEM; with an even n, the point will be half a pixel off from locations in the original grid.
  • Thin/averaging comparison
  • Gaussian pyramid downsample
  • Average to new projection
  • DEMIX 1 sec resample by averaging

Last revision 10/2/2022


Downsample

Downsample, Average to new projection

Option on Raster GIS menu, Downsample

  • Pick the new projection, which should have pixel spacing significantly larger than the original grid so there will be a sufficient number of points
  • Each point in the grid will be assigned to the correct point in the downsampled grid, and they will be averaged (mean)
  • In addition to the new grid, a grid will be created with the number of points averaged in each pixel of the new grid
  • Example

Last revision 5/29/2022


Drag geography maps

Drag geography maps disabled

Last revision 3/24/2021


Drainage Directions

  • Plot drainage directions from " Calculate , Drainage , Downhill Vectors" menu option.
  • Set parameters controlling display .
Map overlays:
  • Contours
  • Drainage directions (blue arrows). These point in the downhill (aspect) direction

Background is a reflectance map, in grayscale on the left and with elevation colors on the right..

Last revision 5/20/2019


Drainage Flow Options

  • Slope algorithm to use for downhill drainage vectors. This can be different than that used for other operations. You should be very careful changing this.
  • Show
    • Point slopes: slope is computed at a point. The vector length isproportional to the slope at the point.
    • Region vector average: slope is computed at all points in a box, and the vector average is plotted. The vector magnitude is proportional to the resultant vector magnitude (1 if all vectors point in the same direction, 0 if they are completely randomly distributed).
  • Distance in map pixels that DEM grid postings will be separated when a vector will be drawn. This effectively reduces the number of vectors drawn. Zooming in will have vectors drawn closer together in gound distance.
  • For each computation method
    • Vector color and line width
    • Length of vectors (scaling factor)
    • Region size
      • For point slopes, this is the distance to go out to pick the 8 points to use in the slope algorithm
      • For region vector averages, this is the size of the region to use with computation of every point.
  • Force screen redraw

Overlay with the two options.

  • They generally agree in direction, but where the aspect varies, they can give different results.
  • Since it can be challenging to show every point's aspect vector, some smoothing may give the best results.

Sample graphic and directions for getting it.

Last revision 5/20/2019


Drainage Calculations

On Calculate menu of map window

  • Flood/sea level rise Flooding/sea level rise.
  • Downhill vectors

Last revision 11/24/2022


Taudem Operations

Has not been tested recently. The integration has been removed; use the command line or try its integration with OpenTopography.

Step | Program | Algorithm | Input | Output file name addition
Pit removal: |  |  | UTM DEM in Geotiff format | ife
Flow directions |  | D8 |  | sd8--D8 slope grid (slope measured as drop/distance) p -- D8 flow direction
 |  | Dinf |  | slp-- Dinf slope grid ang-- Dinf flow direction
Contributing area |  | D8 |  | ad8
 |  | Dinf |  | sca
Grid Network |  | D8 |  | plen--longest upslope path gord--Strahler order tlen--total upstream parth length
Peuker Douglas: upward curved grid cells, generally lacks connectivity and requires thinning |  |  |  | ss--stream source grid
Stream Definition by Threshhold |  |  |  |
Stream reach and watershed (Streamnet): |  |  | fel ad8 p src needed |
Topographic Wetness Index | TWI |  |  |

Get TAUDEM, at http://hydrology.usu.edu/taudem/taudem5/index.html .

  • The current version, 5.3.7, has a full install which should take care of the HPC Pack issues. It will also install GDAL.

Documentation: http://hydrology.usu.edu/taudem/taudem5/documentation.html

  • Last revision 11/24/2022


Drainage Basin References

  • Band, L.E., 1986, Topographic partition of watersheds with digital elevation models: Water Resources Research, vol.22, no.1, p.15-24.
  • Freeman, T.G., 1991, Calculating catchment area with divergent flow based on a regular grid: Computers & Geosciences, vol.17, no.3, p.413-422.
  • Garbrecht, J., and Martz, L.W., 1997, Automatic channel ordering and node indexing for raster channel networks: Computers & Geosiences: vol.23, no.9, p.961-966.
  • Haralick, R.M., Wang, S., Shapiro, L.G., and Campbell, J.B., 1985, Extraction of drainage networks by using the consistent labeling technique: Remote Sensing of Environment, vol.18, p.163-175.
  • Jenson, S.K., 1985, Automated derivation of hydrologic basin characteristics from digital elevation model data: in Digital Representations of Spatial Knowledge, Auto-Carto 7, p.301-310.
  • Marks, D., Dozier, J., and Frew,J., 1984, Automated basin delineation from digital elevation data: Geo-Processing, vol.2, no.3, p.299-312.
  • Martz, L.W., and DeJong, E., 1988, CATCH: a FORTRAN program for measuring catchment area from digital elevation models: Computers & Geosciences, vol.14, no.5, p.627-640.
  • Orlandi, S., Moretti, G., Franchini, M., Aldighieri, B., and Testa, B., 2003, Path-base methods for the determination of nondispersive drainage directions in grid-based digital elevation models: Water Resources Research, vol.39, no.6, p.1144, doi: 10.1029/2002WR001639. [Develops two new methods, D8-LAD and D8-LTD].
  • Seemuller, W.W., 1989, The extraction of ordered vector drainage networks from elevation data: Computer Vision, Graphics, and Image Processing, vol.47, p.45-58.
  • Tarboton, DG, 1997, A new method for the determination of flow directions and upslope areas in grid digital elevation models: Water Resources Research, vol.33, no.2, p.309-319. [Method D8].
  • Tribe, A., 1992, Automated recognition of valley lines and drainage networks from grid digital elevation models: a review and a new method: Journal of Hydrology, vol.139, p.263-293.
  • Zhang, M.C., Campbell, J.B., and Haralick, R.M., 1990, Automatic delineation of drainage basins within digital elevation data using the topographic primal sketch: Mathematical Geology, vol.22, no.2, p.189-209.

Main reference page

Last revision 6/17/2006


3D Map Options

This needs updating 6/9/19;

Anaglyph map require red/blue glasses.

  • Open a DEM
  • You can also open after you open the DEM
    • New image:
    • New scanned map:
  • Grid--you might want to turn off the grid.
  • Right click on the map, and pick the "3D Map options" choice from the pop up menu.

Works with any map with a DEM associated.

  • Hide map grids if you do not want MICRODEM to add UTM or lat/long grid.
  • Shading, shading options use a reflectance merge, and set the sun location for shading
    • None
    • Reflectance
    • Terrain shadows
  • Stereo mode:
    • None
    • Anaglyph for red-blue glasses.
    • Stereo pair: creates two maps with a different viewport, which can for instance be used in the Geowall. These can also be saved and displayed on a 3D capable monitor with shutter glasses. If you select this option, you will be taken into a stereo viewing window.
  • Separate DEM: use a DEM for the elevations; particularly effective for slope maps, Landcover grids, differences maps, and similar maps.
  • Max Displacement: affects the amount of vertical exaggeration. The displacement for the second image is computed based on the relief in the map area. The points with the highest relief above the low spot on the map will be displaced this number of pixels, scaled to smaller displacements until the low spot on the map will not be displaced.
  • Twin pairs file name: Output files will be placed in \mapdata\images.

hillshading examples

Last revision 4/25/2018


Decollar DRG

USGS GeoPDF maps provide an alternative to DRGs for 1:24K quads, and you can decollar them on import.

DRG with marginal information | Decollared DRG.

Last revision 4/25/2018


Global 30" DEMs

Use SRTM 30 Plus or SRTM 15+ which include the oceans.

Last revision 8/26/2023


DTED Export

Currently disabled, but the source code might enable the option to be restored.

Last revision 8/26/2023


DTMs from other software

LIDAR Point cloud form option on Create grids tab.

  • Fusion DTM from TIN
  • blast2dem (from LAStools, read license carefully; there will be artefacts in the unlicensed version)
  • WhiteBox IDW grid creation
  • WB nearest neighbor

MICRODEM native options

Other software:

  • Cloud Compare, with CSF plugin
    • https://www.cloudcompare.org/doc/wiki/index.php?title=CSF_(plugin)
    • Zhang W, Qi J, Wan P, Wang H, Xie D, Wang X, Yan G. An Easy-to-Use Airborne LiDAR Data Filtering Method Based on Cloth Simulation. Remote Sensing. 2016; 8(6):501.
    • Creates ground points, off ground points, and a ground mesh.
    • Only works with the GUI, so one tile at at time
    • DLL and EXE at http://ramm.bnu.edu.cn/projects/CSF/download/
    • http://ramm.bnu.edu.cn/researchers/wumingzhang/english/default_contributions.htm
    • 2003 ISPRS report on ground filtering
    • CSFDemo_v2
      • Needs ASCII input, no header line, XYZ with space or comma separation
      • Output will be ASCII, tab separation, in a different order
    • There are some experimental options for this on the Experimental tab of the data manipultion form. With most lidar coming with ground classification, and other options list above, this one is harder to implement.

Last revision 2/18/2021


DTM Creation Steps

Step Free programs Notes
Noise removal
  • PDAL
  • WhiteBox toolbox
 Many (most?) point clouds will have this mostly accomplished
Ground classification
  • Fusion
  • mcc-lidar
  • WhiteBox toolbox (2 methods)
 Many (most?) point clouds will have this mostly accomplished
Would be nice to have water, vegetation, and buildings as well, but no free software does this.
Surface generation to grid
  • TIN--triangulated irregular network
  • IDW--Inverse distance weighting
  • Drop in the bucket (highest, lowest, average, closest to center of grid cell)
  • Fusion
  • mcc-lidar
  • MICRODEM
  • PDAL (2 methods)
  • WhiteBox toolbox (2 methods)
Void filling in grid
  • MICRODEM
  • WhiteBox toolbox
 Not needed for TIN and IDW, unless they had a size limit imposed for interpolation.
Can lead to artefacts.
Surface smoothing in grid
  • MICRODEM

Could be accomplished

  • Filter directly
  • Two steps
    • Set larger grid size intially
    • Filter grid, and then subsample/thin
Hydrologic conditioning of grid
  • TauDEM
  • WhiteBox toolbox
  • Leaf-off will have fewer vegetation spikes, and more points on the ground
  • Create with Ceiling/floor grid option.
  • To lessen the impact of vegetation spikes, you can
    • Thin starting DEM first to get a larger grid size (hoping you set at least on true ground return in each pixel), and the Reinterpolate, UTM the resulting grid. This will work well on level ground, but introduce a different kind of anomaly in sloping ground.
    • If you have two point clouds (snow/no snow, leaf on/leaf off) to you can compute the DTM with each, and then do a minimum of the two grids (Raster GIS, Multiple grid arithmetic)..
  • You could filter and use just the "Ground" classification points. This is likely to leave a lot of voids. You can then try the Edit, DEM holes, Interpolate across holes (smooth) and would likely have to adjust the parameters to make it work.

Last revision 7/28/2018


DTM/DSM and Other Lidar Grids

By today's standards, the first DEM's were crude and generalized. They had large spacing between postings. It was also unclear how they accounted for vegetation and buildings, so many like SRTM and ASTER are really DSMs. Those created photogrammetrically were probably DTMs.

With the advent of lidar (lasers collecting many thousands of elevations per second), the resolution and detail increased substantially. We can now create multiple surfaces, each with a specific name and properties.

DTM creation

Five grids for Fort Monroe, Virginia

  • DTM from USGS. This has had light edits to fill and place the entire moat at one elevation. The castle walls remain.
  • Drop in the bucket 1 m grids from MICRODEM. These take the largest or smallest lidar return in the pixel.
    • DTM from just the ground points in the lidar point cloud. The buildings, vegetion, and the moat are voids
    • NVS. A 2 m grid removes the spikes from tree trunks, in cells where no returns penetrated to the ground.
    • DSM. Only the SW corner of the moat has elevations. Lidar has problems getting returns from still water.
    • CHM

Grid | Synonyms | Comments | MICRODEM produces from point cloud, with drop in the bucket algorithm
DEM--digital elevation model | Generic term, without implying what is shown. There is not widespread agreement about these terms, and in particular USGS now uses DEM for what is here called a DTM. This usage follows the Maune book, and most European usage.
DSM—digital surface model First return
Ceiling
  • Easiest to create
  • Only need to identify and remove obvious anomalies like bird strikes.
  • Not to be confused with digital soil map
 Yes
DTM—digital terrain model Bare earth
Last return
Floor
  • Requires identification (classification) of ground points, buildings, and power lines.
  • Challenges with tree stumps and large buildings.
  • Building ghosts look unrealistic.
  • TIN gridding can create anomalies at data voids.
Yes, if point cloud has ground classification
DTM creation
CHM—canopy height model HAG, height above ground
nDSM, normalized digital surface model
  • Difference between DSM and DTM (or DSM and NVS), which is the height of vegetation.
 Yes
NVS—Non-vegetated surface

  • Easier to compute than DTM, and buildings affect most users of the grids, so leaving them in may create a more useful data set.

Yes
DoD: DEM of difference | This should be called a grid, and not a DEM.

DSM--First return DEM. This includes trees and buildings. | DTM--Bare earth DEM | CHM Difference grid, shown as Elevation map (red is tall).

DTM/DSM for the same area in Portsmouth, UK, from the UKOS.

The DTM is very generalized, and does not provide a good visualization of what is there. It also has clear ghosts from the building removal process.

For the DSM, each point in the point cloud will be placed at the nearest grid node, and the highest value retained.

This is elevation coloring; the holes will make reflectance maps problematical. It might be a good idea to use a larger grid spacing, or try to interpolate across the voids.
For the NVS, which might approximate a DTM. each point in the point cloud will be placed at the nearest grid node, and the lowest value retained. You need a grid size that is large enough that there are multiple returns in each grid cell, and one of them must have gotten to the ground.

Two lidar surveys a month apart (April 2010 and July 2010) in Pennsylvania, from OpenTopography.org.

Note the spikes corresponding to tree trunks in the leaf on red DTM, which are missing in the green leaf off DTM.

The black leaf on DSM is generally a little higher than the blue leaf off DSM. Viewed in a reflectance map the two DSMs are very hard to differentiate.

Lidar interpretation.

Urban lidar displays

Other DEM terminology:

  • Digital Feature Model
    • Pingel, Thomas J., Keith Clarke, and Anabel Ford. "Bonemapping: A LiDAR processing and visualization technique in support of archaeology under the canopy." Cartography and Geographic Information Science 42.sup1 (2015): 18-26. https://doi.org/10.1080/15230406.2015.1059171
    • Štular, B.; Lozić, E.; Eichert, S. Airborne LiDAR-Derived Digital Elevation Model for Archaeology. Remote Sens. 2021, 13, 1855. https://doi.org/10.3390/rs13091855

Last revision 7/7/2023


Lidar DTMs from MICRODEM

LIDAR Point cloud form option on

  • 1 pass grids tab.
    • Max
    • Mean
    • Closest to grid cell center
    • Min
  • Multi pass grid: if you want the median, or a specified percentile

Calling other software

Last revision 2/18/2021


Dune Geomorphometry

Dune migration for asymmetric dunes. All methods require:

  1. Two grids of the same area at different times
  2. Select on Migration over time submenu on the Raster GIS menu

Method 1, using linear dune crests

  1. Create a slope grid.
  2. Identify slip faces by slope. Set all slopes less than the threshold (50% might be a good initial selection) as missing.
  3. Find edges with a directional filter. The edge direction to pick is the opposite of the migration direction.
  4. To display on the base map, export the edge grids as a database and plot them.
  5. Pick Migration over time, Feature migration, grids with linear features on the Raster GIS
  6. Resulting table will have the motion at each point on the crest that can be matched in the two grids.
Crests from two time periods. The first is in green, and is derived from the DEM on which both are overlaid.

Method 2, using grid correlations

  1. Algorithm requires three parameters:
    • interval between computation points,
    • size of the regions (which can overlap). Regions must be large enough to contain a significant proportion of dunes, as this will not work in flat interdune regions.
    • maximum distance to consider for shifting the two grids.
  2. Algorithm shifts one grid relative to the other one grid node at a time, computes the correlation coefficient the elevation in the stationary grid and the shifted grid. The offsets for the highest correlation define the computed migration.

Method 3, using slip face objects

  1. Create slip face objects.
    • Create slope map
    • Mark as missing all slopes less than threshold (e.g. 50%)
    • ID features to get grid with each slip face having a unique code.

Method 4, using slip face point clouds

  1. For both time periods:
    • Create slip face objects
    • Open grid with slip face objects
    • You might have to change the display to elevation so they appear (will not effect results, but good verification)
    • If missing data appears as 0, set it to missing.
    • Open LAS files for point cloud
    • Extract valid grid, to create a LAS file with just the points on the slip faces
  2. Open the two LAS points clouds in CloudCompare. You will have to recenter them both (use "Yes to all"). If you are going to export the cloud-cloud distances, you might want to skip importing the scalar fields.
  3. Select (highlight) the two point clouds.
  4. Tools, distances, Cloud/cloud dist. Pick the reference and compared cloud. You will get distances for every point in the compared cloud, as scalar fields.
  5. On the Distance computation form, check "split x,y,z components"
  6. Pick compute
  7. Pick OK to close window
  8. Highlight one cloud.
  9. Set the active scalar field. There should be four choices for the shift between the two clouds, the absolute distances and x, y, z componnents.
  10. Tools, statistics, compute stat params.
  11. File, Save As, and pick the ASCII export.
  12. If you have skipped the scalar fields when you imported the LAS files, you can Import in MICRODEM. This file may well be too big for the normal import; you can thin the file.

Last revision 10/7/2013


Dune Detection Parameters

  • Wavelength/height database: many options previously available on this form can now be created from the database.

Parameter | Usage | Calculate | Thread crests | Crests in region
Wavelength computation (m): | Distance along the crest used to find the next point. Setting this larger will run faster, but risks jumping crests if the dune curves. |  |  |
Region points: | Point will be a peak if it is the highest in a region that extends this many points on either side of the central point. If you use the default profile spacing of half the DEM spacing, this will be a total distance along the profile of about the Region Points times the DEM spacing. |  |  |
Min height (m): | Peak/pit must have this minimum amplitude to be recognized. |  |  |
Number peaks: | Must be at least this number of peaks along the profile to compute statistics. |  |  |
Spacing along crests (m) |  |  |  |
Dune sampling interval (m) |  |  |  |

Last revision 4/6/2013


Earth Rotation Movie

This option is the last choice on the cartography menu. From a vector map (should be Lambert Azimuthal equal area, stereographic, or orthographic) you can create a spinning globe.

You should use the ETOPO5 DEM or a similar resolution DEM covering the entire world. You can also use the NASA Blue Marble satellite imagery.

Last revision 11/5/2010


SF3 Data from the Census Bureau

This data is available for the 2000 Census. It was based on the long form filled out by 1/6 of the households. It has been replaced with American community survey

It is demographic data only: data files (no geometry)--which must be linked/joined to Geometry files for Block Groups or Tracts

This site has been redesigned (and it is not easy to find the 2000 data), and these old directions are no longer current. If you want the 2000 data you will have to figure out how to get it using the American community survey directions.

Some interesting tables:
  • P8, Sex by age
  • P31, Travel time to work
  • P37, Sex by education (Also P148)
  • P52, Household income
  • P84, Sex by earnings
  • P145, Sex by age
  • H47, Plumbing facilities

Last revised 7/1/2014


Edge Filters

Start with a grid with features, separated by voids (missing data).

Raster GIS, Filter, Edges.

Pick a direction, and an allowable gap (points must be separated by more than the gap tolerance. The algorithm starts on the specified edge of the map (two edges for NE, SW, SE, and NW directions) and retains the first point. All successive points that are filled, with the gap tolerance, are removed.

Currently the following directions have been implemented since that was the known direction of dune motion.
  • Western
  • Southwestern
This example shows dune slip faces on asymmetric dunes, starting with a slope map with gentle slopes removed. Difference between W and SW edges minimal.

Last revision 9/29/2013


Edits to DB using DEM

Submenu on "EDIT" button on database table form. You must enable edits before this option is available.

You must consider the scale of the DEM to know if the operation is appropriate. For lidar, you have to decide if you want a DTM/DSM.

  • For point DBs, it uses the point's location.
  • For line or area shapefiles, it uses the centroid if that is present, or the center of the bounding box. You need to decide if the size of the record, and the variation in the DEM at that scale, make the results useful.

Options

  • Add interpolated elevation from DEM: put elevation for each lat/long point in the database, placing it in field "ELEVATION"
  • Add nearest elevation from DEM:
  • Add nearest integer elevation from DEM: required for things like landcover when you want to filter the DB by category
  • Add slope/aspect from DEM: put slope in percent for each lat/long point in the database, placing it in field "SLOPE_PC"
  • Add elevation difference from DEM:
  • Add elevation from DEM series
  • Find records on DEM
  • Pick grid and add nearest value
  • Place values in DEM
  • Add EGM fields: EGM96, EGM2006, and the difference between them.
  • Compute intervisibility from point: enter a location, and the height of the observer. The program will compute the aziumuth and pitch to each record in the database, and show them as either visible for masked by intermediate terrain.

Last revision 8/21/2021


Edit a Database

This is deliberately not easy to start, because any edits are permanent, and most users should not be editing databases. Sve a copy of the database if you are concerned about editing mistakes.

To a edit a dBase database (DBF file):

Enable edits by checking the "EDIT" box on the right of the row of buttons on the database table form, since all changes are permanent (save a copy of the database if you are concerned about editing mistakes). There is a (dangerous) option to automatically open databases for opening, on the Database tab of the options form

  • On options form, Database options tab, enable "Edit GIS database" so it is not never.
  • Open a map.
  • Database: open a database.
  • You can edit the DBF file in MICRODEM.
    • Edit button on the database table form
    • Double clicking on a record in the database table form and pick the edit record option.

You can also edit a DBF file in other software:

  • You can edit a DBF file and save it as a CSV file (perhaps in Excel) CSV file can be imported into MICRODEM or opened as a Data base with on the fly conversion to DBF

You can perform any edits on a point shape file.

For an area or line shape file, you cannot delete records or reorder them, because that will destroy the links with the shp and shx files.

Last revision 5/30/2019


Edit DEM Grid

View the actual grid data stored in a DEM, available with the "Edit DEM grid" option on the Edit Menu.

After picking the option, outline the region you want to edit.

The most common convention for DEMs has the 0,0 point in the SW corner, with rows increasing northward and columns eastward. This convention differs from the common convention for imagery, but MICRODEM will handle all details for any data its supports. This will show you with the SW corner for the origin.

The coordinates at the bottom show the location of highlighted grid value.

This is not a very efficient way to edit data, but it can be done. You must resave the DEM or you will lose the edits.

Last revision 1/11/2017


Edit Census Bureau Demographic Data


Edit

Edit, Mark as Missing

Edit menu submenu. These work on single points, on the DEM/grid currently in memory

  • Selected range: select actual values that will be removed.
  • Outside selected range:
  • Single value:
  • Everything except single value
  • Selected percentile range: fast way to remove extreme values
  • Outside selected percentile range
  • Everything above cutoff:
  • Everything below cutoff:
  • Isolated value in hole
  • Isolated Value All Neighbors Different (must be a byte grid)
  • Isolated values, specify neighbors same
  • Multiple values: the grid must have integer values, and you can only remove those in the range 0-255. You enter values into a memo box, and can choose to either delete those that match a value in the list, or to retain those that match a value in the list.
  • Byte data, 0 to missing: if you have a byte grid where 0 is missing, this will make the missing values equal to 255, and lower all the other values by 1.
  • Excessive slopes: if the slope is extreme, it is likely to result from an erroneous elevation (say a bird strike in a lidar DEM). You pick the slope that is too high to be believable, and the buffer of pixels around the point to remove. Then you must deal with the holes in a second step.
  • Land: removes all values where z > 0.1; intended primarily for the ocean
  • Water: removes all values where z< 0.01; intended primarily for the ocean
  • SRTM water bodies
  • Non-USA regions: the accuracy of this depends on the file you use, and the scale of your map compared to the mask file.
  • Land cover categories
  • Outside lat/long box: enter the NW and SE corners of the region you want, and all points outside the box (defined by lat/long) will be marked as missing.
  • By column/row
  • Matching grid from file: you can remove either valid or missing points from the second grid.
  • Matching open grid; you can remove either valid or missing points from the second grid.
  • Mask all other grids to match this one. All points in the other DEMs that do not have a valid value in this one will be set the missing. The DEM will then be resaved with just the area with valid data. The original DEM will be lost, so if it is needed, operate only on a copy.
  • Selected color--remove all pixels with a particular color, but must be careful if that color is also used on the map.
  • All but selected color
  • Interactive adjusment
  • Flood fill

Other options that perform similar functions:

  • Mask Grid option on Raster GIS menu can mark points as missing, using a range of values in a reference grid.
  • Mask DEM with shape file provides another way to mark points as missing.
  • Map masking.
  • Filters can remove points that do not have neighbors, but create a new grid in the process.
Last revision 6/30/0222


Edit Menu

Menu choice available with a DEM available for the active map window.

  • Mask map
  • Mark as missing submenu
  • DEM Holes submenu
  • Reclassify: replace values with a new value. In some cases it might create a new grid.
  • Remove: set a threshold. If a single point is this much, or more, higher or lower than all eight neighbors, it will be replaced with the average of those eight points.
    • Single point spires
    • Single point pits
  • Flatten tails
    • High end
    • Low end
    • Flatten Lake
  • Outline regions submenu (below)
  • Single grid arithmetic (map algebra)
  • Set z units
  • Vertical datum shift: shift between WGS84 ellipsoid, and EGM2008 geoid.
  • Edit point elevations
  • Edit DEM grid
  • Reload DEM: if you have unsaved edits you want to discard, you can reload the original DEM.
  • Edit gazetteer symbology
  • Edit fans
  • Edit VAT-DBF (colors, category names): opens the file for edits; you must close, and then the map will be redrawn with the new settings.
  • Quarter DEM
  • Re-register image
  • Merge all images
Outline regions options:
  • region of interest--outline a polygon, and the program will subset the DEM to include just the points within it.
  • holes
  • lakes
  • region to fill holes with reference DEM
  • region to replace values with reference DEM

Last revision 3/29/2023


Edit Palettes

This applies to Fixed color palette from table, which uses pre-defined categories, usually good for only one thing.

  • Open the file c:\microdem\hard_limit_color_palettes.dbf. In the future this might have a version number. Use Excel or your favorite editor.
  • Fill in the table. The smallest category must come first
    • PALETTE: all the colors must have the same palette name
    • NAME: used for legends
    • MAX: starting with the first entry in the palette, the program checks if the value to be colored is less than MAX. If so, that color is applied.
    • RED,GREEN,BLUE: set the colors to use, range 0-255. You can use the color picker in Paint ("Edit colors" on the right of the toolbar), or any of a number on the web such as https://www.w3schools.com/colors/colors_picker.asp .
    • USE: set to Y (or the program will not show you this palette)
    • SOURCE: take credit for your work
    • REC_ID: the program can set this.
  • Save As in the CSV format, in c:\microdem.
  • Convert to a DBF file, overwriting the existing version, with either
    • Open database without map
    • Open database
  • To use, open a grid, pick elevation, Fixed color palette from table, and pick the palette name you selected.

Last revision 11/8/2020


Create Registration File

 Edit Registration Points

  • You can edit points in the grid.
  • Double click on a registration point in the data table to:
    • Delete it completely.
    • Move it to the bottom of the list. Since only the first three points will be used for a Rotate Reg, this lets you change which points are used. You can also edit only the last point in the list, so if you want to move a point, you must move it to the bottom of the list first.

Part of Image Registration.

Last revision 10/2/2008


Effect of Region Size on Slope Distribution

Accessed with the Geomorphometry analysis, Algorithms tab, "Slope region size" option.

Because computed slopes vary with size of the region used, this lets you assess the impact. It will use regions various multiples times the grid size.

The locations of the 8 neighbors used to compute slope, with region sizes and 1 (3x3), 2 (5x5), and 3 (7x7).

Region 3 |  |  | Region 3 |  |  | Region 3
 | Region 2 |  | Region 2 |  | Region 2 |
 |  | Region 1 | Region 1 | Region 1 |  |
Region 3 | Region 2 | Region 1 | Point | Region 1 | Region 2 | Region 3
 |  | Region 1 | Region 1 | Region 1 |  |
 | Region 2 |  | Region 2 |  | Region 2 |
Region 3 |  |  | Region 3 |  |  | Region 3

The diagram represents a geographic grid away from the equator, where the east-west spacing (dx) is less than the north south spacing (dy). In this case there is not a single grid spacing in meters, and the algorithm must use both dx and dy.

The most common slope algorithm uses 8 points surrounding the point to compute the slope. There are three east west lines shown in blue, and three north south lines shown in red. The elevation difference of the two end points provides a dz, and the average of the three provides dz. The dx and dy will be two times the grid spacing. There are two ways to look at the distance over which the slope is computed. The region size is twice the grid spacing, but could also be considered to be a region of "radius" equal to the grid spacing around the point. While this is partly a matter of semantics, if you want to compare the slopes computed from the DEM to those actually measured in the field the difference is crucial.

There are slope computations that use larger regions, but still only using 8 points, and the region size doubles or triples as shown in the diagrams with sizes of 2 and 3. This can be done by thinning (decimating) the grid. There are arguments that averaging is preferable to decimation, but decimation was ingrained in early DEM work through it use in DTED and SRTM. Software can retrieve the collect elevations without the need to actually decimate the DEM.

In general the slope will decrease as the region size increases, but some local geomorphic forms will see it increase.

There are slope algorithms that use the actual grid spacing (dx, dy, and the diagonal), such as only taking the slope particular directions, or computing the steepest of the eight. These methods actually use the elevation of the central point, and will produce steeper slopes. They are mostly only of historical use, and not widely used at present.

The example is for a 1" DEM in Alaska created from lidar.

Slope distribution histograms.
Slope Region Size Moment Report
alaska elevation geographic | Region 1 (1") | Region 2 (2") | Region 3 (3") | Region 4 (4") | Region 5 (5") | Region 7 (7") | Region 10 (10") | Region 15 (15") | Region 20 (20")
Slope n | 436112 | 432729 | 429387 | 426155 | 422952 | 416630 | 407450 | 392336 | 377683
Slope mean | 57.69 | 55.46 | 53.72 | 52.2 | 50.8 | 48.25 | 44.78 | 39.65 | 35.15
Slope avg dev | 24.58 | 22.86 | 21.7 | 20.81 | 20.09 | 18.92 | 17.53 | 15.83 | 14.49
Slope std dev | 30.76 | 28.02 | 26.34 | 25.11 | 24.12 | 22.59 | 20.92 | 19 | 17.53
Slope skewness | 0.3629 | 0.1015 | -0.0163 | -0.0816 | -0.1194 | -0.1365 | -0.0614 | 0.1487 | 0.2928
Slope curtosis | 0.5049 | -0.2066 | -0.454 | -0.5962 | -0.6942 | -0.7933 | -0.8296 | -0.7693 | -0.6252
Slope min | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0 | 0.01
Slope max | 327.29 | 223.27 | 191.79 | 165.46 | 140.12 | 118.87 | 100.33 | 90.07 | 86.18
Slope median | 58.02 | 56.54 | 55.13 | 53.7 | 52.31 | 49.45 | 45.23 | 38.9 | 33.96
 Slope distribution moments.

Note that the average slope decreases as the region size increases, and the significant change in the skewness and curtosis of the slope distribution.

This will give the same results as thinning the DEM and doing a slope computation with the thinned DEM. However, this method will compute a slope for every point in the DEM (except those along the margins which do have have a sufficiently large neighborhood). This method may help to decrease the noise in very high resolution DEMs, like 1 m or 1/9" LIDAR.

This parameter can be set for the slope algorithm used in MICRODEM on the Analysis tab of the options form.

You can get a plot of slope by region size for a single location, Right click, Geomorphometry, Point slope by region size. Size plotted is the y direction size, which matters for a geographic DEM.

last revised 2/19/2021


EGM96 and EGM2008 Geoids

EGM96 and EGM2008 and Other Geoid Grids

Geoid models created by NGA, which provide mean sea level everywhere on earth . These have the height above the ellipsoid in meters, and should range up to approximately 100 m in absolute value. NGA produces grids and the model with coefficients, and code to create your own grids or values at any location. The RMS difference between EGM96 and EGM2008 is about 0.5 m, with the maximum differences of about 10 m in places like ocean trenches. Add the grid values to to the ellipsoid height to get the geoid height.

Gravity Model (vertical datum) | EPSG code | Numerical coefficients to spherical harmomics | Grid downloads | References | Notes
WGS84 ellipsoid | 4979
EGM2020 | EGM2020 is to be a new release with the same structure as EGM2008, but with improved accuracy by incorporating newer data. It is at almost two years late now (March 2022).

EGM2008

 3855 2160
  • NGA 2.5' grid: https://earth-info.nga.mil/php/download.php?file=egm-08interpolation (7/7/2021 and 8/6/2021 and 11/9/2021, could not find the GIS versions at NGA, only the harmonics and code to create the grids)
  • Agisoft has Geotiffs with 1' and 2.5' resolution: https://www.agisoft.com/downloads/geoids/ This is easier to deal with than alternatives. You may have to override the browser wanting to block the download.
  • https://earth-info.nga.mil/index.php?dir=wgs84&action=wgs84
  • Nikolaos K. Pavlis, Simon A. Holmes, Steve C. Kenyon, John K. Factor; 2012, EGM2008: The development and evaluation of the Earth Gravitational Model 2008 (EGM2008) -Journal of Geophysical Research: Solid Earth (1978-2012) Volume 117, Issue B4, April 2012. https://doi.org/10.1029/2011JB008916
EGM2008 is provided as a set of normalized, geopotential coefficients complete to degree and order 2159, and contains additional spherical harmonic coefficients extending to degree 2190 and order 2159. Also provided is a 2.5-minute worldwide geoid height file, precomputed from the EGM2008.
EGM96 5773 360 Grid has 15 arc minute resolution
  • http://earth-info.nga.mil/GandG/wgs84/gravitymod/egm96/binary/readme.txt
  • http://earth-info.nga.mil/GandG/wgs84/gravitymod/egm96/binary/binarygeoid.html (raw binary file, integers in seconds)
  • Agisoft has Geotiff with 15' resolution. starting at IDL: https://www.agisoft.com/downloads/geoids/ This is easier to deal with than alternatives. You may have to override the browser wanting to block the download.
  • https://earth-info.nga.mil/index.php?dir=wgs84&action=wgs84
EGM96 is provided as a set of normalized, geopotential coefficients to degree and order 360. Also provided is a 15-minute worldwide geoid height file, precomputed from the EGM96.
EGM84 | 5798 | 180 | This existed, but is only of historical interest at this point.

Using EGM Grids in MICRODEM

National Datums and Conversion to EGM

NAVD88 to other datums: https://vdatum.noaa.gov/download.php#download_geoid has GTX files

GEOID12B_CONUS

GEOID 18 US

  • Get the 2018 geoid: https://www.google.com/url?q=https://geodesy.noaa.gov/PC_PROD/GEOID18/Format_pc/g2018u0.bin Convert to Geotiff with GDAL

OSGEO4W

  • C:\OSGeo4W\share\proj has a number of TIF grids. Tag 270 describes what each grid contains. The first two characters of the file are the standard country code.

GDAL reads a number of the grid shift files needed for the vertical datum shifts and can convert to Geotiff:

  • GTX
  • NRCAN (Canada, but might have trouble with all the subsets)
  • NTv2

Online calculation:

  • https://vdatum.noaa.gov/vdatumweb/ US and possessions only, but full featured
  • https://geographiclib.sourceforge.io/cgi-bin/GeoidEval, using https://geographiclib.sourceforge.io/
  • https://earth-info.nga.mil/index.php?dir=wgs84&action=egm96-geoid-calc: does the 96 and 08 models (nust fill in deg, min, and sec fields)
  • https://www.unavco.org/software/geodetic-utilities/geoid-height-calculator/geoid-height-calculator.html (EGM96 only; no interpolation used)
  • https://geodesy.noaa.gov/NCAT/ (US systems only)
  • Canada: TRX (nrcan-rncan.gc.ca)

References

  • https://www.fig.net/resources/proceedings/fig_proceedings/fig2010/papers/ts01c/ts01c_roman_wang_et_al_3768.pdf
  • https://proj.org/resource_files.html has links to download GTX files
  • https://vdatum.noaa.gov/docs/gtx_info.html (undated)
  • Other vertical datum shift files: https://www.agisoft.com/downloads/geoids/ You may have to override the browser wanting to block the download.
  • https://proj.org/operations/transformations/vgridshift.html
  • NOAA VDATUM
    • https://vdatum.noaa.gov/
    • https://vdatum.noaa.gov/vdatumweb/
  • https://proj.org/operations/transformations/vgridshift.html?highlight=vertical%20datum
  • https://groups.google.com/forum/#!searchin/lastools/las2las$20coodinate$20transformation%7Csort:date/lastools/1A36bxhcZUM/jE-6D3lJAAAJ
  • https://spatialthoughts.com/2019/10/26/convert-between-orthometric-and-ellipsoidal-elevations-using-gdal/
  • Using GDAL: https://gis.stackexchange.com/questions/191565/vertical-datum-conversion-of-a-raster-with-gdal (this is rather old by now)

Last revision 4/27/2023


Full Model EGM 96/2008 Computations

  • Get the NGA models from https://earth-info.nga.mil/index.php?dir=wgs84&action=wgs84)
  • Unzip in c:\microdem, where you should have two directories
    • C:\microdem\EGM96_Spherical_Harmonics
    • C:\microdem\EGM2008_Spherical_Harmonics
  • Options available. This will be slow for more than a few hundred points.
    • Add field to databases, in Edit, Insert new fields
    • File Save DEM/grid, DBF, current map area. Pick an appropriate thinning factor.
EGM96 and EGM2008 and Other Geoid Grids

Last revision 1/26/2023


Using EGM Grids in MICRODEM

The EGM grids are downloaded with the Geology/Geography download, and then files will be in available in C:\mapdata\geoid. MICRODEM should find them automatically after the download and restarting the program.

  • Grids can be used to do a vertical datum shift on the edit menu.
  • Point data base (such as ICESat2): EGM2008 can be used to add a field VDATM_SHFT, Edit, Map coordinates. You can then
    • add to an elevation field in the database to get the geoid height if you have ellipsoid heights
    • subtract from an elevation field in the database to find the ellipsoid heights if you have geoid heights.
  • Right click, cartography will show the values for 96, 2008, and the difference between them

Last revision 1/29/2023


Elevation Calculations

On Calculate menu with the following choices:

  • Elevation extremes--brings up the terrain category form, and lets you highlight all elevations with a specified range, either by value or percentile.
  • Data voids--shows all the missing data

This insures that every point that matches the criteria will appear on the map with an exaggerated size. This is particularly valuable if the points of interest are rare, isolated points which might otherwise with difficult or impossible to see, the effect of which will be magnified if you cannot display a [image] 1:1 map view .

Last revision 9/9/2012


Colors From a dBaseTable

dBase table for color palettes.

L


Elevation grids from point cloud

Elevation grids from point clouds

LIDAR Point cloud form option on Create grids tab. DTM/DSM/NVS/CHM definitions.

  • DSM + NVS + DTM: this will take two passes through the data
  • DSM + NVS: this will take one pass through the data
  • DSM (Highest point in the pixel)
  • NVS (lowest point in the pixel)
  • DTM from ground classified points
    • Uses only points classified as ground, so quality depends on the classification job.
  • DTM range of scales from ground points:
    • Pick a database to define what is wanted
      RESOLUTION | UNITS | PIXEL_IS | DEM | CALC
      0.5 | sec | area | DTM | Mean
      1 | sec | area | DTM | Mean
      2 | sec | area | DTM | Mean
      3 | sec | area | DTM | Mean
      4 | sec | area | DTM | Mean
    • Pick the directory for the files created
  • Mean all returns
  • Mean first returns (a DSM)
  • Distance Above/Below DEM: height in m for any points in the point cloud that lie above or below the DEM. The DEM should be a DTM. Uses zcrit on the Tools tab, and the DEM Z choice.
  • Low ground points x-y-z: this creates a database with the X,Y, and Z coordinates of the lowest point within the grid box that has been classified as ground. This is intended to use as input for triangulation creation of a DTM, with a reduced resolution to better capture the local relief and not every small deviation which might be better viewed as noise.
  • Low points x-y-z: Same as the previous option, but no prior need for classification. It will include buildings, if the area has any.

Last revision 12/5/2021


Elevation-Slope Plot Options

The elevation-slope graph on the Analyze menu calculates statistics for the current data set, and then displays several graphs.

Checkboxes control which graphs appear.

Last revision 7/17/2013


Elevation Range for Coloring

Access with z range button from

  • Elevation Map Options
  • Reflectance options
  • Edit, Mark as missing, Interactive adjustment
    • Turn on clip colors
    • Set contrasting colors for the highs and lows
    • Specified for the z Range
    • Mode the Max and Min
    • Force screen redraw to see the effect
    • Mask to Z range when range is right
You can restrict colors to get better detail, or to match multiple maps.

Percentiles allows you to ignore a few extreme elevations. If you pick the 1% and 99%, the top and bottom 1% will plot with the same color. This works when you have a skewed distribution with long tails.

Clip colors

  • Checked, all those above/below the limits will be show in a particular color, selected with the buttons above.
  • Unchecked, all colors above or below the color range will use the max or min colors in the color scale

Mask to z range: all values above or below the current color scale will be marked missing. This will only be in memory; you must save the DEM/grid if you want the changes to be permanent.

Stretching

  • None
  • Percentiles--equivalent to a histogram equalization. All colors should appear with the same frequency.
  • Standard deviation--no difference from no stretch, but the legend will be in terms of the mean elevation at 0 and standard deviations away from it

Force screen redraw to see the effects of the changes without leaving the form.

Last revision 3/29/2023


Ellipsoids

We use an ellipsoid to approximate the shape of the earth. Four variables are used in the equations for map projections, but only two are independent. The variables include equatorial and polar radii, flattening, and eccentricity. The two variable chosen to define an ellipsoid are either a and b, or a and f. While it makes little practical difference, the computed values will not be exact while the defined variables have exact representations.

a = semi-major (equatorial) axis

b = semi-minor (polar) axis

Flattening: f = 1 – b/a (often used as 1/f)

Eccentricity: e,

  • e² = 1 –b²/a
  • e² = f (2 – f)

Going back to the early 19th century, only about 20 ellipsoids have been used for mapping. Legal and practical issues--all maps and legal property descriptions are based on the datum--preclude changing the ellipsoid and datum every time we obtain a slightly better estimate for the earth's shape.

Table. Commonly Used Ellipsoids. (DMA, 1997, Appendix A.1)

Last revision 11/13/2017


Untitled 1

EMIT--Imaging Spectroscopy

60 m pixels
can see sub pixel properties
focus on desert dust

Software:
ENVI or
wiser.caltech.edu

Also
snow, ice
phytoplankton
Vegetation

285 bands with a spectral range of 381-2493 nanometers (nm) at a spectral resolution of ~7.5 nm,

https://lpdaac.usgs.gov/products/emitl2arflv001/

Earthdata Search

EMIT Data Resources Repository--on github, nasa, EMIT-Data-Resources

  • Orthorectification using Jupyter notebook

https://earth.jpl.nasa.gov/emit/data/data-portal/coverage-and-forecasts/

Launched on July 14, 2022, and installed on the International Space Station, EMIT is an imaging spectrometer that records visible to short-wave infrared (VSWIR) light reflected from Earth's surface. During its planned one-year mission, EMIT will collect data over Earth’s dust-source regions—namely, the arid regions of Africa, Asia, North and South America, and Australia—between 52° north and south latitude. With a viewing swath of 75 kilometers, 285 spectral bands, and a spatial resolution of 60 meters, the data EMIT collects will be used to produce mineral maps to determine the sources of dust in the atmosphere. (Meet EMIT, the Newest Imaging Spectrometer | Earthdata (nasa.gov))

Last revision 6/282023


Enhancement Graphs

Band and contrast: Set when changing the contrast enhancement on the imagery, which creates two graphs.

Histograms for the three bands in the display
Cutting off the tails. Note that very few points had a DN over about 40,000, so a lot of colors were not used and the scene was dark This setting will brighten the scene.
Histogram equalization. Especially with multiband displays, this can lead to jarring displays but can reveal subtle difference by using a vast range of colors. Note that most of the colors follow in a narrow range of DNs (about 10000 to 20000), so those are really stretched out.

Last revision 6/8/2020


Enter Lat

Enter Coordinates via Keyboard

Form allows coordinate entry using lat/long, MGRS, or UTM.

The caption bar will tell you the use of the coordinates, and the current datum.

You can save the default hemisphere so that it will appear the next time.

Lat/Long: Enter either an integer or a real value into each box.

  • To enter decimal degrees, enter 23.50 in the degrees box.
  • To enter degrees and minutes, enter 23 in the degrees box and 30 in the minutes box.

Insure that the correct latitude radio buttons are checked for the hemispheres.

If you change the decimal entry form, the current entry will be converted to the new equivalent.
MGRS:
  • Enter using the top row to enter a correct MGRS as one continuous string.
  • Enter using the bottom row to enter the Grid Zone, 100K grid square, the easting, and the northing.

Easting and northing can be entered with as much precision as desired, from 1 digit each (10 km) down to 5 digits each (1 m)
UTM:

All fields must be filled out. The easting will normally be 6 digits long and the northing 7 digits, and they must be completely filled in.

Last revision 1/7/2010


Enter points for image registration

  1. Enter coordinates either from the keyboard, by using a second registered image or map, or from Google Earth. To use another image, load it after you select the image you will be registering. You could use any other map, like a [image] TIGER county map. If you use another map (or enter coordinates from the keyboard), the accuracy of your registration depends on the accuracy of the coordinates that you read from the other map. You can get the map pixel size with the [image] Information on the map from the map toolbar. The accuracy will be no better than the pixel size on the map you use to get coordinates, and the actual accuracy of the original data.
  2. Insure that the datum is correct, and you have the correct UTM zone.
  3. Repeat the following steps at least three times:
    • Click the "Image Point" button, and then double click on a location on the image you want to register.
    • Click the "Map Point" button, and then double click on the same location in the registered image. Alternatively, click on "Enter coords" to use the keyboard.
    • Click the "Next Point" button.
  4. You can enter points from Google Earth using "KML points". This can provide very accurate positions using the Google Earth imagery.
    • You work on the last point in the file.
    • Click the "Image Point" button, and then double click on a location on the image you want to register.
    • Double click on a record in the table, and click the option to move it to the end of the file, where you can enter its image coordinates.
  5. When done, you can do a "Reg File" to create the registration file.

This is part of Image Registration.

Last revision 10/10/2008


EO Browser Directions

https://apps.sentinel-hub.com/eo-browser/ ?

"Best" data sources

  • Sentinel-1
  • Sentinel-2
  • Sentinel-3
  • Landsat
  • Harmonized Landsat Sentinel
  • MODIS

Download image button on the upper right

  • Basic tab--has scale bar in the image in the lower levt, date and what is displayed at the top
  • Analytical tab
    • Image resolution, custom, lets you pick. Otherwise you get the random size on screen. Limit is 2500x2500 pixels
    • Pick Geotiff, 8 bit is probably best
    • Verify that multiple file downloads work (unzip errors possible)

last revised 8/7/2023


EPSG Codes

The International Assocciation of Oil and Gas Produceres (IOGP) has created the EPSG Geodetic Parameter Dataset to define coordinate reference systems and coordinate transformationsfor mapping. Their numerical codes are used for many common data sets, including LAS and Geotiff. The website allows you to look up the 4 digit code, and get a WKT representation.

  • Geodetic database: Geodetic Database (epsg.org) might need an account and password for maximus usage
  • Best starting location: https://spatialreference.org/ref/epsg/
  • Much less useful: https://epsg.org/home.html
  • https://epsg.io/

Last revised 5/14/2023


Erode/Dilate Imagery

  • Option on Image analysis menu

Image must be monochrome, and displayed with range masking contrast

1:1 map view should be used to avoid anomalies.

Set max and min for the range masking contrast

Last revision 7/12/2012


Error Messages

I/O error 32 Standard windows error code, meaning: The process cannot access the file because another process is using the file.

Last revision 7/22/02


ESRI 10 m UTM Land Cover

ESRI 10 m UTM projection Land Cover

  • 60 GB global Geotiff, or individual tiles in 6x8 degree zones
  • Karra, Kontgis, et al. “Global land use/land cover with Sentinel-2 and deep learning.” IGARSS 2021-2021 IEEE International Geoscience and Remote Sensing Symposium. IEEE, 2021.
  • https://www.arcgis.com/home/item.html?id=d6642f8a4f6d4685a24ae2dc0c73d4ac
  • https://www.arcgis.com/home/item.html?id=fc92d38533d440078f17678ebc20e8e2
  • path must have "ESRI2020", as the file names are not very diagnostic

Last revision 7/13/2021


ESRI zLAS converter

Avoid this format if at all possible

  • https://www.arcgis.com/home/item.html?id=787794cdbd384261bc9bf99a860a374f
  • https://proceedings.esri.com/library/userconf/proc15/tech-workshops/tw_1159-107.pdf
  • https://kennis.hunzeenaas.nl/file_auth.php/hunzeenaas/2/22/Esri_Optimized_LAS_FAQ.pdf

Once you have the converted, MICRODEM can call it on the compress/decompress form

Last revised 5/20/3021


ETM+ Bathymetry

Landsat 8 data (30 m pixels, and 15 m pan band):

Sources for Hydrographic Soundings

Bathymetric lidar

  • LIDAR Point clouds overlay on any map
  • Zoom map to the area you want
  • Tools tab, Extract map LAS
  • Close
  • Data Manipulation, Export, LAS to XYZ, Class, Intensity
  • Open database, and Edit,

Bathymetric Grid

  • File, Save DEM, DBF.
    • You might want to subset the grid first, to use a restricted area.
    • You can thin when you create the DBF database.

Get reasonable number of points, by either
  • Open database, and Edit, Thin database

  • Max/mean/min grids from point data Thin the soundings which are probably much denser than the 30 m Landsat spacing, and to get a grid to view them. You must see if the Max, Min, and Mean grids are different (perhaps by doing a difference operation with Multiple grid arithmetic Difference between two grids) and then decide which to use. You can then File, Save DEM, Save DBF table.

New image to open satellite image.

  • Database Open a DB with depths (perhaps thinned), and add the band reflectances with Edit Satellite, add DN. If one of the bands (e.g. ETM pan) has different spacing, the values for it will not be correct. You should remove that band.
  • New DEM: Open the Pan band as a DEM, and then on the database toolbar, Edit DEM, Add nearest elevation from DEM. You can then rename the field to the correct BAND.

Database with soundings options

  • Stats Field correlations matrix. See the correlations between depth and the various bands.
  • Stats 2D graph options
  • Stats Cluster see of there are natural groupings of the data

last revision 3/6/2017


Excel

Excel --> CSV --> MICRODEM

See the rules for what you must do in Excel to insure that your file will work. The computer will be very picky.

Excel can still read DBF files, but will no longer save as DBF.

  • Save your file as an Excel spreadsheet. If you did not follow the rules, you will have to come back to this file to make corrections. Until you are sure your file is correct, it is better to have too many versions than to have only a single trashed version.
  • Save as a CSV file:
    • Select "File, Save As" in Excel.
    • Pick CSV as the "Save as type".
    • Save the file.

Import CSV into MICRODEM.

  • Database on Map window toolbar
  • Open database without map on Main Program Toolbar

Once the file is in MICRODEM, you should use the DBF file that MICRODEM creates, as edits will only be made to this file.

Problems with CSV import

Last revision 12/16/2013


Experimental Options

These options are under active development. Be aware of the following limitations:

  • Documentation may not be current or complete.
  • Data required may not be readily available.
  • Option could be removed at any time if we decide it is not working or worth fixing.
  • Option may require conditioning of the data, using other programs.

DEMIX wine contest main page

Geomorphometry by categories

  • On the Raster GIS menu
  • Selected with a VAT grid as the active map
  • You must pick an open DEM which covers the same area
  • Program will compute slope and roughness, and then make histograms
  • Ridge and valley detection
  • Aspect difference maps

Comparing Global DEM with Lidar

New version grids from point clouds

Experimental options on the menu of the data manipulation form:

  • Under active development
  • File names, directories, and DB fields are hard coded, and in some cases it would be difficult to generalize the option.
  • May have very little applicability beyond very specific conditions.
  • If they turn out to be useful, they will be generalized and moved elsewhere in the program

The current options include:

  • Merge CSV files. Operates on two directories. The files must have matching names, and the same number of lines, and no header line. The contents of the two files will be combined in a single file with a comma separator.
  • Cloud compare. Adds Roughness and Gaussian curvature. The column labels will have to be repaired when the operation is done.
  • Batch CSV to DBF: batch conversion, works with many (hundreds) of files. If the files do not have a header line, you will be asked to enter it for the first file, and then all the other lines will use the same header.
  • Histograms by class: create histograms of several fields, for each class in the database. BMPs stored in the directory.
  • Add colors: add color field to the databases, using a join table (e.g. with the LAS color codes)
  • Color maps: makes a BMP with a map view of each table, colored by the COLOR field.
  • Stats by class: for each file, computes basic statistics for each CLASS.
  • Add ground classified points: adds to the database the ground classified points, where they only have X,Y,Z ASCII lines in a file (for instance from CSFDemo_v2)

The following options have not been updated recently:

  • Photogrammetry from video
  • Lidar map displays
  • Multiple band imagery
  • ETM bathy
  • Point clouds from imagery
  • Batch TM options

last revision 3/2/2023


Experimental Raster GIS Options

These options require a reference DEM, ALOS, and COP DEMs. They should all have the same spacing and pixel representation ; if they do not, the results may or may not be valid. The results will a grid with integer codes and a VAT. A good display for these is Variable opaque merge (two maps) with the grayscale Reflectance/Hillshade map of the reference DEM as the base layer.

  • COP ALOS best locations; pick a tolerance, and the map will show which DEM is better at every pixel.
  • COP ALOS categories:; pick a tolerance, and the map will show 4 or 9 categories at every pixel.

Last revision 2/23/2023


Export Contour Lines

Option when contouring.

  • This will be a line shape file in the database directory (c:\mapdata\database). Select when you draw the contours; the choice will not be remembered.
  • This is a direct translation of the grid contouring, with the contour lines done in one grid box at a time. The contour lines will not be continuous and were never intended to be; they will draw correctly.

Calculate, Contours shapefile (GDAL, Geotiff input grid) provides another option

Last revised 4/16/2021


Tile and Export Historic Maps
After you have done a Delauney triangulation registration of the map, you can tile it and export it to Google Earth.

On the Reg Button of the registration window, pick Export map for Google Earth. Set the parameters for the export.

It will open directly in Google Earth, and will effectively decollar the maps.

If you want to save, right click in Google Earth, pick "Save place as", and save as a KMZ file.

A similar option "Reproject map" lets you save the image as a Geotiff and reopen it in MICRODEM as a normal map.

Last revision 2/23/2014


Export

Export (Right map click menu)

  • Quick map to Google Earth: export just the map, as a raster, to KML and then open in Google Earth or other default viewer.
  • Deliberate map to Google Earth: KML export map image, which provides options to set parameters. The choice is set on the Web tab of the the options form. KML database export can be done from the Report button's popup menu of database table form.
  • Grid/Graticule to Google Earth (using settings from [image] Grid, where you can also export it)
  • Location to Google Maps: opens Google Maps with the default browser, and puts a push pin at the location you clicked.
  • Point cloud to GoogleEarth
  • Point cloud to database
  • USGS data, TNM viewer; gets USGS color imagery
  • Point cloud to OpenGL
  • Drape current map to OpenGL

Last revision 1/8/2017


Fabric at Point

Selected from Calculate menu, Topographic grain submenu.

Set a box size (in meters) over which the fabric is computed.

The program draws a profile perpendicular to the fabric direction, and computes statistics for wavelength and height. The profile will be the twice the box size.

Last revision 6/9/2015


Fabric By Region

On

  • Calculate menu, Topographic grain submenu.
  • Right click on map, Geomorphometry

Set parameters for computation of the fabric parameters by region size.

You can plot the following:

  • Graph of organization parameter by region size
  • Graph of flatness parameter by region size
  • Graph of fabric direction by region size
  • SSO diagram for each region size (Nets with grain fabric)

Set region sizes for the computation. They are the size in meters of a box centered on the point you select. Because of the data spacing, the actual values will vary somewhat from your selections.

This a a point parameter for a single point.

Last revision 8/26/2023


Fan Drawing Options

  • LOS and fan algorithm. Unless you are investigating the effects of the different choices in the LOS algorithm, these parameters should probably not be changed.
  • Show: you can show either the masked or the visible terrain, or both. If you want to overlay fans, you should only use the visible option.
  • New IHS fans: this options shows all points, using IHS colors so the underlying map will show through.
  • Visible color: pick color for terrain that can be seen.
  • Masked color:
  • For mixed pixels, you can set:
    • Mixed color:
    • Differentiate mixed pixels:
  • Fan format: GIF will be much smaller, but might break down for really large fans.

Other fan options are on the Viewshed Parameters window. Those are parameters that you might want to change for each fan. The parameters on this form are less likely to change.

Last revision 7/24/2014


Fan Metadata

Fan at : N31.3671770° W111.175697°
Radials computed: 595
Radial spacing: 0.61°
Points per radial: 190
Spacing along radial: 13.16 m

Total points computed:  113240
Visible points computed: 51197 45.21%
Masked points computed:  62043 54.79%

Total points on bitmap:   28680
Visible points on bitmap: 10939 38.14%
Masked points on bitmap:  16294 56.81%
Mixed points on bitmap:    1447  5.05%

This metadata will be stored in a file with .met extension in the directory with the save fan.

Viewshed mixed pixels.

last revision 1/19/2008


Multiple coverage summary

Option on viewshed toolbar. You can select a target area (an open area shapefile) or compute the coverage of the entire map area.

This currently save the output for analysis by another program, and is not recommended. Let us know if you would like to guinea pig improving it.

Map Colored by the number of sensors seeing a point.

Report with no, single, and multiple coverage

last revision 2/2/2011


Viewer and Target on Grid Node

Forcing the observer or target locations to lie on grid nodes in the DEM, while not explicitly stated, appears to be used in the computations for some algorithms. Algorithms that pre-compute intervisibility for an entire DEM use only the grid points, and blowing up some programs shows a pixelated appearance. With high resolution DEMs this would not be a problem, but with typical military DEMs having 1" or 3" resolution, this might not allow for optimal level of detail.

Fisher (1993) discussed this issue, and found that it had the largest impact on the final analysis. He noted that the viewshed could be considered Point-to-Point, Point-to-Cell, Cell-to-Cell, or Cell-to-Point. In the case of Cell-to-Cell, Fisher advocated going from each corner of the viewer’s cell to each corner of the target cell. Potentially 16 separate calculations would be required, although the algorithm could stop with the first visible finding. Of the seven GIS implementations in Fisher (1993), five used a grid cell location for the viewpoint, one used a vector point, and one allowed either representation.

Last revision 7/1/2004


weapons fans

Viewsheds/Weapons Fan Outlines

Set the option to outline the fans, and the line style to use, on the Weapons Fan Parameters window. It will show the left and right limits, and the minimum and maximum ranges.

You might also want to show the mixed pixels.

Last revised 1/9/2009


Test Fan Sensitivity

Pick on Calculate, Intervisibility menu from a map.

  • Pick location for the fan.
  • Pick viewshed parameters which will be the same for all the algorithms.
  • Pick radial spacing and point spacing along the radials to test. The algorithm will be a radial lines discrete with the radial and point spacings you select; the horizontal curvature and point interpolation will be those in your current defaults.
  • The program will cycle through a series of fan, with different radial spacing and point spacing along the radials.
  • The program will prepare a table showing the time and coverage percentage for each algorithm.

Last revision 7/1/2004


Fat Finger Exercise

This shows you how good your mouse pointing is. It is particulary relevant for those who want to use the trackpad on a laptop, and and restricting with accurcay of wielding their "fat finger".

Start two ways:

  • File: Introductory tutorials from the main screen, which will open a vector map.
  • File, Fat fingers from any map, which will use the current map

The target will appear near the center of the screen.

You can change the color of the target, to improve contrast on the map.

After each selection, you will see:

  • How far off the selection was, in the x and y directions
  • A grid showing your target shot group
  • A score (no partial credit)
  • The average error in pixels
  • The error in meters, given the current map scale

Last revision 1/5/2022


Feature Migration

Choice on Raster GIS menu, migration over time submenu. Designed for sequential time surveys of features like dunes.

Select two feature grids (created with ID features). These can have different numbers of features, but must have the same extent and grid spacing.

  • Original
  • Migrated
  • Boxes at the top let you select the maximum lags to test, from each point in a feature. These are in grid units. In this case we know the migration should be to the NE, so the values to the south and west are 0.
  • All features: For each feature in the original grid, the algorithm will attempt to find a corresponding point in the migrated grid. The score will be the percentage of points that had a match, with the largest percentage being the computed shift. If several shifts have the same score, the computed shift will be the centroid of the points with the tied score.
  • Reverse (all): flips the original and migrated grids, the box containing the lags to test, and the resulting lags. This basically finds the motion that must be reversed to go from the migrated feature to an original feature.
Table, which includes:
  • ID of the feature
  • Number of points for the feature in the grid
  • Centroid location of the feature
  • Shift in meters
  • PC is the percentage of the points in the feature which have a point at the new location
  • NAVG is the number of shifts with the same PC, which were averaged to get the shift.

Last revision 5/14/2014


Linear Feature Migration

Choice on Raster GIS menu, migration over time submenu. This is designed for sequential time surveys of features like dunes.

Pick the direction:

  • N-S
  • NE-SW
  • E-W
  • NW-SE

Pick two grids, which must have linear features. These could be created with Find edges directional filter.

Pick a maximum distance to check.

The program will create a table for each point in the first grid for which it was able to locate match in the second grid. Positive values will be to the N, NE, E, and SE, while negative values will be to the S, SW, W, and NW.

Because this can only provide an answer in 4 directions, you need to decide which directions to check.

Last revision 9/1/2013


Fence Diagram

Seismic Fence Diagram

Currently hard wired for a single dataset with the configuration in a database base to make this more generic (it could be used with multiple cross sections). You can get this data with the File, Geology Labs, Offshore California, and then edit the file that will be downloaded. If you would like to help this process, contact us.

  • Source of seismic data: Pacific OCS Region, Minerals Management Service, 1997, Oceanside seismic data set: POCS-CD97-01, CD-ROM with PDFs of the seismic lines.

Open using

  • Windows Menu Structure, Geology
  • Map Window Toolbar, [image] Geology options
  • Geology labs, Fence Diagram

Controls:

  • Rotate the view using the three round sliders.
  • Move the viewport with the six buttons.
  • Zoom in/out with the mouse wheel.
  • Turn lines on/off with the checkboxes.
  • Tweak the location of the lines with slide controls, by first picking the line and then the direction to move.

C:\mapdata\ca_offshore_v4\fence_102_103_200_202.dbf

  • Name of the bitmap
  • coordinates of the starting position
  • rotation angle
  • current max of 5 profiles

Last revision 1/3/2017


Fenneman Codes

http://water.usgs.gov/GIS/metadata/usgswrd/XML/physio.xml
FEN-   DIVISION                 PROVINCE                  SECTION
CODE
1      LAURENTIAN UPLAND        SUPERIOR UPLAND           -
3a     ATLANTIC PLAIN           COASTAL PLAIN             EMBAYED
3b     ATLANTIC PLAIN           COASTAL PLAIN             SEA ISLAND
3c     ATLANTIC PLAIN           COASTAL PLAIN             FLORIDIAN
3d     ATLANTIC PLAIN           COASTAL PLAIN             EAST GULF COASTAL PLAIN
3e     ATLANTIC PLAIN           COASTAL PLAIN             MISSISSIPPI ALLUVIAL PLAIN
3f     ATLANTIC PLAIN           COASTAL PLAIN             WEST GULF COASTAL PLAIN
4a     APPALACHIAN HIGHLANDS    PIEDMONT                  PIEDMONT UPLAND
4b     APPALACHIAN HIGHLANDS    PIEDMONT                  PIEDMONT LOWLANDS
5a     APPALACHIAN HIGHLANDS    BLUE RIDGE                NORTHERN
5b     APPALACHIAN HIGHLANDS    BLUE RIDGE                SOUTHERN
6a     APPALACHIAN HIGHLANDS    VALLEY AND RIDGE          TENNESSEE
6b     APPALACHIAN HIGHLANDS    VALLEY AND RIDGE          MIDDLE
6c     APPALACHIAN HIGHLANDS    VALLEY AND RIDGE          HUDSON VALLEY
7a     APPALACHIAN HIGHLANDS    ST. LAWRENCE VALLEY       CHAMPLAIN
8a     APPALACHIAN HIGHLANDS    APPALACHIAN PLATEAUS      MOHAWK
8b     APPALACHIAN HIGHLANDS    APPALACHIAN PLATEAUS      CATSKILL
8c     APPALACHIAN HIGHLANDS    APPALACHIAN PLATEAUS      SOUTHERN NEW YORK
8d     APPALACHIAN HIGHLANDS    APPALACHIAN PLATEAUS      ALLEGHENY MOUNTAIN
8e     APPALACHIAN HIGHLANDS    APPALACHIAN PLATEAUS      KANAWHA
8f     APPALACHIAN HIGHLANDS    APPALACHIAN PLATEAUS      CUMBERLAND PLATEAU
8g     APPALACHIAN HIGHLANDS    APPALACHIAN PLATEAUS      CUMBERLAND MOUNTAIN
9a     APPALACHIAN HIGHLANDS    NEW ENGLAND               SEABOARD LOWLAND
9b     APPALACHIAN HIGHLANDS    NEW ENGLAND               NEW ENGLAND UPLAND
9c     APPALACHIAN HIGHLANDS    NEW ENGLAND               WHITE MOUNTAIN
9d     APPALACHIAN HIGHLANDS    NEW ENGLAND               GREEN MOUNTAIN
9e     APPALACHIAN HIGHLANDS    NEW ENGLAND               TACONIC
10     APPALACHIAN HIGHLANDS    ADIRONDACK                -
11a    INTERIOR PLAINS          INTERIOR LOW PLATEAUS     HIGHLAND RIM
11b    INTERIOR PLAINS          INTERIOR LOW PLATEAUS     LEXINGTON PLAIN
11c    INTERIOR PLAINS          INTERIOR LOW PLATEAUS     NASHVILLE BASIN
12a    INTERIOR PLAINS          CENTRAL LOWLAND           EASTERN LAKE
12b    INTERIOR PLAINS          CENTRAL LOWLAND           WESTERN LAKE
12c    INTERIOR PLAINS          CENTRAL LOWLAND           WISCONSIN DRIFTLESS
12d    INTERIOR PLAINS          CENTRAL LOWLAND           TILL PLAINS
12e    INTERIOR PLAINS          CENTRAL LOWLAND           DISSECTED TILL PLAINS
12f    INTERIOR PLAINS          CENTRAL LOWLAND           OSAGE PLAINS
13k    INTERIOR PLAINS          GREAT PLAINS              CENTRAL TEXAS
13a    INTERIOR PLAINS          GREAT PLAINS              MISSOURI PLATEAU, GLACIATED
13b    INTERIOR PLAINS          GREAT PLAINS              MISSOURI PLATEAU, UNGLACIAT
13c    INTERIOR PLAINS          GREAT PLAINS              BLACK HILLS
13d    INTERIOR PLAINS          GREAT PLAINS              HIGH PLAINS
13e    INTERIOR PLAINS          GREAT PLAINS              PLAINS BORDER
13f    INTERIOR PLAINS          GREAT PLAINS              COLORADO PIEDMONT
13g    INTERIOR PLAINS          GREAT PLAINS              RATON
13h    INTERIOR PLAINS          GREAT PLAINS              PECOS VALLEY
13i    INTERIOR PLAINS          GREAT PLAINS              EDWARDS PLATEAU
14a    INTERIOR HIGHLANDS       OZARK PLATEAUS            SPRINGFIELD-SALEM PLATEAUS
14b    INTERIOR HIGHLANDS       OZARK PLATEAUS            BOSTON "MOUNTAINS"
15a    INTERIOR HIGHLANDS       OUACHITA                  ARKANSAS VALLEY
15b    INTERIOR HIGHLANDS       OUACHITA                  OUACHITA MOUNTAINS
16     ROCKY MOUNTAIN SYSTEM    SOUTHERN ROCKY MOUNTAINS  -
17     ROCKY MOUNTAIN SYSTEM    WYOMING BASIN             -
18     ROCKY MOUNTAIN SYSTEM    MIDDLE ROCKY MOUNTAINS    -
19     ROCKY MOUNTAIN SYSTEM    NORTHERN ROCKY MOUNTAINS  -
20a    INTERMONTANE PLATEAUS    COLUMBIA PLATEAU          WALLA WALLA PLATEAU
20b    INTERMONTANE PLATEAUS    COLUMBIA PLATEAU          BLUE MOUNTAIN
20c    INTERMONTANE PLATEAUS    COLUMBIA PLATEAU          PAYETTE
20d    INTERMONTANE PLATEAUS    COLUMBIA PLATEAU          SNAKE RIVER PLAIN
20e    INTERMONTANE PLATEAUS    COLUMBIA PLATEAU          HARNEY
21a    INTERMONTANE PLATEAUS    COLORADO PLATEAUS         HIGH PLATEAUS OF UTAH
21b    INTERMONTANE PLATEAUS    COLORADO PLATEAUS         UINTA BASIN
21c    INTERMONTANE PLATEAUS    COLORADO PLATEAUS         CANYON LANDS
21d    INTERMONTANE PLATEAUS    COLORADO PLATEAUS         NAVAJO
21e    INTERMONTANE PLATEAUS    COLORADO PLATEAUS         GRAND CANYON
21f    INTERMONTANE PLATEAUS    COLORADO PLATEAUS         DATIL
22a    INTERMONTANE PLATEAUS    BASIN AND RANGE           GREAT BASIN
22b    INTERMONTANE PLATEAUS    BASIN AND RANGE           SONORAN DESERT
22c    INTERMONTANE PLATEAUS    BASIN AND RANGE           SALTON TROUGH
22d    INTERMONTANE PLATEAUS    BASIN AND RANGE           MEXICAN HIGHLAND
22e    INTERMONTANE PLATEAUS    BASIN AND RANGE           SACRAMENTO
23a    PACIFIC MOUNTAIN SYSTEM  CASCADE-SIERRA MOUNTAINS  NORTHERN CASCADE MOUNTAINS
23b    PACIFIC MOUNTAIN SYSTEM  CASCADE-SIERRA MOUNTAINS  MIDDLE CASCADE MOUNTAINS
23c    PACIFIC MOUNTAIN SYSTEM  CASCADE-SIERRA MOUNTAINS  SOUTHERN CASCADE MOUNTAINS
23d    PACIFIC MOUNTAIN SYSTEM  CASCADE-SIERRA MOUNTAINS  SIERRA NEVADA
24a    PACIFIC MOUNTAIN SYSTEM  PACIFIC BORDER            PUGET TROUGH
24b    PACIFIC MOUNTAIN SYSTEM  PACIFIC BORDER            OLYMPIC MOUNTAINS
24c    PACIFIC MOUNTAIN SYSTEM  PACIFIC BORDER            OREGON COAST RANGE
24d    PACIFIC MOUNTAIN SYSTEM  PACIFIC BORDER            KLAMATH MOUNTAINS
24e    PACIFIC MOUNTAIN SYSTEM  PACIFIC BORDER            CALIFORNIA TROUGH
24f    PACIFIC MOUNTAIN SYSTEM  PACIFIC BORDER            CALIFORNIA COAST RANGES
24g    PACIFIC MOUNTAIN SYSTEM  PACIFIC BORDER            LOS ANGELES RANGES
25     PACIFIC MOUNTAIN SYSTEM  LOWER CALIFORNIAN         -


Field co-occurrence matrix

On Stats button popup menu on table display window .

Pick whether the co-occurrences are

  • Symmetric--it does not matter about the order of the two fields. Treats fields as strings, and the ordering will be in alphabetical order.
  • Asymmetric--the order of the two fields matters.
  • Integer--only works for integer fields, with <255 values.

Then pick:

  • First field in the database
  • Second field in the database

Then pick a database for the results.

Original data base. It has a list of contracts between two towns, listed in the BUR and VIL1 fields.

The analysis selects the BUR and VIL1 fields

The title bar lists the data base name (CORMIMATR) and the two fields used.

This string grid shows the results. The two field will be listed in the rows and columns. The numbers in the grid will be the number of times in the original data base base a record occurs with the two towns in the two fields.

This is a symmetric analysis; the matrix is symmetrical about the principal diagonal, and it does not matter which town is in which field.

You can save this table as a CSV file, or an HTML file. Neither can be used for statistical work in MICRODEM, because most of the town names are longer than 10 characters and cannot be field names in dBase tables, and in any case the format is probably not useful.

The dBase table summarizing the results, which you must manually open. Each grid cell that is filled in has a record, with the first two fields those selected, and the N field showing the number of co-occurrences.

You probably want to do judicious filtering with this option, as it is very easy to get very complex results that don't reveal much.

Add the lat/long coordinates (and any other data desired) from a linked data base for the two towns, and then do a point separation plot to graphically look at the links between the towns.

This shows the trade relationships from Cormicy to the towns around it--thicker lines indicate more contracts.

Last revision 7/24/2013


Field Correlations

On Stats button popup menu of table display window .

Select fields to use, which will be all those fields not hidden. The LAT, LONG, and RECID fields will be hidden by default.

All correlations will appear in string grid.

Correlation matrix options.

Last revision 10/13/2017


File, Open Menu

Use this menu option (popup from File menu), or the icons on the main toolbar, to open a data set. You must understand the types of data and select the correct one.

The program forces you to select the type of data because:

  • Some data formats, like Geotiffs, could be either DEMs or imagery, and nothing in the file or its metadata makes this apparent. The program needs to know the type of data, because it supports different menu choices depending of the data's characteristics.
  • The program originally had completely different display operations for DEMs and imagery. While this has mostly been replaced with a common map window, the data structures for a DEM and an image remain quite distinct.
  • In the early days of GIS and remote sensing, completely different programs were used for the two operations, and that philosophy still has some remnants in the MICRODEM source code.
  • Open project--will close all open data and windows
  • Add project--keeps any already open maps.
  • Open Grid/DEM
  • Open and merge DEMs--
    • Pick multiple DEMs in a single directory, and merge them on the fly. To merge from multiple directories, use [image] map library database
    • Open and merdge DEMs (very large)--at several GB for the merge, the previous method fails and this can succeed
    • Open and merge DEM directories: pick the directories you want. Cancel when you have them all the directories you want.
  • Open DEM/grid without map
  • Open image
  • Open Landsat/Sentinel-2 multiband image: particularly good for Sentinel-2 which buries the image files many directories deep
  • Open scanned map: while this generally behaves like an image, it does not allow contrast enhancement and similar operations which can have have bad effects.
  • Open GeoPDF (US topo; may not work with other versions)
    • Layers you selected, each map in separate window
    • Just imagery layers
    • All layers in separate GeoTiffs
    • Merge maps
    Open Landcover: while this generally behaves like an image, it does not allow contrast enhancement and similar operations which can have have bad effects
  • Open and merge Geotiffs
  • Open image with multiple bands. It is not error-trapped; you must insure
    • All bands must be integer values
    • They must have the same number of rows and columns, data spacing, and conver the same area
    • They will be in alphabetical order
  • Open Vector Map
  • Open TIGER county map
  • Open shape file map--open blank map and display shape file filling the display area.
  • Open US States maps
  • Open US counties map
  • Open LAS point clouds
  • Open other point clouds
  • Open hyperpectral imagery
  • Open multigrids
    • by Directory
    • Pick files
  • Open climate onlty monthly multigrids
  • Open lidar matched grids
  • Open Landsat multigrids
  • Open google maps
  • Open database without map
  • Annapolis harbor: bathymetry grid and 3 nautical charts

Last revision 4/16/2023


Files Required to Run MICRODEM

Setting up this program requires the following files to be placed in a program directory. The installation program will accomplish this with two separate downloads.

  • MICRODEM.EXE, executable program.
  • MICRODEM.CHM, help file which you must correctly locate in the same directory as the program executable.

MICRODEM.INI with default settings. You can delete this file and the program will recreate it.

Required EXE files, automatically installed:

  • 7z.exe and 7z.dll

Required downloads if you want to perform specific operations, which you must install on your own:

  • GDAL--it will be very hard to proceed without GDAL
  • Other key external programs

Support databases: should update automatically when they are changed and a new version of the program requires them.

Last revision 7/4/2023


Fill DEM Holes

Filling holes or voids makes the DEM prettier, but not more accurate (you cannot recreate data that was not captured in the DEM.

Automatic option when opening a DEM or creating a DTM/DSM from lidar point clouds / creating a DTM; set options on Import/Export tab of options form.

Manually with "Interpolate across holes (smooth)" on Edit Menu, DEM Holes submenu.

  • Fill holes in the DEM which have missing data. There are very limited cases in which this option will be worthwhile, the primary ones being after import of an ASCII XYZ file or merging of USGS 1:24K DEMs which have holes along the edge (current USGS DEMs should not have this problem), or some Lidar data sets with holes. The program interpolates in either two or four directions, with an inverse squares weighting. It finds the nearest neighbors only on the same row, same column, or the diagonals as the value to be interpolated

    Set two parameters on Import/Export tab of options form:

    1. Max Gap to Fill: the program must find neighbors within this distance, or it will leave the hole unfilled. These are in terms of the grid spacing. The bigger you set this, the farther away from reality the interpolation becomes.
    2. Allow two directional interpolation: if this is set, the program must find two neighbors, in either the NS or the EW or the NE-SW or the NW-SE direction. If this is not set, there must be neighbors in each of the 4 quadrantss, all within the search radius.

This option is not intended to work with very sparse XYZ files.

Filtering the DEM, and allowing the filter to proceed with missing points, can produce similar results.

Last revised 4/16/2018


Filter Grid

Option on Raster GIS menu, Filter

Filter: creates a new grid, leaving the original unchanged. This cannot operate on the original grid in place because it requires the unchanged neighborhood values.
  • Filter grid with .fil file--filter the current grid, using a matrix with custom values.
  • Enter value for number of pixels to go out in each direction--for instance a value of 2 will create a 5x5 filter. (this allows much bigger filters than the Filter grid command, but will be slower)
    • Mode (majority filter)--only for byte grids, replaces the value with the most common one in the 3x3 or 5x5 neighborhood.
    • Median filter: Replaces with median value in the box.
    • Mean filter: Replaces with mean (average) value in the box.
    • Minimum filter: Replaces with lowest value in the box.
    • Maximum filter: Replaces with highest value in the box.
    • Parametric isotropic smoothing: recommended by Hengl and Evans (2008, after Sharry and others, 2002) before computing curvature or other derivatives.
    • Vector average: smooths circular data like aspects.
    • Std Deve in box: Replaces with the standard deviation in the region
    • Sum in box: sums values within box.
    • Filled neighborhood: Pick minimum number of points that must be present in the region. Points not meeting the criteria will be removed from the grid.
    • Number immediate neighbors: new grid with the number of immediate neighbors in a specified region size
    • Isolated values
    • Edges
    • RGB grid fill holes
    • Detrend DEM/grid: select a radius in pixels for a square mean filter, and a new DEM will be creating subtracting the result of the filter from the original DEM elevation

"Filter grids to edge", set on Grids tab of the Options form, allows filtering to the edge of data set, even if the filter should require points outside the grid limits.

Filtering theory

Last revision 7/112022


Filter Sentinel-2 Track Motion

Filter Sentinel-2 to Track Motion

  • Image analysis, Open band for raster analysis, and pick a single band
  • Subset the image, save, and reopen the saved image. This can be very slow on the full image.
  • Raster GIS, Filter DEM/grid, Filter grid with .fil file. EDGE.FIL is a good starting point
  • Make sure you are at 100% zoom (so you see all the points, since you might wind up with a single pixel wide crest)
  • Elevation/grid colors, and change to a color option (your pick)
  • z Range
    • Check clipped colors
    • Pick a color for the Lows
    • Go to specifed for the z Range
    • Repeat these steps until the peaks are all that remains above the low color
      • Move the min up
    • Remember the minimum
  • Edit, Mark as missing, Everything below the cutoff (the min from the last step)
  • Edit, Reclassify, All valid to single value. If you pick 1, 2, 4, 8, 16, 32, 64, and 128 you can play some neat bit games
  • Save the grid
  • If you have several dates, say coded 1 and 2, you can add them, and then:
    • 1 just just the one date
    • 2 is the other date
    • 3 is both dates
    • 0 or missing data is neither data
  • If you have a reasonable number of points, you can File, Save DEM/grid, DBF current map area

Last revision 3/23/2023


Square versus Round Filters

Filters can be square or "round", and figured in terms of either pixel or meters. Meters will be more appropriate when considering the arc second DEMs. We will use filter interchangeably with kernel or matrix.

Because the matrix with the filter will always be centered on the pixel and be symmetrical about that point, the size will be odd.

Filters are defined either in terms of the radius, or the size of the filter matrix. A radius 2 filter will have a 5x5 matrix.

A square filter will have a value for every element in the matrix, such as 3x3, 5x5, 7x7. It could:

  • Use the points at each location, ignore the different horizontal distances.
  • Linearly interpolate values at the same distance within the grid
  • Find the elevation at the same distance, assuming a constant slope between the center point and the nearest point to the desired location

A round filter will not compute values that are too far from the center pixel, which will be in each corner. These will have s value of 0 or some equivalent depending on how the coding is implemented.

  • The size of the filter could be based on either based on the pixel size, or the diagonal. This makes a big difference for the 3x3 filter in the case below. If the filter size is 30 m (1 pixel), only the four nearest neighbors will be considered. If the filter size is 45 m, all 8 nearest neighbors will be considered. We think that for the case of the 3x3 filter using all 8 neighbors makes more sense.
  • For the values on the diagonals, you have the same choices as above

The units of the result are import.

  • For slope, the units are essentially dimensionless, and do not depend on the difference over which they are measured, because the vertical difference is divided by the horizontal difference. The common options for slope are percent, degrees, or m/m, all of which are dimensionless. There are slight differences becasue slope decreases with increasing region size.
  • Other measures, like relief or TPI, consider only the vertical differnces, and will increase with increasing measurement area.

An operation like TPI takes the 8 points surrounding the central point, and averages the differences in elevation from the central pixel. It does not consider the different distances to the diagonal points. This is essentially a relief computation. An improvement to the algorithm is to normalize the distances. MICRODEM takes the NS distance, and for the diagonal, finds the elevation that would occur at that distance using the slope between the central point and the diagonal neighbor. This elevation will be less than the elevation at the point on the diagonal.

Table 1. Filter dimensions in meters for a 30 m UTM DEM at Trentino Italy. To keep the projection conformal, the data spacing varies very slightly over the map.

Radius | MINUS_5 | MINUS_4 | MINUS_3 | MINUS_2 | MINUS_1 | ZERO | PLUS_1 | PLUS_2 | PLUS_3 | PLUS_4 | PLUS_5
5 | 212.169 | 192.127 | 174.959 | 161.583 | 152.997 | 150.026 | 152.997 | 161.583 | 174.959 | 192.127 | 212.169
4 | 192.127 | 169.735 | 150.026 | 134.188 | 123.715 | 120.021 | 123.715 | 134.188 | 150.026 | 169.735 | 192.127
3 | 174.959 | 150.026 | 127.301 | 108.185 | 94.885 | 90.016 | 94.885 | 108.185 | 127.301 | 150.026 | 174.959
2 | 161.583 | 134.187 | 108.185 | 84.868 | 67.094 | 60.011 | 67.094 | 84.868 | 108.185 | 134.187 | 161.583
1 | 152.997 | 123.715 | 94.885 | 67.094 | 42.434 | 30.005 | 42.434 | 67.094 | 94.885 | 123.715 | 152.997
0 | 150.026 | 120.021 | 90.016 | 60.01 | 30.005 | 0 | 30.005 | 60.01 | 90.016 | 120.021 | 150.026
-1 | 152.997 | 123.715 | 94.885 | 67.094 | 42.434 | 30.005 | 42.434 | 67.094 | 94.885 | 123.715 | 152.997
-2 | 161.583 | 134.187 | 108.185 | 84.868 | 67.094 | 60.011 | 67.094 | 84.868 | 108.185 | 134.187 | 161.583
-3 | 174.959 | 150.026 | 127.301 | 108.185 | 94.885 | 90.016 | 94.885 | 108.185 | 127.301 | 150.026 | 174.959
-4 | 192.127 | 169.735 | 150.026 | 134.188 | 123.715 | 120.021 | 123.715 | 134.188 | 150.026 | 169.735 | 192.127
-5 | 212.169 | 192.127 | 174.959 | 161.583 | 152.997 | 150.026 | 152.997 | 161.583 | 174.959 | 192.127 | 212.169

For the arc second DEM, the spacing in x and y differ. This means that a filter defined in meters might effectively be rectangular, with a different number of rows and columns.

For normalizing the distances for TPI, both the diagonals and the EW points must be adjusted. The EW points used will be higher, because the EW distances are smaller and the points corresponding to the NS distances are farther away.

Table 2. Filter dimensions in meters for a 1" DEM at Trentino Italy

Radius | MINUS_5 | MINUS_4 | MINUS_3 | MINUS_2 | MINUS_1 | ZERO | PLUS_1 | PLUS_2 | PLUS_3 | PLUS_4 | PLUS_5
5 | 188.007 | 176.641 | 167.267 | 160.236 | 155.865 | 154.381 | 155.865 | 160.236 | 167.267 | 176.641 | 188.007
4 | 163.606 | 150.406 | 139.277 | 130.75 | 125.355 | 123.505 | 125.355 | 130.75 | 139.277 | 150.406 | 163.606
3 | 141.751 | 126.288 | 112.804 | 102.089 | 95.082 | 92.629 | 95.082 | 102.089 | 112.804 | 126.288 | 141.751
2 | 123.801 | 105.745 | 89.209 | 75.203 | 65.375 | 61.752 | 65.375 | 75.203 | 89.209 | 105.745 | 123.801
1 | 111.654 | 91.224 | 71.401 | 52.872 | 37.601 | 30.876 | 37.601 | 52.872 | 71.401 | 91.224 | 111.654
0 | 107.3 | 85.84 | 64.38 | 42.92 | 21.46 | 0 | 21.46 | 42.92 | 64.38 | 85.84 | 107.3
-1 | 111.654 | 91.224 | 71.401 | 52.872 | 37.601 | 30.876 | 37.601 | 52.872 | 71.401 | 91.224 | 111.654
-2 | 123.801 | 105.745 | 89.209 | 75.203 | 65.375 | 61.752 | 65.375 | 75.203 | 89.209 | 105.745 | 123.801
-3 | 141.751 | 126.288 | 112.804 | 102.089 | 95.082 | 92.629 | 95.082 | 102.089 | 112.804 | 126.288 | 141.751
-4 | 163.606 | 150.406 | 139.277 | 130.75 | 125.355 | 123.505 | 125.355 | 130.75 | 139.277 | 150.406 | 163.606
-5 | 188.007 | 176.641 | 167.267 | 160.236 | 155.865 | 154.381 | 155.865 | 160.236 | 167.267 | 176.641 | 188.007

The Delphi language does not have built in matrix functions, which colors how I approach the issue.

  • The matrix multiplcation implementation in MICRODEM may or may not be particularly fast.
  • Even if it is not fast, the number of computations may mean the speed loss is not significant.
  • As an alternative, the algorithm can use the linear interpolations it already does to get elevations to get the elevations required.
  • The direction linear interpolation would become increasingly attractive as the size of the kernel increased and the number of 0 elements increased. These require multiplications and then additions for every point in the matrix, and the direct interpolation for the required points would require significantly fewer.
  • For UTM grids, the kernels can be computed once and stored. For geographic grids, they probably have to be computed for every latitude, making the direct computations of desired, interpolated points more attractive.

Last revision 8/15/2022


Filtering LAS

LIDAR Point cloud form option

Filters tab: checkbox determines if filters will be used.

Select the filters to use, and the values.

  • LAS category codes

Elevation checks can exclude high and low points, that are not identified as noise. You can use a histogram to find values to use, or EW and NS slices through the point cloud.

  • Titan Channel uses the PointID field in the LAS point record. Optech Titan has three channels: 1550, 1064, and 532 nm. The values used are 1 (1550 nm), 2 (1064 nm), and 3 (532 nm), and are stored in the User Data record of the Point Data records in the LAS file.
  • User data record is used by some NCALM data to record the laser channel.

Last revision 4/10/2018


Find Counties for ZIP code shape

Find Counties for ZIP code shapefile

  • or [image] Open both shapefile on a map.
  • For the zip code map, add the centroid for each record. Field arithmetic on Edit button popup on database table form
  • For the zip code map, pick the "Point in area" on the Edit button popup on database table form
    • Pick the other database (counties).
    • Pick the field in that database to copy into the zip code database. This could be the county name or the FIPS code.

Last revision 4/18/2011


Find neighbors

On Stats button popup menu on Database table display window .

For a Point database:
  • Adds new field to database
  • Enter a neighborhood distance in meters.
  • Finds the number of points in circular neighborhood. (point itself counts for 1)
For an area database:
  • Creates a string grid with neighbors. Pick unique field identifier which will link/join the two tables. The algorithm uses a graphical procedure at the resolution of the screen map, and if the neighbors are very small regions, it can include second neighbors. To avoid this you should blow up the map.
  • For a large data base, you once could run out of memory. This is probably not likely with the 64 bit program.
  • Saves the results in a CSV file with the prefix "NEIGH_" in front of the file name, and converts it to a DBF file which can be used for neighborhood operations stored with Database accessory files.
    • Can add average neighbor value field (in Field arithmetic, on Edit button).
    • Can show the neighbors (right click on record in database, and pick from popup menu).

Last revision 12/12/16


 Find Optimal Lag

Choice on Raster GIS menu, migration over time submenu.

  • Identify two DEMs:
    • Fixed or referenceDEM will be held in place. For a time series, this should be the earlier DEM.
    • DEM to shift will be moved until the best correlation is obtained, using all points in the reference DEM and comparing them to the lagged shifted DEM. The shift will be in whole grid units of the shifting DEM, which might have different spacing than the reference DEM (1" versus 3", or UTM versus geographic).
    • The computation will use the elevations at grid nodes in the fixed DEM, and interpolate in the shifting DEM (if the grids have the same spacing and projection, the program will use the grid node elevations in both DEMs).
    • The user specifies the maximum lag to consider in each direction (if you are looking at something like dune migration and you know the direction, it does not make sense to test lags that you know will not be reasonable).
    • The users specifies the size of the analysis region.
    • The user specifies the sampling interval, or how far to move the sampling regions before resampling. This will determine the speed of the operation
    • The shift will be computed as a integer lag (pixel size) in both the x and y directions, and for each possible lag the program will compute the correlation coefficient between the elevations in the two DEMs. The reported lag will have the largest correlation coefficient.
    • The program will create a database, and for each sampling location, will report the integer lags in the x and y direction, as well as the floating point lag along the diagonal.
    • The database can be used for any desired statistical operations (average, min, max, lag distribution), and to visually look for any spatial patterns in the displacements.
    • The displacement direction can be computed from the x and y lags.
    • The average displacements for the entire region can be computed from the sampling point data.
    • Sub pixel shifts for individual points not allowed, but the average will be a fractional value.

    Lag range to consider (pixels); this should be the smallest value that you reasonably expect, or you should be prepared to wait a long time. If you know the lags will be in a particular direction, say with a migration landform like a dune, this does not have to be the same in all directions

    Search radius (pixels): size of the box in pixels in the fixed or reference DEM to use for picking the best lag.

    Lag sampling (pixels): moves the center point, which determines the number of regions over which the computation will be done. Smaller sampling distance, more time to compute

    All open DEMs: does the computations for all open DEMs, which of course will take longer.

    Compute: figures the best lag for either the entire DEM or the map area.

    Region size; interactive used to assess the effect of how big a region must be considered

This was initially designed for hole filling SRTM with ASTER data (Obrock and Guth, 2008), before the release of GDEM. It was redone to monitor change in grids, for instance with dune crest migration. The latest changes were to see if there are shifts between the Global Regional DEMs

Example comparing shifts

Last revision 3/29/2022


Find points in areas

Points in polygon (areas)

This uses the Point in Polygon operation, a standard GIS operation.

Option on "EDIT" button on database table form for an open shapefile. If your original shapefile is an area or line shape file, the centroid will be used, and must have been computed previously (Field geometry).

You then pick an open area shapefile, and the field in that database to insert into the first database.

For those records which lie within a record on the area shapefile, the desired field value will be put in the first database.

This could find the County outline which contains a record. You want to be careful in picking the field to insert: for counties, the FIPS are unique, but half the states have a "Washington County". The FIPS will also enable you to find the counties.

Last revision 1/9/2019


FIPS Codes

Federal information processing standards codes (FIPS codes) are a standardized set of numeric or alphabetic codes issued by the National Institute of Standards and Technology (NIST) to ensure uniform identification of geographic entities through all federal government agencies. The entities covered include: states and statistically equivalent entities, counties and statistically equivalent entities, named populated and related location entities (such as, places and county subdivisions), and American Indian and Alaska Native areas.

States have a two digit code, and counties add three more digits.

FIPS codes are frequently used to Link/join a data base to a county or state shape file.

Last revision 9/10/2015


Fire Data

Global

  • Global fire, interactive online map: https://www.globalfiredata.org/fireatlas.html
  • NASA FIRMS
  • ESA Sentinel-3 World Fire Atlas

US:

  • https://inciweb.nwcg.gov/ GeoMAC was replaced in 2020 by NIFC (National Interagency Fire Center)
  • Historic
    • https://data.fs.usda.gov/geodata/edw/datasets.php?xmlKeyword=S_USA.FinalFirePerimeter: 186 MB shapefile of fire perimeters. Consider subsetting before use ( File, Import, Shapefile after subset to match map extent).
    • https://data-nifc.opendata.arcgis.com/datasets/nifc::wfigs-wildland-fire-locations-full-history/explore?location=-0.000000%2C0.000000%2C0.00 can download a shapefile, but it only contains points, and does not have the fire name
  • Active fire mapping program
    • https://fsapps.nwcg.gov/
    • Current perimeters: https://data-nifc.opendata.arcgis.com/datasets/nifc::wfigs-current-wildland-fire-perimeters/about
  • NASA Fire Information for Resource Management System (FIRMS):
  • Landfire: https://landfire.gov/viewer/ GIS data, especially vegetation type
  • Drought relationship: https://www.drought.gov/drought/data-maps-tools/fire
  • Fire model (may be outdated)
    • https://www.firelab.org/project/flammap
    • https://www.firelab.org/project/farsite (older, no longer supported)

States

  • California: https://frap.fire.ca.gov/mapping/gis-data/
  • California hazard maps: http://frap.fire.ca.gov/data/frapgismaps-subset , http://frap.fire.ca.gov/data/frapgisdata-subset

Normalized satellite indexes, especially NBR (Normalized Burn Ratio)

Fire display:

Last revision 9/17/2023


Flooding Analysis

You can do flooding analysis in two ways:

  1. Using Terrain category (on the Overlay menu), and setting the elevation range to color. You can use IHS colors to see the terrain through the flooding. This will flood areas behind levees or otherwise naturally below sea level, like Death Valley, and might have some anomalies if you want to model storm surge or sea level rise.
  2. Using Calculate, Drainage, Flood Basin. This will be the best way to model storm surge or sea level rise. Double click on a point, and then pick the elevation to flood up to. The default will be the ground height at the starting location.

Last revised 10/24/2005


Fault types

A fault is a surface across which there has been motion.

The forces at any point can be resolved into three orthogonal principal stresses (σ), and there will be no shear stresses (τ) in that orientation. While the forces will be 3D in nature, we can generally look at them in the plane with the minimum and maximum principal stresses, and the intermediate stress will come in/out of the page. You must be careful to understand if you are looking at a plan (map) view, or a cross section.

In the earth, there is no tension below a very shallow depth in the crust. This is fortunate, because like concrete, rocks are extremely weak in tension but very strong in compresssion. To a rock exposed to a very large σ max the much smaller σ min will provide the easy way out and the rock will extend in that direction even though it is actually being squeezed infrom that direction.

Fault type

Wikipedia Figure

σ max

σ min

Plate setting

Deformation

 Earthquakes Beach ball diagram (nodal planes)

Strike slip/Transform

Transcurrent versus transform faults

horizontal

horizontal

Conservative plate boundary like San Andreas,

Ridge transforms

Major, for example along the San Andreas Fault

Normal

Cross section view

vertical

horizontal

Mid Ocean Ridges, Basin and Range

Extend and thin crust

Younger on older rocks

Omits section

 Generally minor, especially along ridges with hot, young (and weak) crust, and nothing to be damaged

Reverse/thrust

Cross section view

horizontal

vertical

Subduction zones, fold and thrust belts

Shorten and thicken crust

Older on younger rocks

Duplicates section

 Major (include tsunamis)
Megathrusts are major hazard
Oblique slip

Block diagram view

Combines strike slip with either normal or reverse motion

The pattern of first arrivals of the earthquake waves (compressional or extensional) allow creation of two potential focal mechanisms ("beach balls"). These divide a sphere into 4 quadrants, with black showing compression and white extension. Two focal planes divide the quadrants, and one of these will be the fault plane. The seismic waves do not differentiate among the two, but examination of the local geology can often reveal which is the fault plane. For pure normal and thrust faults, the two focal planes will have the same strike.

For a strike slip fault, the beach ball will indicate whether the fault is right or left lateral. The motion will be toward the black back (compressional) quadrant.

On the left, it will be a left lateral fault (stand at the fault plane facing the other side, and you would have to go to the left to find the offset features). It is right lateral for the case on the right, and the earthquake data alone does not allow selection of the fault plane, which requires additional information. For a strike slip fault, the distribution of foreshocks and aftershocks will usually align with the fault plane, and the mapped orientation of faults in the region will also often help to pick the correct plane.

For a thrust fault, particularly in a subduction zone, the gently dipping plane is generally the fault surface.

Last revision 4/1/2019


Focal Operations

Focal operations work on cells and their neighbors. To compute the value at a cell the method uses the cell and its nearest neighbors, and creates a new grid. Examples include Slope and Reflectance (or hillshade), or Filtering. For this type of operation, missing values for any of the points in the neighborhood will lead to a missing value in the output layer.

This example uses the SW corner of a grid, with the cells numbered with (0,0) in that corner. This is a traditional convention of DEMs (it leads to a regular Cartesian grid), but is not what is used for most satellite imagery which uses a computer graphics convention with the origin in the NW corner and values increasing to the right and down. The principles are the same, just the identification of the grid points.

Focal operations pass an operator, generally a square matrix, over the grid, and replace the center value with the computed value.

A. Because the operator requires a 3x3 neighborhood, the first computation will be done for cell (1,1). The operator cannot work on the left column, or the bottom row. In this case, because cell (0,2) is missing, no value can be computed for (1,1).

B. The operator moves to the right, and computes a value for cell (2,1).

C. The operator moves to the right, and computes for every cell in the row except the last column on the right, which like the first does not have a complete neighborhood.

D. The operator moves up a row, and repeats the process. Cell (1,2) is missing two neighbors, so it will be missing data.

E. The operator continues to the right.

F. The operator continues. The last row on the top of the grid, like the bottom, cannot be done.

Last revision 3/14/2014


Field Geometry

Submenu on "EDIT" button on database table form. You must enable edits before this option is available.

  • Area of each record in km²: computes area in km² and puts in field AREA_KM2. Uses UTM, so there is a limit to the size over which it will be valid.
  • Area of each record in m²: computes area in m² and puts in field AREA_M2. Uses UTM, so there is a limit to the size over which it will be valid.
  • ALAND to LAND_KM2: takes Census field of land area in square meters puts in field LAND_KM2. If the field is not ALAND, but something like ALAND10, you will have to pick it.
  • AWATER to WATER_KM2: takes Census field of land area in square meters puts in field WATER_KM2.
  • Perimeter of each record: computes perimeter in km and puts in field PERIMTR_KM.
  • Centroid of each record: computes centroid of each record and puts in fields LAT_CENTRD and LON_CENTRD.
  • Length of each record: computes length in km using the Vincenty formulas and puts in a field LENGTH_KM
  • Polygon shape indices, using perimeter and area. Many of these are used for Gerrymandering
    • Compactness: 4piA/P^2r, iso-perimetric quotient, Polsby-Popper, Cox's circularity
    • Mean width 2A / P
    • Shape number (P/sqrt(A))
    • Schwartzberg, 1 / (Perimeter / ( 2 * Pi * sqrt(Area/Pi)))). Ratio of perimeter to the circumference of a circle with the same area.
    • Perimeter/Area ratio (P2A):
  • Elevation change of each record
  • Direction of record: line files only. Computes the azimuth from the first point in the line to the last point.
  • Distance between two points in record: must have to LAT/LONG pairs in each record
  • Distance to line/polygon
  • Nearest point on line/perimeter
  • Distance from point using Vincenty forumula.
  • Distance algorithm comparison: does Vincenty, haversine, and cosine distance formulas
  • Distance to nearest neighbor:
  • Distance off map: for a points database, will add a field DIST_OFF with the distance and direction for those records not on the current map
  • Gradient
  • Point in polygon/area: find the record within an area shapefile in which a point (or the centroid of an area/line shapefile) lies, and enter a field from that database into the current database. For instance this could find the county which contains a record. You want to be careful in picking the field to insert: for counties; the FIPS are unique, but half the states have a "Washington County".
  • Sinuosity
  • Number points each record
  • First and last points each record. Add fields LAT_START, LONG_START, LAT_END, LONG_END.

Last revision 5/8/2021


Force Redraw

The program should generally be good about knowing when to redraw the map when you change something about the data shown, the coverage area, or the display options.

The exception will be to clear temporary features, such as the trace for a distance computation. For this you can use:

Force redraw

  • on the map toolbar
  • on right click on the map popup menu
  • on Modify menu

If you do need to force a redraw because you have confused the program, use the Modify menu

  • Force redraw base map layer
  • Force redraw legends and scalebars. This will just erase any map data that hides part of the legends or scalebar.
  • Force complete redraw--deletes all stored layers. Should not be needed, but in case you do something and a layer should be redrawn but is not, this option is available. It will be slower than the other two.

Last revision 12/15/2016


FFT Output

The FFT option produces three output windows:

  1. Graph of the original function, which can be resized or rescaled.
  2. Graph of the power spectrum density, which can be resized or rescaled. You can also reprocess the FFT and vary some of the processing parameters. Reprocessing will redraw this graph and produce a new text window.
  3. Text window with the results. The harmonics will be sorted by power from most powerful to least powerful.

Review the basics of FFT analysis.

Last revision 11/26/99


Get Fourier Options

Select the following parameters for the FFT:

  • Window: this attempts to control power leakage into adjacent frequencies. The Parzen or Welch should give the best results.
  • Overlap segments: if the series is longer than the segment size, you will combine a number of segments. If you overlap them, each segment will share half its points with the segment before and half with the segment after. Except for the initial points and the end points, each point will be considered twice.
  • Zero pad end series: to get the series to an even power of two, zeros can be appended to the end of the series.
  • The segment size for processing must be a power of two. The segment size determines the speed of the operation and the frequencies that can be resolved.
  • Whether the power density spectrum will be plotted as periods or frequencies (they are reciprocals).
  • The bins and Units are used for labeling the axes of the graphs.

You can review the basics of FFT analysis.

These results follow the recommendations in Press and others (1985) and are based on their code.

Last revision 3/6//2013


Floating Point DEMs

The program can manipulate floating point DEM grids. Previously, they were converted to integer, with an attempt to move to cm or dm vertical resolution.

You can also save reinterpolated DEMs in floating point.

Last revision 7/13/2012


Fractal Box Counting

From Geostatistical analysis option of Analyze option of Main Program Menu .

Graph.

Fractal dimension on the title bar. It is 2 - slope of the best fit line, which has a negative slope so the fractal dimension is greater than 2.

Follows Clarke, 1986, with the following adjustments:

  • Adjust the areas for holes (such as SRTM).
  • Adjust for different areas at different resolutions--use as much of the DEM as possible at each resolution.

Other methods for determining fractal dimension

Last revision 12/24/2006


 Fractal Dimensions of Topography

From the Geostatistical analysis option of the Analyze option of the Main Program Menu .

  • FFT (Fast Fourier Transform)
  • Semivariogram
  • MEM Power spectrum
  • Fractal box counting

Last revision 12/24/2006


Freedom of GIS Data

Freedom for GIS data consists of two parts:

  • Cost
  • Security restrictions
Image of the White House in Washington DC, from a USGS web site in the mid 2000's. It appears that someone had outlined the White House and the two office buildings to the east and west, and the censored images were posted. At the same time, other sites, both commercial and government, had uncensored imagery.

Similar masking, at about the same time, occured at the French submarine base in Brittany. The French geoPORTAIL blocked the base, but the early Google Maps showed clear details at the same time.

Because GIS data (and the paper map products that existed before the digital age) has obvious military value, some countries restrict its availability. In some cases this leads to local problems, when disaster relief from civilian agencies after floods, earthquakes, or hurricanes does not have access to accurate and up to date map information. In the early days of GIS, only the superpowers had the ability to launch satellites and monitor other countries, and their own. If one viewed the enemy as the other superpower, they would presumably have satellite observations, but other countries, and your own citizens, would not. Because the number of satellites was small, and their orbits precisely tracked, sensitive operations could be planned to only take place when no satellites were overhead. This was not hard, as a satellite pass takes at most about 10 minutes, and you cannot get more than a few looks per day.

It was a big deal when the US Government allowed satellite imagery of Dreamland, or Area 51, or Groom Lake, to be made public. For a number of people, that is the home of alien flying saucers, while most people think there are just experimental spy satellites there. For either group, the imagery revealed the number and size of the hangers, and the length of the runways, which allows inferences about about the number of aircraft (or flying saucers) and their size.

In the current environment, it is basically impossible to hide anything from space, and an increasing number of countries have satellites, and commercial firms as well. There have been attempts to restrict the resolution of commecial satellites, but that only moves the market to other countries, and probably increases the cost of government spy satellites (which must obey the same laws of physics as the commercial ones) becasue the companies have a restricted market.

Goverment map agencies acquire GIS data with public funds. Some countries have attempted to recoup their costs by selling the data, usually without selling much. When the data becomes free, usage skyrockets, and the resulting commercial use may in fact bring in more revenue through economic growth and increased tax revenue. The US is probably the leader in free GIS data, both for the US internally, and for data sets with international coverage like SRTM and Landsat.

Last revision 9/29/2017


Fresnel Zone Cross Sections

Option from LOS Right click

 Pick distance along profile by double clicking on the profile, and get a diagram showing the first and second Fresnel Zones, and the inner 20% of the first Fresnel zone.

If Vegetation grid effects are considered, the vegetation grid will be shown.

If [image] LIDAR Point clouds is opened, the points will be shown on the profile.

Last revision 8/3/2012


Fresnel zone intrusion

If have Fresnel zone computations active, you can get a graph of the intrusion of the terrain by right clicking on the LOS window.

Intrusion of 100% completely blocks the first Fresnel zone, and 0% leaves the entire zone free.

Graph showing percentage intrusion into the first Fresnel zone.

There is intrusion into the outer 30% of the zone within the first 100 m, and then a hill that actually blocks the entire LOS and the entire Fresnel zone at about 2.5 km.

Fresnel zone cross sections

Last revision 10/19/10


Fresnel Zones

Calculate, Intervisibility menu option

Line of sight/Topographic Profiles
Weapons fan/viewshed
Sensor
Radio frequency
Map (will be very slow): for every point on the map this computes the results of radio line of sight. This may or may not be any better than a viewshed; you must really want to see the reasons for LOS blockage to wait for this to compute. It will color by losIsVisible, losBlockByTerrain, losEdgeFresnelIntrusion, losCenterFresnelIntrusion. Consider carefully the map size (area and resolution), and running this overnight.

Databases are stored in c:\mapdata\temp directory, and will be deleted on closing the program unless you save them.

Last revision 11/25/2011


FTP Problems

There are still a lot of 4 letter agencies (e.g. NOAA, NASA, USGS) who supply mapping data via FTP.

As more data providers switch to HTTP/HTTPS downloads, this should be less of a problem. When there is a problem, it is as likely to be with your institutional network and its security settings as it is with the browser, so trying to download at home is usually a good first option (it might also be faster as well, and saves the joy of dealing with the good folk in IT).

If data downloads via FTP fail because of network security problems, you should try Internet Explorer (screen captures from IE 11)

Click the gear icon on the far top right of the IE screen. This must be for the browser, and not something like the email client.

Pick internet options on the popup menu
Go to the Advanced tab.

Uncheck: "Use passive FTP"

This will "work", but only for a single file at a time.

Firefox

  • No suggestions; just use IE or escape your network and do at home.

Chrome

  • No suggestions; just use IE or escape your network and do at home.

Last revision 1/5/2020


Fusion

Use in MICRODEM

  • Create DTM from TIN, implemented on Create grids of LIDAR point cloud analysis form.
    • Size is limited
    • -1 for missing data
    • Can extrapolate across edges where the coverage stairsteps
  • Ground classify lidar data

  • http://forsys.sefs.uw.edu/fusion.html
  • http://forsys.sefs.uw.edu/fusion/fusionlatest.html download
  • http://www.fs.fed.us/eng/rsac/fusion/ (broken? does not like modern browsers)
  • https://sourceforge.net/projects/fusion-lidar/
  • http://forsys.cfr.washington.edu/JFSP06/lidar_&_ifsar_tools.htm

PLANS DTM format

  • One file binary, similar in concept to the current MICRODEM DEM
  • MICRODEM will read, but the file has to be:
    • UTM
    • Meters
    • NAD83

Additional Programs to consider:

  • CanopyMaxima: uses a canopy height model to identify local maxima using a variablesize evaluation window. The window size is based on the canopy height. For some forest types, this tool can identify individual trees. However, it does not work in all forest types and it can only identify dominant and codominant trees in the upper canopy
  • CanopyModel: creates a canopy surface model using a LIDAR point cloud. By default, the algorithm used by CanopyModel assigns the elevation of the highest return within each grid cell to the grid cell center. CanopyModel provides for smoothing of the generated surface using a median or a mean filter or both. Specialized logic, activated using the /peaks switch, preserves local maxima in the surface while smoothing to force the surface to adhere to the tops of trees
  • TreeSeg: applies a watershed segmentation algorithm to a canopy height model to produce “basins” that correspond to dominate clumps of tree foliage and branches. In some cases, the segments represent individual trees but it is common for segments to encompass several tree crowns

Last revision 3/10/2018


GADM

The global Administrative area database (GADM) has been developed by a group of zoologists and agricultural scientists in California.

  • National (level 0)
  • State/province/equivalent (level 1)
  • County/district/equivalent (level 2)
  • Smaller Level 3 or 4.

GADM download

  • Get the data by country in Shapefile format.
  • You can also get in KMZ format
    • With this you can click on the map in Google Earth, and the name of the province will appear. The record in the table of contents will be highlighted. You can right click on the record, and do a Save as to get the single record in a KMZ file of its own.
  • Single file is far too large to use (level 0 is 150 MB, level 2 is 184 MB). Get this only if you will immediately subset it.
  • Prep OSM/Natural Earth/GADM shapefile should be done.

Global subnational river borders: https://zenodo.org/record/3906567#.X1gr8nlKj8A

Politics and Boundaries

There are political questions about boundary locations, which are not clearly demarcated on the ground. While most of the world's boundaries are clearly agreed to by the countries they separate, there are a number of disputed boundaries such as Kashmir, the Gaza Strip, the West Bank, or the Golan Heights. For these, if you go to a place like Google Maps, you will see boundaries drawn with a different symbology. In some cases you might see different boundaries or symbologies based on the country you are in. The same can be true for the names displayed.

GADM does not mention this challenge, and you will have to look at the boundaries to see how they handled the disputed boundaries. For example, they have a "Palestina" "country". NGA has the following note about its gazetteers: " The geographic names in this database are provided for the guidance of and use by the Federal Government and for the information of the general public. The names, variants and associated data may not reflect the views of the United States Government on the sovereignty over geographic features." NGA has country files for the "Gaza Strip" and "West Bank".

Using GADM in MICRODEM

Overlay, GADM will take you straight to the correct directory if you have the global GADM in the correct locations (subdirectories c:\mapdata\gadm\adm0 and c:\mapdata\gadm\adm1). This will avoid having to navigate to the correct directory. This will be higher resolution that the World boundaries from Natural Earth, and goes down to lower levels.

Alternative: GAUL, Global Adminiatrative Units Layers, from UN's FAO:

  • Metadata: http://www.fao.org/geonetwork/srv/en/metadata.show?id=12691
  • Download at: http://www.fao.org/geonetwork/srv/en/ (this appears to lack the most highly developed countries, and finding the country requires patience)
    • Find country
    • On next page, find data for download (either national, or sub-national)
  • https://geonode.wfp.org/layers/geonode%3Aadm1_gaul_2015 has level 1 for all countries in a single Shapefile

Last revision 4/9/2021


Garmin FLT Files

FIT, Flexible and Interoperable Data Transfer is a file format used for GPS tracks and routes. It is used by newer Garmin fitness GPS devices, including the Edge and Forerunner.

MICRODEM converts it to a DBF when you open the file as a database. This requires:

  • Install GPSBabel in the default location: https://www.gpsbabel.org/
  • Connect the fitness tracker to the PC with its USB cable.
  • The files will be in E:\GARMIN\ACTIVITY , with names like "97KB2003.FIT". Use the Date Modified to find the desired file.
  • MICRODEM will execute: "C:\Program Files (x86)\GPSBabel\gpsbabel.exe" -i garmin_fit -o gpx -f c:\temp\97J72123.FIT -F c:\temp\97J72123.gpx which will extract the latitudes, longitudes, times, and speed.
  • MICRODEM will natively convert the GPX to a DBF with the latitudes, longitudes, times. This could be done with GDAL, but that creates a large number of empty fields, and creates a number of shapefiles. The DBF files will be in c:\mapdata\tracks\. They will be named with the date/time of the first reading.
  • Speed, distance, and azimuth can be added on the Navigation menu. They will automatically added during import using your current settings, if you have the option checked on the Import/Export tab of the options form,
  • The FIT files on the device will be deleted by default. If you want to retain them, turn the option off on the Options form, Database tab.

The FIT documentation is included in the FIT SDK archive http://www.thisisant.com/resources/fit/ which also has some tools for dealing with FIT files. These can extract all data from the file, including things like heart rate, but you would have to do some custom programming to convert the times and coordinates into something useful in GPS.

Testing has been with files from a Garmin Forerunner 35.

Last revision 8/22/2019


Gaussian Pyramid Downsample

On Raster GIS, Downsampling menu

For the current DEM

  • Saves the original DEM in a new subdirectory under c:\mapdata\multigrid
  • For 5 iterations
    • Filters the DEM with a 5 term square gaussian filter
    • Thins the DEM by the factor of two (data spacing becomes twice as large, file size one quarter of the starting grid)
    • Saves the new DEM

This could be used to take a 1 m lidar DTM, and create generalized grids at 2, 4, 8, 16, and 32 meters. Alternatively you could create the lower resolution grids directly from the point cloud.

For a 0.4" grid, you could create generalized grids at 0.8, 1.6, 3.2, and 6.4 arc seconds

Reference:

  • T. Behrens, K. Schmidt, R.A. MacMillan, R.A. Viscarra Rossel, 2018, Multiscale contextual spatial modelling with the Gaussian scale space: Geoderma, Volume 310, p 128-137, https://doi.org/10.1016/j.geoderma.2017.09.015 .

Last revision 8/19/2021


Gazetteers in MICRODEM

Enabler Gazetteer operations on menu tab of options form.

You must have a gazetteer symbols file in the program root directory.

Select GAZ button on main program toolbar, pick DBF file desired, to open a vector map.

Alternatively, right click on any existing map, and select Gazetteer option from Load submenu choices.

Search on NAME/FEATURE field, using edit box on gazetteer toolbar. As you type entries are automatically filtered.

You can merge NGA or USGS gazetteer files, but cannot mix the two types because they have different fields and formats.

You can also use gazetteers to label peaks on panoramas, and a variety of features on maps.

last revised 1/28/2017


Gazetteer Label Options

When labeling features from the gazetteer, you can turn on or off categories with the Features button, and pick the color for the symbol and the text.

Pick the gazetteer file to use. These should be in c:\mapdata\gazetteer: USGS Gazetteer for a state, or NGA gazetteer for a country.

You access this window in two ways:

  • Map Overlays
  • Gazetteer toolbar

Set gazetteer symbology.

Peaks labeled from Gazetteer.

This uses smart option to avoid text overwriting but note that leaves one peak in the NE corner of the map without a label.

Last revision1/28/2017


Gazetteers

A gazetteer is a vector data set which contains coordinates and place names. Because it is a GIS data base, you can go from the map to names, or the names to the map.

USGS creates gazetteers for the United States. NGA creates country gazetteers for the rest of the world, which are publicly available. NGA uses different coding from the USGS.

Neither USGS not NGA actually produce GIS formats, and both make the conversion somewhat tedious without software written for that purpose.

Both NGA and USGS gazetteers have limited accuracy.
  • NGA data (at least all older data) used specific values at discrete intervals, and on a blown up map you will clearly see the grid on which they were digitized.
  • USGS data for peaks, for instance, is usually displaced from the location on the DEM or DRG.

The gazetteers are point data, even for linear or areal features. For a large feature like the river or ocean, the database has a single pair of coordinates, which often will not be within the particular state downloaded.

GEBCO undersea features names gazetteer.

Marine regions and gazetteer: https://www.marineregions.org/

Download and convert gazetteer files for use.

You can treat the converted files as a standard database or use specialized options in MICRODEM.

For an interesting look at geographic names, see Mark Monmonier's From Squaw Tit to Whorehouse Meadow: How Maps Name, Claim, and Inflame.

last revised 9/29/2017


Gazetteer Symbology

File "GAZ_SYMBOLS_Vnnn.DBF" in program root directory. This contains categories to use, and symbols.

Gazetteer labeling uses definitions database as displayed above.

Fields used:

  • NAME--Each category has a name.
  • GAZ--whether the category applies to USGS, NGA or other gazetteers.
  • USE--Y/N, to determine if the category will be plotted. This is set on gazetteer options form.
  • Radius (m) used for buffering. Use gazetteer to mask a DEM
  • Filter--filter used find the members of the category in the database.
  • SYM_COLOR, SYM_SIZE, and SYM_TYPE--determine the point symbol. You can edit the database and graphically modify these by right clicking on a record.
  • ICON
  • FONT_NAME, FONT_SIZE, FONT_COLOR

To change symbology and font:

  • Open Database
  • Check edit checkbox.
  • Double click on the record, and pick "Edit point symbol" or "Edit font"
  • Select the color, size, and symbol type.
  • Changes should take effect immediately.

To add another category:

  • Open Database
  • Check the edit checkbox.
  • Double click on the record, and pick "Insert record"
  • Fill in the following fields:
    • Name--can be anything; it is what will be displayed
    • GAZ--must be "USGS" or "NGA" or another such as "CCOG", which will be defined in this file.
    • FILTER--fill in a filter that identifies the type of data from the gazetteer.
    • SYMBOL and FONT options can be most easily added later with change symbology option.
    • Use--"Y" to display, "N" to skip
  • Select Post edits

"Church" includes other religous buildings.

Last revision 8/12/2020


Gazetteer Toolbar

Gazetteers add a second toolbar to standard database table display when loaded as a gazetteer.

  • Find: as you type in a feature name, the gazetteer is filtered.
  • Plot & Label: all of the current features are plotted on the map and labeled. You are responsible for any filtering.
  • Plot: all of the current features are plotted on the map. You are responsible for any filtering.
  • Features: standard gazetteer plotting and labeling is done. This filters, and plots and labels the categories you want.
  • Gaz Opts:

Last revision 1/28/2017


GDAL Merge

GDAL Merge Imagery Tiles

Requires GDAL.

Data Manipulation, Resample, GDAL, GDAL merge Geotiff:

Select the names of the files to merge

  • All files to be merged must be in the same directory
  • They must have the same projection and data spacing

Select the name of the output TIFF file.

Also used by US Topo GeoPDF import.

Last revised 12/4/2018


GDAL options in MICRODEM

Data Manipulation Resample

  • GDAL Rasters

    • GDAL convert to Geotiff: this takes a DEM or image in a format that GDAL can read, and converts it to a GeoTiff. This can convert from a messy, complex Geotiff to a more vanilla file. If the file is a GeoTiff, it will be renamed with "original_" at the start of the file name, and the newly converted file will have the same original name. If the converted file works, you can delete the original. If you are feeling good, the program can delete the files automatically.
    • GDAL merge Geotiff or GeoPDF: you must insure the files are compatible and can be merged.
    • GDAL band extraction: you must supply the number of bands to extract. Beyond display of multiband imagery, you need to split into separate band files to use in MICRODEM for most analysis and display functions.
    • GDAL translate Geotiff to UTM/NAD83: if you have problems reading an image (SPCS for instance), this will convert the image to UTM. You must correctly identify the UTM zone to be used. If this does not work, try the warp option which might be more robust but also slower.
    • GDAL warp Geotiff to UTM/NAD83: convert the image to UTM. You must correctly identify the UTM zone to be used.
    • GDAL warp Geotiff to adjacent UTM zone (e.g. for Landsat scenes that are along the same path, but move into the next UTM zone)
    • GDAL warp Sentinel-1: pick UTM zone and spacing in meters
    • GDAL create multiband Geotiff
    • GDAL geodatabase to shapefile
    • GDAL reproject shapefile: converts to geographic coordinates, WGS84. You must pick a different directory; the same file name will be used. Does not copy metadata. Shapefile must have a PRJ file.

  • GDAL/OGR Vectors

    • GDAL Geodatabase to shapfile
    • GDAL reproject shapefile to lat/long
    • OGR merge shapefiles
    • OGR DBF to SQLite
    • OGR DXF/GPX/OSM/GKPG/geojson to shapefile, or any shapefile with a projection PRJ to geographic. These can be slow, and for a long time no progress appears in the CMD window.
    • OGR shapefile to geopackage

Some of these will require you to know the EPSG code for the projection.

Other places with GDAL options:

  • File, Save satellite image
  • File, Import, GDAL raster subset to match map extent (probably has to be geographic; useful for things like global land cover which are huge files)
  • Raster GIS, External tools

These will call the GDAL external program which you must download from OSGeo4W. Hints for debugging the external GDAL operations if you do not get the desired results.

last revised 12/2/2022


Google Earth Controls

Google Earth Pro Controls

To open a KML/KMZ file:
  • Open Google Earth, and then use the File, Open menu, navigate to the file and select it.
  • Double click on the file, either on the bottom of the browser window if you just downloaded it or in the folder into which you saved it, and it should open.
To save just the map, use the Edit, Copy image menu choice. This will copy the map to clipboard, from where you can paste into Word or PowerPoint.
To add a lat/long graticule: View menu, check "Grid". The labelling is not very sophisticated.
To measure distance, use the "Ruler" icon. Pick the units to be km, m, or smoots.

Add legend:

  1. On the map, enter Control P
  2. Move mouse over the legend, and edit it
  3. You can uncheck legend items to remove them, and rename the ones that the program did not get right
The table of contents on the left side of Google Earth shows the map layers, which you can turn on and off individually, rename, or save individually. It also serves as a legend.

Edit symbology

  1. Right click in the table of contents
  2. Pick properties from the popup menu
  3. Go to style, Color. Choices vary depending on the type of feature
    1. Lines, you can pick color, line width, and opacity
    2. Points, you can pick the icon in the upper right corners, and the color, scale (size) and opacity for both the label and the icon.
The slider on the bottom of the table of contents lets you make the layers partly transparent. Moving it all the way to the left makes the layers invisible.
This shows a geologic map draped over the topography on the top, the imagery on the bottom, and a mix in the middle.
To rotate in 3D, hold down the shift key and click on the surface. While you keep the shift key down, the mouse can rotate about that point, indicated with the white symbol.

Topographic profiles

  • To get the profile
    • Use a KML file.
    • Create the profile line
    • Pick icon on the top toolbar.
    • Draw the profile which by default is the thin white line, which in the center of this screen capture
  • Pick the profile in the TOC and right click, and then :show elevation path"
  • The profile will be drawn in the bottom
  • If you save the map, the profile will be saved
  • As you move the mouse along the profile, the location will track on the map
    • It will show the slope, in percent: + for uphill, - for downhill
    • If the window is large enough, the max and average slopws will be shown

Caveats:

  • The DEM used to create this has limited resolution.
  • Does not work in the oceans, even where there is decent bathymetry.

Last revision 10/17/2022


Google Earth Data Layers

This is a very small selection of what is currently available. We have no intentions of trying to keep it current or comprehensive.

  • Geology
  • Tides and currents, NOAA: http://tidesandcurrents.noaa.gov/googleearth.shtml , including
    • Sea level trends
    • Tide predictions from the Google Earth screen
  • USGS, multiple files: http://earthquake.usgs.gov/learn/kml.php
  • Piracy, NGA ASAM: http://msi.nga.mil/NGAPortal/MSI.portal?_nfpb=true&_pageLabel=msi_portal_page_65 (download and unzip and open in Google Earth)
  • Hazards: http://www.ngdc.noaa.gov/hazard/
  • Hurricanes: http://www.nhc.noaa.gov/gis/
  • Global energy: http://globalenergyobservatory.org/select.php?tgl=Kml
  • Lightning: http://flash3.ess.washington.edu/WWLLN.kml
  • Rainfall: http://pmm.nasa.gov/data-access/google-earth
  • Snow analysis: http://www.nohrsc.noaa.gov/earth/
  • Normalized Difference Vegetation Index (worldwide, monthly): http://ti.arc.nasa.gov/m/project/planetary/kml/ndvi.kmz
  • Environmental issues: http://earth.tryse.net/
  • Weather:
    • http://wdssii.nssl.noaa.gov/

Last revision 1/29/2019


KML Geology Layers

Quick guide to Google Earth Pro commands.

Inside links

USGS Plate Boundaries. | Extracted from the KML displays of current seismic activity at USGS which credited the boundaries to Peter Bird of UCLA. They are color coded by the type of boundary, which you can toggle on and off tp see what colors are whic boundary.
USGS Quaternary (< 1.6 MA) faults of the western US. | They are sorted by age categories, which you can toggle on and off (not really needed for this exercise). You are looking for the orientation of the faults, and how they relate to any nearby plate boundaries.
Smithsonian volcano database. | This sorts volcanoes into stratovolcanoes, shield volcanoes, and others. There is another version on the web which has pictures of each volcano, and a description.
Megathrusts. These come from USGS. They show all the earthquakes around one of the megathrusts, in both time and location. Sorted by Magnitude
  • 9.1 December 2004 Indonesia earthquake sequence.
  • 8.8 March 2010 Chile earthquake sequence.
  • 9.0 March 2011 Japan earthquake sequence.
Time animations
  • Animation in Google Earth for magnitude 9.1 December 2004 Indonesia earthquake sequence.
  • Animation in Google Earth for magnitude 8.8 March 2010 Chile earthquake sequence.
  • Animation in Google Earth for 9.0 March 2011 Japan earthquake sequence.
CMT earthquake catalog. This indicates both the type of fault, and the magnitude using a slightly different scale than in the USGS catalog above. Earthquake focal mechanisms. This sorts the earthquakes into thrusts, normal faults, and strike slip faults. There are also oblique faults, with a combination motion. The types are differentiated by the stylized beach balls and colors. Particularly for smaller earthquakes far from land and seismic stations, the locations may only be approximate.
MB Magnitudes. This uses MB, one of several magnitude scales used by hard core seismologists. Particularly for the very rare, very large events, it is very hard to have a single scale which also works well for the much more frequent smaller events and the true monsters. You will note there are minor differences between some of these magnitudes and those in the megathrust data above.

Outside links

  • Plate boundaries: https://earthquake.usgs.gov/learn/plate-boundaries.kmz, linked from https://earthquake.usgs.gov/learn/kml.php (no source, verified 12/30/2018)
  • Volcanoes: https://volcano.si.edu/ge/GVPWorldVolcanoes.kml
  • Tectonic Summaries for M7+ Earthquakes 2000-2015 linked from https://earthquake.usgs.gov/learn/kml.php (no source, verified 12/30/2018)
  • Age of seafloor:
    • Best option: http://nachon.free.fr/GE/Welcome.html
    • Alternate 1: http://sos.noaa.gov/Datasets/dataset.php?id=118 (currently movies, 1/2019, not KML)
    • Alternate 2: ftp://ftp.soest.hawaii.edu/pwessel/KMZ/Global_Crustal_Ages.kmz You must zoom in for the tiles to appear, and they can be slow. The numbers on the lines between the colors are the ages in millions of years.
  • DSDP/ODP/IODP site locations. https://www.iodp.org/resources/maps-and-kml-tools
  • Magnetic picks: http://www.soest.hawaii.edu/PT/GSFML/ML/index.html

Last revision 3/17/2020


Google Earth Line Digitization

  • Icon on GE toolbar starts digitizing
  • Use either stream or point mode digitizing.
  • When done, save the line by right clicking on it in the Google Earth table of contents. Use KML format.
  • To convert to a shapefile, use DNR GPS.
  • You can also digitize as as sequential points, and then convert them to a line or area shapefile in MICRODEM.

Last revision 12/10/2017


Google Earth Time Animation

This example will create a database with sightings of the right whale.

For a case like this where you will be entering data from a file or by typing it in, the most efficient tool is probably Excel. This will create a database with points, which is the simplest to create.

Rules for what you must do in Excel to insure that file will work. The computer will be very picky.
  • The types of data (characters, integers, and floating point), and what you can do with each.
  • Which hemispheres are negative, especially the western
  • While dates can be entered in a single field, for earth science data it is nice to split them so you can look at the annual patterns, and you can Filter by month.
  • If you put the name of an image file (GIF or PNG) in an ICON field, that icon can be plotted on the map in both MICRODEM and Google Earth.

When done, save your file in CSV format.

Create Icons.

Adjust icon transparency (may no longer be required).

If you wanted to get really fancy, you could have multiple icons, depending on the number of whales spotted.

Open a map. This is nautical chart 13006 opened with [image] New image

Database. The first time you should select the CSV file you created; thereafter you should select the DBF that MICRODEM will create.

To get the ICON field to be used for plotting, use Database symbol selection ( Plot button on the table display window).

Get other maps to use for the base.

Examples include sea surface temperature (perhaps that controls when and where the whales congregate). Animating these can currently be done, but only with some drag and drop edits in Google Earth. If you have another animation (say with your whales), each time period will be in a different folder. If you open all the maps, you can export them all when you do the export (with the "All maps" checkbox). You can then just drag the correct image into the folder for each time step.

Another option would be MODIS images from http://rapidfire.sci.gsfc.nasa.gov/subsets/ (directions). There are daily images from two satellites, with several color combinations possible. You want the Geotiff, or the JPG with ancillary files, which you can use in MICRODEM, or you can go straight to Google Earth with the KMZ file..

Put text into KML file for explanations.
Modify display in Google Earth, using layers shown in Table of contents.

A little time here can greatly increase the user-friendliness of your results.

Last revision 10/24/2015


Google Earth Table of Contents

Google Earth follows the GIS model of dividing the map into layers.

The table of contents on the left side of Google Earth shows the map layers. You can check/uncheck them to turn of layers, and toggle between the map layer, and the underlying imagery or other layers. Your layers could appear in either "My Places" or "Temporary Places".

Use the small triangles to expand or contract sublayers.

Drag layers, including sub-elements, to another location.

Add new folders to organize the map.

To delete a layer, right click on it, and pick "Delete".

To save a layer, right click on it, and pick "Save place as". You can save folders and all layers under them. It is best to save a KMZ rather than KML (less disk space, and it keeps all files together).

To change the symbolization of a layer, right click on it, Pick "Properties", and then select the "Style, Color" tab. You can change symbols one by one (slow and inefficient) or agree to change all the symbols in the layer.

The bottom section has layers, which you may want to remove from the map to avoid clutter, and you might want to minimize the display of those layers, especially if you have a small screen:

  • Borders and labels
  • Photos
  • Roads

While you can do some naming of the layers when you export from MICRODEM, it can be just as easy to right click and select the "Rename" option in Google Earth.

If you create a time animation from a database, you can drag a base map into the folder created for a particular time step.

Last revision 3/4/2020


GEBCO_2019 Grid

GEBCO_2019/2020/2021/2022 Grids

15" https://www.gebco.net/data_and_products/gridded_bathymetry_data/

https://download.gebco.net/ to download a region
  • Current release is 2022. Geotiff is 4 GB, uncompresses to 8 GB. Will require subset with GDAL before use
  • Format: Geottff (best bet), netCDF, or ESRI ASCII
  • 2022 data set based on SRTM15+
  • Entire data set is huge, but you can get just the region you want.
  • Can get polar projection, arc second at 15"
  • The TID grids shows the source of the data
  • Try Global Multi-Resolution Topography Data Portal first, which will probably be higher resolution

GEBCO Compilation Group (2021) GEBCO 2021 Grid (doi:10.5285/c6612cbe-50b3-0cff-e053-6c86abc09f8f)

https://www.bodc.ac.uk/projects/data_management/international/gebco/gebco_digital_atlas/gda_development/documents/manual.pdf

Last revision 10/26/2022


General Suggestions

General Computer Suggestions

  • Run GIS software on the largest monitor you can. The map is the story; make it as good as you can. Laptops have many good points; a big screen is generally not one of them. Insure the map windows takes up as much of the screen as possible (menus and toolbars reduce map size) and consider enlarging the map and having scroolbars. You are ultimately responsible for the quality of your graphics.
  • Use multiple monitors if possible. You frequently will have the program, its help file, a web page for questions and data downloads, and something for documenting your results (Word, Excel, or PowerPoint). It helps to have the most screen real estate possible.
  • Use the phone or a second computer for the help or web browser.
No Spaces in file names.
Do not start file names with a number. While starting with a number will generally work, there are times when it will fail, and the error message may not be very clear.

Open Files or Directories

  • Many GIS operations require you to open a directory or folder. A double click on the folder name will not work; you have to highlight the folder, and then click the "Select folder" button.
  • To open a file, you can use the open button or double click.
  • The windows dialog shows what you are being asked for in the lower right corner.
  • If you see nothing in a folder where you know there are files, you are probably in folder selection mode.
  • If you see nothing in the folder and you are in file selection mode, you are probably looking for the wrong file extensions. You can change to all files with the drop down selector, or select the correct extension which keeps you from having to wade through too many files, or type "*.*" in the file name edit at the bottom left.

File Downloads.

  • Insure you pay attention to where you download files. If you download to the downloads folder, clean it out periodically. You can do a quick and dirty copy everything into a new old_downloads folder.
  • You can set your browser to always ask, which helps you to organize the files, or understand that the files will probably all pile up in the Downloads directory.
  • There are operations that will fail if performed on a file in the downloads directory (e.g. trying to rename it to use GDAL to modify a Geotiff), so you should move the data to another directory.
  • Problems with ftp data download?
File Extensions and Folder Options. Insure that you understand about file extensions or types, and check the dialog boxes to insure that you are looking for the correct file types, or are saving as the correct type.

Go to Organize, Folder options, and pick the View tab. Change your Folder options to make this easier:
  • Uncheck "Hide Extensions for known file type". Many GIS "files" such as shapefiles and worldfiles actually consist of multiple files with the same name and different extensions, and you may have to pick the correct one, which is very hard when they all look the same (sometimes the icon will be different, if Windows recognizes the file type, but often the files will all look the same).
  • Display the full path in the address and title bars.
  • (Optional) Pick "Show hidden files and folders".

File Compression.

  • Types of compression
  • ZIP files: right click on the file in Windows Explorer, and then pick the "Extract all..." near the top of the list. MICRODEM can do batch Decompression.
  • TAR and GZ and .7Z : use 7zip or the Compress/Decompress option in MICRODEM (which uses 7zip), and is particularly effective for Landsat imagery.

Word Reports, when you will be getting electronic edits from a colleague (or even if you will be doing extensive edits)

  • Do not use text boxes. You cannot put a comment in the text box, and the comment wind up far from the text it tries to refer it. If the editors puts the text inside the text box, it usually has to be resized, and then plays havoc with everything that follows.
  • Do not wrap text around the figures. When there are changes, this can act very unpredictably.
  • Do not put two figures side by side. If you want to do that, make them 1 figure
  • Make the figures as big as possible, especially for detailed maps. If you have no constraints on the number of pages, make the figures big.
  • Further suggestions for figures.

Unless the report will be your pride and joy and absolutely needs to look like it was professionally printed, KISS. There are important parts to formatting (references and figure captions), and others are much less important in a learning environment.

Last revision 1/11/2023


Geo Atlas KMZ

Option on the File menu from a map.

To get elevations, use with a DEM.

last revised 9/11/2022


ADDRESS GEOCODING

GEOCODING

Geocoding is going from an address to lat/long, or from a lat/long to a street address.

MICRODEM provides multiple ways to do geocoding:

  1. Geocoding can be done with the local TIGER database, using the properties of TIGER databases.
  2. In addition to being done locally for a database, geocoding can be done as a web service from a server.

IP address geocoding

Last revision 8/2/2021


Geocoding Web Service

In addition to being done locally for a database, geocoding can be done as a web service from a server. The server might limit you to a specified number of requests per day, tracked by your IP address, and entice you to pay for more requests. This tracking can be fooled, and think you have exceeded your quota far earlier than it should. It may only complain every few records. For example http://www.gpsvisualizer.com/geocoder/ can use either the Yahoo or the Google service, but your browser will be the one making the request and running into the limit.

Google geocoding now requires an account and an API key. You must have a credit card on file, but do get some free usage each month.
  • https://cloud.google.com/maps-platform/user-guide/
  • https://cloud.google.com/maps-platform/user-guide/account-changes/
  • Enter your key on the Web tab of the options form so it can be included in your request.

Google geocoding API uses requests like:

  • Old requests, before your API key had to be included in the request:
    • Address to lat/long: http://maps.googleapis.com/maps/api/geocode/xml?address=107+Claude+Street,+Annapolis,+MD&sensor=true
    • Lat/long to address: http://maps.googleapis.com/maps/api/geocode/xml?latlng=38.9933070,-76.4992460&sensor=true
  • Google documentation:
    • http://code.google.com/apis/maps/documentation/geocoding/#GeocodingRequests
    • Geocoding API policies: https://developers.google.com/maps/documentation/geocoding/policies
  • If the geocoding fails, you will be informed, along with the address that could not be resolved. You can look at the web results to determine if you want to continue.

Options

  • Right clicking on the map, Geocode, Address to Lat/Long.
  • Right clicking on the map ,Geocode, Lat/Long to address
  • On a database with ADDRESS field, Edit, Geocode addresses to fill in LAT/LONG fields for every record. Address can be a full street address, or just the names of the CITY and STATE. You might have to edit the database to get the field in the correct format.

TIGER geocoding in MICRODEM.

Using QGIS

  • https://www.gislounge.com/how-to-geocode-addresses-using-qgis/
  • http://michaelminn.com/linux/mmqgis/

Census Bureau online geocoding: https://geocoding.geo.census.gov/geocoder/locations/addressbatch?form

Last revision 3/25/2019


Geodesy

  • Horizontal datum
  • Vertical datums
  • EPSG codes and database of projections

  • Coordinate system transformation : ITRF, ETRF, WGS84 – sigeo.cerege.fr

Last revision 5/14/2023


Geography Options

Climograph options

  • Show Lat/long on the top of the climography
  • Show Mean Temp and Rainfall summary at the top of the graph
  • Show elevation on top of the graph

Sunlight graph options

  • Show sunrise/set in addition to hours of sunlight

Set size of the graphs

On Geology/Geography tab of Options form. Applies to:

  • Sunrise-sunset on Main toolbar icon, or from the Analyze menu.

  • Koppen climate classification on Map toolbar icon.

Last revision 3/24/2021


Geology

Geology/Geography Options

Tab on Options form.

Stratcol

Micronet

Focal Mech

Koppen/Daylight Geography options

Allow complex magetic anomaly profiles.

Ternary percentages must sum to 100%: option in the ternary diagram plots of databases.

Force downloads of the data sets for the geology and physical geography flavors of the program. This should only be needed if you did not start those program versions, or if the files that were downloaded became corrupted.

  • Geology data
  • Geography data
  • ETOPO1/Blue Marble
  • Geoid: this has grids with EGM96, EGM2008, and shift from 96 to 2008.
  • Natural Earth Vector World Outlines.

Last revision 1/26/2023


Geology and GIS

Options from main program toolbar (must be enabled on the Menu choices tab of program options form).

Geology options available from map window toolbar.

AvailableGeologic Map Data.

References

  • Global Geologic Data sets
  • Structural geology symbols
  • Plate rotion model references

Last revision 4/29/2019


Geology Menu

Options at any time:

  • Stereo net
  • Ternary Diagrams
  • Stratcol
  • Plate reconstructions
  • Sieve
  • Seismic fence diagram
  • --------------------------------------------------------------------------
  • Sea floor ages grid
  • Magnetic anomaly grid
  • Sediment Thickness grid
  • Sediment type grid (Dutkiewicz and others, 2015)
  • Geoid EGM2008 (above/below ellipsoid)

Options on a base map toobar:

  • Geology options

Last revision 10/30/2016


Geology Vector Data

Database button
button opens some rapidly 		Reference Original Data Download to check for updates Data Prep
Coastlines | Natural Earth
Holocene & Pleistocene Volcanoes Global Volcanism Program, 2013. Volcanoes of the World, v. 4.11.0. Venzke, E (ed.). Smithsonian Institution. Downloaded 31 Jul 2022. https://doi.org/10.5479/si.GVP.VOTW4-2013
There is now a version 5: Global Volcanism Program, 2022. [Database] Volcanoes of the World (v. 5.0.0; 1 Nov 2022). Distributed by Smithsonian Institution, compiled by Venzke, E. https://doi.org/10.5479/si.GVP.VOTW5-2022.5.0, which has both a Holocene and Pleistocene (less review and updates) file, and volcnaoes are not duplicated 		https://volcano.si.edu/list_volcano_holocene.cfm Convert Excel to CSV to DBF.
Combine Holocene and Pleistocene, and add a field with AGE
USGS Plate Boundaries (line shapefile) | USGS, earthquakes pages (KMZ): https://earthquake.usgs.gov/learn/kml.php
Plate outlines (area shapefile)
  • Bird, P. (2003), An updated digital model of plate boundaries, Geochem. Geophys. Geosyst., 4, 1027, doi:10.1029/2001GC000252, 3.
  • Argus, D. F., Gordon, R. G., and DeMets, C., 2011. Geologically current motion of 56 plates relative to the no-net-rotation reference frame, Geochemistry, Geophysics, Geosystems.
 http://geoscience.wisc.edu/~chuck/MORVEL/PltBoundaries.html Converted a shapefile
Continental crust outlines. Can extend significant distances from coastline. Coffin, M.F., Gahagan, L.M., and Lawver, L.A., 1998, Present-day Plate Boundary Digital Data Compilation. University of Texas Institute for Geophysics Technical Report No. 174, pp. 5. Plates Project, University of Texas
http://www-udc.ig.utexas.edu/external/plates/data.htm
Hot spots. | From Plates Project, University of Texas.
Fracture zones. Originally from the Global Relief Data on CD-ROM, no longer available.

Another option: http://www.soest.hawaii.edu/PT/GSFML/SF/index.html which has seafloor fabric lineations, including fracture zones, extinct ridges, V-anomalies, discordant zones, and propagating rifts.
Tsunami https://www.ngdc.noaa.gov/hazard/tsu_db.shtml
doi:10.7289/V5PN93H7 		Converted to DBF (shortened many field names)
DSDP/ODP site locations: ODP site at Texas A&M, Deep Sea Drilling Project Sites: Legs 1-96, Sites 1-624, Ocean Drilling Program: Legs 100-199, Sites 625-1222 ArcView files (through Leg 190; provided by Dr. Sebastian Luning).
Magnetic anomaly point picks Seton, M., J. Whittaker, P. Wessel, R. D. Muller, C. DeMets, S. Merkouriev, S. Cande, C. Gaina, G. Eagles, R. Granot, J. Stock, N. Wright, S. Williams, 2014, Community infrastructure and repository for marine magnetic identifications: Geochemistry, Geophysics, Geosystems DOI:10.1002/2013GC005176 http://www.soest.hawaii.edu/PT/GSFML/ML/index.html Prep data
Use data
Global CMT earthquake focal mechanisms: >50,000 earthquakes from 1977 on. This has the focal mechanisms, depth, date, magnitude, and a rough classification of the earthquakes which have very little oblique slip
  • Dziewonski, A. M., T.-A. Chou and J. H. Woodhouse, Determination of earthquake source parameters from waveform data for studies of global and regional seismicity, J. Geophys. Res., 86, 2825-2852, 1981. doi:10.1029/JB086iB04p02825
  • Ekström, G., M. Nettles, and A. M. Dziewonski, The global CMT project 2004-2010: Centroid-moment tensors for 13,017 earthquakes, Phys. Earth Planet. Inter., 200-201, 1-9, 2012. doi:10.1016/j.pepi.2012.04.002
Global CMT
Marine magnetic anomalies (lines): loads data base with digitized marine magnetic anomalies. | From the Global Relief Data on CD-ROM.
Time scale Gee and Kent (2007)
Marine Magnetic Reversal Time Scale | Cande, S.C., and D.V. Kent, 1995, Revised calibration of the geomagnetic polarity timescale for the late Cretaceous and Cenozoic, J. Geophys. Res., vol. 100, pp.6,093-6,095.
Plate reconstruction total poles
  • Cox, A., and Hart, R.B., 1986, Plate tectonics: How it works, Blackwell.
  • Duncan, R.A., and Richards, M.A., 1991, Hotspots, mantle plumes, flood basalts, and true polar wander: Reviews of Geophysics, vol.29, no.1, p.31-50.
  • Data from two sources combined in a single databace.
  • Used for plate reconstructions and rotations.
  • Data Bases for use in Plate Tectonics Calculations , but which you will not open yourself.
Global subduction zone geometries, with dips and depths | Hayes, G. P., D. J. Wald, and R. L. Johnson (2012), Slab1.0: A three?dimensional model of global subduction zone geometries, J. Geophys. Res., 117, B01302, doi: 10.1029/2011JB008524. https://agupubs.onlinelibrary.wiley.com/doi/abs/10.1029/2011JB008524 | https://earthquake.usgs.gov/data/slab/ | convert TXT to DBF, and then to a grid.

Other Databases.

  • Plates Project, University of Texas (http://www-udc.ig.utexas.edu/external/plates/data.htm).
    • Large Igneous Provinces. Converted from a GMT file. Large igneous provinces (LIPs) are voluminous emplacements of predominantly mafic extrusive and intrusive rock whose origins lie in processes other than 'normal' seafloor spreading. LIPs include continental flood basalts and associated intrusive rocks, volcanic passive margins, oceanic plateaus, submarine ridges, seamount groups, and ocean basin flood basalts.
  • Earth Bytes data sets https://www.earthbyte.org/gplates-2-1-software-and-data-sets/

Last revision 11/28/2022


Geomorphometrics by block

From Geomorphometry analysis option on Analyze menu. This divides the DEM into a series of rectangular blocks, and computes statistics in each, which will be placed in a dBase table.

  • Select options
    • Box/region size in meters or pixels
    • Min points for elevation: data voids, or edge effects have no effect on the elevation statistics.
    • Min points for SSO: SSO requires no holes in the point and its 8 nearest neighbors, so cannot be done on edge pixels.
  • Select parameters. Parameter definitions and references.
    • Basic elevation: 4 moments
    • Advanced elevation:
      • relief, elev_relf,
      • min and max elevations locations (if multiple points have the same elevation, the result will be the first one encountered)
      • characteristics of the line connecting the min and max. This may or may not have any meaning, as they depend on the shape of the analysis region. They make sense for polygon shapefiles with things like a landslide or drainage basin.
        • DIST_DROP is the distance in m betweeen the high and low points
        • DIST_AZ is the compass direction between the high and low points
        • SLOPE_DROP is the slope along the straight line distance
    • Slope: max slope, and 4 moments
    • S1S2, S2S3, FABRIC_DIR: S1S2, S2S2, fabric direction, shape, strength, roughness, and average aspect. Requires a box size. These will be blank if there are not enough valid points to compute the statistics. You can reduce the number of points required using the ASPECT_PTS or SSO_PTS fields.
      • ASPECT_AVG: Vector average of the aspect (downhill direction)
      • ASPECT_STR: strength of the average aspect. It will be 0 if there is a completely random orientation, and 1 if they all point in the same direction.
    • Profile curvature: 4 moments
    • Plan curvature: 4 moments
    • Openness: 4 moments each of upward and downward openness. Requires a box size.
    • Less useful
      • Gamma: nugget covariance from variogram
      • Fractal will slow things down, and the results may not be worth the effort.
      • Wavelength/height is currently disabled
  • You can only turn groups off or on.
  • The program will create a database with desired parameters.

  • Plot results using standard procedures from database table display window
  • Parameter definitions and references

You can alternatively create grids, for these and some other parameters.

last revised 8/29/2017


Geomorph Block Settings

There are several ways to select the points:

  • Use a "Points location" database. The computations will be done at each point in the database. You might or might not get complete coverage, and you might be overlapping regions. If you select this, the region could be defined either by the number of grid postings, or the size in meters. The box will be the size selected, centered on each point.
  • Boxes in either grid postings or meters. A box will be defined in one corner, and the next boxes will be adjacent.
Statistics in blocks from Geomorphometry analysis option on Analyze menu.
  • Pick parameter groups to include:
  • Pick block size in DEM grid postings (the same in both directions) or meters, which will define the statistical analysis regions. This is the full size of the block.
  • Set percentage of points in the block which must have valid data to compute statistics.
  • Set different block sizes for openness and SSO, since these require a larger region for valid results.
  • DEM location
  • Output path

Last revision 5/19/2019


Geomorphometry by Categories

This is still experimental, and the top row of graphs might not be created

With the grid with categories as the active map, On Raster GIS operation, pick this option

Works with two categories of grid

  • Numerical grid with a Fixed color palette from table
    • Display numerical grid with a color scale like dNBR and NDVI.
    • "Numeric grid with VAT to byte grid with codes" option on Edit, Reclassify menu. This makesa new grid byte codes, and links a VAT table, with the color scale.
  • Grid with integer codes and a VAT such as vegetation types

Get histograms of elevation, slope, and roughness for each classification code in the VAT. You must selecte the VAT grid as the active map, and then select a DEM that covers the area.

There will be 8 graphs created

  • On the top row, the percentage of the area in each bin of the histogram that falls within each category. This can blow up on the tails of the distribution (the left side of the graphs on the left side, and the right side of the next two graphs)
  • On the bottom row above, histograms for elevation, slope, roughness, and aspect for each of the categories in the VAT

Last revision 3/25/2023


Curvature

Geomorphic Curvature

Curvature is a mess. In my less charitable moments, I would say it produces pretty maps but they are very hard to quantitatively compare. Use any of the methods in MICRODEM with caution.

External tools has some curvature computations; I do not vouch for their correct operation, especially for arc second DEMs.

Based on Minar and others (2020), I intend to relook at the curvature computations, but they are low priority. Units are a mess, positive/negative don't agree, scaling is inconsistent. But all them maps sure look good.

Curvature is the rate of change of slope, so it is the second derivative of the elevation surface.

If we wish to create a single measure of the second order derivatives we must derive that measure for an intersecting plane so as to reduce the expression to an ordinary differential one. Thus we have several choices depending on the orientation of this intersecting plane. The plane can be defined uniquely by two vectors. (Wood, J., 1996)
  • –profc or profile convexity or slope curvature (intersecting with the plane of the Z axis and aspect direction). Emphasizes terraces.
    • A negative value is convex upward, and slope will be increasing moving downhill.
  • –planc or plan convexity (intersecting with the XY plane). Emphasizes ridges and valleys.
    • A positve value will have diverging flow
    • a negative value will have converging flow
  • –longc or longitudinal curvature (intersecting with the plane of the slope normal and aspect direction)
  • –crosc or cross-sectional curvature (intersecting with the plane of the slope normal and perpendicular aspect direction);
  • –maxic or maximum curvature (in any plane);
  • –minic or minimum curvature (in any plane);
  • –meanc or mean curvature (in any plane).
  • Parametric isotropic smoothing: recommended by Hengl and Evans (2008, after Sharry and others, 2002) before computing curvature or other derivatives.
Derivative grid. can compute curvature. They will be drawn with a percentile color stretch.
  • All 5 curvatures, Evans algorithm. The five at once will be threaded and probably execute faster than a single layer.
    • Profile/slope convexity
    • Plan convexity
    • Cross sectional curvature
    • Minimum curvature
    • Maximum curvature
  • 5 algorithms, 2 curvatures

Curvature references

Last revised 2/25/2023


Geomorphic Parameter References

 General Geomorphic Parameter References
  • Chapman, C.A, 1952. A new quantitative method of topographic analysis: American Journal of Science, 250(6):428-452.
  • Clarke, K.C., 1986, Computation of the fractal dimension of topographic surfaces using the triangular prism surface area method: Computers & Geosciences, vol.12, no.5, pp.713-722.
  • Curran, P.J., 1988. The semivariogram in remote sensing: an introduction: Remote Sensing of Environment, 24:493-507.
  • Drummond, R.R., and Dennis, H.W., 1968. Qualifying relief terms: Professional Geographer,20(5):326-332.
  • Etzelmuller, B., 2000. On the quantification of surface changes using grid-base digital elevation models (DEMs): Transactions in GIS, 4(2):129-143.
  • Evans, I.S., 1980. An integrated system of terrain analysis and slope mapping: Zeitschrift für Geomorphologie N.F. Supplementband, 36:274-295.
  • Evans, I.S., 1998. What do terrain statistics really mean? in Lane, S.N., Richards, K.S., and Chandler, J.H., eds., Landform monitoring, modelling and analysis. J.Wiley, Chichester, p.119-138.
  • Fisher, N.L, Lewis, T., and Embleton, B.J.J., 1987. Statistical analysis of spherical data: Cambridge University Press, 330 p.
  • Gallant, J.C., Moore, I.D., Hutchinson, M.F., and Gessler, P., 1994, Estimating fractal dimension of profiles: A comparison of methods: Mathematical Geology, Vol.26, No. 4, p. 455 – 481.
  • Guth, P.L., 1995. Slope and aspect calculations on gridded digital elevation models: Examples from a geomorphometric toolbox for personal computers: Zeitschrift für Geomorphologie N.F. Supplementband, 101:31-52.
  • Guth, P.L., 2003. Terrain Organization Calculated From Digital Elevation Models: in Evans, I.S., Dikau, R., Tokunaga, E., Ohmori, H., and Hirano, M., eds., Concepts and Modelling in Geomorphology: International Perspectives: Terrapub Publishers, Tokyo, p.199-220. Online at http://www.terrapub.co.jp/e-library/ohmori/pdf/199.pdf.
  • Klinkenberg, B., 1994, A review of methods used to determine the fractal dimension of linear features: Mathematical Geology, vol.26, no.1, p.23-46.
  • Klinkenberg, B., and Goodchild, M.F., 1992. The fractal properties of topography: a comparison of methods: Earth Surface Processes and Landforms, 7(3):217-234.
  • Malinverno, A., 1995. Fractals and ocean floor topography: in Barton, C.C, and LaPointe, P.R., eds., Fractals in the Earth Sciences, Plenum Press, p.107-130.
  • Mark, D.M., 1975. Geomorphometric parameters: A review and evaluation: Geografiska Annaler, 57A(3-4):165-177.
  • McClean, C.J., and Evans, I.S., 2000. Apparent fractal dimensions from continental scale digital elevation models using variogram methods. Transactions in GIS, 4(4):361-378.
  • Mueller, Jerry (1968). An Introduction to the Hydraulic and Topographic Sinuosity Indexes: Annals of the Association of American Geographers 58: 371. doi:10.1111/j.1467-8306.1968.tb00650.x
  • Pike, R.J., and Wilson, S.E., 1971. Elevation-relief ratio, hypsometric integral and geomorphic area-altitude analysis: Geological Society of America Bulletin, 82(4):1079-1084.
  • Pike, R.J., Evans, I.S., and Hengl, T., 2009. Geomorphometry: A brief guide, In Hengl, T., Reuter, H.I. (eds), Geomorphometry: concepts, software, applications. Developments in Soil Science Series, Elsevier, pp.1-30.
  • Press, W.H., Flannery, B.P., Teukolsky, S.A., and Vetterling, W.T., 1986. Numerical Recipes: The art of scientific computing: Cambridge University Press, 818 p.
  • Strahler, A.N., 1952. Hypsometric (area-altitude) analysis of erosional topography: Geological Society of America Bulletin, 63(11):1117-1142.
  • Strahler, A. N. (1957), "Quantitative analysis of watershed geomorphology", Transactions of the American Geophysical Union 8 (6): 913–920 .
  • Tate,NJ, 1998, Maximum entropy spectral analysis for the estimation of fractals in topography: Earth Surface Processes and Landforms, vol.23, p.1197-1217.
  • Wood, J.D., 1996. The geomorphological characterisation of digital elevation models: unpublished PhD Thesis, University of Leicester, UK.
  • Woodcock, N.H., 1977. Specification of fabric shapes using an eigenvalue method: Geological Society of America Bulletin, vol. 88, no.9, p.1231-1236.

Parameter and index summaries

  • Bartłomiej Szypuła, 2017, Digital Elevation Models in Geomorphology: DOI: 10.5772/intechopen.68447 https://www.intechopen.com/chapters/55617

Main references

Last revision 12/11/2021


Geomorpho90

Dataset Acknowledgement: For more details see the publication: Amatulli, G., McInerney, D., Sethi, T. et al. Geomorpho90m, empirical evaluation and accuracy assessment of global high-resolution geomorphometric layers. Sci Data 7, 162 (2020). https://doi.org/10.1038/s41597-020-0479-6
Dataset Citation: Amatulli, G., McInerney, D., Sethi, T., Strobl, P., Domisch, S. (2020). Geomorpho90m - Global High-Resolution Geomorphometry Layers. Distributed by OpenTopography. https://doi.org/10.5069/G91R6NPX . Accessed: 2021-02-26
Additional Information: Additional download repositories
  • 3 arc-seconds (~90 m) resolution, under WGS84, available to download at OpenTopography: https://doi.org/10.5069/G91R6NPX, https://portal.opentopography.org/dataspace/dataset?opentopoID=OTDS.012020.4326.1
  • 100 m resolution, under Equi7, available to download at Spatial-Ecology: , http://www.spatial-ecology.net/dokuwiki/doku.php?id=topovar90m
  • 7.5 arc-seconds (~250 m) resolution, under WGS84, available to download at PANGAEA: https://doi.org/10.1594/PANGAEA.899135

The most interesting data layer is the geomorphons, which is a 10 category landform classification.

CODE | NAME | COLOR
1 | flat | 16711680
2 | summit | 65280
3 | ridge | 16711935
4 | shoulder | 8388736
5 | spur | 8388608
6 | slope | 16776960
7 | hollow | 8421376
8 | footslope | 12632256
9 | valley | 32768
10 | depression | 65535

  • From the geomorphons map, change the display to VAT. Use the template above as the base (you can copy to Excel, save as CSV, and import into MICRODEM to get a CSV).
  • From the database with the geomorphon definitions, add a percent field (Edit, Field arithmetic)
  • From Report,
    • Color bar chart
    • Legend

CODE | NAME | COLOR | REC_ID | COUNT | PERCENT
1 | flat |  | 1 | 1149 | 1.897
2 | summit |  | 2 | 545 | 0.9
3 | ridge |  | 3 | 3759 | 6.208
4 | shoulder |  | 4 | 27 | 0.045
5 | spur |  | 5 | 8990 | 14.846
6 | slope |  | 6 | 32125 | 53.051
7 | hollow |  | 7 | 9525 | 15.73
8 | footslope |  | 8 | 875 | 1.445
9 | valley |  | 9 | 3405 | 5.623
10 | depression |  | 10 | 155 | 0.256

    • R.geormphon, https://grass.osgeo.org/grass78/manuals/addons/r.geomorphon.html
    • Jasiewicz, J., Stepinski, T., 2013, Geomorphons - a pattern recognition approach to classification and mapping of landforms, Geomorphology, vol. 182, 147-156 (DOI: 10.1016/j.geomorph.2012.11.005
    • Other potential landform classifications
      • Iwahashi and Pike, 2007 Automated classifications of topography from DEMs by an unsupervised nested means algorithm and a three-part geometric signature, Geomorphology, vol 86, no.3/4, p.409-440. doi:10.1016/j.geomorph.2006.09.012
      • Pennnock Landform Classification (Pennock,D.J., Zebarth,B.J., and De Jong,E., 1987. Landform Classification and Soil Distribution in Hummocky Terrain, Saskatchewan, Canada. Geoderma, 40: 297-315.) implemented in Whitebox

last modified 2/26/2021


GeoPDF

This format was not designed for GIS applications, and does not work very well with GIS software. Some purists say that GeoPDF applies only to the TerraGo brand products because they have a registered trademark, and others should be called a Geospatial PDF. A lot of people would say this is barking up the wrong tree, like Kleenex and Xerox, and this term should be a generic term and used like GeoJSON or GeoTIFF.

The format works in browsers, and older versions created by USGS had enhancements with the free TerraGo Toolbar.

At one point GDAL could convert GeoPDF to GeoTIFF, and MICRODEM could use it. Currently, it does not work (and QGIS also cannot read the GeoPDFs). USGS says there are two solutions:

  • They are working on a solution using a geodatabase, the nice proprietary ESRI product, since they only design this for USGS scientists who all have access to ArcGIS.
  • Use the GeoTIFF format from TopoView website .
  • Try Topobuilder: https://topobuilder.nationalmap.gov/ lets you build a custom 1:24K map, centered on the area of interest

Current US Quads

These are in GeoPDF, and can make a nice base map.

  • Download GeoPDF from USGS for 7.5' quads
    • https://nationalmap.gov/ustopo/index.html
    • https://viewer.nationalmap.gov/basic/?basemap=b1&category=ustopo&title=US%20Topo%20Download
  • Pick layers to export on Options, Import/Export. Insure you do not include the grid and collar
  • Open with File, Open submenu, GeoPDF
    • Choice for selected layers, imagery layers, or all layers in separate Geotiffs.
    • GeoPDF will be converted to Geotiff with GDAL (slow)
    • Geotiff will be warped to UTM with GDAL
    • If you open multiple files, you can merge them, or put each in its own window. You must insure they are in the same UTM zone. You can merge at least 9 quads partially filling a 5x3 block, with about 13700x10200 pixels (400+ MB).

Conversion steps. The batch files will be in c:\mapdata\temp, where you can look at them and modify if you want. The files will be cleared when you reopen the program. You will see the black command windows, and can watch the GDAL progress for those operations that take time.

  • Spawn a single process to run GDAL_info. This gets the UTM zone and the quad boundaries, needed for further processing. This will take on the order of 2 seconds.
  • Spawn multiple processes to run gdal_translate and gdal_warp. This will use the number of Max active threads you have set. This will take on the order a minute, using 4 threads for 4 GeoPDFs.
  • Merge multiple files. This will take on the order of 5 seconds.

Using GeoPDF

  • Avenza PDF Maps.

USGS guidance on converting to GIS formats (and why they don't think it's a big deal, since GeoPDF is for the Great American Public and not GIS Pros)

  • https://www.usgs.gov/core-science-systems/national-geospatial-program/us-topo-maps-america?qt-science_support_page_related_con=0%23qt-science_support_page_related_con

last revised 10/6/2021


GeoPDF Layers

GeoPDF Layers in USGS Topo Maps

Layer Graphic Extract | Layer Name
 | Collar
 | Boundaries
 | Contours
 | Hydrography
 | Map grid
 | Orthos
 | Shaded relief
 | Transport
 | Woodland

Last revision 6/12/2017


Geostationary Satellite Visibility

With a DEM loaded and associated with the map, option available on the "Calculate, Intervisibility" menu.

Set horizon options, which must include the elevation and azimuth of the geostationary satellite.

Creates database with blocked terrain.

Last revision 12/16/2017


Geostatistical Analysis

Geomorphometry Analysis

New DEM must be open and associated with the map. (requires geomorphometry menu choices be set)

Options; the parameters available for each vary slightly.

  • Create derivative grid. This includes point transformations, computations for the point and its eight neighbors (slope, curvature, and so on), and computations that require a region about it point (moments, openness). This will be done for every point in the DEM.
  • Create database on a grid. You will pick the size of the region for the computations (as this goes up, the values do not change much over small distance), and the spacing for the center points at which the computations are done. This could be turned into a grid, with the resolution center point spacing. This could be faster than creating a derivative grid.
  • Create database for area shapefiles. The sampling size will be the size of each record, and thus vary from record to record.
  • Create database for point shapefiles. You pick a region sampling size

Open

  • On Analyze menu. which defaults to all open DEMs
  • On Raster GIS menu, which defaults to active DEM
  • Basic
    • Elevation-slope-aspect plot: calculates statistics and a number of graphs.
    • Elevation histograms: provide a series of graphs with each DEM done separately.
    • Quick Elev histogram: each DEM done separately
    • Aspect distribution by slope.
    • Moment Report--can also can histograms, with all DEMs on the same graph
  • SSO
    • SSO (Statistical Slope Orientation) Diagram: slope and aspect should be interpreted together using three dimensional vector statistics.
      • Plot poles (normals): slope and aspect should be interpreted together using three dimensional vector statistics.
      • Plot downhill directions: Jordan (2003) suggested this modification. This plot clearly shows the overabundance of aspect at 45° intervals for shallow slopes.
    • Fabric wavelength/height
  • Advanced
    • Geomorphometrics by block
    • Graph parameter by region size
    • Point classification
    • TRI/TPI: if you have the other programs (GDAL, WhiteBox, SAGA, GRASS) set up where MICRODEM can find them, creates a dozen maps.
    • Compare SSO by region
    • Compare openness by region
  • Fractal
    • Triangular prisms fractal (box counting)
    • FFT (Fast Fourier Transform)
    • Variogram-semivariogram
    • MEM Power spectrum
  • Surfaces
    • Trend surface
    • Compare trend surfaces: creates trend surface of orders 1 to 8, and summary table
  • Algorithm
    • Compare slope algorithms
    • Slope region size
    • Compare all slope algorithms
    • Compare Aspect Algorithm: show aspect distribution with multiple algorithms
    • Compare sampling for moments
  • Defaults
    • Slope algorithm
    • Slope categories
    • Reset defaults
  • Bottom panel
    • Pick either the entire DEM, or the area of the current map, for the analysis.
    • Do the analysis for Selected open DEMs, or just a single one
    • Close this form after performing an operation
    • Stat sampling increment

Location of other geomorphometric analysis

Calculate menu

  • Ridges/valleys
  • Spires and pits
  • Point parameters
  • Drainage
  • Derivative grid
  • Topographic grain
  • Intervisibility

Raster GIS menu

  • Create derivative grid
  • Multiple grid arithmetic

Database operations

  • Plot: plot selected records on the map
  • Stats: perform statistical operations (not map based) on the database.
  • Edit: you must enable this option in the program defaults, and with the checkbox, because any changes you make are permanent.

LIDAR Point clouds

Last revision 2/5/2023


Geotagging Photos Phone Setup

Requires photos with EXIF data with the GPS position.

  • Privacy settings must allow GPS to include the EXIF data in photos. As the operating systems pay more attention to privacy, the required settings have moved around and you might need to do a Google search to find their current locations and what you must set.
    • iPhone: Settings, Privacy, Location Services, Camera.
    • Android:
      • Settings, Secuirty & location, Privacy, Location on
      • Settings, Personal, Location, and insure it is on.
      • The camera app also has a setting: General, Save location
      • For the MotoX (maybe others) you also have to adjust the camera settings, and turn on Geo-Tag (also called location) with the teardrop icon

Be careful running the pictures through other software, which might strip out the EXIF header information (which might be desirable for security purposes).

  • Photos uploaded to Facebook, and similar sites, generally have the EXIF data stripped out. Many photo editors also remove the EXIF data.
  • GMAIL will strip out the EXIF data.
  • Mailing a smaller version of the file from the phone will also probably strip out the EXIF data.

Edit to photos in the MICRODEM Load image simple image editor should preserve the EXI information.

Looking at the file Properties after right clicking of the file in Windows Explorer shows the Exif information in the "Details" tab. This appears not to work when viewing the file on the phone attached as a drive, but does work when you copy images to the PC.

Last revision 1/12/2020


Geotiff Images and Grids

GIS programs often distinguish between grids (DEMs) and imagery. By saving as a Geotiff, it is possible to operate on a data set with both sets of tools (Image analysis and Raster GIS).

32 bit floating point grid, displayed with hillshading.
8 bit (byte) grid
  • Elevations stretched from 1 to 255 (range was -3 to 264) (Single grid arithmetic. Expand given z range).
  • Missing data set to 0
  • Geotiff save to 8 bit
  • 8 bit grid opened
  • Note stair stepping from quantization of elevations
  • As a grid, there are better options to edit and reclassify perform Raster GIS
8 bit (byte) image
  • if displayed with no stretch, would look like grid displayed as elevations
  • Can do Image analysis on the image, which has options not possible for a grid

Last revision 12/3/2017


GEOTIFF Map Saving

The GEOTIFF save menu choice on the file menu of a map window saves the current map as a GEOTIFF file.

  • You can save as a color image, or a grayscale, which will be computed from the RGB values on the map image. Grayscale will be about 1/3 the file size.
  • The resulting saved image contains map coordinates; each point on the resulting map is correctly registered, provided the program that reads the file implements the GEOTIFF standards.
  • It does not write a TFW world file. Some programs that claim to read GeoTIFF files actually use world files.
  • The resulting image is a "dumb picture". It does not know anything about elevations or the details of any overlays on the map. You will get exactly what is on screen, at that resolution. If you have blown up or subsampled the data, that is the resolution that will be saved. If you subset the data, only the subset is saved.
  • You should reopen this geotiff only to view the previous analysis, and not for additional, detailed work. There will be rounding errors, which will accumulate if you continue to work with the data. Data spacing in the Geotiff image is likely to be in irrational, real units (a function of the screen size and data spacing), and not the simple spacing of the original data.
  • If you reopen the Geotiff, it is likely that on redrawing the UTM grid some of the grid lines will shift by a pixel because of rounding errors. Thus some of the grid lines will have a double width. (Turn off the grid before saving).
  • If you view the Geotiff at less than the scale it was saved at, some of the UTM grid lines will likely disappear.
  • This is really the same as saving as a BMP, JPEG, or GIF image, except that the program can associate coordinates with each point.
  • The file will be saved in uncompressed 24 bit color, regardless of the original data format. This is required so that overlays can be stored, and results in simpler coding because only a single TIFF format is required.
  • For optimal results if you want to do anything more than just save a dumb map, save a 1:1 map with no grid or other overlays; you can always regenerate the grid and overlays later.
  • If you want to save for additional work at the full resolution of the original data, you should use the subset functions on the [image] Data Manipulation form.

Last revision 2/18/2008


GEOTIFFs in MICRODEM

A GEOTIFF is a special kind of TIFF file that contains information about the map projection and registration.

Data Manipulation.

The Geotiff format has a huge number of options, and some combinations might present problems for MICRODEM. If this happens, MICRODEM will call GDAL to convert to a more generic Geotiff. The most common problems are tiled images, compressed images, and unsual color representations. The original file will have "original_' added to the start of the file name. The GDAL version will have the original name. You can delete it if the converted file works. If the converted file does not work, you will have to figure out the problem. MICRODEM cannot do anything more with the file until the source code is changed. If you have a sting of files "original_original_......" they will all be the same.

  • For DEMs, the new Geotiff will be in the c:\mapdata\temp directory. This assumes you have a lot of DEMs, and want to take advantage of the smaller storage size. This adds up when you have TB of global DEMs, and a 50% storage saving is a big deal.
  • For imagery, the new Geotiff will have the same name as the old one, and the old will have have the name "original_" appended.

The program can also handle TIFF files with a TFW world file containing registration information, although in that case you will probably have to set the UTM zone when you load the file.

The program will ignore all images in a geotiff after the first, and will warm you of this fact. It uses Tiff Tag 254 to identify a second image.

You must correctly identify the Geotiff as either an image or a DEM. The image can be opened as a DEM, but will not have all the imagery display options.

Once loaded, the GEOTIFF behaves like any other image or DEM.

Geotiff imagery and DEMs

Imagery stored in multiple files (one band per file).

The program will save maps in GEOTIFF format. Once saved in this format you have a dumb image, and if it was a DEM, it no longer has the elevation information. You can save the DEM as a Geotiff.

MICRODEM does not use Geotiff as its default grid format because:

  1. Geotiffs load more slowly than the MICRODEM format. Fixing this is on the to do list, but not the highest priority.
  2. MICRODEM stores the z units, which facilitates display and allowing appropriate options depending on the nature of the grid. GeoTIFF does not. As a workaround, MICRODEM uses a non-standard tag to store the z units.

GEOTIFF DEMs have the following characteristics and limitations:

  • Must be
    • 32 bit real numbers
    • 16 bit integers (signed)
    • 16 bit words (unsigned)
    • 8 bit bytes

Last revision 10/8/2021


GEOTIFF Multiband

GEOTIFF Multiband, Multifile Satellite Imagery

Some satellite imagery in GEOTIFF format, with each band in a separate file

  • Landsat data from USGS
  • IKONOS 1 and 4 m imagery
    1. Open a single band. It must have 'BLU' or 'GRN' or 'RED' or 'NIR' in characters 10-12 of the file name.
    2. Confirm that you want to open the 4 band, 4 m IKONOS data.
    3. Use like any other image.
    4. This uses the file naming scheme on the data sets I have seen. If this is not standard, you will be prompted to enter the data set names.
  • QuickBird 0.61 and 1 m imagery

The GEOTIFF data files can be used in different ways depending on the data set:

Last revision 3/28/2022


Geowall

Dual projector system for inexpensive group 3D stereo viewing.

Last modification 6/4/2015


Getting ICEsat and ICESat-2 data

  • http://openaltimetry.org/ for data from ICESat and ICESat-2. You can get CSV or HDF5 (which you would have to convert to GIS format on your own, say in Matlab)
    • Select Browse for the satellite you want
    • The quick start tutorial might be helpful
  • Navigate the map to desired area. Track points will appear as you zoom in, and in the upper left, you will see the percentage of the points that show on screen. This number increases as you zoom in. Becasue the orbits shift with its cycle, you will actually get data somewhere between the track and its two neighbors.
ICESat-2

  • Product information in the upper right describes the types of data. You probably want ATL08: ATLAS/ICESat-2 L3A Land and Vegetation Height.
  • Select a region, using the button on the upper left
  • Click on the track you want.
  • Pick the date from those available
  • Insure that the points on the desired profile appear; it is easy to leave them with the past profile
  • Click in the region, on the highlighted orbit, and click on one of the dates which should trigger the display of some of the points, and then view ATL08 elevation profile from the popup menu.
    • You want to use the section of the form with the red rectangles on the screen capture to the left.
    • Insure that you have gotten a new track. The program tends to retain the same track, especially if you did not pick the track with the date option. The track number will be on the title for the graph. The track will also be in the files names, after the date
    • Insure you are downloading the Elevation Profile (ATL08), and not the ATL06 (Land Ice Surface) or ATL12 (Ocean Surface) or the ATL13 (inland waters). If you get these, you will have to do a lot of manipulation with the data to make it workable. Which of the products appear depends on the location. The Red X's shows where you do not want to download data if you are looking for elevations on land.
    • The track will not be in the download file names, but is inside the CSV data.
    • If there are multiple dates, you can switch among them on the top of the form.
    • The 3D viewer option below can be useful
    • All 6 beams will be in the same download file; you can Filter to only display one beam; if you zoom in, you will see the separate ground tracks. This will show the ground and the top of the canopy, and uncertainty estimates.
  • You can also view the ATL02 photons (which leads to much larger data sets)
    • Pick the tab above the graph to switch between photons and elevations
    • Each beam will be a separate download. The beam name will be in the xml metadata file.
    • There is a confidence value, 0-4, for Noise, Buffer, Low, Medium, High
    • The 3D viewer option below can be useful, but may be slow with the volume of data to display
    • Icesat-2 photon data to LAS which will transfrom to geoid, and can merge multiple input files
  • Data volumes can be large, and consider the area needed carefully. Excel might choke on some of the files, but MICRODEM should be able to use them.
  • Heights will be on WGS84 ellipsoid.
  • Prep the data

ICESat
  • Click select a region button on the upper left of the left.
  • Draw a box
  • Pick Download data as a CSV file
  • All data in the box will be downloaded. You can Filter on the TRACK or CAMPAIGN. If you combine these two fields into a single string field, you can get profiles
  • There will be a single elevation at each point
  • Data volume will be small, so you can pick fairly large areas.
  • There is no metdata, just the CSV
  • Elevations are referenced to Topex/Poseidon/Jason ellipsoid, which is close to the WGS84 ellipsoid ftp://sidads.colorado.edu/pub/DATASETS/icesat/tools/idl/ellipsoid/README_ellipsoid.txt
  • Prep the data

Prep the ICESat-2 data

  • Download data as CSV, unzip with decompress option in MICRODEM (File, Tools menu) which will allow selection of multiple files, and puts them in the same directory and not subdirectories.
  • With an open map, import the CSV files. This process can be slow, but in future operations you should open the DBF file and not the CSV file.
    • You can merge multiple CSV files into one DBF on the Database menu. You can Filter this by date, track, or beam.
      • The makes some operations easier if you want to look at a large area and are not concerned about the dates the data was collected.
      • It makes it harder to look at the different dates (you have to filter), but there is an automatic filter for the most important graph.
      • This will automatically doe the ICESat-2 file cleanup
    • Open database (shapefile) in MICRODEM which can keep each track in its own databaase
  • From the DB: Stats Menu, Point clouds to analysze global DEMs, ICESat-2 file cleanup if you did not already do it.
    • Gets the geoid, and makes geoid heights for the ground and canopy top from then the geoid offset from the WGS84 ellipsoid.
    • Extracts the date from the FILE_NAME field
    • Limits the excessive decimals for some of the fields
    • This process can be slow
  • If you want to analyze by time
    • Edit, Date/TIME, Split date field (YYYYMMDD)
    • Edit, Date/TIME, Time fields to dec years
  • If you want to look at landcover
    • Open the land cover to match your map area. Copernicus 100 m data will be the best choice unless you want to go back farther in time
    • Edit, DEM, Add nearest integer elevation from DEM: required for things like landcover when you want to filter the DB by category
    • You can then Filter uisng the landcover category number
    • If you want to track landcover change over time
      • Open each of the data sets.\
      • Subset & zoom one map to get just the area you want
      • File, Match other maps, This coverage area
      • On each map, Right click on map, Popup Legends
      • Report, Export HTML, Single table. In addition to opening in a browser, the table will be on the clipboard and you can paste it into Excel.
      • In Excel you can combine the various years.

Last revision 2/5/2023


Convert PLSS to Lat/Long

On the Calculate: menu.

You must have a valid PLSS data base defined.

Build up a PLSS location string using the controls.

When you have the section, township, and range entered, the program will compute the lat/long at the center of the element.

You can optionally add the 1/4 section, and the 1/4-1/4 section.

Last revision 9/19/2009


GIS Scaled Symbols

GIS Color from DB Numeric Field

Picked from the "Plot" button menu on the database table display window.

 Pick color palette and range of values to use for assigning colors
Pick field to use; it can be from a joined table, indicated with "LINK-".
  • Field lists the range of values in the field in the data base, as filtered.
  • Color range lists the color range picked with the Pick color palette option.
Scaling: linear, quantile, or log. You must use a chloropleth color scheme for quantiles.

Legend caption:

Bottom panel controls:
  • Color from string field
  • Color from numeric field

Using the Range accessory file can greatly speed this up.

Last revision 1/11/2017


Country data sites

Free Country GIS Sources

State sites Key data General free data

Caveats on these lists.
Country | Data sites | Nationals Datums and Conversion to EGM
Afghanistan | 1:250K geologic maps: http://pubs.usgs.gov/of/afghan/
Arctic/Antarctica

Antarctic:

  • http://usarc.usgs.gov/
  • https://tc.copernicus.org/articles/13/665/2019/tc-13-665-2019.pdf
  • https://www.pgc.umn.edu/data/rema/
  • Dry Valleys lidar: http://data.pgc.umn.edu/elev/dem/ncalm/2014/

Gazetteers: http://data.aad.gov.au/aadc/gaz/scar/ (registration required; may have duplicate entries)

Arctic

  • Arctic DEM
  • IBCAO
Austria http://data.opendataportal.at/dataset
Australia: http://www.ga.gov.au/
Bathymetry: http://www.ga.gov.au/scientific-topics/marine/bathymetry#
Fire recovery lidar and related data sets: https://www.airborneresearch.org.au/
https://data.gov.au/
http://www.ga.gov.au/scientific-topics/national-location-information/digital-elevation-data
Bathy: https://elevation.fsdf.org.au/
Lidar at https://elevation.fsdf.org.au/
5 m lidar derived DEM: https://ecat.ga.gov.au/geonetwork/srv/eng/catalog.search#/metadata/89644
Botswana | Geoscience portal: http://geoscienceportal.geosoft.com/Botswana/search?
Brazil | The Sustainable Landscapes project here in Brazil made some LiDAR datasets (very small in area) available: https://www.paisagenslidar.cnptia.embrapa.br/webgis/
Canada:
  • Satellite imagery, elevation data, and air photos (canada.ca)
  • DEMs: https://open.canada.ca/data/en/dataset/957782bf-847c-4644-a757-e383c0057995 use the KMZ file. 1 and 2 m grids, with 10x10 km or 20x20 km tiles, with both DTM and DSM. Incomplete coverage
  • Canadian Hydrographic Service
    • http://www.charts.gc.ca/index-eng.html
    • https://data.chs-shc.ca/map 10 m and 100 m bathy grids. Zoom in to see the 10 m grids. Directions with the ? on the lower left corner of the map. After selecting, bottom button on the top right brings up list of products. Get Geotiffs. Required GDAL
  • https://www.nrcan.gc.ca/earth-sciences/geography/topographic-information/free-data-geogratis/11042
  • British Columbia lidar: https://governmentofbc.maps.arcgis.com/apps/MapSeries/index.html?appid=d06b37979b0c4709b7fcf2a1ed458e03
  • Nova Scotia:
    • https://data.novascotia.ca/browse?q=lidar%20point%20cloud&sortBy=relevance&utf8=%E2%9C%93
    • 20 m DEM https://novascotia.ca/natr/meb/download/dp055.asp
    • https://nsgi.novascotia.ca/datalocator/elevation/
    • https://gans.ca/Nova-Scotia-Geospatial-Data-Resources
    • Lidar, point clouds and derived https://geonova.novascotia.ca/news-blog/new-provincial-lidar-available
  • New Brunswick lidar and DEMs: http://geonb.snb.ca/li/index.html and https://geonb.snb.ca/nbdem/ and https://geonb.snb.ca/li/
  • Lidar: https://canadiangis.com/free-canada-lidar-data.php
  • City of Vancouver lidar, 2013 and 2018: https://opendata.vancouver.ca/explore/dataset/lidar-2013/map/?location=11,49.25672,-123.12374
China | Depth to bedrock: http://globalchange.bnu.edu.cn/research/cdtb.jsp
Denmark https://eng.sdfi.dk/data/the-danish-elevation-model-dk-dem
https://datafordeler.dk/dataoversigt/?emne=landkort%20og%20geografi

Lidar: http://download.kortforsyningen.dk/ . You will have to set up an account. May have to use ftp download from ftp.kortforsyningen.dk, which might have to be from an internet connection that has "reasonable" (not IT paranoid) security settings.
Estonia | Lidar: multi years, leaf on, leaf off: http://inspire.maaamet.ee/
Finland
  • https://tiedostopalvelu.maanmittauslaitos.fi/tp/kartta?lang=en Download LAZ files
  • http://www.flickr.com/photos/65726513@N00/sets/72157622857163259/ images of the lidar 2 m DEMs
  • http://viestinta2.kpakk.fi/mine/uploads/pdf/kaivosseminaari_esitykset/torstai/vanne/kaivosseminaari_lidar.pdf (Finnish, but understandable for English speakers)
France
  • http://www.geoportail.gouv.fr/accueil: includes browser with the Cassini map and the 1820-1866 maps. French only.
  • Marine
    • http://diffusion.shom.fr/
    • http://data.shom.fr/
  • 1 m DEM https://geoservices.ign.fr/rgealti : several GB files by department, with 1000's of tiles. ASC format, with the
    • DEMs in RGEALTI_MNT_1M_ASC_RGR92UTM40S_REUN89_D974_20210119
    • prj in RGEALTI_2-0_1M_ASC_RGR92UTM40S-REUN89_D974_2016-03-11\RGEALTI\3_SUPPLEMENTS_LIVRAISON_2021-01-00163\RGEALTI_MNT_1M_ASC_RGR92UTM40S_REUN89_D974_20210119
Gabon | Forest Atlas: http://gab-data.forest-atlas.org/
Germany
  • Thuringen: http://geoportal-th.de/ (may respond slowly)
  • North Westfalen: https://open.nrw/de/startseite
  • Saxony: LAS and DEM, geodaten.sachsen.de
  • Thuringa: https://www.geodaten.sachsen.de/digitale-hoehenmodelle-3994.html DTM, DSM, LAZ point clouds
Greenland
  • http://www.greenmin.gl/home.seam
  • http://www.geus.dk/digital_data_maps/digital_data_maps-uk.htm
Haiti | Haiti earthquake, from RIT, with LAS point clouds, DSMs, and DTMs http://waspftp.cis.rit.edu/
Ireland Dublin lidar, 300 points per square meter, https://geo.nyu.edu/catalog/nyu_2451_38684
Lidar grids: https://data.gov.ie/dataset/open-topographic-lidar-data
Iceland
  • http://gatt.lmi.is/geoportal122/catalog/main/home.page
  • https://gatt.lmi.is/geonetwork/srv/eng/catalog.search#/home
  • See also Arctic NGA portal
Indonesia 8 m DEM: http://tides.big.go.id/DEMNAS/login.php
topo and bathy http://tides.big.go.id/DEMNAS/
Italy:

http://www.pcn.minambiente.it/GN/index.php?lan=en English option, but lidar not available for free download (2/2019)

https://tinitaly.pi.ingv.it/ 10 m DEM

archaeological-lidar-in-italy-enhancing-research-with-publicly-accessible-data

Provinces

  • https://siat.provincia.tn.it/stem/ Trento province: . Issues with metadata (probably UTM zone 32, EPSG 25832; get a WKT from). Limited to about 10 MB files.
    • Top right on searches, pick a mode of selection, top button, activate
    • Draw box (a few tiles)
    • Pick data set. The DTM and DSM appear only avaialable in ASC or XYZ format. There are hillshades in Geotiff
    • Pick download
    • use the blue link icon to download to your hard disk
    • You get a zip of zips of small tiles
  • http://geokatalog.buergernetz.bz.it/geokatalog/#! Bolsano province. Pick your data set, area, and provide an email. Watch out for a reply when it is ready, which will be in German and not immediately obvious what it is.
Latvia | Free nationwide lidar: https://www.lgia.gov.lv/lv/Digit%C4%81lais%20virsmas%20modelis
Luxembourg https://data.public.lu/en/datasets/bd-l-mnt5/
https://data.public.lu/en/datasets/lidar-2019-releve-3d-du-territoire-luxembourgeois/
Mexico
  • Index to Mexican data: https://cicese1.maps.arcgis.com/apps/webappviewer/index.html?id=6d6d62e7c3344da9897be66f861541ad
  • http://www.inegi.org.mx/geo/contenidos/datosrelieve/continental/presentacion.aspx has 5 m DSM and DTM, most of country (if broken, try next link)
  • http://www.beta.inegi.org.mx/temas/mapas/relieve/continental/
  • http://lidar.guadalajara.gob.mx/ City lidar
https://www.isgeoid.polimi.it/Geoid/America/Mexico/mexico10_g.html has a text file which probably can be converted to a grid of 2.5 minute resolution referenced to the GRS80 ellipsoid, which is very close to WGS84

https://dataservices.gfz-potsdam.de/isg/showshort.php?id=49d6f9ea-387a-11eb-9603-497c92695674
Morocco
  • 10 m Sentinel-2 composite, http://due.esrin.esa.int/page_s2composites.php Small (~200MB unregistered tiffs for a number of cites, multi-GB for the northern part of the country, which have registration)
  • Geologic map, http://www.mediafire.com/file/7vhwkevolkm94bl/g%C3%A9ologie+maroc.zip
Netherlands
  • ANH1 lidar (4-5 m point spacing) : http://geodata.nationaalgeoregister.nl/ahn1/atom/ahn1_gefilterd.xml
  • NHN2 lidar (9 points per square meter): http://geodata.nationaalgeoregister.nl/ahn2/atom/ahn2_uitgefilterd.xml No metadata with downloads.
  • Buildings: http://3dbag.bk.tudelft.nl/
  • https://www.ahn.nl/ahn-viewer?origin=/common-nlm/viewer.html Probably projection will be, and you will have to reproject:
    Amersfoort / RD New
    EPSG::28992
New Zealand
  • DRGs and shapefiles with map data; 1 m DSM and DTM: http://topo.linz.govt.nz/
  • https://data.linz.govt.nz/search/?page=2&q=dem 1 m lidar DEM. File size in the GB to 10's GB, with thousands of files in the zip
 https://www.linz.govt.nz/data/geodetic-system/datums-projections-and-heights/vertical-datums/new-zealand-quasigeoid-2016-nzgeoid2016
Vertical datum, about a dozen subgrids with shift: https://www.linz.govt.nz/data/geodetic-system/datums-projections-and-heights/vertical-datums/vertical-datum-relationship-grids
Online converter (does not do EGM): https://www.geodesy.linz.govt.nz/concord/
Norway Lidar: https://hoydedata.no/ (Switch to English with button on the upper right, next to Log in). You can view the point clouds in POTREE online. To download use the pop out on the left side of the map.
Topo maps, MrSid: https://kartverket.no/Kart/Hele-Norge-rett-i-lomma/ 		Uses NN2000 geoid model. https://www.agisoft.com/downloads/geoids/ has a Geotiff
Philippines
  • https://phillidar-dad.github.io/taal-open-lidar.html
Poland
  • http://geoportal.pgi.gov.pl/portal/page/portal/PIGMainExtranet
  • https://baza.pgi.gov.pl/en
  • DEM and LAS: https://mapy.geoportal.gov.pl/imap/Imgp_2.html
Polar | http://nsidc.org/data/dems/index.html (Greenland and Antarctica)
Saudi Arabia | http://geoportal.sa/GCS/WebPages/Map/FundyViewer.aspx?THEME=Sapphire will do English; could not figure out how to download any data
Slovakia | https://zbgis.skgeodesy.sk/mkzbgis/en/teren?bm=dmr&z=8&c=19.530000,48.800000# 2 square km size limit, and frustrating interface
Slovenia

Lildar: http://gis.arso.gov.si/evode/profile.aspx?id=atlas_voda_Lidar@Arso You want the LAZ files, and the GKOT variant which will have tiles starting the TM (the OTR variant, with TMR file names, have only ground points; these have very nice classification) D96TM now have Geoid Koiper reference. They will be EPSG 3794, and you want UTM zone

https://www.e-prostor.gov.si/zbirke-prostorskih-podatkov/drzavni-prostorski-koordinatni-sistem/vertikalna-sestavina/visinska-referencna-ploskev-geoid/ has the vertical datum transformations
Spain
  • http://centrodedescargas.cnig.es/CentroDescargas/locale?request_locale=en (DEMs 5, 25, and 200 m; lots of other data; now has lidar).
    • On one of the datasets you want to download, pick the by map option
    • Add any other datasets
    • Has a Java bulk downloader; you get a file, which you click on and it does a Java based download that is sometimes fast and convenient. If you download several data sets, you can run multiple Java downloads without slowing down. A download JNLP file will be created. It must open in Java, and will then download the files. It can be very fussy (not happy in Chrome, so you might have to use another browser or start the JNLP file manually)
    • Lidar
      • Lidar point clouds are UTM, but some of the LAZ files do not have that information so you will have to add it.
      • There are both RGB (RGB or COL in the names) and CNIR (CIR or IRC in the names) files, which you will want to separate into different directories if you get both; you can also get just one or the other, using the leftmost "thematic" or "topic" selection on the filter portion of the results, which will halve the size of the download.
      • You can download individual tiles
      • Using the + button on the right, you can add all files to the cart
      • Go to the cart, and start download
      • 2/5/2022: could not get the Java bulk downloads to work. Java has removed the tool from the current builds, and the work aroud of https://openwebstart.com/ would not work.
    • Grids in ASC format. The UTM zone is the "HU29" "HU30" in the file name. Put the appropriate WKT file in the folder with the DEMs, and then use the open and merge commands. The 2 m DTM and 5 m DSM are probably the most useful.
  • Provinces and local areas--these are old and might not be as good as the national site
    • La Rioja: http://www.iderioja.larioja.org/index.php?lang=en
    • Gipuzko (north) http://b5m.gipuzkoa.net/url5000/en/G_22485/PUBLI&consulta=HAZLIDAR
    • La Rioja https://www.iderioja.larioja.org/vct/index.php?c=46757a356c32636e39766143325861395a2b352b4c773d3d
    • Navarra: ftp://ftp.cartografia.navarra.es/5_LIDAR/ (ftp, so your IT might block in browser, but it works)
 EGM2008-REDNAP

http://www.geoinstitutos.com/noticias/Espa%C3%B1a/287/publicado-el-nuevo-modelo-de-geoide-para-espana-egm08-rednap
UGF files at https://support.oxts.com/hc/en-us/articles/115005711989-Custom-geoid-files but I don't know how to use them

The calculation of the undulation of the geoid is carried out using the EGM2008 - REDNAP model. This model is an adaptation of the EGM2008 world geoid model from the National Geospatial Intelligence Agency to the vertical reference system in Spain ( REDNAP ).

For the transformation of altimetric data according to INSPIRE specifications, the undulation is also calculated in the European Vertical Reference System (EVRS), which differs by an average of 49 cm from the Alicante datum, official in Spain.

The grid of the EGM2008-REDNAP model has limits of 35º to 44º of latitude and of 9º 30 'W to 4º 30' E in longitude in the case of Peninsula, Balearic Islands, Ceuta and Melilla. In the case of the Canary Islands, the limit of the grid is from 27º 30 'to 29º 30' of latitude N and from 18º 30 'to 13º of longitude W.

Both grids are available from the PAG with a regular 1 'x 1' mesh pitch in ASCII format, in the same format as the NGIA. They can also be obtained from the FTP server of the Geodesy Area in many other formats usable by the main software.

If the given point is outside the bounds of the grid, the undulation of the geoid will not be calculated.

ftp.geodesia.ign.es/ Use IE, mabye not at work if they keep you too safe. Get the TIF files in the geoide/GTG directory.
Sweden | Sweden "Laser Forest Data, 1-2 points/m^2", https://www.lantmateriet.se/en/maps-and-geographic-information/oppna-data/hamta-oppna-geodata/ , horizontal SWERED99 TM (EPSG 3006) and elevations RH2000 height (EPSG code 5613)
Switzerland

National lidar: https://www.swisstopo.admin.ch/de/geodata/height/surface3d.html

  • Select, and download a CSV file (which is just a text file with the list of tiles) and then batch download
  • No registration in LAS files. They are LV95, which is EPSG 2056 and you should convert to UTM32 with lastools (but that is not yet allowed)
  • You can perform this transformation (ch1903+ to UTM32N) with Geosuite (free usage since March 2021): https://www.swisstopo.admin.ch/de/geodata/applications/geosoftware/geosuite.html. Within the software go to tools > batch transformer > add the files you want to transform(only .las supported) > Add the module Reframe and the desired transformation (UTM32N is a possible output).

Zurich canton lidar

  • simple: http://maps.zh.ch/download/hoehen/2014/lidar/
  • fancy: http://maps.zh.ch/?topic=LidarZH&offlayers=dom2014hillshade
Uruguay

https://www.gub.uy/infraestructura-datos-espaciales/geoservicios-ideuy (spanish only!)

In the site (which is awful!) there are some raw data/geoservices for:

a) MDE for rural areas, 2.5 m resolution, EPSG 5382, as TIF or LAS

b) MDS for urban areas, 0.10 m resolution, EPSG 5382, as TIF or LAS

c) rural orthoimagery, 0.32 m resolution, EPSG 5382, as TIF or JPG.

d) urban orthoimagery, 0.10 m resolution, EPGS 5382, as TIF only
UK
  • https://www.ordnancesurvey.co.uk/opendatadownload/products.html
  • Lidar DSM/DTM at 2 m, 1 m, and 0.5 m resolutions: (with directions on use in MICRODEM)
  • UK OS DEM (with directions on use in MICRODEM)
  • Lidar point clouds: http://environment.data.gov.uk/ds/survey/#/survey This are in EPSG 27700, which you must convert to UTM in MICRODEM. now at https://environment.data.gov.uk/DefraDataDownload/?Mode=survey
  • Canals: http://data-canalrivertrust.opendata.arcgis.com/

Scotland:

  • https://maps.nls.uk/ National Library of Scotland, digital maps. Includes map of battlefields in France from the World Wars
  • https://remotesensingdata.gov.scot/ (includes partial lidar coverage)

Wales: http://lle.gov.wales/Catalogue/Item/LidarCompositeDataset/?lang=en

https://www.ordnancesurvey.co.uk/documents/resources/updated-transformations-uk-ireland-geoid-model.pdf
Viet Nam | http://www.lib.utexas.edu/maps/topo/vietnam/ GeoPDFs of 1:50K AMS sheets

Last revision 8/19/2021


GIS Dissolve

The dissolve operation takes many small vector records, and combines them in larger, connected segments. Often road networks or coastlines will be composed of many small segments, and operations may work better if they are merged.

Options to dissolve lines (like Tiger roads or coastlines)
  • Use QGIS
    • Open QGIS
    • Open vector layer
    • Vector, geoprocessing, dissolve
    • Save the resulting shapefile for use in MICRODEM

Last revision 11/4/2019


GIS plot monhtly filter

GIS Plots Monthly Filter

Selected from the PLOT button on the table display window.

Pick months: (only available for annual data sets)

  • Pick particular month with the radio button.
  • Cycle through months with the < and > buttons.
  • If present, the clear button removes the month filter and plots all the data.
  • Label month puts the month, and the number of readings, in the upper left corner of the map.

Last revision 17/2017


GIS Product Gallery

Sample output from MICRODEM. Main Product Gallery.

 Vector Products

Scaled symbols

Vector (magnitude and direction) overlays

Color coding of area shape file with a linked field.

Color database from string field

Color database from numeric field

Point separation map

Label records in database.

Legislative redistricting

Economic and demographic data from Census Bureau data
Normalizing for area. The plot on the left shows the number of tornadoes per county, and the one on the right show the number of tornadoes per square kilometer by county.

Last revision 1/11/2017


GIS Programs

Long ago, GIS and remote sensing were very different types of programs. Data came only on large 9 track tapes, and first PCs had limited capabilities and its was very hard to get data loaded. As time went on, the programs expanded in capabily and developed many overlapping functions. They also broadened to converge in part in computed-assisted design, with engineering programs like AutoCad, and with building inventory management (BIM) software. This history means that different terms have be applied to the same concepts, and that even such things as coordinates are not standardized--for example satellite images generally start coordinates in the upper left, with x increasing to the right and y down, while most GIS data like DEMs starts in the lower left with a standard Cartesian grid.

Category | Primary Example | Ohter programs
Commercial | ArcGIS | Global Mapper
Freeware/open source | QGIS (with GRASS plugin) | MICRODEM SAGA Whitebox ILWIS

For many people, GIS means ArcGIS like the Microsoft products mean word processors, spreadsheets, and presentation. ESRI makes ArcGIS (historically there have been other products, like ArcView and ArcInfo, and components like ArcCatalog which have been coupled loosely or tightly integrated), and while ESRI once stood for something, it's now just ESRI. Like Microsoft, ESRI has bought some standardization to the GIS arena, for example shapefiles, but has also championed proprietary formats like Geodatabases or zLAS which competes with the open standard LAZ for lidar data.

If you rely on open data formats, all the programs will produce very similar results for the most common GIS operations. If you need specialized operations, your choices might be limited to whichever program can do what you need. But with the common formats like shapefiles, Geotiffs, and LAS, you can take data into any of the programs, and export the results to any of the others.

This will focus on MICRODEM, because I think:

  • It has a slightly easier interface.
  • It has a number of options for teaching, to show things to help understand the principles behind the program.
  • It has some specialized options for geology, physical geography, and oceanography.

Once you understand the principles of data and GIS operations, you should be able to adapt to a different program. Note that all the programs evolve, and knowing one today may not help in the next version, so you need flexibility.

GIS libraries and command line programs

  • MICRODEM can call a number of external programs, which are widely used in the GIS community.
  • You may need to use GDAL or LAStools for your project. When picking a project, consult the instructor on data issues, and request assistance if needed.

last revision 10/26/2021


GIS Project Management

  • Organize your data
    • Name files sensibly, and put them in subdirectories
    • Consider putting the current project directory in the Quick Access section of File Explorer while you need it often. You can pin it there while working, and remove it when done.
    • While working on a project, make its path very simple, with No Spaces in file name including the full path. While working, you will need to do a lot of moving and checking files, and make this as easy as possible for yourself. This can involve having to use command line tools, and they will be infinitely easier to use with short paths.
    • When the project is done, you can archive it and bury it as deep as you want in the directory structure, at which point you might also delete any remaining ZIP files, and temporary data sets.
  • When downloading data, get too much in preference to too little. It is much easier to clip the data set compared to having to go back and get a bigger data set. Obviously this is easier to do with low resolution data; once you move to GB sized data sets, being judicious in picking the extent is much more important.
  • If you have to import data through GDAL, consider then saving it in a MICRODEM native format to speed up opening it if you will use the data set a lot. This also applies if you need to fill holes, deal with incorrect setting of missing data, or deal with other data set anomalies.
    • File, Save DEM, Entire DEM, MD DEM or GeoTIFF (if you want to export to other software)
  • Once you have the data, if the data set is large, consider subsetting. You can do this with both raster and vector data.
    • For a vector point data, use Report on the DB table display. This will save with any current filter applied, and will remove hidden fields. If you have a lot of fields, it can be very hard to see the ones you want, and removing fields you do not want will be helpful. If you keep the original file you have a backup if you misjudge and later need a field.
      • For point data, use Report, DBF table. If you later need to share with other software, you can recreate the SHP and SHX files.
      • For a vector line or area shapefile, use Report, Shapefile export.
    • For a DEM
      • File, Save DEM, Current subset, MD DEM
      • File, Save DEM, Portion of DEM with data which will remove any missing data along the edges

Last Updated on 1/3/2023


GIS Record Labels

If you select the "Label" checkbox when plotting a database, you will get an additional panel on the plotting form:

Pick
  • Field to use for the labels
  • Font: name, color, and size
  • Secondary label, which will be below the primary label, and can use a different font.
  • Avoid label overprints (by leaving some blank in they are closely spaced)
  • Skip factor: how many records to skip (to avoid clutter)
  • Max decimals to show if label is a number.

If the GIS has one of the following fields ('NAME', 'FEATURE', or 'FENAME') that field will be selected as the default label. The first of these fields encountered will be selected. You can override the selection and that choice will be remembered.

You can label the GIS records automatically every time when the program opens if:

  • Set "GIS label first time" on the Database Tab on the options form.
  • Set "Save data base status" on the Database Tab on the options form to store the current display options.
  • Manually set the labels once with "Label all records" on the Plot button on the GIS database table display window. This will set the field used for the labels, which will then be saved with the database.
  • Clear the labels by unchecking the label checkbox

Last revision 1/7/2017


GIS Scaled Symbols

GIS Scaled Symbols (True Type Fonts)

Pick from "Plot" button menu on database table display window. These will plot at the location of a point record, and the centroid for lines and areas.

Plot

  • Squares
  • Circles
  • Symbol options. Use any True Type font on the computer, such as
    • Wingdings (standard Windows font)
    • Military symbols
    • Disaster relief
    • Other downloads......

Color options

Size Options;

  • Use either the value from a numeric field, or a constant
  • Set the range of symbol size
  • Set the max and min values from the DB field to use for the size. Larger values will plot at the max, and smaller values at the min. This can allow the plot to ignore extreme values.
Bottom panel controls:

Map with scaled symbols selected from true type font. Depending on the map scale and the density of records, this can easily clutter the map.
Map with scaled circles. The area is proportional to the value, so the radius varies with the square root of the value. As with the symbols, this can clutter the map.

Last revision 1/11/2017


Free Data for US States

Free US State GIS Sources

State sites Country sites Key data General free data

Caveats on these lists.

State | Map Data Online
AK
  • http://www.asgdc.state.ak.us/
  • http://agdc.usgs.gov/data/
  • http://maps.dggs.alaska.gov/lidar/#-16000000:9338001:4
  • http://maps.dggs.alaska.gov/elevationdata/#-16000000:9338001:4
    http://www.dggs.alaska.gov/pubs/id/22722 High-resolution lidar data for Alaska infrastructure corridors
  • http://portal.aoos.org/#module-search?page=1&tagId=65&q= topography and bathymetry
  • http://akhydro.uaa.alaska.edu/data/nhd/ Hydography
AZ
  • Pima County: http://www.dot.pima.gov/gis/ftp/overview.cfm has 277 layers in shape file format
CA
  • https://gis.data.ca.gov/
  • San Francisco: https://data.sfgov.org/
  • Sonoma County lidar: http://sonomavegmap.org/
  • http://walrus.wr.usgs.gov/mapping/csmp/gis.html offshore bathy, high res grids
CO
CT
  • http://magic.lib.uconn.edu
  • http://magic.lib.uconn.edu/historical_maps.htm
DC
  • http://opendata.dc.gov/
  • Lidar: http://geospatial.dcgis.dc.gov/templates/dcfinder/s2.html?appid=62c9607bcfb349d5988e39390d50e995
DE
  • http://stateplanning.delaware.gov/dgdc/
FL
  • LABINS - Survey Data for Florida, aerial images. --DRGs, DOQQs. Lidar data from The Southwest Florida Water Management District (SWFWMD)
  • Geographic Information Systems | Florida Disaster
GA
  • https://data.georgiaspatial.org/login.asp?CookieTest=2 (must register)
HI
  • http://www.hawaii.gov/dbedt/gis/
  • http://www.vterrain.org/Hawaii/DRG/drg.html
  • http://www.soest.hawaii.edu/coasts/data/index.html
  • https://histategis.maps.arcgis.com/apps/webappviewer/index.html?id=7c22201923084f749e6626e3e195de71 lidar
IA
  • http://ortho.gis.iastate.edu/
  • http://www.iowadatacenter.org/ state census data
ID
IL | Lidar: https://clearinghouse.isgs.illinois.edu/data/elevation/illinois-height-modernization-ilhmp-lidar-data
IN
  • http://www.indiana.edu/~gisdata/
KS
  • http://www.kansasgis.org/
KY
  • http://kygeonet.ky.gov/
  • http://kymartian.ky.gov/demwebusgs/index.html (DEMs in SPCS)
  • ftp://ftp.kymartian.ky.gov/DEM_UTM (UTM DEMs)
  • https://kyfromabove.ky.gov/ includes imagery and lidar
LA
  • http://atlas.lsu.edu/ http://atlas.lsu.edu/lidar/
MA
  • http://www.state.ma.us/mgis/laylist.htm
  • http://www.mass.gov/mgis/massgis.htm
  • http://www.mass.gov/mgis/download.htm
  • http://www.mass.gov/mgis/colororthos2005.htm
  • Lidar, 2010-2015: https://www.mass.gov/info-details/massgis-data-lidar-terrain-data
MD
  • http://dnrweb.dnr.state.md.us/gis/data/ http://dnrweb.dnr.state.md.us/gis/data/data.asp
  • http://www.mdmerlin.net/
  • http://www.mgs.md.gov/coastal/maps/schangevect.html Historic shorelines
  • Anne Arundel County: http://www.aacounty.org/land-use/Land_Use__Reports/county-maps--gis-data
  • http://www.mdp.state.md.us/
  • Lidar point clouds: if NOAA Coastal Viewer has the data you want, it will let you select the projection, and will let you get only the area you want.
    • http://lidar.geodata.md.gov:8080/ExpressZip --pick surveys, pick an area, and a download zip will be created. Some counties appears to only be available in the Psuedo Mercator 3857 projection, which may be hard to use, and if you try to get multiple counties and one only has 3857, that is all you can get. The subset also does not appear to work.
    • https://imap.maryland.gov/Pages/lidar-download.aspx
  • index grid in the Topography Viewer ( https://geodata.md.gov/topoviewer/ ). When you open the topography viewer, look in the layers and tools on the right hand side about half way down you will see a Bulk Downloads option, check that box and the grid will display. Click in one of the cells and a pop up box will display showing you the block number. It will also provide an option to download that block, which tends to be very large.
  • Imagery: https://imap.maryland.gov/pages/imagery-overview
  • Maryland Geological Survey
    • Shoreline change: http://www.mgs.md.gov/coastal_geology/shoreline%20change.html, available by county or quad
ME
  • http://megis.maine.gov/catalog/
  • http://www.seagrant.umaine.edu/coastal-hazards-guide/maps-and-resources
MI
  • http://www.mcgi.state.mi.us/mgdl/ (Much of the Michigan data uses a currently unsupported and unique state plane coordinate projection)
  • http://www.mcgi.state.mi.us/mgdl/?action=thm
  • Detroit: https://data.detroitmi.gov/
MN
  • http://deli.dnr.state.mn.us/ --Department of Natural Resources data downloads
  • http://www.mngeo.state.mn.us/chouse/elevation/lidar.html DNR Lidar
  • ftp://ftp.lmic.state.mn.us/pub/data/elevation/lidar/
  • https://www.dnr.state.mn.us/maps/mntopo/index.html elevation data from lidar
MO
  • http://www.msdis.missouri.edu/
MS
MT
NB
NC
  • https://sdd.nc.gov/ requires account
  • http://www.cgia.state.nc.us/DataResources/tabid/55/Default.aspx
  • http://www.ncfloodmaps.com/--20 m and 50 ASC grids which MICRODEM displays, and raw XYZ files for bare earth which could be imported into the TIN module or gridded with GMT.
NH
  • http://www.granit.unh.edu/
  • http://www2.des.state.nh.us/gis/onestop/
NJ
  • https://njgin.state.nj.us/NJ_NJGINExplorer/index.jsp
NM
  • http://sar.lanl.gov/maps_by_name.html --DRGs
  • http://rgis.unm.edu
NV
  • Clark County, NV: http://gisgate.co.clark.nv.us/openweb/asp/openweb.asp
  • Keck Library: http://keck.library.unr.edu/datawarehouse.html
  • Hazards: https://gisweb.unr.edu/MyHAZARDS/
NY
  • PLUTO: NYC properties, http://www.nyc.gov/html/dcp/html/bytes/applbyte.shtml#pluto
OH
  • http://ogrip.oit.ohio.gov/ProjectsInitiatives/OSIPDataDownloads.aspx
OK
  • http://geo.ou.edu/cgi-bin/redesign.cgi?ft=db&template=DataState.htm&SORT=Subject,LayerName
OR
  • http://oregonexplorer.info/imagery/about/about.aspx?Res=17270 half meter imagery
  • https://www.oregon.gov/geo/Pages/imagery_data.aspx one foot current imagery, and older collections
  • https://www.oregongeology.org/lidar/index.htm. Download by 7.5'quads for 0.5 m grids with DSM,DTM, and lidar intensity, which are about 2 GB for each quad zipped. They will need to be reprojected to use in MICRODEM, for instance with QGIS.
PA
  • http://www.pasda.psu.edu/
  • http://www.pennpilot.psu.edu/
RI
  • http://www.rigis.org/
SC
  • LIDAR: http://www.dnr.sc.gov/GIS/lidar.html CLICK and NOAA have the LAS files
TN
TX
  • https://tnris.org/
  • http://magic.csr.utexas.edu/index.htm includes 2 m NAIP
UT
  • http://nrwrt1.nr.state.ut.us/quads/ (DOQs and DRGs)
  • ftp://ftp.agrc.state.ut.us/DOQMrSid/
VA
  • lidar, in zLas format:https://vgin.maps.arcgis.com/home/item.html?id=1e964be36b454a12a69a3ad0bc1473ce

https://www.arcgis.com/apps/Viewer/index.html?appid=1e964be36b454a12a69a3ad0bc1473ce

VT
  • http://vcgi.vermont.gov
WA
  • http://wagda.lib.washington.edu/
  • http://lidarportal.dnr.wa.gov/
  • Geology: https://www.dnr.wa.gov/programs-and-services/geology/publications-and-data/gis-data-and-databases
WV
  • http://www.wvgis.wvu.edu/
  • http://www.wvgis.wvu.edu/data/data.php
WY
  • http://www.sdvc.uwyo.edu/

Last revision 2/5/2020


GIS Vector Options

GIS Vector Plots

Selected from the PLOT button on the table display window.

Select properties for the vector overlay:

  • Polar coordinates, or x and y compenents. The appropriate option depends on the data set.
  • Thin: if there are a lot of points close together, you can plot only every nth record to make the map clearer. If this value is too large, you may not see enough vectors to understand the patterns. Larger values will also be faster to plot.
  • Fields to use for direction and magnitude, or u and v components. The direction is assumed to be the direction in which the vector points.
  • Line width and color. Color only applies if you select "Specified" for the color display.
  • Line multiple. This will be multiplied by the value in the magnitude field of the data base, and give the length in pixels of the line.
  • Color by max speed: set this value, and the rainbow color range will go from 0 to this value.
  • Arrowhead on the vector. or not.
  • Reverse arrows: for the direction of the vector for the arrowhead. This is appropriate for winds, which are by convention given as the direction from which the wind blows.
  • Autospace: insures the min spacing in pixels separates adjacent vectors. This should only be used for data sets on a regular grid.

Color options --select how vectors are colored.

Pick months: (only available for data sets with month field when you want to see the annual cycle)

Bottom panel controls:

Vector overlay of surface wind vectors in the vicinity of Hawaii from historic ship logs from 1750 to 1850.

Last revision 1/7/2017


GIS Map Window

Control how the database is displayed

  • Symbology used
  • Labels for records

Buttons on the map toolbar work with a database:

  • load the database.
  • ID: identify records in the database. Double clicking on a record will bring up a table with its attributes.
  • focal mechanism, only for earthquakes from the CMT project. Double click on an epicenter, and the beach ball will be drawn, and you can drag it to the desired location.

Perform other operations on the database table.

Last revision 12/3/2009


Global Land Cover 2000

This has not been tested recently; there are better and more current alternatives. Introduction to Landcover, and other sources of landcover data.

Download at https://forobs.jrc.ec.europa.eu/products/glc2000/products.php as a 35 MB file that uncompresses to a 650 MB file. Each pixel is 1/112 degree in size, about 1 km. There are also smaller files covering a continent or portion of a continent, but these might use a slightly different classification scheme. Your choice for format should be TIFF, then ESRI, then IMG. ESRI and IMG requires GDAL. You should probably subset the file immediately to cover just your region of interest.

Last revision 1/13/2021


Global Terrorism Database

  • https://www.start.umd.edu/gtd/. May have problems with your institutional firewall with partially renders the page but won't allow it to do anything. You will have to deal with the fortress firewall defenders, or download at home.
    • After register, can download data as Excel file
    • has lat/long
    • In Excel
      • Change all commas to semicolons
      • Change all Unknown to nothing
    • Save as CSV
    • Import into DB
    • Filter out with just the region, dates, terror organization you need to get a workable file.
  • https://www.start.umd.edu/gtd/search/ This page works fine. (10/24/2019)
    • No export option found (Wikipedia says it can be done, and you can get it as a Geodatabase, which might be importable via GDAL, and should have coordinates), but you can cut and paste from the results into Excel
    • Filter the results to just what you want (country, group, time period). If you cannot find bulk download, make the filter as restictive as possible.
    • Change to 100 items per page
    • Cut and paste into excel. Repeat to get all the records.
    • Change the field names to <= 10 characters
    • Save as CSV
    • Import into DB
    • There are no coordinates; use a join from another database. Depending on the country and the challenges of names in different languages and alphabets, the success my vary.
      • Get the NGA gazetteer
        • Join the terror DB to the gazetteer, using the CITY and NAME fields
        • Add lat/long from the join to the terror database
      • Get OpenStreetMap for the area
        • Join the terror DB to the PLACES file from OSM, using the CITY and NAME fields
        • Add lat/long from the join to the terror database

Last revision 10/24/2019


Free global DEMs

Free Global or Quasi_Global DEMs

Free Global DEM | Spacing | Primary Source | Producer | Vertical Datum | Precision | Grid storage (Pixel-Is) | Longitudinal spacing | Acquired | Characteristics
SRTM (v3) | 1", 3" | C band radar | NASA | Orthometric EGM96 | Integer | Point | Constant | 2000 (11 days) | Does not cover high latitudes. Several editions, some of which may be PixelIsArea. Instantaneous snapshot of topography
ASTER GDEM (v3) | 1" | Stereo NIR imagery | NASA / METI | Orthometric EGM96 | Integer | Point | Constant | 2000-2013 | Coverage extends closer to the poles than SRTM.
ALOS World 3D AW3D30 v3.2 | 1" | Stereo pan imagery | JAXA | Orthometric EGM96 | Integer | Area | Variable | 2006-2011 |
NASDADEM | 1" | Reprocessed C band radar | NASA | Orthometric EGM96 | Integer or floating point | Point | Constant | 2000 (11 days) | Two beta versions, with and without hole filling. Complete reprocessing of SRTM. Final version in HGT format
Copernicus DEM GLO30 and GLO90 | 1", 3" | X band radar, Edited commercial WorldDEM | ESA/Airbus | Orthometric EGM2008 | Floating point | Point | Variable | 2010-2015 |
Tandem_X | 3" | X band radar | DLR | Ellipsoidal WGS84 | Floating point | Point | Variable | 2010-2015 | Derived from much higer resolution data which is only available commercially or by application for research.
MERIT | 3" | Radar + Stereo pan imagery | Univ. Tokyo | Orthometric EGM96 | Floating point | Area | Constant | 2000-2013 | Combines ASTER and SRTM. 5 degree tiles.

Notes:

  1. All are WGS84 horizontal datum
  2. All use the default TIFF orientation (code 274=1), with the first points in the file in the NW corner. The DTED format starts with the SW corner.
  3. All name tiles for the SE corner (USGS NED/3DEP names for the NW corner)
  4. Except for the HGT formats for SRTM and NASADEM, in MICRODEM all will need GDAL because of particular choices in the Geotiff format.

Other 1" DEMs you might consider:

  • "USGS 1 arc second DEM" (https://portal.opentopography.org/raster?opentopoID=OTNED.012021.4269.2 ) which is a terrible name because it includes data for Mexico and Canada
  • DTMs (reprocessing of one or more of the DEMs above; same concept as MERIT)
    • Hengl, T., Leal Parente, L., Krizan, J., & Bonannella, C. (2020). Continental Europe Digital Terrain Model at 30 m resolution based on GEDI, ICESat-2, AW3D, GLO-30, EUDEM, MERIT DEM and background layers (v0.3) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.4724549
      • Integer resolution, in decimeters. This will not work in areas with elevations above 3200 m
      • EGM2008, using the 5 arc degree correction surface
      • EPSG 3035 (LAEA)
      • Terrain derivatives https://zenodo.org/record/4495449#.YgUhvOrMLAQ
    • FABDEM (Forest And Buildings removed Copernicus DEM):
      • Data source, version 2: https://data.bris.ac.uk/data/dataset/s5hqmjcdj8yo2ibzi9b4ew3sn
      • Journal Paper: Hawker, Laurence and Uhe, Peter and Paulo, Luntadila and Sosa, Jeison and Savage, James and Sampson, Christopher and Neal, Jeffrey, 2022,A 30m global map of elevation with forests and buildings removed, Environmental Research Letters, 17 024016. https://iopscience.iop.org/article/10.1088/1748-9326/ac4d4f
      • The DEM is listed as "pixel-is-area", but with a half pixel offset to match the Copernicus "pixel-is-point"
      • The DEM is everywhere 1" longitude spacing
      • https://samapriya.github.io/awesome-gee-community-datasets/projects/fabdem/
    • EDTM
      • https://medium.com/nerd-for-tech/an-ensemble-digital-terrain-model-of-the-world-at-30-m-spatial-resolution-edtm30-b4fcff38164c
      • Ho, Y.-F., Hengl, T., Parente, L., (2023). Ensemble Digital Terrain Model (EDTM) of the world (Version 1.1) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.7634679
      • Elevations in decimeters
      • As of 9/2023, you should probably wait for version 2. Version 1.1 has some inconsistencies with pixel coordinates, and some visual artefacts in steeper terrain.

Directions for several of these DEMs from Open Topography

Free Global DEM Journal or conference paper. "Best" is top of the list Data set home page or product description Download location Metadata files Notes
SRTM (v3) Farr, T.G., Rosen, P.A., Caro, E., Crippen, R., Duren, R., Hensley, S., Kobrick, M., Paller, M., Rodriguez, E., Roth, L., Seal, D., Shaffer, S., Shimada, J., Umland, J., Werner, M., Oskin, M., Burbank, D., and Alsdorf, D. (2007). The Shuttle Radar Topography Mission. Reviews of Geophysics 45. https://doi.org/10.1029/2005RG000183 https://www.usgs.gov/centers/eros/science/usgs-eros-archive-digital-elevation-shuttle-radar-topography-mission-srtm-1-arc?qt-science_center_objects=0#qt-science_center_objects https://earthexplorer.usgs.gov/ None https://portal.opentopography.org/datasetMetadata?otCollectionID=OT.042013.4326.1

Do we want to link to OpenTopography, given that I think they do resampling?
ASTER GDEM (v3) Abrams, M., Crippen, R., Fujisada, H. ASTER Global Digital Elevation Model (GDEM) and ASTER Global Water Body Dataset (ASTWBD). Remote Sens. 2020, 12, 1156; doi:10.3390/rs12071156

Abrams, M., Bailey, B., Tsu, H., and Hato, M. (2010). The ASTER Global DEM. Photogrammetric Engineering and Remote Sensing 76, 344-348.

T. Tachikawa, M. Hato, M. Kaku and A. Iwasaki, "Characteristics of ASTER GDEM version 2," 2011 IEEE International Geoscience and Remote Sensing Symposium, 2011, pp. 3657-3660, doi: 10.1109/IGARSS.2011.6050017. 		https://lpdaac.usgs.gov/products/astgtmv003/ https://earthexplorer.usgs.gov/ .num grid with number of scenes used, and the source of fill data
ALOS World 3D AW3D30 v 3.2 Tadono, T., Nagai, H., Ishida, H., Oda, F., Naito, S., Minakawa, K., and Iwamoto, H. (2016). Generation of the 30 M-Mesh Global Digital Surface Model by ALOS PRISM. ISPRS - International Archives of the Photogrammetry, Remote Sensing and Spatial Information Sciences XLI-B4, 157-162. doi: 10.5194/isprsarchives-XLI-B4-157-2016

Tadono, T., Takaku,J., Tsutsui, K., F. Oda, and Nagai, N., 2015. "Status of ALOS World 3D (AW3D) global DSM generation. Proceeding 2015 IEEE International Geoscience and Remote Sensing Symposium (IGARSS), 3822-3825, doi:10.1109/IGARSS.2015.7326657

Tadono, T., Ishida, H., Oda, F., Naito, S., Minakawa, K., Iwamoto, H., 2014. Precise global DEM generation by ALOS PRISM. ISPRS Ann. Photogramm., Remote Sens. Spat. Inf. Sci. II-4, 71–76. https://www.isprs-ann-photogramm-remote-sens-spatial-inf-sci.net/II-4/71/2014/

Takaku, J., Tadono, T., Tsutsui, K., 2014. Generation of high resolution global DSM from ALOS PRISM. ISPRS — Int. Arch. Photogramm. Remote. Sens. Spat. Inf. Sci. XL-4, 243–248. https://www.int-arch-photogramm-remote-sens-spatial-inf-sci.net/XL-4/243/2014/
https://www.eorc.jaxa.jp/ALOS/en/aw3d/index_e.htm

https://www.eorc.jaxa.jp/ALOS/en/dataset/aw3d30/aw3d30_e.htm

Version 4 Product Description 		https://www.eorc.jaxa.jp/ALOS/en/aw3d30/index.htm .msk: mask for cloud, snow, sea, and indicates source if fill data

.stk--number of DSM scenes used
NASDADEM
 Crippen, R., Buckley, S., Agram, P., Belz, E., Gurrola, E., Hensley, S., Kobrick, M., Lavalle, M., Martin, J., Neumann, M., Nguyen, Q., Rosen, P., Shimada, J., Simard, M., and Tung, W. (2016). NASADEM Global Elevation Model: Methods and Progress. Int. Arch. Photogramm. Remote Sens. Spatial Inf. Sci. XLI-B4, 125-128. doi: 10.5194/isprs-archives-XLI-B4-125-2016 https://lpdaac.usgs.gov/products/nasadem_hgtv001/

https://lpdaac.usgs.gov/products/nasadem_shhpv001/ 		https://search.earthdata.nasa.gov/search?q=C1546314043-LPDAAC_ECS

 .num Source grid

.swb
Copernicus DEM GLO30, GLO90 Strobl, P. (2020). The new Copernicus digital elevation model. GSICS Quarterly, 14, 1, 17–18. https://elib.dlr.de/135371/1/GSICSquarterly_noaa_24758_DS1.pdf https://spacedata.copernicus.eu/collections/copernicus-digital-elevation-model

https://spacedata.copernicus.eu/documents/20123/121286/View-Server_-_User-Guide_latest.pdf/4fdcbd30-be74-b74b-5611-78569e9de9dd?t=1669023513612

https://spacedata.copernicus.eu/documents/20123/121239/GEO1988-CopernicusDEM-RP-001_ValidationReport_I3.0.pdf/c80c5e85-9aea-356d-c877-80d8b5e028bb?t=1668162072523 		https://finder.creodias.eu/

4 auxilliary grids https://portal.opentopography.org/datasetMetadata?otCollectionID=OT.032021.4326.1

Do we want to link to OpenTopography, given that they do resampling?
Tandem_X Rizzoli, P., Martone, M., Gonzalez, C., Wecklich, C., Borla Tridon, D., Brautigam, B., Bachmann, M., Schulze, D., Fritz, T., Huber, M., Wessel, B., Krieger, G., Zink, M., and Moreira, A., 2017. "Generation and performance assessment of the global TanDEM-X digital elevation model". ISPRS Journal of Photogrammetry and Remote Sensing, Vol 132, pp. 119-139.

Zink, M., Bachmann, M., Brautigam, B., Fritz, T., Hajnsek, I., Moreira, A., Wessel, B., and Krieger, G. (2014). TanDEM-X: The New Global DEM Takes Shape. Geoscience and Remote Sensing Magazine, IEEE 2, 8-23. doi: 10.1109/MGRS.2014.2318895 		https://geoservice.dlr.de/web/dataguide/tdm90/#introduction https://geoservice.dlr.de/web/dataguide/tdm90/#access Substantial
MERIT Yamazaki, D., D. Ikeshima, R. Tawatari, T. Yamaguchi, F. O'Loughlin, J. C. Neal, C. C. Sampson, S. Kanae, and P. D. Bates, 2017. "A high-accuracy map of global terrain elevations". Geophys. Res. Lett., 44, 5844-5853, https://doi.org/10.1002/2017GL072874 http://hydro.iis.u-tokyo.ac.jp/~yamadai/MERIT_DEM/
 http://hydro.iis.u-tokyo.ac.jp/~yamadai/MERIT_DEM/ None (?)

OpenTopography (Directions) now has:

  • SRTM
  • ALOS World 3D AW3D30
  • Copernicus DEM
  • NASDADEM

Higher resolution commercial alternatives.

EU 25 m LAEA DEM:

  • BigTIFF (tiles are 6 GB in a format MICRODEM can read, created by GDAL)
  • Covers EU. Tiles (1000 x 1000 km) are supplied in the full geographic extent, but no data for adjacent countries (e.g. Morocco)
  • https://land.copernicus.eu/imagery-in-situ/eu-dem/eu-dem-v1.1
  • Requires free registration and account

Last revision 8/21/2023


Global Geology

Global Geology Data Sets

GIS data layers for marine geology and plate tectonics native to MICRODEM.

  • Geology Grids
  • Geology vector data
  • Plate rotion model references

Additional data

  • Heat flow
  • Global seafloor fabric;
    • including fracture zones, extinct ridges, V-anomalies, discordant zones, and propagating rifts.
    • http://onlinelibrary.wiley.com/doi/10.1029/2011JB008413/full
  • Magnetic anomalies
  • Marine magnetic anomaly data
  • National Geochronological Database
  • World Stress Map:
    • Reinecker, J., Heidbach, O., Tingay, M., Sperner, B., & Müller, B. (2005): The 2005 release of the World Stress Map (available online at www.world-stress-map.org ).

Earthquake catalogs

  • Main USGS global earthquake data (Earthquake download directions). Download site: http://earthquake.usgs.gov/earthquakes/
  • University of Reno:http://www.seismo.unr.edu/Catalog/nbe-search.html
  • Northern California: http://quake.geo.berkeley.edu/ncedc/catalog-search.html
  • T-Phase earthquakes, PMEL (data 1996-2002 on EPR, and 1999-2003 on MAR)
  • http://www.ninepointfive.org/ 3D web visualization of earthquakes
  • Human induced earthquakes: http://inducedearthquakes.org/

Earthquake focal mechanisms

  • Global CMT
  • Italy CMT dataset: http://www.bo.ingv.it/RCMT/Italydataset.html
  • Japan (monthly, with focal mechanisms): http://www.hinet.bosai.go.jp/AQUA/aqua_catalogue.php?LANG=en
  • http://www.isc.ac.uk/iscbulletin/search/fmechanisms/
    • http://www.isc.ac.uk/iscbulletin/search/fmechanisms/csvoutput/
  • http://www.eas.slu.edu/eqc/eqcmt.html : focal mechanism and wave forms, by earthquake. Would need some work to get the data into the format used by MICRODEM.

Landslides and other Natural Disasters

  • EM-DAT: The OFDA/CRED International Disaster Database – www.emdat.be – Université catholique de Louvain – Brussels – Belgium. http://www.emdat.be/database
  • NatCatSERVICE is the most comprehensive natural catastrophe loss database in the world. Approximately 1,000 events are recorded and analyzed every year. http://www.munichre.com/en/reinsurance/business/non-life/georisks/natcatservice/default.aspx
  • Hazards Data Download, USGS: http://hddsexplorer.usgs.gov/
  • Tsunamis,
    • locations and runups http://www.ngdc.noaa.gov/hazard/tsu_db.shtml
    • Tsunami: http://www.ngdc.noaa.gov/hazard/tsu_db.shtml
  • Landslides
    • Rainfaill triggered Landslides
      • Landslides caused by precipitation: https://pmm.nasa.gov/applications/global-landslide-model
      • GLC, Global Landslide Catalog for rainfall triggered event: https://data.nasa.gov/Earth-Science/Global-Landslide-Catalog/h9d8-neg4/data
    • California:
      • https://maps.conservation.ca.gov/cgs/informationwarehouse/index.html?map=landslides
      • https://maps.conservation.ca.gov/cgs/lsi/app/
    • Kentucky
      • https://kgs.uky.edu/kygeode/geomap/?layoutid=25
      • https://kgs.uky.edu/kgsmap/helpfiles/landslide_help.shtm

California state waters: http://walrus.wr.usgs.gov/mapping/csmp/gis.html

US Geology Data Sets

  • Geologic maps
    • National Geologic Map Database http://ngmdb.usgs.gov/ngmdb/ngm_catalog.ora.html
    • State Geologic Maps--http://mrdata.usgs.gov/geology/state/ or http://tin.er.usgs.gov/geology/state/ as shapefiles and KMZ
  • Coastal erosion
    • California Cliff Erosion http://pubs.usgs.gov/of/2007/1112/
    • US shoreline erosion, NE: http://pubs.usgs.gov/of/2010/1119/data_catalog.html
  • GLORIA mosaics
    • http://walrus.wr.usgs.gov/gloria/gloria.html
    • http://walrus.wr.usgs.gov/gloria/
    • http://coastalmap.marine.usgs.gov/regional/contusa/gomex/gloria/GLORIA_images.html
    • http://coastalmap.marine.usgs.gov/regional/contusa/westcoast/pacificcoast/GLORIA_images.html
    • http://coastalmap.marine.usgs.gov/gloria/eastcst/index.html
    • http://coastalmap.marine.usgs.gov/gloria/pubsrefs.html
  • Geologic Map of North America (2005): http://ngmdb.usgs.gov/gmna/ 119 m zipped shapefile.
  • Geology of the conterminous US (King and Beikman, 1974): http://mrdata.usgs.gov/geology/kb.html
  • North America magnetic anomalies: from http://pubs.usgs.gov/of/2002/ofr-02-414/index.html, USGS Open-File Report 02-414. Data read with Oasis montaj Viewer 6.3, saved as FLT file, and opened in MICRODEM.
  • Great Basin Geology and Geothermal: http://www.unr.edu/Geothermal/datalist.html
  • UNC Sierra Nevada USGS Maps: http://geomaps.geosci.unc.edu/quads/quads.htm
  • North American Volcanic and Intrusive Rock Database (NAVDAT) http://www.navdat.org/
  • State Geological Surveys--http://www.stategeologists.org/
  • Fracking
    • https://www.dmr.nd.gov/OaGIMS/viewer.htm (for ND, can download shapefiles)
    • http://www.fractracker.org/category/articles/
    • https://api.tiles.mapbox.com/v4/wiredmaplab.khoba8jj/page.html?access_token=pk.eyJ1Ijoid2lyZWRtYXBsYWIiLCJhIjoiVXNSbEtxSSJ9.zTF03t8ogjPIEAouNzT4-Q#8/47.896/-102.206
  • https://mmis.doi.gov/BOEMMMIS/

International Geology

  • Active Andes (shapefile, KML, GMT, 150 MB each): https://documents.ku.edu/ORGS/Academics/College%20of%20Liberal%20Arts%20and%20Sciences/Geology/ActiveAndesMap/ATA-1.0/

Plate Tectonics

  • ODSN (Ocean drilling stratigraphic network) http://www.odsn.de/

Geology Data sets:

Geologic maps

  • US, Arc View http://minerals.usgs.gov/kb/kb.html

USGS on-line pubs: http://www.usgs.gov/pubprod/

Plate boundaries:

  • Coffin, M.F., Gahagan, L.M., and Lawver, L.A., 1998, Present-day Plate Boundary Digital Data Compilation. University of Texas Institute for Geophysics Technical Report No. 174, pp. 5.

IODP drilling locations (KML): https://www.iodp.org/resources/maps-and-kml-tools

Landslides

  • https://maps.nccs.nasa.gov/arcgis/apps/webappviewer/index.html?id=824ea5864ec8423fb985b33ee6bc05b7
  • https://pmm.nasa.gov/landslides/index.html

Subduction zones: https://submap.gm.umontpellier.fr/

Programs and data for plates motions:

  • http://www.gplates.org/
  • https://www.earthbyte.org/gplates-2-1-software-and-data-sets/

Last revision 9/1/2023


Global Geology Grids

Data set | Reference (their format, may not match ours or yours, so reformat if necessary) | Web site | Notes
ETOPO1 topography and bathymetry Amante, C., and Eakins, B.W., 2009, ETOPO1 1 Arc-Minute Global Relief Model: Procedures, Data Sources and Analysis: NOAA Technical Memorandum NESDIS NGDC-24, 19 p. http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO1/docs/ETOPO1.pdf Download ETOPO1

 This has ocean bathymetry and land elevations.
  • Floating point binary version is probably the best. Save it as a 16 bit integer, since the floating point values are actually integers.
  • GRD98 version has registration that is misinterpreted by 1 degree in longitude because of byte swapping issues in MICRODEM, so do not get that version.
  • The Geotiff version is not registered, so you must create a world file for it.
SRTM 30 Plus Becker, J. J., D. T. Sandwell, W. H. F. Smith, J. Braud, B. Binder, J. Depner, D. Fabre, J. Factor, S. Ingalls, S-H. Kim, R. Ladner, K. Marks, S. Nelson, A. Pharaoh, R. Trimmer, J. Von Rosenberg, G. Wallace, P. Weatherall., Global Bathymetry and Elevation Data at 30 Arc Seconds Resolution: SRTM30_PLUS, Marine Geodesy, 32:4, 355-371, 2009.
 http://topex.ucsd.edu/WWW_html/srtm30_plus.html SRTM 15+ for smaller areas, more detail
Sediment thickness Current version 3: E. O. Straume, C. Gaina, S. Medvedev, K. Hochmuth,K. Gohl, J. M. Whittaker, R. Abdul Fattah, J. C. Doornenbal, and J. R. Hopper(2019). GlobSed: Updated total sediment thickness in the world's oceans. Geochemistry, Geophysics, Geosystems, vol.20. DOI: 10.1029/2018GC008115

Older version 2: Whittaker, Joanne, Alexey Goncharov, Simon Williams, R. Dietmar Muller, German Leitchenkov (2013) Global sediment thickness dataset updated for the Australian-Antarctic Southern Ocean, Geochemistry, Geophysics, Geosystems. Volume 14, Issue 8, DOI: 10.1002/ggge.20181

Oldest version 1: Divins, D.L., Total Sediment Thickness of the World's Oceans & Marginal Seas, NOAA National Geophysical Data Center, Boulder, CO, 2003.

 http://www.ngdc.noaa.gov/mgg/sedthick/index.html Grid in Geotiff and other less useful formats. If Geotiff is not present, MICRODEM via GDAL can read the nc file. The current version 3 still has v2 in the file names, but the data hole near Japan has been filled in.
Sediment type distribution | Adriana Dutkiewicz, R. Dietmar Muller, Simon O'Callaghan, and Hjortur Jonasson, 2015, Census of seafloor sediments in the world's ocean Geology, 43 (9): 795–798. G36883.1, doi:10.1130/G36883.1, http://geology.gsapubs.org/content/43/9/795.full | ftp://ftp.earthbyte.org/papers/Dutkiewicz_etal_seafloor_lithology
Predicted sea floor ages.
  • Current verson: Muller, R.D., M. Sdrolias, C. Gaina, and W.R. Roest 2008. Age, spreading rates and spreading symmetry of the world's ocean crust, Geochem. Geophys. Geosyst., 9, Q04006, doi:10.1029/2007GC001743.
  • Original version: MÜLLER, Roest, Royer,Gahagan, and Sclater (1997) in Journal of Geophysical Research.
Version 3: https://www.ngdc.noaa.gov/mgg/ocean_age/ocean_age_2008.html Derived from models of plate spreading. There is a value about every 11 km. There is no data on continental crust, and problematic regions of oceanic crust.
Magnetic anomaly maps EMAG2: 2 arc minute grid, available as Geotiff
  • Version 3: Brian Meyer, Richard Saltus, Arnaud Chulliat (2016): EMAG2: Earth Magnetic Anomaly Grid (2-arc-minute resolution) Version 3. National Centers for Environmental Information, NOAA. Model. doi:10.7289/V5H70CVX, accessed 13 Aug 2016.
  • Version 2: Maus, S., Barckhausen, U., Berkenbosch, H., Bournas, N., Brozena, J., Childers, V., Dostaler, F., Fairhead, J. D., Finn, C., von Frese, R. R. B., Gaina, C., Golynsky, S., Kucks, R., Luhr, H., Milligan, P., Mogren, S., Muller, R. D., Olesen, O., Pilkington, M., Saltus, R., Schreckenberger, B., Thebault, E., and Caratori Tontini, F. 2007, EMAG2: A 2–arc min resolution Earth Magnetic Anomaly Grid compiled from satellite, airborne, and marine magnetic measurements: Geochemistry, Geophysics, Geosystems, vol. 10, no.8, DOI 10.1029/2009GC002471.
 http://www.geomag.us/models/emag2.html
EGM2008: Geoid The development and evaluation of the Earth Gravitational Model 2008 (EGM2008) - Nikolaos K. Pavlis, Simon A. Holmes, Steve C. Kenyon, John K. Factor; Journal of Geophysical Research: Solid Earth (1978-2012) Volume 117, Issue B4, April 2012
https://doi.org/10.1029/2011JB008916
  • http://earth-info.nga.mil/GandG/wgs84/gravitymod/egm2008/egm08_gis.html
  • http://earth-info.nga.mil/GandG/wgs84/gravitymod/egm2008/

Larger scale DEMs, like SRTM, MERIT, or ASTER GDEM, provide good base maps for almost any geoscience-related project. The grayscale hillshade provides an excellent starting map.

Last revision 1/26/2020


Global landcover and landforms

Medium Scale Global Landcover/Landform Grids

Table 1. Landforms

Data set | Resolution | Categories | Method Description | Data download | Software to create | Using in MICRODEM to get default colors, category names, and bar graphs
Iwahashi & Pike classification 30.15"
(1000 m) 		16 Iwahashi and Pike, 2007 Automated classifications of topography from DEMs by an unsupervised nested means algorithm and a three-part geometric signature, Geomorphology, vol 86, no.3/4, p.409-440. https://www.sciencedirect.com/science/article/abs/pii/S0169555X06004375
Reuter, H., and Nelson, 2008, Landform Classification: European Soil Data Science Center, Joint Research Center, https://esdac.jrc.ec.europa.eu/projects/landform-classification and https://esdac.jrc.ec.europa.eu/content/global-landform-classification
Explicitly based on SRTM30 DEM 		File must have "IWAHASHI" in its name
Relief 30"
(1000 m) 		15 Meybeck, M., Green, P., and Vorosmarty, C., 2001, A new Typology for mountains and other relief classes: Mountain Research and Development, 21(1), 34-45, https://doi.org/10.1659/0276-4741(2001)021[0034:ANTFMA]2.0.CO;2
Reuter, H., and Nelson, 2008, Landform Classification: European Soil Data Science Center, Joint Research Center, https://esdac.jrc.ec.europa.eu/projects/landform-classification and https://esdac.jrc.ec.europa.eu/content/global-landform-classification
Probably based on SRTM30 DEM (not explicitly stated, but that was used for the companion classification, Iwahashi and Pike. ) 		File must have "meybeck" in its name.
Geomorphons 30"
(1000 m) 		10
  • Jasiewicz, J., and Stepinski, T., 2013, Geomorphons - a pattern recognition approach to classification and mapping of landforms, Geomorphology, vol. 182, 147-156. https://doi.org/10.1016/j.geomorph.2012.11.005
  • Amatulli, G., Domisch, S., Tuanmu, MN. et al. A suite of global, cross-scale topographic variables for environmental and biodiversity modeling. Sci Data 5, 180040 (2018). https://doi.org/10.1038/sdata.2018.40
http://www.earthenv.org/topography has 1 km geomorphons (https://portal.opentopography.org/dataspace/dataset?opentopoID=OTDS.012020.4326.1 ) Whitebox File must have "geomorphon" in its name.
Pennock landform classification | 7 | Pennock,D.J., Zebarth,B.J., and De Jong,E., 1987. Landform Classification and Soil Distribution in Hummocky Terrain, Saskatchewan, Canada. Geoderma, 40: 297-315. | Whitebox

Table 2. Land Cover

Data set | Resolution | Categories | Method Description | Data download | Using in MICRODEM to get default colors, category names, and bar graphs
Global Land Coverage 2000 | 1/112 degree (1 km pixels) |  |  |  |
Copernicus Annual 300 m Land Cover (CCI-LC) | 10" (300 m) | 38 | ESA. Land Cover CCI Product User Guide Version 2. Tech. Rep. (2017). Available at http://maps.elie.ucl.ac.be/CCI/viewer/download/ESACCI-LC-Ph2-PUGv2_2.0.pdf | http://maps.elie.ucl.ac.be/CCI/viewer/download.php has 2015 300 m land cover | File must have "ESACCI-LC-L4-LCCS" in its name.
Copernicus Global Land Cover (GLC100) | 3.6" spacing (~100 m) | 23 | Buchhorn, M.; Smets, B.; Bertels, L.; Lesiv, M.; Tsendbazar, N.-E.; Masiliunas, D.; Linlin, L.; Herold, M.; Fritz, S. (2020). Copernicus Global Land Service: Land Cover 100m: Collection 3: epoch <2019>: Globe (Version V3.0.1) [Data set]. Zenodo. DOI: <DOI> | https://lcviewer.vito.be/download |

Most of these will depend on the DEM used to create them (some could only have used SRTM), and on breakpoints between the different classes.

Last revision 8/22/2023


Global Topography

Main toolbar button loads a global DEM. Pick DEM to use on Directories tab of options form

Predicted bathymetry from Smith and Sandwell

ETOPO5/2/1. In the latest versions, much of the marine data is derived from Smith and Sandwell, and comes from radar altimeters.

Last revision 8/5/2018


GlobCover 2009/2006

More Recent 300 m C3S Global Land Cover and Land Cover Maps - v2.0.7

GLOBCOVER uses the 300m MERIS sensor on the ENVISAT satellite mission.

  • GlobCover 2009 and 2006 (10", about 300 m) http://due.esrin.esa.int/page_globcover.php is a 372 MB download, which includes a compressed TIF file. In an uncompressed format, the file is 7 GB in size, and is probably painfully slow to display. Users should open in QGIS, and immediately subset the file to cover just the region needed. Keep "GLOBCOVER" in the file name so it will be recognized.
  • GlobCorine 2005 and 2009 for Pan-European region (300 m) http://dup.esrin.esa.int/page_project114.php Europe, North Africa, Middle East, Turkey, and much of Russia. Costs money now(?)
GLOBCOV 2.2 for the Chesapeake Bay region

Introduction to Landcover, and other sources of landcover data.

Last revision 3/3/2020


Global Multi-Resolution Topography

Bathymetric grids, with high resolution multibeam where available, and radar altimetry/single beam where nothing better exists.

  • Connect to https://www.gmrt.org/GMRTMapTool/
  • Use the small black square icon on the top center to graphically select a region.
  • If you want to merge regions, type in coordinates. At the highest resolution (stated as about 61 m, but actually in arc seconds), you can get grids over 150 MB in size.
  • Click on the mask below Base layers in the upper right to see the ship tracks and where there will be high resolution bathymtery. The grids include land, but typically have a gap in shallow water where mulitbeams can only collect very narrow swaths.
  • Pick if you want masked or unmasked data.
  • Pick geotiff format.
  • Pick maximum grid resolution. If the resolution in the upper right does not match what you picked, your region is too large, and you should select a smaller region. You should be able to get a grid size of about 61 m.
    • You can Open and merge DEMs, so if you cannot get all of your region at 61 m resolution, you can break it into smaller segments for the download, and then merge them.
    • If you have a really large region, you can get a lower resolution for the entire area (or just use ETOPO1, and then get the 61 m resolution for interesting areas.
    • Of course the 61 m resolution only makes sense if the area has good multibeam bathymetery.
  • Format
    • The ArcASCII version is larger (twice the size of the Geotiff)and loads more slowly, but works correctly as of 5/4/2021. Do a Save DEM as and pick the MD format after it loads.
    • Other formats will be much harder to use. The GMT v3 Compatible NetCDF works if you have GDAL installed. You might have to multiply the values by -1.
    • The Geotiff export made multiple changes during spring 2019 and both MICRODEM and QGIS had problems. This appeared to be fixed. As of 5/4/2021, the Geotiffs have no registration information, just the corner coordinates but no indication of the projection.

OpenTopography also has GMRT, with limited registration information.

Open Grid/DEM to view the map.

Reference:

  • Ryan, W.B.F., S.M. Carbotte, J.O. Coplan, S. O'Hara, A. Melkonian, R. Arko, R.A. Weissel, V. Ferrini, A. Goodwillie, F. Nitsche, J. Bonczkowski, and R. Zemsky (2009), Global Multi-Resolution Topography synthesis, Geochem. Geophys. Geosyst., 10, Q03014, doi: 10.1029/2008GC002332

Last revision 11/8/2022


GMTED 2010

This data set provides 7 options for computation of elevations. You should carefully consider which you want. The STD (Standard deviation) grid will estimate the slope or roughness in the vicinity of the point.

You can get elevations at 30 sec, 15 sec, and 7.5 sec for global and continental scale visualization.

  • Danielson, J.J., and Gesch, D.B., 2011, Global multi-resolution terrain elevation data 2010 (GMTED2010): U.S. Geological Survey Open-File Report, 2011-1073, 26 p. (online http://pubs.er.usgs.gov/publication/ofr20111073.)
  • https://topotools.cr.usgs.gov/gmted_viewer/viewer.htm for download

Last revision 1/5/2022


Google Earth Pro

KML and Google Earth

Download

  • https://www.google.com/earth/versions/
  • https://www.google.com/earth/studio/

last revised 1/22/2019


GPS Logger

This device records you track, and you can later download it to the PC for GIS work.

We experimented with BlueTooth Connection to a PC, but the advent of cell phones with good GPS meant that was a better option.
  • 74x43x10 mm
  • 55 g
  • Bluetooth NMEA output
  • MicroSD storage
  • Turn off, put in a pocket or backpack, and you will have positions all day.

Logger peculiarities:

  • Files have an ASCII #0 in the data fields, and will not read in some software. Current MICRODEM will now open files without pre-processing; older versions require:
    • Open and resave in Excel.
    • Use option ASCII remove #0 on the Edit menu of the [image] Menu on data manipulation form.
  • Only takes a relatively small storage card, which might be hard to find now (only 1 GB cards allowed, at least on the version I have)
  • Good battery life. Rechange via USB.
  • Have to remove MicroSD card and use a reader to get data to the computer.
  • Speed is heavily filtered (whole km/hr, and when walking you do not even get all the integers, so you have about 3 possible speeds). But in MICRODEM you can use Navigation, add travel path, to get much more accuracy, and then filter (Edit, Field arithmetic, mean or median filter) if you want.
  • With Windows 7 (and maybe Vista), the operating system may ask you to enter a four-digit security code for Bluetooth connection to PC; for GPS units, if no code is included with your unit, “0000” usually works.

I got this in about 2011, to use with a netbook. It was first on Amazon in 2008, there are current reviews (2018) showing it has not changed much. The V-990 might be an improved version of the V-900. In addition to the older VisionTac name, the newer ones appear to be Columbus. Reviews on Amazon are pretty accurate; if you can live with them, it works well.

Last revision 4/23/2018


GPS Satellite Orbit Predictions

GPS Satellite Predictions

Accessed:

  • Option on Analyze, Satellite predictions. It will bring up a map, and form showing positions of the GPS satellites. It will start with the current day, and animate motion of the satellites. You can set the time interval between updates, and whether you want to see a trail from the satellite motions. Sky map not available in this mode, because you do not have a current location.
  • Calculate, Intervisibility, Polar orbiter satellite visibility to show results on the current map, with option for a sky map. The map must have a DEM, to show your horizon.

https://celestrak.org/ Download file gps-ops.txt, and save it in the program directory for MICRODEM. This file is updated "periodically" with current orbital predictions. If you want best results, you must update it.

You can get predictions for other groups of satellites. Click on the TLE/3LE links for the groups of satellites you want (top line in each grouping, with the little table symbol, right click, and save as), and place in c:\microdem.

  • https://celestrak.org/NORAD/elements/supplemental/
  • https://celestrak.org/NORAD/elements/ . You will probably have to get and run the download program (http://celestrak.com/SpaceTrack/TLERetriever3Help.php ) and have an account at space-track.org
  • Another option, which we have not used: https://www.space-track.org (login required),and you want the three line catalog files.

http://www.heavens-above.com/ will give you predictions to compare with these.

Uses code originally from Dr TS Kelso (downloaded a very long time ago, 1992, and a current version may not be available).

Last revision 11/11/2022


GPX Files

Options:

  • Database (shapefile). This creates a single DBF with no extraneous fields.
  • Other options, not recommended
    • Data Manipulation, Resample, GDAL/OGR, OGR GPX to shapefile. This creates a number of files in a new directory, including a line with the track, and a points DB with the recorded points. You might also want to:
      • Edit, Map coordinates, Add lat/long from shp file.
      • Hide all the empty fields produced in the GDAL import, with Report, Hide unused fields.
      • Edit, Delete unused fields
    • Import with DNR GPS and convert to shapefile

Last revision 12/2/2022


Graph Modification

When a graph is open, you can change it:

Using menu choices

  • File (Graph)
    • Separate histograms
    • Print
    • Save image
    • Copy to clipboard
    • Show toolbar
    • Legend
    • Close
  • Rescale
  • Analyze graph
  • Graph options

Right click, and use popup menu

  • Rescale graph
  • Line and point markers
  • Legend
  • Save image
  • Copy to clipboard
  • Paste from clipboard (to add a legend, for instance)
  • Abort current operation

Last revision 11/10/2022


Graph Modifications Form

Form opening by

  • Right clicking on a graph and picking the "Rescale Graph" option
  • Picking the "Rescale, Graph settings" menu choice.
Change captions on the axes;

Change the max and min value on each axis.

Change to log axis

Grid Size: change the tick interval, and the interval for labels on the axes.

Drop down box control the type of grid.

Colors: for density plots

Reverse x axis:

Reverse y axis: suitable when depth is a positive value; very common in geology and oceanography for data below the earth's surface.

1:1 line:

Margins: the white area outside the graph can be controlled.

Font:

Graph window toolbar buttons.

last revision 4/13/2023


Graph Windows

  • Graph modification
  • Graph options form
  • Graph window toolbar

Last revision 4/17/2017


GRASS

Raster GIS, External tools menu for the currently available options.

These use a batch file that will be in c:\mapdata\temp. If the operation fails, run the batch file in a command prompt and watch the failure messages.

Get installation from OSGeo4W

To get GRASS extensions, use the option on the File menu from a DEM map

Currently set to use GRASS78; inital attempts to swith to GRASS82 did not work in terms of setting the environment

  • Insure that you open QGIS with the option to include GRASS

http://grasswiki.osgeo.org/wiki/QGIS_GRASS_Cookbook

last revised 8/10/2022


Gravity Stations

Use Import menu of Data Manipulation form to convert to a database file for display and analysis.

This was designed for:

  • GRAVITY DATA OF NEVADA By D.A. Ponce, 1997
  • U.S. GEOLOGICAL SURVEY DIGITAL DATA SERIES DDS-42

Files available online at: ftp://geopubs.wr.usgs.gov/pub/dds/dds-42/DATA/

The DBF file will have the location, elevation, and two anomalies:

  • Bouger anomaly corrects for tides, latitude, and elevation, all of which effect the gravitational pull. This shows the characteristics of the crust. This correction takes into account the nature (density) of the material between the surface of equal gravity or geoid and the measuring station. Any anomaly remaining after these corrections have been made is called the Bouger Anomaly and represents the effect of rocks with densities different from the average, or structural controlled rock masses not in isostatic equilibrium
  • Isostatic anomaly mathematically corrects for the effect of a deep root.

Last revision 9/28/2002


Grayscale and Subdue Maps

Available from the Map shading options form

  • Right click on the map.
  • Modify, Map shading options

This highlights the overlaid data, while retaining context from the base map.

Color image with GIS data overlaid. | Image turned to grayscale | Grayscale image subdued

Last revision 10/10/2012


Grazing Angles

Option invoked by right clicking on [image] Line of sight/Topographic Profiles:

LOS Profile. Right clicking gives an option to compute grazing angles.
Graph of grazing angles. No results reported where LOS is blocked.

If you have a vegetation grid active, results will be to the top of the vegetation layer.

Slopes computed in the plane of the profile, using elevations computed along profile.

Standard database Table with results.
  • Negative PITCH looks down from the observer to the ground.
  • SLOPE_2D is the slope along the LOS profile; negative slopes down away from the observer.
  • SLOPE_3D and ASPECT are slope and aspect at the point along the profile.
  • GRAZING_2D is the grazing angle using SLOPE_2D.
  • GRAZING_3D is the grazing angle using SLOPE_3D.

You can get a map of the grazing angles from the compute required antenna height option on Calculate, Intervisibility menu .

Last revision 7/23/2012


DEM Correlation Matrix

Discussion of correlation matrices, with emphasis on multiband satellite imagery.

Option on the Raster GIS menu.

DEM/Grid | ASTGTM2 | aw3d30 | merit | NASADEM hole filled | srtm 1arc v3 | TDM1 DEM 30 | NED 1 | NED 1/3
ASTGTM2 | 1.0000 | 0.9999 | 0.9998 | 0.9998 | 0.9999 | 0.9998 | 0.9998 | 0.9998
aw3d30 | 0.9999 | 1.0000 | 0.9999 | 0.9999 | 1.0000 | 0.9999 | 1.0000 | 0.9999
merit | 0.9998 | 0.9999 | 1.0000 | 0.9998 | 0.9999 | 0.9998 | 0.9998 | 0.9997
NASADEM | 0.9998 | 0.9999 | 0.9998 | 1.0000 | 1.0000 | 1.0000 | 0.9999 | 0.9999
srtm v3 | 0.9999 | 1.0000 | 0.9999 | 1.0000 | 1.0000 | 0.9999 | 0.9999 | 0.9999
TDM1 DEM 30 | 0.9998 | 0.9999 | 0.9997 | 1.0000 | 0.9999 | 1.0000 | 0.9999 | 0.9999
NED 1sec | 0.9998 | 1.0000 | 0.9998 | 0.9999 | 0.9999 | 0.9999 | 1.0000 | 1.0000
NED 1/3sec | 0.9998 | 0.9999 | 0.9997 | 0.9999 | 0.9999 | 0.9999 | 1.0000 | 1.0000

DEMs will generally be highly correlated.

Last revision 10/21/2018


Grid Creation

Data can often be collected in varying densities and spatial patterns. It can then be used as a point database, a TIN, or converted to a grid. The following mechanisms can be used for the creation of the grid:

  • Drop in the bucket. The figure above shows a grid in the solid lines, and we want the value at each line intersection. The dotted lines divide the region into blocks, and each block is closest to a single intersection of the grid. For example, the red box outlines the region that is closest to the green grid point. In the simplest drop in the bucket algorithm, each collected point is assigned to the nearest grid intersection. There is no attempt to assign weights by where in the box the point occurs. If there are more than one point in the box, either the first or the last can be selected. To select the first, a check must be made that the point is not missing, and the new value is only assigned if the point is missing. To select the last, points are processed and later points can simply overwrite previous ones. With additional care in designing the algorithm, drop in the bucket can pick the median or mean. There is no consideration of where the data points occur with respect to the intersection location.
  • Highest point: create a DSM, or the ceiling
  • Lowest point: create a DTM, or the floor
In some cases with a rectangle, there can be two ways to draw the contours, as in the case on the left. On the left, a ridge connects the two points with elevation of 80, and on the right, a valley connects the two points with elevation 70. The number of such boxes will generally be small, and with a large DEM, the effect will also be very small.

  • TIN: since three points determine a plane, this provides unambiguous placement for contour lines (in some cases with a rectangle, there can be two ways to draw the contours, as in the example above). Computer graphics also likes triangles: it is easy to computer the normal to the surface, and hence the lighting; high end graphics cards measure their speed in triangles per second.

Additional algorithms not used in MICRODEM for grid creation.

  • Distance or inverse distance weighting. This algorithm finds the nearest neighbors. Variants require a specific number of points, or points in various directions, say one in each of the four principle directions or eight directions. The values are weighted by distance, and can use a linear, squared, or other weighting to apply greater weights to points close to the grid intersection.
  • Trend surface: in this algorithm, a number of points surrounding the grid intersection are selected. A surface is fit to the points, and the value of the trend surface at the grid intersection is taken as the value for the grid.
  • Kriging or geostatistics: this was designed by the mining industry, and rests on the assumption that you can find a relationship about how values of the surface change with distance. More complex versions can account for anisotropy, that values change faster in some directions than others. You must first create a variogram, which will have a nugget and a range out to which you can infer relationships.

Last revision 2/15/2017


Gridding Lidar Point Cloud Data

Principles

  • Open point cloud
  • If you have multiple clouds, you can
    • Merge them into a single grid (check all of them as active point clouds)
    • Make seperate grids for each (check only one at a time as active point clouds)
  • Select the settings on the Create grids tab that will control the generated grid
    • Insure you have a UTM grid unless you have specific reasons to select geographic
    • Pick the grid size. With most modern lidar 1 m is a good starting point for the grid resolution
    • Auto fill holes. If there are holes in the data, you can interpolate across them.
    • Algorithm for DTM point selection
  • Create a point density grid to see the distribution of points. The program reports the average density on the File list tab, but it includes the entire rectangular region that encompasses the data, and that might have significant voids that will drive down the average point density.
    • The best option is probably first returns, which will give you only one point per pulse. The other options make sense in certain specific circumstances.
    • To see the voids, consider Marking as missing all points with 0 density
    • Consider changing the color scale to ignore the few points with very high densities (it might be interesting to see where the high densities occur, which might say something about the survey)

  • Create grids Create a new grid that matches the DEM covering the map.
    • 1 m is a good starting point for the grid size. Older lidar might not support 1 m resolution, and some newer lidar might support denser grids which will be larger.
    • Create a DSM, DTM, and NVS (can be done in one step). You can only get the DTM if the point cloud was classified; if it was not, you can classify it but must download other software to do this.
    • Check the hole density. If too large, fill across the holes. This may not appear to fill a large fraction of the holes if you have coastal lidar which does not cover the entire map area, but will fill a lot of the holes in the portion of the DEM with data.
      • You can change the settings on the Create grids form, and create the grids again
      • Interpolate across holes (smooth)
      • Filtering the DEM
  • Save DEM for the grid or grids you want. Save in MICRODEM or Geotiff format.

Last revision 6/21/2020


Grid Based Analysis of Point Clouds

Create One Pass Grid from Point Clouds

Tab on LIDAR point cloud analysis form. Creates a new grid or grids that matches the coverage of the base map for the point cloud display. Some options require you to have or create a DTM.

The one pass options can be done by looking at each lidar return only once, unlike for instance the median which requires multiple passes.

  • Elevation grids
  • Point count/density grids
  • Other grids
  • DTMs (external programs) (and MICRODEM), using only points classified as ground
  • DTM choices on point selection, most important as you generalize and pick a larger grid size. The differences will be very subtle, and occur in areas with significant slopes.
    • Max
    • Mean
    • Min
    • Nearest--the point closest to the grid location
    • All creates 4 DTMs with each of the algorithms above to compare the results
  • Grid params for the created grids

Word shot densities: by default density will be stored in bytes (max 255); set this if you need up to 65K points.

The one pass options can be done by looking at each lidar return only once, unlike for instance the median which requires multiple passes.

Denmark's procedures for DEM creation, using python and GDAL: https://bitbucket.org/GSTudvikler/gstdhmqc/src/tip/doc/howto_pc_to_dem.md?at=default&fileviewer=file-view-default

Last revision 1/17/2023


Grid Gallery

A map might have three kinds of grids:

  • The lat/long graticule.
  • A projected coordinate system used to locate points, which does not have to be the actual projection of the map, such as:
    • UTM. Printing this on the map allows easy computation of coordiinates in the field, even with the map partially folded.
    • SPCS
    • A national grid, like the UK OS, Irish.
  • The native projected grid of the projection. While the GIS program uses these for plotting and computations, it will only be shown on the map if it is also used to locate points.
    • Lambert conformal conic. This is used to locate points in the SPCS projections.
    • Transverse Mercator
    • Mercator. I don't know of a case where this is shown, or used in computations.

There might also be grids in two different datums, in the case where a region has two datums in common use, or changed the datum recently and old data or maps are still present.

The spacing of the grid should have the same intervals in both the x and y directions. If the GIS program allows you to set different spacings, you should override the defaults and make them the same. This can lead to challenges with labeling, but you can find a solution that is better than differential spacing.

Appropriate grids on the map depends on the usage of the map:

  • For a map for presentation purposes, or printing in a scientitific journal, a single grid should be sufficient, and the cartographer must decide which to use; the lat/long graticule should be strongly considered. This map will only be viewed on a printed page, or online, and will have a restricted size, typically a few thousand pixels.
  • For a large paper map, one grid will probably be drawn, and the lat/long graticule might be indicated with internal ticks on the map and labels along the margins. If a second grid is required, it would have only ticks on the margin, and a user would have to connect them to measure coordinates in the field. This map could have the equivalent of tens of thousands of pixels in each dimension.

Three grids on a map of Rabat:

  • Lat/long graticule
  • UTM
  • Native Lambert conformal conic

This is probably impossible to use effectively, even with three different colors, but shows the possible changes, and how they differ.

Lat/long graticule for two datums

  • WGS84
  • Merchich Morocco

Note the datum shift is (almost) entirely in the east-west direction; the WGS 84 layer is plotted second, and the east west parallels completely overprint the secondary datum. There could a north south shift, but it is less than the pixel size on this map.

Lat-long graticule with lines
  • Graticule is not square, because a degree of latitude does not equal a degree of longitude.
  • You should be able to see that the "rectangles" are taller than they are wide.
  • If the graticule is "square", you are either at the equator or have a map with bad distortion.
  • You can set the graticule spacing.
  • If the graticule parallels the edges of the map, you have a geographic projection (like Mercator)
  • If the graticule does not parallel the edges of the map, you have a projection like UTM.
 Lat-long ticks. Set spacing of the ticks.

Option on map toolbar or by right clicking on the map window.

Print button on map toolbar has Prepare printer image option that gives great control over a lat/long or UTM grid, or both.

Also from right click on the map, Copy to clipboard, Detailed map.

Last revised 11/25/2017


Grid Lines

Grid Lines--UTM vs Geographic
Two types of grid:
  • UTM: the UTM grid (red, square) runs parallel to the edges of the map. Older USGS data.
  • Geographic: the lat/long grid (black, quasi-rectangular) runs parallel to the edges of the map. NGA data and newer USGS data.

These are actual grids, near the edges of UTM grid zones.

World files with these grids.

Last revision 5/1/2005


Gridded Magnetic Anomalies

Magnetic Anomaly Data sets

Grids:

Magnetic models.

This data set shows two things:

  • The overall difference between the spatial patterns of the magnetic anomalies on the continents and in the ocean basins.
  • The general character of the marine magnetic anomalies. Profiles from [image] Topographic Profiles will capture the general nature of actual profiles, but will not easily allow picking the anomalies. The scale is a little too coarse.

Picks (10 Oct 2014 version)

Geology options, Magnetic anomaly picks. This shows points where someone has identified a particular anomaly.

Profiles measured by research cruises

  • Marine Magnetics lab will open these automatically.
  • Magnetic anomalies original download, and Directions to create shapefiles from the NOAA data

Digitized Lines

These connect specific magnetic anomalies (Muller and others, 2008)

  • http://www.earthbyte.org/Resources/earthbyte_gplates.html

References

Last revision 10/25/2022


Scatterplot Two Grids

on Raster GIS menu

  • Can be of the entire grid, or subset area currently on map. You will have the value in the first grid on the x axis, and the second grid on the y axis. If the two grids are not the same size and spacing, you will have the values in the first grid used, and the interpolated value at the same position calculated and plotted on the second axis.
  • Colors will be plot density, since it is very easy to have millions of points with many plotting at the same location on screen, and the focus will be drawn to the large areas with very low density.
  • Graph options lets you change the axes labels and other aspects of the graph.

  • Possible usage:
    • Age of oceanic crust versus depth
    • Age of oceanic crust versus sediment thickness
    • Compare two DEMs covering the same area.

Last revision 10/23/2018


Grid Statistics for Training Poi

Grid Statistics for Training Points

Select on Stats option from the table for the database with the training points.

  • Pick an open grid.
  • Program will create two graphics:
Histogram shows the min and max with the colored boxes, and either one standard deviation on either side, or quantiles (25% and 75%). Pick which on the Analysis tab of the options form. The caption to the graph will indicate which is plotted.
Table shows basic statistics for each class.

Last revision 6/11/2013


Grid Tab

Select with Options choice on the program menu, and then the grid tab on the Options form.

Affects Multiple Grid statistics option on the Raster GIS.

Pick the grids you want created.

Checkbox determines in a single NoData value in one grid makes the result NoData, or if the program can compute statistics from the other data

Pick tolerance if creating a grid showing the highest and lowest grids.

"Filter grids to edge", set on Grids tab of the Options form, allows filtering to the edge of data set, even if the filter should require points outside the grid limits.

Last revised 4/16/2018


Gridding Lidar

Lidar surveys create point clouds, essentially random collections of 3D points. While data analysis directly with the point cloud is increasing, conversion to regular grids generally greatly decresases the data storage requirements, and allows the use of standard raster GIS tools.

Prior to gridding, the user must select the desired final surface or surfaces, generally DTM or DSM.

High and low noise can be flagged, so it is not used, or removed from the data set.

The point cloud can be classified, to at least identify the ground returns, and only these will be used for a DTM.

For a DSM, all points can be used, or the electrical power lines, and vehicles could be removed (neither of these are routinely included in the point clouds distributed by national mapping agencies).

There are two general methods for creating the grids:

  • Triangulation

    • Points are triangulated with a Delaunay triangulation.
    • At each of the desired grid nodes, find the triangle containing that point, and then interpolate to find the grid elevation.
    • If there are many points per grid cell, many of the triangles will not be needed.
    • Works best with a small number of point, suggesting small tiles.
    • Edge effects will be minimized with larger tiles, or with a buffer of points around the tile, which are only used for the triangulation of point within the tile. This will slightly increase the data storage requirements.
    • There will be no gaps within the region outlined by data points.
    • If there are grid cells with no points from the lidar survey, they will appear in the final grid as obvious triangular facets. The larger these areas, the more obvious the effect. These could be eliminated, either by not interpolating in large triangles, or by editing the grid to remove any points with no close neighbors, which can be done as a fast raster operation.
Circled anomalies from the triangulation in a DSM from Denmark. These result from the lack of water reflections in the castle moat.

  • Drop in the bucket

    • Very simple and fast
    • Each point is assigned to the nearest point in the desired grid.
      • For a DSM, if the point is higher than the current point at the grid cell, the new point replaces the older point.
      • For a DTM, if the point is lower than the current point at the grid cell, the new point replaces the older point.
    • The selected point could be mislocated in the grid by half the grid spacing.
    • The gridding can interpolate across very small voids, and the fills will not be noticeable.
    • For a DTM or NVS, the more points in the grid cell, the greated the chance that at least one is actually on the ground. This will reduce the number of tree trunk spikes.
Two Non vegetation surface grids. The 1 m grid has a number of anomalies, because the point density of the lidar survey did not reliably deliver a point on the ground in every grid cell, and has a number of spikes.

Last revision 6/18/2020


Grids--Geographic versus Projected

The grid for a DEM can be created in two ways: a geographic latitude-longitude grid, or a rectangular Universal Transverse Mercator (UTM) grid. This are sometimes called unprojected (geographic) and projected. This is different from the Horizontal datum; every data set also has a datum.

 | Characteristics | Advantages | Disadvantages | Typical DEMS
Geographic Grids | Data sets a uniform size for specified quadrangle size True north to the top of the map. Current choice for both NGA and USGS. | No problems merging data sets in any direction. Not tied to any particular map projection, but a map with uniform lat/long spacing is generally a very poor choice. | Data spacing changes significantly from east to west, and insignificantly from north the south, within a data set. MICRODEM can compute these differences for you. Different spacing north-south and east-west. Must be projected to get a reasonable map (done automatically, on-the-fly in MICRODEM) Complicated distance and angle computations | NGA DTED SRTM USGS NED Google Earth
UTM Grids (SPCS similar) | Data sets vary in size in both the number of rows and columns size for specified quadrangle size. | UTM grid north to the top of the map Cartesian coordinate Easy to compute distance, angles | Constant data spacing, both east-west and north-south and throughout a data set. Merging problems at the edges of UTM zones every 6° or longitude. If data sets are clipped to quad map sheets defined by geographic coordinates, the rectangular grid will have missing values. Tied to projection | USGS Native and SDTS DEMs

A few DEMs uses other grids, such as the polar stereographic used in IBCAO or the Mercator grid used by Smith and Sandwell's (1997) Global Predicted Topography. MICRODEM handles the two types of DEM grid transparently to the user. The only obvious difference would be the stairsteps in the UTM grid on the geographic data sets like DTED.

Last revision 7/1/2015


GRID SIZE

DEM GRID & FILE SIZE

Spacing | Units |  | X-Pts | Y-Pts | Total Elevations | MB
1 | m |  | 86400 | 111000 | 9,590,400,000 | 18,292 (18 GB)
10 | m |  | 8640 | 11100 | 95,904,000 | 182.92
20 | m |  | 4320 | 5550 | 23,976,000 | 45.73
30 | m |  | 2880 | 3700 | 10,656,000 | 20.32
50 | m |  | 1728 | 2220 | 3836160 | 7.32
100 | m |  | 864 | 1110 | 959040 | 1.83
250 | m |  | 346 | 444 | 153624 | 0.29
1/27 | " | ~1m | 97,201 | 97,201 | 9,448,034,401 | 18,020
1/9 | " | ~3m | 32,401 | 32,401 | 1,049,824,801 | 2002
1/3 | " | ~10 m | 10,801 | 10,801 | 116,661,601 | 222.5
1 | " | ~30 m | 3601 | 3601 | 12,967,201 | 24.73
3 | " | ~90m | 1201 | 1201 | 1,442,401 | 2.75
30 | " | ~1 km | 121 | 121 | 14,641 | 0.03
5 | ' | ~10 km | 13 | 13 | 169 | 0.00

The number of points to cover a one degree square at the latitude of Annapolis, MD (39ºN). This assumes 2 byte integers for the elevations; most newer DEMs, especially those at higher resolution, use 4 byte reals, which would double the size of the DEM. These values also do not include any headers or metadata, which are typically a tiny fraction of the file size.

The values for spacing in geographic coordinates would not vary with latitude, while DEMs with spacing in meters will get smaller with latitude.

Actual file sizes depend on the size of the region covered by the DEM and the resolution.

Approximate metric equivalents

Last Updated on 12/4/2015


Half Pixel Offset

  • "Same" pixel by coordinates.
    • Blue is COP, where the posting points are the center of the support area
    • Red is ALOS, where the points points are a corner of the support area
  • Dots mark the position of approximately 900 (less away for the equator, where the pixels are clearly rectantular)1 m UTM pixels in each 1 arc second pixel
  • Grids rotated slightly (stairstepping of points)since the UTM points do not match with the arc-second grid
  • Only ¼ of the points are common to “corresponding” pixels
  • Cannot easily overlay the two maps without seeing the offset shift

DEMIX dealing with the offset issue

  • Create reference DEMs to match ALOS (pixel-is-area) and COP (pixel-is-point, which also includes FABEM, SRTM, NASADEM, and ASTER)
  • Avoid trying to do direct map comparison of ALOS and COP
  • Use half-second grids to perform direct map comparison

Last revision 7/30/2023


Health Data

From http://ghdx.healthdata.org/us-data By county

No consistency among data sets in terms of setup.

Directions for the alcohol data set

  • Download and unzip
  • Open in Excel
    • Delete columns you do not want
    • Rename rest for dBase
    • Delete "county" and "parish" form the location
    • Delete any commas, most likely in the County Name
    • save as .csv
  • Open .CSV in MICRODEM to convert to DBF
    • Trim blanks in all string fields
    • Join to the "us_state_names.dbf" using the state name field.
    • Fill from joined table the state abbreviation and state FIPS
    • Concatenate the County and state abbreviations, with a "/" as the separator.
    • Join to the fixed counties shapefile, on the County/state abbreviation field
    • Fill from joined table the county FIPS
  • Open the state outlines shape file
    • Concatenate the County and state abbreviations, with a "/" as the separator.
    • Join the alcohol database
    • Plot

Differences for the smoking data set

  • Filter for the year, and gender (they are in rows rather than columns)
  • Save the filtered database

Fix the counties shapefile

  • Delete "county" and "parish" form the county name
  • Concatenate the County and state abbreviations, with a "/" as the separator.
  • This will be the join field

Last revision 4/6/2017


Heat Map

The heat map shows the density of points using a color scheme

Heat map showing locations visited; green the fewest, red the most | Heat map showing the number of buildings closest to each location along the coastline.

Two cases:

  • Start with a DEM. If your original map is not a DEM, create a UTM DEM to match the region you want, on the File menu.
    • Heat map Option on Raster GIS menu.
    • Select multiple DBs which will be opened, processed, and closed. They must have LAT,LONG fields and must be point databases.
    • No ability to Filter the databases.
    • This option should be very fast
    • Example would be
      • a series of logs showing locations of something over time, and the desire to to find where something spends the most time
      • crime locations, and find the most dangerous area
  • Start with a single DB, which can be point, line, or polygon. Must be fields with LAT,LONG, but they can have any name as you will pick them.
    • Filter if desired
    • Pick the Lat and Long fields to use for the heat map. For lines or polygons you can use the centroid, or Nearest point on line/perimeter of another database
    • Examples
      • Building density along the coast line

Creates a UTM projection map with a specified grid size.

Last revision 9/7/2019


Help File

MICRODEM Help File


Help menu

Help:

  • Access help, or check on system resources.
    • Contents: access the CHM help file. If this is not present, it will be downloaded. This provides an index and full text search.
    • Online help; uses your default browser to show the help. 10/23/2019 this might be hijacked by Edge; look for it, and keep trying.
    • Hardware
    • Fonts installed
    • Program limits
    • View debug log
    • What's open
    • WWW home page
      • MICRODEM web page
      • Delphi Forum
    • Update help file
    • About

Last revision 10/23/2019


High-Res DEM for Intervisibility.

Option removed 5/5/2020. You can now load a plenty big DEM.


Hide DB Fields

Select with button on GIS DB Table view

Hide some fields from the display, to make table narrower. Hidden fields will not be used in statistics or included in Report products.

Last revision 10/14/2009


High/Low Neighbors

Calculate menu, Point classification: Ridges/valleys

Hi/low neighbors uses the window radius in pixel, and an elevation tolerance, and create two grids, with the number of the 8 neighors that are higher or lower. The two, plus the number within the elevation tolerance, sum to 8. Missing data is there are not 8 neighbors.

Last revision 3/2/2023


Maps for Hiking

+

This may not work with the latest USGS GeoPDF.

  • Try to get the GeoPDF USGS Topos. You can merge multiple quads, if you are going across several.
  • The historic maps, which go up to the present, in GeoTIFF might be a better choice.

Get the park GeoPDF (works for Maryland state parks, but not US National Park)

  • Open the PDF, and GDAL will convert to Geotiff
  • Convert the Geotiff to UTM if it is state plane
    • Data Manipulation, Resample, GDAL warp Geotiff to UTM/NAD83
Get the lidar point cloud, create a DSM.
This works best if there is a mixture of terrain types; in this case the route was entirely in the trees, and the DSM does not show much.

If the map does not have trails (USGS is phasing these in; there were on Maryland maps, but not Arizona or California, in spring 2018).

  • Get the Open Street Map for the area. On the roads shapefile, filter OSM for TYPE='path' and pick a color and line width for display
  • HikingProject: free from REI. App for cell phones, downoload GPX, and open as database on the base map

Creating the map

  • Open map in MICRODEM
  • File, Save map as image, As Geotiff, screen scale (color)
  • Move Geotiff to the mobile

last revision 10/26/2021


Reflectance Map/Hillshade

The reflectance map computes the illumination from the sun (or a synthetic illumination direction), but does not consider shading by other topography in the line of sight toward the sun. The program first computes the normal vector to the earth's surface, which will be normal to the slope/aspect direction vector, and then computes the angle between this vector and the scene illumination. For small angles, there will be a large reflection, and a light color will be applied. Large angles imply little reflection, and a dark color.

The reflectance map is also called a hillshade.

2D representation of the relationships among topography and illumination. In actual practice the vectors are all 3D.

The slope/aspect vector will be tangent to the ground surface and point downhill at all locations, and will be perpendicular to the normal to the topographic surface.

Because of the actual distance to the sun or scene illumination (essentially infinitely far away), the illumination vector will have a constant orientation throughout the scene.

The angle between the illumination direction and the surface normal will determine the shading used in the hillshade/reflectance map. When the angle is small, as at location B, a large amount of light will reflect back and the point will have a light color. Where the angle is large, as at location A, little light will reflect back and the point will have a dark color.

Geologists like reflectance maps with various illumination angles to emphasize lineaments or faults, and many people like them as a base map upon which to display other information while showing the relationship of the second layer to the topography.

The map of Mt. St. Helens below shows the effect of changing the sun position for the reflectance map. Because of the artistic convention of top-left lighting, the best results will usually have to the sun to the NW and shadows going to the SE, even though this is never physically possible in the United States and most of the northern hemisphere. Shadows to the right as a cartographic convention dates back to the 15th century.

Sun Azimuth 335, Elevation 45 Program default | Sun Azimuth 335, Elevation 45 | Lower sun elevation increases shadows | Sun Azimuth 135, Elevation 45 For most people this leads to terrain inversion, ridges and valleys reversed.

Multi direction hillshades

Reflectance map directions in MICRODEM

Last revision 11/26/2017


Histogram Axis Scaling

Normal "arithmetic" axis scaling.

Note the the dark cyan series has very few points.
"Concentration" axis scaling. A value of 1 assumes that all bins used for the histogram have the same number of points. Note that the dark cyan series now clearly shows the patter of its distribution. All series are scaled to show the distribution pattern, rather than the relative sizes of the series.

This would be appropriate, for instance, with several DEMs of the same are at different resolutions, to compare the elevation distribution by removing the effect of the differing resolutions.

You can set this parameter when you pick elevation histograms .

Concentration (fraction of uniform): elevation distribution relative to a uniform concentration of elevations (a value of 1 equals the total number of data points divided by the relief present in the DEM) because this allows easy comparison of DEMs. The scaling chosen for the x axis does not affect the shape of the distribution; equivalent results would appear if the x axis plotted the number or percentage of elevations in each interval. The use of a uniform concentration for scaling does not imply that the distribution of elevations should be uniform throughout the elevation range. The actual distribution will depend on the terrain, with high concentrations in flat valleys or plateaus and low concentrations in steep mountains, but should vary in a reasonably continuous fashion.

Last revision 8/13/2019


History of MICRODEM References

  • Guth, P.L, 2012, Automated export of GIS maps to Google Earth: Tool for Research and Teaching: in Whitmeyer, S., Bailey,J., De Paor, D., and Ornduff, T., (eds.), Google Earth and Virtual Visualizations in Geoscience Education and Research, Geological Society of America Special Paper 492, chapter 12, p.165-182.
  • Guth, P.L., 2011, Military Applied Geomorphological Mapping: Normandy Case Study: in Smith, M., Paron, P., and Griffiths, J.S,. eds., Geomorphological Mapping: methods and applications, Developments in Earth Surface Processes, vol.15, p.577-588. ELSEVIER, ISBN 13: 978-0-444-53446-0.
  • Guth, P.L., 2009, Geomorphometry in MICRODEM, In Hengl, T., Reuter, H.I. (eds), Geomorphometry: concepts, software, applications. Developments in Soil Science Series, Elsevier, ISBN-13: 978-0-12-374345-9, p.351-366.
  • Franklin, K., and Guth, P.L., 2005, The Effects of DEM Re-interpolation on Viewshed Computations: Proceedings, Sixth International Conference on Military Geology and Geography, 19 - 22 June 2005, School of Geography, University of Nottingham, United Kingdom.
  • Guth, P.L., 2005, Shortcuts in the line-of-sight and viewshed algorithms with gridded geographic DEMs: what’s permissible and what’s illegitimate: Proceedings ASPRS 2005 Annual Conference, Baltimore, MD, March 7-11, 2005. 8 page paper on CD-ROM]
  • Guth, P.L, 2004, The Geometry of Line-of-Sight and Weapons Fan Algorithms: in Caldwell, D.R., Ehlen, J., and Harmon, R.S., eds., Studies in Military Geography and Geology, Dordrecht, The Netherlands, Kluwer Academic Publishers, chapter 21, p.271-285.
  • Guth, P.L., 2001, Quantifying terrain fabric in digital elevation models, in Ehlen, J., and Harmon, R.S., eds., The environmental legacy of military operations, Geological Society of America Reviews in Engineering Geology , vol, 14, p.13-25.
  • Guth, P.L., 1999, Contour line "ghosts" in USGS Level 2 DEMs: Photogrammetric Engineering & Remote Sensing, vol.65, no.3, p.289-296.
  • Adams, M., and Hooper, E., 1998, TerraBase II, Version 3.0: Supporting the Terrain Visualization Expert: Engineer, vol.28 (November), p.30-32.
  • Kirby, R., 1997, Introducing Terrabase II: Engineer, vol.27 (August), pp.38-39.
  • Guth, P.L., 1995, Slope and aspect calculations on gridded digital elevation models: Examples from a geomorphometric toolbox for personal computers: Zeitschrift für Geomorphologie N.F. Supplementband 101, pp.31-52.
  • Peuquet, D.J., and Bacastow, T., 1991, Organizational issues in the development of geographical information system: a case study of U.S. Army topographic information automation: International Journal of Geographical Information Science, vol.5, no.3, p.303-319.
  • Guth, P.L., Ressler, E.K., and Bacastow, T.S., 1987, Microcomputer program for manipulating large digital terrain models: Computers & Geosciences, vol.13, no.3, p.209-213.
  • Bacastow, T.S., Ressler, E.K., and Guth, P.L., 1986, MICROFIX V2.1 automates terrain analysis: Engineer [The magazine for Army Engineers], vol.16, no.2, p.24-25.

Other references

Last revision 3/19/2014


Historical Nautical Charts

  • https://historicalcharts.noaa.gov/historicals/search#mainTitle
  • The geographic search is not very efficient, as it shows a large number of very small scale charts
  • Search by chart number. The search is smart enough to know when a chart replaced another with a different number.

Last revision 4/12/2017


Historic Map Scans

USGS TopoView: http://ngmdb.usgs.gov/maps/topoview/viewer/#4/40.01/-100.06

  • http://ucblibraries.colorado.edu/map/links/historical.htm
  • http://library.duke.edu/research/subject/guides/maps/historic.html
  • Historical NOAA nautical charts
  • Library of Congress: https://www.loc.gov/maps/collections/
  • David Rumsey Historical Map Collection
  • New Hampshire: http://docs.unh.edu/nhtopos/NewHampshire.htm
  • Yale Library http://www.library.yale.edu/MapColl/print_online.html (included some WW 1 maps on 6/2/2010)
  • Kansas maps from WSU: http://specialcollections.wichita.edu/collections/maps/search.asp
  • Large index page: http://www.maphistory.info/imageus.html
  • http://etc.usf.edu/maps/index.htm
  • Historical air photos http://www.historicaerials.com/ has watermarks and wants you to buy
  • http://www.oldmapsonline.org/

  • World War I large scale maps of US forces (1944, Battle Monuments Commission): http://www.lib.utexas.edu/maps/historical/ww1/index.html
  • Korean War: http://www.koreanwar.org/html/maps.html
  • World Ware II: http://wwii-photos-maps.com/
  • WW2 daily situation maps, http://memory.loc.gov/ammem/collections/maps/wwii/date.html

http://historicalmaps.arcgis.com/intro/

http://historicalmaps.arcgis.com/usgs/ find USGS maps of an area

Historic Nautical charts

  • https://historicalcharts.noaa.gov/historicals/search#mainTitle
  • https://www.davidrumsey.com has some
  • https://www.loc.gov/maps/?fa=subject:nautical+charts
  • https://www.rmg.co.uk/discover/museum-collections/sea-charts-and-maps
  • https://collections.rmg.co.uk/collections.html#!csearch;collectionReference=subject-90232;authority=subject-90232
  • https://collections.rmg.co.uk/collections.html#!csearch;collectionReference=subject-90232;authority=subject-90232;derivedPlaceFacetLetter=N;start=0;derivedPlace=North_Sea (must buy to get decent view of the maps)

Civil War Maps

  • http://memory.loc.gov/ammem/collections/civil_war_maps/
  • http://www.libs.uga.edu/darchive/hargrett/maps/civil.html

Army Map Service 1:250K, 1950's:

  • Series L500 China, http://hcl.harvard.edu/libraries/maps/collections/series_indices/China_Index.html
  • http://bbs.keyhole.com/ubb/showflat.php/Cat/0/Number/979772/ has a KML file with links to downloads of Army Map Service 1:250K topo quads from just after World War 2. The files can then be downloaded from Perry-Castañeda Library of University of Texas at Austin. This also includes some 1M, 2M, and city maps.
  • http://ufdcweb1.uflib.ufl.edu/ufdc/?a=map&m=hrdt&t=army+map+service

Army Map Service 1:50K, Viet Nam:

  • http://www.lib.utexas.edu/maps/topo/vietnam/ (GeoPDF)

Army Map Service 1:50K, Korean War:

  • http://www.koreanwar.org/html/korean_war_topo_maps.html
  • http://www.koreanwar.org/html/maps_army.html
International Maps
Pre-World War I Austro-Hungarian empire (JPEGs) | http://lazarus.elte.hu/hun/digkonyv/topo/3felmeres.htm
Czechia, Moravia and Silesia (Zoomify) | http://oldmaps.geolab.cz/index.pl?
Poland | http://mapy.eksploracja.pl/news.php
Lithuania | http://www.maps4u.lt/en/news.php

Register, tile, and export maps.

Last revision 12/3/2017


Historical Cartography

Historic map scans online

Registration

  • Register old quadrangle maps -- example visualizations in Google Earth
    • 1871 Wheeler survey map example (KMZ file, 54 MB download)
  • Tutorial on image registration
  • Directions for image registration.
  • Register old maps with Map Analyst
  • Caveats on image registration.

Last revised 5/19/2010


Horizontal Earth Curvature Graphs

Maximum curvature along a path constrained to have the same coordinates at each end.

Horizontal Curvature for 5 distances:
  • 150 km (top)
  • 100 km
  • 50 km
  • 25 km
  • 10 km (bottom)

This shows the difference between using the Vincenty algorithm (UTM would be effectively identical) and using lat/long as if it were a cartesian grid.

Generate these graphs, and adjust the scaling, with the "Analyze, Algorithms, Horizontal earth curvature" menu choice. This requires an open DEM, and the computations will be for the center of the DEM.

Note that the graph is almost symmetrical about the 90° Azimuth, but is not quite because of the convergence of the meridians.

For 10 km range, the horizontal earth curvature is almost 2 m.
Distance | UTM/Vincenty
(m) | (m)
10000 | 0
20000 | 0.1
30000 | 0.1
30000 | 0.1
40000 | 0.2
50000 | 0.3
60000 | 0.5
70000 | 0.7
80000 | 1.0
90000 | 1.3
100000 | 1.7
110000 | 2.3
120000 | 2.9
130000 | 3.6
140000 | 4.4
150000 | 5.4
 Deviations between a line computed in UTM coordinates and the Vincenty geodetic formula.

These are for the largest deviations (always at 90° azimuth), for a location in Fort Irwin, CA.

Last revision 7/3/2013


Horizontal Datum Introduction

The datum represents a vital but frequently overlooked part of a map or digital map data. The datum consists of a starting point and orientation, and an assumed shape of the earth (ellipsoid). For historical reasons a wide variety of local datums have been used in mapping. NIMA's TR 8350.2 lists about 200 datums. Some of the reasons for the multitude of datums include historical pride, but different datums best fit different parts of the world, and in the 19th century it was not easy to survey islands or colonial outposts relative to a known location and to tie regions together. Although most coordinate systems now use longitude relative to Greenwich, that was not usually the true starting point for the projection; the coordinates of the true starting point (Meades Ranch, Kansas, for the historic US datum of NAD 1927) were merely adjusted to put Greenwich on the prime meridian after its universal designation in 1884. With the advent of space based geodesy, we can now develop true earth centered datums that provide a best fit ellipsoid valid over the entire globe.

The most common global datum today is WGS84 (World Geodetic System), championed by NGA for world-wide mapping and the native reference for the GPS satellites. For all practical purposes WGS84 is the same as NAD83 (North American Datum 1983), and they merely used different formal definitions which lead to miniscule differences, although the continued drift of the continents complicates precise measurements. We recommend that you always use WGS84. All NGA data, most USGS data, and current TIGER data, come in that datum. The accepted European datum is ETRS89, which is also essentially the same as WGS84, but a number of the mapping agencies there still use their old national datums and projections.

In using digital data sets, you must be aware of the datum for several different things, and insure that they are correctly set:

  1. The datum used to digitize the map. GIS software should correctly identify the datum for both USGS and NGA data sets and most other data sets that have metadata. World files and shape files will be notable exceptions because the formats do not include the projection and datum in their definitions, and the work-arouonds are not universal.
  2. The datum used for local paper maps if you will use the maps to manipulate the digital data, or compare them to the on screen data. Paper maps and charts should show the datum in the legend or marginal information on the bottom of the map. Old U.S. maps that do not indicate the datum are almost certainly on NAD27 (or so old they might have not a datum). Datums affect both lat/long and UTM coordinates.
  3. GPS units report coordinates by default on the WGS84 datum, but you can transform the coordinates to another datum. This might not be easy of a phone, which is replacing the more sophistiated and dedicated GPS units.

If these datums are not correctly set, screen coordinates will not match up with coordinates on the paper map. If the two datums are correctly set, data set accuracy and resolution may affect how closely features on the screen (like hill tops or valleys) match up with their true coordinates. It is often better to select the high point in the data set rather than to rigidly rely on hilltop coordinates read from a map.

GIS users who want the full power of the GIS to merge and combine different data sets must insure that they are on the same datum or have been shifted to lie on the same datum.

This US is getting a new set of datums, horizontal and vertical, in 2022. It will have 4 reference frames, one for each plate with US Territory (North America, Pacific, Caribbean, and Marianas).

See also:

  • MICRODEM and horizontal datums
  • Datums for warfighters (equally valid for other users).
  • Datum shifts
  • Datum shift numerical examples
  • Vertical datums
  • Example of incorrect datum shift.

Last revision 1/19/2018


Horizon Blocking Graphs

Distance to horizon as a function of azimuth
Vertical angle to horizon as a function of azimuth

Sky map, showing the elevation of the horizon in brown versus azimuth.

Zero elevation is at the outer diameter of the diagram.

Brown line is the location of the horizon.

The four lines show the sun's path on the selected day, and the solstices and equinoxes.

This is in the Himalayas, and is a different location than the two previous figures. The location is a valley opening to south with a distant horizon, but steep slopes to the east and west.

Select on form to govern the horizon blocking diagram . Get them for both the horizon blocking and Sun above the horizon options on Calculate, Intervisibility menu .

Formula after:

  • Peddle, D.R., White, H.P., Soffer, R.J., Miller, J.R., and LeDraw, E.F., 2001, Reflectance processing of remote sensing spectroradiometer data: Computers & Geosciences, vo.27, no.2, p.203-213.

Last revision 1/23/2020


Horizon Blocking

Sun Position and Horizon Blocking

With a DEM loaded and associated with the map, option available on "Calculate, Intervisibility" menu.

Select point on map to compute horizon blocking.

Select parameters

Graphs created

Skylines from an urban DSM in London
Circular horizon map. Points on the border are not elevated, and points inside are higher in the sky. | Inverted skyline. This may be more intuitive for many users.

Formula originally after:

  • Peddle, D.R., White, H.P., Soffer, R.J., Miller, J.R., and LeDraw, E.F., 2001, Reflectance processing of remote sensing spectroradiometer data: Computers & Geosciences, vo.27, no.2, p.203-213.

Last revision 6/25/2021


Horizon Options

Horizon calculation settings

  • Max Horizon: maximum distance to go out in the DEM to find blocking terrain. The DEM must extend this far from the point or the search will be truncated at the edge of the DEM.
  • Observer above ground (m): how high up is the observer.
  • Radial precision: radials will be drawn with this spacing in meters along the radial. Smaller numbers will give greater accuracy and take longer.
  • Angular precision: distance between radials used to compute the horizon.

Sunlight computations

  • First day sunlight: starting Julian date for computations.
  • Last day sunlight: ending Julian date for computations.
  • Interval (days)
  • Sunlight precision: minute stepping factor for determining sun position.
  • Single Julian Day

Sunalight graphs

  • Day light duration
  • Graph horizon distance : by azimuth
  • Graph horizon vert angle : by aziumth
  • Circular horizon map
  • Invert skyline

  • Solar path map:
  • Verify time zones: check the time zone, versus using automatic computation.

Geostationary satellite pointing

Buttons on the right create

  • Sunlight maps
  • Single sunlight map
  • Horizon blocking
  • Single day table
  • Annual table
  • Draw graph
  • Geostationary satellite visibility

  • Sun above the horizon

Last revision 3/22/2014


Horizontal Earth Curvature

Horizontal earth curvature determines how to compute the “straight line” path between the observer and the target. For simplicity, this is probably generally computed in the DEM grid coordinates, as shown in figures discussing the algorithms (e.g. Yoeli, 1985; Champion and others, 1995). For intervisibility over short distances this should make no difference, but over long differences it will compute a different sight line for a UTM or a geographic DEM. This effect does not appear to have been prominently discussed in the literature.

These results suggest at least four ways that could be used to compute the straight line required for intervisibility: UTM coordinates, geographic coordinates, DEM grid coordinates (UTM or geographic depending on the type of DEM used), or accurate geodetic computation (Vincenty, 1975). From the desired end points, the intermediate points can use any desired coordinate system. This will be easiest with radial interpolation, but could probably be done with the other methods. Experiments show that UTM and geodetic coordinates produce almost identical results, but the geographic coordinates differ substantially. UTM coordinates can be used for short sight-lines, where the conformal projection preserves the azimuths, but for longer distances the distortions will be become noticeable. UTM coordinates can probably be used until the deviations for the correct geodetic line exceed the DEM grid spacing. Geographic coordinates can only be used for very short sight-lines—meaning that the currently available DEMs for military use, DTED and SRTM, cannot use the coordinate scheme depicted in diagrams. Furthermore, the point interpolation schemes that use the sides of grid squares and triangles will not be easy to code because the desired path curves in the geographic coordinate space and finding the intersections along the sides will not be simple.

Regardless of the type of DEM, each algorithm can be used to calculate the straight line and the coordinates of evenly spaced points along the profile can be computed in any desired coordinates—UTM, geographic, or the DEM grid which will be related to one of the first two.

The suggested "Smart" algorithm uses UTM coordinates out to a crossover distance, at which point it switches to geodetic computations. UTM coordinates will be faster, but for very long distances or at the edges of UTM zones may lead to distortion.

Over short distances with lat/long DEMs, (out to 10 km for 1/3" or 10 m DEMs), you might get a noticeable speed up by using DEM Grid or Geographic Lat/long coordinates for the algorithm.

Graphs of horizontal earth curvature.

Test the effect of the horizontal earth curvature algorithm.

Last revision 2/4/2021


HTML Cleaning

MICROSOFT Office creates bloated HTML files. An option allows you to do the following steps to clean up the code.

The following tags will have all options removed from within the tag:

  • <li>
  • <table>, <tr>, <td>
  • <body>
  • <div>
  • <p>
  • <span>

The following tags will be removed:

  • <p>, </p>
  • <span>, </span>

The following substitutions will be made:

  • &nbsp; will be replaced with a space.
  • <table> will be replaced with <table border="1">

Last revision 3/29/2011


HTML Report

Option on Report menu of dabatabase table form.

HTML: opens in the default browser; if you want to save it, use the File, Save as option in the browser. The HTML files will be in the temporary map directory. You should have a reasonably small number of records for this option, perhaps by Filtering the table. You can also Hide fields you do not want. Alternatively you can clean up the HTML after importing into your word processor or spreadsheet, either of will will import the HTML via cut and paste.
  • Single table--HTML will look like the table display. In addition to opening in a browser, the table will be on the clipboard and you can paste it into Excel.
  • Table per record--each record will be in a two column table with the field name and its value. For a field with many columns, this can be more effective.

Last revision 4/23/2021


Huge Files

Huge File Workarounds

If you have a very large file, it takes a long time for operations, and you only need part of the data.

File Type MICRODEM native solutions QGIS solutions If you installed GDAL, you should have QGIS as well
Vector shapefiles

Open a map, [image] Subset & zoom to the region you want. You have three choices:

  1. Subset DB before opening it in MICRODEM
    • File, Import, Shapefile after subset to match map extent. You can adjust the map extent first to cover your area of interest.
    • This uses GDAL/OGR, with possible problems.
    • The file will be loaded. It will be in a subdirectory of the directory with the initial shapefile.
  2. Filter the file ASAP
    • Open the shapefile.
    • Abort drawing if it is taking too long
    • Filtering options
      • Map query, Current map area:
      • Filter: the DB as desired if there are fields in the DB that will do the job
      • Edit, Mask--based on geometry
        • Mask database with shapefile
        • Find points in areas (like an administrative boundary in a shapefile)
    • Report, Shapefile export for line/areas, or Export DBF Table for points.
      • current map extent option
      • current filter option
    • Open the new file and close the original file.
  3. Open in QGIS, extract just the portion you need, and open that. If the file is too big for MICRODEM, it is likely to be very slow in QGIS as well.

QGIS will open the files rapidly.

Use QGIS to export/subset, noting possible problems.
Raster
  • Option 1, when you need only part of the map extent
    • Subset & zoom,
    • File, Save DEM, Current subset, MD DEM
  • Option 2, when you can afford a lower grid resolution
    • Raster GIS:
    • Thin (decimate DEM to lower spatial resolution).
  • Option 3, when the input file is too big to open (say a compressed Geotiff; probably has to be geographic)
    • Open a map, [image] Subset & zoom to the region you want.
    • File, Import, Raster after subset to match map extent
  • Option 4: open in QGIS, and subset there.
 QGIS will open the files rapidly.
Use QGIS to export/subset.
The export option produces a smaller file that works easily.
Lidar
  • Turn off Immediate map on the File list tab.
  • Subset & zoom immediately to just the area you want to see. This is particularly important for:
    • OpenGL Point cloud
    • Slice: EW and NS slices through the point cloud.
  • Draw tab, thin map, either manual or automatic. Remember to check that this is adjusting as you zoom in, when you want to see all the data.
  • Consider Creating grids if they will do what you need.
  • Subset very large files. Instead of having to look at every point for every operation
    • As you zoom in, you will only have to look at a few tiles.
    • Some operations can be multi-threaded, meaning they will run in parallel.

QGIS file subset geographically

  • Open QGIS
  • Open shapefile (Layer, Add Vector Layer) or a raster (Layer, add raster layer)
  • Zoom the map to the region you want
  • Right click on the layer in the table of contents, and select properties.
  • Pick export, and select the current map extent and other parameters

GDAL/OGR shapfile problems when subsetting geographically: The export option has issues we have not gotten around for some shapefiles (e.g. NASA MODIS fires). These appear to be in GDAL/OGR, because the same problems are in MICRODEM and QGIS which both use GDAL. Other files, like TIGER shapfiles, work fine.

  • Truncates the float fields in the dBase fields.
  • If you delete/rename the lat/long fields, you can import them from the shapefile's SHP file and you can work with the file except for any floating point fields

Last revision 2/3/2021


Hydrology

Hydrology, Rivers, Drainage Basins Data

Hydrography
  • HydroSHEDS --hole filled SRTM, drainage basins, and stream networks.
  • https://www.usgs.gov/core-science-systems/ngp/national-hydrography/nhdplus-high-resolution
  • USGS NHD--National Hydrography Dataset
  • NHDPlus Version 2.1: https://www.sciencebase.gov/catalog/item/5669a79ee4b08895842a1d47, https://www.sciencebase.gov/catalog/item/5b92790be4b0702d0e809fe5

Hydrography90m

Amatulli, G., Garcia Marquez, J., Sethi, T., Kiesel, J., Grigoropoulou, A., Üblacker, M., Shen, L., and Domisch, S.: Hydrography90m: A new high-resolution global hydrographic dataset, Earth Syst. Sci. Data Discuss. [preprint], https://doi.org/10.5194/essd-2022-9, in review, 2022.

https://essd.copernicus.org/preprints/essd-2022-9/

Vector and raster, download at https://public.igb-berlin.de/index.php/s/agciopgzXjWswF4

Lin, Peirong; Pan, Ming; Wood, Eric F.; Yamazaki, Dai; Allen, George H (2021): A new vector-based global river network dataset accounting for variable drainage density. Sci Data. 2021 Jan 26;8(1):28. figshare. Collection. https://doi.org/10.6084/m9.figshare.c.5052635.v1

https://springernature.figshare.com/collections/A_new_vector-based_global_river_network_dataset_accounting_for_variable_drainage_density/5052635

Messager, M. L., Lehner, B., Cockburn, C., Lamouroux, N., Pella, H., Snelder, T., Tockner, K., Trautmann, T., Watt, C. & Datry, T. (2021). Global prevalence of non-perennial rivers and streams. Nature. https://doi.org/10.1038/s41586-021-03565-5

https://figshare.com/articles/dataset/Global_prevalence_of_non-perennial_rivers_and_streams/14633022

Rivers and drainage basins
  • Global subnational river borders: https://zenodo.org/record/3906567#.X1gr8nlKj8A
  • GRDC, WMO (must register to download data)
  • NHD--National Hydrologic Dataset
  • https://www.epa.gov/waterdata/nhdplus-national-hydrography-dataset-plus
  • River width from Landsat
    • North American River Width Data Set (NARWidth): http://gaia.geosci.unc.edu/NARWidth/index.html Shapefile, 300 MB download uncompresses to 1.28 GB, or tiles. [Allen, G. H., Pavelsky T.M., (2015), Patterns of river width and surface area newly revealed by the satellite-derived North American River Width data set. Geophysical Research Letters. doi: 10.1002/2014GL062764]
    • Global: https://science.sciencemag.org/content/suppl/2018/06/27/science.aat0636.DC1?_ga=2.168226150.61222774.1581090653-893679277.1581090653, https://zenodo.org/record/1297434#.Xj2IyDFKhaQ,
  • River color
    • River Surface Reflectance Database (RiverSR) https://zenodo.org/record/4304567#.YD7XDWhKj8B created 2020
    • John R. Gardner Xiao Yang Simon N. Topp Matthew R. V. Ross Elizabeth H. Altenau Tamlin M. Pavelsky, 2020, The Color of Rivers, GRL, https://doi.org/10.1029/2020GL088946
    • https://cuahsi.shinyapps.io/RiverColor/ interactive, online display

Last revision 5/27/2022


HYDROSDEDS

Hydrosheds

HydroSHEDS:--hole filled SRTM, drainage basins, and stream networks.

Last revision 5/27/2022


Hyperion

  • Hyperion flew on Earth Observing-1 (EO-1) satellite from 2000 to 2017. The satellite also had the multispectral ALI instrument, which contributed to the development of Landsat 8.
  • Hyperion provides a high resolution hyperspectral imager capable of resolving 242 dataspectral bands (from 0.4 to 2.5 µm) with a 30-meter resolution. The instrument can image a 7.5 km by 100 km land area per image, and provide detailed spectral mapping across all channels with high radiometric accuracy.
  • Bands B001-B007, B058-B076, and B225-242 are not calibrated, and have no valid values, so 198 bands have useful data.

https://ieeexplore.ieee.org/document/1026135
The Hyperion sensor
242 spectral bands
356 nm to 2577 nm
nominal bandwidths of 10 nm
Two detector arrays
visible and near-infrared (VNIR: 356 nm to 1058 nm)
short-wave infrared (SWIR: 852 nm to 2577 nm).
0.63-degree across-track field-of-view
altitude of 705 km
swath width of 7.6 km
30-m pixels.
Level 1B data have been used for this study. This data processing level provides a data set with 198 bands covering the VNIR from 427 nm to 925 nm and the SWIR from 912 nm to 2394 nm. Accordingly, VNIR bands 1 to 7 and 58 to 70 as well as SWIR bands 71 to 76 and 225 to 242 have been eliminated (set to 0 or −1).
https://archive.ll.mit.edu/publications/journal/pdf/vol15_no2/15_2-08.pdf
Hyperion has two detectors (SWIR and VIS/NIR)
Two scaling factors for radiance (80 and 40)

Scene geometry, from NASA

Landsat 7 bands

Image source, NASA

The Hyperion hyperspectral sensor has very many bands with small bandwiths compared to the multispectral systems.
Log scale for wavelength, so the Hyperion bands appear to get closer.

ASTER, ALI, Hyperion all have similar pixel to ETM+ (except for the pan band)
MODIS has much larger pixel sizes.

Image source, NASA

USGS Professional paper 1386A

Hyperion image of the west side of the Sheep Range in southern Nevada.

  • Left, band 53
  • Middle, false color. There are multiple choices for RGB, since there is not just one red, green, or blue.
  • Right, true color. There are multiple choices for RGB.

The image is 1691x7071pixels, but because of the narrow swath in the descending orbit, most is missing data. You will get much speedier response with a subset of the data.

Open hyperspectral imagery

Getting archived Hyperion data

  • https://eo1.usgs.gov/documents/Hyperion_L1G_EO1-DFCB.v.1.pdf
  • From EarthExplorer, under EO-1
  • Get L1Gst Product in GeoTiff format, in the additional criteria
  • Path and Row cover a large area, and each image covers only a very small part of it
  • Unzip files. Use the option to unzip into the current directory, which will put each into its own folder becasue the zips actually zip up a folder.
  • When opening, you need to select the directory with a name like "EO1H0410342015285110K0" and not the one that ends with "1GST"

Other hyperspectral imagery

References

  • https://www.grss-ieee.org/wp-content/uploads/2014/12/2014_07_ISIS_Session1_Mission/Middleton_EO-1_IGARSS_2014_presentation_716.pdf

Last revision 6/27/2022


Using Hyperpsectral Imagery

Using Hyperspectral Imagery

Access via

  • Button on main program toolbar ,
  • File , Open , Open Hyperspectral imagery menu choice .

Best used with Hyperion data. Some older or other hyperspectral data might still work, but have not been tested recently.

Intended for Hyperion

  • Basic band stats: range, average, and standard deviation. It also finds which bands have no data, and marks the band list for those bands.
  • Unsupervised classification
  • Satellite histogram. This will be for the currently active band.
  • Grid scattergrams. Select two bands. Adjacent bands will generally be very strongly correlated. To better discriminate, you would bands to be uncorrelated.
  • DNs at point: Checkbox selects graphs in terms of wavelength instead of band number. You can keep adding points until you select some other option. If you hit the button again, it will start a new graph.
  • Correlation matrix--very slow.
  • High and low tails affect the contrast for the scene. The colors will be linearly stretched between the two percentiles, and not waste colors on clouds or very dark pixels.
  • Picking a band changes the display to grayscale for that band.
Requires spectral reflectance library.

Reflectance library spectra button: pick multiple files if desired for a file open dialog.

Pick single files from the list box.

Last revision 12/21/2017


Hyperspectral Imagery

Multispectral imaging (MSI) measures light in a small number (typically 3 to 15) of spectral bands. Landsat or Sentinel 2 are good examples.

Hyperspectral imaging is a special case of spectral imaging where often hundreds of contiguous spectral bands are available. The bands have a much smaller spectral bandwith (many shades each of red, green, and blue, as well as the NIR and into the SWIR), allowing very precise determination of reflectance spectra and the possibiliy to surface material determination.

Hyperspectral imagery is particularly suited for:

  • Geology--mapping the distribution of mineras, perhaps for mininig
  • Agriculture--monitoring the health of fields, to control irrigation, fertilizer application, and similar operations
  • Military--in particular looking for camouflaged material. People generally match the visible spectrum of vegetation, but because we do not see any of the NIR or SWIR, might not undertake the extra of making sure the object does not stick out in that part of the spectrum.
Hyperspectral image cube. You can have a selected single band or and RGB merge on the top, and see the image in all bands (1 on top, highest in the sensor on the bottom) for front and right side.

You can see:

  • Bands that are high/low reflectance in all bands. High reflectance is white, and low reflectance black.
  • Bands that are missing or distorted.
    • If the band is all black, is is likely missing (two prominent water absorption bands occur in the limits for many hyperspectral sensors).
    • If it is speckled white with some black, it is likely very noisy, perhaps at the edge of an absorption band.
    • Typically the sensor actually has two different detectors, since designing one sensor to run the entire range of waverlengths is too hard, and in that case, the sensors may not overlap well, leading to bands that are not collected
  • Individual pixels that are high/low in reflectance in some or all bands, which have the same shade of gray top to bottom.

Hyperion is a good example of a hyperspectral imager, and a reasonable amount of archived data is available.

The following are research sensors, flown on aircraft. They may require pre-processing before use.

AVIRIS

  • https://directory.eoportal.org/web/eoportal/airborne-sensors/aviris
  • https://directory.eoportal.org/web/eoportal/airborne-sensors/aviris

AVIRIS-NG

  • https://avirisng.jpl.nasa.gov/alt_locator/
  • rotated UTM coordinates

G-LiHT

  • https://gliht.gsfc.nasa.gov/
  • https://glihtdata.gsfc.nasa.gov/
  • Lidar in LAS format available to go with the 124 bands in Geotiff format.

EMIT

Last revision 6/28/2023


Hypsometric Integral or Curve

"Analyze, Elevation histograms" on program menu.

References:

  • Luo, 1998

Last revised 5/23/2007


International Bathymetric Chart of the Arctic Ocean (IBCAO)

Available from NOAA metadata and data download.

http://ibcao.org/

https://www.ngdc.noaa.gov/mgg/bathymetry/arctic/grids/version3_0/

IBCAO_V3_500m_RR: DBM compiled with all multibeam, dense single beam and land data added at 500 x 500 m resolution in a final step using the remove-restore method. This DBM is recommended for analyses requiring the best possible resolution where data exists. Well surveyed areas are clearly distinguished in this grid, specifically if there are nearby areas with sparse data that appear smooth.

IBCAO_V3_500m_SM: DBM compiled with the land data added at 500 x 500 m resolution in a final step using the remove-restore method. This DBM portrays the seafloor with a general and smooth appearance. The smooth representation of the seafloor was achieved by applying a Cosine tapered filter over 6000 m (see gridding methods described in 4.0.). This DBM may be better suited for overview map making than the version described in a) due to its more homogenous and smooth appearance.Both versions
  • Resolution: 500 x 500 m grid cells
  • Projection: Polar stereographic, true scale 75degN (if scale factor is applied it should be set to 0.982966757777337), latitude of origin 90degN, longitude of origin 0deg.
  • Horizontal Datum: WGS84
  • Vertical Datum: Mean Sea Level
  • Extent (Polar stereographic coordinates): Easting -2904000 to 2904000;
  • Northing -2904000 to 2904000
  • Grid dimension: 11617 x 11617

Jakobsson, M., L. A. Mayer, B. Coakley, J. A. Dowdeswell, S. Forbes, B. Fridman, H. Hodnesdal, R. Noormets, R. Pedersen, M. Rebesco, H.-W. Schenke, Y. Zarayskaya A, D. Accettella, A. Armstrong, R. M. Anderson, P. Bienhoff, A. Camerlenghi, I. Church, M. Edwards, J. V. Gardner, J. K. Hall, B. Hell, O. B. Hestvik, Y. Kristoffersen, C. Marcussen, R. Mohammad, D. Mosher, S. V. Nghiem, M. T. Pedrosa, P. G. Travaglini, and P. Weatherall, The International Bathymetric Chart of the Arctic Ocean (IBCAO) Version 3.0, Geophysical Research Letters, doi: 10.1029/2012GL052219.

Last revision 8/20/2018


IceSat-2 to LAS

Data Manipulation form , Import

Uses IceSat-2 CSV photon files from http://openaltimetry.org/

Set the options (which beams to use, the minimum confidence in the point to use it).

Select one or more CSV files; the XML file must also be present to get all the information such as the beam. A single LAS file will be created.

  • Create point type 1, with the following fields:
    • PointSourceID : track, single value for the entire track (word)
    • GPSTime : date, noon of the day the track was acquired, single value for the entire track (float)
    • Classification : Confidence; 20-24 (the confidence plus 20, so it is not interpreted as a standard category
    • UserData : beam, single value for the entire track (byte)
      • GT1R = 1
      • GT1L = 2
      • GT2R = 3
      • GT2L = 4
      • GT3R = 5
      • GT3L = 6
  • Z values shifted to the geoid from the ellipsoid using the NGA transform files
  • Restricted to selected confidence codes
  • Removes lines that are identical, of which there are a significant number

A CSV file will also be created; the name of the file will have the data, track, and beam name, and those will be in fields in the CSV. This can be turned into databases.

Last revised 4/29/2020


Icon Filter DB

Option on Table view of a database, Edit, Icons.

Use this file to set icons for the records in a database, using the Filter applied to each record.

The ICON and ICON_SCALE fields will be added to the database, and an icon will be created in c:\mapdata\icons for each symbol, which can be used for KML database export to Google Earth.

Database of earthquakes, after creating icons based on magnitude with both color and size set, and exported to Google Earth.

You can make a legend, with a screen capture of the NAME column in the database, and place a legend in the lower or upper left corner of the screen for the KML export.

Last revision 10/31/2011


Icons From Thumbnails

From Edit, Icons popup menu on the table display window

  • DB must have an image field. This is a good use for a DB created from the EXIF field of camera photos.
  • Pick the height desired, and thumbnails will be created.
  • You can plot these on the map, with additional scaling, so you should err on the side of making a icons a bit larger.
Display with Plot, Icon field

This shows two images. The GPS locations are off by a few meters, since both pictures were taken on the road.

Last revision 10/19/2018


Icon Export to Google Earth

Union regiments in blue, using GIF format.

Confederate regiments in red, using PNG format (note lack of transparency).

No text labels with the symbols, but displayed by Google Earth.

Union regiments in blue, using a GIF format, with unit text labels in black, which do not show up well.

If you are creating icons for KML and Google Earth, you might want to avoid the labels since they do not come out well with transparent icons. Google Earth can put the unit names as part of its labels.

Last revision 3/10/2010


ID Features

Option on Raster GIS menu.

  • Find all contiguous regions with non missing values
  • Options
    • Compute centroid of each region
    • Set a minimum region size by number of pixels
  • Regions will have an integer code going from 1 up to the number of features.
  • You will be required to save this file, so that the VAT table that goes with it can be located.
  • This can be used, if you have sequential time grids, for Feature migration.
Map of features grid. Each feature will have a different color if there are not too many features.

Red squares are the centroids, which might not be within the regions

Table accompanying grid.
  • NPts: number of grid points in the region.
  • Lat/Long for the centroid.
  • Bounding box in terms of the grid coordinates. These allow rapid searches.

Last revision 10/9/2013


Identify focal planes

Geology options and pick Focal Plane Analysis

If you have a number of earthquakes, a plot of the dip directions on the focal planes can help you see the trends more easily than using the great circles. This will be color coded by the earthquake type. In this case there appear to be two clusters, probably related to the two focal planes for a single family of normal faults.

If you Adjust net properties to put on a polar grid, you can easily determine the range of dip directions for each potential focal plane, as well as the dips.

You could alternatively get a rose diagram with the dip directions.
The Global (Harvard) CMT database contains the two focal planes in the right hand rule format, with two numbers. The first is the strike, and the second is the dip. The dip direction is 90º to the right (clockwise) from the strike. The record display option will show the planes in two additional formats, the traditional strike and dip, and the dip and direction for the pole (normal) to the fault plane.

The two focal planes for this fault have nearly the same strike (N5E and N19E), with is common for thrust and normal faults. One focal plane dips 34 to the W, and the other dips 57 toward the E.

You should do this analysis on a grayscale reflectance map so the colors for the focal planes stand out.

You can do this for a single earthquake, or a number of earthquakes in a small region which share the same approximate orientation. Get the potential focal planes from the CMT database record display. This example is for the single quake with the earthquake with the focal mechanim below, whose strikes are about N20E.
  • Enter the two focal planes. The min/max dip directions (90º to the right from the strike) provide a range, since natural data are usually not geometrically perfect, and the fault plane may curve, even over a fairly small distance. You will have to decide how much of a window you want to use. If you get no potential colored scarps, you should open up the range a bit. You can get the focal planes orientations by looking at a rose diagram of the dip directions or from a stereo net. This example uses 80-100 degrees from the strike.
  • Enter the minimal slope to show potential scarps. Many areas do not have many steep slopes, so any scarps will have been eroded back from the values recorded by the focal planes, or the faults curve between the focus and the earth's surface. It will probably be easier to match the strike than the dip for the focal planes. Slopes are entered in degrees, whereas many terrain analysis functions used percent.

Pick the plot button.

The map shows the matching locations, and the memo box shows the percentage of points that matched your criteria.

Iterate until you have a good result. OK or Cancel leaves this form.

Matches for the two focal planes. You might want to increase the values allowed to see more potential areas.

This is a range front fault in the Great Basin of the western US.

Additional analysis of this fault scarp.

The dip directions used to compute this option are the same as shown on Aspect maps.

Last revision 11/8/2022


Identify Data Type to Open

The program forces you to select the type of data because:

  • Some data formats, like Geotiffs, could be either DEMs or imagery, and nothing in the file or its metadata makes this apparent. The program needs to know the type of data, because it supports different menu choices depending of the data's characteristics.
  • The program originally had completely different display operations for DEMs and imagery. While this has mostly been replaced with a common map window, the data structures for a DEM and an image remain quite distinct.
  • In the early days of GIS and remote sensing, completely different programs were used for the two operations, and that philosophy still has some remnants in the MICRODEM source code.

The most important data open operations:

  • Open DEM
  • Open image
  • Open Vector Map
  • Open shape file map--open blank map and display shape file filling the display area.
  • Open point clouds

Last revision 9/28/2017


Image Averaging for Zoom Out Displays

Select option on Imagery tab of options form

Image averaging takes the average of the pixel at the display location and the adjacent pixels that are not displayed. Averaging is only within rows. It acts much like a smoothing filter, and removes speckle from the image.

This currently works only with untiled imagery, where entire rows are stored in sequence.

Overview image of an entire USGS DOQQ (Digital Ortho Quarter Quad) of the Hanging Rock Canyon map in eastern California. The image on the left shows a zoom out that simply selects pixels from the image, while the image on the right uses averaging.

Overview images of the entire Hanging Rock Canyon DRG. The map on the left shows a zoom out that simple selects pixels from the image, while the image on the right uses image averaging of the pixel at that location and the adjacent pixels that are not displayed. Averaging is only within rows.

Part of the entire Hanging Rock Canyon DRG. The map on the left (or top, depending on your screen size and settings) shows a zoom out that simple selects pixels from the image, while the image on the right uses image averaging .

The averaging views are JPEG images which lose some detail, while the simple zooms are lossless GIFs that show exactly what the program produces.

Last revision 12/24/2009


Image analysis

Menu choice with active map window with an image.

  • Open multi-grids for raster analysis to perform statistics on satellite imagery, it must be converted to grids and loaded into memory. If these have not been created, they will be created and saved; thereafter, loading should be very fast.
    • All bands: all Landsat bands except panchromatic band 8, or Sentinel-2. For Sentinel-2 the first time this will be slow, as all bands must be interpolated to 10 m resolution.
    • VIS and NIR surface bands: Landsat bands except for panchromatic band 8, the TIR bands, and the cirrus band.
  • Multi-grids raster analysis
  • Open band for raster analysis
  • Create difference index, band ratio, new band (Filter, ratio, etc.)
  • Add RGB windows
  • Satellite histograms: graph of DN versus the number of pixels with that DN.
  • Dilate/erode image
  • Line detection (Hough transform)
  • Optimum index factor: OIF uses total variance within bands and correlation coefficient between bands,. It will compute all possible 3-band combinations. The combinations with high total variance within bands and low correlations between bands will have high OIF. These combinations should have the maximum extractable information since they use bands with the least redundancy in the remotely sensed data.
  • Spectral library graph
  • Create DBF table from image--currently limited to the number of points that can be used for cluster analysis. The table will cover the current map area, and subsample so that the number of points will be less than allowed by clustering.
  • Image negative--displays the image in negative format (color composites can look very surreal). Repeated selections toggle this on/off.
  • Metadata
    • Sentinel-2 metadata
    • Landsat QA
  • External tools
    • ACOLITE processing
    • Orfeo toolbox
  • Quick classification
  • Experimental options
    • NDVI/NSDI analysis time series (not tested recently; used Landsat, but perhaps before recent format changes)
  • 3D view with two DEMs

Missing options:

  • Multiple grid masking

Last revision 10/21/2021


Image Analysis Keys

We use a number of cues to interpret satellite imagery or air photos:

  • Shape (Pentagon)
  • Size (Barn versus storage shed; need to get scale first--running tracks an ideal feature)
  • Pattern (Orchard versus forest)
  • Tone/hue (color, depends on soil drainage, tree type)
  • Textures (smooth grass, rough tree tops)
  • Shadows (side views and lost detail)
  • Site (topographic or geographic location)
  • Association (help from what is around it, for instance on a pier you might expect loading cranes)

Last revision 2/5/2005


Image Overlays

Option Imagery (KML, KMZ, world files) on Overlay menu

  • Loads:
    • Image with a world file
    • KML file with a single Ground Overlay. The overlay cannot have a rotation, which means that the edges of the map must be parallels and meridians. You can create this in Google Earth with the "Add image overlay" option. If there are multiple overlays in a file, this will work best if they do not overlay each other.
    • The opacity for the overlay can be set on the Map Overlays form, Vector tab
  • Clear with the Overlay, Clear Overlay menu choice.

Last revision 4/3/2016


Image Registration

Limitations on method:

  • North must be towards the top of the image; rotate if necessary, for example with Paint.
  • Correct datum and UTM zone must be selected.
  • Must be small area, with minimal earth curvature.

Delaunay triangulation registration has fewer restrictions (but more effort)

New image . Select image (TIFF, GIF, BMP, JPEG, PNG) that you want to register.

If the image were already registered, use the "Edit, Re-register" edit choice. Then select Register, Image from the window's menu.

Main Buttons on right of form:
  • Reg File
  • Plot option
    • Plot and Label registration points
    • Plot delaunay triangles
    • Font, point symbol, line symbols
  • KML points--enter locations from a KML file. You will get Point Name, Lat, and Long entered in the database, and then will have to associate image coordinates.
  • Clear points--deletes all registration points. Use with care.
  • Quad Map

Buttons on bottom of form:

  • Image Point: select points on the image.
  • Map Point: select points on a registered map open in another window to get ground coordinates to use for the registration.
  • Graph point: select points on a graph window to get ground coordinates to use for the registration.
  • Enter Coords--enter lat/long, UTM, or MGRS coordinates.
  • XY--enter arbitrary XY coordinates for an image that is not a map.
  • Gaz--use gazetteer to add points
  • Tri--triangle extrapolation to add points along map edges
  • Next point

Copying and pasting coordinates for registration.

You are responsible for determining if this procedure is appropriate, and which kind of world file or rotational registration to create for your grid. In a UTM file, the UTM grid lines should be running north-south and east-west, with no stairstepping. Similarly, for a geographic grid the lat/long lines should be straight. The most general case does a "Rotate Reg", but will only use UTM coordinates and cannot be exported from MICRODEM . The rotated image cannot be saved correctly for export to other programs. If you need registration for another program, you should get a more robust solution.

  1. Enter coordinates and the points on the image to which they correspond.
  2. Create registration file.
  3. Edit registration points.
  • Radio buttons allow you to register in x & y simultaneously, or only x and y separately. The separate option is for scanned maps that have side ticks for only lat or long, and not crosses where they intersect.

Image registration pages:

  • Tutorial on image registration
  • Register with Gazetteer
  • Register with Map Analyst
  • Register Quad Map
  • Caveats on image registration.
  • Import ground locations from Google Earth.
  • Supplementing quadrangle registration with gazetteer points.

Last revision 10/10/2012


Imagery Options Tab

This tab is on the options form, brought up from the Options menu selection.

  • For Mr Sid imagery
    • Largest image size in pixels for automatic extraction.
    • Ask to verify the extraction level lets you pick the level for extraction
  • Delete JP2 after import to Geotiff. This is for Sentinel-2, which will save disk space (on the order of 1 GB per scene). Do not select if using ACOLITE.
  • Average zoomed out imagery
  • Ignore 0 in histograms: use if the image has large black areas that are missing, as these will bias the histogram and provide poor image contrast.
  • Band computations for Landsat TM data
  • Multibands to grids
  • ACOLITE options

Last revision 10/24/2021


Multigrids Image Analysis

Multigrids menu options on Image analysis Menu. You must have loaded the satellite image into memory before this will work.

  • Change display band
  • Basic statistic: max, min, mean, std dev
  • Scattergram of two bands
  • Filter image
  • Supervised classification
  • Unsupervised classification
  • Variance-covariance/Principal components
  • Average reflectance in region
  • Reinterpolate all to same resolution
    • Will use the resolution of the grid with the smallest data spacing
    • Will use bilinear interpolation
    • Will place files in a new subdirectory named "resolution_NN"
    • Be judicious and select only those bands you want to use; with Sentinel-2, this will increase the storage required by 3 times.
  • Create Max DN grid:
  • Create Average DN grid: create and open a grid with the average DN in all bands.
  • Create Min DN grid
  • Locate values; create a database with all points within a given range. This will have the LAT/LONG, BAND, and DN. This database can become very large if you do not pick values judiciously. It can be useful to find extreme values.
  • Tail percentiles: create a database with key information on each band
  • Normalize

Last revision 12/26/2020


Import SF3 Census Data

Option on Import: menu of Data Manipulation form.

Requires that you download SF3 data from the Census Bureau and save as a comma delimited file.

This uses a SF3.dbf in the main MICRODEM directory. If the file is not present, it will be created. This keeps track of the names to use in the DBF database, the cryptic SF3 codes, and the long descriptions.

If the SHORT_NAME is listed as "SKIP", the field will not be imported. Fields "GEO_ID", "SUMLEVEL", and "GEO_NAME" are good candidates to skip.

You will be prompted to enter names for any fields that are not in the database, and these will be remembered for the next time.

The file will be opened and converted into a DBF file.

The SF3.dbf file, with some default settings, will be in the main program install in 2009. An updated file, with additional field definitions, will be available on the Download data sets option.

Last revised 12/29/2008


Import E00 Coverage

For DEMs or similar grids: import on the [image] Data Manipulation, Import menu.

For vector data set: try GDAL

Last revision 5/16/2017


Import Monthly Time Series

On Import menu of Data Manipulation form .

  • Select ASCII file with monthly data. Rows have each year, and the months will be in columns. See caveats below.
  • Provide a field name, meeting the dBase requirements, for the values in the table.
  • The program will convert the file to a CSV file with the fields Year, Month, and the value.
  • The program will convert the CSV file to a DBF file, in the same directory as original file, and open the database file.
  • You cannot manipulate the database file until you close the Data Manipulation form

Caveats:

  • Looks for first line with "YEAR" and ignores any preceding lines.
  • On succeeding lines, must start with a valid year, and then have 12 valid numbers for each month.
  • Missing data will cause problems.
  • A "T" for the data (such as precipitation) will cause problems, and will cause the values to be entered as a string instead of numbers, so that you cannot do any statistics. You can edit the data in Excel, and replace the "T" with a "0" or a "0.0001".
  • Values can be separated in the files with a tab, comma, or space.

Sample data sets that work:

  • Southern Oscillation Index, from Australia: http://www.bom.gov.au/climate/glossary/soi.shtml
  • Monthly local climate data (Temperature and precipitation) from the National Weather Service, http://www.weather.gov/climate/local_data.php?wfo=lwx

Once the series has been imported, you can do time series analysis.

Last revised 12/24/2009


Import New American Fact Finder Data

Importing New American Fact Finder Data

The CSV files have the data. If there are two CSV files, you do not want the one with annotations which will have "ANN" in the file name.

Open the file in the spreadsheet. The field labels are not very well laid out. You should keep the web page open, where they will be clearer.

The MOE columns are "margin of error", whose statistical use is beyond what is covered here. Unless you know what you are doing, those columns can be deleted.

The EST columns are estimates, because this data is based on limited sampling.
If you selected the option to include descriptive element names, the second row will have a very long title for the column. You will have to widen the column to see it, but it can help to devise a good short name for the field. You will have to remember to delete this row before you import the CSV file into MICRODEM.
If you did not select the option to include descriptive element names, use can use the second CSV in the file, which has "Metadata" in the file name. This has the field names in the export, and the same long, descriptive titles in the second column.
View of the data on Fact finder. Note that this is tract 7011,01 and 02, which is on rows 2 and 3 in the spreadsheet. This is also transposed from the spreadsheet.

Edit field names in row 1, using the Rules for field names which are very picky.

We will first:

  • Delete column A
  • Remove the commas in Column C (search and replace "," with a space or nothing).
  • Since this data set is entirely with a single county, we could also remove the County Name with a search and replace

Then add field names. The fields go across (the first ones are the total population, then the under 5 then the 5 to 9, and so on.

You can delete columns that you do not want. The margin of error columns, if present, might be removed if you do not want to use them in your analysis.

GEOID with leading Zero

Save in spreadsheet format in case there are problems and your CSV files becomes corrupted.

Save as a CSV file.

Close the spreadsheet, since the GIS program cannot access the file at the same time.
Open database without map to convert the CSV file to a database. You can open on a map, but because there are no coordinates, the file will not plot on a map.

This cannot be plotted on the map, because it has no geometry attached.

A field has been added in the database, with the ratio of male to female earnings.
If there are problems with the import, you can look at the CSV file in Notepad or WordPad, and it should look like this.

You might be able to make some simple fixes here. The global search and replace can be much faster in WordPad than in NotePad.
The male to female population ratio for the county, displayed with Join/Link databases and then Plot, Color code by DB field. The values range from 77 to 479, and the color highlight the extreme high values which have many more men than women. You should be curious about what kind of a tract can have almost 5 times as many men as women.

The map on the right shows where women outnumber men, by setting all values over 100 of the gender ratio to the maximum color, and seeing the variation in the parts of the country that are all blue in the map on the left.

Fixing ID field in Scientific Notation
Note that this file has the GEOID field as a floating point number with an exponent (and that all the values are the same). This will not work. Before you save, you must reformat the column so that it is a number with 0 decimal places.
After correcting the IDs.

CSV file import problems

Join/Link database examples

Last revision 9/13/2018


Import/Export Options Tab

Tab on options form, from Options menu selection.

  • Auto fill holes on DEM merge
    • Neighbors only in 2 directions
    • Max gap to fill (radius looking out in each direction, N, S, E, W)
  • Wrap ETOPO5-- show ETOPO5 1½ times or 2 times, so that both the Pacific and Atlantic appear in full rather than split at the edge of the map.
  • Import floating point DEMs as 32 bit values rather than convert to 16 bit integers.
  • Missing values set to sea level--set this with care.
  • Assume negative values missing--set this with extreme care; you could find yourself at Badwater ( Death Valley), or the Dead Sea.
  • Option to assume missing values during DEM import.
  • Option to always verify world file datums.
  • Open vegetation grid map: Option when loading a vegetation grid to show the map or not.
  • GeoJSON: set the number of decimals for ASCII data exports. You trade off file size for accuracy; the best solutions depend on the units of the data.
  • Set the Nav options, and whether they are automatically added when you import FIT files.
  • Delete metadaa Geotiff DEM files. These are big, and for most users not useful. If you know enough to use them and want to same them, you need to change the default.

Last revision 10/6/2021


Incorrect Datum Shift

Always use WGS84 as the primary datum.

Central La Plata, PR, 1:24:000 DEM and DLG
  • Both digitized on NAD27
  • Displayed on WGS84
  • DEM correctly shifted
  • DLG not shifted. MICRODEM does not perform a datum shift on DLGs, so in this case you should display on NAD27 (or get an alternate source of streams, like TIGER data).
  • Note the large N-S offset--the streams are about 200 m too far to the south, as are the quad boundaries included in the streams DLG.
Central La Plata, PR, 1:24:000 DEM and DLG
  • Both digitized on NAD27
  • Displayed on NAD27
  • Correct registration

Last revision 6/5/2007


INI File

The INI file which contains the Program Options is stored in the user's Windows\application_data folder (something like C:\Users\pguth\AppData\Roaming\microdem\microdem.ini) . There are over 2000 settings.

  • The subfolder under roaming there is based on the program name, so if you rename the EXE, there will be multiple directories, which allows running multiple versions of the progam, each with its own configuration.
  • To navigate to this folder, you will have to show the normally hidden system folders.
  • You can also save a copy of the INI file to another location, and look at it in any ASCII editor, on the Options form.
  • If there are multiple users on the computer, each will have their own INI file, in a separate subfolder under c:\Users\.
  • Old settings remain unless you explictly delete there. This allows you to change the version of the program without renaming the EXE, and it will have the correct settings.
    • Settings no longer needed by the current version of the program
    • Settings that have been renamed so that all users get an improved default operation.

You can reset the settings on the Options form, or delete the file via Windows. Changing the program mode also changes a number of settings.

MICRODEM does not make any registry settings.

If you change settings, either deliberately or accidentally, your choices can lead to unfortunate consequences which the program does not anticipate. If you are having unexplained problems you can reset the values to the defaults using the "Restore Defaults" button on the bottom of the Options form..

Last revised 2/8/2023


Insert Point

Insert Point at Distance/Bearing

On popup menu when you click on a record in table display window of database table form.

Enter

  • Distance from the record clicked on
  • Azimuth from the record clicked on
  • Name
  • Notes

If the NAME and NOTES fields are not in the database, they will be added

Distance and azimuth will be used the compute LAT/LONG. If you them added to the database, put in the NOTES.

Last revision 9/17/2019


Daylight Duration

Best choice: Right click on map, Physical geography. You can get just daylight duration, or include surnrist and sunset.

Sunrise-sunset on the main program toolbar to create these graphs. If done with a map open, you must click on the map to select a location. If done without a map, you enter the coordinates.

-or-

Computations on the Analyze menu which lets you enter the coordinates of the location, and lets you compute other factors from the same location.

The red curve shows the time for sunset; the green curve the time for sunrise, and the blue curve the duration of daylight. Note the difference between the two locations at the same latitude but different hemispheres, and the same hemisphere but different latitudes.

If you right click, you can get a legend

Location about 61N. | Location about 61S. | Location about 15N. | High latitude, northern hemisphere, above the Arctic Circle Note that for about a month at the start of the year and again at the end of the year, there are no values for any of the curves. In early February sunrise and sunset occur at the same time (midday), and the length of daylight is just greater than zero. Then the duration of daylight increases rapidly until late April when then length of daylight is 24 hours, sunrise is at 0000 and sunset at 2400. For several months thereafter there are no values, and then in late August the pattern reverses. At high latitudes there are times (months at this location) where the sun either never rises or sets.

Note that these times give a best guess estimate for the difference to UTC and do not consider daylight savings time.

Last revision 1/5/2020


Earth Viewed from the Sun

June solstice: the sun is overhead at the Tropic of Cancer (23½°N), and the North Pole and all points north of the Arctic Circle (66½°N) face the sun for 24 hours a day. Points south of the Antarctic Circle (66½°S) do not see the sun during a 24 hour period.
Equinox (March or September): the sun is directly overhead at the equator, and all points on the earth see the sun for 12 hours.
December solstice: the sun is overhead at the Tropic of Capricorn (23½°S), and the South Pole and all points south of the Antarctic Circle (66½°S) face the sun for 24 hours a day. Points north of the Arctic Circle (66½°N) do not see the sun during a 24 hour period.


Insolation and Seasons

Note the 23˚ tilt of the earth, which remains constant throughout the year.

The position of the earth with respect to the sun determines the amount of solar radiation reaching the earth. The affects the length of daylight, time of sunrise, and time of sunset.

Last revision 12/24/2009


Coloring by Code for Grids

When the grid has values that are codes, you might not want to use the spectrum color methods because it may be hard to differentiate adjacent areas. This problem will depend on how the areas are arranged. With this option, changing the number of colors can help to show the records.

4 colors. Note the large magenta area in the center, which is actually three records.
5 colors
6 colors
8 colors. Note that the large magenta area now has two records merged.


Map library

Loading Data from Map Library

Start
  • Map library-- main program toolbar or
  • Right click on the map, Load, Map library.

Set up and manage map library data base

Map with integrated database.

Use Key buttons on the toolbar on map toolbar to adjust map size and coverage area.

Use "Load button" to outline the region you want. This will merge DEMs on the fly.

Use "LIB" button to change the series to show.

Right click on the map, and pick "Map library setup" to select the series to show.

Double click to move series from the enabled (shown on the map and opened) to disabled.

The combo box at the top allows you to restrict the view to a single kind of data.

You will see all enabled series on the map, and they will all be loaded if you select a region.

last modified 810/2/2022


Mulitple map interactive compari

Mulitple map interactive comparisons

On Overlay menu, Mulitple map interactive comparisons

  • Variable opaque merge (interactive) (two maps)
  • Merge another DEM hillshade (quick)
  • Remove quick DEM hillshade merge
  • Vertical swipe compare (two maps)
  • DEM map flicker movies (all open maps)
  • OpenGL, drape on another DEM. When the map is a grid with some computed value, you can drape it on an actual DEM with elevations. Pick from the menu on the grid to be draped, and then pick the DEM.

Last revision 5/24/2023


Interesting Lidar Point Clouds

Kilauea 2018 Eruptions

  • https://kilauealidar.com/
  • http://opentopo.sdsc.edu/lidarDataset?opentopoID=OTLAS.032012.32605.1
  • http://opentopo.sdsc.edu/lidarDataset?opentopoID=OTLAS.062018.6635.1
  • http://opentopo.sdsc.edu/lidarDataset?opentopoID=OTLAS.072018.6635.1
2016 Solana Beach, CA Bluff Characterization Survey

http://www.opentopography.org/news/new-research-publication-utilizing-differential-lidar-understanding-surface-deformation

https://www.cyark.org/discovery/openheritage --scans of world heritage sites

last revision 11/21/2018


Interpolation References

  • Kidner, DB, 2003, Higher-order interpolation of regular grid digital elevation models : International Journal of Remote Sensing
    Vol 24, No 14, p. 2981 - 2987.

Last revision 6/17/2006


Interpret sun position

Interpreting Sun Position

The observer is positioned at the center of the diagram, with the small cross. Imagine lying on the ground and looking up at the sky.

To find the azimuth to the sun, use the radial lines. North is at the top, east to the right. In this diagram the lines are 15 degrees apart.

The elevation of the sun is measured from the outer edge of the diagram, which is 0 degrees and the sun would be right on the horizon.

The point at the center of the diagram has an elevation of 90 degrees (directly overhead), and does not have an azimuth (or has all azimuths).

The hours are shown. 0 and 12 might not be directly north/south, since the location might not be in the center of the time zone. They would be directly north/south for local noon.

The positions for three locations are shown in brown.

This diagram is for a location on the Arctic circle.

  • The blue circle is the June solstice (summer solstice in the northern hemisphere). At midnight the sun is just tangent to the horizon on the north, and at noon it rises to its maximum altitude of 45 degrees.
  • The red curve is for a specific day, about midway between the June solstice and the equinoxes. The sun follows this path on two days, in about April and August.
  • The green curve is for the two equinoxes, when the sun rises directly east and sets directly west, and there is exactly 12 hours of daylight.
  • The December solstice curve is missing, because that day has no sunlight at the Arctic circle.

Sun position equinox/solstices

Last revision 9/10/2020


Intervisibility Operations

Intervisibility submenu on the calculate menu when a map window is open. A DEM must be associated with the map.

This option often has experimental options under development. The options that are not documented may or may not work correctly.

  • Line of sight
  • Viewshed
  • Route observation
  • Required antenna height
  • Batch required antenna heights
  • Fresnel zones
  • Sun and satellite visibility and blocking--recent revamping, and the options below moved
    • Sun position and horizon blocking
    • Sun above the horizon
    • Geostationary satellite visibility
    • Polar orbiter satellite visibility
  • Viewshed algorithms
  • Fan sensitivity
  • Compare viewsheds on multiple DEMs
  • Saved viewsheds on multiple DEMs
  • Point selection algorithms (horizontal curvature)
  • Point interpolation algorithms

Gallery of intervisibility products.

  • Algorithm analysis for LOS.
  • Spacing analysis for LOS.
  • Speed analysis of the required antenna height algorithm
  • Vertical earth curvature
  • Horizontal earth curvature

Last revision 6/25/2021


Introduction to Data

Data formats supported

Optimal usage in the US uses support data, placed in the correct directories.

  • TIGER files--roads and streams
  • Gazetteer files--locations of churches, schools, water bodies, and peaks.
  • County and state outlines.

When downloading and setting up additional data, you should understand the concept of local map databases, for TIGER data, and the map library. For standard data sets, if you keep the files in the compressed format from the web site, MICRODEM will automatically unzip them when required and then delete the expanded files when you close the program. You also do not have to worry about file names; you can keep the cryptic names from the government mapping agencies, and let the computer keep track of file names and locations, and merge data sets as required. You are strongly encouraged to use the database function to let the computer help you organize your data.

For the purposes of this program and its documentation, a Digital Elevation Model (DEM) includes any gridded digital data that can be displayed as if it were a DEM. Examples include topography, bathymetry, gravity and magnetic anomalies. A satellite image includes any image that can be manipulated as if it were a satellite image. Examples include side scan sonar, slide looking airborne radar, orthophotography, or scanned maps. Internally the program considers imagery and scanned maps to be identical. Vector data consists of line segments.

This program uses essentially all the map data provided by the major US Government mapping agencies, USGS (United States Geological Survey) and NGA (National Geospatial-Intelligence Agency, formerly National Imagery and Mapping Agency, formerly Defense Mapping Agency), as well as data from NASA, NOAA, and the Census Bureau. Much of the NGA data will only be available to US military users, but a surprising amount of NGA data world wide can be downloaded free. The program also displays the most common interchange formats for digital mapping data, Shapefiles and Geotiff. This bias on US data reflects two facts of life:

  1. This is the data I use because of where I live.
  2. US data is largely free, in striking contrast to most of the rest of the world where digital map data is not a public domain product created by the government.

The program comes with a limited amount of data, a 1:24K USGS DEM for Hanging Rock Canyon, California, and several geological data bases.

Additional data files available.

Last revised 2/22/2015


Introductory Tutorials

On the File menu, Introductory tutorials:

These will download and open data, and provide a quick introduction to the uses of different types of data and the program's capabilities.
  • Annapolis GIS data sampler (slow, 2 GB download the first time run)
  • Annapolis TM8 scene satellite imagery (slow, 1 GB download the first time run)
  • Annapolis Lidar sampler (same slow, 8 GB download as the Annapolis data sampler the first time run)
  • Lidar sampler (350 MB download)
  • Harper's Ferry Terrain Analysis (150 MB download)
  • Annapolis redistricting
  • Grays scale: see how good your grayscale and color perception are.
  • RGB separates: enter a photograph, and the program will show each of the primary colors, in grayscale, and in that color
  • Nyquist: understand the Nyquist sampling theorem
  • Fat fingers

Using the Web

  • LandsatLook
  • Satellite Exercise, Range of Scales

Last revision 1/5/2022


IP Address Lookups

IP Address Lookups and Mapping

Services exist to compute a location (lat/long) for an IP address. This can be used for targeted advertising when you log onto a site (it gets your location before returning a page to you, and thus can tailor the ads you see), or to track the locations of people interested in your web site.

To get your IP address:

  • Open a command prompt window, and type "IPCONFIG". The resulting address might actually be internal, if it starts with 10.xxx.xxx.xxx or 192.168.xxx.sss.
  • To find your "real" IP address:
  • http://www.whatsmyip.org/ This should give you the external IP address that the web sites you visit will see, which might be something like 131.121.xxx.xxx.
  • https://www.wizcase.com/tools/whats-my-ip/ does the same thing
  • http://www.whatsmyip.org/whois-dns-lookup/ and enter your external IP into the Whois lookup. This will tell you who owns your IP address
  • 118.151.17.157 - - [31/Aug/2011:20:44:05 -0400] "GET /Users/oceano/pguth/microdem/win32/microdem_setup.exe HTTP/1.1" 200 81700295
  • 167.33.47.12 - - [31/Aug/2011:21:15:06 -0400] "GET /Users/oceano/pguth/microdem/win32/microdem_setup.exe HTTP/1.1" 200 81700295
  • 124.20.24.6 - - [31/Aug/2011:21:07:25 -0400] "GET /Users/oceano/pguth/microdem/win32/microdem_setup.exe HTTP/1.1" 200 81700295
  • 16.68.13.22 - - [31/Aug/2011:21:26:46 -0400] "GET /Users/oceano/pguth/microdem/win32/microdem_setup.exe HTTP/1.1" 200 81700295
         Every time a user visits a web site, the GET request is recorded in the server's log files and can be reviewed by the site administrators. The log includes the user's IP address (81.151.167.157), the date and time, the URL requested, the version of the HTTP protocol, the success/failure code (200 = OK), and the number of bytes returned to the client (MICRODEM_Setup required 82 MB).

These are requests to download MICRODEM (IP addresses have been randomly altered).
Download locations for MICRODEM in March 2011. The IP addresses were extracted from the server logs, run through an IP address lookup, and then turned into a GIS database for plotting.
  • http://www.zonums.com/iptools/ipmapper.php . See detailed directions below.
  • https://ipstack.com/product lets you get a free API key and do 10,000 lookups a month
  • Alternates
    • https://www.abstractapi.com/ip-geolocation-api you must get an access key, but up to 10,000 requests per month are free
    • https://ipstack.com/ you must get an access key, but up to 5,000 requests per month are free; https://blogs.embarcadero.com/building-a-ip-to-geolocation-app/
    • https://geobytes.com/, https://geobytes.com/free-ajax-cities-jsonp-api/
    All limit the number of searches you can do in one session
  • A number of other commercial sites will do this, but most are trying to get money (for instance, so you could tailor a web site's content--ads--based on where the visitor was from).

Directions for IP-Mapper (http://www.zonums.com/iptools/ipmapper.php) for a number of addresses:

  • Get your IP addresses into a list, one per line or cell, in Notepad or Excel. If it has not already been done, you must remove everything but the IP address itself.
  • Cut up to 50 addresses, and paste into the memo box. Excel will make it easy to get the addresses in blocks of 50.
  • Insure that you do not have a blank last line ("There is an error at line #22" will indicate that you neglected this check).
  • Hit the geocode button.
  • Pick a file format.
    • KML format.
    • If you pick CSV, you might have to edit the file because some countries have a comma in the name (Korea, Republic of) and will cause problems.
    • Tab version might be better than CSV.
  • Cut the text out of the memo box, and past it into Notepad. (There might be problems trying to use the download button.) You want the line with the headers, but not the lines above that.
  • To use KML
    • If you want to open directly in Google Earth, save each export separately.
    • You can combine all the exports into a single file in Google Earth, save it with a KML extension.
  • To use CSV or tabs:
    • If you need more than 50 IP addresses, repeat until you have all the points you need. For these subsequent groups you do not need the headers.
    • Save the file as a CSV.
  • Open World Base map
  • Open Database and pick the CSV or KML file you saved. This will automatically create a dBase DBF file.
  • Report, KML: export for Google earth.

Last revision 8/3/2021


Iwashashi and Pike Classification

Based on three variables:

  • Slope gradient:
  • Surface texture:
  • Local convexity:

ConvexityMeanCut := DEMGLB[ConvexGrid].FindPercentileElevation(MDDef.ConvexCut);
TextureMeanCut := DEMGLB[RoughGrid].FindPercentileElevation(MDDef.RoughnessCut);
SlopeMeanCut := DEMGLB[SlopeGrid].FindPercentileElevation(MDDef.SlopeCut1);
SlopeQuarterCut := DEMGLB[SlopeGrid].FindPercentileElevation(MDDef.SlopeCut2);
SlopeEigthCut := DEMGLB[SlopeGrid].FindPercentileElevation(MDDef.SlopeCut3);

Reference:

  • Iwahashi and Pike, 2007 Automated classifications of topography from DEMs by an unsupervised nested means algorithm and a three-part geometric signature, Geomorphology, vol 86, no.3/4, p.409-440. doi:10.1016/j.geomorph.2006.09.012

Implementation in MICRODEM

Other landform/landcover data sets at 300-1000 m resolution

Last revised 8/17/2017


Iwashashi and Pike Classification

Iwashashi and Pike Classification in MICRODEM

Option on Raster GIS Create derivative grid

Two choices of roughness:

  • Slope std dev: will be faster
  • Directional cosines, a by-product of SSO analysis

Based on three variables:

  • Slope gradient: will use slope in percent
  • Surface texture: will use roughness, calculated as part of the terrain fabric (which will be slow)
  • Local convexity:

Reference

Last revised 8/17/2017


Joystick and Live Flying

Use the joystick for live flying.

  • Enable this on the "View" tab of the options form.
  • The joystick must be set up in Windows.
  • Climb by pulling back, and move left or right by moving the joystick in that direction.
  • The distance for each change is set by using the "Control" button

1/15/2001


Julian Days

Julian date has two distinct usages, depending on where your roots are:

  • Julian day is the continuous count of days since the beginning of the Julian Period used primarily by astronomers.
  • An ordinal date is a calendar date typically consisting of a year and a day of year ranging between 1 and 366 (starting on January 1), though year may sometimes be omitted. With the year omitted, this can be used to schedule periodic maintenance, or to plot annual cycles in the earth sciences


Key Buttons--Map Window

Key Buttons--Map Window Toolbar

  • Set percentage data shown for raster data
  • Zoom out to show entire data set.
  • Subset and zoom data set
  • Zoom in (blow up). Indiscriminate use of this will get you a huge map. Subset and zoom is generally a better choice. 1:1 view (best resolution view of the data, but may be large and unwieldy unless you [image] subset and zoom first)
  • Force screen redraw--removes any extraneous annotations and markings
  • Information on map, pixel size and percentage of data displayed.
  • Identify data base records. Double click on a feature, and see its attributes from the data base table.
  • Full Map WindowToolbars
  • Right clicking on map
  • Overall program basics

Last revision 4/10/2019


Key Database Display Options


Key Map Elements

Legends/marginalia

  • Every map should have a scalebar. The only exception is small scale maps that cover a large area over which scale changes so much that a scale bar would be too misleading.
  • Legends: explain colors or symbols. If the legend is large, it may have to be added outside the map area.
  • Select the location of the scalebar and legend where it will not cover important map information.

Grid For a map that will be a quality product, you should have a grid or graticule. You can label it before export; by default the GIS program might omit this, to use as much of the screen as possible for the map, menus, toolbars, and other controls, and the position while roaming lets you get coordinates as needed.

Some old school cartographers will insist that every map also have a north arrow, and a location map showing where in the world it is. In the age where most maps reside in Word or PowerPoint documents, this might "waste" space better devoted to actual map content.

Never stretch a map in Word or PowerPoint, since that distorts what the GIS program worked to properly depict. Adjust the layout in Word or PowerPoint to accept the map, or change the map coverage in the GIS program.

Last revision 1/10/2023


Key Geomorphometric Parameters

Suggested key variables for terrain description (Guth, 2006).

Parameter | Descriptive Name | Notes
SLOPE_AVG | Steepness or Roughness | Evans (1998). One of 15 contributing variables to the most important attribute of Pike (2001)
ELEV_RELF | Elevation-relief ratio or Coefficient of dissection | Pike and Wilson (1971). One of 2 contributing variables to the third most important attribute of Pike (2001)
S2S3 | Organization | Guth (2003). Only in moderate to steep terrain. Terrain organization references.
SLOPE_STD | Heterogeneity | Evans (1998). Only in moderate to steep terrain.
PROFC_STD | Curvature in profile | Evans (1998). Only in moderate to steep terrain.
PLANC_STD | Curvature in plan | Evans (1998). Only in moderate to steep terrain.
ELEV_AVG | Average elevation | Largely descriptive only. Evans, 1998. One of 2 contributing variables to the second most important attribute of Pike (2001)
FABRIC_DIR | Fabric direction | Largely descriptive only. Guth (2003). Terrain organization references.
ELEV_KRT | Homogeneity | Evans (1998). May be too noisy. Only variable in the fourth most important terrain attribute of Pike (2001).
ELEV_SKW | Massiveness (inverse) | Evans (1998). Only in moderate to steep terrain. One of 2 contributing variables to the third most important attribute of Pike (2001).
SLOPE_KRT | Modality | Evans (1998). Only in moderate to steep terrain, and may be too noisy
SLOPE_SKW | Limitation | Evans (1998). Only in moderate to steep terrain, and may be too noisy

All Regional Parameters computed in MICRODEM

References for geomorphic parameters

Last revision 6/15/2015


Key Global DEMs


Keyboard Creation of a Point Database

Open a map.

Select map annotation.

Select Point symbols, and pick a DBase file for your entries.

Insure that "Reasonable" or "All" graphical point verification is turned on ( Coordinates tab of Options form).

If you want to enter labels, insure the check box is checked.

  • Double click to selection points. You need not be precise.
  • Verify (or completely re-enter) the coordinates you want.
  • Select a label and point symbol.
  • Select OK. The point will be plotted on the map.

Repeat for additional points.

The "Calculate", "Where is" function is now used only for quick location of a point and temporarily marking it on the map.

Last revision 12/24/2009


MD Key Remote Sensing Options

 Key Remote Sensing Options in MICRODEM

Imagery analysis menu on map window. In addition to looking at the satellite image and treating it like a photograph for visual interpretation, a number of statistical operations can be performed with the digital data. These include:

  • Contrast Enhancement.
  • Digital filtering: digital filtering can smooth or enhance differences in the image.
  • Reflectance histograms: graphs of DN versus the number of pixels with that DN. Several bands often have a strong bimodal distribution, with water as one of the modes.
  • Correlation (Covariance) Matrix. Create a covariance matrix.
  • Principal Components: Compute Principal components.
  • Reflectance scattergrams: graph of the reflectance in one band versus the reflectance in another band.
  • Statistics: basic measures like mean, standard deviation, minimum and maximum.
  • Ratio images: the ratios of reflectances in two bands can better differentiate surface categories than looking at a single image alone. This can do a good job of differentiating land and water, or vegetation, despite differences like shadows or differential lighting.
  • For Landsat, several normalized satellite indexes are commonly used.
  • Multiband merge.
  • Training and supervised classification: divides the image into categories.
    • Supervised classification.
    • Unsupervised classification.
  • Overlay menu, 2 maps, vertical swipe compare

Many of the imagery analysis options require conversion of the data to multiple grids. This converts them to the same format as DEMs, and allows the same code to operate on both.

Last revision 10/13/2017


KML Beach Balls

KML Beachball export:

  • Open database file with Geology options popup menu, Earthquake focal mechanisms choice.
  • Select Plotting options.
  • Plot, Earthquake mechanisms, KML Export

Export should only be done for a small number of earthquakes, after Filtering the database.

Requires Global (Harvard) CMT catalog or similar format.

Last revision 5/9/2013


KML Database Export

  • Deliberate KML/Google Earth Option on Report button's popup menu of database table form. You probably need this for Icons.
  • "Quick Export" option should be good for quick work and often good enough; do simple edits in Google Earth.

Export map image can be preferable since you can combine several databases in one KML file, or you can clean up KML exports within Google Earth. This will not give you any of the database information.

Folder name:
Folder description:

Set Name field from the database that will appear for each record, and will label records on the map. This should be short text. You can make it blank if you do not want Google Earth to label the images.

Separate layers: you can filter the database, and get each unique value of the field as a separate export.

Image. Set links to image (on the hard disk, from an image field in the data base). You can embed images, or a thumbnail with link to full sized image, or just the thumbnail. Google Earth does not do a very good job with large images, so you should consider the thumbnail options. The thumbnails will be copied to the KML directory, and embedded in the KMZ file.

If you use thumbnails, set the height in pixels.

Web site. Set links to web page.

Icon. Symbol displayed in Google Earth. Icon scale factor determines how large they will be. The icon will be your own image instead of the default push pin. This can be from:

  • ICON fields in the database.
  • Pick Icon, which uses the same icon for all records. This is particularly effective if you export the database multiple times with different filters, and can use a different icon for each filter.

Text. Put text file (with graphics and links) into the pop-ups in KML display. The HTML file must be named in the field you select here; by default the program looks for the TEXT field. If your HTML is hand tuned, you can avoid cleaning up HTML.

Use timeline with TIME fields in the database.

Table with attributes puts a table in the KML when you select a record. This can put the images in twice.

KML files are saved in a c:\mapdata\KML directory, with each export saved in a new sequentially numbered subdirectory. You can find either the KMZ file there, or the KML file and all its associated imagery. It is usually much simpler to just save the output from Google Earth to whatever location you want.

KML overview.

Putting HTML into KML display

Problems opening KML/KMZ files

Last revision 8/30/2018


KML Export by Field

Select by:

  • KML deliberate database export, and pick the field under "Separate layers"
  • Double click on field name, and pick.

Exports the database as a number of layers, which you can turn on/off in the KML viewer.

Last revised 5/9/2013


KML Grid or Graticule

  • Right click on map, and on Export menu, then Grid/graticule to Google Earth
  • Grid
Export Grid and Graticule.

Label end points. Plotting of the labels will be subject to the display decisions of Google Earth.

Last revised 2/14/2016


KML Map Export

Two locations:

  • From Export option after right click on map, then Overlay on Google Earth.
  • File, Save map as image, For Google earth

Both give the choice of:

  • Quick and dirty automatic export, without bringing up this form.
  • Deliberate export with option to manually set all the options.

This form will always be available on the Web tab of the the options form, where you can set permanent options for the quick export.

KML Output: The files will be placed in directories under c:\mapdata\kml numbered sequentially, KML1, KML2, and so on. This directory will have all files needed for the KML display, and they can be zipped together into a single KMZ file. You are currently responsible for cleaning these out on your own when you no longer need them. If you want to place the files elsewhere, you can do that from within Google Earth by right clicking on the directory tree. You might want to clean up names and the folder structure first. The map export will be a "dumb picture" with exactly the colors and information on the map, but you cannot do any analysis on the map, or find the values of the underlaying rasters.

Set options for map overlay for KML;
  • Logos: you can pick an image (GIF or PNG) for placement in the upper or lower left corners of the map display.
  • KML Export: Pick whether you want to export map, overlays, or both.
  • Image format, GIF or PNG. GIF will be better for vector maps, and PNG for image or DEM maps.
  • Pick transparency, which will be all the white on the map for GIF maps, and a desired level for PNG. You can also set the transparency in Google Earth, which might be a better choice.
  • Separate map layers: each map layer can be an separate layer in Google Earth.
  • All maps: other open maps can be saved as separate layers, so you can have multiple overlays possible.
  • Individual viewsheds
  • ZIP KML into KMZ; all files are zipped into one KMZ file, which is easier to move around with losing files needed for display.
  • Create world files: creates a world file with each GIF or PNG. You can then open the GIF files in other software, like ArcGIS.
  • Debug KML file: shows KML file created, with line numbers. If there is a problems, GE will give you the line number, and you can inspect the file to see what the problem might be.
  • Open Google Earth: automatically opens Google Earth.
  • Clean up HTML: less verbose by stripping out less useful codings.
  • Label graticule: put point labels on the end of the graticule lines for the KML export.
  • Allow time animations: if checked, you can get Time animations.
  • Default database options: if checked and you select the overlay export options, all databases associated with the map will be drawn in Google Earth without asking about the options you want.
  • DB Tables in KML
  • Top level folder

Before you export, you might want to remove the scale bar and legend (Legends/marginalia after right click on the map).

If you export overlays, you will be asked if you want to export each database in turn, and then pick KML display options for each database.

KML overview.

Problems opening KML/KMZ files

Last revision 8/30/2018


KML Overview

KML (Keyhole Markup Language) is the data format used by Google Earth Pro and Google Maps. Google maps has a published API, and supports a subset of the KML used by Google Earth Pro. KML files can include both vector and raster data. While at one point Google Earth existed in both regular and pro versions, now only the pro version is supported.

If you have trouble with Google Earth Pro download in one browser (e.g. Chrome) try another (e.g. Edge).

KML is an open standard of the Open Geospatial Consortium (OGC). KML can include both raster and vector data, and the file includes symbolization. KML files are like HTML, and only contains links to icons and raster layers.

A KMZ file combines the images with the KML into a single zipped file. KMZ files are better because the lossless compression decreases file sizes, although only slightly, and because they make it impossible to separate and lose required image files. Even if someone tells you they want a KML file, you should send a KMZ. This saves you from separating the images from the KML file, and saves you the blame when the recipient separates them.

Before you start exporting maps to Google Earth, you should clean out the "My Places" and "Temporary Places" folders in Google Earth. Right click on each folder and pick "Delete Contents". Delete any layers you export and do not want; otherwise you are likely to wind up with a very disorganized mess of layers. In Google Earth you can rename layers by right clicking on them; you can changes the symbols by right clicking, and picking properties, and then "style, color".

At one point in time, if you clicked on one of the links to an online KML/KMZ file, it would download and automatically open in Google Earth. This does not appear to happen any longer, likely for "security" reasons (security is the opposite of usability). Instead, the file will download and wait for you.

  • Open Google Earth, use the File, Open menu, and navigate to the file and select it.

  • Double click on the file, either on the bottom of the browser window or in the folder into which you saved it, and it should open.

MICRODEM KML Imports

MICRODEM KML Exports

Register imagery with Google Earth and KML files to get points KML export map image
  • File menu, Save map as image, For Google earth
  • Right click on map, Export menu, then Google Earth overlay:
KML import of points into database KML database export for Google earth.
  • Filtered by field, separate layer for each unique entry
Digitize in Google Earth with their imagery
Digitize in Google Earth with your imagery 		Tile and export scanned maps to Google Earth using Delauney triangulation.

Convert KML file to shapefiles to use

  • in MICRODEM,
  • use DNR-GPS
 Put HTML into KML display--text and pictures.
KML ground overlays Time animations.

Example setting up database for time animations.
Clean up KML exports and save KML/KMZ within Google Earth

Grid or graticule. This can be labeled.
Legend: place legend in the lower or upper left corner of the screen.
Insert icons from filter file--get symbols based on database field.
Earthquake focal mechanisms

KML Gallery. Samples of KML output from MICRODEM displayed in Google Earth.

Google Earth Pro Controls.

Display of KML exports will only work if you have installed Google Earth, or another program that can display KML/KMZ files, and associated that program with KML/KMZ file extensions. MICRODEM is designed for personal home use and educational use, for which Google Earth should be free. Commercial use of Google Earth will likely require paying for a license.

KML export options can be set on Web tab of options form, brought up from Options program menu selection.

Create point KML file (Excel to MICRODEM to Google Earth)

Google Earth data files

Problems opening KML/KMZ files

Alternative: ArcGIS Earth

  • https://doc.arcgis.com/en/arcgis-earth/ download. Be persistent; some places where you think you can download do nothing

Last revision 10/9/2019


Problem Opening KML/KMZ Files

Another program can hijack the KML/KMZ file extension (Adobe Acrobat Reader is a common culprit). You can resolve this most easily by:

  1. Go into Google Earth, and Pick File, Open, and select your KMZ file which will be in "c:\mapdata\kml\KMLnn", where nn is the highest number. From Google Earth you can right click in the table of contents, and Save Place As and pick the location and file name you want.
  2. Fix the file association by:
    1. Right click on a KMZ or KML file (whichever you are having problems with)
    2. Pick open with, then Choose another App.
    3. If you don't see Google Earth, you might have to scroll down and search for the App which will be in "C:\Program Files\Google\Google Earth Pro\client" if you have the 64 bit version installed which you should have done, since MICRODEM is only 64 bit.

Last revision 12/5/2018


KML Time Animations

Option when exporting a database to KML, either on Report menu of database table form or the export of map image.

You can use a timeline in the KML export, using TIME fields in the database. These must follow the conventions used by Google Earth. You must set these fields near the bottom of the KML options form, with the starting date on the left and ending date on the right.

  • You can use any fields, but by default the starting field should be START_DATE. The ending field should be END_DATE. The program will pick these fields automatically if they exist.
  • MICRODEM can convert a number of time formats.
  • MICRODEM can enter the fields from entries in the database.
    • Dates must be in the format YYYY-MM-DD.
    • If you have time periods shorter than a day, you need to enter them as 1999-12-31T23:59:59Z (UTC), or 1999-12-31T23:59:59-07:00 (UTC +/- hour deviation for time zones)
    • This can be tricky to get in Excel. You best bet might be to use the "Concatenate" function, or another edit option.
  • MICRODEM will take a date such as 1944-1-7 and put in the zeros required by KML so that the export will be 1944-01-07.
  • If you have daily data, you can leave out the END_DATE field blank, and MICRODEM will use the "<TimeStamp>" option in KML. Otherwise it will use the "<TimeSpan>" option.
  • If there is a field DATE_LABEL, it will be used for the folder names in the KML file. Otherwise the START_DATE field will be used.
  • All records must have the time fields filled in (or you must filter out the ones with blanks before exporting)

KML overview.

Time animation example

Last revision 7/8/2015


Koppen Climate System

Köppen's climate classification was first published by Russian German climatologist Wladimir Köppen in 1884. German climatologist Rudolf Geiger (1954, 1961) collaborated with Köppen on changes to the classification system, which is sometimes called the Köppen–Geiger system.

Köppen was the father in law of Alfred Wegener, who developed the theory of continental drift. Much of Wegener's evidence lay in paleoclimates and the past distribution of plants and animals, perhaps reflecting Köppen's influence.

The Köppen climate classification scheme divides climates into five main climate groups: A (tropical), B (dry), C (temperate), D (continental), and E (polar). The second letter indicates the seasonal precipitation type, while the third letter indicates the level of heat. The A-B-D-E and categories correspond closely with latitude, with minor adjustments for ocean moderation and elevation, while the B climates can occur over a range of latitudes where there is insufficient rainfall to support vegetation.

Raster GIS data grids for Koppen climate

This is actually stored as a point database, but the values are on a ½º by ½º grid with the Koppen climate class at each point on land, for the time period 1976 to 2000. The data comes from The Institute for Veterinary Public Health, University of Vienna; they have additional periods for the entire 20th century, since climate does not appear to be static, and projections for the 21st century.

Storage as a table allows the color and category names to be included. It also keeps the grid from trying to interpolate values.

This is not an equal area projection, but using the variable size of a ½º by ½º which changes with latitude, you could compute the area covered by each category.

Classification from monthly climate grids of temperature and precipication

Set geography options.

MICRODEM Koppen Classification

Koppen Classification algorithm used in MICRODEM.

Last revised 9/10/2019


Koppen Color Coding

You can get a legend for the Koppen climate classification from the file menu of the map. You can get either the symbols or the descriptive names.

(Red is for A tropical climates, Yellow for B dry climates, Green for mesothermal C climates, Blue for microthermal D climates, and Purple for E polar climates).

Last revised 1/5/2018


Koppen Grid

Use map toolbar icon and "Global monthly winds" option from the popup. This requires c:\mapdata\database\koppen_grid.dbf which will download automatically if you do not have it.

This is actually a point database, but the values are on a ½º by ½º, for the time period 1976 to 2000. The data comes from Rubel, F., and M. Kottek, 2010.

File, legend, Koppen legend will get you a legend with either just the categories or the categories and a descriptive name.

KOPPEN GRID (n=91828) Becasue this is not an equal area projection, you must interpret this data with care.
NAME | n
Af | 2645
Am | 1815
As | 314
Aw | 5811
BSh | 3319
BSk | 3284
BWh | 7525
BWk | 2017
Cfa | 2910
Cfb | 2405
Cfc | 233
Csa | 1091
Csb | 684
Csc | 9
Cwa | 1578
Cwb | 597
Cwc | 15
Dfa | 706
Dfb | 4474
Dfc | 10233
Dfd | 1216
Dsa | 94
Dsb | 209
Dsc | 873
Dsd | 99
Dwa | 304
Dwb | 648
Dwc | 1487
Dwd | 200
EF | 27480
ET | 7553

Last revision 1/2/2019


Koppen Legend


Label Peaks On Panoramas

Label Peaks On Perspectives

Button on the Perspective/Panorama viewport allows you to label the peaks.

Control this with Gazetteer tab on Perspective/Fly Through Modification

  • Manually select the USGS Gazetteer for the correct state, or the NGA gazetteer for the correct country.
  • The program cannot get elevations; they are not included in the gazetteer, and the DEM elevations are not accurate enough, because the point locations are not that accurate. Consequently we cannot now determine which peaks are visible and which are masked.
  • The centers of the labels are above the features.
  • Points are processed in alphabetical order. The first processed features will be on the top line, and later features will drop down if they would overprint a previously drawn label.
  • Up to 8 rows will be used. If too many features should be included, you will be informed how many could not be listed because there is not room for their labels.

View of the White Mountains from the volcanic tableland west of Bishop, with peak labels from USGS gazetteer for California.

You can also label peaks and other features on the map, from [image] Map Overlays, Gazetteer option.

Last revision 10/29/2010


Lag Region Size

Choice on Raster GIS menu, and then "Region size button"

  • Shows the effect of 5 region sizes at selected locations. Numbers are the region size in meters (full size in meters), best shift in the x direction in meters, best shift in the y direction in meters, and best correlation coeffieicnt.
  • Smaller region is faster, but may not have any diagnostic features.

Last revision 5/12/2014


WorldCover 10 m

WorldCover 10 m based on Sentinel-1 and Sentinel-2, spacing 0.3" (10 m)

11 classes
2651 tiles, 3x3 degree tiles, EPSG 4326 (geographic)

Data access

  • (login required): https://esa-worldcover.org/en/data-access
  • Two Zenodo sites below

Zanaga, D., Van De Kerchove, R., De Keersmaecker, W., Souverijns, N., Brockmann, C., Quast, R., Wevers, J., Grosu, A., Paccini, A., Vergnaud, S., Cartus, O., Santoro, M., Fritz, S., Georgieva, I., Lesiv, M., Carter, S., Herold, M., Li, Linlin, Tsendbazar, N.E., Ramoino, F., Arino, O., 2021. ESA WorldCover 10 m 2020 v100. https://doi.org/10.5281/zenodo.5571936

Zanaga, Daniele, Van De Kerchove, Ruben, Daems, Dirk, De Keersmaecker, Wanda, Brockmann, Carsten, Kirches, Grit, Wevers, Jan, Cartus, Oliver, Santoro, Maurizio, Fritz, Steffen, Lesiv, Myroslava, Herold, Martin, Tsendbazar, Nandin-Erdene, Xu, Panpan, Ramoino, Fabrizio, & Arino, Olivier. (2022). ESA WorldCover 10 m 2021 v200 (Version v200) [Data set]. Zenodo. https://doi.org/10.5281/zenodo.7254221

https://worldcover2020.esa.int/data/docs/WorldCover_PUM_V1.1.pdf

Online World cover viewer: https://viewer.esa-worldcover.org/worldcover/

  • ESA World Cover 2020, 10 m resolution, https://viewer.esa-worldcover.org/worldcover
  • ESA World Cover 2021, 10 m resolution, https://worldcover2021.esa.int/ or https://viewer.esa-worldcover.org/worldcover
  • Differenent algorithms, cannot do change maps

Landcover overview

Last revision 3/5/2023


Annual 300 m Land Cover

Copernicus Annual 300 m Land Cover (CCI-LC)

Gobal maps describing the land surface into 22 classes, defined by United Nations Food and Agriculture Organization’s (UN FAO) Land Cover Classification System (LCCS).

Maps are consistent with the series of global annual LC maps from the 1990s to 2015 produced by the European Space Agency (ESA) Climate Change Initiative (CCI). 300 m resolution (actually geographic equivalent), annual 1992 to 2015, available in single year Geotiff (ftp download, so your IT might have issues)

To produce this dataset, the entire Medium Resolution Imaging Spectrometer (MERIS) Full and Reduced Resolution archive from 2003 to 2012 was first classified into a unique 10-year baseline LC map. This is then back- and up-dated using change detected from (i) Advanced Very-High-Resolution Radiometer (AVHRR) time series from 1992 to 1999, (ii) SPOT-Vegetation (SPOT-VGT) time series from 1998 to 2012 and (iii) PROBA-Vegetation (PROBA-V) and Sentinel-3 OLCI (S3 OLCI) time series from 2013 to 2019.

Beyond the climate-modelling communities, this dataset’s long-term consistency, yearly updates, and high thematic detail on a global scale have made it attractive for a multitude of applications such as land accounting, forest monitoring and desertification, in addition to scientific research.

Data categories and Legends at http://maps.elie.ucl.ac.be/CCI/viewer/download/CCI-LC_Maps_Legend.pdf which are similar to GLOBCOVER

Citing: ESA. Land Cover CCI Product User Guide Version 2. Tech. Rep. (2017). Available at: maps.elie.ucl.ac.be/CCI/viewer/download/ESACCI-LC-Ph2-PUGv2_2.0.pdf

Using in MICRODEM

  • You must put the files in a location where the word "ESACCI-LC-L4-LCCS" is in the file name. The files have this name when downloaded, so unless you delete it, it will be there.
  • Download at European Space Agency (ESA) Climate Change Initiative (CCI). You will need to set up an account.
  • The files for each year are about 300 MB in size, but are too big to use. You want the Geotiff versions.
  • Use a map open to the area you want
  • File, Load subset landcover or population density
  • The subset will open automatically, but will be stored in a subdirectory under the location of the original file with the same name as the original, which is the way GDAL works. You can open it subsequently with the Open DEM/grid option, or save as a MICRODEM DEM/grid.

http://maps.elie.ucl.ac.be/CCI/viewer/download.php has 1992 to 2018 in netcdf, but can be converted to Geotiff with GDAL:

The maps can be transformed to the GeoTiff format using GDAL as follows, replacing Year, Band_Name and Output_Filename with the parameters of interest:

gdalwarp -of Gtiff -co COMPRESS=LZW -co TILED=YES -ot Byte -te -180.0000000 -90.0000000 180.0000000 90.0000000 -tr 0.002777777777778 0.002777777777778 -t_srs EPSG:4326 NETCDF:C3S-LC-L4-LCCS-Map-300m-P1Y-Year-v2.1.1.nc:BandName OutputFilename.tif

with Year the year : 2016, 2017 or 2018; and BandName one of the following: lccs_class; processed_flag; current_pixel_state; observation_count; change_count.

Example code translating the 2017 LC map from netCDF to GeoTiff:

gdalwarp -of Gtiff -co COMPRESS=LZW -co TILED=YES -ot Byte -te -180.0000000 -90.0000000 180.0000000 90.0000000 -tr 0.002777777777778 0.002777777777778 -t_srs EPSG:4326 NETCDF:C3S-LC-L4-LCCS-Map-300m-P1Y-2017-v2.1.1.nc:lccs_class C3S-LC-L4-LCCS-Map-300m-P1Y-2017-v2.1.1.tif

Land cover basics

Other landform/landcover data sets a 300-1000 m resolution

Last revision 3/29/2022


Land Cover Map to Match Base Map

Download the landcover and unzip if needed

  • Copernicus Global Land Cover (GLC100) preferred for better resolution
  • 300 m C3S Global Land Cover and Land Cover Maps - v2.0.7 (need to unzip)

Insure GDAL is available

Subset & zoom the base map to cover the area you want

File, Load subset landcover or population density, and pick the landcover file you downloaded

If you want to open this again rapidly, Save the map in MICRODEM format, insuring to save it outside the c:\mapdata\temp folder.

Last revision 4/19/2021


LANDFIRE Vegetation

Open these as a DEM, categories displayed Use the VAT Grid display.

Right click on map, Popup legends, Grid VAT legend, and put the percentage of area required to appear on the legend

 EVT: Landfire Existing vegetation Type--The existing vegetation type (EVT) data layer represents the current distribution of the terrestrial ecological systems classification developed by NatureServe for the western Hemisphere. Categories defined in the metadata.
  • 2004, North American Warm Desert Sparsely Vegetated Systems
  • 2019, Great Basin Pinyon-Juniper Woodland
  • 2079, Great Basin Xeric Mixed Sagebrush Shrubland
  • 2082, Mojave Mid-Elevation Mixed Desert Scrub
  • 2087, Sonora-Mojave Creosotebush-White Bursage Desert Scrub
  • 2155, North American Warm Desert Riparian Systems
EVH: Landfire Existing Vegetation Height

Uses NLCD classes, and vegetation categories for grass, shrubs, and trees subdivided into several height categories.

  • Tree classes; 0-5 m, 5-10 m, 10-25 m, 25-50 m, and greater than 50 m,
  • Shrub classes; 0-0.5 m, 0.5-1.0 m, 1.0-3.0 m, greater than 3.0 m,
  • Herbaceous vegetation classes; 0-0.5 m; 0.5-1.0 m, greater than 1 m.
Landfire forest canopy height--categories displayed using Modify, Colors from Grid categories.

Only computed for forest, and does not include shrubs. If you want to use this, you might want to remove the missing data (category 0). The values are height in decimeters; half dozen categories (midpoints of class canopy heights in dm).

Forest Canopy cover--percentage of the pixel covered by forest cover, in 10 categories (0, 15, 25, 35, 45, 55, 65,75,85). Also has non-forest data (0), and missing data
Existing vegetation Cover

NLCD categories plus: 100 sparse vegetation,

Percent Canopy | Trees | Shrub | Herb
10-20% | 101 | 111 | 121
20-30% | 102 | 112 | 122
30-40% | 103 | 113 | 123
40-50% | 104 | 114 | 124
50-60% | 105 | 115 | 125
60-70% | 106 | 116 | 126
70-80% | 107 | 117 | 127
80-90% | 108 | 118 | 128
90-100% | 109 | 119 | 129

Download data

  • https://landfire.gov/viewer/
  • Get Geotiff format--be careful, it likes to revert to ArcGrid (which you can probably read with GDAL).
  • You can get in UTM or Albers projection
  • Watch the names and get what you want, and be careful with the data file names.

Other vegetation data

Last revision 10/17/2022


Landsat data

Landsat Data Download and Usage in MICRODEM

Landsat Intro

Set up a free account with USGS. Download at no charge from three locations, which all act a little differently and may show different coverage.

  • EarthExplorer site and directions probably the best choice to get just a single scene and pick the best image since it shows a thumbnail. Get Landsat Collection 1 Level-1
  • Sentinel-2 Hub and Playground: ESA has a better online viewing capability for Landsat and Sentinel-2, but not a download option. You can find data there, and extract "dumb pictures" (i.e. no registration), and then download from EarthExplorer
  • Additional USGS Options, which have not been recently verified
    • GloVis
    • LandsatLook Viewer.
      • Must zoom in the see the data; scale shows in lower left corner of the screen.
      • View scenes, with some contrast enhancement, with option to download
      • View cart with option in the upper left of the data table
      • May be a limit on how many files you can get at a time

Finding scenes by path/row

Manage Landsat data

Landsat file formats and file naming conventions

MICRODEM will create the following subfolders in the directory with a Landsat scene if you attempt any computation analysis:

  • band_hist: databases with the frequency histograms, one per band.
  • princ_componenets: the principal components image in MICRODEM DEM format, one file for each component computed.
  • unsup_class: unsupervised classification, in MICRODEM DEM format, a VAT file, and metadata.

Key Remote Sensing Options in MICRODEM

Landsat online viewers

  • http://changematters.esri.com/compare compare two scenes from predetermined time periods, and see change in NDVI.
  • Current Landsat (mostly Landsat 8) at https://aws.amazon.com/blogs/aws/start-using-landsat-on-aws/

Last revision 2/22/2022


Landsat Band Computations

Landsat DN Band Computations

You can do band computations for new grids, like band ratios and NDVI, using

  • DN: this is an integer with the amount of energy detected by the satellite. Unitl Landsat 8, these were typically 8 bit bytes which could store 256 values. They are now most commonly a 16 bit unsigned integer, with the potential for 64K values. Landsat 8 acutallly used 12 bits, and Landsat 9 uses 14 bits. The metadata for the satellite scene contains constants to convert the DN to top of atmosphere spectral radiance or reflectance. The transformation is linear, with a slope and intercept. Each band will have different constants, and they could vary over time as the instrument ages. By storing these as as integer, the storage is greatly reduced as a floating point value would require 4 bytes instead of 1 (older Landsats) or 2 (Landsat 8).
  • TOA Radiance: the variable measured by the sensor, and is the amount of energy that reached the sensor. It depends on the albedo of the surface material, and the angles between the sun, the ground, and the satellite. It has units of (Watts/( m2 * srad * μm)). A stereoradian is a 3D angular measurement.
  • Reflectance for the bands with reflected solar radiation. This should be in the range of 0-1; values greater than 1 can occur in cases such as around clouds.
    • TOA Reflectance: the ratio of energy striking the target and being reflected, and is a property of the material and geometry.
    • TOA Reflectance corrected for sun elevation (which accounts for differences with the time of year the imagery was acquired).
  • For the bands with emitted terrestrial radiation
    • TOA Brightness temperture (TB): the temperature that a black body emitting the same amount of radiation would have. If the surface emissivity were one, this would be the surface temperature. If you knew the surface emissivity, you could compute the surface temperature.

All of these will have high correlation coefficents to the others typically over 0.99.

These all use TOA (top of atmosphere values where the satellite orbits), since we do not currently use an atmospheric correction model.

Corrections use the constants in the metadata file for each scene (https://www.usgs.gov/land-resources/nli/landsat/using-usgs-landsat-level-1-data-product)

These are currently not implemented for Sentinel-2, but its DN is really reflectance

Select which you want on the Imagery tab of the options form ,

You can create grids with each of the parameters.

Landsat Thermal computations.

Remote sensing right click on map, includes band values at point

Last revision 1/23/2022


Landsat Browse Images


Landsat Full Scene Index

Put Landsat full scenes in a directory, one scene per sub directory.

On the main menu, Analyze, Create, Landsat full scene index. This will create a database in the directory with the files, which will look in any subdirectories of the main directory.

You can filter the database by data, sensor, cloud cover, sun elevation.

You can load the image, by highlighting a record, Double clicking on record in data base, and selected the Load, TM Scene

You can make graphs:

Last revision 2/7/2017


Landsat Path/Row

The Landsat 8 satellite orbits the the Earth in a sun-synchronous, near-polar orbit, at an altitude of 705 km (438 mi), inclined at 98.2 degrees, and circles the Earth every 99 minutes. The satellite has a 16-day repeat cycle with an equatorial crossing time: 10:00 a.m. +/- 15 minutes.

Landsat satellites image the entire Earth every 16 days in an 8-day offset. Landsat 7 acquires data in descending (daytime) node, while Landsat 8 acquires data in both descending and occasional ascending (nighttime) node.

Row refers to the latitudinal center line of a frame of imagery. As the satellite moves along its path, the observatory instruments are continuously scanning the terrain below. These will be squares centered on the orbital path, but tilted clockwise when viewed on the UTM projection used for the distributed data.

If you have trouble getting the right scene to cover the area you want:

  • Go to https://landsat.usgs.gov/wrs-2-pathrow-latitudelongitude-converter and enter the lat/long. Then note the path row, and when you get the Landsat data, insure you have the correct path and row, which are listed in the download table.
  • Use https://landsat.usgs.gov/landsat_acq tool, which will show the coverage for each data
  • Path/Row shapefiles and KML: https://www.usgs.gov/land-resources/nli/landsat/landsat-shapefiles-and-kml-files
    • KML file direct download:https://prd-wret.s3-us-west-2.amazonaws.com/assets/palladium/production/atoms/files/WRS-2_bound_world_0.kml
    • Getting the path/row in Google Earth.

Last revision 10/1/2019


Landsat QA

Choice on Image analysis menu.

Collection 1

  • https://www.usgs.gov/core-science-systems/nli/landsat/landsat-collection-1-level-1-quality-assessment-band?qt-science_support_page_related_con=0#qt-science_support_page_related_con

Collection 2

  • https://www.usgs.gov/core-science-systems/nli/landsat/landsat-collection-2-quality-assessment-bands

Last revision 11/2/2021


Landsat Thematic Mapper

Landsat satellites
  • The first Landsat (or Earth Observation Satellite) launched in 1972. The main instrument on the early Landsats 1 to 5 was the MSS (Multi-spectral scanner) with 4 or 5 bands and about 75 m pixel resolution; USGS now distributes it with 60 m pixels. These landsat also had a RBV system.
  • Landsat 4, launched in 1982, was the first to carry the Thematic Mapper (TM). It had a maximum resolution of 30 m, with 6 bands in the visible and near infrared, and a thermal IR band with 120 m resolution. The Landsat archive really starts with this satellite, and for most places in the world you can get usable imagery starting in the early or mid 1980's. The TM was designed as a backup, but when the MSS died and NASA saw how good the TM was, they did not even try to bring back the MSS.
  • Landsat 5, launched in 1984, provided data until 2013. This long life, well beyond the design specification, was the result of it experienceing no significant problems and the loss of Landsat 6 at launch, and the SLC failure of Landsat 7 in 2003 which degraded Landsat 7 performance.
  • Landsat 6 (which failed to reach orbit in 1993) and 7 (launched in 1999) added the Enhanced Thematic Mapper (ETM) which has a panchromatic band with 15 m resolution. The thermal band has 60 m resolution, but is now distributed with 30 m pixels to match the other bands.
  • Landsat 8 launched in 2013 and had a number of improvements: more bands, better radiometric resolution.
  • Landsat 9 launched in 2021 and the first data arrived in early 2022. It has ever better radiometric resolution than Landsat 8.

The value of Landsat lies in:

  • A long archive of imagery monitoring the earth, which is especially valuable for creating land cover data.
  • An intermediate scale, which despite the current availability of sub meter satellite imagery, is still valuable for many regional studies.
  • The ability to display multiple bands to highlight vegetation, geology, or other features with true and false colors displays.

Landsat 7/8 bands

Landsat data

Finding scenes by path/row

Landsat file naming conventions

Landsat introductions on the web:

  • https://landsat.gsfc.nasa.gov/data/how-to-use-landsat-data/
  • http://earthobservatory.nasa.gov/Features/FalseColor/
  • https://www.mapbox.com/blog/processing-landsat-8/

Converting to TOA radiance or reflectance

  • https://landsat.usgs.gov/using-usgs-landsat-8-product
  • http://yceo.yale.edu/how-convert-landsat-dns-top-atmosphere-toa-reflectance

  • you can choose whether to use the DN or the radiance or reflectances in computations

Last revision 2/22/2022


Colors for Different Classificat

Colors for Different Classifications(currently disabled)

Requires

  • Single LAS file for both the original and #2.
  • Have the same number of points in the same order

Designed to compare classifications. Since MICRODEM does not do classifications, you must be sure that the classifiers used do not violate the requirements above.

With two classifications for the same point cloud, there are 5 options for plotting the map displays and slices

  • Classification 1
  • Classification 2
  • Both agree
  • Different, show 1
  • Different, show 2

Because these work from the point cloud in memory, they will be very fast, and you can rapidly toggle between choices.

In this example Classification 1 does not include any buildings or vegetation in the maps on the left..

Last revision 8/1/2012


LAS color coding options

Color coding chooses how to the point cloud. Some options may not be available with a particular data sets, and will not appear on this form. Other options may be included in the data, but with nothing useful stored. The program saves the display, so you can rapidly cycle through the options. Except for the last option, all come from the LAS file.

  • Elevation--you might to adjust the color scale to avoid the effect of noise such as bird strikes.
  • Classification--many data sets have no classifiction, or limited classification.
  • Intensity--some data sets may not have this set. This will be scaled differently for each cloud, based on the intensity values in each, and you may have to adjust the color scaling on the Draw tab.
  • Return number--some data sets may not have this set.
  • Returns in pulse--large number of returns usually means vegetation.
  • Scan angle--older data sets might not have this set. This can show the flight direction, parellel to lines of constant scan angle.
  • GPS time--older data sets might not have this set. This can show the flight direction, but might have scaling issues if the times have big gaps.
  • RGB--many data sets will not have this set. This will be scaled differently for each cloud, based on the intensity values in each, and you may have to adjust the color scaling on the Draw tab.
  • Return number--some data sets may not have this set.
  • Point source ID
  • User Data
  • Cloud ID--the order in which the clouds were opened. Only available if there are 2 or more clouds open.

Last revision 1/17/2022


LAS Format

LAS Point Cloud Format

Points clouds are a category of GIS data. The most common format for exchanging points clouds is LAS. Maintained by ASPRS , the format is currently at https://www.asprs.org/divisions-committees/lidar-division/laser-las-file-format-exchange-activities (it can be hard to find on the ASPRS website, and hard to be sure you have the most current version). There are no other comparable formats that I am aware of; and if there were other formats, they would contain essentially the same information.

LAS projects can be very large (many GB are very common, and TB), and benefit greatly from compression and tiling.

  • Specialized compressors that understand the structure of the LAS format and the common data characteristics can significantly outperform general purpose compression algorithms.
    • LAZ format uses optimized compression and is open source.
    • zLAS is a proprietary ESRI format which has not gained wide acceptance by government mapping agencies which tend to prefer open formats.
  • Tiles allow two significant advantages
    • After reading the file header, software knows immediately if the tile is on the current map. Because storage within a LAS file can have any order, it must be processsed sequentially, a reflection at a time. There are schemes to index the files, which can improve this, but they use the initial determination if there is any relevant data in the tiles.
    • Tiles can be processed in parallel for many operations, speeding up the display or analysis by spreading it among several processors or cores. The software must be explicitly written for multi-threading.

The LAS file contains a number of fields for each point that can be useful for analysis and for display:

  • x,y coordinates, most often in the UTM projection or an equivalent
  • z, the elevation
  • Classification.
  • intensity of the returned pulse. This looks like a grayscale image, with the caveat that includes a single frequency of light, which may most often be NIR. There is no standard for the range or scaling of these values, and they may not be corrected for range; despite these caveats, the intensity display can be very informative.
  • an RGB value, merged from a camera flown with the laser scanner
  • the return number, and the total number of returns from the pulse. The LAS format allows multiple returns per transmitted pulse, but typically the vast majority will be the first and only return. When there are multiple returns from a pulse, only the last could be on the ground, but even the last return could be in the vegetation or features like power lines. The older LAS 1.2 and 1.3 could handle 5 returns per pulse, while the 1.4 format can handle up to 15.
  • the scan angle, which indicates how far from nadir the scanner was pointed; this is typically up to about 20-25 degrees, positive and negative depending on which side of nadir. Away from nadir, smooth water surfaces will act like mirrors and there will be no returned energy.
  • Overlap points, where two flight lines covered the same area.
  • The LAS format allows distribution of the full waveform data, but that option is rarely used in practice. The resulting file sizes greatly increase the data storage, and few ultimate end users want or need that data.
  • Two fields allow entry of additional information, Point ID and User Data
  • Older data, acquired before the 2003 introduction of LAS or before the use of LAS became standard, may have use a variety of formats and been converted to LAS much later. In that case fields (such as intensity) may have no valid data.

The LAS file has a header with metadata about the file.

  • It is supposed to have the datum/projection information embedded, but it may be missing, which complicates using the data.
  • It has the elevation range, but usually has elevations that are both excessively high and excessively low. When used to color the elevations, this leads to a very compressed color scale. There is a sense in the lidar community that you should never delete returns, but just code them as noise (the older LAS versions had a classification code for low noise, and 1.4 added high noise), but this does not help in determining the true elevation range. I think the never delete a point may make sense for the data producers, but not the end users.

Lidar data issues

  • Missing data
    • Data holidays: flight path did not allow full data collection. For the fastest data collection, you want to minimize overlap, but then if the navigation is off, or the topography changes (the closer to the ground the sensor flies, the narrow the swath), you miss points. It can be very expensive to go back to cover the voids, so a little extra overlap might be good insurance.
    • Dropouts
      • Very low reflectivity (e.g. dark asphalt)
      • Specular reflections from surfaces like water where the laser hits the surface at an angle
  • High points: caused by reflections from transient objects like birds which are above the ground and not a part of the landscape
  • Low points: multipath reflections which bounce off buildings will increase the TWTT and place the point incorrrectly; this is similiar to the problems of GPS in dense urban jungles, where the GPS positions are often displaced significantly, and straight travel paths show a great deal of noise.

USGS Lidar Specs

  • Current Version, https://www.usgs.gov/3DEP/lidarspec
  • Long discussion of WKT, and what is allowed and what is not: https://www.usgs.gov/core-science-systems/ngp/ss/lidar-base-specification-v-21-data-processing-and-handling-requirements#WKT
  • Classification only requires ground, water, and high bridge: These are what creation of a DTM requires.

Lidar Point Cloud Data Sources

Organizing lidar for use

last revision 2/17/2022


LAS Point Classification

LAS Point Classifications

Point Classification (ground, water, vegetation, building, power lines). While similar in concept to the Supervised and Unsupervised classification for satellite imagery, for LIDAR the classification relies on the geometric position of the return relative to its neighbors, and the first/last return category (if there are multiple returns for a single pulse, only the last could be on the ground). Classification can be a processing intensive operation, and many LIDAR data sets have undergone limited classification. The commonly used versions of the LAS format (1.2 and 1.3) has 8 classification categories pre-defined and can handle up to 32; the newer version (1.4), which has still not been widely used, has about 20 predefned classes and can handle 256.

Ground classification is almost always included in a LAS files from national mapping agencies, as it is needed to create a DTM.

The LAS format includes point classifications. They are not always fully filled out, although many data sets have only moderate classification done. The new version of the format adds (1.4) another half dozen categories, primarily for electric transmission lines, but is still not very common.

LAS specification (version 1.3)

  • 32 codes shown to the left. The names for display codes are stored in "LAS_codes_v2.dbf" in the main program directory.
  • 28 bytes per elevation point
  • Up to 5 returns per pulse

Version 1.4

  • will require a major revision of the MICRODEM code, and I have yet to see a file using the new codes (or even the 1.4 version of the format)
  • up to 15 returns per pulse
  • 30 bytes per elevation point
  • 256 classes.
    • Classes 10-16 will be new, for rails, roads, bridges, and power transmission lines (4 categories) reflecting the use of LIDAR to monitor these features.
    • Classes 8 and 12 are reserved, as there are now new ways to show model key points and overlap points.
    • User defined start at 64

Lidar Point cloud viewers and tools

Lidar Point Cloud Data Sources

last revision 11/14/2017


LAS Options Tab

Tab on options form, brought up from Options menu selection.

  • LAS criteria to load into point cloud memory, for EW and NS slices
    • Classification
    • Return number
    • Air points
  • How to compute point density for a cloud with a number of individual files
  • Options for the waveform graph for LVIS data

Last revision 6/16/2020


LAS file Prep

LAS file prep, create grids

  • Download point cloud files
  • If you got ZIP file, uncompress
  • Check what the data projection is, before you do anything with LAZ files
    • You can use the LAStools lasinfo, on File, Analyze menu, opn either a LAS or LAZ file. Hopefully the projection information is in the file.
    • If the file does not include projection information (a failure of the producer/distibutor) you can check the metadata on the download site. Some include the metadata files in their download, others do not.
  • If the files are not UTM or have no assigned projection, you should use LAStools to resample to UTM and decompress to LAS format in one step.
  • If files are compressed (LAZ in the UTM projection or eLAS in any projection), Decompress LAS/LAZ--point clouds
  • If the LAS files will not work in MICRODEM, perhaps because of flaky or no geo-coding in the LAS file, try resampling to UTM (you should have gotten UTM in the first place).
  • Open any map, such as
    • Quick vector map
  • LIDAR Point clouds and pick the LAS files or the directory.
  • If desired, [image] Subset & zoom the map. Depending on the size of the area and DEM grid size you want to create, you could run out of memory. The new grids will cover the same area as the base map. Once you have a good base map, use it to reload the point clouds and keep all grids the exact same size, which will make any map algebra faster.
  • Create grids

Anomalous points in the lidar data will cause the color scale in your grid could be off. Low noise will mean very few points on the low end of the color scheme, and high noise will mean very few points on the high end. The net effect will be to squeeze all the elevation colors into a narrow central range. You can get around this by using the percentile option for the color scale (z Range, Percentiles).

Last revision 9/6/2019


LAS Reclassify

LAS Reclassify--not currently working

Option on the STATS tab of the Point Clouds Options form.

The LAS definitions has a field to reclassify. In this case, all the vegetation categories will be combined. This is useful in comparing point classification when the different program have different coding selections.

Last revision 7/21/2012


LAS File Resampling

Reproject LAS on Data Manipulation Form, under the Resample menu choice.

  • LAS files (MD)--use for SPCS, UK OS, and Irish grid
  • LAStools--use for assigning a projection when it is not in the LAS file, or to reproject.
  • libLAS
  • MICRODEM native

Last revised 10/31/2019


lastools

lastools is a suite of command line tools for lidar point clouds. Since the the untimely end of Martin Isenburg, the program has seen massive changes to rationalize some of its idiosyncracies. The progam has an open source part, which includes LASZIP and some other useful utilities, and a licensed part.

  • New rapidlasso site: https://rapidlasso.de/, with the download at https://rapidlasso.de/customers/ where you download with the big black button on the left side of the screen. This is right below licensed part; if you don't have a license, you will just run as the
  • The open source site: https://github.com/LAStools/LAStools
  • Old sites that might not survive the untimely end of Martin Isenburg
    • At UNC some have license for free use, restricted to personal or educational purposes with very limited exceptions. LASZIP is there for a very easy download. The site uses http, so it might be blocked by your IT department or your browser settings.
    • At RapidLasso which has a direct link to lastools download

You must download lastools, unzip it, and then move the entire data structure into c:\microdem. Insure you do not get c:\microdem\lastools\lastools. The tools will be in c:\microdem\lastools\bin; this is required so the programs can have access to required DLLs and databases.

  • Download from a IT-managed network, as opposed to a home network, can be difficult. IE might be better an Chrome, and you might have to resume a download that fails part way through.

Help for lastools (and lidar in general):

  • The forum at https://groups.google.com/forum/#!forum/lastools has a lot of helpful discussions about lidar in general, and lastools in particular.
  • https://rapidlasso.com has many helpful blog posts

MICRODEM encapsulates lastools for:

  • Use lastools LASZIP to convert LAZ files to LAS. Access with Compress/Decompress. LASZIP has no restrictions on use.
  • resampling with las2las and lasinfo which has some limitations (will not do a datum shift)
  • Lidar point classification--restricted license for these programs may not allow you to use them.
You must use the lastools GUI or command line interface to:
  • Use lastools TXT2LAS to convert text file to LAS (txt2las -parse xyz -i lidar.txt). This can be accessed on the Export menu choice of the [image] Data Manipulation form. If your XYZ file is more complicated, you will have to create a command line.
  • Use lastools LAS2TXT to convert LAS to text (las2txt -sep comma lidar.las). You will have to add the header row in something like Notepad, which works better than Word for files around 75 MB in size.

Problems with point clouds

last revision 2/13/2023


LAStools Classify

Class tab of the control window for the point cloud.

This strings together three LAStools programs. All have a restrictive license, and you should carefully evaluate if you are allowed to use the free version. This is included in MICRODEM solely for educational purposes, and to expose people to LAStools.

Without licensing, large data sets will have anomalies introduced into the data, and you will be warned. You should read the documentation of each of these modules, to understand the parameters, but a quick run through with the defaults will show how this processing runs.

  • lasground: finds the ground returns, which define a continuous surface at the bottom of the point cloud, excluding low noise. This has several parameters, most importantly a step size which affects how buildings will be excluded, and a bulge parameter which affects how much local variation is allowed in the surface created by a TIN of the ground points. These two parameters are similar to those used in mcc-lidar (which is completely free, but slow). Intermdiate files are written to MICRODEM's temporary folder.
  • lasheight: computes the height of each point above the terrain surface. Intermdiate files written to MICRODEM's temporary folder. Should not require any parameters.
  • lasclassify: looks for regions above the ground with planar orientation (roofs) or rough surface (vegetation). It has parameters defining planar and rough; if you want to change the defaults, you will have to experiment, and read the documentation. The best values depend on the density of the point cloud, and the characteristics of the terrain.

Last revised 10/31/2019


LAStools Resampling

Data Manipulation, Resample, LAS lidar

LAStools--you must have downloaded and located these programs for them to be used on Point Cloud data. The programs used here do not have a restrictive license (others do have a restrictive license). MICRODEM will call LAStools for these conversions:
  • Assign projection. You must know the correct projection used by the data provider; using this option will overwrite any existing projection information. You should look in the metadata to get the projection code; a search for the term "EPSG" might be the best approach. NotePad++ is a good program to view metadata. You can use the LAZ file as input, and the conversion will be a LAS file.
    • Assign projection by EPSG: you must enter the correct EPSG. Unless this is UTM or geographic, for MICRODEM you will then have to use "Specified to UTM".
    • Assign projection UTM zone: you need to know the UTM zone and hemisphere.
    • Assign projection by EPSG and reproject to UTM.
  • Lasinfo: show the metadata; if particular
    • Reproject, Geo to UTM: MICRODEM must correctly identify the file as Geographic, and will call LAStools to convert to UTM in the zone for the file.
  • Reproject. The file must already have a correct projection; if not you must first use the assign option.
    • Reproject, Specified to UTM: if LAStools can identify the projection, it will convert to UTM. It can be fooled.
    • Reproject, Specified to geo: if LAStools can identify the projection, it will convert to geographic lat/long.
  • Lasinfo you want to see if the data has a projection. NotePad++ is a good program to view metadata if the information in the las header is insufficient.
  • XYZI to las: takes an ASCII file, and creates a LAS file. The extension must be the fields in the order in which they appear (XYZ, XYZI, and so on). The operation does not expect a header, but will ignore it.

If LAStools cannot identify the projection, you can use the command line version of LAStools to do the conversion. You must get the projection information from the metadata (perhaps from lasinfo, or File Metadata on the Analyze menu) and enter it. Then when the projection is defined, you can use the batch conversion in MICRODEM.

If this is working, you should see the black CMD window while it processes. If it not does not work, you should get the command from the debug log or the window that reports the problem, and paste it into a CMD prompt window, and see the error message from LAStools.

LAStools can also Compress/Uncompress point clouds.

There are also:

  • LAS files (native MD options)
  • libLAS

Last revised 3/7/2022


Layer Opacity

You can set layer opacity for many layers, which can allow seeing several things on the same map. A grayscale reflectance map may be the best choice for this, and will show how the other layers relate to topography. For imagery you can grayscale or subdue the base map.

You might set opacity with:

  • Slider bar: 100% on the right of the slider bar will not let anything show through, and 0% on the left will show nothing from the database.
  • Entry of the value in an edit box.

  • Variable opacity merges
  • Alpha Blending DEM generated Perspective and Oblique Photograph

Last revision 10/22/2018


Leading 0

Excel will cause problems with FIPS and ZIP codes when they start with a "0". These are normally stored as strings, but Excel will treat it as a number and remove the leading 0. This will cause problems with doing a join.

Potential solutions:

  • Edit button on Table view, String field operations, Add leading zeros. If this does not work because the field is too small, you can copy the field and make it longer, and then add the zeros.
  • Search and replace on the rest of the FIPS code, and either add a "0" or remove it. You must be careful that you do not find matches to the search string in the rest of the FIPS code.

Last revision 1 0/27/2015


Legend Placement Selection

Selected from Map Marginalia form after a right click on map.
  • Checkbox if item displayed automatically on map.
  • Location of item on the map.
  • Orientation (will apply to all legends; use vertical very sparingly)
  • Size: affects the length of the legend (will apply to all legends)
  • Font--the same font will be used for all legends.
  • Bar size: height in pixels
  • Tick size: in pixels
  • x location: if other than 0, this will be the pixel coordinate of the left edge of the legend.

Last revision 5/25/2011


Legislative Redistricting

MICRODEM allows simplified legislative redistricting. The handling of racial demographics is very simplistic, but should show how the process works. This option is a working prototype for educational purposes.

Ways to start preparation of redistricting plan:

On main menu, pick File, Open, Open Redistricting map, and pick a modified block or block group file. This provides a shortcut to the following steps but requires that you have the TIGER shape files indexed.
  • Open shapefile map and pick a modified block or block group file.
  • Open database and pick the TIGER Edges file for the county.
  • From database table window, select "Stats, Redistrict" menu choice. This will bring up a Redistricting form.
  • TIGER county map (works if you have the data in the correct directories):
  • Zoom in to the approximate region if required.
  • Open database. You need a modified block or block group file.
  • From database table window, select "Stats, Redistrict" menu choice. This will bring up a Redistricting form.
Redistricting Form.

Statistical data for the districts shown in the map below. The size of the color bars are proportional to the target population shown in the "Goal" column, which should be 100% (or very close) for each district. Both the percentages and absolute numbers of white, black, and Hispanic residents are shown.

Redistricting map. Hypothetical districts within the city of Annapolis. | Population Map. Population within the blocks. Note the very densely populated block on the SW edge of the city. | Black Population. Percentage of blacks within each block.
Blocks in white are outside the city, or have no population (e.g. schools, business districts, government buildings)

Legend for final map:
  • Right click on the legend part of the redistricting form.
  • Pick "copy legend to clipboard"
  • Right click on the map.
  • Pick "Paste from clipboard", and "No" to replace entire image.
  • Drag the legend to the desired location and double click.

Last revision 11/1/2018


Legislative Redistricting Data Setup

  • 2020 Census
    • https://www.census.gov/programs-surveys/decennial-census/about/rdo/summary-files.html
  • 2010 Census
    • Download and unzip geometry files Download the Census 2010 Tiger files in Shapefile format. As a minimum you need the TabBlock10 (Block 2010) or BG10 (Block Groups 2010) files.
    • Download redistricting files from the Census site at http://www2.census.gov/census_2010/01-Redistricting_File--PL_94-171/ .
  • 2000 Census data
    • Download and unzip geometry files. Download the Census 2000 Tiger files in Shapefile format. As a minimum you need the TabBlock00 (Block 2000) or BG00 (Block Groups 2000) files.
    • Download the redistricting files from the Census site at http://ftp2.census.gov/census_2000/datasets/redistricting_file--pl_94-171/.
  • You will need two files for the state, which come together in a single file such as md2010.pl.zip. You must then unzip them into the same directory as the geometry files.
  • From MICRODEM's data manipulation form, run the "Resample, Database, TIGER redistricting" menu choice. This will add the population data to the block file. The racial categories for the 2000 and 2010 Census open a multitude of possibilities because citizens could select as many categories as they wanted. This option will put in:
    • DISTRICT: your assigned district, as a string/character field.
    • POP: The total population in the block or tract.
    • WHITE1: The white population in the block, but only for those people who selected a single racial category.
    • BLACK1: The black population in the block, but only for those people who selected a single racial category.
    • ASIAN1: The Asian population in the block, but only for those people who selected a single racial category.
    • HISPANIC: The Hispanic category, which is different from race (one can be hispanic and white or black).
    • The mismatch between the total and the sum of the white, black, and Asian will show the numbers in other racial categories, and the number who selected multiple races.
    • Racial categories by age are not considered. This might be important if some groups have a different age profile than others.
  • You can remove blocks with 0 population, which can complicate your operations, by filtering the data base and then saving the filtered database. Blocks with 0 population include water regions, schools, industrial parks, or shopping centers.
  • You must add fields for AREA_KM2 and POP_DENS.
  • If you want to do a subset of the region, such as a city within a county, you can use Edit, Mask, Mask database with shapefile.
  • You can use Point in area to assign each area to its membership in existing districts, and then copy that to the DISTRICT field. This may miss a few fields, since some maps include large water areas and others do not, which can put the centroid outside the correct region.

http://www2.census.gov/census_2010/01-Redistricting_File--PL_94-171/pl_part1_2010.sas has the best description of what the fields are in the file redistricting data files. If you want to do additional investigation of this data, perhaps to look at the distribution of self-identified multi-racial individuals, the data files are ASCII CSV but do not have a header line with the field names, and can be very large, but you could turn them into a database and then join them to the block geometry files.

Last revision 8/13/2021


libLAS

libLAS is a library for lidar. It comes installed with OSGeo4W and GDAL. As of 2014, libLAS has been almost entirely superseded by Martin Isenburg ‘s LASlib library. The only functionality that libLAS provides over LASlib is the ability to work with GDAL -derived coordinate system information and reproject into infrequently-used coordinate systems.
MICRODEM can use libLAS to convert UK-OS LAS files to UTM, because LAStools will not currently do this very easily (they use different datums). This option is on the [image] Data Manipulation, Resample, LAS lidar. You can select either a LAS or an LAZ file. This combines both assigned the correct projection, and reprojecting.
  • libLAS UK-OS to UTM. You can select either LAS or LAZ files, which must be in the OK-OS projection (EPSG:27700) and the output will be in UTM zone 30 (EPSG:32630).
  • libLAS specified EPSG to UTM: you must enter the correct EPSG codes
MICRODEM can also do this conversion natively, and you should verify which alternative works best.

Last revised 2/11/2018


Lidar 3D Displays

Operate on a small portion of the data. This lightens the load on your PC, and over a small region the 3D effects appear larger.
  • Subset & zoom on the map.
  • Insure all clouds are checked. You will be able to turn them on/off in the 3D displays
  • OpenGL Point cloud.
  • EW and NS slices

Last revision 8/28/2019


Lidar Compression and Decompression

Lidar Compression/Decompression

MICRODEM currently only uses uncompressed LAS files.

There are two incompatible tools for lidar point cloud compression, which thankfully do not share the same file extension. If you are a little fish in the ESRI ecosystem and have to stay with their data, the ESRI tool makes some sense. Otherwise, go with LAStools or http://www.laszip.org/ which is open source and in much wider use.

Tools submenu of the file menu has a Compress/Decompress option

  • Compress LAS to LAZ (requires LAStools, but only laszip)
  • Decompress LAZ (requires LAStools, but only laszip)
    • Decompress and retain LAZ files
    • Decompress and recycle LAZ files
    • Decompress all LAZ files in subdirectories, and recycle LAZ files
  • Compress LAS to zLAS (requires ESRI tool)
  • Decompress zLAS (requires ESRI tool)

Last revised 5/30/2021


Lidar for Forestry

Lidar point clouds can provide a good depiction on tree form, and metrics on the canopy structure and height.

Three surveys in New Mexico, in a western coniferous forest. The first two surveys captured snow and non-snow, and the third showed post-fire changes.

In green, the spring survey with snow; the ground is higher through most of the region. One use of lidar is to predict summer runoff from the winter snowpack, and lidar can provide an effective way to monitor the snow pack and replace sending surveyors into the mountains in winter.

In red, the summer survey.

In blue, the post fire survey two years later. Note the increased number of returns in the vicinity of the trunks, reflecting the loss of needles and branches.

Black locations have multiple returns.Note the conical shapes of the tree crowns, and the separation between individual trees.

The tallest trees here are about 20 m high.
Return numbers. Green is the first return, from the top of the vegetation or the ground in the open area. Red is the second return, and blue the third.
Two surveys in Pennsylvania, in an eastern deciduous forest. Red is leaf-on, and green is leaf-off. lack indicates returns from both surveys.

The canopy is fairly continuous at the top, and many fewer returns lower down.

The tallest trees here are about 35 m tall.
Two surveys in Pennsylvania.

Green is the first return, from the top of the vegetation or less commonly here the ground in the open area. Red is the second return, and blue the third.

Grids from lidar for Forestry

last revision 6/15/2020


Lidar DEMs for Forestry

DEMs from the lidar survey provide a significant resource for foresty. The analysis can use either a DSM or a CHM for difference maps; for measurements, the CHM will be easier since it has already removed the DTM bare earth elevations.

There has been a lot of work to extract trees, and most of that work has used the grid rather than directly use the point cloud. Much of the work uses standard image segmentation techniques.

Example 1, Coniferous forest post fire survey

DSM from summer survey in New Mexico.
DSM from late spring survey, two years after the survey above, after a fire.

Differences in the two maps appear visible. The trees in portions of the area appear smaller and more open.
Difference maps, PostFire-PreFire.

Negative numbers show a loss of vegetation. There are very few large positive numbers apparent at this scale.
Histogram of the difference grid. There are some positive values (vegetation growth in the two year period is a likely explanation), but many more negative values from the fire.

Example 2, Deciduous forest after leaf growth

April survey, before leaf growth.

Power line on the right side.

Several large buildings in clearings.
July survey, after leaf growth.
Difference map. Most of the difference is large positive numbers, particularly around clearings.

Many large negative values on the east side of the map, where the power lines apparently moved slightly between the two surveys.
Histogram of the difference map, showing many more positive values.

6/15/2020


Lidar Ground Classification

From the "CLASS" tab on LIDAR Point clouds control form. You must have installed the selected program in the location where MICRODEM expects it.

Program and setup diretions | Module | Parameters | Notes
mcc-lidar
  • scale ('s') parameter
  • curvature threshold ('t')
Fusion | groundfilter | Approximately 7
PDAL translate pmf
 Very slow
translate smrf
 Uses point data type 3, which is very verbose
Whitebox whitebox_tools.exe -r=LidarGroundPointFilter
  • radius plus .....
whitebox_tools.exe -r=LidarSegmentationBasedFilter
  • radius plus......
LAStools lasground
lasheight
lasclassify
  • step size which affects how buildings will be excluded
  • bulge parameter which affects local variation in the surface created by a TIN of the ground points
 Classify (LAStools). Note this has license restrictions.

LIDAR Point cloud form option, Class tab

  • Classify options
  • Denoise options
  • Program settings which control how the other programs operate

Last revised 6/21/2020


Lidar Hints

Lidar Hints, Large Point Clouds or Weak Computers

  • Turn off Immediate map on the File list tab.
  • Subset & zoom immediately to just the area you want to see
  • Draw tab, thin map, either manual or automatic. Remember to check that this is adjusting as you zoom in, when you want to see all the data.
  • Consider Creating grids if they will do what you need.

Last revision 10/30/2019


Lidar intensity grids

Lidar Intensity Grid

Create on "TOOLS" tab, Grid based options of point clouds options form . This makes most sense with a very dense point cloud.

Generation will be much faster than plotting on screen of the point cloud, and you can manipulate the resulting grids.

The intensity grids can be dominated by a very small number of very large returns, which leads to very dark images which should probably have the display parameters adjusted.

Maximum intensity. Scaled for the display to stretch the contrast (1% to 99%). Probably the best choice for display
Minimum intensity. Scaled for the display to stretch the contrast (1% to 99%)
Intensity difference (Max - Min). Scaled for the display to stretch the contrast (1% to 99%)

Last revision 7/16/2019


LIDAR Interpretation

DSM on the left: trees obvious from the rough texture, and a power line from the linear cables and crossbars on the towers.

Slice through the point cloud on the right. Most of the returns are from the top of the foliage (this is summer, leaf on, but there is enough penetration that some last returns reach the ground. At about the middle of the slice, there are four isolated returns from the four cables in the power lines, one of which is significantly higher than the other three.

Last revision 11/8/2015


Lidar Map Displays

This is undergoing rapid changes.

Feature maps on another map

  • Open a map (DSM, image, lidar intensity)
  • Make it grayscale
  • Open on File Menu
    • Feature Grid: lidar classfication grid as a feature grid on the file menu, which will be in color
    • CHM grid for the vegetation heights, in shades of green
    • Change grid: difference over time. Green for higher (deposition/growth), red for lower (erosion/destruction)

3D option

  • Open two grids
  • From the lidar classification, pick 3D map options
  • Pick choose reflectance or intensity from the second grid

last revision 6/17/2019


Lidar Map Overlays

Look at the different display options for the data on the base map, which do not provide any 3D capability. Insure you understand what each shows, and how that information was acquired.
  • Elevation. If there are bird strikes or below ground returns, you may have to adjust the scaling range.
  • Return intensity. You might have to adjust the color range, as the standards for how to code intensity have be interpreted inconsistently.
  • Classification
  • Scan angle--this can show the direction of aircraft motion.
  • Returns in pulse. Multiple pulse returns highlight vegetation, or power lines.

Last revision 8/28/2019


Lidar multi-dimensional displays

Open the grids with File, Open submenu

Create with All option on Other grids with the lidar point cloud. Can add two other grids, which must start with:

  • CHAN

Base layer

  • NVS and DTM only appear if selected, since the DSM is generally a much better choice for the base DEM layer.
  • Classification only appear if all base options is checked, since the best use of the lidar classification is as a color layer overlay

Elevation coloring

Color layer overlay

  • Colorize in place uses the IHS color model from the color layer and the intensity from the base layer
  • Opacity overlays the color layer on the base layer, with the desired opacity.

Colorize in place

Terrain shadows: uses IHS color mode from the DSM on a color image like RGB, NIR, or the lidar classification.

Last revision 1/5/2020


Scan Angle Patterns

Create on "TOOLS" tab, Grid based options of point clouds options form.

Maximum scan angle. There are very few negative scan angles, because most of the area has two looks.
Minimum scan angle.
Scan angle difference map (Max - min). Those with a small value had only a single look.
Return density map. Because of the low average density, this does not show the flight lines nearly as well as the scan angle maps.

Last revision 7/16/2012


Lidar Time Series

One use of lidar data is to monitor changes over time. Data can be collected and processed rapidly, so it is particularly valuable after natural disasters like hurricanes or earthquakes..

Coastal regions represent one area where long time series can be particularly useful. These areas see hurricane erosion, annual storm and fair weather changes, and the longer term effects of sea level rise. In the United States, the NOAA LIDAR coastal data web site has multiple data sets covering much of the US coastline, and these are freely available. For example, Duck, North Carolina has at least 17 data sets covering the last 20 years. Many of these data sets were acquired to monitor particular hurricanes. The speed at which lidar surveys can operate, the swath width of the survey which means that just 1 or 2 swaths will capture the coastal strip most affected by the storm, and the increasing accuracy of hurricane path prediction means that a pre-storm data collection can be made before the storm, and a post storm collection can be made when there is less time pressure.

On the US West Coast, much of the erosion happens via cliff failure, typically during stormy El Nino years, and these can also be captured via lidar.

Electrical utilities can monitor their transmission lines, both for sag and vegetation encroachment. Since this is a regular ocurrence, they will collect time series of data, but that will probably be proprietary. It also covers only a narrow swath along the transmission line, so the data will have limited interest for other.

Time series analysis is probably most effective with grids created from the point clouds.

Last revision 11/23/2017


Lidar Return Number and Classification

Point clouds are collections of 3D points located randomly in space.

Map showing the spatial pattern of classifications. In the upper left is a DSM constructed from the LIDAR shows data gaps primarily along the stream. Water often has no returns unless it is directly under the sensor.

Water returns appear in the upper right. If the water surface is flat, there will be few returns except directly under the aircraft.

Ground returns appear in the lower left. This level of classification is almost always included in a LAS file, as it is needed to create a DTM.

Unclassified returns are in the lower right--they are mostly vegetation, but the data set was not classified, and there are also some buildings.
The same area shown above, with the return numbers shown. There are first returns everywhere, and they can be any category, except where no energy returned due to specular reflections from the water surface. Second and third returns only occur in areas with vegetation, or more rarely power lines. As point densities increase, so does the dectection of power lines.

Point cloud display controls

last revision 6/15/2020


Example Linking Data Bases

Example Linking (Joining) Data Bases

Many statistical data bases are not GIS but simply flat tables with data for states or counties or other geographic regions. However, many of these have the State or County FIPS code, and can be linked to GIS shapefiles of state and county boundaries. The link or join uses two fields which have the same values for the corresponding records. The field names do not have to be the same, and the order of the records does not matter. The program must just be able to find the corresponding record in the second database, using the value from the join field in the first database.

Other data bases will be records of individual events, like hurricanes or tornadoes, and include a FIPS code for each event. You can use the Sum, All records matching single field on the Stats button on the table display window to create a file that can be linked with the total number of events for each FIPS code, as well as the sum of fields like FATALITIES or DAMAGE.

The database you are linking to your main data base can have at most 1 record that matches each record in your primary database. If there are none, or more than one, the join will not be accomplished. Several records in your primary record can link to the same record in the other database--for instance a database of counties in the US could have multiple records for each county (perhaps for islands), but they would all link to the same county statistical data.

In addition to using the fields through the link/joined data bases, you can copy fields into the primary database with the Edit, "Fill fields from linked database" option on the table display window .

We will demonstrate this capability with a database of live births from 1995-1999, downloaded from the US National Atlas

Open states data base. Note:
  • Sources to obtain states database.
  • From the symbol display button on the far left, this is an area data base.
  • The "PLOT" button is present, so you can plot this on a map.
  • The presence of a "STATE_FIPS" field.

On the pop up menu from the STATS button, select the "Link/join data base" and then "Set Join".

Select the linked data base with live births. You will not get this display after linking, but could get it by opening the second database by itself, and might want to check this database before attempting the join. Note about this linked data base:
  • This is not a GIS data base because there is
    • No button on the far left indicating the point, line, or area nature of the data base, and allowing you to change the display symbology.
    • No "PLOT" button, because without the GIS location data, you cannot plot this on the map.
  • The presence of a "STATE_FIPS" field.

Select Fields to use for the linking. You should use "STATE_FIPS", since as a number there are fewer chances that the spelling might be different. You could alternatively try the "STATE" field. You must select the field in both data bases, and while the two field names might be diffeent, they must use the same coding within the field--you cannot join based on full state names, as here, and two letter abbreviations.

On the "PLOT" button of the state data base, pick the "Color code by DB field" option.
  • Pick type of field to use (numeric or string)
  • Pick field to plot. The linked fields will be at the bottom of the list, after those in the database itslef.
  • Pick color scheme to use, and approve the numeric limits.

This is teen birth rate by state. The highest values in red, across the southern part of the country, are twice (almost three times) those in New England, MN, and ND.

Setting up a Join in MICRODEM.

Last revision 12/19/2016


Live Flying

Select this icon on the main toolbar. Then

  • Double click on the map to mark the starting location.
  • Drag out a triangle to define the first viewport.
  • Set the flight perspective view parameters.
  • Control the flight with this form, the cursor keys, or a joystick.
  • Flying initially comes with Auto NAP (nap of the earth). This keeps you from crashing. If you turn NAP off, you must monitor your elevation relative to the ground.
  • Speed:
  • Heading:
  • Altitude
  • Frame delay: increase this if you are moving too fast.
  • Pitch: tilt the view up or down.
  • Colors lets you adjust the reflectance or elevation colors used.
  • Controls adjusts sensitivity for the arrow keys and spin controls. (see window below)
  • Done ends the live flying
  • Pause stops the flying momentarily.
  • Slider lets you set the the viewing angle relative to the aircraft. Negative angles run counterclockwise (to the left). This lets you get the view experienced by a door gunner.
  • Center: recenters viewing, so you see the cockpit view ahead.

Speed: how much the speed (meters/frame) changes with each change of the cursor keys or the spin controls.

Heading: how many degrees the heading changes with each change of the cursor keys or the spin controls.

Altitude: how many meters the altitude changes with each change of the cursor keys or the spin controls.

Flying overview.

Last revision 4/1/2007


Load Vegetation Grid

Has not been tested recently; use with care (June 2019)

Option on File menu with open DEM.

Vegetation grid (CHM) must have the same dimensions and spacing as the DTM (required for speed), and can be created from Derivative Grids menu choice (DSM-DTM). If the vegetation grid is not appropriate, you will be asked to reinterpolate it.

With this grid open, [image] Line of sight and [image] Weapons fan/viewshed will include the effects of vegetation (or other obstacles).

 Fans done with (left) and without (right) the effect of vegetation.

Toggle vegetation on and off by Right clicking on LOS view and picking vegetation option.

LOS drawn with the effects of vegetation. You can note the locations of the vegetation, and that even where there is no vegetation the view is blocked by the "shadow" zone from the vegetation that blocks the observer.

Lime color shows vegetation which blocks LOS. Dark green vegetation does not block LOS.
LOS with no vegetation. In this case the spires are probably artefacts in the DTM.

Last revision 12/30/2011


Load WMS Map

Load WMS Map (Currently disabled)

Requires database (c:\mapdata\wms_servers_v*.dbf) with parameters of WMS servers which comes with MICRODEM. If you want additional WMS servers, edit this database. The USE field has Y/N to indicate if you see the entries, which will be in alphabetical order.

Alternatives:

  • Export options on the Right click on the map popup menu, which can show the location in Google Earth, or USGS TNM viewer high resolution imagery.
  • Download orthoimagery from USGS
Imagery with the map scale approximately 2 m per pixel or larger. This is leaf on.
Same request, but zoomed in.
Imagery with the map scale approximately 1 m per pixel or smaller. This is leaf off.

Open any map, and select the region of interest. You should not try this option on a map covering a huge area. The map must have either a UTM or geographic projection.

Right clicking on the map, Load, WMS maps, deliberate and pick layer you want.

WMS button on the Map toolbar--does the same as quick, and loads your favorite WMS source.

Pick the WMS service you want.

Due to changes by USGS imagery WMS, NASA, and USDA, there may now be no

working data sets in the list and you will have edit the database yourself.

Pick the WMS service you want.

Adjust opacity with menu option on right click popup menu.

Remove overlay with Modify, Clear WMS menu choice.

When WMS fails, the message from the server will be displayed in default browser.

Last revision 10/6/2021


LOS Algorithm Analysis

To perform, right click on the LOS window and select Algorithm Analysis.

Pick number of algorithms to use and set algorithm parameters.

The computer will draw the LOS profiles in a single graph window, which can be rescaled as desired to see the individual points. They are colored visible or masked.

The top profile with the first algorithm will be drawn with the correct vertical scaling; the other profiles will be dropped down to clearly show the effects.

This analysis used three algorithms:

  • Top used a radial spacing.
  • Middle used a grid square sides (Yoeli/DYNTACS). Note the variable spacing, with two points close together where the profile clips a corner in the data grid.
  • Bottom used a nearest grid neighbor (Bresenham). Note the occasional bumps and steps, where in steep terrain you get very different results depending on which side of the profile the nearest point occurs. Note that this is the only one of the algorithms to show masked terrain about 100 meters from the observer, because the third point out creates an artificial bench.

Last revision 7/16/2004


LOS Direction

Option from the Viewshed toolbar.

Option from the Viewshed toolbar.

The observer (left side) will be fixed.

Adjust the target (right side) with the slider bar or edit box.

Force redraw to compute with the new azimuth.

Right click to change LOS parameters.

Last revision 11/11/2009


line of sight options gallery

LOS Options Gallery

To set these values, LOS Right click options or use the "Modify, LOS Parameters" menu choice.

DEM profile. The ground surface from the DEM. You can choose the line color and thickness.
Line of sight, connecting the position of the observer and the target. You can choose the line color and thickness.
Color visible/masked. You can choose the line color and thickness, and whether to show the computation points or connect them with a line..
Fresnel zones.
Observer pitch line
Show slice. Points in the lidar point cloud in the slide adjacent to the profile.
Show floor/ceiling points.
Show floor/ceiling lines.
Full cloud density, computed on the fly from the point cloud.
Vegetation effects (grid)
Vegetation effects (voxels)

Last revision 7/18/2012


LOS Pitch

Set on LOS options form.
  • Whether to show
  • Pitch angle range for the sensor
  • Line width and color

The lines show the sensor pitch. Points not within the two lines will be invisible.

Last revision 7/17/2012


LOS Protractor

The protractor in the upper left is enabled with the LOS options.

The protractor on the profile is selected on the pop up menu after right clicking on the profile. You can slide the protractor along the profile.

In both cases the angles are corrected for vertical exagerration.

Last revision 8/29/2008


LOS Point Cloud

  • Show slice: determines whether you can see a slice through the point cloud, with the points shown on the LOS View. This can show classification, return number, and differentiate air points.
  • Show floor/ceiling points: shows the points categorized as the floor and ceiling.
  • Show floor/ceiling lines: connect with a line the points categorized as the floor and ceiling.
  • Lateral buffer (m): thickness, perpendicular to the profile line, of the slice. Total thickness will be twice this value. This should be larger than the box size if you are interested in perpendicular profiles.
  • Box size (m): size of the search box, centered on the computation point. It will go out half this size in each direction.
  • Floor (m): size of the search box, centered on the computation point. It will go out half this size in each direction. Because there will often be fewer ground returns, a larger value here than that used for Box size may be appropriate.
  • Color cloud masking:
  • Cloud density along LOS
  • Full cloud density
  • Load button: opens point cloud if not already open.
  • LAS button: change display options.

Last revision 7/17/2012


Point selection along intervisiblity lines

See effects of horizontal earth curvature algorithm. Picked on Calculate, Intervisibility menu from a map.

This will show the difference between three methods of picking the straight line between two points:

  • UTM
  • Lat-Long
  • Geodetic (Vincenty)

You pick a line of sight, and then the number of points along it. The program will produce a table with the distances between the points, and show them on the map. There will be little difference until the profile becomes long; the largest differences will be in the middle of the profile.

Last revision 2/4/2021


LOS Right click options

Line of sight/Topographic Profiles

Gallery showing effects of individual parameters

Right click within LOS image to get popup menu:
  • LOS Parameters--change display parameters
  • Magnetic model
  • Sensor/observer site blowup: Slope map, color coded by trafficability categories, with contours overlaid. The observer will be a small red square in the center of the view.
  • Adjust azimuth--keep observer (left side) constant and change profile
  • Adjust range--keep observer (left side) constant and change profile
  • Line size and colors
  • Set image size: set width in pixels (you can also just drag resize, but this allows an exact value)
  • Profile drop down:
  • Profile name
  • Profile legends
  • Intervisibility summary
  • OpenGL of point cloud
  • Protractor: overlay protractor and move it along the profile. Double click to park it on the profile.
  • Average elevation: compute moments for points along the profile. This is computed using the number of points on the screen display, so you should maximize the window first.
  • Measure slope
  • Fresnel zone encroachment
  • Fresnel zone cross sections
  • Crest Wavelength/Height
  • Grazing angles
  • Grain along profile--graph showing how terrain organization varies with region size along profile.
  • If Methods comparisons enabled
    • Algorithm analysis (requires Methods comparisons enabled)
    • Spacing analysis (requires Methods comparisons enabled)
  • Parallel Profiles--draws parallel profiles, on each side of the profile line. They will be shown in gray, the original profile will be shown in red, and the average profile will be shown in green.
  • All open DEMs--creates a profile along the same line for all open DEMs.
  • Profiles on other DEMs
  • Save profile end points (you are restore the profile with File, Load LOS/topo profile
  • Save image
  • Copy to clipboard
  • Paste from clipboard

Last revision 10/15/2014


LOS Algorithm Analysis

LOS Spacing Analysis

To perform, right click on the LOS window and select Spacing Analysis.

The computer will attempt to use profile point spacings from 1- 60 meters. This will be the difference between points along the radial used to determine intervisibility.

The top profile with the first algorithm will be drawn with the correct vertical scaling; the other profiles will be dropped down to clearly show the effects.

The computer will draw the LOS profiles in a single graph window, which can be rescaled as desired to see the individual points. The largest point spacing will be on the top, and the smallest on the bottom. Note that in the case below, the 60 m spacing misses the masked terrain at about 8.7 km along the profile.

Last revision 7/16/2004


LVIS Plots

Option on Stats popup from table display window.

You must have prepared LVIS Level 2 ASCII data.

Display multiple waveforms (to do a single waveform, double click on the record in the display).

Select the cumulative plot, the histogram, or both, on the LAS tab of the options form
LVIS slices ZT/ZG
LVIS slices canopy structure

Last revision 12/13/2017


Magnetic Anomaly Picks

Geology options

This has the Seton and others (2014) data set, with the ages from the Gee and Kent (2007) time scale in the GEEK2007 fields and the anomaly name in the CHRON field. The pick is where a geologist has interpreted a magnetic profile, and selected the location of a particular anomaly on the profile and extracted its latitude and longitude. The pick can be for the old end of the anomaly ("o" in the ANOMALYEDN field), young end ("y"), or center.

Seton and others (2014) magnetic anomaly picks along the Juan de Fuca ridge.

  • GEEK2007 field (numeric) above
  • CHRON field (string) below which works if there are a limited number of anomalies on the map (filter the database)

Prep the data.

Plot, Color code by DB field, with the GEEK2007 field (numeric) or the CHRON field (string). You will want to Filter the database to just have the records on the map, or restrict the color range . If you zoom in enough, you can Label the picks .

Last revision 3/15/2021


Magnetic Anomaly Picks Data Prep

Prep for Magnetic Anomaly Picks (Oct 2018 version)

Geology options, Magnetic anomaly picks. This shows points where someone has identified a particular anomaly.

Magnetic picks, shapefile or KML:

To get a new version of the file and prep it for MICRODEM:

  • Download global shapefile from http://www.soest.hawaii.edu/PT/GSFML/ML/index.html (Seton and others, 2014) No updates since Oct 2018, and the site is not secure)
  • Open
  • Edit
  • Edit, Coordinates, add lat/long from SHP file
  • In the GEEK2007 field, limit the decimals to 3
  • Edit, String field operations, Trim blanks, All fields
  • Report, Text (CSV):
  • Open the TXT/CSV file, which removes a hugely excessive number of blanks in the string fields

Ages, in the GEEK2007 (Gee and Kent, 2007) field of the database.

Using the data.

Last revision 11/8/2022


Magnetic Anomaly References

  • Gee, J.S., and D. V. Kent (2007), Source of Oceanic Magnetic Anomalies and the Geomagnetic Polarity Timescale, in Treatise on Geophysics, edited by G. Schubert, pp. 455-507, Elsevier Ltd., Oxford, UK.
  • Maus, S., Barckhausen, U., Berkenbosch, H., Bournas, N., Brozena, J., Childers, V., Dostaler, F., Fairhead, J. D., Finn, C., von Frese, R. R. B., Gaina, C., Golynsky, S., Kucks, R., Luhr, H., Milligan, P., Mogren, S., Muller, R. D., Olesen, O., Pilkington, M., Saltus, R., Schreckenberger, B., Thebault, E., and Caratori Tontini, F. 2007, EMAG2: A 2–arc min resolution Earth Magnetic Anomaly Grid compiled from satellite, airborne, and marine magnetic measurements: Geochemistry, Geophysics, Geosystems, vol. 10, no.8, DOI 10.1029/2009GC002471.
  • Brian Meyer, Richard Saltus, Arnaud Chulliat (2016): EMAG2: Earth Magnetic Anomaly Grid (2-arc-minute resolution) Version 3. National Centers for Environmental Information, NOAA. Model. doi:10.7289/V5H70CVX, accessed 13 Aug 2016.
  • Muller, R.D., Sdrolias, M., Gaina, C. and Roest, W.R., 2008, Age, spreading rates and spreading asymmetry of the world's ocean crust, Geochemistry, Geophysics, Geosystems, 9, Q04006, doi:10.1029/2007GC001743
  • Seton, M., J. Whittaker, P. Wessel, R. D. Muller, C. DeMets, S. Merkouriev, S. Cande, C. Gaina, G. Eagles, R. Granot, J. Stock, N. Wright, S. Williams, 2014, Community infrastructure and repository for marine magnetic identifications: Geochemistry, Geophysics, Geosystems DOI:10.1002/2013GC005176

Last revision 3/6/2016


Map library database

Manage Map Library Data Base

Create and manage map library database index on Create/Index menu of [image] Data Manipulation button on Main Program Toolbar .

The Library uses the following types of data, which go in first level subdirectories under c:\mapdata\indexed_data:

  • DEMS
    • Folders under this will be series, for example COP or ALOS.
  • IMAGERY

Under each directory for a type of data you can place as many series as you want, each in their own subdirectory. Each series should be the same type of data and scale, and allow merging. You can turn series on/off so they appear on index maps.

  • Pick map library: pick from any c:\mapdata\indexed_data locations. This is most useful for external hard drives, which may have a changing assigned drive letter
  • Create/Update: add files that have been added since the index file was created or updated. You can select the types of data, and the series to update, for faster operations.
  • Adjust series color/usage

Last revision 10/2/2022


Managing Landsat data

  • Insure you get Landsat Collection 2 Level-1 (or are very sure you know what you are doing if you pick something else).
  • Three options to download via EarthExplorer download direction s
    • Get Bundle with all bands, offers the most flexibility and the ability to manipulate the image
      • Scenes will be downloaded as Unix .tar files
      • Put all scenes that you want to use together in a single directory
      • Have no spaces anywhere in the path to the file location
      • Do not rename the files or folders; the program needs them to manipulate the data
      • Use the special option on Compress/Decompress, Landsat Geotiffs from unix tar. This will keep each scene in its own directory. You can open multiple scenes together from the single directory.
        • Landsat 9 will have 25 files for each scene (11 bands and various metadata files)
        • Landsat 1 will have 16 files for each scene (4 bands and various metadata files)
        • Other Landsats will have an intermediate number of files
      • Open image. Using the folder open option allows opening multiple scenes at once.
        • The first time the scene opens, GDAL will convert the Geotiff files for use. The original files will be recycled.
        • Create histograms for each band, useful for [image] Contrast enhancement
    • Browse images, which are much smaller but cannot be manipulated. They could be a good choice if:
      • You just want to use the images as a base map, perhaps with a time series, and the default band selection and contrast works.
      • You want to digitize onsceen, for something like a glacier terminus, and the default display works well.
      • If you want to do something where a band ratio like NDVI would differentiate the categories, the browse image would not be a good choice
    • Individual bands.
      • The program will not know particulars about the band, and cannot do multi-band merges. You should be very clear about the limitations you are accepting if you get these.
      • Open either:
        • As a DEM/grid.
        • With the File, Open, Open single Landsat band

Handling Problems

If there are problems with the Landsat data, the original TAR files should be in the recycle bin (they were not really deleted, at least if you used the Landsat extraction option).

Open the recycle bin. There is an option to do this under File, Tools, File operations

Search for "*.tar" files

Highlight those you want to restore.

Note the original location, which is where they will be placed.

Repeat the decompression, paying particular attention to use the special option for Landsat.

Problem | Solution | Notes
General issues | Update the program
Got Level 2 data. It does not have all the bands, and reports missing bands | Redownload, and get level 1 | This might be working, but if it is, you're not reading this
Cannot see the data Track data locations.

This normally happens when

  • you download data with different path/row locations
  • Combine the early and late Landsats, and the scene coverages are different
TIF files disappeared | See if you can recover the TAR files (abve), and decompress again (using the landsat option)
Placed multiple scenes in the same directory | See if you can recover the TAR files (abve), and decompress again (using the landsat option)

Last revision 3/9/2023


Managing Lidar Data

Do not use spaces anywhere in the path to the lidar data. Do not ignore warnings about this.

Place every survey in its own folder, with a short descriptive name, which the program will use to identify it, such as "DUCK_2015" and "Duck_2018"

If you have multiple surveys of a single area, organize them under a single higher level folder such as "Duck_surveys"

Many surveys produce data only in very long strips. These are more cost effective comparted to regular "mow the lawn surveys", but lead to very long and skinny maps, with mostly missing data. These are difficult to visualize

  • Utility line corredors
  • Beach erosion surveys, where all the change is along the coastline.

When visualizing or displaying multiple surveys, think about what you want to show, and control this with the checkboxes:

  • All surveys on the same map or 3D view, or in the same derived grid. This makes sense if you have adjacent surveys with each cover only part of what you want, or you need the second survey to fill in holes in the first, and do not care about temporal differences.
  • All surveys separately. This makes sense if you are tracking change over time.

If you get a warning that your data does not have projection information, or has an unsupported projection:

  • Look at the metadata from the LAS file, to see what the projection is if it is present. SPCS means it will have to be reprojected
    • See if there is a metadata file in your download folder. It could be XML, TXT, or HTML
    • Analyze, File Metadata. LAS--you can find if the problem is with MICRODEM, or the data files.
      • via MICRODEM--this will be faster, as it just reads the header
      • via Lasinfo--reads the entire file, and provides some statistics
  • Look at the web site from the data download for the file or project metadata
  • LAStools file resampling. Based on what is actually in the data, you must pick the correct option:
    • Unsupported projection, Reproject, Specified to UTM:
    • No projection information, Assign projection. If it is not UTM (where you need the UTM zone) or geographic, you need to get the EPSG code .
      This will create new LAS files with "_utm" in the name. If you did not recycle the original files, you need to remove them for the directory manually if you want to use directory selection.

Metadata samples

 | Metadata location at USGS National Map
 | Spatial ref section of a metadata file at the USGS site. It gives the projection as UTM, zone 8. It does not mention the vertical datum.
 | Spatial ref section of a metadata file at the USGS site. It gives the projection as Lambert Conformal Conic, which is Maryland state plane. It does not specify the type of feet. If the projection is not recognized by LAStools, you will have to get the EPSG code. It gives the vertical datum as NAVD 88
 | Metadata from LAStools LASinfofor a LAS file. It gives both the UTM projection, and the horizontal and vertical datums.
Image 1 Image 2 Image 3 | Image 1. Lastools Lasinfo extract. The projection is defined in the LAS file, but it is state plane and LASTools (written by a German) does not understand the Geotiff code 26958; EPSG code is more common. Image 2. Geotiff codes, from http://geotiff.maptools.org/spec/geotiff6.html or https://svn.osgeo.org/metacrs/geotiff/trunk/geotiff/html/usgs_geotiff.html. You need to do a search of 26958, to find it is Florida east. Image 3 EPSG code from https://spatialreference.org/ref/epsg/?search=florida&srtext=Search These are the results for Florida, and we already know it was the east zone and in feet, so we want EPSG 2236. Get the UTM zone for Florida, 17. We can now use LAStools with Assign projection by EPSG (2236) and reproject to UTM zone 17 N, with the elevations in feet.

Last revision 3/7/2022


Managing MICRODEM

  • Update MICRODEM program. which backs up the old EXE, so you can restore if the newer version breaks something you need.
  • For key support databases files, the program will now prompt you to automatically download them when it opens after they have changed. If you do not download them, you are likely to get a program failure if you run that option, since the name of the file will change because its structure has changed.

Hints to help manage multiple copies of MICRODEM:

  • The program needs essentially every file installed into the directory with the executable. Some files may be needed only for certain esoteric options, but failure to find files will eventually cause problems if you try putting new EXE files in different directories without copying all the support files.
  • The key version number is the build number like 2016.5.9.x which will change with every build. The build number is the date of compilation, and a sequential number which is probably not very usefule.
  • The EXE can be renamed, and multiple EXEs can coexist in the same directory (but each will have its own INI file and default settings).
  • We do not keep backup copies of old EXE files. We archive the source code daily, so theoretically we could recompile something close to what you have, but to date we have never done that, and are very unlikely to do it. We have, on occasion, retrieved the source code of a particular module to try to help debug a problem, but normally we cannot just go back to old working code because the bug normally appears with an enhancement and we do not want to throw out all that effort. We will try to fix any bugs, but it will be only in the current version of the program, with whatever other warts it might have.

Last revision 7/4/2023


Map Algebra Operations

Currently only works for summing grids.

Use the list of grids and the operations on the right to build up a map algebra expression which will be listed in the bottom of the form.

Use the "OK" button to create a new grid.

The new grid will have the same dimensions as the first grid selected.

Last revision 9/13/2008


Map Display Parameter

You can adjust the DEM map display by:

  • Using the Modify, Display parameter menu choice.
  • Right click on the map, and picking the "display parameter option"
  • Elevation/grid value map
  • Slope map
  • Reflectance/Hillshade map
  • Difference map
  • Openness--quick version that can make a good grayscale base map in suitable terrain
  • Contour
  • Aspect
  • Aspect/slope merge DEM color merge,
  • DEM mask
  • VAT
  • Blank--useful to create a map showing only overlays.

The options compute the values on the fly, and do not create a second grid. They thus do not clutter up the hard disk. Create derivative grid generates a second grid, which allows more complex display and analysis.

last modified 2/15/2023


Map Overlay Hillshading

This needs updating 6/9/19;

For just a DEM, use the regular hillshade.

Image Layer

Terrain shadows

  • 3D Map Options
  • Map shading options
 Modify, DEM/Image Merge, Color from Image

or

Display parameter, DEM/reflectance merge

or

Shading, Reflectance

DRG (scanned map)
NLCD

There are several different methods for handling the merge. The terrain shadows probably works better for DRGs, and the DEM/Image merge works better for NLCD. Experiment to see which works best for your data.

Last revision 11/27/2017


Map Information

Map information can be selected either from the main menu ("Info") when a map window is active, or from a button on the map window's toolbar. The results will vary with the kind of data on the map. Key information used by MICRODEM to display the data set includes:

  • The map projection, both for the map, and the data set
  • The screen pixel size. This should be very accurate for large scale maps of a small area, but could be very approximate for small scale maps of the entire world unless you have specifically selected an equal area projection.
  • For raster data
    • Whether or not every data point can fit on screen.
    • The size of the data pixels

There are also options to see Geotiff or other file metadata:

  • Geotiff from MICRODEM, which will show the keys and their values.
  • GDAL_info for a number of data sets. This is a very readable format, but does not include some information like vertical datum.
DEM map Note that only 28% of the data points appear on screen. With 1453x1584 points here, but for almost all monitors, you cannot see all the data on screen at one time, and would have to use scroll bars, or Subset so you can zoom in to full resolution. | Satellite image map, with an associated DEM allowing elevations to be determined. For Landsat data, the key information will be extracted from the metadata. With about 64 million data points, this cannot be displayed at full resolution on the monitor, and you might not have enough memory to open the scene at full resolution with scrollbars. | Vector map.

Last revision 11/2/2017


Map Layout and Legends

Map Layout and Legend Creation

Prepare Printer Image. Invoked from [image] Print button on map toolbar, the file menu, or right clicking on the map. If you want a map with marginal data and a grid/graticule, you can create it and the save the map or copy it to the clipboard.

  • Check boxes determine whether features are included or not. If the feature is not appropriate for this map, it will not be enabled.
  • Edit boxes let you adjust the overall size of the map.
  • The draw button will draw the map as requested.
  • On the preview image, you can drag any feature to reposition it.
  • Print brings up the print preview window, from which you can select the scale for printing.
  • Full UTM grid
  • Simple grid
Map of the Hanging Rock Quadrangle, with
  • Title
  • Scale bar
  • Color legend
  • Collar and lat/long ticks labeled

Grid button on toolbar or popup menu after right click controls grid(s) and spacing.

Lat/Long grid (if on the map) is on the left and bottom margins.

UTM grid (if present) is on the top and right margins.

Full UTM grid--prints the entire false easting and northing.
Simple grid--puts a letter/number grid. The is actually a UTM grid, and you should set the UTM grid spacing.

Last revision 8/26/2009


Map Legends

Legends explain the color or symbols on a map. They work differently depending on the type of data (Raster DEM/Grid, or vector grid/shapefile). The program also treats legends where strings are used, when the categories are discrete values rather than continuous numberic values, differently than continuous scales.

Raster Grids/DEMs

  • Legends/marginalia after right clicking on the map, which will embed the legend in the map area for the grid on the map.
  • Prepare printer image which can put the elevation legend outside the map area.

Vector Databases

  • Pick legend on the Bottom panel controls of the Symbol and color selection form.
  • Put it in a different corner from the Grid legend and scalebar.

Legends with string fields

  • These can be very large, if there are a lot of categories, or the labels are very long. They might cover a large fraction of the map, espcially if you have a small laptop screen.
  • The program will create a legend in a separate window if it thinks this will be the case
  • To place the legend on the map
    • Right click on the legend's graphic, and copy the image to the clipboard from the popup menu
    • Right click on the map, and pick paste image from clipboard. Move it to the location where you want it, and double click to lock it and make it opaque.
  • Alternatively use Paint to paste in both the map and legend into a single graphic, with the legend above or below the map.

Last revision 1/22/2020


Map Masking

Select on Edit Menu.

Masks available:
  • Ridge mask
  • Road mask (using Tiger data, which must be in the correct directory and indexed)
  • Mask non-US areas
  • Slope mask
  • Terrain category The points in the category can either be left in, or edited out.
  • Stream mask (using Tiger data)
  • Shapefile masking: this will apply a mask for all files in the selected directory, or from a single file. You cannot apply a filter. If you want to mask with a filtered shapefile, use the Mask DEM with Shapefile, or you can just plot the Buffers from the PLOT button on the database.

Options for masks:

  • Check boxes enable/disable masks.
  • Option buttons let you change setting for a particular mask.
  • Preview shows just a single mask.
  • Exclude

Combined previews shows all active masks.

Opacity determines how much you can see through the mask.

Mask DEM applies mask to DEM. Red points will be retained.

Undo mask

Create mask: create and save mask for operations in another option.

OK: end this operation.

In some cases you may not be able to preview or mask the DEM, and can only create a mask.

Last revised 8/31/2012


Map of Montly Climate Parameters

Map of Monthly Climate Parameters

Multiple ways to open

  • Physical Geography labs Option on file menu
  • File menu, Open
  • Climate options on a map toolbar, then Monthly climatology

These are stored as a series of grids, one for each month, or as a vector database. As such, they behave slightly differently than normal grids:

  • You can cycle rapidly through the annual cycle in map view.
  • Monthly graph at point for a single monthly climate parameter by right clicking on the map.
After opening one parameter, you can open others from the monthly animation form with the "Load another" button.

The open data sets will be on the right, with an indication if they are raster grids or vector databases. Turning these on can make changing the display faster, and easier to see the other data sets.

Pick the month, or use the < and > buttons to cycle through the year.

For vector databases, you can thin the data before plotting, which will be faster, and may not degrade the image quality.

You can get the annual sum for a parameter like precipitation, or the annual mean for a parameter like temperature. These will show the same patterns, differing only by a factor of 12, but depending on the parameter, one might have units that allow easier interpretation.

You can get a map of min, max, and range of a parameter through the year.

You can hide or show legends.

Several parameters can be opened together, and provide particular graphs:

  • Evapotranspiration/precipitation, to show the water budget.
  • Temperature and precipitation, which lets you get Kopppen classification
  • Daily temperature range

If you want you can open the individual monthly grids you can use standard procedures for opening DEMs/grids.

Calculate Menu, Average by latitude with the desired grid the active map, can compute how the parameter varies by latitude, for monthly values, or the annual sum or mean.

Data sources

Last revision 9/22/2020


Map Shading Options

Accessed on the Modify menu, or from the pop up menu when right clicking on the map.

DEM Color merge let you put colors from various layers together. This is most effective for combining topography with satellite imagery or especially a scanned map

Elevation can come from a separate open DEM.

Grayscale and subdue emphasize overlays instead of the base map.

Last revision 8/19/2014


Map Overlay Manager

Invoked:

  • Icon on map toolbar.
  • Option on popup menu when right clicking on a map.
  • Option on overlay menu.

Use checkboxes at the top to enable/disable layers. Some checkboxes requires that the corresponding Menu choices be selected.

  • Database display--these have the DB table open.
  • TIGER options--the data must be in the correct location, and indexed.
  • Contours
  • Carto DBs--drawn only, and not opened for GIS database operations (may not be working); use options on Database menu
  • Grid
  • Gazetteer
  • PLSS
  • SRTM water bodies
  • World outlines
  • US outlines
  • Tissot

Use SHP button to add Database (shape file) overlays.

For panels in the middle of the form:

  • Use buttons on the left to modify drawing options.
  • Use the arrows to move layers up/down in drawing order.Layers at the top will be drawn last, and will be on top of the map. They may obscure lower layers.
Viewshed/Sensors Layer: Trackbar sets opacity of viewsheds layer.

Last changes 11/18/2017


Map Pattern Editor

Current limitations on patterns:

  • Any repeat size up to 24x24.
  • Any foreground color with a white background.

Access map pattern editor on the File, Tools submenu.

This was initially designed for stratigraphy and lithologic patterns, so the patterns have a distinct bias toward geology. The usage was then adapted for Geosym, and was recently adapted for all database plots.

Right click on any pattern to:

  • Select new color
  • Edit pattern
  • Save it to the zipatone directory.

On the file menu you can save all the patterns to the zipatone directory.

Form shows two views of the current pattern:
  • On the left, blow up. The grey portion is not used; it shows the full extent of a max sized pattern, 24x24.
  • On the right, full size view, showing how it repeats. The hardest part of designing patterns is to visualize how they repeat right/left and top bottom.

To change pattern:

  • Use the spin buttons to change the number of rows and columns.
  • Double click to color/uncolor a pixel within the pattern.
  • Use the color menu choice to change the foreground color.

The menu allows you to:

  • Replace the pattern you started editing.
  • Add a new pattern at the end of the patterns. This will leave the original pattern intact.

Last revision 10/4/2017


Map Scale and Effective Resolution

The traditional paper map is accurate to the width of a line, 0.5 mm. When paper maps are digitized, their accuracy transfers to the digital data. Some digital data sets may be created with better source materials, but because of the scale at which they are intended to be displayed, the number of points digitized, the care with which they are selected, and the number of decimal points carried may only be good enough for the intended scale.

Scale | Effective Resolution (m) | Data Set
1:2500 | 1.25 |
1:10,000 | 5 |
1:24,000 | 12 | 7.5' quadrangle
1:50,000 | 25 |
1:100,000 | 50 | Original TIGER data
1:250,000 | 125 | 1ºx2º quadrangle, JOG
1:500,000 | 250 |
1:1,000,000 | 500 |
1:2,000,000 | 1000 | US National Atlas
1:10,000,000 | 5000 |

Approximate conversions, degrees to metric.

Last revision 1/22/2014


Setting Map Size

MICRODEM opens maps with what it considers to be a reasonable set of default settings, showing the entire data set on screen without scrollbars. There can be two sets of scrollbar, one for the main program area, and one for a map, which can be particularly confusing since parts of the maps can be hiding off screen.
  • This will always be a compromise, and much of learning to use GIS means understanding these settings and how they should be modified for a particular task. Screen size is almost always insufficient to show the full resolution a data set and its full extent at the same time.
  • You will likely not initially see the full detail in the data set, and should reserve judgment on the quality of the data until you have looked at the data at full resolution.
  • 1:1 map view will show the best resolution view of the data, but might strain your system and force you to use the scrollbars and challenge you find the region of interest.
    • Zoom in (makes the map larger with the same coverage area)
    • Zoom out (makes the map smaller with the same coverage area)
  • Subset & zoom is a good option before going to the 1:1 view. If you only want to use a small region of the DEM, you can save just the map subset map area.
  • The original size of the maps is set on the Options, Maps tab, and you can increase this default if you want bigger maps (or get a 4K monitor). The map size selected here will be used for DEMs and imagery. One of the values will be adjusted down to keep the aspect ratio of the map. A setting on Options, Vector maps tab sets the size for vector maps.
  • For DEM maps there is a second option:
    • Options, Maps tab, set a zoom factor, with the check box and edit box ( Maps tab). 100% is 1:1 view, 50% is every other column in every other row, and so on. If the data spacing is unequal, such as in a lat/long DEM, this will be approximate to keep the correct aspect ratio of the map. If you have a big DEM, this can be slow and laborious to maneuver.
  • Information on the map will show you when the data has to be subsampled to show on screen, or if the program is interpolating to a finer resolution.
  • The Modify, Map size menu choice lets you change the map size.
  • The File, Match other maps menu choice lets you have all the open maps have the same coverage area and scaling, if they cover the same area..

Last revised 9/17/2018


Computer Contouring

Contouring shows the third dimension on sheet of paper or the computer monitor. Common uses on maps include topographic maps, or weather analyses. Contours can also appear on cross sections to show sound velocity or density or salinity or temperature versus depth

Contours creates a math model of surface, which can be used for derivatives (slopes), isopachs, volume calculations, or interpolations

Contouring

  1. Contouring uses lines to connect all points on a surface with the same value in the z direction.
    • isoline = line of equal value
    • contour = isoline of elevation (but frequently used for any isoline)
  2. Computer contouring interpolates, generally linearly or biliniearly, between known data points and then connects these interpolated points.
  3. Two different approaches to contouring use Triangulation or Gridding.
  4. Grid contouring can introduce a problem "honoring the data points", since once the grid is created, the original points are no longer used.
  5. One set of triangles can be mathematically described as best for triangulation contouring.
  6. Contours composed of straight "Unnatural" line segments: direct result of assumption about slopes

Principles of logical contouring: for the computer to do contouring, it must have certain rules to follow.

Computer behaves like "average" person in terms of where it bends the contours (bunching or spreading)

In some cases with a rectangle, there can be two ways to draw the contours, as in the case on the left. On the left, a ridge connects the two points with elevation of 80, and on the right, a valley connects the two points with elevation 70. The number of such boxes will generally be small, and with a large DEM, the effect will also be very small.

The contouring of a grid can be done in two ways:

  • On the fly, on a group of four grid points at a time. This is very fast; the algorithm just has to determine where the contour lines cross the fours sides of the rectangle, and then connect them. There can be ambiguities as shown in the figure above. This does not allow labels (which will be slow anyway, and might just clutter a screen map). When blown up, the individual line segments become obvious. In flat terrain, or with noisy DEMs, the patterns can be chaotic.
  • By creating a shapefile with the contour lines. This requires "threading" the lines though the DEM, to get continous lines These lines can be smoothed after generation, or the DEM can be smoothed (filtered) before the contouring. This must be done to label some of the contours.

Last revision 11/26/2017


Projection Properties

The following projections have been implemented in this software:

 | Plane | Cylinder | Cone | Azimuthal | Conformal | Equal area
Albers Equal Area Conic |  |  | x |  |  | x
Cassini |  | x |  |  |  |
Equidistant cylindrical |  | x |  |  |  |
Gnomonic | x |  |  | x |  |
Hammer |  |  |  |  |  | x
Lambert Azimuthal Equal Area | x |  |  | x |  | x
Lambert Conformal Conic |  |  | x |  | x |
Mercator |  | x |  |  | x |
Mollweide |  | x |  |  |  | x
Orthographic | x |  |  | x |  |
Polar Stereographic | x |  |  | x | x |
Sinusoidal |  | x |  |  |  | x
Stereographic | x |  |  | x | x |
UTM (Universal Transverse Mercator) |  | x |  |  | x |
Van der Grinten |  | x |  |  |  |

Geometrically, a projection can start from a plane, cylinder, or a cone.

The major properties desired in a map are:

  • Conformal: local angles and shapes are preserved; usable for navigation. Almost all serious, large scale maps are conformal (Mercator, UTM, and Lambert Conformal Conic).
  • Equal area: every region on the map represents the same area on the earth. Some maps used in GIS are equal area, like land cover, when the desire is to count pixels and compare categories.
  • Azimuthal projections map meridians as straight lines and parallels as complete, concentric circles. They are radially symmetrical. In any presentation (or aspect), they preserve directions from the center point. Great circles through the central point are represented by straight lines on the map. In GIS work, a projection would almost never be selected for its azimuthal properties, but note that the Lambert Azimuth Equal area and stereographic are coincidentally azimuthal but would be selected for conformality or equal area properties.

(see Snyder, 1987)

Album of projections.

Last revision 1/18/2018


Map Scale

The map scale is a fraction with a numerator of 1. The denominator shows how much length on the ground a unit of length on the map represents. On a 1:24,000 map, one cm on the map represents 24,000 cm on the ground. Since the scale is dimensionless, one of any unit represents 24,000 of the same unit on the ground.

Three standard paper map scales from USGS, showing the Naval Academy in Annapolis. Printed on paper, each map is approximately the same physical size, within about a factor of two. This size reflects an easy size for printing presses to handle, and for the user to manipulate.

They are referred to as quadrangle maps, because they are quasi-rectangles bounded by parallels and meridians.

  • 1:24,000 map
  • covers 7.5' by 7.5'
  • on this screen each pixel is 4 m
  • Largest scale: small area, large detail
  • About 50,000 maps at this scale cover the continental United States (CONUS)
  • 1:100,000 map
  • covers 30' x 60'
  • on this screen each pixel is 16 m
  • About 3200 maps at this scale cover CONUS
  • This example shows a digital merge of two separate maps
  • 1:250,000 map
  • covers 1°x2°
  • on this screen each pixel is 64 m
  • Smallest scale: large area, low detail
  • About 800 maps at this scale cover CONUS
  • This example shows a digital merge of two separate maps

As a fraction, 1:24,000 is bigger than 1:250,000, so the 1:24,000 map is a larger scale map than the 1:250,000 map. As a corollary, the large scale map covers less area on the ground (unless it is physically much larger). The large scale map should have more detail.

The boundary between large scale and small scale changes with the context.

With digital data, the computer can change the scale for display, but the data was still collected at a specific scale which limits how much it can be blown up or reduced. Map scale and effective resolution.

With vector data, scale determines the number of points used to characterize a line segment and the spacing between the points. Large scale maps need many closely spaced points to accurately depict where a curved line goes. Small scale maps must be more generalized, and need fewer, more widely spaced points.

With raster data, scale determines the size of each pixel used to represent the data. Large scale data has many more smaller pixels.

Approximate conversions, degrees to metric.

Last revision 6/17/2020


Earth Shape

Earth shape

  • The earth's equatorial and polar radiis vary by 22 km out of 6400, or about 1/300. The equatorial radius a is about 6378 km, and the polar radius b about 6356 km (we actually know them to about cm precision).
  • Total relief, Mt. Everest (+9 km) to Marianas trench (-11 km), about 20 km, so also about 1/300
  • Geoid relief only ±100 m, due to mass imbalances in the mantle.

The sphere is actually very good approximation, but as a tribute to our precision we must consider departures from a sphere for any map of an area smaller than a continent, and anytime we need precise coordinates such as rocket launches (where we also need to know the gravity field), property surveys, and locating things like oil wells.

Spheroid: adequate for small scale maps of the entire world or a hemisphere.

Ellipsoid: more complex mathematics, defined as part of the horizontal datum

The Geoid (gravity equipotential surface, mean sea level) has many oceanographic applications, and is how we currently have complete bathymetric coverage in the oceans.

Last revision 11/13/2017


Size of Data Sets

The size of a digital data set depends on several things:

  • The scale of the data set. All other things being equal, the larger the scale the larger the data set. (Large scale data covers a small area with detailed data.)
  • The area covered. All other things being equal, the larger the area covered the larger the data set.
  • The data included for a vector data set. A data set that include boundaries and roads will be bigger than one that includes only one of the two.
  • A raster data set includes something for every defined point (even if nothing is there, a code for nothing must be included), but vector data sets only have to show what is present.
  • A raster data set might have a number of layers, which would affect the size of the data set.

Larger data sets require more storage and more computer processing to display.

Last revision 3/10/2008


Grid Contouring

Gridding

  • regular pattern of data points, usually square
  • handle all possible ways for contours to enter and leave grid
  • draw only one square at at time (need not know where contour line goes; it will eventually be completed)

grid cells: if large, fast operation but coarse appearance with straight line segments obvious

sorting data before gridding speeds finding neighbors (2D structures)

Interpolations:

  1. any interpolation smooths the surface, removing peaks and valleys
  2. interpolation options
  • simple linear or 1/D or 1/D² weighting with distance (grids values always between data points)
  • fit plane to nearest neighbors (trend surface); considers slope, so can be larger or smaller; can cause problems with extrapolation at edge of data set
  • fit curved surface (more complex trend surface)

3. quadrant or octant requirements: could specify that the neighbors used must include representatives in each of the principal directions.

To honor the data points, can have second pass to adjust grid values if necessary to insure contour lines go in the correct places.

appearance of map not guide to accuracy of method

different objectives may not be compatible:

  • to honor data points, need weighting to drop off rapidly (exact, more detail)
  • to predict, want to include as many points for estimates (smooth, generalized)

Last revision 3/10/2004


Triangulation Contouring

Steps in triangulation:

  • Group data into triangles
  • Find where contour lines cross join between two data points
  • Must exit on one of other two sides of triangle, and that elevation can occur on only one of the other sides.
  • Early problem in finding right optimal set of triangles (want triangles closest to equilateral; with no long skinny triangles)

Delaunay Triangulation: first pass find optimum triangles

Thiessen, Voronoi, or Dirichlet polygons

Many applications: town locations in middle of regions (peasants go to nearest town for market), crystal cooling

  • find points that are closest to each data value
  • each data value has neighbors
  • connect point to neighbors, and get triangles
  • draw only one triangle at at time (do not know where contour goes, it will eventually be completed)

Honors every data point--no data point will be on the wrong side of the contour lines.

Strictly speaking triangulation does not extrapolate beyond data points and has an irregular edge at data points, but the edges may be "beautified" by extrapolation.

Can smooth the curves later for more pleasing look to avoid the straight line segments.

Last revision 10/23/2012


Vector and raster data

GIS Data Types

GIS data types: the type of data determines how the computer stores, processes, and displays the results. You must undertand those distinctions, since there will be different ways to deal with each kind of data.

Image of data Data type Open format Notes

Raster: Geotiff

Raster data uses a regular grid of points to represent the data. Since the grid is regular, the x and y coordinates do not need to be stored for each point. The corner coordinates and grid spacing define the x and y coordinates for every point in the grid, which can be calculated as needed rather than stored (computer computation may be cheaper than storage and file access). Each point just stores the value at that location, although it can point to a look up table with an explanation of the coding. Finer and finer grids lead to better resolution at the cost of increased storage, which goes up as the square of the improved resolution.

Advantages: Regular grid, fast access, efficient storage unless no data for most of the area.

Some raster data (like elevations in DEMs) can interpolate values between the grid values, while others (like land cover grids) cannot. In you interpolate the pixels might not be obvious, but the surface would become overly smooth with no detail.

This grid has been blow up far beyond its useful range, allowing you to clearly see the individual postings.

Rasters are a 2.5D grid and not true 3D. They can be thought of as single valued function, z = f(x,y).

Depiction of the grid with the values.

Vector: Shapefile

Vector data uses straight line segments to represent the data. Small enough line segments can define any desired curve. For each point both an x and a y coordinate must be stored. Each line consists of a series of points, plus some information about what the line represents. A point is a line that consists of a single coordinate pair, with an area is a line that closes on itself to enclose a region.

  • Point data might be earthquakes or volcanoes. A point might be considered to be a degenerate line with only a single pair of coordinates.
  • Line data might be plate boundaries, rivers, or hurricane tracks.
  • Area/polygon data might be countries, counties, or lakes. It is a line that closes on itself and encloses a region.

The geometry might change with scale. At small scale, a city might be a point, but at large scale it would be an area. Similarly, at small scale a river would be a line, but at large scale you might better depict it as an area.

This vector data set has been blow up far beyond its useful range, allowing you to clearly see theindividual line segments.

Advantages: variable storage, indexing, and the easy ability to associate attributes with the data.

Vector data is generally only 2D, but the shapefile format can have point elevations as an attribute in the database, or included in the SHP file (while this is allowed, it is seldom included in practice).

Vector data usually includes a database.

Point clouds LAS Series of x,y,z coordinates that define positions in space (true 3D). The points are usually distributed quasi randomly. Often there is additional data. This is a relatively new data type, with the amount of available data increasing rapidly.

The measure of scale here is the point density, given either as the number of returns per square meter, or the distance between points on the ground.

Tradeoffs

  • Storage & Speed of display
  • Accuracy
  • Can get "better" with each kind of data

Each type of data is collected at a target scale, which balances computer storage, display speed, and collection costs versus the level of detail needed. While the computer can easily change the scale for display, this may have severe and undesirable impacts on the data.

Type of Data Opening Data Display Control Most common Format
Grid/Raster
  • New DEM
  • New image
  • New scanned map
  • New Landcover map
  • Display parameter
 Geotiff
Vector
  • Open shapefile map
  • Database overlay
  • Plot
  • Symbol and color selection
 Shapefile
Point Could
  • Open point clouds
  • LIDAR Point cloud control window
 LAS files

Last revision 1/17/2022


Logical Contouring

Have: isolated data points

Want: continuous map or surface

logical contouring:

  • need all changes in slope as input data points (and only those points are necessary)
  • assume uniform slope between control points
  • linearly interpolate between known points

assumptions for logical contouring:

  • surface is single valued
  • surface is continuous (problem with faults for geologists if they contour the position of an underground surface)
  • surface autocorrelated over greater distance than control points

Last revision 3/10/2004


Horizontal Datum

Datum: with an ellipsoidal earth, two parameters define the best fitting ellipsoid, but three are used:

  • a -- equatorial radius, about 6378 km (we actually know it to sub meter accuracy)
  • b -- polar radius, about 6356 km (we actually know it to sub meter accuracy)
  • f -- flattening, 1 - b/a, about 1/298 (or 1/300 in round terms)

Any two define the datum and third can be derived, but different datums select different combinations for their definition.

e -- eccentricity; e² = 2f - f² (used in most projection formulas)

Take this shape, and a starting point (now usually defined with coordinates so that Greenwich and equator are on the zero longitude and latitude line, and an orientation), and get lat-long grid

Developed in 19th century, local datums gave best fit for the geoid in area. At that time they could not do a worldwide fit, and original errors in measurement mean some of these are very different from currently accepted values.

At least a half dozen datums are in wide use, and over 100 have been defined.

With satellite positioning and gravity, true geocentric coordinates and earth shape are possible.

World wide datums: WGS84 for the world and NAD83 for North America, which replaced NAD27; shifts up to several hundred meters in lat-long coordinates if using different datums

The US will soon get 4 new datums, one for the region on each tectonic plate (Caribbean, North American, Pacific, and Phillippine). Nominally named for 2022, these are being delayed.

Other datum topics:

  • How MICRODEM handles datums
  • Datum shifts: the change in coordinates for a single point on the earth's surface using two different datums, or conversely the two different points on the earth's surface corresponding to the same set of coordinates referred to different datums.
  • Datum caution

Last revision2/28/2022


Scale Changes with Digital Data

All digital map data has a scale at which it was digitized, and at which it faithfully shows features. This scale provides a tradeoff between (1) excessive data storage requirements, and processing time to display and manipulate the data, and (2) accurate representation of the data. There are times when you want to see the forest, and other times you want to see the trees, and a single data set might not efficiently accomplish both requirements.

More detail with raster data means smaller pixels, and more of them. The more pixels goes up with the square of the improved resolution (1 m data requires 100 times more pixels than 10 m data).

Blowing up or zooming out with Raster Data:

  • To blow up (move to larger scale) raster data, each pixel will be displayed multiple times. With enough blow up the pixels become very large, blocky, and distracting. With a DEM, the software can mask this effect by interpolating elevations, but the result will be a very smooth surface that does not show the detail that should really be present.
  • To zoom out (move to smaller scale) with raster data, some pixels are not shown. Data disappears.

More detail with vector data means more points to define the lines, with the points closer together.

Blowing up or zooming out with Vector Data:

  • To blow up vector data, the individual points plot farther apart and the straight line segments become very noticeable.
  • To zoom out with vector data, many individual points plot on the same pixel on the screen, and it takes a long time to plot. The screen might also become a solid mass of fused lines, with only the last lines drawn visible. Zoomed out data might reduce the number of categories it attempts to show.

Last revision 8/20/2019


Datum Shifts

Latitude and longitude coordinates depend on the datum used for the map projection. The same point, on maps with different datums, will have different coordinates which can vary by several hundred meters.

Region | Local Datum | UTM difference to WGS84 | Lat/Long Difference to WGS84
US | NAD27 | 200-220 m | 0-100 m
Afghanistan | Indian | 276-283 m | 25-105 m
Korea | Tokyo | 730-760 m | 332-400 m
  • Visualizing datum shifts with MICRODEM
  • Map showing incorrect datum shift

Last revision 9/15/2015


Sign Conventions

Longitude and latitude increase in a standard Cartesian coordinate system: they get larger moving east or north. This makes south latitude and west longitude negative.

For some uses, longitude is measured from 0 to 360 degrees. In that case you add 360 to the negative value of west longitude to get the value in the range 0 to 360.

Last revision 9/3/2000


Map modify menu

Modify Menu--Map Window

Choices will depend on the type of map, and current options.

  • Map Area
  • Set DEM with map: for images and vector maps. This DEM will be used for showing elevations as you roam over the map, or for DB computations that need a DEM.
  • Set second DEM on map
  • Display Parameter: set the parameter used for coloring the map.
  • Grid
  • Map marginalia
  • Map shading options
  • Missing data color
  • Elevation
  • Slope Categories
  • Contour
  • Reflectance
  • Colors from grid categories
  • Duplicate map window
  • Weapons fan/viewshed (DEM must be loaded)
  • Interpolate satellite colors
  • Recolor DRG
  • Merge color scene
  • No changes to map
  • Edit shape file group
  • Force redraw
  • Force redraw base map layer
  • Force redraw legends and scalebars
  • Force complete redraw--deletes all stored layers. Should not be needed, but in case you do something and a layer should be redrawn but is not, this option is available.
  • Clear WMS overlay.

Last revision 6/9/2019


Maps Tab

Maps Options Tab

This tab is on the options form, brought up from the Options menu selection.

  • Default display: what the program displays when it opens a DEM.
  • Default size: size for maps when opened. This will be a maximum; one dimension will be decreased to keep the correct scaling.
  • Max map size: in pixels.
  • Map memory check (MB): ask before displaying maps larger than this size. You will have to pan to see these maps, so you might prefer to subset before blowing up the map.
  • Blow up extra margin (m): used for some maps, such as when using high-resolution DEMs for intervisibility
  • Missing data color
  • Box around quick clipboard exports.
  • Contour: set contour map options
  • Preserve map aspect ratio: force the map to have a specified aspect ratio.
  • Aspect: set the aspect ratio desired for maps
  • Key locations: point symbol to use for key locations plotted on the amp
  • Gray scale merges:
  • Allow scale bars, small scale maps: by default the program will not draw a scale bar for a small scale map where the scale could change significantly in different areas. You can override this, and get a scale bar that should be accurate at the center of the map.
  • Pan buttons: show the pan buttons on the map windows, and the degree of overlap when panning
  • Blow up size (degrees):
  • No DEM interpolations: This will force DEM interpolations to use the nearest grid posting, and not interpolate between points. It might be marginally faster, and it does show the pixel nature of DEMs which is obscured by interpolation. There is no good reason to use this regularly.
  • Max distance distortion to draw scalebar

Last revision 3/5/2021


Map Marginalia

On Modify menu of main MICRODEM Menu, or a right click on map

  • Scale bar should be on all large scale maps. Because map scale changes on small scale maps, you cannot have a single scalebar there.
  • Move these to a corner where they do not cover important parts of the map

Form allows you to set modify map marginalia.

  • Legend Elements to be drawn and locations.
    • Elevation color scales for grids/DEMs
    • Scale bar--the program will not draw a scalebar on small scale maps where the scale varies dramatically with latitude. Cartography, Latitudinal scalebars will put multiple scalebars on the map.
    • Terrain categories
    • N arrow
    • Map name--especially useful for a number of maps to be assembled into a single large, composite figure.
  • The left and bottom margin can be resized for a DEM map. They cannot be changed for imagery.
  • Grid. To label grid/graticule, use Prepare printer image, or Copy to clipboard with the detailed option.
  • Redraw Map button redraws the map with the modified marginalia.

Database legends are selected with the Plot button on the table display window.

Last revision 4/8/2020


Mask Database with Shapefile

Option from Edit button on database table form.

  • Pick open area database to mask areas
  • Each record will be plotted on its own map, and that map used for the determination
  • Compute the point for each record in the database: for area shape files, the centroid will be used, and for point databases files, the coordinates of the point.
  • If the point is within a record in the database used as the mask, the MASK field will be marked with "1"; otherwise it will be "0". If there is more than one MASK field, you will be asked which to use.

You can filter the database using the Mask field, and then save the filtered data using the Report button.

Last revision 6/24/2009


Mask DEM with Gazetteer

This is an example of buffering.

From the Edit button on the Table display window of the database. You must have a gazetteer loaded with the map; one way to do this is to use the Load, Gazetteer menu choice popup menu.

Set the radius for each type of feature by editing the gazetteer symbols file before you attempt this operation.

Pick categories to use for the masking.

Select masking options (buffer size and whether to mask out or in).

DEM has been masked with USGS gazetteer database with just schools selected.

On the left, points outside a 500 m radius have been eliminated, while on the right those within a 500 m radius have been eliminated.

This could model the effects of a school drug free zone, for example.

This creates a bitmap with the database plotted, and compares the color with the desired masking inside or outside the areas). For best results, in terms of both speed and accuracy, use a 1:1 map view. If the 1:1 map will be large, you will be asked for the zoom factor to use.

Last revision 10/6/2007


Mask DEM with Shapefile

From the Edit button on the Table display window of the database or shapefile. Select the masking options (buffer size and whether to mask out or in).

The DEM has been masked with a USGS gazetteer database, filtered to show just the schools.

On the left, points outside a 500 m radius have been eliminated, while on the right those within a 500 m radius have been eliminated.

This could model the effects of a school drug free zone, for example..

This creates a bitmap with the database plotted, and compares the color with the desired masking inside or outside the areas). For best results, in terms of both speed and accuracy, use a 1:1 map view.

Because this shape file is a gazetteer, you could also Mask DEM with gazetteer which allows for some easier filtering.

Last revision 7/24/2008


Masking Options

The buffer size will be the line width to draw line or area features, or the radius for points. proper buffer depends on the scale of the map (pixel size). The line width allows a margin in selection.

Buffer options--remove:

  • Points near features--only available after setting the mask. Points meeting the criteria of the mask will be set to missing, and only the points not meeting the criteria will be left. If you want to retain the masked grid, you must save it.
  • Points away from features--only points meeting the mask criteria will be left in the grid.

All TIGER roads: mask using all roads in the TIGER data; otherwise set the TIGER Options for the roads to use in the mask.

Treat lines as polygons (e.g. for coastlines of islands)

Treat polygons as line (do just mask the perimeter)

Show Mask

Options used for:

  • Mask DEM with Gazetteer From Edit button on Table display window of database.
  • Mask DEM with Shape File From Edit button on Table display window of database.
Mask display after the masking..

Points in black will be deleted, and those in white retained.

You can use this option to see what the mask looks like, or check on problems.

Last revision 10/11/2022


Masked Airspace

If selected on LOS Options, the blue lines will outline masked airspace. Note that a blue line extends to the right from each peak/ridge crest that has a shadow zone to the right.

Last revision 8/11/2011


Masking

Masking or Clipping

In GIS, masking or clipping is selecting areas to be used for analysis. It can apply to both raster and vector data, and removes from consideration all data that does not meet geographic criteria. You will typically use another data set for the masking, and either remove or retain only the data that matches geographic criteria.

It is probably easiest to start with a vector shapefile, select a specific record, and then remove everything in the other data set not within the record.

Masking differs from filtering the database, which uses fields/attributes in the database to select or hide individual records.

Map of Anne Arundel County, Maryland:
  • NED DEM oritiginally filling a rectangular box, masked with the county outline.
  • Schools from the USGS Gazetteer for the state of Maryland, filtered to show just the schools, and masked to restrict them to the county.

MICRODEM options

  • Mask/clip to show just your country/state/county for the DEM

last revision 2/17/2014


Masking Grids

Option on Raster GIS menu. It is an application of buffering, where you can put a little extra around the geometric shapes you select.

  • Set mask grid--pick a grid to use as the mask. It must have the same dimensions as the grid to used. You will set the minimum and maximum for the range of values to mask. By default the entire grid will be chosen, but you can use this if parts of the grid have been marked missing with Edit menu.
  • Retain points not meeting criteria: if the points are not in the range you selected, they will be marked missing.
  • Retain points meeting criteria: if the points are in the range you selected, they will be marked missing.
  • Remove missing points in mask: select an open grid, and all missing points in it will be removed from the current grid.

Set masking options.

Only points near roads, with buffer of 250 m on each side of the road. Roads come from the TIGER file, which must have correctly located and indexed.
Only points off roads, with buffer of 250 m on each side of the road.

Additional ways to mask grids:

  • Using database shapefile.
  • Using EDIT menu functions.

Mask grid example

Last revision 11/19/2011


Masking options

Set the size of the buffer (distance in meters away from the feature)

Set whether you remove points near features, or away from features.

Remove points away from features | Remove points near features

Form used:

  • TIGER road masking
  • Shape file masking

Last revision 1/27/2007


Match other maps

Option on File menu for a map, or the Right click on map.
  • This coverage area and Map pixel size
  • This coverage area: all other maps will have the same size and area as this one. If you mix types of map (for example, UTM and lat/long, "same" will be approximate.
  • Same elevation colors; other elevation maps will have the same color scale.
  • All 1:1 scale--the best size to show all data.
  • All same pixel size as this map
  • All same map size as this map (in pixels, if you want to combine the maps into a single figure)
  • All same display (slope, elevation, hillshade)
  • Create new grid for this map area
  • Mask other grids to match this one: missing data on this map will be marked missing on all other open maps
  • Outline coverage area on other maps: show the coverage area of this map on the other maps. This can help provide a location map for a detailed map.
  • Outline other map coverage areas on this map: show the coverage area of the other maps on this map.
  • Force all redraw

Last revision 2/13/2023


Matching OpenGL Views

To match OpenGL views (for example of several DEMs covering the same area). This example shows NED and SRTM of the Last Chance Range in eastern California, and allows visual assessment of the characteristics and differences between the two DEMs..

New DEM --open all the DEMs.
Subset data set --pick the area you want on one of the maps.
"File, Match other maps, This coverage area". (Menu choice on the subset map.) This will match the coverage areas of all other maps to the selected map.

Last revision 2/15/2017


Maximum Entropy Spectral Analysis

Geostatistical analysis option on the Raster GIS option of the Main Program Menu . Set options for the analysis.

Power spectra for each profile. | Slope and correlation coefficient for each profile, along with the average and the median.

Gallant and others (1994) compared four methods to compute the fractal dimension of topographic profiles, and liked the Maximum Entropy method.

Tate (1998) proposed that the maximum entropy spectral analysis provides a more accurate estimate of the power spectrum and a more accurate estimate of the fractal dimension. However, the method still requires the selection of a prediction error filter.

The spectral analysis uses the MEMCOF routine of Press and others (Numerical Recipes, 1987, p.433) and produces graphs in the NS and EW directions.

Other methods for determining fractal dimension

Last revision 10/1/2021


MCC-LIDAR

Multiscale Curvature Classification of ground returns in 3-D lidar point clouds (las files), designed for forested environments

  • https://sourceforge.net/projects/mcclidar/
  • https://sourceforge.net/p/mcclidar/wiki/Home/
  • Classifies as ground/non-ground. May in the future classify into low, medium, and high vegetation.
  • Based on Evans, Jeffrey S.; Hudak, Andrew T. 2007. A multiscale curvature algorithm for classifying discrete return LiDAR in forested environments. Geoscience and Remote Sensing. 45(4): 1029-1038. which classifies vegetation in a LAS file.
  • Directions: https://sourceforge.net/p/mcclidar/wiki/HowToRun/

Driections to install

  • Install into c:\microdem\mcc_lidar
  • Get the file msvcr71.dll from the web, and place it in c:\microdem\mcc_lidar\bin
  • Insure there are no spaces in the path to the bin directory
  • If there are problems when you try to run, get the command from the debug file, run it in a DOS command window, and note the error messages.

Actions to run:

  • The first time you run the program, you must identify the EXE file.
  • Then pick a directory for the classified files.
  • Two parameters must be defined in the command line syntax to run MCC, the scale ('s') parameter and the curvature threshold ('t'). The optimal scale parameter is a function of
    1. scale of the objects (e.g., trees) on the ground, and
    2. sampling interval (post spacing) of the lidar data.
  • This will be threaded, using the number of cores on the Hardware tab of the options form, if there are a number of files to process.

Extract from mcc-lidar help file on setting the paramters:

  • Current lidar sensors are capable of collecting high density data (e.g., 8 pulses/m2) that translate to a spatial sampling frequency (post spacing) of 0.35 m/pulse (1/sqrt(8 pulses/m2) = 0.35 m/pulse), which is small relative to the size of mature trees and will oversample larger trees (i.e., nominally multiple returns/tree). Sparser lidar data (e.g., 0.25 pulses/m2) translate to a post spacing of 2.0 m/pulse (1/sqrt(0.25 pulses/m2) = 2.0 m/pulse), which would undersample trees and fail to sample some smaller trees (i.e., nominally <1 return/tree).
  • Therefore, a bit of trial and error is warranted to determine the best scale and curvature parameters to use. Select a las tile containing a good variety of canopy and terrain conditions, as it's likely the parameters that work best there will be applicable to the rest of your project area tiles. As a starting point: if the scale (post spacing) of the lidar survey is 1.5 m, then try 1.5. Try varying it up or down by 0.5 m increments to see if it produces a more desirable digital terrain model (DTM) interpolated from the classified ground returns in the output file. Use units that match the units of the lidar data. For example, if your lidar data were delivered in units of feet with a post spacing of 3 ft, set the scale parameter to 3, then try varying it up or down by 1 ft increments and compare the resulting interpolated DTMs. If the trees are large, then it's likely that a scale parameter of 1 m (3 ft) will produce a cleaner DTM than a scale parameter of 0.3 m (1 ft), even if the pulse density is 0.3 m (1 ft). As for the curvature threshold, a good starting value to try might be 0.3 (if data are in meters; 1 if data are in feet), and then try varying this up or down by 0.1 m increments (if data are in meters; 0.3 if data are in feet).

Very slow classification.

Option on Stats tab of the LIDAR point cloud analysis form.

You are responsible for:

  • Picking the two parameters above. These will be saved as MICRODEM defaults.
  • Pick the number of threads you want to use, and that number of batch files can be created. You can close MICRODEM, or do other things while the classification runs.
  • Insure the mcc-lidar files are on your hard disk.
  • If you need to debug, use the batch file option, and run the batch file from the DOS prompt to see error messages.
  • You might have to subset the LAS files to get this to run.
  • This will treat roofs as ground.

last revision 6/7/2017


64 bit MICRODEM

The 64 bit version of the program is now the default installation, and we will update the 32 bit program only in exceptional cases like teaching students with no access to modern Windows machines.

In addition to those changes required for 64 bit, a number of changes were also made to get the program to run on Android, Mac OS and iOS. We have noticed significant speed up using the 64 bit version of the program, and also with Windows 8.1 and 10.

As a 32 bit program, the most memory the program could address was 2 GB.

MICRODEM Version | BDE | tDBF | SQLITE | Changes required
32 bit (will run on 64 bit Windows) | Yes--requires BDE installed | Yes | Yes |
64 bit | No | Yes | Yes | New database engine
Android, iOS, Mac OS | No | ? | Yes | New database, case sensitive file names, \ to / in file names, no BMP files

You should be aware of the following limitations:

  • For the SQLlite versions, if you try to load a DBF file (including a shapefile), the program will automatically convert it to a .db file. This could be slow.
  • Automatic saving of databases might not be perfect, and you might lose edits to the databases. You can manually save if needed.
  • Syncing of shapefiles is not happening, so any edits to the database will not be reflected in the shapefile.
  • If you want to share your database (including shapefile) with another program, you must save the .db file to a .dbf.

If you have problems or suggestions, do not hesitate to contact us.

Last revision 4/4/2018


Buffers in MICRODEM

Buffering theory

This option can to used to show buffers around features, or to use the buffers to mask a grid or database.

Options

  • Force screen redraw if not automatic
  • Show symbols in addition to buffers
  • Show buffers
  • Buffering/masking
    • Mark points in the buffer
    • Mark points outside the buffer
  • Pick the buffer size in meters
  • Set opacity, and color of the buffer/mask

Last revision 9/14/2018


MICRODEM

MICRODEM's Lists of GIS Data

These links are subject to the vagaries of the web, and could be changed at any time.

Maintenance of these lists is not a primary focus, but I try to add new sites when I run across them that could be of interest to a wide range of students.

When there is a broken link, the data may still be on that site, but you will have to dig around to try to find it. Perhaps try a google search with the name of the site owner and the type of data you are looking for.

Many sites have http and not https

  • This means that the link was added probably a long time ago
  • Many of the sites will automatically shift you to https
  • Some will likely be broken
  • Be aware of your comfort level with potential security issues

Last revision 4/10/2023


MICRODEM

MICRODEM's Design Philosophy

  • The program should run entirely from the GUI. It is hoped that moderately sophisticated, but not GIS-fluent users, can use the program, and that it can be used in education where the goal is visualizing and interpreting data which is more important than developing GIS-literacy.
  • A number of options can now be called from the command line
    • Parameters
    • Batch mode Conversions
  • All options should have a reasonable default value, and then the user can modify is desired.
  • We should not reinvent the wheel, and should use free tools where appropriate, where it is easy to link to them from Delphi. Exceptions to this include:
    • We want to support the Android and MacOS (and potentially iOS) versions for common operations, so we will try to avoid libraries that do not support all these platforms.
    • When we need raw speed. Using the tools can require writing the DEM to a standard format Geotiff, and then reading the new Geotiff returned by the tool.
    • When we have good working, legacy code written before the free tools became available.
  • DEM Memory Usage

last revised 8/11/2022


MICRODEM Forum

Support for MICRODEM is provided via an online forum at Delphi Forums. This is a private site totally unrelated to the the Naval Academy. There will always be a current link to the forums at the Microdem home page.

This forum will be moderated, and inappropriate comments removed. We may also edit comments, and remove comments that do not provide helpful information. Our goal is to have a useful reference for users to find the answers to questions and share techniques.

We reserve the right to redirect email questions to the forum, where other users can benefit from the discussion.

Last revision 2/28/2009


MICRODEM Image Editor

Tools submenu of file menu:

Load image for display or various manipulation routines. This is not meant to be a complete edit program, but is a collection of routines I have found useful.

If you edit a JPEG, its EXIF data will be preserved. You are responsible for not changing significant characteristics of the the image.

Options:

  • Rotate image by an arbitrary angle.
  • Subset image to a particular aspect ratio
  • Change colors (Color menu).
  • KML Legend: KML button on toolbar places the image as a legend in the upper or lower left of the map in a KML file for Google Earth.
  • Get color palette if less than 1024 colors.

      Color palette displayed as a database, with the count of pixels in the image in each color.
  • Erode/dilate images
  • Process all files in a directory
    • Open single image
    • File, Review directory
    • Cycle through images with the < and > buttons
  • Set bottom portion of image to single color
    • Pick the color to use, by
      • Right click, and "Pick this point for solid color"
      • Recolor menu, Pick solid color
    • Right click on image, and all points below will be recolored
  • Repair lost EXIF headers
    • Open an image with intact EXIF header
    • On the file menu, pick the option to clone its EXIF header.
    • Then pick the files to be operated on.

Last revision 7/6/2016


MICRODEM

MICRODEM.INI

MICRODEM.INI will have the program settings. It is a text file, which you can inspect and carefully edit (although the program should handle this). The program will create this file the first time you run it.

It is in: "C:\Users\your_user_name\AppData\Roaming\microdem". You can get the excact name in the debug file.

Last revision 12/17/2018


MICRODEM Koppen climate

MICRODEM Koppen Climate Classification

Meaning of Koppen letters:

  • Capital first letter, major category
  • Capital second letter, desert/steppe BW/BS, with W for German word for desert (followed by subtropical/mid-latitude lower case h or k)
  • First lower case letter, season of drought (f, m, w, s)--"f" stands for the German word feucht or "moist" or year round precipitation; 'm" is for monsoon.
  • Second lower case letter, temperature (a-c for summer, d for Siberian winter)

The gray lines on the graph are located at critical temperatures used to divide categories:

  • 22ºC--warmest month above for a; warmest month below for b
  • 18ºC--all months above this for an A; coldest month below for a C; annual mean divides h and k
  • 10ºC--warmest month for C and D above this point; warmest above this for c
  • 0ºC--coldest month boundary between C and D (best for US)
  • -3ºC--coldest month boundary between C and D (best for Europe)

Koppen Classification follows

  • Oliver, J.E., and Fairbridge, R.W., eds., 1987, The encyclopedia of climatology: Van Nostrand Reinhold Company, New York, p.225-227.
  • except: difference between Am and Aw climates follows McKnight, T.L., 1990, Physical geography: a landscape appreciation: Prentice Hall, Englewood Cliffs, New Jersey, p.193-194.
  • except: difference between summer and winter concentration of rain follows Critchfield, H.J., 1974, General climatology (3d ed): Prentice-Hall, Englewood Cliffs, New Jersey, p.146-148.
  • May 2000: changed C and D winter/summer rain/dry season to use the 70% rule like the B climates.

The classification uses the following assumptions:

  • all decisions use < or >, so in the case of an = might be wrong.
  • summer half year April to Sept; winter half year Oct to March (opposite in southern hemisphere) for Cs,Cf,Cw and Ds,Df,Dw
  • classification as a B or not depends heavily upon the following:
    • summer concentration of rain is Apr-Sept > 70% annual total
    • winter concentration of rain is Oct--Mar > 70% annual total
  • ºC and cm versions of the boundaries

ID'ing climate with climograph

last revised 2/5/2020


MICRODEM LAS resampling

Data Manipulation, Resample , LAS files (MD): this will convert the coordinates to geographic, do a datum shift to WGS84 (if required), and then convert the coordinates to UTM, in one step.

  • Defined to UTM: MICRODEM must be able to recognize the projection, which must be in the LAS file. This currently works for SPCS files.
  • Change UTM zone
  • Irish grid to UTM--works even if no projection is assigned in the LAS file, and does not look for the projection. This has not been used since there were major revisions to handling projections.
  • UK OS to UTM--works even if no projection is assigned in the LAS file, and does not look for the projection. This has not been used since there were major revisions to handling projections.
  • z shift, feet to meters
  • LAS to.... converts a single LAS file to ASCII. These will use the number of decimals for the coordinates that are set on the Options form. This is grossly inefficient and should only be used for small areas.
    • XYZ
    • XYZ, RGB
    • XYZ, Class, Intensity
    • GeoJSON-P

These will also set the coordinate precision to cm in the exported LAS files.

LAStools--might be more robust

Last revised 8/18/2021


Program Limits

Option on help menu

These are hard coded into the program, and are periodically raised (the values shown here might have been raised, and you should always verify the values in the current build).

Max open DEMs refers to the number of open DEMs, each with its own map window. It does not refer to DEM merging, which can use an unlimited number of individual DEMs so long as you do not exceed the size limits. It is extremely unlikely that you can load a DEM at the full size of the limits, but you might be able to load long and skinny (or tall and narrow) DEMs with that number of columns or rows (but not both). I have successfully loaded a DEM with 42000 columns by 6000 rows, and another with 12000 columns and 24000 rows. Too much bigger than those, and problems, especially with a wimpy computer.

In October 2019, the limit was 250000x75000.

Max open GIS database refers to vector shapefiles.

Last revision 12/1/2010


md_paths.dbf

MD Paths and Files Defaults

This contains the names of the key directories used by MICRODEM to store data, as well as the names of programs that the program uses for some data conversions and similar operations.

Set values for some of these on the Directories tab of the options form,

This was a DBF file, but is now a section in the INI file.

Last revision 1/2/2012


MICRODEM on Surface

To right click without a mouse or touchpad:

  • Long touch
  • Wait for box to appear
  • Right click menu appears

Last revision 2/21/2019


Measure Distance

MICRODEM provides a number of ways to compute distance:

  • Buttons on map toolbar
    • Measure distance--straight line segments. Double click to select points.
    • Measure distance--curved trajectories picked with the mouse and stream mode digitizing. Move to the first point, depress the left mouse button, and move to the end location and the move the mouse button up.

Other ways to measure distance.

  • Keyboard entry on Computations form, from Analyze menu
  • Using a database, Distance from point option on from the Edit button on the database table form

Distance algorithms

  • Vicenty formula: ellipsoidl earth, more accurate, and the only one recommended
  • Haversine formula assumes spherical earth, and has errors over very small distances
  • Cosine formula assumes spherical earth, and has errors over very long distances (opposite side of the earth)

Last revision 5/8/2019


MEM Power Spectrum Options

The following options control the MEM Power spectrum:
  • Number of profiles. The profiles will be evenly spaced throughout the analysis region.
  • Number of poles for the MEM method. Press and others (1987) suggest 10, 20, or 50, but note that the method can be quirky and that you should experiment.
  • Low and high frequencies used.
  • Log/log plot.

Last revision 11/26/20186/17/2006


Menu Choices Option

Menu choices--turn options off to reduce complexity of menus shown to user. On Program tab on the Options form

Last revised 1/11/2023


Merge All Images

Option on the Edit menu, if you have more than one image open.

This option will be slow, and possibly not very forgiving of incorrect usage.

This will produce an image, in geographic coordinates with an approximate data spacing specified by you in meters.

It will cycle through all open images, in the order they were opened. For each pixel in the final image, if it is white, it will look in the image and find the nearest value and put in the final image.

This was added to merge back pieces of a large map that had to be scanned in sections. Each was registered, and they were then merged. It may or may not be applicable to other operations, although it will allow reprojection of imagery.

Last revision 5/30/2008


Merge PLSS ShapeFiles

To merge PLSS shape files, you must:

  • Have version 14.38.18 or better.
  • First display each of the PLSS files you will want to use:
    • Set the PLSS directory on the Options form, Directories tab
    • Display the PLSS file on the Map, Overlay, PLSS menu choice
  • Select "Merge shapefile" from the merge menu on the Data Manipulation Form.
  • Manually merge three sets of files:
    • quarter_84.shp:
    • section_84.shp
    • twnshp_84.shp
  • Name the new file, placing in a new directory under \mapdata\plss
  • Select files to merge. You must use the same set of files for each of the three merges. Hit cancel for the last of the files.

These directions supplement normal merging directions.

This has not been tested recently.

Last revision 1/18/2003


Merge Point Databases

Enable edits, and pick on Edit button. Two options:

  • Pick files

If you are going to have strings in the databases, you want to make sure that the first database will accommodate the longest string in each field in the other databases. One way to do this it to create the database in Excel, and have a "dummy record" with the longest string you could imagine. Save the file as a CSV, import into MICRODEM, and then delete the dummy record.

If there are images in the database, they must be copied to the same directory as the databases.

For each field in the starting DB, the program will attempt to insert a record for each record in the merging databases. It will use the field type and length in the starting database, and will do nothing if there are fields in the merging databases that are not in the original database. If data in the merging database is the wrong type or too long, you will get truncation or other problems.

For line and area shapefiles, use the merge shapefile option on Merge menu of Data Manipulation Form.

Last revision 10/2/2017


Merge Shapefiles

Merge Shapefile

Data Manipulation Form, Resample, GDAL/OGR vectors, Merge shapefiles

  • First select the name of the new file. It must not be one of the existing files you will merge.
  • Select the files to be merged. They must be the same type (line or area) and have the same fields in the dBase table. The easiest way to do this is the click on the first file, depress the shift key, and the click on the last file. You can use Control, Click to pick selected files. All the selected files will be highlighted, and you can hit enter.
  • Hit cancel when all files have been selected.

This option is not idiot proof. If you do not select compatible shape files, it will crash.

If you need to check the contents of a shape file, use the Analyze, File Metadata choice on the main program menu.

This requires GDAL.

Merging PLSS shapefiles for MICRODEM.

Merge point shapefiles.

Last revised 6/20/2020


MERIT DEM

Characteristics:

  • Free for education and research.
  • 3" resolution, about 90 m, starting with the SRTM and attempting to deal with voids and other anomalies.
  • The MERIT DEM is referenced to WGS84 and EGM96.
  • Five degree tiles, named for the SW corner
  • Geotiff format.
  • You will have to pass the files through GDAL because of the particular choices in the Geotiff format.

Download

  • http://hydro.iis.u-tokyo.ac.jp/~yamadai/MERIT_DEM/
  • http://hydro.iis.u-tokyo.ac.jp/~yamadai/MERIT_DEM/index.html
  • Need to request password to download.

Reference:

  • Yamazaki D., D. Ikeshima, R. Tawatari, T. Yamaguchi, F. O'Loughlin, J.C. Neal, C.C. Sampson, S. Kanae & P.D. Bates , 2017, A high accuracy map of global terrain elevations Geophysical Research Letters, vol.44, pp.5844-5853, 2017 doi: 10.1002/2017GL072874

Other Global DEMs

Last revision 1/9/2019


Weather and Climate Data Download

Weather and Climate Data Downloads

Climate Weather

Climate records, data tables and graphs:

  • https://www.ncdc.noaa.gov/cdo-web/
  • Consolidated US government climate data: https://www.data.gov/climate/
  • WMO, worldwide station data: ftp://ftp.atdd.noaa.gov/pub/GCOS/WMO-Normals
  • ICOADS: http://rda.ucar.edu/datasets/ds540.0/ International Comprehensive Ocean-Atmosphere Data Set (ICOADS) Release 2.5, Individual Observations
  • http://iridl.ldeo.columbia.edu/
  • http://www.weather.gov/climate/index.php
  • ESA CCI (Climate change initiative): http://cci.esa.int/
  • FAO Aquastat Potential evapotranspiration
  • http://www.esrl.noaa.gov/psd/data/reanalysis/reanalysis.shtml can give monthly fields of weather data (such as wind vectors)
  • http://www.esrl.noaa.gov/psd/data/gridded/
  • Koppen
  • Ship logs
  • NASA Earth Observatory: https://earthobservatory.nasa.gov/global-maps can download Geotiffs, data from 2000-2020
  • CRU_CL_2_0: New, M., Lister, D., Hulme, M. and Makin, I., 2002: A high-resolution data set of surface climate over global land areas. Climate Research 21:1-25
  • http://koeppen-geiger.vu-wien.ac.at/shifts.htm: Current climate and shifts 1900 to 2100, 0.5 minute grid. Rubel, F., and M. Kottek, 2010: Observed and projected climate shifts 1901-2100 depicted by world maps of the Köppen-Geiger climate classification . Meteorol. Z., 19, 135-141. DOI: 10.1127/0941-2948/2010/0430 .
  • WorldClim: Global grids of 7 parameters, 30" to 10' spacing, both for the current world (1970-2000; https://www.worldclim.org/data/worldclim21.html) and future CMIP6 projections (4 20 year time periods out to 2100; https://www.worldclim.org/data/cmip6/cmip6climate.html
  • ftp://ftp.ncdc.noaa.gov/pub/data/normals/ 1961-1990 Climate Normals
  • PRISM grids from Oregon State
  • CHIRPS:
    • 0.05 degree grids, 50N to 50S,
    • 1981 to present
    • daily to annual
    • https://www.chc.ucsb.edu/data/chirps
    • http://chg-wiki.geog.ucsb.edu/wiki/CHIRPS_FAQ
  • Global maps of a dozen or so parameters, can download in Geotiff (0.1 to 1 degree resolution) http://earthobservatory.nasa.gov/GlobalMaps/?eocn=topnav&eoci=globalmaps
  • Climate and economic data: http://www.wri.org/our-work/project/cait-climate-data-explorer
  • CMIP5 Global Climate Change Viewer http://regclim.coas.oregonstate.edu/gccv/
  • US Climate normals
    • https://www.ncei.noaa.gov/products/us-climate-normals
    • https://ncei-normals-mapper.rcc-acis.org/

National Weather Service

  • Shapefiles: https://www.weather.gov/gis/NWS_Shapefile
  • Precip: http://www.srh.noaa.gov/ridge2/RFC_Precip/ grid with about 4 km resolution

NDFD--NWS National Digital Forecast DataBase

  • Home Page: http://ndfd.weather.gov/technical.htm
  • Using in a GIS (floating point grids and shapfiles):
    • https://www.weather.gov/mdl/ndfd_GIS_tutorial (may be more current; shows how to get a shapefile, and then use in ArcGIS, but MICRODEM or QGIS should be just as good))
    • http://www.nws.noaa.gov/ndfd/gis/ndfd_GIS_tutorial.html

Hurricane GIS data

  • Best source, GIS formats, current weather: http://www.nhc.noaa.gov/gis/
  • http://weather.unisys.com/hurricane/atlantic/
  • http://weather.unisys.com/hurricane/
  • http://coast.noaa.gov/hurricanes/?redirect=301ocm (web maps, download button at upper right; none of the formats are ideal for GIS)
  • USGS hurricane: http://coastal.er.usgs.gov/hurricanes/index.html
  • NOAA hurricane center: http://www.nhc.noaa.gov/ (especially the historical information)
  • http://www.aoml.noaa.gov/hrd/tcfaq/tcfaqG.html (G11 to G14)

Tornadoes, Hail, Wind (1950's on)

  • http://www.spc.noaa.gov/gis/svrgis/ (also http://www.spc.noaa.gov/wcm/#data )

Snow

  • Snow coverage--KML files
  • https://www.globsnow.info/ data in Matlab and netcdf, which can be opened in QGIS and converted to Geotiff
GLOBAL GWTC (GWTC-2)--https://www.personal.kent.edu/~cclee/gwtc2global.html : daily weather in 11 categories at 0.5 degree resolution in an ASCII file

Google Earth

  • http://radar.weather.gov/ridge/kmzgenerator.php
  • http://www.gearthblog.com/kmfiles/weathertools.kmz

Last revision 5/13/2021


Metadata

Metadata is data about the data. There is no consistent way to present the metadata. Many data sets use an XML file, but there is no single, simple way to view the resulting files, and other files will have an HTML or TXT file, or even multiple files. Microsoft Word or the browser might do a reasonable job, but often you will have to use the search function to find what you want, such as "datum" or "projection". The file name will often include the word "meta".

XML uses tags like HTML, but the tags are specficic to the kind of data, like <datum>WGS84</datum>. You want smart formating to see the various tages.

  • NotePad++ is a good program to view metadata, but may require configuring a plugin.
  • The current browsers also do well.

Key information that you might find in the metadata:

  • Collection date and time
  • Sun position for remote sensing data, which can help with interpreting shadows.
  • Type of data--USGS often downloads files with a cryptic number for the file name, and the only way to be sure which data set you have is to look at the metadata.
  • Projection
  • Datum
  • Definition of the fields in a database.
  • Meaning of the codings used in a database.
  • Web page where you can download the file.
  • Contact information for questions about the data.
  • The metadata can include a Shapefile with the locations of the data sets used to create the data; an example would be 3DEP/NED from USGS.

Last revision 5/27/2020


MGRS vs UTM

MGRS uses a system of numbers and letters to display UTM coordinates.

The Maryland state house is at N38°58.739' W76°29.456' in Annapolis. Coordinates always read "Right, Up", with x first and then y. This contrasts with lat/long, which generally have latitude (y) first.

UTM--Universal Transverse Mercator
UTM Zone | Hemisphere | false easting (m) | northing (m)
1-60 | N,S | 100,000-900,000 | 0--10,000,000
18 | N | 370823 | 4315291

UTM coordinates may be given as 18N 370823E 370823N, but there is no absolute standard. Easting is generally given first.

UTM has a false easting of 500,000 at the central meridian of each UTM zone, and a false northing in the southern hemisphere. These allow UTM coordinates to avoid negative numbers.

MGRS--Military Grid Reference System
UTM Zone | Lat Band | 100K grid square | easting | northing | Accuracy
1-60 | C-X (No I, O)
18 | S | UJ | 70823 | 15291 | 1 meter
18 | S | UJ | 7082 | 1529 | 10 meters
18 | S | UJ | 708 | 152 | 100 meters
18 | S | UJ | 71 | 15 | 1000 meter
18 | S | UJ | 7 | 1 | 10 km

MGRS is given as one continuous string, and the user knows how to break it up. This example would be 18SUJ7082315291, or 18SUJ70821529, or 18SUJ708152. The easting and northing are always given to the same level of accuracy, so that the last portion of a MGRS coordinate always has an even number of digits after the two letters of the 100K grid square.

The 100K grid squares use the letters C to X; they omit the letters I and O to avoid confusion with the numbers 1 and 0. Letters A and B are used for the South Pole and Y-Z are used for the North Pole in the polar stereographic projection.

Note that MGRS eastings and northings omit one digit on the easting (3 in this case), and generally two on the northing (43 in this case; it would be one digit very close to the equator in the northern hemisphere), which are included with the 100K grid letters.

When dealing with a small area when all concerned know the region, you can omit the UTM Zone and Lat Band, and for even smaller areas you can also omit the 100K grid square. In that case you could transmit 6, 8, or 10 digit coordinates depending on the accuracy required.

On military maps, the grid typically shows two coordinates in both the x and y directions. They are indicated in the margins, and often within the main part of map centered on some grid lines.

MGRS zones.

The US National Grid (USNG) is actually MGRS.

UTM grid on maps.

UTM projection

Last revision 9/16/2015


MGRS/UTM zones

MGRS zones.
  • The UTM zone is the first two digits.
  • The latitude bands, the letter, omit "I" (India) and "O" (Oscar) because of the possibility of confusion with numbers "1" and "0".
  • The patterns of the boundaries, which are parallels and meridians, says a lot about this map's projection. This is a UTM projection, which is generally not used for such a large area, for which a conic would be better.
UTM 1:100 K squares for the MGRS
  • Red letters used for UTM zone 18, and green for the adjacent zones 17 and 19.
  • Two letters give a X (easting) coordinate first, and then a Y (northing), with "I" (India) and "O" (Oscar) omitted to avoid confusion with the numbers 1 and 0.
  • Letters jump in adjacent zones; there is no valid "UH" designator anywhere near here.
  • Letter very different with different datums; "UH" was something different with the older NAD27 datum.
  • In zone 18, the squares remain square (absolutely) and the size (to the degree that can be seen).
  • This is a UTM projection valid for the red squares; the green squares are the adjacent zones..

Last revision 11/18/2017


Marine Magnetic Anomalies

General features of magnetic anomalies

The earth's field reverses periodically. When this happens the north and south magnetic poles switch locations. The process takes place rapidly (in geological terms), in under about 5000 years. On average there are about 2-3 reversals per million years, but the rate varies considerably, from about 30 ky to 40 my for the long Cretaceous Quiet Zone (KQZ) with normal polarity.

Anomalies are numbered :
  • From 1 up to 34 for the Cenozoic and latest Mesozoic. Because anomalies were numbered in a frenzy of discovery, some were later found between those that were initially numbered, and these got letters to differentiate them.
  • From M0 up to M38 for the Mesozoic before the Cretaceous Quiet Zone (KQZ).

When the magnetic anomalies are plotted on a map with dense ship tracks, the patterns reveal the ages of the seafloor in long linear strips parallel with the ridges. As profiles, we see positive anomalies over normally magnetized ocean crust (where they add to the intensity of the earth's field), and negative anomalies over the reversely magnetized crust (where they subtract from the intensity of the earth's field). These anomalies provided the convincing evidence for plate tectonics and the resulting revolution in the earth sciences.

In addition to the intensity of the field, we can measure two angular components of the field vector:

  • The declination measures the direction to the north magnetic pole. It points to where the magnetic pole was when the rock cooled below its Curie temperature. Above the Curie temperature, the magnetic minerals are free to realign with the earth's magnetic field. Below the Curie tempature, the orientation of the minerals is locked in and cannot change, and will point to the location of the magnetic pole when the mineral cooled below the Curie temperature.
  • The inclination measures the departure of the vector from horizontal. This is a function of latitude, and enables the determination of the paleo-latitude, or where then rock was when it cooled.

Measurement of the inclination and declination requires an oriented sample, and is not typically done for marine surveys. If the rocks are tilted, they must be restored to horizontal before analysis, and any inferences about location are good for the time the rock cooled below the Curie temperature. Plate motions may have moved the location significantly since the magnetism was locked in.

The marine magnetic time scale is relative. The anomalies are picked based on the reversals, without any knowledge of the absolute times. If later dating changes the times of the reversals, it does not change the relate order of the anomalies. If additional anomalies are discovered, as happened in the initial development of the time scale, it only changes the duration of the intervals by inserting new anomalies, but does not otherwise change the relative time scale.

Eltanin 19 cruise track highlighted in black. This cruise collected one of the first profiles that convinced geoscientists that the plate tectonic model worked. The vessel sailed generally east to west. The other tracks in the region are shown in blue.
Magnetic anomalies for the entire cruise, over 4000 km long. The anomalies on the vertical axis are typically a few 100 nT.
Magnetic anomalies for the last quarter of the cruise, which proved conclusive to the acceptance of the role of magnetic anomalies to document sea floor spreading.
Long straight sections (such as 1000-1300 km, and 1400-2100 km) likely indicates gaps in recording and should be ignored.
EW9008 cruise (black) on the Mid Atlantic Ridge SW of Iceland, with a typical "mowing the lawn" survey pattern. Interpretation would require looking at each segment individually. Since the sailing direction also reverses, you would want to reverse alternate segments.
The results from a number of cruises can be combined into a grid. This requires filling in smaller holes, but allows profiles to be generated in any direction. Reds and magentas mark the highest positive anomalies, and blues the largest negative anomalies. A ridge runs diagonally through the map from the upper right to the lower left. Note that in addition to the pattern of stripes, symmetrical about the ridge, the intensities also vary in a systematic manner. This happens due to the varying intensity of magnetization and alteration, as well as differences in depth. The ridge crest, shallower in depth, produces a larger anomaly as sea level.
Note the long linear patterns running almost east-west in the left part of the map, and about 150º--340º in the right part. They join at about a 120º angle, typical of the angle at which three ridges would join in a triple junction such as that found in the Indian Ocean. The third ridge would have had an orientation about 30º, but is not visible in this area because this is older crust that moved away from the other two ridges.
Individual readings plotted on the map for cruise EW9008 on the Mid Atlantic Ridge SW of Iceland. Colors are for the anomaly value, with cyan (positive anomaly, normally magnetized sea floor) higher than blue (negative anomaly, reversely magnetized sea floor).

Magnetic anomaly data sources

Marine magnetic profile interpretation. Includes time scale and anomaly names.

Profile Reversing

Quick Profile Exploration

Last revision 5/9/2016


MGT option overview

MGT: Marine Geophysics Trainer

Variant of MICRODEM with limited options. If you want the full functionality of MICRODEM, select on Program tab of options menu.

Modeling magnetic anomalies in MICRODEM or MGT.

Last revision 11/21/2010


Put HTML into KML display

Create a blank new folder for this. Once you have this folder, you should not move any of the files from it, or you risk breaking links to the images. The folder will evantually will have the following in it:

  • The word processor document.
  • An HTML file saved from the word processor (or Google Docs), and a folder with all the images. These must stay together, and cannot be renamed after you save them in the word processor unless you really know what you are doing and are very careful.
  • A bitmap for the icon.
  • A CSV file created in Excel, and a DBF file created from it by MICRODEM. It must have the location to display the symbol on the map, the name of the symbol's bitmap, and the HTML file.

Create an HTML file with text, graphics, and other standard features such as a reference list, with very simple formatting. Fancy formatting that does not export is a waste of time and leads to a poor product.

Create a point database with the LAT/LONG location where you want the introduction to appear. Use the field names (the top row) exactly as shown to the left.
  • The NAME field will be used to label the push pin (or use the ICON field entry for a more attractive option).
  • The ICON will be placed on the screen. It must either be in the directory with the other files, or in c:\mapdata\icons.
  • The TEXT field should have the name of the HTML file, which must be in the same directory as your database. The images must be correctly located (they are probably in a subdirectory from the location of the HTML file, but you should let this happen automatically by not changing anything). Insure that the correct extension (.HTM or .HTML) matches the file.
  • The database can contain multiple records, and each will appear at a different location on the map.

Create the file in Excel, save as a CSV file (File, Save As, and pick the file type), and import into MICRODEM.

  • Database open option on Main Program Toolbar
  • Database option on Map Window Toolbar which will plot the location on the map.

Export the database to KML, from the Report button's popup menu, and Google Earth (or a comparable program you have selected to open KML files) will automatically open it. The quick option will work. If the export hangs up, it is likely that your Word document is not very KISSABLE. Three finger salute, and then fix the Word document (start with the figures).

Clean up KML exports

The icon or a push pin will appear at the specified location. A red X for broken link means the icon file was not in the correct location.

In this case "F.A.T.A" is the label from the database (in the NAME field), and "Landi Kotal" is Google's text from the "Borders and Labels" layer, which happens to display at the chosen location, which you can turn off if desired in the GE table of contents.

Clicking on the icon or push pin brings up the HTML page, with graphics and links.

You can also bring up the page by clicking on the link for the record in the Google Earth table of contents in the "Places" panel.

Save the resulting KML/KMZ files by right clicking on the entry in the Google Earth list of layers, and picking "Save Place As". Select KMZ, as it will give you a single zipped file with all the graphics included. You may want to rename it first, and adjust the folder layout used (Clean up KML exports). This file is buried in a directory, but since the directory only has one entry, access to your file will be easier if you highlight and save the lower entry as highlighted above.

Troubleshoot problems:

  • Open the HTML file with your favorite browser. If the images do not display, reopen the word document, and resave as HTML (and do not move the file or image, or try to rename them).
  • Insure you have the desktop version of Google Earth Pro Installed.
    • If you do not, another program (IE, Adobe Reader, Notepad) might attempt to hijack the KMZ file.
  • If the file does not open automatically, use the ^ option on the file on the bottom of the browser window, and check the open this type of file automatically.
  • Insure that Google Earth is set as the default viewer for KMZ; some other software likes to hijack the file extension. If not, use the Open with, and pick Google Earth.
  • Insure all the required files (the images and icon) are in the same directory.
  • Insure the names for the icon and HTML file match those in the CSV/DBF file.
  • The KMZ files will be in c:\mapdata\kml. They will be in numbered subfolders, in sequential order, if you want to find them later.

Last revision 12/6/2021


Stereo Net Options

Access by

  • By right clicking on the net.

  • From the Options, Geology/Geography tab.

Window controls appearance of stereo net, which will be redrawn after you accept "OK". Choices include:

  • Projection used, which can be Wulff (equal angle, Stereographic projection) or Schmidt (Equal area, Lambert Azimuthal equal area).
  • Hemisphere used for projecting and plotting. Lower hemisphere is standard for structural geology.
  • Size of the net (small, medium, or large).
  • Grid to be drawn: none, polar, or equatorial.
  • Grid size, or increment between grid lines of the polar and equatorial grids.
  • Contouring colors options.

Last revision 1/1/2013


Semivariogram

From Geostatistical analysis option.

This option computes semivariograms in four directions (NW-SE, N-S, E-W, and NE-SW). It uses the average spacing in those directions, so is not appropriate for a geographic grid covering a large area.

Log-log plot. The fractal dimension is taken from the slope of the linear portion of the graph.

Other methods for determining fractal dimension

Last revision 12/11/2020


Stereo Net Statistics

Calculate and display statistics for the data currently plotted on the stereo net.

The average orientation is calculated using formulas given in Davis (1986, p.331-334). As noted there (Davis, 1986, p.334), it will NOT work if the vectors are widely dispersed. In that case you should use eigen analysis. The calculated parameters include:

  • n, the number of data points
  • dip and dip direction of the average vector
  • alpha (alpha95), the angular uncertaintly of the average
  • R, the strength of the result. Values close to 1 are best.

The average is computed by summing the x, y, and z components of all vectors and divided each sum by the number of observations. The orientation of the resulting vector is then determined. The length of the resulting vector is the R parameter.

Eigen analysis follows Davis (1986, p.334-339) or Fisher and others (1987). Note that it may provide a better estimate for the mean orientation.

Last revised 12/15/99


Strike and Dip Formats

Many geologic features can be approximated as a plane. Examples include sedimentary bedding, or a fault plane. Even if the surface actually curves, there will be a plane that is tangent to the surface at every point.

Definitions

  1. Strike. the orientation of the horizontal line within a plane. While there are an infinite number of horizontal lines within a plane, they will all be parallel and share the same orientation. For a horizontal plane, strike is undefined.
  2. Dip direction: The dip direction will be orthogonal to the strike direction. Water will flow down the plane in this direction.
  3. Apparent dip: if you attempt to measure dip and are not orthogonal to the strike direction, the measured value will be smaller, and can even appear to be horizontal
  4. Dip: steepest angle from the horizontal of a plane. A horizontal plane has a dip of 0, and a vertical plane a dip of 90. The larger the dip, the steeper the plane.

Image courtesy Eurico Zimbres, Wikipedia.

Dip and strike formats:

  1. Quadrant N34E 69SE, strike, dip, dip direction. This is the preferred format, at least for traditional field geologists. This takes the end of the line that points northward. The dip direction has to be only approximately correct, since there are only two possible orientations given the strike.
  2. Right hand rule, 34 69, strike, dip; dip direction in 90° clockwise from strike
  3. Right hand rule with override, 34 69 SE, strike, dip, optional dip direction; right hand rule used if omitted
  4. Dip-dip direction, 69 124 or 69 S56E

Last revision 10/10/2022


MICRODEM Relief vs Region

Relief vs Region

On Geomorphometry Analysis form on the Analyze menu. This can be used to pick region sizes for some of the operations.

Right click on map, Geomorphometry

Pick parameter.

Pick region to be analyzed.

Max range (m), or size of the analysis box.

Max point sampling factor: for the current map or Entire DEM, this will determine the number of points used. Processing speed will go up as the square of this.
Inflection points on the graph show the spacing between ridges and valleys, perhaps at several scales.

Last revision 10/20/2017


Structural Geology File Format

These must be in a dBase file, with the fields:

  • Lat
  • Long
  • Orientation, either as
    • Separate DIP & STRIKE fields
    • Single DIPSTRIKE
  • PLOT
  • FEATURE, with a numeric code indicating the type of feature
    • 0= sedimentary bedding
    • 1=joints
    • 2=foliation
    • 3=fault plane

The old option, a file with the extension NET, is no longer supported.

Last revision 2/2/2009


MICRODEM FFT

From the Geomorphometry analysis option of the Analyze menu

This option performs two FFT (Fast Fourier Transform) analyses of the data. It considers the data in both columns and rows, and produces a graph and data table for each.

Modify FFT output.

Review the basics of FFT analysis.

Other methods for determining fractal dimension

Last revision 3/6/2013


Edit DEM Headers

Edit/Display DEM Headers

This window allows you to display or edit DEM headers.

  • To edit, use [image] Data Manipulation form, Edit menu. You should be extremely careful using this option, as errors may cause severe problems and you could be unable to reopen the DEM.
  • To display, use option on analyze menus. The display option disables edit operations.
  • While the DEM is open, you can change the Z units on the Edit Menu.

For lat/long DEMs, unless you have an even spacing in minutes or seconds, use a spacing in decimal degrees.

Projection requires that you link a projection file, created with the Vector maps option and then saved by right clicking on the map The program can automatically create some of these files, for instance for SPCS DEMs. It is probably not working, and will replaced by new options with the EPSG codes. Contact us if you need this capability.

Fields in the header.

last revision 5/5/2018


Picking Grid Size

Selecting a grid size (data spacing) for a DEM involves a number of tradeoffs. The grid size directly determines the number of points, which determines the disk space and memory required to manipulate the data set.

As a rough rule of thumb, there should be a digitized data point for every point that will be in the resulting grid. The program using the DEM will interpolate elevations among the grid points, so there is no point in taking a sparse set of digitized points and creating a very fine grid. The MICRODEM program will not use more than 10 digitized points for each grid point to be derived, so you should not waste effort digitizing too many points.

MICRODEM will support a grid size of (at least) 7201x7201. The limit for interpolation is probably 64,000 digitized points. If these limits present problems, digitize in smaller blocks and then attempt to merge the resulting DEM together.

Last revision 12/24/2009


DEM interpolation from XYZ triples

DEM Interpolation from ASCII XYZ Triples

DEM creation must be done in an old DOS version of the program, which you might be able to find on the internet. It is not recommended, and is not likely to be fixed any time soon. There is no support for this procedure.

You can digitize from a scanned map in the Windows version of the program.

Last revision 2/22/2002


Subset Drainage Basin

(may not work properly; use with caution)

This option allows you to subset a DEM into component drainage basins. You access this procedure from the data manipulation option of the File menu; it appears under the Subset main menu choice.

You select the DEM, and then select points one at a time to start the basin delineation. All neighbors of the selected point at either the same or a higher point are included in the basin and flagged for later checking; expansion ends when all flagged points have been added and checked for uphill neighbors not yet in the basin. Points added to the drainage basin will be shown in white.

You can save the DEM with the save option under the file menu. You can save either the masked points in white, or the unmasked points, to a new DEM. Saving will end the basin delineation

Last revision 3/30/2004


Beta Diagrams

For a beta diagram, the number of intersections (and execution time) rises dramatically with the number of planes.

    Number of    Number of     Number of   Number of
    Planes    Intersections    Planes    Intersections
-------------------------------------------------------
       5          10             100       4,950
      10          45             150      11,175
      25         300             200      19,900
      50        1225             250      31,125
      75        2775
Last revision 11/26/99


DEM Creation Files

Files used for creation and editing of a DEM, with each having the name of the quadrangle:

  • *.XYZ, an ASCII text file with one point per line, and values separated with blank spaces and not tabs.
  • *.XYB, a binary file containing the xyz triples. The X and Y coordinates are of type single (4 bytes each, accurate to 7-8 significant digits), and the Z elevation is an integer (2 bytes). Thus each data point requires 10 bytes. The *.XYI and *.XYM files can be created from this file. The indexing scheme limits the size of this file to 64000 points.
  • *.XYI, an index file to the locations of digitized data points. This file has the same size as the grid that will be created for the DEM, and contains one integer per grid node. A zero value indicates no data points surrounding the grid node, while a positive value points to the record in the *.XYB file containing the digitized xyz triple (since the file actually starts with record 0, the program code must adjust when it seeks a particular record). A negative entry indicates multiple digitized points corresponding to a single grid note, and it points to the *.XYM file that in turn points to the digitized points. This file requires two bytes per grid node; it is the same size at the eventual DEM.
  • *.XYM, a file pointing to the digitized points where multiple points are found in the bin surrounding a single grid node. The maximum number of such points is currently limited to 10; if even this number of points are digitized for each grid value desired, the scale of the DEM should be increased because the multiple points are not adding any information. This file contains records consisting of an integer with the number of points, and an integer containing the record number in the *.XYB file of each point in the bin. This file requires 22 bytes per bin with multiple data points; the number of multiple data point bins depends on the digitization but will be less that half the number of digitized points. Efficient digitization would minimize the size of this file.
  • *.TIE, a binary file containing the coordinate transformation matrix between a scanned map image and UTM coordinates.
  • *.XY, an ASCII file with the coordinates of the three control points on the TIFF file, with the coordinates in the TIFF image first and then the UTM coordinates.
  • *.HDR, the standard MICRODEM header, created at the start of the digitization process. This is required for datum initialization and UTM coordinate conversions.
  • *.DEM, the standard data file, created when the grid interpolation is performed and modified during the edit process.
  • Indexing of the data set from an original ASCII file requires a great deal of CPU time and disk access because of the number of random file accesses. This operation can be greatly speeded up by using a large RAM disk provided that you verify beforehand that sufficient disk space is available, and then save the resulting file to a permanent medium after you exit MICRODEM. On the other hand, throwing lots of firepower (like a 486 or a Pentium) may also provide acceptable results.

Editing of the digitized data set corrects all the associated files. Heavy editing can increase the size of the *.XYB file, because deleted entries are zeroed out but still take up an entry. They can be recognized by all zero values, the index files no longer point to them, and they will not affect the use of the data files. The file can be corrected by converting it to an ASCII file and then reindexing if desired.

DEM creation must be done in an old DOS version of the program, which you might be able to find on the internet. It is not recommended, and is not likely to be fixed any time soon. There is no support for this procedure.

You can digitize from a scanned map in the Windows version of the program.


Topo fabric options

Topo Fabric Overlay

Access from Calculate, Topographic Grain menu when active map window has associated DEM

Modify topographic grain overlay display and wavelength/height:
Plot: erases any overlays, and draws New base map: save current map so you can have several different overlays (for instance different region sizes, each with a different color) OK--done Cancel Help

Organization Tab

  • Point separation: the distance between points at which the grain will be calculated.
  • Region size: the size of the blocks over which the fabric will be calculated. Do not make this region too small or you will not get reasonable statistics.
  • Sampling increment: speeds up computation by not using every point in the sampling block.
  • Amplitude distance
  • Min points for SSO: requires this many points for statistical validity.
  • Organization cutoff: less organized points will not be plotted. The larger the value selected, the fewer points will be plotted.
  • Flatness cutoff: flatter points will not be plotted. The larger the value selected, the more points will be plotted, but they might be subject to random noise. The appropriate value depends in part of the scale of the DEM and the relief in the region.
  • Length multiple: scaling factor for length of fabric vectors when they are plotted. This is an integer by which the topographic strength will be multiplied, and the result will be the length in pixels of the vectors.
  • Fabric: color and line width
  • Force redraw: using new cutoffs, length multiple, or fabric line style.
  • Plot fabric: compute and plot relief slope inflection
Wavelength tab
  • Dune detection parameters
Inflection create map with locations on the map, and inflection distance, and the height.

Best results on Contour map or grayscale reflectance map.

The lines point in the dominant direction of the ridges/valleys. The length of the lines reflects how strongly the orientations favor the dominant direction.

Regions with no vectors do not meet the flatness cutoff--they are too flat.

Aspect rose diagram: directions of organization vector, created from database (Stats button on table display window ). The vectors have a 360 degree distribution because they use the downhill direction, and
  • one side of the ridges can be steeper than the other, leading to fewer points on that side
  • region might not include both sides of the ridge.
  • Theory of topographic grain.
  • Detailed discussion of method.
  • Terrain organization references.
  • Option to create from the command line

Last revision 11/28/2014


MICRODEM Download Statistics

MICRODEM Early Download Statistics

Download locations for MICRODEM in March 2011. It is no longer easy to get free IP geocoding.

Month | Full MICRODEM installation | MICRODEM 32 bit EXE only | MICRODEM Help only | MD-64 bit EXE only | ianMD apk | Comments
Sept 2021 | 891 |  | 89 | 297 | 2 |
Aug 2021 | 1072 |  | 119 | 494 | 18 |
July 2021 | 985 |  | 110 | 682 | 8 |
June 2021 | 798 |  | 143 | 753 | 6 |
May 2021 | 1010 |  | 148 | 698 | 32 |
April 2021 | 1120 |  | 161 | 588 | 37 |
March 2021 | 1266 |  | 215 | 936 | 33 |
Feb 2021 | 1146 |  | 157 | 423 | 46 |
Jan 2021 | 1680 |  | 187 | 550 | 38 |
Dec 2020 | 1430 |  | 165 | 573 | 49 |
Nov 2020 | 1392 |  | 240 | 1100 | 20 |
Oct 2020 | 1292 |  | 128 | 451 | 4 |
Sept 2020 | 937 |  | 119 | 326 | 9 |
Aug 2020 | 1018 |  | 167 | 536 | 11 |
July 2020 | 1089 |  | 178 | 297 | 5 |
June 2020 | 1168 |  | 212 | 422 | 5 | EXE only includes EXE and compressed self-installer
May 2020 | 1548 |  | 263 | 269 | 8 | Move to 7Z-SFX installer, with same name and download location
April 2020 | 1718 |  | 235 | 257 | 11 |
March 2020 | 1304 |  | 157 | 217 | 1 |
Feb 2020 | 1177 |  | 198 | 161 | 4 |
Jan 2020 | 1155 |  | 140 | 175 | 15 |
Dec 2019 | 1034 |  | 90 | 138 | 4 |
Nov 2019 | 1036 |  | 115 | 251 | 3 |
Oct 2019 | 1175 |  | 122 | 200 | 4 |
Sept 2019 | 1056 |  | 107 | 157 | 7 |
Aug 2019 | 1323 |  | 133 | 203 | 9 |
July 2019 | 1312 |  | 143 | 187 | 13 |
June 2019 | 1268 |  | 129 | 169 | 12 |
May 2019 | 1270 |  | 114 | 152 | 4 |
April 2019 | 1377 |  | 130 | 354 | 2 |
March 2019 | 1455 |  | 134 | 318 | 8 |
Feb 2019 | 1323 |  | 127 | 327 | 2 |
Jan 2019 | 1611 |  | 219 | 546 | 2 |
Dec 2018 | 1200 |  | 152 | 823 | 7 |
Nov 2018 | 1063 |  | 122 | 721 | 4 |
Oct 2018 | 1366 |  | 245 | 904 | 7 |
Sept 2018 | 1195 |  | 226 | 865 | 13 |
Aug 2018 | 1183 |  | 296 | 1032 | 15 |
July 2018 | 1225 |  | 297 | 885 | 15 |
June 2018 | 1207 |  | 266 | 784 | 11 |
May 2018 | 1163 |  | 331 | 848 | 16 |
April 2018 | 1231 |  | 380 | 783 | 19 |
Mar 2018 | 1434 |  | 407 | 1020 | 12 |
Feb 2018 | 1316 |  | 345 | 916 | 3 |
Jan 2018 | 1581 |  | 503 | 1068 | 5 |
Dec 2017 | 1548 |  | 396 | 814 | 2 |
Nov 2017 | 1409 |  | 448 | 985 | 4 |
Oct 2017 | 1639 |  | 461 | 1088 | 4 |
Sept 2017 | 1359 |  | 314 | 831 | 4 |
Aug 2017 | 1601 |  | 378 | 931 | 100 |
July 2017 | 1664 |  | 421 | 1012 | 107 |
June 2017 | 1520 |  | 357 | 1045 | 78 |
May 2017 | 1606 |  | 453 | 952 | 99 |
April 2017 | 1721 |  | 430 | 978 | 92 |
Mar 2017 | 1657 |  | 394 | 1055 | 78 |
Feb 2017 | 1931 | 35 | 491 | 1246 | 88 | Ended support for 32 bit version, except limited support in Morocco form Oct 2017 to Feb 2018
Jan 2017 | 2232 | 73 | 635 | 1353 | 88 |
Dec 2016 | 1675 | 59 | 548 | 1037 | 81 |
Nov 2016 | 2041 | 88 | 548 | 1409 | 99 |
Oct 2016 | 2077 | 63 | 593 | 1377 | 98 |
Sept 2016 | 1962 | 76 | 521 | 1286 | 101 |
Aug 2016 | 1878 | 65 | 446 | 1138 | 89 |
July 2016 | 2142 | 32 | 416 | 1017 | 94 | New logs (move to https on server)
June 2016 | 2183 | 38 | 463 | 1175 | 15 |
May 2016 | 2537 | 52 | 520 | 1901 | 3 |
April 2016 | 2833 | 65 | 1377 | 1591 | 2 |
Mar 2016 | 3676 | 70 | 621 | 1635 | 2 |
Feb 2016 | 2527 | 61 | 702 | 3733 | 6 |
Jan 2016 | 2468 | 55 | 683 | 3661 | 19 |
Dec 2015 | 2465 |  | 602 | 2524 | 74 |
Nov 2015 | 2347 | 61 | 643 | 2819 | 23 |
Oct 2015 | 2737 | 75 | 738 | 2059 | 48 |
Sept 2015 | 2113 | 125 | 670 | 2159 |  |
Aug 2015 | 2281 | 489 | 1329 | 4169 |  |
July 2015 | 4121 | 701 | 1045 | 1821 |  | Changed naming of 32 and 64 bit
June 2015 | 5331 | 517 | 967 | 3360 |  | New logs; Counts all results with a " 200 " code
June 2015 | 3183 | 387 | 768 | 1775 |  | New logs; Counts all unique IP address/date combinations
May 2015 | 3250 | 492 | 869 | 1732 |  |
April 2015 | 4075 | 585 | 1033 | 2263 |  |
Mar 2015 | 4955 | 613 | 1192 | 2876 |  |
Feb 2015 | 4079 | 685 | 1036 | 2371 |  |
Jan 2015 | 3859 | 944 | 983 | 1888 |  |
Dec 2014 | 3820 | 803 | 970 | 2137 |  |
Nov 2014 | 4017 | 646 | 1277 | 2081 |  |
Oct 2014 | 3917 | 595 | 1152 | 2181 |  |
Sept 2014 | 3276 | 1053 | 1079 | 1490 |  |
Aug 2014 | 2435 | 1338 | 1398 | 380 |  |
July 2014 | 2046 | 1506 | 1490 | 34 |  |
June 2014 | 1999 | 1235 | 964 | 33 |  |
May 2014 | 2207 | 1151 | 1145 | 44 |  |
April 2014 | 2260 | 1276 | 1289 | 25 |  |
Mar 2014 | 3096 | 1368 | 1809 | 21 |  |
Feb 2014 | 2085 | 1298 | 1384 | 19 |  |
Jan 2014 | 2505 | 1327 | 1379 | 41 |  |
Dec 2013 | 3252 | 1015 | 849 | 26 |  |
Nov 2013 | 3049 | 1054 | 843 | 76 |  |
Oct 2013 | 2797 | 1122 | 1314 | 54 |  |
Sept 2013 | 2212 | 1039 | 1037 | 59 |  |
Aug 2013 | 3729 | 1211 | 371 | 69 |  |
July 2014 | 2123 | 963 | 1728 | 51 |  |
June 2013 | 2027 | 937 | 1044 | 46 |  |
May 2013 | 2271 | 991 | 1636 | 67 |  |
April 2013 | 3589 | 1187 | 1093 | 494 |  |
March 2013 | 3852 | 1205 | 437 | 163 |  |
Feb 2013 | 2696 | 1261 | 558 | ? |  |
Jan 2013 | 1946 | 1165 | 505 | ? |  |
Dec 2012 | 1750 | 950 | 305 | 204 |  |
Nov 2012 | 1650 | 1006 | 356 | 39 |  |
Oct 2012 | 1821 | 981 | 368 |  |  |
Sept 2012 | 1568 | 650 | 338 |  |  |
Aug 2012 | 1848 | 550 | 274 |  |  |
July 2012 | 1805 | 468 | 253 |  |  |
June 2012 | 1718 | 459 | 263 |  |  |
May 2012 | 1774 | 477 | 303 |  |  |
April 2012 | 1817 | 553 | 274 |  |  |
March 2012 | 1965 | 582 | 281 |  |  |
Feb 2012 | 1926 | 610 | 332 |  |  |
Jan 2012 | 2183 | 586 | 294 |  |  |
Dec 2011 | 1551 | 617 | 297 |  |  |
Nov 2011 | 1654 | 669 | 366 |  |  |
Oct 2011 | 1740 | 540 | 283 |  |  |
Sept 2011 | 1436 | 569 | 292 |  |  |
Aug 2011 | 1620 | 518 | 233 |  |  |
July 2011 | 1500 | 431 | 207 |  |  |
June 2011 | 1503 | 460 | 214 |  |  |
May 2011 | 1650 | 432 | 217 |  |  |
April 2011 | 1653 | 538 | 269 |  |  |
March 2011 | 1816 | 605 | 320 |  |  |
Feb 2011 | 1791 | 507 | 295 |  |  |
Jan 2011 | 1862 | 523 | 262 |  |  |
Dec 2010 | 1506 | 559 | 356 |  |  |
Nov 2010 | 1708 | 516 | 240 |  |  |
Oct 2010 | 1628 | 522 | 278 |  |  |
Sept 2010 | 1529 | 513 | 235 |  |  |
Aug 2010 | 1624 | 581 | 259 |  |  |
July 2010 | 1729 | 510 | 244 |  |  |
June 2010 | 1562 | 549 | 269 |  |  |
May 2010 | 1588 | 595 | 321 |  |  |
April 2010 | 1622 | 577 | 358 |  |  |
Mar 2010 | 1851 | 745 | 421 |  |  |
Feb 2010 | 1600 | 526 | 262 |  |  |
Jan 2010 | 1913 | 584 | 320 |  |  |
Dec 2010 | 1490 | 571 | 375 |  |  |
Nov 2009 | 1689 | 640 | 472 |  |  |
Oct 2009 | 1562 | 653 | 440 |  |  |
Sept 2009 | 1505 | 560 | 395 |  |  |
Aug 2009 | 1622 | 620 | 354 |  |  |
July 2009 | 1592 | 576 | 312 |  |  |
June 2009 | 1438 | 562 | 341 |  |  |
May 2009 | 1477 | 463 | 352 |  |  |
April 2009 | 1563 | 637 | 416 |  |  |
Mar 2009 | 1802 | 674 | 420 |  |  |
Feb 2009 | 1569 | 761 | 388 |  |  |
Jan 2009 | 1859 | 846 | 469 |  |  |
Dec 2008 | 1311 | 660 | 476 |  |  |
Nov 2008 | 1511 | 823 | 558 |  |  |
Oct 2008 | 1350 | 774 | 556 |  |  |
Sept 2008 | 1310 | 703 | 505 |  |  |
Aug 2008 | 1269 | 657 | 428 |  |  |
July 2008 | 1322 | 644 | 425 |  |  |
June 2008 | 1366 | 669 | 443 |  |  |
May 2008 | 1395 | 666 | 383 |  |  |
April 2008 | 1436 | 803 | 473 |  |  |
Mar 2008 | 1601 | 870 | 553 |  |  |
Feb 2008 | 1584 | 879 | 496 |  |  |
Jan 2008 | 1503 | 831 | 513 |  |  |
Dec 2007 | 1273 | 616 | 440 |  |  |
Nov 2007 | 1363 | 654 | 489 |  |  |
Oct 2007 | 1339 | 578 | 442 |  |  |
Sept 2007 | 1199 | 467 | 373 |  |  |
Aug 2007 | 1221 | 475 | 361 |  |  |
July 2007 | 1230 | 526 | 369 |  |  |
June 2007 | 1240 | 496 | 355 |  |  |
May 2007 | 1312 | 548 | 333 |  |  |
April 2007 | 1192 | 534 | 366 |  |  |
March 2007 | 1259 | 609 | 435 |  |  |
Feb 2007 | 1196 | 506 | 402 |  |  |
Jan 2007 | 1227 | 603 | 383 |  |  |
Dec 2006 | 1030 | 408 | 331 |  |  |
Nov 2006 | 1173 | 594 | 409 |  |  |
Oct 2006 | 1175 | 625 | 407 |  |  |
Sept 2006 | 1158 | 580 |  |  |  |
Aug 2006 | 1230 | 612 | 432 |  |  |
July 2006 | 1128 | 429 | 295 |  |  |
June 2006 | 1139 | 627 | 425 |  |  |
May 2006 | 1205 | 540 | 471 |  |  |
April 2006 | 1248 | 400 | 403 |  |  |
March 2006 | 1415 | 469 | 454 |  |  |
Feb 2006 | 1222 | 365 | 285 |  |  |
Jan 2006 | 1236 | 428 | 312 |  |  |
Dec 2005 | 1134 | 391 | 272 |  |  |
Nov 2005 | 1253 | 370 | 330 |  |  |
Oct 2005 | 1197 | 376 | 290 |  |  |
Sept 2005 | 1178 | 391 | 270 |  |  |
Aug 2005 | 1217 | 381 | 257 |  |  |
July 2005 | 1179 | 355 | 280 |  |  |
June 2005 | 1264 | 375 | 255 |  |  |
May 2005 | 1321 | 393 | 290 |  |  |
April 2005 | 1359 | 484 | 260 |  |  |
Mar 2005 | 1593 | 514 | 289 |  |  |
Feb 2005 | 1319 | 512 | 311 |  |  |
Jan 2005 | 1340 | 550 | 295 |  |  |
Dec 2004 | 1178 | 462 | 231 |  |  |
Nov 2004 | 1335 | 437 | 277 |  |  |
Oct 2004 | 993 | 351 | 214 |  |  |
Sept 2004 | 1215 | 426 | 237 |  |  |
Aug 2004 | 1220 | 384 | 209 |  |  |
July 2004 | 1281 | 323 | 237 |  |  |
June 2004 | 1263 | 446 | 255 |  |  |
May 2004 | 1264 | 441 | 237 |  |  |
April 2004 | 1464 | 540 | 269 |  |  |
Mar 2004 | 1704 | 554 | 266 |  |  |
Feb 2004 | 1479 | 506 | 280 |  |  |
Jan 2004 | 1562 | 582 | 306 |  |  |
Dec 2003 | 1386 | 429 | 252 |  |  |
Nov 2003 | 1378 | 503 | 284 |  |  |
Oct 2003 | 1425 | 549 | 253 |  |  |
Sept 2003 | 1371 | 540 | 236 |  |  |
Aug 2003 | 1293 |  |  |  |  |
July 2003 | 1546 |  |  |  |  |
June 2003 | 1228 |  |  |  |  |
May 2003 | 1501 |  |  |  |  |
April 2003 | 1755 |  |  |  |  |
Mar 2003 | 2460 |  |  |  |  |
Feb 2003 | 2438 |  |  |  |  |
Jan 2003 | 2296 |  |  |  |  |

How to lie with statistics.

  • In the summer of 2003, USNA changed its method of compiling web reports. Several of the last reports were not consistent (swings between 600 and 5000 downloads). Our stats no longer showed up in the very abbreviated list of file downloads (dominated by calendars and the mess hall menu), so we now do our own reports with the raw web logs. Because each download of the Microdem installation program requires between 1-6 "GET" commands to the server, we have decided to count one download as a distinctive IP address on a single day.
  • In June 2015, USNA changed the web server. The logs no longer record the IP address of the original requestor. As a result, we have changed the count. Every request for a file that includes the " 200 " code for success in the log is now counted.

Last revision 7/30/2016


How MICRODEM Handles Datums

A DEM's header record indicates the datum upon which it was digitized. These choices are geared toward US data, using either NAD or WGS, and will provide the greatest flexibility for datum shifts and display of dual datums. The options for digitizing datum:

  • WGS72
  • WGS84
  • NAD27
  • NAD83
  • Spherical
  • Local--in this case you must be sure to select the correct datum for the map display, as the program will not perform a datum transformation, but will corrrectly translate between UTM coordinates and lat/long.
  • Rectangular--no chance to convert the coordinates to lat/long

When the program displays coordinates, it will display using the primary (and optionally the secondary) datum you have selected, which do not have to be the digitizing datum. Thus the datum on which the DEM was created can be completely hidden to users.

If you export as

  • ASCII DEM, it will use your primary display datum--this means you might be getting a datum transformation and not the original grid locations. The ASCII file does not indicate its datum.
  • DTED, the datum will be transformed to WGS84. This is both explicitly listed in the file and implicit in the DTED specs.

Last revision 6/13/2000


MICRODEM versions

The Program tab on the options form lets you select a number of subsets, with simpler menus, and access to labs and data downloads:

  • Regular (or Expert)--the default
  • Geology--geological oceanography
  • Physical geography
  • Remote sensing
  • DragonPlot--fire towers with Osborne fire finder

Greater customization is on the on the Menu settings button of the Program tab on the options form.

Last revision 1/6/2022


MICRODEM

From PETMAR Trilobite Breeding Ranch

MICRODEM has many options, some of which you may not need. You may turn off the least used options on the Menu settings button of the Program tab of the options form. In my opinion, all options are related, and putting them into one program eliminates the overhead of many small individual programs. I am a geologist and an educator, and that flavors my interpretation of what should be in the program. The options present are here for one of the following reasons:

  • Someone funded me to incorporate them.
  • They were necessary or useful for my research into the characteristics and geologic applications of DEMs.
  • They helped in one of the courses I teach.
  • They were fun.

I will consider adding other functions, but they must fit one of these categories, and the higher up on the list, the more likely I will do the work.

Last revised 2/14/2016


Migration Over Time

Choice on Raster GIS menu, migration over time submenu. This is designed for sequential time surveys of features like dunes.

  • Grid migration (optimal lag), best correlation
  • Feature migration, grids with area IDS
  • Feature migration, grids with linear features

Last revision 6/10/2019


Military True Type Fonts

You must have the military TrueType™ fonts from Major Tom Mouat (www.mapsymbs.com) installed; they should be automatically installed with this program. The fonts are used with his permission. Should he update the fonts, the program should be able to run correctly after you install the new versions. If he adds new fonts, and significantly changes them, the MICRODEM program will have to be modified. This takes advantage of the zero-width characters in his fonts. You can use any other font, but unless it follows the same conventions as his fonts, the symbol color fill and unit size will not work (so just don't try to use them).

You can check for the fonts using the Fonts option in Control Panel, where you can see them listed.

If they are present, you have access to the Military icon generator

last revised 3/19/2010


Missing Data Blocks LOS

The map on the top shows an area in the French Alps from the SRTM-3 data set. Note the holes.

The middle profile shows the predicted results if you can see through the hole. Given the shape of the profile in this case, there is probably intervisibility because the void looks like the west side of a very steep valley.

The bottom profile shows the "conservative" result, with the void blocking intervisibility.

You can select the option you want on:

  • LOS options selection form.
  • LOS/Fan algorithms option form.

The selected value applies both to LOS and viewsheds.

Last revision 7/16/2008


Missing Data on Maps

Because of the importance of dealing with missing data, GIS programs have a special missing or no data category.

Dealing with missing elevations can use two approaches:

  • Set the color with which to display it on maps. This approach keeps the elevations as missing data, so they should be ignored for display and analysis purposes. This may lead to anomalies over the ocean in some processing steps. This can be set on the Maps tab of the options form, or on the Modify menu.
  • Turn it all to sea level, on Import/Export tab of the options form. This can lead to anomalies if you export the data, if the missing data is not sea level. This works in some cases, but it's intended when you are doing imports or merges, and not for MICRODEM data sets which are assumed to have had this already taken care of.

There is a DEM Holes submenu on the Edit menu with various ways to fill the holes.

Holes will have a greater impact on Reflectance maps or Slope maps, which require a neighborhood with eight neighbors surrounding the point (focal operations). For those maps, with a lot of holes, you might be better to use an Elevation map where a hole will affect only a single point.

MICRODEM uses the MaxInt value (32767) to mark missing data, for both integer and floating point data sets. Other data sets have different startands; often a number of 9's marks mimssing data.

Last revision 8/26/2023


Mark Land Cover Categories as Missing

This can be slow. A faster option is described under NLCD manipulation.

Menu choice on the Edit menu available with a DEM available for the active map window.

Pick NLCD-2001 for the area.

  • Select terrain categories to use for the exclusion. These will be deleted.
  • If you have a very large DEM, pick a zoom factor. 100%, for a 1:1 map view , will give the best results, but could lead to insufficient memory problems.
  • Pick a mask size, in pixels. This is to insure that there is a buffer around features, and all of the features are masked. This could be required due to rounding errors in the reprojection from the conical projection of NLCD to whatever projection your DEM uses, or if the DEM and NLCD had different resolutions.

The program will mask the selected NLCD categories on the map, and then remove them from the DEM.

Manually save DEM.

 SRTM DEM with Tiger data overlaid. This is SRTM-1, so there are some data voids.

NLCD-2001 of approximately the same area. It does not match exactly because of projection differences.
Selection of terrain categories to mask. Categories in the enable box will be marked missing in the grid.

Results of masking--missing data shown in black.

Last revision 8/23/2009


Modify Map Area

  • Full data set-- Zoom out to show entire data set.
  • Subset (graphical) & zoom. Pick the NW corner of your area of interest with a left mouse click, and then drag to the SE corner. Once you release the left mouse button the newly defined area of the map will be displayed at a larger scale. This can avoid scroll bars, or running out of memory.
  • Undoes last graphical resize.
  • Zoom in--makes map larger with same coverage area. Enter desired zoom factor, or accept the default 2X (200%) setting, then click on the OK button to redraw the screen at the larger scale. The map will get larger, and scroll bars may appear if it does not fit the current screen size. At some point you will run out of memory.
  • 1:1 view : (best resolution view of the data)
  • Zoom out--makes map smaller with same coverage area. Enter the desired zoom factor, or accept the default 2X (200%) setting, then click on the OK button to redraw the screen at the smaller scale. The map will get smaller.
  • Custom zoom: pick zoom factor.
  • Custom image size--set map size in pixels. The final result will be the largest map that preserves the aspect ratio and fits within your selection.
  • Keyboard corners--pick the NW and SE corners of the grid, and the map will zoom to that extent. You can also pick in terms of the extent of the display in terms of the data grid.
  • Set map pixel size--set map pixel size in meters.

This popup is invoked by Modify menu choice on Map child window or by right click on the map window. The most important choices are also available with buttons on the map toolbar

Last revision 7/24/2015


Modify DEM with Shape File

  • Open DEM
  • 1:1 view only those points on the screen will be modified, so the pixel size must be less than the data spacing.
  • Open shapefile database:
  • Filter database so the points you want are colored, and displayed in a color not otherwise used on the map. If you pick a reflectance map, bright red is a good choice.

You now have two choices:

  • "Edit, Mark as missing, Selected color" will make all points in the specified color missing data. This option will work with multiple records simultaneously.
  • "Edit, Flatten lake" will ask you for an elevation, and then put all points in that color at that elevation. This option should probably only be used for a single record in the shape file at a time.

last revision 12/31/2006


Modify FFT

The fft button on the power spectrum graph lets you modify the fft.

Set options for the fft. Most of the defaults should be correct; you might want to change:
  • Period or frequency
  • The size of the bins (by default they are 1)
  • The units for the time bins.

The same graph, with the period set to 6 sec, and shown with both frequency and period. You can adjust the range of the axes by right clicking on the graph.

Last revision 2/8/2008


WorldView Snapshots

There is near complete daily coverage, with some gaps near the equator. If there is a gap in your region, pick the day before or after.

  • Connect to https://wvs.earthdata.nasa.gov/
  • Zoom in on the map
  • Outline your area using the button to the right on the NE corner of the map
  • Geographic projection
  • Select imagery (if you want to look at false colors, click the "i" button for an explanation)
    • Terra (1030 local time overpass) or Aqua (1330 local time) MODIS true color (corrected reflectance). This archive goes back over 20 years.
    • Suomi NPP VIIRS (1330 local time), has a night lights (0130 local time) option, which can be very informative. This archive goes back to 2015
    • NOPAA 20 VIIRS (1420 local time) goes back to 2020
  • You can overlay boundaries, roads, coasts, and detected fires if desired
  • Format (you must change this if want to download for use in GIS)
    • Geotiff is the best option (requires GDAL).
    • PNG plus world file: you will have to unzip the download file to get the files you need.
  • Pick resolution. (2 km, 1 km, 500 m, and 250 m) The web site will tell you the size of the download. You would like to see the full 250 m resolution and some context of the surrounding region, so aim for 1000x1000 to 2000x2000 pixels. If necessary adjust the coverage area to make it smaller. If you want to see the big picture, use one of the larger resolutions.
  • Turn off Autoscale
  • Preview
    • Cycle forward/backward by date to get a cloud free image, and one without gaps. If you have a really cloudy area, it can be very difficult to get cloud free coverage.
    • For use in GIS, Download image, and Unzip

Use in GIS:

  • New image to open the file, picking the world file (PGW).
  • Open database (shapefile) to overlay boundaries, roads, or other databases.
MODIS Terra imagery at 500 m resolution (displayed with 1200 m resolution).

Roads and boundaries overlaid, in MICRODEM, where you add any information the same way you do with any other map.

Last revision 1/15/2021


Moire Patterns

To avoid gaps in the view as you move in (the Moire patterns can have a certain charm), insure the map is as large as possible before creating the 3D view.

last revision11/2/2017


Calculate Moment Statistics

On Geostatistical analysis option of Analyze option of Main Program Menu. This will produce results for all open DEMs.

For all open DEMs, or select a single DEM.

Moments of elevation, slope, or the two curvatures.

Graphs (histograms).

Histograms can do the raw numerical count, or standardized so that is it easier to compare DEMs with different spacing and absolute number of points.

Text summary Moment statistics, MONTANA2.TIF

Elevation

  • Average= 1321.60
  • Average dev= 254.13
  • Standard dev= 292.33
  • Skewness= 0.5506
  • Curtosis= -0.8465

n=1493400

DEM subsampling, factor of 3

Moments Definitions

Last revision 8/22/2009


Moment Statistics

Moments are a set of statistical parameters to measure a distribution. Four moments are commonly used:

  • 1st, Mean: the average
  • 2d, Variance:
    • Standard deviation is the square root of the variance: an indication of how closely the values are spread about the mean. A small standard deviation means the values are all similar. If the distribution is normal, 63% of the values will be within 1 standard deviation.
  • 3d, Skewness: measure the asymmetry of a distribution about its peak; it is a number that describes the shape of the distribution.
    • It is often approximated by Skew = (Mean - Median) / (Std dev).
    • If skewness is positive, the mean is bigger than the median and the distribution has a large tail of high values.
    • If skewness is negative, the mean is smaller than the median and the distribution has a large tail of small values.
  • 4th: Kurtosis: measures the peakedness or flatness of a distribution.
    • Positive kurtosis indicates a thin pointed distribution.
    • Negative kurtosis indicates a broad flat distribution.

Higher moments tend to be less robust. Press and others (1986, p.457) recommend that skewness and kurtosis be used "with caution or, better yet, not at all".

Related statistics for distributions:

  • Average Deviation or mean absolute deviation: 1 / N * (sum(abs(value-mean))) This is a more robust estimate of the width of the distribution (Press and others, Numerical Recipes, 1986, Cambridge University Press)
  • MAE, or mean absolute error: sum(abs(value))/N
  • RMSE, or root mean square error: sqrt(sum(sqr(value))/N)

Computing Moments in MICRODEM

Last revision 2/25/2022


Monthly Wind Plots

Climate options to open the winds database.

  • Double clicking on a record in the data base
  • right click on the map, then Physical geography, then Monthly winds
Jan-Dec plot as 1 to 12.

Annual vector average is month 15 on the right.

Vectors point in the direction of the wind, which is not necessarily the meteorology convention.

To get a text file with the data display, Analyze graph, View data menu choice. You will have columns with month, direction, and wind speed.

This database has records every 2.5º, so you will get broad regional averages.

Last revision 8/21/2018


Monthly Climate Graph

  • Right click on the map, then Physical geography, then Monthly climate graph at point.
  • You must have loaded the data for Monthly climate parameters.
  • To get a text file with the data display, Analyze graph, View data menu choice. You will have columns with x and y, month versus the parameter.

Last revision 9/22/2018


Monthly Climate Grids

Monthly Climate Grids and Databases

MICRODEM can automatically install these data bases.

Parameters | Format | Resolution | Time Period | Original Source Website | Manipulations of data for use in MICRODEM | Reference
Reference Evapotranspiration | Geotiff raster | 10 arc minutes | 1961-1990 | FAO | Converted to Geotiff Converted to mm/month | Allen, Richard & Pereira, L & Raes, D & Smith, M. (1998). Crop evapotranspiration - Guidelines for computing crop water requirements: FAO Irrigation and drainage paper No. 56. Rome: Food and Agriculture Organization of the United Nations. 56. 26-40.
Solar radiation (kJ m-2 day-1) Precipitation Temperatures Wind speed | Geotiff raster | 30 arc seconds to 10 arc minutes | 1970-2000 | Worldclim.org | Rewrote Geotiff with GDAL Replaced 0 for missing data Converted to MICRODEM grid format | Fick, S.E. and R.J. Hijmans, 2017. Worldclim 2: New 1-km spatial resolution climate surfaces for global land areas. International Journal of Climatology.Volume37, Issue12, pages 4302-4315. https://doi.org/10.1002/joc.5086
NCEP/NCAR Reanalysis wind vectors | DBF database | 2.5 degrees |  | NCEP/NCAR |  | Kalnay et al., 1996, The NCEP/NCAR 40-year reanalysis project, Bull. Amer. Meteor. Soc., 77, 437-470.
Ocean currents Sea surface temperature | DBF database | 0.1 degrees |  | aoml.noaa | Split into monthly databases Renamed velocity components Added speed | Laurindo, L., A. Mariano, and R. Lumpkin, 2017: An improved near-surface velocity climatology for the global ocean from drifter observations Deep-Sea Res. I, 124, pp.73-92, doi:10.1016/j.dsr.2017.04.009 .
Tornadoes | Shapefile |  | 1950-2018 | spc.noaa.gov |  |
Hurricanes | Shapefiles |  | 1842-2020 | https://www.ncdc.noaa.gov/ibtracs/index.php?name=wmo-formats | Removed less useful fields from the data base | Schreck III, C. J., K. R. Knapp, and J. P. Kossin, 2014: The Impact of Best Track Discrepancies on Global Tropical Cyclone Climatologies using IBTrACS Monthly Weather Review, 142, 3881-3899. doi:10.1175/MWR-D-14-00021.1

A database ("c:\microdem\monthly_climate_grids_vNNN.dbf ") containing file names and parameters controls the manipulation of these data sets.

Last revision 11/28/2020


Monthly Ocean Currents

Map with monthly climate parameters

The data is very dense; you will probably want to subset the map, or thin before plotting vectors.

Data from:

  • http://www.aoml.noaa.gov/phod/dac/dac_meanvel.php currents in ocean, monthly and mean
  • Laurindo, L., A. Mariano, and R. Lumpkin, 2017: An improved near-surface velocity climatology for the global ocean from drifter observations Deep-Sea Res. I, 124, pp.73-92, doi:10.1016/j.dsr.2017.04.009 .
  • Lumpkin, R. and G. C. Johnson, 2013: Global Ocean Surface Velocities from Drifters: Mean, Variance, ENSO Response, and Seasonal Cycle. Geophys. Res.-Oceans,v.118, pp.2992-3006, doi:10.1002/jgrc.20210. This is the older data set, which was much smaller.

Alternatives:

  • Erik van Sebille, Matthew H England, and Gary Froyland, 2012, Origin, dynamics and evolution of ocean garbage patches from observed surface drifters In Environmental Research Letters, volume 7, number 044040. doi:10.1088/1748-9326/7/4/044040.--has a Matlab transitions matrix
  • http://www.adrift.org.au/ for drift of plastic trash, with option to download a CSV file

Last revision 8/4/2018


NASA Monthly Global Images

NASA Monthly Global Images "Blue Marble"

Last revision 11/1/2017


Movie with all Maps

On File menu, Match other maps

On the selected map:

  • Pick the coverage area, map size, and features you want included ( [image] Grid, Legends/marginalia for scale bar, legends, and map name)
  • Pick this option On File menu, Match other maps
  • All other maps will be sized to match this one
  • The maps will be ordered in alphabetical order by the file name. For Landsat time series this will place the maps in rough chronological order
  • The program does not check that your selected region is present on all maps. You can close that map, or edit the movie list of files to remove it

Thumbnails of up to 6 frames appear at the top of the screen.

Animate creates the movie. You only have to select it if you change any settings.
Save GIF: save the animation
Load NEW: Open an MOV file, which is text file with the names of the bitmaps.
Frame delay (msec): how long each frace stays on screen.
Optimize: these will probably not have much effect
Clipboard: disabled, as copying animated GIFs to the clipboard is not relibable.
Reorder: opens the MOV file for edits. This is a text file, and you can add, delete, or move the file names to adjust the order. Use Ctrl-C and Ctrl-V to cut and paste.

The first image in the movie will be the first file in the list.
You can reorder the file names, delete, or add.
The file names can either be absolute, or relative to the MOV file name's location

Last revision 3/6/2023


Movies and animations

Movies & Animations

These links show pages with sample output from MICRODEM, which use the movie player.

Fly through.

Variable opacity merges--combine two images, and use the slider bar to switch from one to the other.

(very low resolution compared to what MICRODEM can do)

Basin flooding--storm surge from Hurricane Isabel

(very low resolution compared to what MICRODEM can do)

Alpha Blending DEM generated Perspective and Oblique Photograph

(very low resolution compared to what MICRODEM can do)
Circle around:
Rotate continents and Plate tectonics movies
Earth rotations on Cartography menu
movie with all open maps

Last revision 12/17/2006


MrSid Imagery

The MrSid format consists of highly compressed imagery in a proprietary format. It may be an orphan at this point, since it has been quite some time since I have seen any data in this format. This format might be losing the battle of the proprietary formats, which would be a nice victory for open formats.

  • MICODEM can view TIF files exported by the free MrSid viewer available from LizardTech. There are versions for Windows, iOS, and Android.
  • GDAL can also convert to Geotiff, and you might be able to use the File, Import, GDAL raster subset to match map extent

Last revision 12/4/2022


Active Fire display with MSI ima

Active Fire display with MSI imagery

  • Landsat
    • https://earthobservatory.nasa.gov/images/145793/strong-gusts-spread-the-kincade-fire?src=nha image combines shortwave-infrared, near-infrared, and green light from Landsat 8 (OLI bands 7-5-4) to better distinguish between burned vegetation (brown) and unburned vegetation (green). The brightest reds are active fire fronts.
    • https://earthobservatory.nasa.gov/images/147324/bobcat-fire-scorches-southern-california?src=nha OLI 7-5-2
    • https://earthobservatory.nasa.gov/images/145605/walker-fire. The Operational Land Imager on Landsat 8 can use a combination of natural color (bands 4-3-2) overlaid with a false-color composite (bands 7-6-2). The false color helps emphasize hot spots and actively burning fires, while distinguishing burned vegetation (brown) from unburned vegetation (green).
    • https://earthobservatory.nasa.gov/images/150945/fires-blaze-through-south-central-chile (OLI bands 6-5-3)
  • For Sentinel-2
    • Bands at 2.20, 1.61, and 0.86 μm displayed in RGB, respectively suggested by Hu and others, 2021: https://doi.org/10.1016/j.jag.2021.102347

Fire temperatures: 1000K for flamng and 600 K for smoldering (Xikun Hu, Yifang Ban, Andrea Nascetti, 2021, Sentinel-2 MSI data for active fire detection in major fire-prone biomes: A multi-criteria approach: International Journal of Applied Earth Observation and Geoinformation, Volume 101, 102347, https://doi.org/10.1016/j.jag.2021.102347 .) Active fires can saturate the SWIR bands.

1200K anf 400K S. S. Kumar & D. P. Roy (2018) Global operational land imager Landsat-8 reflectance-based active fire detection algorithm, International Journal of Digital Earth, 11:2, 154-178, https://doi.org/10.1080/17538947.2017.1391341

Last revision 8/14/2023


Multiple Channel Lidar

Several new lidars use multiple channels, or wavelengths. There are separate lasers, and while they are closely aligned, they each follow a different path, have different locations for the returns, and may have different numbers of returns for the same pulse. Two of the laser channels will be 532 and 1064 nm, those commonly used for bathymetric (532, green) and topographic surveys (1064, NIR), and the third could be 1550 nm.

Water penetration is one of the big reasons for using three channels. In this survey in Florida across a coastal barrier island, there are two areas of open water, seen in the green lines on the left side of the profile. This is the green lidar (532 nm), and is the only one of the three to penetrate into the water. In the left channel, there are some reflections from the surface with the two NIR lasers, but many fewer in the right channel where the water may have acted as a specular reflector for non-nadir returns.

Profiles from two lidar channels:

  • Top is the green channel, 532 nm. There are reflections from both the surface, and the bottom of the water.
  • Bottom is one NIR channel, 1064 nm. There are only reflections from the water surface.

In both cases, this region is probably near nadir, to allow reflections to the instrument directly overhead.

Returns colored by channel in the lidar.

Note the linear tracks for each channel, and the separation between them on the ground. This is an area in coastal swamps in Florida, and in much of this small area, there is only one return per channel for each pulse.

Returns colored by the return number, all three channels intermingled.

  • Green-first
  • Red and Blue subsequent

Compare the pattern of returns from the three channel lidar, with that from repeat surveys with conventional lidar.

Three surveys at different times in New Mexico.

Note the almost random pattern, and that the surveys are clearly not sampling the same location.
View of a single survey from those show above, showing the linear scanning pattern.

The lines of points are not parallel, and the density varies on the very fine scale.

The area on the center left has vegetation, and note the resulting pattern hides the linear trace of the laser because returns come from multiple positions with the canopy, and becasue the scan was away from nadir, this shifts the projections of the returns on the ground.

Two surveys in Pennsylvania, two months apart.

They are roughly parallel, but have different patterns in the density over small regions.

The western portion of the area has water, and the survey shown in red had essentially no returns, while the survey shown in green had returns, but a lower density than on the region to the right. This probably represents different scan angles, and slightly different flight paths.

last revision 6/15/2020


Multiple Fans

Select multiple fans, and then draw them in batch mode which will use multiple cores or processors. (May not be enabled, Oct 2017)

Pick this mode on the bottom of the viewshed parameters form.

Stop selection on the bottom of right-click popup menu.

You will be taken to the fan edit window with the viewshed toolbar.

Last revised 12/17/2009


Multiple Grid Masking

Option on

  • Image analysis menu for imagery
  • Raster GIS for DEMs and other grids.
Select grids.
  • Pick open grids lets you pick from the grids that were previously opened. Selection of this option will clear the current selection.
  • Add single grid: add a grid to the current selection and does not open a map for the grid..
  • Load DEM list. Will clear the current selection. Opens a database with a list of grids, and the min/max for the mask.
  • Save DEM list saves to a database.

Training point statistics: Grid statistics for all grids for each class.

Mask options

Changes added late 6/13/13:

  • Upped grid limit to 7
  • ReqN checkbox. If this is checked, if the point does not match the criteria for that grid, it will not be included in the mask.
  • Save mask: save as a grid. Useful if you do not create a separate mask map (in which case you can use File, Save DEM).

Changes added late 6/11/13:

  • Mask map, which can be:
    • Separate: makes a map with just the mask.
    • Overlaid: overlay on the initial map. This provides context, and reduces screen clutter by not adding another map.
    • Both
  • Grid maps: you can show the map for grids loaded on this form, or save screen clutter and not show them.
  • Save mask for all the grids

Use checkboxes determine if the grid is used or not in the masking. This lets you rapidly see the effect of a single layer.

Lock checkboxes means the min/max will not be changed.

Change min/max. All grids being used and not locked will be entered.

Mask options:

  • Either overwrite each time, or create new masks (which you must be careful to keep track of).
  • The mask can either have the number of matches, or just a single integer code which you can specify.
  • You can specify the minimum number of matches.

Save table (HTML) creates an HTML file and opens it in the browser. This includes all information in the grid..

Last revision 12/3/2015


Multitple Grid Arithmetic

Multitple Grid Arithmetic (Map Algebra)

  • Difference between two grids (entire grid)
  • Difference between two grids (current map area only) When you pick the two DEM, DEM1 - DEM2, DEM1, the first one selected will determine the area used.
  • Difference maps to all other open grids
  • Add multiple grids--add several grids together to create a new grid.
  • Ratio of two grids
  • Multiple Grid statistics--creates DEMs with the number of points averaged, average (mean), standard deviation, median, floor (lowest), ceiling (highest), and envelope thickness.
  • Minimum of two grids
  • Change map: make a new grid with a value of 0 where the two grids are identical, and 1 where where is change. If the original grids are floating point, enter a tolerance to use for the change comparison.
  • Difference elevation, slope, aspect maps: pick two DEMs, and the difference between them for the three parameters plus the vector normals will be computed
  • Grid average/std dev (multiple grid statistics)
  • RMSE

Last revision 2/15/2023


Multiple Grid Statistics

Option on Raster GIS, Multiple grid arithmetic, submenu.

Takes you to Grid tab of Options form which lets you pick the grids to create and how to handle missing data.

Grids you can create, using all the open grids

  • Ceiling: the highest point among the grids
  • Mean: the average point among the grids
  • Median: the point with half the grid values above, and half below. For an odd number of grids, it will be the value in one grid; for an even number of grids, the average between the two middle grids.
  • Floor: the lowest point among the grids
  • Num Pts: the number of grids with a valid value (not missing) at the point
  • Envelope thickness: the difference between the ceiling and floor values. This will show either the change in the grids, or error.
  • Grid with min: the index of the grid that has the lowest value. It must be lower than all other by the specified tolerance.
  • Grid with max: the index of the grid that has the highest value. It must exceed all other by the specified tolerance.

A missing point in one grid can invalidate the result at a pixel, which will also be missing, or if the program can do statistics with those grids which have a value.

The resulting files will have the extent of the active map when you select the option, and will have the same resolution.

Last revised 1/8/2019


Multiple Database Legend

This menu appears when the "Database display" option is selected from the "Database" menu or the pop up menu when you right click.

This shows open databases and the symbology they will use for display.

Pick database to change symbology or not display it.

Use checkbox to turn display on or off. This retains the symbology if you want to return to it.

Use the arrows on the right to change the order of plotting. The databases are plotted from bottom to top.

Those will no symbol shown will not be displayed; pick them to change how they are displayed.

Use the SHP button to load a new Database (shape file).

Last revision 9/9/2008


Multiple File Data Sets

Data Type | Files | Open
BIL DEMS | BIL HDR | BIL file
Gridfloat DEM | FLT HDR | FLT file
Shapefiles | DBF SHP SHX | DBF or SHP file
Imagery with World file | Image file World file | Should be able to open either (names depend on image format)
ADF format grids | Entire directory | "w001001.adf"

Last revision 10/16/2017


Multigrids

This involves a series of grids stored in a single directory, selected by picking the directory.

It is used for:

  • Landsat TM imagery, so that the same code used for operations on DEMs can be used for numerical analysis.
  • Hyperpectral imagery
  • Multi-resolution DEMs, where as series of DEMs covers the save region at different spatial resolutions.

Last revision 5/8/2018


Multiple Monitors

The program works well with multiple monitors. We have used nVidia cards, generally with two monitors of identical resolution but have also worked with 4 monitors (1920 by 1200 each). If you want to quickly expand MICRODEM to fill all 2 or 4 screens, use the "Span all monitors" command on the Window Menu.

We generally run MICRODEM only on a single monitor (either 4K or 1920x1200), and use a second monitor for other options (Google Earth, web browsing, Microsoft Office, the Delphi compiler for development).

The solution might not work (well) if you have an unusual position for monitor 1 (not the upper left), or different monitor sizes. In that case do your own resizing.

Last revision 9/29/2018


3D viewer with multiple maps

File, Graphics with all maps, 3D viewer with multiple maps

This can display up to 5 maps using the 3D viewer. You can only display one at a time, but can rapidly change which is open. Double click to change.

The maps must all cover the same area.

Last revision 1/17/2023


Multiple Profiles

Button on main program toolbar.

Double clicking on each end of the desired profile on one DEM draws a profile with each DEM. Profiles should be perpendicular to the major topographic features like the shoreline, dunes, valleys, and ridges.

LIDAR profiles at different times from Duck, North Carolina. LIDAR coastal data.

LOS Right click options

  • Get legend by right clicking on the profile. Copy the legend to the clipboard, and right click and paste it onto the figure, or keep it separate to paste into Word or PowerPoint.

Results are best if all the grids have similar vertical ranges. If they are greatly different, you will get nearly flat lines at the top and bottom of the diagram.

Last revision 2/14/2019


Poor man

Poor Man's Multithreading

  • Use task manager to insure that a single version of the program does not tax you CPU, RAM, or disk IO. If any one of them is close to 100%, multithreading is not worth it.
  • Copy the program EXE with a different name. It should still be in c:\microdem
  • Open the programs. They will each have their own INI file with the MICRODEM defaults. If you want to load a specialized set, save a customized one and then restore it to the others.

This works on any operation in the program, and does not require rewriting to run in parallel

Last revision 5/5/2019


Multi Direction Hillshade

A number of workers have worked with multi direction hillshades, which average several different sun positions. Improvements will probably be subtle, and unless the terrain itself is the object, and not providing a base map to provide context for other layers, it may not be worth the effort.

Implementation in MICRODEM

  • Bring up the hillshade options
  • Pick the number of directions to average
  • They will share the same elevation for the light
  • One will have the azimuth specified on the form, and the rest will be evenly spaced.

References

  • https://pubs.usgs.gov/of/1992/of92-422/of92-422.pdf (GDAL uses this algorithm)
  • Kennelly, P. and J. Stewart. 2013. General Sky Models for Illuminating Terrains. International Journal of Geographical Information Science. 28(2): 383-406.
  • Terrain Tools Sample v1.1 for ArcGIS: https://www.arcgis.com/home/item.html?id=4b2ea7c5f87d476a8849c804b81667aa 222 MB Python scripts

Last revision 10/26/2017


Multiple Grid Creation

Create with Raster GIS, Create derivative grid, Multiple parameters

Many of the groups compute multiple parameters together, so creating several grids will not significantly increase the time (but will increase the memory requirements):

  • Relief1
  • Relief 2
  • Terrain Fabric
  • Slope/aspect
  • Curvature--use these with caution (maybe even extreme caution). External tools has other options for creating curvature maps.
  • Openness

The moments computation will increase the time required depending on the number of parameters included. It will create up to our grids for mean, standard deviation, skewness, and kurtosis for each parameter. Note the caveats for Curvature.

Several grids require a region size, and the ability to thin the resulting grids. Thinning speeds up the processing, and is a good option for parameters like relief which change slowly.

Create all maps on the lower left creates all the checked maps.

You can alternatively create a database with many of these parameters.

Last revision 3/30/2023


NASA/USGS DEM Downloads

  • Open MICRODEM program
  • Open any map
  • Subset & zoom the map so it covers the area you want for the DEMs. Do not be greedy; this is not a good option for a large area
  • File, import
  • This will open a new tab on your browser for each file
  • Files will be downloaded to your downloads directory
  • You will have to unzip before using
  • DEMs available
    • ASTER GDEM to match this map
    • NASA DEM to match this map
    • SRTM: ought to work but we cannot get it to work, and it would be complicated because there are 6 folders with data. https://e4ftl01.cr.usgs.gov/MEASURES/SRTMGL1.003/2000.02.11/

last revision 6/9/2021


NASA Firms

NASA | LANCE | FIRMS - Active Fire Data

  • Real time: https://earthdata.nasa.gov/earth-observation-data/near-real-time/firms/active-fire-data
  • https://firms.modaps.eosdis.nasa.gov/map/#d:24hrs;@0.0,0.0,4z
  • Archived data: https://firms.modaps.eosdis.nasa.gov/download/
  • Global: http://earthdata.nasa.gov/data/near-real-time-data/firms
  • US/Canada: https://firms.modaps.eosdis.nasa.gov/usfs/

Last revision 8/14/2023


NASA Blue Marble

MICRODEM [image] OpenGL 3D drape of Blue Marble 1 km imagery over DTED level 0.

The NASA site https://visibleearth.nasa.gov/collection/1484/blue-marble has monthly satellite images in several resolutions. It also has a black marble, Night lights image. Note where you save the file.

Get the PNG or JPEG in 5400x2700 or 21600x10800 resolution.

File, Tools Identify directory can create a world file for images of the entire earth, such as this.

Open NASA Blue Marble from main toolbar.

Last revision 7/17/2020


NASADEM

This is a revision of SRTM, filling in holes with the best available other data.

NASA registration and password required

Download Integer version in the HGT format, and the ZIP file contains two additional files which MICRODEM does not use.

  • Hole filled
  • https://search.earthdata.nasa.gov/search?q=C1546314043-LPDAAC_ECS
  • For small areas to cover an open map, File, Import, NASA DEM to match this map

LP DAAC - NASADEM_SHHP (usgs.gov)

  • Not hole filled
  • NASADEM SHHP in HGTS format (same as HGT but with floating point elevations).
  • Very large directory with the elevation and error estimate files--have patience while it loads

References

  • https://lpdaac.usgs.gov/news/release-nasadem-data-products/
  • https://lpdaac.usgs.gov/products/nasadem_hgtv001/
  • https://earthdata.nasa.gov/community/community-data-system-programs/measures-projects/nasadem

Other Global DEMs

Last revision 4/22/2021


Natural Earth Vector Files

Used by world vector outlines.

The world outlines use vector shapefiles from Natural Earth. See their documentation about caveats with boundaries; use of their data does not imply any endorsement of disputed boundaries. You are also encouraged to check their web site for updates.

The easiest way to get this is to download everything for physical and cultural for the scales you want, unzip, and place in c:\mapdata\database\natural_earth_vector. This gives you some layers you don't need (like graticules), but will be simpler and faster.

Prep OSM/Natural Earth/GADM shapefile should be done to make it easier to use.
Layer | Large scale 1:10m | Medium scale 1:50m | Small scale 1:110m
Source | Download data sets inside program (does not include US and Europe supplementary data) | Download data sets inside program | Included in full install of program
Overall size | 80 MB | 9.6 MB | 1.9 MB
Coastline |  |  |
Rivers | 1403 records | 458 records | 14 records
Lakes | 1338 records | 397 records | 26 records
Admin 0 | 250 records | 242 records | 177 records
Admin 1 (states/provinces) | 3565 records | 64 records (US + Canada) | 52 records (US)
Cities | 7314 records | 1248 records | 326 records
Utah |  |  |

Issues:

  • Prep OSM/Natural Earth/GADM shapefile will resolve, but could take some time
    • Many of the text fields are excessively long. You could profitably shorten them if you use the databases, say for plotting national data sets.
    • Remove the -99 missing data

Similar option for maps of US for states and counties.

Last revision 1/26/2021


Castle

Castle | Country | Cloud Density (pts/m²) | Grids | Grid spacing (m) | Projection | Classification Categories | RBB Imagery | Survey Year
Bergenhus Fortress | Norway | 23.4 | DSM,DTM | 1 | UTM | Ground, vegetation, buildings | - | 2016
Mulderslot | Netherlands | 19.7 | DSM,DTM | 0.5 | Amersfoort | Ground, buildings | - | 2015
Kronborg (Helsingor) | Denmark | 9.5 | DSM,DTM | 0.4 | UTM | Ground, vegetation, buildings | - | 2014-2015
York | UK | 5 | DSM,DTM | 1 | UK OS | Ground, vegetation | - | 2008-2015
Bled | Slovenia | 4.5 | DTM | 1 | Slovenia 96 | Ground, vegetation, buildings | - | 2014-2015
Turku | Finland | 2.6 | DTM | 2 | UTM | Ground, vegetation | - | 2012 (?)
Fort Monroe | VA, US | 2.2 | DTM | 1 | UTM | Ground | - | 2013
Castillo de la Alamado | Spain | 0.8 | DTM | 5 | UTM | Ground, vegetation, buildings | Yes | (?)


Nautical Charts

Vector Data--NOAA has changed much of this

  • DNC (Digital Nautical Chart)--download for the US, convert VPF to shape files in GDAL.
  • NOAA ENC--direct to GIS convert to shape files at the NOAA website
    • https://encdirect.noaa.gov/help/encdirect_help.html#frequently-asked-questions
  • Mobile Offshore Drilling Units (MODU) http://msi.nga.mil/NGAPortal/MSI.portal?_nfpb=true&_pageLabel=msi_portal_page_67 in shapefile or KMZ
  • Broadcast warnings: http://msi.nga.mil/NGAPortal/MSI.portal?_nfpb=true&_pageLabel=msi_portal_page_63 as a KMZ file
  • Download NOAA S57 files
    • Use GDAL to convert to shapefiles (FWTools0.9.5> ogr2ogr -skipfailures out us5tx51m.000--out is a direction, the .000 is the S57 file)

NOAA chart on demand

  • Experimental (8/20): https://devgis.charttools.noaa.gov/pod/

Raster Data--NOAA is discontinuing raster charts

  • Online viewer: http://www.nauticalcharts.noaa.gov/mcd/NOAAChartViewer.html
  • Historical NOAA nautical charts
  • MICRODEM can display raster charts converted to Geotiff format.
  • NOAA nautical charts can now be downloaded in BSB, a proprietary format from Maptech, at
    • http://www.nauticalcharts.noaa.gov/mcd/Raster/download_agreement.htm
    • http://www.freeboatingcharts.com/
  • Convert BSB files for use in MICRODEM using the converter from NOAA, available at http://www.csc.noaa.gov/digitalcoast/tools/chartreprojector (or from the data files download in MICRODEM)
    • After you download and unzip the chart, you must select the KAP file to convert.
    • Geographic will probably give the best results in MICRODEM.
    • UTM also works.
  • You can also convert the KAP file by opening an image (the .KAP file) and letting GDAL convert. If it does not display, you must then run GDAL_warp on the Geotiff created. Making this one stop is on our to do list.

Point Soundings

  • NOAA soundings:
    • http://maps.ngdc.noaa.gov/viewers/bathymetry/ .
      • Turn on data in "NOS Hydrographic Surveys".
      • Zoom in on map.
      • Outline box
      • Pick a survey by its ID,
      • Get data in XYZ format, Decompress the GZ file, and convert to a DBF file. May have to open in Excel, and save as a CSV file, before the file will open in MICRODEM.
      • BAG files will have the best data, for small regions
        • Can request conversion of BAG file to XYZ.
        • Can extract bands with GDAL, and then open the band with the depths (the second band has the uncertainty). Have to edit out the missing data, and multiply depths by -1.
        • Grids will be huge, and may be almost entirely missing data with small "islands" of data. You can subset and save just the areas with data.
    • http://maps.ngdc.noaa.gov/viewers/nos_hydro/ Alternative link.

Wrecks

  • NOAA database: https://nauticalcharts.noaa.gov/data/wrecks-and-obstructions.html Get the shapefile. There are two databases with wrecks, and obstructions.

Vector Shorelines

  • Vector shorelines in shapefile format

Last revision 8/20/2020


Navigation Menu

Submenu on "EDIT" button of database table form. The button is only enabled if you check the box on the right of the row of buttons, since all changes are permanent (save a copy of the database if you are concerned about editing mistakes).

  • Add travel path (Azimuth, distance, speed). To get speed, there must be a DEC_DAYS or DEC_HOURS field. The records must be in chronological order, in a point database. You can select to add the speed, distance, cumulative distance (for instance useful if you want a graph of a parameter versus distance traveled), and to record in meters per second or km per hour. There will be no entries for the first record, except for a 0 in the cumulative distance field.
3D distances will compute the distance on the hypotenuse for each segment, as well as the gains and drops in elevation.
  • New DBF with speed/path by ID: Must have fields LAT, LONG, ID, SHIP, MONTH, and DEC_YEARS. Will create a new database, with the readings halfway between each pair of readings, and adding fields HEADING, SPEED_KPH, AND KNOTS. Designed for the CLIWOC data base.
  • Get azimuth from magnetic heading: convert magnetic heading to true north, using the WMM model.
  • Add Distance/Azimuth fields
    • Database must have fields "LAT", "LONG", "LAT2", and "LONG2".
    • If the data base does not already have "DIST_KM" and "AZIMUTH" fields, they will be added.
    • Program will compute the distance (in km) and direction from each point in the data base to the other point with the "LAT2", and "LONG2" coordinates.
  • Get azimuth from magnetic heading: requires fields LAT, LONG, ALTITUDE, MAG_HEAD and will create and compute AZIMUTH (the magnetic heading plus the declination).
  • Dead reckoning

Last revision 12/10/2019


NBCD Data

Vegetation Inventory available at National Biomass and Carbon Dataset 2000 (NBCD 2000) download

Grid with average basal area vegetation weighted height.

First uncompress (gzip, then tar).

These are 16 bit Geotiffs, in decimeters, and can be opened either as a DEM (preferred) or an image.

New DEM NBCD as a DEM

  • Remove 0 values (Mark as missing)
  • Multiply by 0.1 so the values are in meters instead of decimeters (Single grid arithmetic).
  • Display with elevation colors (change display parameter, to Elevation map).

New image: NBCD as an image

  • White will be the highest vegetation, and black the lowest.

Last revision 8/18/2010


NDVI Colors

Fires: NBR and dNBR

The program has two defined palette display for dNBR, from the Sentinel hub.

Index | Formula | Burn | Older Landsat | Landsat 8 OLI Bands | Sentinel-2 Bands
Normalized Burn Ratio | NBR = (NIR-SWIR) / (NIR + SWIR) Wavelength NIR around 0.8 , SWIR around 2.25 |  | 4, 7 | 5,7 | Band 8A and Band 12 (both 20 m resolution)
Normalized Burn Ratio 2 | NBR2 = (SWIR1-SWIR2) / (SWIR1 + SWIR2) |  | 5,7 | 6,7 | Band 11 and Band 12 (both 20 m resolution)
dNBR | NBR-PreFire - NBR-PostFire |  |  |  |
Active fire, false color (good smoke penetration) |  |  |  | 7-6-5 in RGB | 12-11-8A in RGB (all 20 m resolution)

dNBR Steps in MICRODEM

  • Image analysis Create new band NBR. Create pre and post fire NBR
  • Raster GIS Multiple grid arithmetic Difference between two grids PreFire - PostFire
  • Display Parameter, Elevation map, Fixed color palette, and pick one of the dNBR palettes
  • Right click popup menu to get legend, with percentages in each category

NBR references

  • https://www.earthdatascience.org/courses/earth-analytics/multispectral-remote-sensing-modis/normalized-burn-index-dNBR/ has scale for dNBR, the difference, preFire - postFire (source for DNBR-2 color scale)
  • http://un-spider.org/advisory-support/recommended-practices/recommended-practice-burn-severity/in-detail/normalized-burn-ratio (has the USGS color scale, DNBR)
  • https://www.harrisgeospatial.com/docs/BackgroundBurnIndices.html
  • https://www.usgs.gov/land-resources/nli/landsat/landsat-normalized-burn-ratio
  • https://www.usgs.gov/land-resources/nli/landsat/landsat-normalized-burn-ratio-2

last revised 7/2/2023


NDVI

https://earthobservatory.nasa.gov/features/MeasuringVegetation/measuring_vegetation_2.php
  • https://www.sentinel-hub.com/eoproducts/ndvi-normalized-difference-vegetation-index
  • The value range of an NDVI is -1 to 1. It is (NIR-Red) / (NIR + Red)
    • Water has a low reflectance in red, but almost no NIR reflectance. So the difference will be small and negative, and the sum will be small, and NDVI large and negative.
    • Plants have a low reflectance in red, and a strong NIR reflectance. So the difference will be large and positive, and the sum will be just about the same as the difference, so NDVI will be large and positive.
  • Categories are somewhat abritrary, and you can find various rules of thumb, such as:
    • Negative values of NDVI (values approaching -1) correspond to water. Values close to zero (-0.1 to 0.1) generally correspond to barren areas of rock, sand, or snow. Low, positive values represent shrub and grassland (approximately 0.2 to 0.4), while high values indicate temperate and tropical rainforests (values approaching 1).
    • Very low values of NDVI (0.1 and below) correspond to water, barren areas of rock, sand, or snow. Moderate values represent shrub and grassland (0.2 to 0.3), while high values indicate temperate and tropical rainforests (0.6 to 0.8).
  • The program has three palettes for NDVI from the Sentinel hub.
    • https://github.com/sentinel-hub/custom-scripts/blob/master/sentinel-2/ndvi/script.js
    • https://forum.sentinel-hub.com/t/standardising-colour-ramp-for-ndvi/106
  • Suggested color ramps for farmers. There are apparently two philosophies: healthy vegetation in red (like in false color displays) or in green (what people think).
    • https://help.terravion.com/using-the-terravion-platform/choosing-an-ndvi-color-map
    • https://www.maxmax.com/maincamerapage/remote-sensing/mapping-ndvi-false-colors

last revised 2/9/2022


NDVI/NSDI

Option on Image analysis menu.

These will create a database and a map; you can do some displays with the database to color by the satellite or the year.

  • NDVI of percentile time series
  • Percentiles of NDVI time series
  • NDVI of percentiles, annual cycle
  • Percentiles of NDVI , annual cycle
  • Point time series
  • Key percentiles

There is a different optionn to create images with NDVI and NDSI

Last revision2/6/2018


NDWI

Index | Formula | Water Value | Old Landsat Bands | Landsat 8 OLI Bands | Sentinel-2 Bands | Notes
Normalized Difference Vegetation Index | NDVI = (NIR − Red)/(NIR + Red) | Negative | 4,3 | 5,4 | 8,4 | The opposite of the water index--water is low on the NDVI, but high on NDWI
Normalized Difference Water Index--default | NDWI = (Green − NIR)/(Green + NIR) | Positive | 2,5 | 3,5 | 3,8 | monitor changes related to water content in water bodies, defined by McFeeters (1996).
Normalized Difference Water Index | NDWI=(NIR − SWIR)/(NIR +SWIR) | 8A,11 | monitor changes in water content of leaves, using near-infrared (NIR) and short-wave infrared (SWIR) wavelengths, proposed by Gao in 1996.
Normalized Difference Water Index | NDWI = (NIR - MIR) / (NIR + MIR) | 8A,12 | vegetation index sensitive to the water content of vegetation and is complementary to the NDVI. High NDWI values show a high water content of the vegetation.
Modified Normalized Difference Water Index MNDWI1 = (Green − SWIR1)/(Green + SWIR1)
MNDWI2 = (Green − SWIR2)/(Green + SWIR2) 		Positive 2,7 3,6
3,7 		3, 11 (different spatial resolutions)
3, 12 (different spatial resolutions)

Normalized satellite indexes

After

  • https://www.ncbi.nlm.nih.gov/pmc/articles/PMC6111878/
  • https://custom-scripts.sentinel-hub.com/custom-scripts/sentinel-2/ndwi/
  • https://foodsecurity-tep.net/S2_NDWI#:~:text=Sentinel%2D2%20Normalized%20Difference%20Water%20Index%20(NDWI)&text=The%20NDWI%20is%20a%20vegetation,water%20content%20of%20the%20vegetation.&text=This%20product%20is%20based%20on,software%20suit%20Sentinel%2D2%20Toolbox.
  • https://en.wikipedia.org/wiki/Normalized_difference_water_index

Last revision 6/10/2020


Nearest Point on Line/Perimeter

Accessed from the Edit button Field geometry on the database table display window. Two options:

  • Distance to line/polygon, just gets the distance to the nearest point on the line/polygon
  • Nearest point on line/perimeter, also records the LAT_2_LINE and LON_2_LINE for the coordinates of the closest point on the line.

Input:

  1. Start this option on a point database, or a polygon shapefile with a single record with an associated point (like the centroid). You might want to restrict to the points that are inside or outside the polygon. For this you can Edit button Field geometry and Point in polygon/area. This will add a field, with the name from the area DB, and you can filter based on that.
  2. Then pick Line/area shapefile to which the distance on the line or perimeter will be computed for every record in the other shapfile
    • Dissolve lines can make the operation run faster
    • Filter the database so it just covers the area of the map reduces the number of computations
    • Subset the database so it just covers the area of interest reduces the number of computations
    • The optimal answer is a database with a single record that just covers the area of interest

Output

  • New field with the distance in meters to the line or polygon
  • The new field will be DIST_LINE which you can rename

Last revision 11/19/2019


NED

3DEP (NED)

The USGS elevation program was initially known as NED (National Elevation Dataset) when it replaced older USGS ASCII formats. It also marked a shift from UTM projected data sets to arc second data, which was "seamless" and distributed from the USGS Seamless Server. The current name is 3DEP, for 3D Elevation Program.

Bare earth DEM layers in 3DEP are nationally seamless and are distributed in geographic coordinates at 1/3, 1, and 2 arc-seconds.

This is arc second data of the highest quality available from USGS. About 25% of the country has 1/9" data (about 3 m), but no more will be produced. Alaska has 2" NED and a limited coverage with 1/9" data.

There is now a 1 m DTM, in IMG format (requires GDAL) with a UTM projection in 10 km tiles which can be 250 mb in size. It currently covers a limited area. Merging data sets at the UTM zone boundaries is not as simple as with arc second data.

USGS will be moving to a Geotiff format in early 2020.

Download directions from National Map Viewer.

One second NED. Note that some water has elevations, and others is missing data.
One third second NED.
One ninth second NED. Note half of a building in the center on the map.
1 m USGS UTM DEM. This example is from the Pentagon. In urban areas artefact dominate this product; the buildings and bridges/overpasses are mostly gone, but a number of the roadbeds are still prominent. This is not the full resolution of the dataset.

NED references:

  • Gesch, D.B., 2007, The National Elevation Dataset, in Maune, D., ed., Digital Elevation Model Technologies and Applications: The DEM Users Manual, 2nd Edition: Bethesda, Maryland, American Society for Photogrammetry and Remote Sensing, p. 99-118.
  • Gesch, D., Oimoen, M., Greenlee, S., Nelson, C., Steuck, M., and Tyler, D., 2002, The National Elevation Dataset: Photogrammetric Engineering and Remote Sensing, v. 68, no. 1, p. 5-11.

Last revision 12/4/2019


NED Download from Seamless Serve

Download

Option on popup menu, after Right click on map

  • USGS data, TNM download: Opens a browser window centered on the location of the right click, ready to download data from the National Map. This might not be in your favorite browser.

Last revision 6/23/2020


MICRODEM on a Netbook

Netbook PC
  • Older model, not field ruggedized
  • Screen works reasonably well even in bright sun
  • Allows testing operations

GPS Logger
Bluetooth:
  • If your Netbook does not have Bluetooth, try to get a USB unit with a minimal size.
  • Bluetooth is much easier and more convenient than using cables, both in a vehicle or on foot.
  • In our experience, setting the baud rate is not required and is handled automatically by Windows

This was about 2011. We had previously tried using a PocketPC, which did not run a regular version of Windows and required recoding of the source code and never caught on. Likewise the TabletPC was expensive and nevert achieved much market penetration, although it did run regular Windows programs. The NetBook brought regular Windows to a small, portable format. The current version of this would be something like the Surface Pro, which runs regular Windows software, but unfortunately does not have the built in GPS of the smartphones..

GPS operations on Windows are not currently working due to the pain on interfacing serial devices, in favor of using Android or iOS programs.

Last revision 12/14/2017


netCDF Bathymetry

netCDF Bathymetry and Other DEMs

The program will read netCDF bathymetry (and other files) using FWTools (GDAL).

Tested multibeam seafloor bathymetry is from

  • http://dusk.geo.orst.edu/tonga/mgr/
  • http://ocean-ridge.ldeo.columbia.edu/general/html/home.html
    • "masked" data shows the ship tracks and includes voids.
    • "unmasked" data fill in the holes with very coarse data.

Depths may need to be multiplied by -1 to work correctly.

Last revised 7/14/2014


new in 3.0

New in Version 3

Release 3.0 of TerrbaBase II and build 11.01 of MICRODEM appear summer of 1998. Major changes include:

  • Program became less DEM-centric. MICRODEM reflects the program’s DEM heritage. While it has done image analysis for some time, use of the image registration and ground coordinates have required that a DEM for the area be available.
  • Same map window used for both DEMs and images.
  • "Image" refers to both satellite images and scanned maps. Satellite images should be viewable in both map and image windows, but the scanned maps should only be visible in a map window.
  • Data sets are used in native format, and do not have to be imported into the program’s unique formats. This has been true to some degree for DEMs, but is now true almost universally for both DEMs and imagery. This greatly reduces the chances for registration problems.
  • The program uses datum and ellipsoid files from TEC's GEOTRANS.
  • New types of raster data sets supported: ADRG, CADRG, some GEOTIFFs, and at least one flavor of NITF.
  • Display DXF and SDTS DLG vector files.
  • USGS SDTS DEM data handling improved.
  • GPS options improved and expanded, including route replay
  • The terrain fly-by has been greatly enhanced.
  • Many map and image display options significantly speeded up.
  • Quality of perspective view greatly improved.
  • Print to high resolution printers (HP Lasers at 600 dpi, large plotters like the HP650C) has been improved.

Program History

Last revision 2/12/2007


new in 4.0

New in Version 4

Release 4.0 of TerrbaBase II and build 12.01 of MICRODEM in the summer and fall of 1999.

  • OpenGL 3D views.
  • Graphical selection and loading of DEMs from maps.
  • DEMs merged on the fly when they are opened.
  • GIS-like data manipulation of data base files, including ESRI shape files, using ADO
  • "Ambush" movies showing intervisibility along a selected route
  • Plots grids on two datums on maps
  • Show roaming coordinates on all maps, with two datums, or with MGRS and Lat/Long
  • Improved reading of GEOTIFF imagery and DEMs
  • Exports DEMs in DTED format

Options that appeared in this version, but are no longer available

  • Pipeline calculations for PAPA variant of the program
  • CastleNet query and display of obstacle data base
  • Direct output of products into PowerPoint

Program History

Last revision 12/31/2006


new in 5.0

What Was New in Version 5?

The program underwent a number of significant changes in the summer and fall of 2000 with Release 5.0 of TerrbaBase II (version 12.60 of MICRODEM).

  • Display and query VPF files
  • Military icons and overlay on maps
  • Create shapefiles
  • Local data base to handle CIB, CADRG, and DTED on the hard disk
  • Improved speed in data base operations, using the Borland Database Engine (BDE)
  • Save and restore of projects, with multiple data sets and overlays

Version 5.01 fixed minor problems with Geosym display of VPF, and display of PLGR GPS waypoints.

Version 5.02 improved OpenGL saving; allows printing OpenGL; fixed problems with PowerPoint export; fixed problem with three letter datum codes like BOO; improved finding image in ERDAS Imagine IMG files.

Version 5.03 made additional minor bug fixes.

Program History

Last revision 12/31/2006


New in MICRODEM 5.1

Version 5.1

TBII Version 5.1 officially appeared Dec 2001 with:

  1. Weapons fans enhancements (IHS colors, complete coloring, and improved edits).
  2. Maximum map size has been greatly increased
  3. Load from local NIMA data base by clicking on any map.
  4. Option to speed up shape file GIS operations by saving the bounding box for each record in the DBF file.
  5. Improved shape file conversion from VPF.
  6. Associate a DEM with imagery after it has been loaded.
  7. Import e00 gridded DEMs (Arc/Info format)
  8. ID of data base records by clicking on them.
  9. Gazetteer location of locations, and data loading by location name.
  10. Local USGS data base.
  11. Adjust position of map marginalia.
  12. Printing to large format HP plotters using HP RTL is much faster and no longer memory limited.
  13. Improvements to the ambush movie.
  14. 3D merge of DEM reflectance with scanned maps.
  15. Display of DTSSOP products.

Versions 5.11 and 5.12 made minor changes (primarily sanitizing help file after 9/11).

Program History

Last revision 8/16/2015


New in 6.0

New in Version 6.0

Version 6.0 was fielded in August 2002 with:

  1. New geology options: plotting of earthquake focal mechanisms (beach balls), ternary diagrams, stratigraphic columns, plate rotations and reconstructions.
  2. Greatly improved display of the 130 MB Smith & Sandwell predicted bathymetry data set.
  3. Display HGT and ERR files from SRTM.
  4. USGS database includes SRTM and ASTER DEMs.
  5. Import and display NASA Blue Marble 1 km scale global imagery. JPEG compressed version that requires 260 MB with little degradation in image quality.
  6. Indexes for gazetteers and shape file databases.
  7. Variable opacity merges of imagery.
  8. VRML file generation.
  9. TIN creation and display.
  10. Graphical edits of line/area shape files.
  11. Live flying can look out the side or rear of the aircraft, instead of only straight ahead.
  12. Batch loading of files allowed in many cases, such as loading of shape file overlays.
  13. Geosym pattern editor.
  14. Index VPF shape files.
  15. Greatly improved options for map layout prior to printing.
  16. New Panorama view, and improved location of points on the perspective views.

No longer supported:

  1. On the fly merge of 10m and 30 m DEMs using USGS database.

Program History

Last revision 5/29/2015


New in 6.0x

MICRODEM version 6.0x

Program History

Version 6.01 was fielded in fall 2002 to fix minor bugs in 6.0 with some additional enhancements appeared. Several versions appeared, differentiated by the build number.

Version 6.02 was an interim version during the first three months of 2003. Several versions appeared, differentiated by the build number.

Version 6.03 was finalized, but had quick maintenance releases to fix minor problems.

  • 14.43 4/4/2003: first final version
  • 14.44 4/14/2003: fixed problem loading RPF in certain circumstances
  • 14.45 4/15/2003: fixed problem loading DEMs as CD import or reindexing of DTED
  • 14.46 4/22/2003: fixed problems that loading scanned maps did not show the correct file types
  • 14.47 5/12/2003: fixed problem importing some VPF (VMAP0) to shape files, and incorrect reading of missing data in SRTM DTED

This was the last (5/12/2003) version of Terra Base II.

General enhancements:

  1. Read and display 3D shapefiles, no use of Z coordinates (9/9/02)
  2. Save in DTED format can be forced to full one degree cells for intolerant commercial programs (9/19/2002).
  3. New viewshed/weapons fan algorithm (radial IHS)
  4. Label Panorama with peaks from gazetteer files . Note the limited accuracy of both the USGS and NIMA gazetteers.
  5. Label peaks and other features from gazetteer files on maps .
  6. Pan buttons on the map, which can be turned on/off on the maps tab of the options form.
  7. Improved scaling options for a topographic profile.
  8. Improved scaling in perspective options.
  9. Distances can be displayed in miles rather than metric, and scale bars can be in metric or miles. Select with a checkbox on the units tab of the options form.
  10. Read and save images as PNG files.
  11. Save DEMs in USGS ASCII format, from the file, save DEM menu choice.
  12. Save viewshed radials in ASCII text files.
  13. Improved graphical DEM edits.
  14. Improved creation of world files for imagery.
  15. Greatly improved internal saving of movies as MPEGs.
  16. Ability to graphically drag military icons and general icons on the map.
  17. Ability to create map overlays with vector data, and graphically drag them on the map.
  18. Ability to calculate the required height of an antenna to achieve line of sight.
  19. Cartography option to open multiple projections at the same time.
  20. Option to create a rotating earth movie .

New data options:

  1. Location positions on the map with PLSS coordinates, and overlay PLSS grid .
  2. Read 1/3" NED DEM s from USGS.
  3. Use NLCD data from USGS.
  4. Save RPF image merges in ASCII file with list of frames. Can reopen RFM file.
  5. Country GIS from NIMA .

Satellite Imagery Enhancements:

  1. Improved options with TM7 data, in Geotiff format, one band per file.
  2. Read Geotiff with 4 bands of imagery in a single file (e.g. SPOT) (9/23/2002).
  3. Read Landsat Fast format . (10/8/2002)
  4. Save RPF merges in RFM text file is no longer supported..
  5. Save satellite imagery as Geotiff (unenhanced, multiple bands), in addition to MICRODEM format.
  6. Improved Blue Marble 1 km global imagery options.

Geology/GIS enhancements:

  1. Changed handling of structural geology data and gravity stations (9/28/2002)
  2. Point parameters (10/4/2002)
  3. Digitize structural geology symbols online (10/29/2002)

Preview Capabilities--meaning you can display imagery, but not manipulate it.

  1. Terrasever DOQQs and DRGs (US only).
  2. JPL TM imagery (CONUS only) (11/16/2002)

Changes to data formats:

  1. New Header format for DEMs.

Last revision 5/29/2015


3D Viewer

Used for

  • LIDAR Point clouds, then OpenGL button.
  • OpenGL 3D view button on map toolbar to view single entire map
    • If it is an image, it must have an associated DEM, set on the modify menu. If you open the DEM first, and it covers the image, it will automatically be associated
    • If it is a DEM/grid, it will use the elevations from the grid/DEM
    • If you want to use one DEM for the topgraphy, and another for the colors ing (say a change grid on a DSM), use OpenGL, drape on another DEM. from the Overlay menu
  • 3D viewer with multiple maps
  • From point cloud slices
  • Chirp subbottom display, Fence display.
  • Quality notes:
    • If you only want part of the map (or have a large volume of data), use [image] Subset & zoom first.
    • To see the 3D, you need a relatively small area, and would like it to have steep topography; over a large area, the 3D effect will not be as impressive. Cranking up the vertical exaggeration will only be partly successful.
    • For the best detail, you want the map to be as large as possible. Zoom in. This is particularly important on a small screen.
    • Consider if you want to turn off grids, scalebars, and legends before picking this option

Key display options:

  • Depressing left mouse button allows you to drag the view. If this is too hard, use the large X, Y, Z rotation buttons.
  • Zoom in/out of the view with mouse scrollbar.
  • Mouse viewports buttons let you move the viewport up/down (z axis), left/right, and in/ out.
  • Change Vertical exagerration. If you have a small area with significant relief, you should not have to use vertical exaggeration. If the default view at vertical exagerration 1 is insufficient, use the VE buttons in the upper right. Alternatively close and pick a smaller area.

If the window is covered by other windows, you can bring it to the front using a choice on the Window menu.

Round controls let you rotate about the x, y, and z axes. You should be careful with the x and y axes not to overturn the view You can also drag the view with the mouse, and zoom in/out with the mouse scrollbar.

Reset returns to the default orientation, if you turn the view upside down and cannot get it back.

Move viewport lets you move the view should it become uncentered.

  • You are most likely need to use the Z++ or Z-- to move along the vertical axis.

VE+ and VE- change vertical exaggeration.

Control multiple clouds

  • If you have multiple views of the same data with different coloring, you can select the one you want to show. Because they are all at the same locations, you cannot display more than one at the same time.
  • If you export by category, or have multiple point clouds, and the points in the different layers are not at the same point, you can turn layers on and off using checkboxes, adn see several layers at the same time.

Capture options

  • Z rot movie: sequence moving around the z (vertical) axis
  • Clipboard: copies the view to the clipboard.
  • Mult view movie: sequence shows each of the images in sequence.

Grids puts on a grid.

last revision 1/24/2022


Create new band

Create difference index, band ratio, new band

Submenu from Image Analysis on map window menu.

With Landsat, you can choose whether to use the DN or the radiance or reflectances.
  • Filter
  • Add (sum) bands
  • Contrast stretch
  • RGB Grayscale
  • Normalized satellite indexes with Landsat TM or similar imagery.
    • NDVI (vegetation)
    • GDVI (Vegetation)
    • NDSI (soil)
    • NDSI (snow)
    • NDWI (water)
    • NBR Normalized burn index
    • Normalized difference (pick bands)
  • VARI--Visible Atmospherically Resistant Index
  • Band ratio
  • Landsat VIS, NIR, SWIR
    • TOA radiance
    • TOA reflectance
    • TOA reflectance with sun position correction
  • Landsat TIR
    • Brightness temperature
    • Land surface temperatue--you must assume an emissivity, and must assume it is valid for the entire scene, or mask out parts of the scene where it is not applicable (say if you want to get sea surface temperature)
    • TOA radiance

An option on the Imagery tab of the options form determines if the new band is stored as bytes or 4-byte floats.

These will create a grid in the temp directory; you can save them elsewhere if you want to access the grids after closing the program.

Several other options (Principle components, Unsupervised classification) also create a new band.

Last revision 11/2/2021


Grid Parameters for New DEMs

  • Creates blank new grid covering map area
  • On the point cloud control form for DEM creation from point clouds
  • Subsample DEM by averaging
  • Reinterpolate DEM on File, Save DEM/grid, where it is immediately create

The grid can be created with:

  • UTM: pick the grid size in m. You can force the UTM zone if you do not want the default, which should only be done when you are at the edge of a zone and want to merge with data from the next UTM zone.
  • Lat/long: you can pick different values the lat (y) and long (x) spacing
  • Other WKT: you pick the WKT projection file, and the grid size in projected meters. WKT grids can currently only be saved in MICRODEM format.

Auto fill holes, and and the max gap to fill in grid cells when the grid is created when a grid is created from lidar or resampling an existing grid. Lidar will commonly have small data voids, and hole filling can greatly improve the visual quality.

PixelIsPoint/PixelIsArea

Close create the grid; this is not needed when you will use the 1 pass or multi pass options

Create blank create, which will match the extent of the current map.

last revision 1/12/2023


New Map

Button on the Map Window Toolbar.

New map: create a new window with the same map extents, displaying the same data set. You can use this map to show a different map Display Parameter, or to show a subset of the area with the same parameter.

Last revision 11/27/2012


New in Version 10

New in MICRODEM Version 10

Version 10.0 first appeared in June 2006, compiled under Delphi 2006. It was replaced with Version 12 starting in June 2009. Because of the difficulty in converting to Delphi 2009, the posted releases remained version 10 for some time.

Version number has now been de-emphasized on the splash screen, in favor of the build number, which is easier to track because it changes daily instead of annually.

Program History

Program installation:

  • (12/31/2007) Program installs into c:\microdem
  • (6/24/2008) Program defaults changed. Programs and directories needed to run are stored in a new database.
  • (12/30/2008) Improved program update

Map appearance and options:

  • Revised selection of legend elements, and added option to do that when right clicking on a map.
  • Option to subsample map to a specific geographic quadrangle.
  • Improved options for Map Marginalia on maps; right click on the map, and pick the legends/marginalia choice from the pop up menu.
  • Option to display a native grid for DEMs such as UK OS grid or SPCS DEMs.
  • Use percentiles to set extreme values for elevation map coloring.
  • (11/30/2007) Option to display elevations from a second grid while roaming (on the Calculate menu), and to overlay contours from a second grid (on the Overlay menu, say to put elevation contours on a slope map).
  • (12/28/2007) [image] Further changes and enhancements to manage overlays. and removal of older options.
  • (2/18/2008) Map image saving as a Geotiff can save as a grayscale or color image, with a savings of 1/3 the file size.
  • (2/28/2008) Should be major speed up of most map redraws with saving of map layers as temporary bitmap files. This is done by saving each layer as a bitmap, and only redrawing when necessary. If the program is fooled, there is an option on the bottom of the modify menu to force a complete redraw of all layers.
  • (3/3/2008) Scrollbars for map and satellite image windows expanded so you can now drag the map and scroll through them.
  • (3/10/2008) Scrolling over the DEM will show the elevations in all open DEMs in the status bar.
  • (5/12/2008) [image] Grid options changed--if you want to label the grid or graticule, you must use the Prepare printer image option.
  • (8/11/2008) Improved options to display Tissot indicatrix
  • (4/26/2009) Option to put simple grid on printed map.

Data download:

  • Automatic ftp download of map data
  • Automatic download of SRTM30
  • Option to download cells of SRTM-3 as needed.

Gazetteers:

  • Improved gazetteer plotting of points with configuration file
  • (1/27/2008) Gazetteers can be used to register imagery
  • (2/22/2008) USGS gazetteers must use new BGN format. Old files can still be used as databases, without special plotting options. USGS gazetteers use a new format (Pipe "|" separated), with a few new field names that were too long, and they can now be imported

Data base operations:

  • New options for coloring database with field values.
  • Greatly expanded and improved the 3 color RGB map option to show three parameters with databases.
  • Connect sequential points, with Plot button on Table display window popup menu.
  • Option to export contour lines as a shape file. This replaces the DXF option.
  • Number of new options on the Edit button for a database table form including thin a database, arithmetic operations to create new fields, and add lat/long from linked data base.
  • Changed Database legends option available from File menu with a map open, to show a symbol for each database associated with the map. It currently only works with point databases.
  • XML file export
  • Clustering
  • Improved options with Linked data base
  • Improved spatial masking of a database, and the option to set multiple spatial masks.
  • Terrain profile: for a line shape file, with a DEM associated with the map display.
  • Revised symbol selection and option to easily change display method
  • Legend for multiple databases with option to change display settings
  • Documented example of shape file grouping and multiple filters with US highways
  • Address geocoding with TIGER shape files.
  • Compute neighbors, and use for adding average neighbor value field (in Field arithmetic, on Edit button ).
  • (11/15/2007) Link multiple web sites to a database
  • (12/2/2007) Link multiple images to a data base
  • (12/3/2007) Perspective and panorama views from a point in the database
  • New Animate field option
  • (12/26/2007) Option to create merged table, on Reports tab
  • (1/8/2008) Option to edit database, on Resample, DataBase of the Data Manipulation Form
  • (2/1/2008) Option to add MASK field on EDIT menu database table form.
  • (2/2/2008) Icons for the plotting of a database can be in either the directory with the database, or the main \MapData\ICONS, and you can include multiple icons.
  • (2/18/2008) Option on Database tab of options form, which lets you set the font color for labeling to match the color for the shape file.
  • (3/4/2008) Option to track the ranges in the database (it can be toggled on the Database tab of the options form)
  • (3/6/2008) Option to computes area in km² for each record and puts in field AREA_KM2, on the Edit, field arithmetic option.
  • (3/15/2008) Option to save a point database as a shapefile with the SHP and SHX files, on Reports tab.
  • (3/15/2008) Option to click on the column header in the DB table and get popup menu with appropriate options from the STATS button.
  • (3/23/2008) Database auxiliary files stored in subdirectory "db_aux" under the location of the main database files. If you have files stored in the old location, the program will automatically move them.
  • (3/31/2008) Add NLCD category on the Edit tab of the database table form.
  • (4/5/2008) Option on Tools menu to create a database of photos with their GPS locations if those are in the EXIF header. You can then, for instance, export photos to a KML/KMZ file.
  • (4/22/2008) Database plots saved, and should rapidly redraw with the map. Also, advanced DB plot options should also be saved and redrawn.
  • (6/23/2008) Databases can be plotted with much more complex rules, and the layer symbology saved. A work in progress, at first only for area shape files.
  • (8/2/2008) Databases plotted with variable opacity, rather than IHS merge; this provides much more control.
  • (1/30/09) Import of CSV will make any field with the phrases "ZIP" or "FIPS" as a string, so they can be used for join operations.
  • (3/20/2009) Many options will go much faster for plotting from a points shape file
  • (4/6/2009) Option on the Edit tab of the database table form to compute record lengths and centroid locations for each record in the data base.
  • (5/19/2009) Cut and paste point coordinates into a database, and from a map right click and a database record double click. (programs other than MICRODEM cannot use this clipboard feature)
  • (5/25/2009) Option to put in range circles by database record double click for a point database

KML and Google Earth

  • Register imagery with Google Earth and KML files.
  • (12/15/2007) Option right clicking on the map to open Google Earth in the same location as the current map window.
  • (12/26/2007) Option on the File, Save map as image, For Google earth to open Google earth with the current map as a colored overlay. Currently only works with DEMs in lat/long.
  • (12/26/2007) Option on the File, Save DEM, Create Image to match DEM to create an image with the same dimensions as the current DEM.
  • (1/19/2008) Rudimentary export to open Google Maps
  • (2/18/2008) Tile and export scanned maps to Google Earth using Delauney triangulation.
  • (2/23/2008) Time animations improved
  • (2/23/2008) KML database export for Google earth improved so icons are put in the correct directory. However, consider instead using KML overlay
  • (3/22/2008) KML overlay will Zip the files into a KMZ file, and delete the other files; can save a world file with each tile; and can optionally not open Google Earth.
  • (4/2/2008) KML DB export can include thumbnail images, with link to full sized image. Thumbnail images can be embedded in the KMZ file.
  • (5/20/2008) KML creation correctly codes for special characters (', ", &, and >).
  • (6/30/2008) KML export can put each fan in its own layer.
  • (9/8/2008) KML database export has option to put a table in the pop-up box with the record attributes.
  • (10/1/2008) KML import of points into a database.
  • (11/22/2008) Enter the fields for time animation from entries in the database.
  • (3/27/2009) Options to disable Time animations, and to get a rapid KML output of all databases with the default options.

Mask data sets

  • Options to mask grid using TIGER roads.
  • Mask DEM with shape file
  • Mask DEM with gazetteer
  • Option to mask a point database using the TIGER roads (on the query button of the database table display).
  • Mask database from shape file, and grid/DEM, on the Edit button on the Table display window popup menu.

DEM/Grid Manipulation:

  • (12/2/2007) Mean and median filters for DEMs, on Raster GIS menu
  • (3/1/2008) Min and max filters for DEMs, on Raster GIS menu. These might be useful before thinning a DEM, which uses decimation.
  • (3/7/2008) Merge grids, take lowest value: on the DEM holes submenu of the Edit menu. The grids must have the same size and spacing.
  • (3/15/2008) Save DEM as a dBase table.
  • (3/29/2008) Modified grid saving for saving as MD format, thinning, filtering, and subsetting in cases where the DEM native datum is not the same as the primary display datum. This may still have issues, and you should really be using grids in WGS84 if you want to do a lot of manipulation.
  • (5/19/2008) Option to save DEM in GeoTIFF format
  • (5/19/2008) Reading of GeoTIFF in some orientations probably had a one pixel offset in the Y direction; this has been fixed.
  • (6/13/2008) Saved world files probably had slight coordinate spacing rounding error.
  • (9/13/2008) Map algebra
  • Stream masking

Read/write DEMs:

  • Read DEMs with ESRI PRJ files. Because there are several different kinds and PRJ files and they are not well documented, this can lead to problems.
  • ASCII Arc Grid DEMs (ASC or GRD extensions) read with open DEM and not the Import Menu of the data manipulation form.
  • (6/22/2008) Read ADF format grids
  • (7/27/2008) Write SPLAT SDF files
  • Combined the ETOPO and Smith/Sandwell buttons. You now pick which you want to use, and that one is loaded. You can still open the other manually.

Line of sight/Viewshed:

  • Missing data can block LOS or viewsheds.
  • Use vegetation grid for line of sight and viewsheds.
  • (3/8/2008) New option to show masked airspace on the LOS profile.
  • (3/8/2008) Speed up and improve required antenna height
  • (3/9/2008) LOS for a sensor location allows rapid shift of azimuth
  • (3/11/2008) LOS view right margin shows elevations to top, useful for very long profiles
  • (3/11/2008) New option to draw a fan/viewshed, right click, edit the fan, and draw required antenna height
  • (3/12/2008) New option for viewsheds to be drawn with IHS or opaque.
  • (3/26/2008) LOS has always been done at screen resolution. For very long ranges, or very high resolution DEMs, this could cause problems, which would be most severe if you were on the back side of a hill. Hills could be missed (especially very close to the observer), and you could get a very skewed interpretation. This has been fixed. In hindsight this was a major oopsie, but with the computer hardware available when the program started this would never have been a problem, and it just never got considered as gigabytes of RAM became cheap.
  • (3/27/2008) LOS option, when right clicking on the LOS profile, to get a blowup map of the sensor/observer location. This will be a slope map, color coded by trafficability categories, with contours overlaid. The observer will be a small red square in the center of the view. Recent related changes let you change the range, azimuth, and see the effect of adding/removing the vegetation grid.
  • (3/10/2008) Scrolling over the DEM will show the vegetation height if a vegetation grid is open
  • (3/11/2008) Option when loading a vegetation grid to show the map or not; on the Import/Export tab of the options form
  • (3/11/2008) LOS view right margin shows elevations to top, useful for very long profiles
  • (3/11/2008) New option to draw a fan/viewshed, right click, edit the fan, and draw required antenna height
  • (3/12/2008) New option for viewsheds to be drawn with IHS or opaque.
  • (4/25/2008) New option to create vegetation grid from NBCD
  • (5/9/2008) The computation of masked/visible for fans ignores points that are inside the sensor minimum range, which will change the computed coverage values. Previously those were considered as masked.
  • (6/28/2008) Option to save viewshed fans in a particular location.
  • (6/30/2008) Directions to export viewsheds to ArcGIS or Google Earth.
  • (7/7/2008) Option to export fan definitions into shape file for use in ArcGIS
  • (7/27/2008) Option to set the fan zoom factor on the viewshed algorithm form
  • (7/27/2008) Graphical interface to SPLAT
  • (7/28/2008) Grazing angles computation
  • (7/31/2008) Option to create a map of grazing angles when computing required antenna heights.
  • (7/31/2008) Finished consolidation to using a single way to draw fans. This changed the field definitions of the DBF file used to store fans, and added a fans toolbar to display of that table.
  • (8/2/2008) Changed display of fans to use variable opacity, selected on the [image] Map Overlays option.
  • (8/29/2008) Added protractor to the LOS view.
  • (12/15/2008) New viewshed toolbar to edit fans
  • (12/15/2008) Added option to use high-res DEM for intervisibility.
  • (1/9/2009) Allow differentiating the mixed pixels on viewsheds.
  • (1/23/2009) Route observation option working again
  • (1/24/2009) Graphs showing the amount of intrusion of the terrain into the first Fresnel zone
  • (5/25/2009) Range circle improvements.

General new options or improvements:

  • Rearrange geostatistics options on analyze menu.
  • Extract lat/long of points along a profile (on edit menu).
  • Option for least cost path determination.
  • Drag climographs and sunlight duration maps; set options for them.
  • Documented creation state or country DEM.
  • New system to control plotting of gazetteers, and the form to control this.
  • Improved 3D display options (especially anaglyph)
  • Slight change to header for MICRODEM format DEMs; any software reading MICRODEM DEMs written with a version of the program after 1/3/2007 will have to modify its code slightly.
  • New Computations form, with options to enter coordinates and get distance/bearing, or the point at a distance and bearing from a point.
  • Option on Import/Export tab to set all negative elevations to 0 on opening grids; use this with extreme care.
  • Option (on File, Match other maps menu) to show footprint of current map on other maps.
  • Allow getting a map from Terraserver and immediately import into a usable map.
  • Update MICRODEM program. included in full install.
  • (12/2/2007) S2/S3 (organization value and orientation) added to Create derivative grid on Raster GIS menu
  • (12/26/2007) Drift model combining tide and ship motion
  • (1/19/2008) Quick sea level rise option.
  • (1/27/2008) New buttons on [image] Perspective views to zoom in and out (make the window twice or half as large)
  • (2/10/2008) Thumbnails--batch change size of bitmaps, and change the format
  • (3/26/2008) Compress/decompress moved to the tools menu, available from the Main menu or when a map window is active. (Still available on the DEM manipulation form)
  • (5/12/2008) Toggle on the Printer/hardware tab of the options form, to save GIFS transparent (or not). Formerly this applied mostly to KML, but now all GIF saves should use the selected setting. In MICRODEM, this setting is ignored, and how it affects other software is an open question. It is mostly likely to affect images that try not to show a white background.
  • (1/5/2009) VRML
    • View file structure on the File Metadata option of the Analyze menu.
    • Extract XYZ points from the Import menu on the Data Manipulation form.
  • (5/25/2009) Disaster Response Map Symbols (DRMS)

Lidar Point Clouds

  • (3/31/2009) Laser scanning point cloud visualization and and manipulation
  • (5/8/2009) Read of the LAS format and display point cloud

Tiger files;

  • (11/30/2008) Tiger 2007 edges shape files, will use the Tiger line plotting options. At present you must pick them as a shape file, and they can be stored anywhere.

Imagery:

  • Direct viewing of MrSid in MICRODEM (on the fly conversion to Geotiff with world file).
  • Displays NLCD 2001, which required reading Geotiffs in Albers equal area conic projection.
  • MODIS Rapid Response Imagery options
  • Register imagery with Google Earth and KML files.
  • (11/20/2007) Recenter imagery in analysis window by right clicking at the spot you want to be the map center.
  • (11/25/2007) Fixed some serious problems with image registration, and changed image registration interface
  • (12/15/2007) Improvements to hyperspectral imagery
  • (12/30/2007) Many options for imagery moved from the image analysis form to a new menu option (Image analysis) on the regular map
  • (2/28/2008) Register historic maps with Map Analyst using Delauney triangulation.
  • (2/28/2008) Special case to register quadrangle scanned maps using Delauney triangulation.
  • (2/28/2008) Tile and export scanned maps to Google Earth using Delauney triangulation..
  • (3/2/2008) Improved options with Gazetteers to register imagery
  • (3/7/2008) Modified reading of world files, with an option to always ask about the datum (Import/Export tab of the options form).
  • (5/30/2008) New option to merge imagery
  • (6/25/2008) Read JPEG2000 imagery
  • (11/30/2008) extrapolate to the edges of the map when scanning.
  • (2/13/2009) should recognize Spot 4 band Geotiffs from Geobase Canada.
  • (3/5/2009) major enhancements to supervised classification
  • (5/8/2009) fixed problems getting Band 7 to load automatically with the other bands when using Landsat TM downloaded from USGS (GLOVIS)

OpenGL:

  • (5/8/2009) Allows use of the 3DConnexion SpaceNavigator ( 3D mouse)

GPS:

  • Coordinate conversions on GPS waypoints form.
    • LL files can only be read here.
    • UTM file conversions
  • (12/30/2008) Changed GPS menus, and options only available from a map window.

Geology:

  • (8/29/2008) Added protractor to the LOS view.
  • (4/11/2009) Improved options for how to plot the beach balls.
  • (4/26/2009) Use SRTM atlas for classification
  • (5/8/2009) Sieve analysis

Oceanography:

  • Sidescan sonar with XTF files (may or may not be very robust with variants of the file) and Subbottom profiler with EdgeTech files
  • Drift model

Map library --in May 2009, we changed the integrated database to map library. You lost the ability to set the index map to anything other than a simple world map, but gained the ability to load data from the map library from an map. SRTM-30 now uses the Map Library rather than a special format.

Disabled options .

Last revision 5/29/2015


New in Version 12

New in MICRODEM Version 12

Version 12.0 first appeared in June 2009, and was intended to be compiled under Delphi 2009. Problems with UNICODE strings meant that the first versions had a number of options disabled while we worked to recompile some options with UNICODE as the default string type. The difficulty in backward compatibility between Delphi 2009 and Delphi 2006 means that the conversion did not go very fast. In late May 2010 we finally got the Unicode version running, and henceforth it became the only version maintained. In June 2011 we began the move to Delphi XE. Distributed version 16 moved to Delphi XE2 in November 2011.

(6/1/2010) Updated current limitation due to the upgrade:

  • GPS/Com Port support currently off.

  • TCP option probably not working.

Version number has now been de-emphasized on the splash screen, in favor of the build number, which is easier to track because it changes daily instead of annually (at best).

Program History

(11/15/2010) Most recent improvements listed with date implemented

Map appearance and options:

  • (6/1/2009) Menu/toolbar settings are now stored in a database, and survive program updates.
  • (7/24/2009) [image] Range circle operations changed.
  • (11/15/2009) Option to use an open DEM for 3D shading of a grid.
  • (12/2/2009) Overlay true north lines
  • (12/3/2009) [image] Open Database has a new icon on map toolbar
  • (3/2/2010) Create shapefile with a rhumb line. This replaces an older option to create great circles and small circles.
  • (6/1/2010) [image] Grid option to hide the primary datum grid.
  • (10/18/10): Stereo pair generation improved via saving to JPS or PNS files for viewing with nVidia shutter glasses.
  • (12/1/2010) Save DEM base maps for rapid opening
  • (12/20/2010): Quick vector map: option on the Vector maps tab of the options form, to select a default map projection.
  • (3/30/2011): Copy map to clipboard now uses setting on the Maps tab of options form determines if this has marginalia automatically added.
  • (5/25/2011) Legend Elements to be drawn and locations. has font size, overall legend size options, and ability to locate the legend anywhere along the x axis on the top or bottom of the map.
  • (6/6/2011) [image] Map Overlays World outlines uses Natural Earth vector shapefiles.
  • (6/10/2011) Coloring of grids by integer code

Line of sight/ [image] Viewshed:

  • (6/1/2009) Geostationary satellite visibility
  • (8/15/2009) Wavelength/height from profiles
  • (11/14/2009) option to turn vegetation grid on/off for viewsheds on the viewshed parameters form.
  • Better Documentation for Save and restore fans
  • (12/17/2009) Easier selection of multiple fans, and draw in batch mode using multiple threads and processors.
  • (3/12/2010): option to turn any points database into a viewshed sensors file. Edit button on the database table form.
  • (6/7/2010) LOS shown, OpenGL through point cloud
  • (10/13/2010) wavelength/height from profiles allows a floating point value for the minimum wave height, which allows computations for ripple spacing in multibeam bathymetry
  • (10/19/2010) Fresnel zone cross sections
  • (12/1/2010) Create map of earth curvature (on Required antenna height of Calculate, Intervisibility menu)
  • (5/4/2011) Thread crests Option on LOS Right click to get dune crest height and spacing

DEM/Grid Manipulation:

  • (6/3/2009) Merge for ADF format grids
  • (1/13/2010) Save of Geotiff DEMs will save floating point values, instead of rounding them
  • (3/25/2010) File, Open from the main menu. has an option to open and merge DEMs on the fly. This moved by the Data manipulation form, Merge menu
  • (3/30/2010) Directions for arbitrary DEM merges
  • (5/23/2010) New version 3 DEM header. If you export to other software that expects to read MICRODEM DEMs, you should should a older version of the program, and get that software to be modified (should be a very simple fix). You should also use Geotiff as a better format for transfer.
  • (5/23/2010) VAT display
  • (6/17/2010) Can read the VAT.DBF file from a Geotiff exported by ArcGIS
  • (6/22/2010) Read IMG files with GDAL, and a batch conversion of them to MICRODEM format.
  • (12/12/2010) There had been two ways to merge DEMs, one of which had a limit of 101 DEMs. They have now been combined, and the limit is 501.
  • (2/3/2011) Viewsheds will display the masked, and masked+visible in addition to visible. If you want to overlay fans, you should only use the visible option.
  • (2/3/2011) Fix bug where Create derivative grid could create a datum offset problem (probably limited to UTM grids with NAD27 where NAD83/WGS84 was the primary datum in use).
  • (6/16/2010) Slight change to the DEM header, to allow over 64,000 columns in a data set. Old files will continue to be read correctly.
  • (6/16/2010) Max DEM columns now set to 92,000
  • (6/17/2011) Import of ESRI ADF files now uses the directory name (data set name) in the name of the grid

Data base operations:

  • (6/24/2009)Speed up Mask database with shapefile
  • (6/24/2009) Find points in areas
  • (7/29/2009) Add records to shapefile by digitizing [image] Annotate Map or GPS
  • (7/30/2009) All DBs option for histograms on the STATs button popup
  • (9/14/2009: Option to sort a numeric field in a database (on clicking the field name)
  • (9/15/2009): Option to put a separator when concatenating string fields (edit button on the database display table)
  • (10/7/2009) Greater control over text placement with GIS DB plotting
  • (12/20/2009) Cut and paste line and area records from one shapefile to another
  • (2/21/2010) Add new record to point database, at a specified distance and azimuth from another point
  • (3/12/2010): option to turn any points database into a viewshed sensors file. Edit button on the database table form.
  • (3/25/2010) Rename fields by right clicking on the title bar for the field.
  • (3/25/2010) Check when opening a CSV, if the DBF already exists, so you do not accidentally overwrite any changes.
  • (4/8/2010): Changes to the Gazetteer toolbar
  • (6/7/2010) Database tables show colors, line symbols, and icons in the display grid.
  • (6/9/2010) Quick edit option by right clicking on the column header in the database display grid.
  • (6/11/2010) Forward/backward button in the database table record display form.
  • (6/11/2010) Improve and better document database option for photos with GPS locations embedded with EXIF tags.
  • (6/28/2010) Computer perimeter of area records in database. Field arithmetic menu, Edit button on the database table form.
  • (7/7/2010) Search and replace in DB table Double clicking on a field name (string fields only)
  • (8/22/2010) Add integer code field for a string field, and populate it.
  • (10/18/2010) Find neighbors has option for point databases in addition to areas
  • (12/2/2010): Improved finding of area record that contains a point, and if a point is in a record.
  • (12/4/2010) Quick plot and Quick filter options on database table, by clicking on the column field name
  • (12/5/2010) Improved legends for ratio and color code by single numeric field.
  • (12/9/2010) Frequency table results can be sorted by either count or field value
  • (12/9/2010) Option to sort table by clicking on the column field name
  • (1/5/2011) Quick filtering toolbar
  • (1/6/2011) Record display window had a number of buttons removed; you can now do those options with the "OPTION" button, which brings up the same popup as Double clicking on a record in the data base
  • (2/3/2011) Display of Image, Climograph, Earthquake focal mechanism are now all done with the Record display window instead of with individual menu choices on the popup after Double clicking on a record
  • (2/24/2011) PolylineM and PolygonM shapefile types allowed (they are treated just like 3D shapefiles)
  • (4/7/2011) Option to set a scaling factor for icons (Symbol and color selection)
  • (4/12/2011) Checkboxes on the Database display window to show/hide databases, without changing the selected symbology.
  • (4/18/2011) Point in area on the Edit button, and Calculate centroid on clicking on a record in the Database display table.

Gazetteers:

  • (7/9/2010) Use gazetteers from Canadian Geobase. They must be placed in the gazetteer directory, and you must manually add the lat/long the table on Map coordinates submenu of Edit menu of database table form.

GPS:

  • (7/19/2009) Create shapefiles from GPS

Datum:

  • (6/1/2010) Strongly discouraged not to set the primary datum to anything other than WGS84/NAD27. This may become mandatory.
  • (12/6/2010) Changed datum and ellipsoid files to DBF database instead of text file.

PLSS:

  • (7/19/2009) Convert PLSS locations to lat/long ( [image] Convert coordinates, and Calculate menu)

Land Cover:

  • (4/8/2010) Manipulate Corine Land cover 2000 for Europe (100m)

Lidar Point Clouds

  • (9/15/2009) Digitize points on the slices graph
  • (2/4/2010) LAS/DBF point cloud overlays New options for point cloud visualization on a map
  • (2/6/2010) Directions to compare point cloud to DSM/DTM
  • (3/15/2010) Convert DBF files into LAS files (Import on Data Manipulation form ).
  • (4/8/2010) Many improvements to LAS file operations
  • (6/7/2010) Greatly improved display of OpenGL point clouds
  • (6/9/2010) LAS file decoding can recognize SPCS coordinate if encoded in the LAS file
  • (6/9/2010) [image] Map Toolbar button for point clouds

Geomorphometry:

  • (8/3/2009) New Set block settings for geomorph block parameters
  • 8/20/2009) Geomorph atlas manipulation
  • (9/21/2009): Point classification can make stream maps and masks, in addition to ridges. Previously we had relied on TIGER vector data.
  • (12/21/2009) Point fabric and fabric overlay modified
  • (2/27/2010) Statistics in blocks from Geomorphometry analysis option on the Analyze menu can use just the points in a shapefile.
  • (5/4/2011) Thread crests Option on LOS Right click to get dune crest height and spacing
  • (5/13/2011) Create new grid with Roughness factor (and allow this, and the Organization (s2/s3), Flatness (s1s2), Fabric direction grids to be done on a much smaller region if desired).

Tiger files

  • (9/22/2009) Address Geocoding using TIGER shapefiles
  • (2/21/2010) Use 2009 TIGER Shapefiles for TIGER Index.
  • (12/15/2010) TIGER 2010 ROADS files will be recognized, in addition to EDGES
  • (1/28/2011) OpenStreetMaps display like TIGER Files.
  • (6/14/2011) Indexing for TIGER shape files will look for 2012 down to 2007, and pick the most recent present

Imagery

  • (10/26/2009) Cut/paste in registering imagery
  • (11/4/2009): format of the TNG files for supervised satellite image classification changed (to allow bigger training areas). Old files can only be used with old versions of the program.
  • (11/18/2009) Read ECW imagery (uses FWtools)
  • (11/20/2009) Read IMG imagery (ESRI, not ERDAS; uses FWtools)
  • (4/28/2010) MSR maps replaces TerraServer
  • (6/10/2010) Compute (VARI) Visible Atmospherically Resistant Index, which does a good job detecting forests on NAIP
  • (6/10/2010) Range masking contrast enhancement
  • (6/10/2010) Compute STD Texture for imagery on image analysis menu
  • (6/11/2010) Create RGB grayscale image
  • (6/11/2010) Erode/dilate monochrome imagery (since 3/19/2010 on image editor)
  • (6/15/2010) Unsupervised image classification
  • (6/21/2010) Default saves new bands in the Windows Temp Directory.
  • (6/22/2010) Option to save band with contrast stretch applied (Create new band on Image Analysis menu)
  • (6/22/2010) Option to save all satellite image bands and single band Geotiffs (File menu)
  • (7/21/2010) MSR maps (formerly TerraServer) has caveats on limitations on the image download into a working map.
  • (7/26/2010) Load WMS maps

Land Cover

  • (8/12/2010) Landcover (NLCD 1992 and 2001) in uncompressed Geotiff can now be loaded as a DEM/grid. It will be entirely in memory, and operations will run much faster.

3D Views

  • (4/3/2010) Option to get just the ridge crests on perspective and panorama.
  • (6/7/2010) Greatly improved display of OpenGL point clouds

Oceanography:

  • (10/27/2009) Document plotting of CTD data
  • (4/18/2010)--Databases can compute SigmaTee, SigmaTheta, and Sound Velocity if fields TEMP_C and SALINITY and DEPTH exist. (Edit, Field arithmetic).
  • (7/6/11) Plot tidal predictions

Satellite Predictions

  • (8/18/2010) Satellite predictions can do other satellites in addition to GPS, and have sky maps with the horizon

Debug Log:

  • (11/19/2009) Debug log from the last run of the program available from the help menu.
  • Debug log moved to c:\mapdata\temp

Tools:

  • (9/19/2010) Image display "compute color palette" creates a table which shows color snippets.

Menus:

  • (6/19/2011) Save project and restore projects are moving from the Window menu to the File menu.

Program operation

  • (6/21/2011) Fixed problems starting problem without an internet connection (relating to updates)

Last revision 5/12/2011


New in Version 12

New in MICRODEM Version 16

Version 16.0 first appeared in November 2011, compiled with Delphi XE2.

Version number has now been de-emphasized on the splash screen, in favor of the build number, which is easier to track because it changes daily instead of annually (at best).

Program History

(11/28/2011): Spires and pits revised.

(11/28/2011): Fresnel zones major rewrite

(11/28/2011) Fixed problems with ambush

(11/29/2011) [image] Area computation revised to create shapefile with the region.

(12/13/2011) Edit menu has new options to remove single point pits or spires in a DEM

(1/2/2012) MICRODEM.INI with default settings

(1/4/2012): Major changes to [image] Line of sight / Topographic Profiles with point clouds (spillover for other cases)

(1/7/2012): option to save end points for LOS from the file menu, and to restore it by opening the resulting CSV file and picking the profile option on the STAT button menu.

(2/10/2012): numerous changes to plotting databases.

(2/12/2012): To plot database by ratio, first compute the ratio (Edit, Field arithmetic), and then plot that field.

(2/18/2012): Multiple changes to Geotiff imagery, or WorldView 2 and QuickBird imagery with 16 bit data, 4 and 8 bands in a single file. This requires a new sat_band_names_v2.dbf data file, which now has the names the Landsat TM bands in the database instead of in the program code.

(2/28/2012): multiple changes for form to control point clouds not viewed over a map.

(2/28/2012): can open a TXT file like a CSV

(3/4/2012): option on Image analysis menu to get the Digital Numbers for all bands, and it will report the 16 bit results for Geotiffs.

(4/1/2012): additional options to edit DEMs, and to reclassify them

Veg density voxels:

  • Vegetation density vertical profiles
  • Power line detection

(7/12/2012): deployment of a 64 bit version is imminent. This requires moving to a different method for database access, because the BDE will not work in 64 bit Windows. The rewrite is underway, and if you use this version of the
program, you should be careful to back up any critical databases as it is possible that there will be growing pains would could involve loss or corruption of databases. The new choice is SQLite3, which hopefully will allow eventual deployment to smart phones.

(7/13/2012) Changes to DEM handling because Memory is cheap

  • All old MICRODEM DEMs will be rewritten

  • All 32 bit DEMs will be imported as floating point (explicit save as 32 bit if desired)

  • DEMs/grids will save as 8 bit, 16 bit, or 32 bit depending on selected option

(7/13/2012) Changes to allow Geotiffs to be used as both images and grids

(7/13/2012) Several changes to support databases, because SQLite does not like some field names (e.g. TABLE or FIELD and does not like a "-" in a table name.

(8/22/2012): The INI and menus.dbf file are now stored in the Windows Application Directory. This lets each user on a lab computer keep there own settings.

(8/22/2012): Change to Update MICRODEM program and help file. The external file is no longer needed, and the Windows security is hopefully happy with it, and will stay happy.

(8/22/2012): Many changes to Line of sight.

(8/22/2012): Options to open two vegetation grids, two vegetation density voxel data sets, and two point clouds, and to compare then on a Line of sight or slices.

(8/27/2012): First 64 bit version of the program.

8/27/2012: Revision of MGRS grid zones and 1:100K squares (UTM) so they draw better on conical map projections. Also changed

  • New Vector Map so that you can automatically draw MGRS grid zones and 1:100K squares (UTM)

8/31/2012: added a Masking option on the Plot popup of a database.

Last revision 8/27/2012


New in Version 12

New in MICRODEM Version 17/18

Version 17.0 first appeared in September 2012, compiled with Delphi XE3. It had the first released 64 bit version of the program.

Version 18.0 first appeared in April 2013, compiled with Delphi XE4.

Version 19.0 first appeared in April 2013, compiled with Delphi XE5.

Initially the builds were made interchangeably with XE2 and XE3 and XE4 and XE5 (they are not significantly different, as least as far as what MICRODEM does, and the real differences among these Delphi versions is the support for platforms other than Windows).

Version number has now been de-emphasized on the splash screen, in favor of the build number, which is easier to track because it changes daily instead of annually (at best).

Program History

9/6/2012: Co-occurrence matrix

9/6/2012: Improved recognition of NLCD data.

9/7/2012: first Windows 64 version of the program.

9/28/2012: Open tiled Geotiff DEM

11/25/2012: Multiple changes to WMS operations

12/7/2012: File, Tools can create a world file for images of the entire earth. The upper left corner must be -180, 90 (North Pole, IDL), and the image must have a width twice its height.

12/23/2012: use 144 band hyperspectral imagery in single Geotiff file

6/11/13: changes to

  • Supervised classification

  • Multiple grid masking

7/5/2013

  • ID features
  • Grid migration

  • Feature migration

7/11/2013

  • Monthly winds

8/16/2013

  • Save as Geotiff includes the missing value (but it is a GDAL convention), and can use -9999 to be read by ArcMap.
  • DEM reformat by directory moved to the Resample menu, and can save as Geotiff.

12/18/2013

  • Landsat browse images.

8/2/2014

  • New MICRODEM DEM format

9/1/2014

  • Edit image menu choices and toolbar buttons removed. Use copy to clipboard and then paste where you want.

Last revision 8/2/2014


New in 7.0x

New in MICRODEM Version 7.0x

Version 7.0 was first fielded as an alpha version in April 2003.

Version 7.01 appeared in July 2003, and interim minor incremental builds were made regularly. It was always regarded as an alpha version.

General new options or improvements:

  • TIGER button on main program toolbar loads vector map of a single county (must be enabled on the options menu form, Menu choices tab).
  • New format for TIGER database.
  • Option to download Garmin GPS waypoints, and import Magellan waypoints.
  • Changed where some of the standard US databases need to go (Counties and USGS 24K quads), and automatic drawing of the counties, states, and Fenneman provinces.
  • Previews of map color schemes (elevation, slope, reflectance) when picking
  • Interactive selection of reflectance parameters.
  • Should be able to load imagery first, and then the DEM, and the DEM will be associated with the imagery when you select an option that requires a DEM.
  • OpenGL remembers some settings in program defaults, has slider bars for interactive light adjustment, and fixed some lighting problems that correct sun orientation was not set. Improved OpenGL 3D controls.
  • GMT used to grid irregular XYZ points.
  • Improved entry of slope categories.
  • Downhill drainage direction overlays and other improvements to drainage basin delineation.
  • Improvements to Trend surface analysis.
  • Volume computations with difference grids.
  • Floating point DEMs
  • PolarView extension, to use MICRODEM with Geowall.
  • Improved results working with multiple monitors.

New data import options:

  • Native read of NED BIL and gridfloat files; Globe, GTOPO30, and SRTM-30.
  • Display Global Land Coverage 2000 files.
  • Display IBCAO (International Bathymetric Chart Arctic Ocean).
  • Read netCDF/GMT bathymetry.
  • ASCII XYZ import can be comma, tab, or space delimited, and uses a dd-mm-ss.sssN type of format.
  • Read Mars DEMs.
  • Break SRTM-30 into 1 degree tiles, and index them.
  • Fill holes in SRTM-3 with SRTM-30.
  • Use the new (May 2004) PLSS data files.

Changes for large DEMs:

  • Predicted bathymetry can now load the entire data set.
  • No longer asks about thinning or subsetting DTED2 but loads automatically.

Changes for Imagery:

  • Previews of satellite contrast and band selection.
  • Support for SPCS imagery (state plane coordinate system)

Program History

last revision 8/18/2015


New in 8.0x

What's New in MICRODEM Version 8

Version 8.0 first appeared in May 2004 and was retired in September 2005.

General new options or improvements:

3D viewing:

  • VRML Option to output directly to WalkAbout and Immersaview
  • Crest separators in perspective view (general tab).
  • Draw parallel profiles to a LOS/topo profile

Intervisibility

  • Major overhaul of many of the intervisibility operations, including new options for computing coverage of a specific target region.
  • Experimental Option to set a minimum blocking distance for LOS and viewsheds.
  • Optimal location in box and Optimal location to cover target
  • Experimented with new Intervisibility options. These are not yet in the program, but will be added as we determine the best way to use them.

DEM Formats

  • New DEM Format.
  • Save DEMs in 3D formats (OBJ and DXF)
  • Save DEMs as PGM files (no cartographic information, incorrect scaling if lat/long DEM).
  • Read CDED from zip file with two halves of the DEM, and index in the new integrated database.

GIS Databases

  • Label TIGER features
  • Database indexes use full path names. They used to use relative paths, to allow the entire data directory structure to be copied to a CD or other portable storage device. The new structure allows data to be spread across multiple drives.
  • Subset shape files.
  • Create a climate data base for Koppen climate analysis.
  • Use a DEM or Image for the index map in the USGS data or NGA data databases.
  • Enhanced edit of line/area shape files.
  • Option to set width, color, and plot or not plot of world outline of coasts, rivers, and political boundaries.
  • Stratcol GIS
  • County outlines can use TIGER or National Atlas files.

Map Display

  • Create DEM map covering the exact same area as an image. It will be interpolated with the same area and spacing as the image. (May not work at the moment)
  • Redraw all open maps to cover the same area and at the same scale as a map (on the map's File menu).
  • Redraw all open elevation maps using the same color scale (on the map's File menu).
  • Option to used defined color palettes.
  • Open a shape file and display it in a blank vector map. On the File menu.

Others

  • Improved Terraserver image preview.
  • Drainage basin operations using TARDEM.
  • Some options are now threaded to use a multi-processor computer. (May not work at the moment)
  • Some options can now run over a grid network, with computations distributed to client computers. (May not work at the moment)
  • Sunlight maps and computations of sunlight above the horizon/blocked by topography.
  • Option to open a text window to display the results of analyses.
  • Option to zip file on the Uncompress menu of the Data Manipulation form
  • Improved the use of color schemes for elevation maps in the palette dBase table.
  • Masking grids for statistical operations
  • Thin DEM option moved to the file menu when a map window is active.
  • Option to fill holes in NED extending into Mexico with SRTM.
  • Program will open a Zipped TIFF image, as long as it is a single file (all bands in the same file, with the registration included [i.e. no world files]), and the name of the TIFF file is the same as the ZIP archive.

Disabled some options.

Program History

Last revision 8/6/2006


New in 9.0x

What's New in MICRODEM Version 9.0x

Version 9.0 first appeared in September 2005. It was compiled under Delphi 2005. It was replaced with Version 10 in June 2006.

Program History

General new options or improvements:

  • Integrated database
  • SRTM water bodies
  • Mark as missing the water bodies in the SRTM data set.
  • Avoid text overwriting
  • SPCS DEMs (Geotiff and ASC formats)
  • Index ADRG: copy all files on the CD into c:\mapdata\indexed_data\adrg\, with each CD in a separate subdirectory. Then run an index, and open using index button.
  • Option to set missing values during DEM import. Set on Import/Export tab of options form.
  • Option to set the color scheme used for numeric coding of a data base.
  • Documented linking of data bases to color from numeric fields.
  • Maps of curvature tendency and direction on the Display parameters menu
  • Revised options to set parameters for elevation and reflectance maps, especially to set the z range for coloring.
  • Documented how to get multiple OpenGL views covering the same area.
  • New option for hillshading of map, which works better for DRGs than the old method, on revised Map shading options form accessed on the "Modify" menu and on a right mouse button click..
  • Roads from the National Atlas added to the list of US properties that can be automatically overlaid on a map.
  • Viewer tab on perspective options form that allows adjusting the viewer's location on perspective view.
  • Shape file groups allows filtering files.
  • Option to put an "All.datum" (datum file) in a directory with a number of JPEG or other imagery files with world files. You should open a file and let the program create a DATUM file for it, and then manually copy that file to "ALL.DATUM". The .DATUM file replaces other files which depended on the type of imagery (but did not work with MrSid imagery).
  • Alpha blend a photograph that matches a perspective view.
  • Documented editing a DEM with a shape file, and new option to flatten lakes.
  • Improved Koppen climate classification operations.
  • Option to assess the affect of region size on computed slope.
  • Paste bitmap onto a map (e.g. put in a legend from a database, which is now plotted in a new window):
    • Copy the bitmap to the clipboard, using standard windows techniques. MICRODEM windows may do this with with a right click, or an icon on the toolbar, or on the File menu..
    • Right click on the map, and pick the paste from clipboard.
    • Pick whether you want
      • Replace the image on the map if the bitmap covers the entire map area
      • Pick the location to paste the bitmap
        • Move the bitmap with the mouse to the desired location.
        • Right click.
  • Paste legend onto a graph
    • Select the legend button on the graph toolbar (last button on the right)
    • Select the option to paste onto the graph instead of putting it on a separate window.
    • Drag to the location you want.
  • Option to locate spires and pits.
  • Improved satellite band manipulation, including negative images and image sums.
  • Hyperspectral imagery
  • Improved records labels of GIS data bases.
  • Major enhancement to basin flooding/sea level rise/storm surge.
  • Improved linking data bases
  • New option to filter a database with an irregularly shaped map area.
  • Improved options for display for earthquake focal mechanisms.
  • Option on the Calculate menu to draw great circles through a point and small circles about a point.
  • Option to put labels from two fields in a database on the map
  • Terrain category legends show the percentage of the current map area in each category.
  • Import Harvard earthquake centroids using new NDK format.
  • Direct viewing of MrSid
  • New options for coloring a database with field values.

Complete record of changes to the program.

Last revision 8/18/2015


NGA Gazetteer

NGA produces gazetteers for every country in the world except the US (Compare with USGS gazetteer). There are 252 regions, most of which are countries but there are also territories and other regions like the West Bank, officially "geopolitical areas".

The files use standard 2 digit abbreviations for the region.

Download and convert gazetteer files for use.

FC, Feature Class: Nine (9) major feature categories into which similar feature designations are grouped.

  • A = Administrative region
  • P = Populated place
  • V = Vegetation
  • L = Locality or area
  • U = Undersea
  • R = Streets, highways, roads, or railroad
  • T = Hypsographic
  • H = Hydrographic
  • S = Spot

There are >500 FDC codes

Single record from NGA Gazetteer for France

Field | Value
LAT | 49.366667
LONG | -0.883333
NAME | Omaha Beach
RC | 1
MGRS | 30UXV5367370372
FC | T
DSG | BCH
CC1 | FR
ADM1 | 99
NT | N
SORT_NAME | OMAHABEACH
FULL_NAME | Omaha Beach
MOD_DATE | 2002-02-19

Most common classes in NGA Gazetteer for France (n=97,593, in 160 classes)

DSG | n
PPL | 74561
STM | 6278
FRST | 2974
PK | 1780
MT | 1330
HSEC | 1007
PASS | 921
FRM | 819
PT | 697
LK | 522
PPLX | 468
ISL | 379
RK | 368
SHOL | 351
ADM3 | 320
RF | 289
CNLN | 265
RKS | 263
HLL | 240
RGN | 215
BAY | 212
COVE | 211

last revised 11/2/2017


Using NGS Survey Control Points

You can get National Geodetic Survey control points.

  • https://geodesy.noaa.gov/NGSDataExplorer/ lets you see them on a map, and see the individual data sheets, but does not appear to have a download capability.
  • https://geodesy.noaa.gov/datasheets/ lets you get shapefiles

New DEM . Open one DEM or multiple DEMs of the same area.

Database. Open shape file with ground control points.
10 m USGS DEMs.

Map showing National Geodetic Survey ground control points. Note that many follow roads, and and not randomly or evenly distributed, although they do cover many of the major peaks
You can use the Edit button on the Table display window, DEM options to add the elevations for the DEM or multiple DEMs.

This database shows the locations of the bench marks, the elevation from NGS, and the elevation difference for each DEM (positive, the interpolated DEM elevation is higher than the bench mark).
From the Plot button on the Table display window, Color code by DB field you can get the differences from the DEM for each of the bench marks. Note the small differences on the roads in flat terrain.

The largest deviation in this region is -37 m, and this shows its location with the DEM reflectance view with overlaid contours ("overlay, contours" from the menu).

The interpolated DEM value is 1857 m.
DRG, obtained by right clicking on the map and loading Terraserver data.

The peak with the elevation control is shown as 6107 ft (or 1,861.41 m). Since this is almost exactly the value in the DEM (probably not surprising, since the DEM was produced from the contours on the paper map), either there is a big problem with the DEM and paper map, or the NGS database has a problem.
SRTM DEM with the deviations from the control points. Note the very close agreement along the roads.

A difference result, with two DEMs (33123379 is the SRTM). The SRTM is even lower than the USGS 10 m DEM, suggesting that the NGS control point is in error in the database.
Contoured SRTM DEM. Note that the control point is not on the peak, suggesting a horizontal displacement error, and that the peak elevation (determined by the closed contour) closely matches that from the USGS 10 m data.

Last revision 3/4/2021


Night Lights

Night lights. from the Air Force DMSP satellite, for 2003.

This is Afghanistan, and its darkness rivals countries like North Korea.
  • https://blogs.worldbank.org/opendata/shedding-light-night-lights-data-dmsp-vs-viirs
  • Easiest access: https://wvs.earthdata.nasa.gov/
  • Other options
    • 2020, VIIRS daily night light composite: https://www.ngdc.noaa.gov/eog/viirs/download_ut_mos.html The files are very large, and you will have to figure out how to use them.
    • https://payneinstitute.mines.edu/eog/nighttime-lights/
    • 2012 and 2016 data: http://earthobservatory.nasa.gov/Features/NightLights/page3.php Get Geotiffs, ~750 m resolution (also available, 3 km and 0.1 degrees). Lights on a colored background.
    • 1992-2013: http://ngdc.noaa.gov/eog/dmsp/downloadV4composites.html. Just the lights; annual images, some with two satellites. should be opened as a Grid/DEM. 30" spacing
  • Online, with great zoom in: https://blue-marble.de/nightlights/2019 and https://blue-marble.de/nightlights/2021

You can display one year's data, either:

  • File, Physical Geography labs
  • Climate options

Last revision 8/1/2017


Vertical Datums, Elevations, and Heights

A Defense Mapping Agency publication.

Have you ever considered what it means to say that Mt. Elbert, the highest peak in Colorado, has a height of 14,433 feet? Where is this measured from -- the center of the Earth, the surface of the Earth, or somewhere else? How do we define zero height or zero elevation?

The zero surface to which elevations or heights are referred is called a vertical datum. Traditionally, surveyors and mapmakers have tried to simplify the task by using the average (or mean) sea level as the definition of zero elevation, because the sea surface is available worldwide. The mean sea level (MSL) is determined by continuously measuring the rise and fall of the ocean at "tide gauge stations" on seacoasts for a period of about 19 years. This averages out the highs and lows of the tides caused by the changing effects of the gravitational forces from the sun and moon which produce the tides. The mean sea level (MSL) then is defined as the zero elevation for a local or regional area. But what do you do for Mt. Elbert? Where is the MSL in Colorado? There is no tangible surface of the ocean from which to measure height.

It turns out that MSL is a close approximation to another surface, defined by gravity, called the geoid, which is the true zero surface for measuring elevations. Because we cannot directly see the geoid surface, we cannot actually measure the heights above or below the geoid surface. We must infer where this surface is by making gravity measurements and by modeling it mathematically. For practical purposes, we assume that at the coastline the geoid and the MSL surfaces are essentially the same. Nevertheless, as we move inland we measure heights relative to the zero height at the coast, which in effect means relative to MSL.

Height Measurement

Aviators, sailors, soldiers, and astronauts use a variety of techniques and equipment to measure heights. Because of assumptions made, there is no guarantee that each technique will produce the same height measurement. Although the map says heights are with respect to MSL, height measurement systems may not give exactly equivalent results as the following example illustrates.

A sailor aboard an anchored destroyer turns on his Navstar Global Positioning System (GPS) receiver and reads that his present height is minus 25 meters. Knowing the ship hasn't sunk, he questions the accuracy of his equipment. The manual says his receiver has a vertical accuracy of plus or minus 9 meters, so he decides to record the measurements for several hours to see if the elevation will ever be positive. Later, when he compares the readings, he finds that all are negative with a mean value of minus 20 meters.

What's the problem here -- is the receiver broken? Probably not. Standard GPS receivers and software have built-in flexibility to meet a variety of applications. Different applications need heights or elevations with respect to different zero surfaces. Most GPS receivers have built-in software to do these transformations. The user needs to specify the correct vertical reference system. If the user makes wrong assumptions, the results can be very confusing at best. For the pilot trying to make an instrument landing (precision approach), having the wrong height information can have dire consequences!

Zero Surfaces of Height Systems

To understand the differences in height measurements and their representation on maps and charts or on the display of a piece of equipment, it is necessary to understand the differences between topographic surface, ellipsoidal surface, and the geoid. The topographic surface is the actual visible surface of the Earth. To represent horizontal positions on maps and charts, we need a mathematical model of the Earth which includes a set of numbers for the size and shape of the Earth. Because the Earth is slightly flattened at the poles, a sphere won't work. A flattened sphere, which is called an ellipsoid, is used to represent the geometric model of the Earth. As mentioned earlier the geoid, which is approximated by MSL, is the zero surface as defined by the Earth's gravity. The answer to the question posed in the diagram is, "Depending on the application, the ellipsoid, the geoid, and the center of the Earth are all used." In fact, for the standard GPS receiver to output MSL elevation all three of these zero references must be used!

Calculating Height or Elevation

We can calculate height or elevation, using any zero reference as a starting point, including the center of the Earth. The diagram below shows the relationships among height systems.

  • MSL elevation is roughly equivalent to orthometric height (H), the technical name for height above the geoid.
  • Geoid height (N) is the separation between the geoid and the ellipsoid. It can be plus or minus.
  • Ellipsoid height (h) is the distance above or below the ellipsoid (plus or minus). Ellipsoid height is also called geodetic height.

For example, to get MSL elevation from ellipsoid height, you simply have to subtract the geoid height
(H equals h minus N)

How Good is MSL?

All of our maps say "elevations are based on mean sea level," so we're all using the same standard, right? Unfortunately for mapmakers and surveyors, sea level is not a simple surface. Because the Earth is ellipsoidal, you might expect the ocean to form a smooth, even "ellipsoidal" surface around the Earth, but it doesn't. Variations in the topography and the different densities within the Earth's crust produce slight variations in the gravity field, described by the dips and peaks of the geoid. Since the sea surface conforms to that gravity field, MSL also has slight hills and valleys in it, similar to the topographic surface although much smoother. Depending on where you are, sea level may be closer to or farther from the center of the Earth than at some other location. That's why locally-defined vertical datums differ from each other. Zero elevation (MSL) as defined by China differs from zero elevation (MSL) as defined by Chile.

By definition, the geoid describes this irregular gravity shape. Because there is no way to accurately measure the geoid, it has been roughly approximated in the past by MSL. Technically, the geoid differs from MSL by several meters due to other ocean effects beyond the scope of this pamphlet.

Modern Elevation Standards

Remember our sailor's problem? He was expecting to find his height above mean sea level, but GPS receivers automatically calculate the height above or below the ellipsoid instead. The sailor is simply in one of those valleys in the geoid. Many receivers can be programmed to give you an approximate MSL elevation based on a model of the geoid stored internally, but you have to choose this output option. In fact if our sailor had chosen MSL output, the average value would have been approximately zero.

The MSL elevation from the geoid model is not very accurate in some areas, because until recently, we just didn't know exactly how the geoid was shaped. Now we have the technology to improve the geoid model to about one-meter level of accuracy. DMA has an ongoing project to develop an improved geoid by mid-1996, which in turn will be used as a zero surface to establish consistent and accurate elevations worldwide. In the meantime, realize that if you ignore vertical datum issues errors of up to 100 meters could result!

Defense Mapping Agency
Last Updated: 8/14/95


Land Cover Overview

Land cover is a grid which assigns a code to each point in the data set based on occurs there. It differs from land use, but obviously the two are related. The code is normally a byte, and there are usually a few dozen categories. They are created from satellite imagery such as Landsat or Sentinel-2, and due to clouds and collection schedules the imagery is usally from about a year in time.

WorldCover 10 m, spacing 0.3" (10 m) | Copernicus Global Land Cover (GLC100) Globabally available with 3.6" spacing (100 m) . | US NLCD 30 m pixels (2001 to 2016 every few years) This is the best data for the CONUS Land Change Monitoring, Assessment, and Projection (LCMAP) https://eros.usgs.gov/lcmap/viewer/index.html https://www.usgs.gov/special-topics/lcmap https://earthexplorer.usgs.gov/

Extract from the MICRODEM database of landcover categeries.

  • Cateogory is the byte value stored in the grid. In some case the first digit is a larger category, as in NLCD the 20's are all developed areas, and the one's digit has subcategories.
  • The color is normally assigned by the data set creator.
  • The long name

Other land cover data sets

  • Global
    • Terra and Aqua combined Moderate Resolution Imaging Spectroradiometer (MODIS) Land Cover Type (MCD12Q1) Version 6 data product provides global land cover types at yearly intervals (2001-2018) in HDF-4 format (you are on your own to get it into a usable GIS format), https://lpdaac.usgs.gov/products/mcd12q1v006/
    • 300 m C3S Global Land Cover and Land Cover Maps - v2.0.7 22 classes
    • GlobCover 2006 and 2009--300 m pixels
    • Global Land Coverage 2000--1 km pixels
    • ESA World Cover 2020 and 2021, 10 m resolution
    • ESRI 10 m UTM projection Land Cover
    • https://www.un-spider.org/links-and-resources/data-sources/land-cover-map-globeland-30-ngcc 10 classes
  • Europe
    • S2GLC--Sentinel-2 Global Land Cover (10 m)
    • Corine Land cover 2000 and 2006 for Europe (100 m and 250 m)
  • US
    • CDL--Cropland Data Layer USDA 56 m resolution
    • NOAA Coastal Change Land Cover (CCAP or C-CAP)
    • https://www.chesapeakeconservancy.org/conservation-innovation-center/high-resolution-data/land-cover-data-project/ 1m landcover for the Chesapeake water shed, 2013-2014
      • 7 and 13 classes, can get by entire data set, state, or county
  • Africa
    • Africa shapefile and KMZ landcover: http://www.glcn.org/databases/lc_gc-africa_en.jsp
    • Africa 20 m landcover from Sentinel satellite
      • http://2016africalandcover20m.esrin.esa.int/viewer.php (view in web browser)
      • http://2016africalandcover20m.esrin.esa.int/download.php (download 6 GB Geotiff)

Biomes

  • US Terrestrial biomes: http://rmgsc.cr.usgs.gov/ecosystems/dataviewer.shtml

Web viewer Copernicus Landcover from 1992 to 2015: https://openlandmap.org/#/?base=Stamen%20(OpenStreetMap)&center=39.0000,25.0000&zoom=4&opacity=80&layer=lcv_land.cover_esacci.lc.l4_c&time=2015

http://worldgrids.org/doku.php?id=wiki:land_cover_and_land_use

Last revision 4/20/2023


NLCD 2001 Classes Defined

http://www.mrlc.gov/nlcd01_leg.php

Water (same as 1990)
  • 11 Open Water
  • 12 Perennial Ice/Snow
Developed (major change from 1990)
  • 21. Developed, Open Space
  • 22. Developed, Low Intensity
  • 23. Developed, Medium Intensity
  • 24. Developed, High Intensity
Barren (major change from 1990)
  • 31. Barren Land (Rock/Sand/Clay)
  • 32. Unconsolidated Shore*
Forested Upland (same as 1990)
  • 41 Deciduous Forest
  • 42 Evergreen Forest
  • 43 Mixed Forest
Shrubland

(major change from 1990)

  • 51. Dwarf Scrub
  • 52. Shrub/Scrub
 Non-Natural Woody (no longer used)
Herbaceous Upland Natural/Semi-natural Vegetation

(major change from 1990)

  • 71. Grassland/Herbaceous
  • 72. Sedge/Herbaceous
  • 73. Lichens
  • 74. Moss
Herbaceous Planted/Cultivated

(major change from 1990)

  • 81 Pasture/Hay
  • 82 Cultivated Crops
Wetlands

(major change from 1990)

  • 90. Woody Wetlands
  • 91. Palustrine Forested Wetland*
  • 92. Palustrine Scrub/Shrub Wetland*
  • 93. Estuarine Forested Wetland*
  • 94. Estuarine Scrub/Shrub Wetland*
  • 95. Emergent Herbaceous Wetlands
  • 96. Palustrine Emergent Wetland (Persistent)*
  • 97. Estuarine Emergent Wetland*
  • 98. Palustrine Aquatic Bed*
  • 99. Estuarine Aquatic Bed* -

* Coastal NLCD class only

NLCD overview

Comparison 1992/2001 categories

Last revision 10/10/2014


NLCD Percent Canopy

NLCD canopy as a grid/DEM.

Values range from 0 to 100, and represent the percentage of the 30 m pixel covered by forest canopy. You can do all operations to display or manipulate this as if it is a grid or DEM.

NLCD canopy as an image.

The Geotiff has a color table associated, and the non-forested areas are gray. The darker the green colors, the higher the percentage of canopy in the 30 m pixel.

This layer is not related to the vegetation height, or only very indirectly related to vegetation height.

Last revision 8/23/2009


NLCD 1992/2001 Changes

Same NLCD 1992 NLCD 2001
Yes
11 Open Water
11 Open Water
Yes
12 Perennial Ice/Snow
12 Perennial Ice/Snow
21 Low Intensity Residential
22 Developed- Low Intensity
22 High Intensity Residential
23 Developed- Medium Intensity
23 Commercial/Industrial/Transportation
24 Developed- High Intensity
31 | Bare Rock/Sand/Clay
32 | Quarries/Strip Mines/Gravel Pits
33 | Transitional barren
31 Barren Land (Rock/Sand/Clay)
32 Unconsolidated Shore
Yes
41 Deciduous Forest
41 Deciduous Forest
Yes
42 Evergreen Forest
42 Evergreen Forest
Yes
43 Mixed Forest
43 Mixed Forest
51 Shrubland
51 | Dwarf Scrub
52 | Shrub/Scrub
Yes
71 Grasslands/Herbaceous
71 Grassland/Herbaceous
Yes
81 Pasture/Hay
81 Pasture/Hay
61 | Orchards/Vineyards/Other
82 | Row Crops
83 | Small Grains
84 | Fallow
82 Cultivated Crops

85 Urban/Recreational Grasses
21 Developed- Open Space
Yes
91 Woody Wetlands
90 Woody Wetlands
92 Emergent Herbaceous Wetlands
92 | Palustrine Scrub/Shrub Wetland
93 | Estuarine Forested Wetland
94 | Estuarine Scrub/Shrub Wetland
95 | Emergent Herbaceous Wetlands
96 | Palustrine Emergent Wetland (Persistent)
97 | Estuarine Emergent Wetland
98 | Palustrine Aquatic Bed
99 | Estuarine Aquatic Bed

last revision 9/18/2018


NLCD-DEM Image Merge

This needs updating 6/9/2019

Merge DEM and NLCD. It does a good job showing how the land cover corresponds with the topography.
  1. New DEM
  2. New image to open NLCD.
  3. Activate NLCD display.

Other hillshading options.

Last revision 8/19/2014


NLCD Legends

Option on File menu. The results will depend on whether the NLCD is in image, or a grid. If it is a grid, you will get a database table from which you can create a legend. Shows only the categories on the map, and the percentage of the area in each category.

Legend when the NLCD is opened as an image.

  • New image
  • New Landcover map
Legend when the NLCD is opened as a grid (DEM)
This will be a database.
From the database, create a bitmap legend with the Report, Legend: option.

NLCD overview.

Last revision 9/24/2012


NLCD Manipulation

Many operations with NLCD will work best if you have NLCD and a DEM that match exactly.

  • Download the 1" NED and NLCD (1992, 2001, or both) from the USGS Seamless server. If you have the 1/3" NED, you can Thin it by a factor of 3 on the Raster GIS menu. The 1" spacing is most appropriate for the 30 m NLCD.
  • New DEM to open the NED.
  • Create derivative grid on the Raster GIS menu. This will create a grid exactly matching the NED. Save it with a file name and location where you can find it.
    • NLCD-2006 grid
    • NLCD-2001 grid
    • NLCD-1992 grid

Mask Grid with NLCD:

  • New DEM to open the NED and the NLCD.
  • On the NLCD, Edit, Mark as Missing, Single Value to remove a category. You can remove additional categories as well.
  • On the NED, Raster GIS, Mask Grid, Remove missing points in mask, and select the NLCD as the mask.

Last revision 9/6/2012


MICRODEM DataBase Access

Microdem requires access to database files, specifically dBase DBF files which are the de facto standard of the GIS world because of their use in ESRI Shapefiles. In the past this has been with the Borland Database Engine (BDE), which is ancient and will not work with Windows 64 or the handheld devices.

The debug log will list the version of database access used, which might be:

  • BDE (only for Windows 32 version of the program, which is no longer being distributed).
  • tDBF, a free package (http://tdbf.sourceforge.net/, http://sourceforge.net/p/tdbf/discussion/)
  • sqlite

Last revision 9/28/2017


No Spaces in File Names

No Spaces in file names. Never save data in a directory which includes spaces, or use spaces in a file name. There will generally be no problems, but when they happen, they can be a pain to track down. If you want to go commercial for your GIS needs, this restriction also applied (for the same reasons) to E$RI ArcGIS the last time we taught students with it, and led to really bad problems.

Spaces also cause problems on the web (%20 in file names) and links embedded in emails.

Use mixed capitalization (CamelCase), or the underscore ('_') to make your file names easier to read. MICRODEM will remove the "_" when it shows the file names on captions and graph axes.

Spaces have traditionally been used to separate commands and having them in file or directory names can break batch processing or python scripting.

While we can deal with the problem for Windows, we cannot predict how other programs that are called will respond (e.g. GDAL), and don't have the resources to check on this issue.

Last revision 12/31/2018


Distance Normalization For TRI

The original definition of TRI made no account for the different distances to the 8 neighbors, in particular longer distances for the diagonals, and the differences in EW and NS spacing for arc second DEMs. As such TRI was very similar to Average Adjacent Neighbor slope algorithm.

MICRODEM offers several ways to normalize.

  • None--this will match other computations for TRI, with minor differences for how they handle missing and edge data.
  • Use the elevation difference as a directional slope derivative, and use a linear estimate of the elevation at the specific distance from the central point
    • NS distance:
    • EW distance
    • 30 m distance
  • Interpolate: find the point on the diagonal that is 1/2 * sqrt(2) pixels out on the diagonal. For UTM grids, this provides essentially the same results as the directional derivative.

Last revised 3/5/2023


Normalized Satellite Indexes

Index | Name | Definition (pre-Landsat 8) | Landsat 8 | Sentinel-2 | Results | Reference
NDWI Normalized Difference Water Index

Water will be white (large values); shows coastlines well.

NDVI | Normalized Difference Vegetation Index | Vegetation will be white. Red is 0.63 to 0.69, and NIR is 0.76 to 0.90.
GDVI | Generalized Difference Vegetation Index | (NIR-Green)/(NIR+Green) | Wu, W. The Generalized Difference Vegetation Index (GDVI) for Dryland Characterization. Remote Sens. 2014, 6, 1211-1233. https://doi.org/10.3390/rs6021211 .
NDSI | Normalized Difference Snow Index | (TM2-TM5) / (TM2+TM5) | (TM3-TM6) / (TM3+TM6) | (B03 - B11) / (B03 + B11) | Dozier, 1989, Remote Sensing Environment
NDSI | Normalized Difference Soil Index | (TM5-TM4) / (TM5+TM4) | (TM6-TM5) / (TM5+TM6) | (B11 - B08) / (B08 + B11)
NDMI Normalized Difference Moisture Index (B04 - B05) / (B04 + B05) (B05 - B06) / (B05 + B06) (B08 - B11) / (B08 + B11)
  • Gao, B.-C. 1996. NDWI - A normalized difference water index for remote sensing of vegetation liquid water from space. Remote Sensing of Environment 58: 257-266. https://doi.org/10.1016/S0034-4257(96)00067-3
  • https://custom-scripts.sentinel-hub.com/custom-scripts/sentinel-2/ndmi/
  • https://www.usgs.gov/core-science-systems/nli/landsat/normalized-difference-moisture-index
NDCI | Normalized Difference chlorophyll index | (band 5 - band 4) / (Band 5 + Band 4) | (708-655)/*708+665) | Mishra and Mishra, Remote Sens. Environ., 117 (2012), pp.394-406
NBR | Normalized Burn Ratio | Needs a longer wavelength SWIR band not included with 4 band sensors.
VARI | Visible Atmospherically Resistant Index | (green-red)/ (green+red-blue) | Gitelson and others, 2002

Compute indexes on Imagery analysis menu for satellite imagery Create difference index, band ratio, new band menu option. These are all ratios, and require two bands, except for the VARI which uses three.

Values are stored as floating point.

USGS on Landsat Surface Reflectance-Derived Spectral Indices

https://www.usgs.gov/faqs/what-are-band-designations-landsat-satellites?qt-news_science_products=0#qt-news_science_products

References:

  • VARI: Anatoly A. Gitelson, Yoram J. Kaufman, Robert Stark, and Don Rundquist, 2002, Novel algorithms for remote estimation of vegetation fraction: Remote Sensing of Environment, Volume 80, Issue 1, p.76-87

Last revision 3/9/2023


Varieties of North

The program uses three types of north:

  • Geographic or true north. This runs along lines of longitude, and will be the vertical on maps aligned along geographic north. This includes all data sets from NGA, and USGS data sets like the SRTM, NED, or the 250K DEM. These data sets will have crooked UTM grid lines. These lines should converge towards the poles.
  • Grid or UTM north. This runs along the UTM grid, and rotates away from true north as you get away from the central meridian in a 6° UTM zone. This will be vertical on all maps using a UTM projection, which includes most of the native USGS data sets, especially the 24K DEMs, DOQQs, and DRGs.
  • Magnetic north. The direction a compass will point. This can be converted using the World Magnetic Model.

When preparing a map for printing, you can include a declination diagram in the map legend.

The "Info" main menu choice, or the [image] Information button on the toolbar button on a map window, will calculate the declinations at the center of the map.

Last revision 6/18/2010


Oceanography Data

Built in options

Climate options, Monthly ocean currents. Data converted from http://www.aoml.noaa.gov/phod/dac/dac_meanvel.php .

  • Lumpkin, R. and G. C. Johnson, 2013: Global Ocean Surface Velocities from Drifters: Mean, Variance, ENSO Response, and Seasonal Cycle. Geophys. Res.-Oceans, vol. 118, p.2992-3006, doi:10.1002/jgrc.20210.

Recommended sources

  • CTD profile data
    • http://www.nodc.noaa.gov/GTSPP/access_data/index.html
  • http://podaac-tools.jpl.nasa.gov/las: Pick parameter (Chlorophyll, Ocean Temperature, Sea Surface Salinity), subset the map, pick the time period. Use Save As, pick ArcGrid as the format. The file names are not helpful, so keep track of what you get. Might be very slow. Open as a DEM.

Other potential sources

  • SST or Sea surface temperatures
    • https://climatedataguide.ucar.edu/climate-data/sst-data-hadisst-v11
    • http://marine.rutgers.edu/cool/sat_data/?nothumbs=0&product=sst
    • https://www.ssec.wisc.edu/data/sst/ daily images, which could have a world file added
    • https://agupubs.onlinelibrary.wiley.com/doi/epdf/10.1029/2021GL095590 (Late 2021) lists multiple sources of SST data
  • Ocean currents
    • http://www.oscar.noaa.gov/datadisplay/oscar_datadownload.php Ocean currents. Make maps online, or download data in NetCDF format (could not get to work, 1/3/2015).
  • Ocean grids from alitmetry, https://www.aviso.altimetry.fr/en/data/products.html. NetCDF, which I have not tried to use.
  • Coastal portal
  • http://data.planetos.com/datasets Marine mammal tracking http://www.gtopp.org/
  • Global shipping lanes:
    • http://sos.noaa.gov/Datasets/dataset.php?id=145 Sampling of 11% of the ships at sea, 2004-2005. Actual data not there.
  • Buoys
    • http://www.ndbc.noaa.gov/station_page.php?station=tplm2
    • http://www.ndbc.noaa.gov/station_history.php?station=tplm2
  • Pathfinder 4 km SST:
    • ftp://data.nodc.noaa.gov/pub/pathfinder/seasonal_climatology/ Geotiff seasonal climatologies; colored images, not values, broken 8/3/2018
  • Tide records
    • https://gesla787883612.wordpress.com/

http://iridl.ldeo.columbia.edu/SOURCES/.NOAA/.NCEP/.EMC/.CMB/.GLOBAL/.Reyn_SmithOIv2/.monthly/sst/downloadsGeoTiff.html Download, but also view

http://iridl.ldeo.columbia.edu/SOURCES/.NOAA/.NCEP/.EMC/.CMB/.GLOBAL/.Reyn_SmithOIv2/.monthly/sea_ice/downloadsGeoTiff.html

Last revised 12/16/2021


Oceanography/marine mapping

Oceanography/Marine Mapping in MICRODEM

Some of these options are very specialized, in terms of the data formats required and assumptions made. The documentation may also be limited, since they are not anticipated as being widely used. If you want to use them, contact us to see if they meet your needs.

  • Sidescan sonar image analysis
  • Subbottom profiler analysis
  • Plot CTD Data
  • Drift models
  • Drifter/buoys
  • AUVs
  • Quantify coastal erosion

Database Table view, Edit, Field arithmetic can compute SigmaTee, SigmaTheta, and Sound Velocity if the fields TEMP_C and SALINITY and DEPTH exist; you can rename fields; you can then plot profiles with Stats, 2D graph options.

Coastal/Nearshore

  • Coastal beach erosion and time series analysis (e.g. Duck)
  • Tide gauges and global sea level rise
  • Tsunami travel times

Ocean currents

OSCAR (current model) https://www.esr.org/research/oscar/data-access/

Bathymetry sources

Interactive Online Data Viewers, potentially useful for online teaching (verified active April 2020)

  • https://www.nnvl.noaa.gov/view/globaldata.html
  • https://www.oceancolour.org/portal/
  • https://www.star.nesdis.noaa.gov/star/index.php
  • https://eos.org/science-updates/interactive-online-maps-make-satellite-ocean-data-accessible
  • https://eos.org/science-updates/filling-the-gaps-in-ocean-maps?utm_source=eos&utm_medium=email&utm_campaign=EosBuzz112919
  • Java Ocean Atlas (Scripps): http://joa.ucsd.edu/
  • Sea surface salinity for Aquarius mission, 2011-2015
  • http://www.adrift.org.au/ for drift of plastic trash (rubber duckies), with option to download a CSV file
  • http://marinedataliteracy.org/index.html (uses SAGA GIS, and not clear how current it is)
  • Japanese oceanographic data (include bathymetry): http://www.godac.jamstec.go.jp/darwin/mapsearch/e#6.7964482898242,127.03533935547,13
  • German oceanographic data (include bathymetry): https://www.bsh.de/EN/DATA/data_node.html;jsessionid=5BB7E902C419EBAA3497077B604B5DBF.live11291

Links:

  • Data sources
  • Outside links
    • Ocean links
    • https://worldview.earthdata.nasa.gov/
    • USGS Woods Hole sea floor mapping
    • Data formats (sidescan and multibeam)
    • http://coastal.er.usgs.gov/national-assessment/
    • http://coastal.er.usgs.gov/shoreline-change/
    • Digital Shoreline Analysis System (DSAS) for ArcGIS: http://woodshole.er.usgs.gov/project-pages/DSAS/
    • http://www.gebco.net/data_and_products/gebco_cook_book/ Bathymetry processing cookbook
    • British Oceanographic Data Centre http://www.bodc.ac.uk/
    • http://ngm.nationalgeographic.com/2012/04/titanic/sides-text
    • http://ngm.nationalgeographic.com/2012/04/titanic/stern-mosaic-interactive
    • https://www.hydroffice.org/ Research framework for ocean mapping
    • Float trajectories: AOML’s website The data are available in NetCDF and MATLAB “mat-file” format,
    • https://www.epa.gov/hesc/estuary-data-mapper-edm NOAA/EPA, 2020 update
  • Online texts
    • https://open.umn.edu/opentextbooks/BookDetail.aspx?bookId=20 --physical oceanography
    • http://www.reefimages.com/oceansci.php
    • https://www.uky.edu/KGS/education/oceanography.htm has links to varios resources, but last update was 2012

Sea Level Rise and Coastal Flooding

  • http://ss2.climatecentral.org/
  • https://coast.noaa.gov/slr/
  • https://coast.noaa.gov/floodexposure/#/splash
  • https://www.coast.noaa.gov/arcgis/rest/services/dc_slr
  • Data, ESRI geodatabases: https://coast.noaa.gov/slrdata/
  • https://www.fema.gov/coastal-flood-hazard-analysis-and-mapping
  • http://www.sonel.org/

Freeware Programs:

  • SonarWave Lite: http://tekmap.ns.ca/download-page
  • PostSurvey 2.52: http://www.knudsenengineering.com/html/software/postsurvey.html view XTF data, not as good as SonarWave Lite
Last revision 6/6/2018


OpenGL LOS through Point Cloud

  • If a point cloud is open for the current map, Right click on the LOS, and select this option.
  • If there is not a point cloud open, you can open it from the LOS Parameters--change display parameters on the Right click on the LOS

OpenGL view controls

Last revision 12/29/2011


Old Ship Logs

Climatological Database for the World's Oceans 1750-1850 (CLIWOC)
  • http://www.ucm.es/info/cliwoc/ (1.5 release)
  • Currently broken links which you might be able to locate
    • www.knmi.nl/cliwoc/ (2.1 and 2.0 releases)
    • www.knmi.nl/onderzk/hisklim/CLIWOC/CLIWOC.html
    • www.nmm.ac.uk/about/partnerships-and-initiatives/cliwoc/

CLIWOC data base obtained from the web was modified for use in MICRODEM as follows:

  • Created DEC_YEAR field.
  • Removed records without LAT, LONG
  • Create SHIP field, by concatenating the country and ID fields.
  • Fixed LONG to be -180 to 180
  • Computed new file
    • with speed and heading of the ship,
    • at the center of the time interval between two readings
    • at the midpoint of the line connecting two readings
    • removed all speed over 25 knots (this is generally over a day)

Old Weather--Royal Navy, around World War I

  • http://blogs.zooniverse.org/oldweather/2011/08/150-ships/

Last revision 1/14/2016


Online Data Viewing

Satellites

DEMs

  • https://apps.nationalmap.gov/3depdem/
    • View elevation, hillshade, slope, aspect, contours
    • Link to download 1/3 sec Geotiff DEM (1/2 GB per 1x1 degree tile)
    • Export view in web mercator

Land Cover

  • Web viewer Copernicus Landcover from 1992 to 2015: https://openlandmap.org/#/?base=Stamen%20(OpenStreetMap)&center=39.0000,25.0000&zoom=4&opacity=80&layer=lcv_land.cover_esacci.lc.l4_c&time=2015
  • World cover viewer: https://viewer.esa-worldcover.org

Point clouds

  • USGS online viewer for lidar https://usgs.entwine.io/
    • Click on one of the projects on the map, or in the list
    • I prefer the Cesium viewer (zoom in, and see it on the aerial photography), but you can also check Potree
    Heritage scans:
    • https://app.iconem.com/#/map?lat=-1.1368683772161603e-13&lng=6.0000000000007105&sc.order=asc&sc.orderBy=country&z=1.255505941356651
    • https://cyark.org/

Factsheet

  • https://geofolio.org/ Define an area of interest anywhere in the world, and automagically create thematic factsheets containing interactive maps, charts, written overviews, and statistical summaries – all based on open geodata.

Last revision 12/7/2022


Online Satellite Archives

Online Satellite Viewing Archives

Satellite | Spatial Resolution (pixel size) | Time series online | Temporal Resolution at Equator | Data Viewing Web site | Download Data for additonal bands, analysis | Online Viewing Directions
GOES 500 m (and larger) Current 5 minutes

Global views from multiple satellites: https://www.ssec.wisc.edu/data/geo/#/animation

https://www.star.nesdis.noaa.gov/GOES/index.php

  • GOES East
  • GOES West

EWS=G1 (Space Force with the old GOES 13 in Indian Ocean)

  • https://cimss.ssec.wisc.edu/satellite-blog/archives/38928
  • https://www.ssec.wisc.edu/data/geo/#/animation?satellite=ews-g1

https://view.eumetsat.int/productviewer?v=default

get some in KMZ (says Geotiff, but you may have to use those in QGIS) Pick Goes East, Full disk
Pick Geocolor, true color daytime (top left choice) and animation loop
MODIS on Aqua, Terra
Suomi NPP VIIRS
NOAA 20
  • 250 m (and larger) for MODIS
  • 375 m at nadir for VIIRS
  • 2000-present, MODIS
  • 2015-present, Suomii NPP VIIRS
  • 2017-present, NOAA 2- VIIRS
 1-2 days (gaps in daily coverage at equator) https://wvs.earthdata.nasa.gov/ Yes, but only registered"semi-dumb" images

MODIS bands 		Worldview Snapshots directions
NASA Worldview https://worldview.earthdata.nasa.gov
 via Earthdata search Slider at bottom of screen for dates
Comparison slider
Night lights | Online, with great zoom in: https://blue-marble.de/nightlights/2019 and https://blue-marble.de/nightlights/2021
Landsat USGS/NASA multispectral 15 m Pan, 30 m multispectral (improved over time) 1984 to present 16 days (8 when Landsat 9 becomes operational)
  • https://landsatlook.usgs.gov/ pre-2015, or to download
  • GLOVIS pre-2015, or to download
  • https://apps.sentinel-hub.com/sentinel-playground/ --best choice for post 2015 data online viewing
  • https://livingatlas2.arcgis.com/landsatexplorer/
Yes, bands as Geotiff from Landsat download directions from USGS
  • Sentinel-2 Hub and Playground directions
  • Landsat Look directions
  • GLOVIS directions
  • Living Atlas Directions
Sentinel-1 ESA active radar Few meters, variable resolution and pixel geometry Near daily https://apps.sentinel-hub.com/sentinel-playground/--best source for viewing
https://apps.sentinel-hub.com/eo-browser/? is very similar

https://search.asf.alaska.edu 		Options for different polarizations

EO Browser directions
Sentinel-2 ESA multispectral 10 and 20 m (VIS and NIR) to 60 m (SWIR) resolution 2015 to present 10 days (5 with two satellites)
  • https://apps.sentinel-hub.com/sentinel-playground/--best source for viewing
  • https://landsatlook.usgs.gov/ -- free downloads
  • GLOVIS--free downloads
  • https://livingatlas2.arcgis.com/sentinel2explorer/

New Copernicus Browser: https://dataspace.copernicus.eu/browser

 Yes, bands as JP2 at: Copernicus Open Access Hub (Directions)

  • Sentinel-2 Hub and Playground directions
  • Landsat Look directions
  • GLOVIS directions
  • Living Atlas Directions
Sentinel-1, and Sentinel-2 | World cover viewer: https://viewer.esa-worldcover.org/worldcover/ | See World Cover landcover, and composites from Sentinel-1 and Sentinel-2
Sentinel Hub EO Browser https://apps.sentinel-hub.com/eo-browser/? Free account allows more options
More powerful than Playground (meaning more complex)
sentinel-hub user-guide/
Registered image downloads requires login (slow to be approved)
Commercial satellites

Maxar (GeoEye and WorldView satellites) 		Best is 30 cm Daily or better Buy commercial product.

Planetand Maxar have similar but not public sites to browse imagery, and both produce data used by journalists.

Airbus Pleiades Neo (30 cm PAN resolution, 1.2 m 6 MSI bands including deep blue and red edge, with at least two possible detections per day) could be another alternative. One Atlas is their online platform with imagery and WorldDEM; cheapest package is $5K per year 		https://content.planet.com/snapshots

Part of Spectrum | Abbreviation | Wavelengths | Typical uses
Visible (usually subdivided into at least R, G, B) | VIS |  | Mimic human perception
Panchromatic | Pan |  | Improved spatial resolution
Near infrared | NIR |  | Improved vegetation, water detection
Mid infrared | MIR |  |
Short wave infrared | SWIR |  | Smoke penetration, very hot surface features
Thermal infrared | TIR |  | Temperatures
Microwave/radar |  |  | Active sensor, day/night, through clouds

Satellite Class | Typical Resolution | Typical Bands | Revisit Time | Example Satellites
Geostationary weather | 500 m and up | VIS, NIR, SWIR, TIR | 15 minutes | GOES EUMETSAT
Polar orbiting weather | 250 m | VIS, NIR, SWIR, TIR Night lights | 1-2 days | MODIS (since 2003) Suomi NPP NOAA 20
Polar orbiting multispectral | 10-30 m | VIS, NIR, SWIR TIR and Pan (Landsat only) | 10-16 days for individual satellite 5-8 days for | Sentinel-2 (since 2015) Landsat (since 1973)
Commercial | 30 cm - 5 m | Pan, VIS, NIR | Daily or better | Maxar and Planet Labs and others
Spy satellites | 15 cm? | Pan? | ? | ?

https://www.ssec.wisc.edu/data/geo/#/animation

Viewing Platform | Key Satellites | Analysis Options | Export | Directions
SSEC Geostationary Satellite Imagery | GOES, EUMETSAT, Himawai (Japan), FY2G (China) | Single images, animations Multiple bands Enhance colorws |  |
Worldview Snapshots | MODIS, Suomi NPP , NOAA 20 | Several color displays Night lights | Image only of area on screen Geotiff of area on screen | Directions
Worldview | Suomi NPP / VIIRS nightime, | True color, Precipitation | Creates search to download granules via Earthdata Search | You will get the part of all granules that cover any part of your search window (check the footpirnt in Earthdata search before downloading) You will get a lot of bands. It will be in H5 format, which QGIS will import (you will have to pick the tiles you want).
FIRMS | MODIS, VIIRS | Potential fire locations Color image to see clouds | Image only Geotiff Vector database | Directions
ESA Sentinel-3 World Fire Atlas | Sentinel-3 | Potential fire locations | Vector database |
Landsat Look | All Landsats | Band combinations NDVI and other ratios and indexes | Time lapse GIF Image only of composite area on screen Geotiff of bands from the entire scenes on screen (not merged) |
Sentinelhub Playground | Sentinel-1, Sentinel-2, Landsat 8-9, MODIS | Band combinations NDVI and other ratios and indexes Sentinel-2 scene classification | Image only, no scalebar or legends | Directions
EO Browser | Sentinel-1, Sentinel-2, Sentinel-3, Landsat, Harmonized Landsat Sentinel, MODIS | Band combinations NDVI and other ratios and indexes Sentinel-2 scene classification Sentinel-3 brightness temperatures | Image only Full tile bundle for local GIS analysis | Directions
New Copernicus Browser | Sentinel-1, Sentinel-2, Sentinel-3 | Band combinations NDVI and other ratios and indexes Sentinel-2 scene classification Sentinel-3 brightness temperature | Image only Full tile bundle for local GIS analysis |

Images for particular usage, and compute areas in the imagery

  • NDVI (vegetation)
  • NBR Normalized burn index

Other online data viewing

Tutorial

Last revision 7/30/2022


Open DB and Zoom to its Coverage

Open DB and Zoom to its Coverage Area

Often you will open a DB on a map covering a much larger area. These steps will take you to the area covered by the DB.

  • Database to open the database on the current base map. To get just the area with the country covered by the DB, either:
    • Plot, Zoom to DB coverage on the toolbar with the database.
    • Subset & zoom, to the region with your province. This can take several iterations, depending on how good you are with getting just the desired area.

Last revision 4/7/2020


Open Point Clouds

1. LAS point cloud data

  • Decide if you want to open a directory, or pick the files. There could be a lot of files, and you will have a very hard time identifying the files your want.
    • Note if the selection form is for a directory (and subdirectories under it), or for files (if you cannot see your files, you are probably using directory mode for selection).
    • If you find you are using the wrong mode, cancel the open dialog, change the mode on the control window, and pick the files tab and the cloud you want to open.
    • The program will identify each project area by the name of the directory. You should put the files form each project in a separate directory, and give it a short, meaningful name.
    • To open a folder, you have to highlight the folder and pick the open button; you cannot double click.
    • You can double click when selecting a single file, or seleect a number of files.
    • You should organize your lidar, as it is very easy to have a huge number of files.
  • Two ways to open:
    • If you have an open map of your area. Only tiles on the map will be opened.
      • LIDAR Point clouds, icon on the map toolbar. This will only open the tiles that are included in the current map window.
      • Right click on map, Load, Point cloud
    • Without an open map
      • Option on the Point Cloud submenu of the main menu
      • Option on the Open submenu of the file menu.
      • These will
        • Ask you to open the first lidar data cloud
        • Create a new map that will cover just the area of the lidar data set.
  • This brings up a control window for the point cloud operations. You can open additional point clouds from it

2. Other point cloud data

  • Option on the Point Cloud submenu of the main toolbar.
  • Option on the Open submenu of the file menu.
  • Data supported. This has been designed for fairly specific cases, and may not be general purpose since it does have not the luxury of a specific format.
    • DBF file with project. Set the files to use, and pick display options.
    • Point 3D shapefile.
    • LAS binary format.
    • ASCII XYZ file in TXT or CSV format (with or without a header line, and with comma/space/tab delimiters).

Last revision 6/5/2021


Open shapefile map

On the main program toolbar, or the File, Open submenu choice.

  • You can pick either the SHP or the DBF file for a shapefile.
  • If you pick a CSV or TXT file, the program will try to convert it to a dBase table and them display it.

Problems with CSV import

This creates a [image] Quick vector map covering just the area required to display the shapefile. It will use the default projection, which is set on the on the Directories tab of the Options form.

  • Database on the map toolbar can also overlay the shapefile on any other map.

Plot or Symbol and color selection to change display options

Last revision 11/1/2017


OpenStreetMap

Much of the world does not follow the US model of freely providing government created map data. Data may only be available at great cost, or in many countries is not available for security reasons. The rise of cheap and ubiquitous GPS in cell phones, and abundant satellite imagery, means that individuals can create and share map data. Openstreetmap.org serves this function, and is an international effort. They have a web mapping site, and you can download their data.

Openstreet map coverage varies, depending on the whims of whomever did the digitization.

  • Street classification can abruptly change. Because the program attempts to select the level of roads to show based on the map scale, at some scales the roads can appear discontinuous because the classification changes.
  • The coverage of buildings also varies; at times one side of a street has been digitized, and the opposite side has not.

In most cases your choices might well to be using Openstreetmap, or nothing, but you must evaluate the map and decide which layers are usable for a particular region.

The US State Department has worked with OpenStreetMap for humanitarian relief efforts to crowd source mapping after a disaster.

OpenStreetMap is a free editable map of the whole world. It is made by people like you. It is crowd sourced, or open source, and is similar to Wikipedia.

Open Street Map has free streets, waterways, railroads, and other layers in shapefile format (and other formats), worldwide.

OSM download sites

Data viewer (online)

  • Download sites let you get much larger areas in a directly usable format
  • Export for a very small area from this map in OSM format, and then convert to a shapefile
  • Data Manipulation, Resample, OGR DXF/GPX/OSM to shapefile

Available coverage varies.

Baghdad, Iraq with color coding by the attribute. This disiplay is not smart; all lines are the same width, and colors are in alphabetical order for the category names.

OSM data in Normandy, displayed with rules in a database (OSM_RULES.dbf, present in main MICRODEM directory).

This is a smart display, with the importance of the roads indicated by:

  1. Line segment width.
  2. Color. Bright red is used for the largest roads, and smaller roads get increasingly less obvious colors.

OpenStreetMap vector data sets have the following layers:

  • Roads
  • Points (features like schools, houses of worship, ATMs, metro stops)
  • Places
  • Waterways
  • Railways
  • Places (cities, towns, neighborhoods)
  • Natural (things like forest, park, water, riverbank)
  • Buildings
  • Landuse (things like industrial, farm, residential)

What is included for a particular area varies, as does the completeness of coverage within the area.

OpenStreetMap Features (web wiki)

Using OpenStreetMap in MICRODEM

Last Revision 11/4/2019


OpenTopography Global DEMs

OpenTopography Grids and Global DEMs


OpenGL 3D Views

Drape | Elevation coded

[Full sized views]

Drape of reflectance map with IHS colors | Drape of grayscale reflectance map | 3D view of GIS data set

Controls on the view

Matching OpenGL Views.

Last revised 11/2/2017


OpenGL View Controls

Newer option with better results.


Openness Maps

Upward openness maps show ridge crests in white, while downward openness maps show valleys in white. They provide dramatic depictions of terrain.

Reflectance | Upward (Positive) openness | Downward (Negative) openness

Choice of upward (positive) and downward (negative) openness. For each select a region size in meters, because openness is defined as a maximum or minimum angle over a specified region. The region size should be at least as large as the ridge/valley spacing in the region. The Graph parameter by Region size option can help you pick the value by seeing the inflection points.

Openness can be computed from, and set on the Analysis tab of the options form,:

  • Points on the group
  • Points on an antenna a fixed distance above the ground
  • At a constant flying height
Openness calculates an angle in each of 8 radials in the principal compass directions. The diagrams to the left shows two of the angles computed for upward openness. The peak in the top diagram will have a high value for openness, while the valley in the bottom diagram will have a small value.

The Value L shows the distance used for the computation; for the peak, visibility extends all the way out to L, while for for valley, the steep walls block visibility well before the L distance.

If you want, you can only use some of the 8 radial directions. This is set on the Analysis tab of the options form . The final value is the average of the values in each of the directions used.

Openness maps correlate strongly with maximum and minimum curvature .

Short distance openness maps can be very effective with urban lidar DSM.

References for openness maps

Last revision 11/26/2017


References for Openness Maps

  • Yokoyama, R., and Sirasawa, M., 2001, Overground and underground openness maps of Japan: in Ohmori, H., ed., DEMs and Geomorphometry, Special Publications of the Geographic Information Systems Association, Proceedings of the symposia on New Concepts and Modeling in Geomorphology and Geomorphometry, DEMs and GIS, held 24-26 August, 2001, Tokyo, Fifth International Conference on Geomorphology, ISSN 1346-7417, Vol.1, p.62-63.
  • Yokoyama, R., and Sirasawa, M., 2001, Overground and underground openness maps of Japan: Transactions, Japanese Geomorphological Union (abstracts of Conference Papers, Fifth International Conference on Geomorphology, 23-28 August, 2001, Tokyo), vol.22, no. 4, p.C-269.
  • Yokoyama, R., Sirasawa, M., and Pike, R.J., 2002, Visualizing topography by openness: A new application of image processing to digital elevation models: Photogrammetric Engineering & Remote Sensing, vol.68, no.3, p.257-265.

MICRODEM map engine Last revision 11/15/2003


Optimal viewshed locations

Optimal Viewshed Location

Chosen from:

  • Calculate Menu, Derivative Grid
  • Raster GIS menu, Create derivative grid

Computes a new grid with the coverage in percentage from each point using selected viewshed parameters.

Options:

  • "Resume computations" option you will be asked about refers to reopening a grid that you previously computed and either stopped partway through, computed only part of the DEM, or used a large thinning factor.
  • Select only a portion of the DEM.
  • Select a thinning factor to make it run faster (and later go back to fill in the missing points).
  • Resave the grid.

This can take a lot of time, so you should save it often, and then resume computations.

Last revision 2/26/2013


Indexes Tab

Tab on options form, from Options menu selection. Local map databases, for [image] Map library can display the location of your data on a base map for graphical map selection.

  • Automatically close index maps: or leave them open to immediately open data covering a different region.
  • Map library picks the drive with the data. It has not been tested for a location other than the root of the drive, but it can be on an external drive
  • Library settings: pick which types of data can be opened, and the series in use.

Last revision 3/25/2022


Orfeo Toolbox

Get the 64 bit toolbox, install, and move to C:\microdem\OTB. Insure there is a c:\microdem\OTB\bin directory.

  • https://www.orfeo-toolbox.org/ available from QGIS or the command line
  • https://www.orfeo-toolbox.org/CookBook/
  • You must have “Visual C++ Redistributable for Visual Studio 2019” installed before using this package. It can be downloaded freely from microsoft

Currently only works with Landsat imagery

If you want to subset the Landsat scene so the operations are faster (or will just plain work), subset first (Save satellite image, GDAL Landsat subset current map area).

In MICRODEM: Menu choice with active map window , Image analysis , Orfeo toolbox

  • Concatenate images: Orfeo will only use images in a single file. This will take the main imagery bands from a Landsat scene (ignoring the thermal and pan bands) and create a single Geotiff. It will handle a full Landsat scene.
    • https://www.orfeo-toolbox.org/CookBook/Applications/app_ConcatenateImages.html
  • K means clustering: this now appears to work with a full Landsat scene;
    • https://www.orfeo-toolbox.org/CookBook/Applications/app_KMeansClassification.html
  • Segmentation--may not handle large images
    • https://www.orfeo-toolbox.org/CookBook/Applications/app_Segmentation.html

The new tif files will be in the directory with the Landsat imagery.

If there are problems, you need to run the bat file (in the Orfeo directory) from a DOS command window and watch the problem messages.

Last revision 10/25/2021


Organizing Point Clouds

Downloading and Organizing Point Clouds

Getting point clouds

  • I recommend getting the point clouds, and not the derived grids that many sites (OpenTopography or https://coast.noaa.gov/dataviewer/?#/ ) offer. You can create your own grids from the point cloud, and have more options for hillshading. If you just want the grids, don't bother with the point clouds.
Download lidar data
  • Suggested download locations (mostly US) and links to international Country sites.
  • You will likely need LAStools, which MICRODEM can call for reprojection and projection assignment
  • If the data does not have a projection, you must assign it. Assign projection by EPSG and reproject to UTM, which you can do with a LAS or LAZ file.
  • If the data is not in the UTM projection, you must reproject the data to UTM.
  • If you get LAZ files and you did not need to assign the projection or reproject, you will need LAStools to uncompress LAZ--point clouds
  • If you are unfortunate enough to get data in the proprietary zLAS format, you need the ESRI tool to convert to LAS

Each point cloud should go in its own directory

  • Insure the directory has an easy to understand name. The program will refer to the point cloud by the directory name. You can also open the cloud with the folder.
  • The point cloud is likely to have many files (hundreds are quite possible), so it can be easiest to open by directory rather than files
  • Open by directory will find files nested in subdirectories
  • If you get data from OpenTopography using the graphical selection, every point cloud will have the same file name, and be huge. You should subset the cloud with Data Manipulation. As you zoom into the data, you will not need to open the files that are not on the map, which will speed up operations, but operations can be threaded and processed in parallel.
  • You can open up to 5 clouds, and show them separately or together.

last revision 1/3/2023


OSM Download

OpenStreetMap Download sites:

  • Best choice: http://download.bbbike.org/osm/ --get city already created, or define polygon
    • Insure that you change the format to shapefile
    • When you save and unzip, insure that "OSM" in the file or path name so MICRODEM will recognize the files and use smart display symbolization
    • Prep OSM/Natural Earth/GADM shapefile should be done.
  • Other choices:
    • http://www.geofabrik.de/data/download.html --get country or state, but limited shapefiles
    • https://mapzen.com/data/metro-extracts/
      • Datasets split by geometry type: lines, points, or polygons
      • Datasets grouped into individual layers by OpenStreetMap tags: some addresses are present, but not usable in those tested

Last Revision 12/17/2020


OpenStreetMap in MICRODEM

MICRODEM recognizes OSM files with

  • the string "openstreetmap" or "osm" in the file name or the path. You might put the OSM files in c:\mapdata\openstreetmap.
  • Prep OSM/Natural Earth/GADM shapefile should be done.

There are several ways to use this data:

  • Database to open one or more single files.
    • The program will automatically use smart display to show the roads by category, and with an appropriate density based on the scale.
    • You can also pick the buildings
    • This will allow access to the DB table display options, and to ID records on the map.
  • Select a directory to get all the layers, on the Database, Load OSM overlay menu.
Database with rules for OSM road files. It will be in the main program directory.

Open it and edit it like any database.
Database with rules for full OSM symbolization. Roads use the rules above.

Open and edit it like any database.

Map Overlays To adjust opacity.

OpenStreetMap general description

OSM download

Last Revision 12/17/2020


Global DEMs at OpenTopography

Global DEMs from OpenTopography

Guth and Kane (Transactions in GIS, 2021) suggest that Copernicus is the best choice among these. ALOS World 3D would be the second choice.

DEM and its properties | OpenTopography Metdata and location to start download Pick link for the data set you want | Precision | File numbers and size for complete data set | Notes
Copernicus DEM | OT.032021.4326.1 | Float | 26,440 files, 550 GB | Resampled to same arc second spacing in x and y if you select by box, which changes the data characteristics. Some countries missing for political reasons. Goes farther north than SRTM and NASADEM.
ALOS World 3D AW3D30 v 3.2: | OT.112016.4326.2 | Integer | 23,997 files, 220 GB | Not void filled. They have the averaged data from the 5 m source; JAXA also has median
NASDADEM | OT.032021.4326.2 | Integer | 14,251 files, 128 GB | HGT files, stored as TIFF here
SRTM v3: | OT.042013.4326.1 | Integer | 14,280 files, 125 GB | Unclear which 3" version they have (middle or average)
USGS 1" 3DEP/NED merged with DEMs from Canada and Mexico | OT.012021.4269.2 |  |  | Terrible choice for name, since it is not just USGS but international. Perhaps not surprisingly, this has disappeared without explanation that I can find.
Global Multi-Resolution Topography and bathymetry | OTGMRT.112016.4326.1 |  |  |
SRTM 15+ (land/ocean merge; the 15 arc second resolution is about 450 m) | OTSRTM.122019.4326.1 |  |  |
  • Graphical interface option in browser
    • Pick a region that includes what you want. It is better to get too much rather than not enough and then having to come back.
    • Open the Global Data Tab and choose the data set and the resolution for those that have 1" and 3" data. Get the geoid version for the Vertical datum unless you are absolutely sure you want the ellipsoid version. If there is any chance you might get both, store them differently as the downloads do not indicate the vertical datum.
    • If you are having problems with the graphical selection, you can manually select the coordinates. You can use the Bounding box that covers the area you want.
    • You do not need a hillshade (uncheck the option) since the GIS can easily create.
    • The limit is 450,000 square km.
    • Keep the default Geotiff format.
    • Download will be a tar.gz file, which is a Unix format you can decompress in MICRODEM. You can have the program delete the compressed file. The file will be in a sub-directory in the folder where the tar.gz file was.
    • If you let the download change the file name, say by adding " (1)" because there is another download with the same name, you will have to manually untar the result from the un-gzip (so don't let Windows rename).
    • File will be named "output_srtm", so you must keep track of which version you got. The metadata has the data spacing, but not the vertical datum. Considering renaming the final TIF file with the geographic region and the Vertical datu selected.
  • Raster bulk downloads use AWS command line
    • This gets the complete data set, so be ready for some serious bandwidth and hard disk requirements
    • I suspect you could figure out how to get just the area you want, which is left as an exercis for the curious student.

You must have GDAL installed, via OSGEO4W, to use the DEMs in MICRODEM.

The grids use -9999 for missing data without indicating this in the Geotiff header. You should mark it missing on Import/Export, or editing the grid, if the color scheme is distorted by the invalid large negative elevations.

DEM results will be in tar.gz (Unix) compressed file. Compress/Decompress option in MICRODEM will use decompress with 7-Zip without bothering you with the details. If you do multiple downloads you must segregate them in different directories, as they decompress with the same names and some of the decompressions will fail.

General instructions for Open Topography

Key Global Regional DEMs

Last revision 20/7/2021


Other grids from point clouds

LIDAR Point cloud form option on Create grids tab

  • Intensity--LIDAR intensity (multiple).
  • Max intensity
  • Veg density voxels:
  • Scan angle: this can show the flight paths. Creates grids with the Max and Min Scan Angles. A difference map between these two grids can show the overlap regions, where there are both large positive and negative scan angles.
  • All: create those needed for lidar matched grids

Last revision 7/16/2019


Other point cloud viewers

Other Point Cloud Viewers and Lidar tools:

Must have

  • mcc-lidar
  • LAStools (read license carefully)
  • Cloud Compare
  • Fusion

ESRI zLAS converter

  • https://www.arcgis.com/home/item.html?id=787794cdbd384261bc9bf99a860a374f
  • https://proceedings.esri.com/library/userconf/proc15/tech-workshops/tw_1159-107.pdf
  • https://kennis.hunzeenaas.nl/file_auth.php/hunzeenaas/2/22/Esri_Optimized_LAS_FAQ.pdf

OPALS - Orientation and Processing of Airborne Laser Scanning data--does classification, among other things. Must license for more than 1 million points.

Commercial, no demo version: http://lidarwidgets.com/

PDAL

OpenLSEF: https://beta.openlsef.org/digital-elevation-models/ Extracting information for 3D point clouds

Web viewers:

  • http://plas.io/ LAS and LAZ input, locally and some web samples
  • http://potree.org/
  • https://usgs.entwine.io/ USGS online viewer for lidar
  • http://speck.ly demonstrates Greyhound+Entwine in action. Both software components are open source. Variety of data sets online.
  • Handheld: LiMo: https://play.google.com/store/apps/details?id=com.ogs.limo
    • File extensions must be lower case
    • 3D motion hard to understand
    • Color for 3D geotiff all the same
      • Help file does not work
  • http://ahn2.pointclouds.nl/ Netherlands viewer, with ability to download points in LAZ format; source code available

Python for lidar

  • https://pypi.org/project/lidar/
  • https://www.earthdatascience.org/courses/earth-analytics-python/lidar-raster-data/open-lidar-raster-python/
  • https://www.earthdatascience.org/courses/earth-analytics-python/lidar-raster-data/
  • https://lidarblog.com/2018-11-07-lidar-tutorial

Tree segmentation

  • https://github.com/manaakiwhenua/pycrown Python, needs DSM, DTM, and CHM
  • https://github.com/redfoxgis/tree_segmentation R
  • https://github.com/mparkan/Digital-Forestry-Toolbox/blob/master/scripts/tree%20metrics/treeWatershed.m Matlab
  • https://github.com/Jean-Romain/lidR , https://jean-romain.github.io/lidRbook/index.html, https://jean-romain.github.io/lidRbook/itd-its.html

Create point clouds

Others--some of these may be old; they have not been systematically checked in several years

  • http://www.lidarbasemaps.org/ LIDAR links

  • Meshlab: will open XYZ import, but probably less useful than Cloud Compare

  • http://bcal.geology.isu.edu/Envitools.shtml BCAL LiDAR Tools are open-source tools developed by Idaho State University, Boise Center Aerospace Laboratory (BCAL) . These tools can be used for processing, analyzing and visualizing LiDAR data. They are written in IDL programming language. Version 2.x.x can be run with free IDL Virtual Machine, and does not need ENVI software.

  • http://lidar.ihrc.fiu.edu/lidartool.html ground point classification, last revised 2007, input is ASCII files (from tape).

  • PulseTools for full waveform analysis: https://github.com/PulseWaves/PulseWaves/tree/master/PulseTools

  • canupo: classification, mostly designed for terrestrial lidar scanners; now plugin for Cloud Compare

    • http://www.geosciences.univ-rennes1.fr/spip.php?article1284&lang=fr

*PointVue LE – free and easy to download with no hidden links. It easily opens LAS files and displays the point cloud; it can display intensity, elevation, return number, and classification and allows the user to overlay the intensity on any of the other categories. It appears to no longer be available.

This is probably now http://www.lp360.com/lp-viewer.html but we have not tested it.

LizardTech GeoViewer 5.5

  • http://www.lizardtech.com/download/dl_options.php?page=viewers
  • no registration
  • Latest DirectX required
  • LAS and MrSID compressed lidar (have not seen an example) formats.
  • Display in the 3D viewer is a bit awkward compared to PointVue. I can’t seem to make the entire image display without it feeling too far away. (Maybe it’s just the box around it.); in addition, the only category displayed is elevation and the contrast is a bit too high, so everything is too bright and it’s hard to distinguish the images.
  • LizardTech Lidar Compressor ($3K, but free trial available)--have not seen data in their format

MARS Viewer (free, but requires registration and download of 30 day free trial)
Fledermaus and free iView4D viewer. It appears that the free iView4D will only display the proprietary formats, and we have not found a free way to create those except through Fledermaus (and our attempts there have not been successful). There is a module in Mirone (no longer online, had Matlab source code), so that might be possible with some effort.
DielmoOpenLidar: http://www.dielmo.com/eng/ficha-tecnologia.php?prod=27 based on gvSIG

http://www.pointclouds.org/

Lidar Point Cloud Data Sources

LIDAR links: http://www.lidarbasemaps.org/

LIBLAS: http://liblas.org/LAStools.html#LAStools-liblas

http://applied-geosolutions.github.io/lidar2dems/ classify into ground and non ground, create DTM, DSM, or CHM. Python on Linux.

African and Middle East archaeology
  • http://zamaniproject.org/index.php/3d-model-viewer.html
  • https://sketchfab.com/zamaniproject

Last revised 10/31/2019


Outline Region on Map

  1. Double click on points to select
  2. Right click, and select "End selection" from the popup menu.

Last revised 1/18/2003


Panorama and Perspective Views from Database

Option after Double clicking on a record in the data base

  • Perspective views : you must have the following fields in the database which define the view: Height, Azimuth, HFOV, VFOV, Depth, Pitch
  • Panorama view

Last revision 12/3/2007


Parallel Profiles

Two ways to start

  • Option on popup menu when right-clicking after [image] drawing topographic profile (line of sight). You can pick the spacing and the number of profiles to draw.
  • Option on the Raster GIS menu

You must be careful that you first profile runs perpendicular to the features, and that the features remain consistent over the area selected.

 LIDAR map, showing the original profile in cyan and 5 additional profiles on either side. You can specify the profile spacing, in this case 25 m.
Original profile in red, 10 additional profiles in gay, and the average of the 11 profiles in lime green.

The lidar data is extremely noisy (vegetation), so the average in green might be a better estimate of the general trends. The part of the profile closest to the shoreline shows the least variability.
Parallel profiles from SRTM along a range front fault scarp in Utah.

Profiles across the SE Indian Ocean Ridge. These are 50 km apart. This smooths out variation (noise) and shows the general patterns better.

Last revision 5/8/2021


Point Cloud Histogram

Get on the Stats tab of the Point Cloud display form.

Results

  • Text summary
    • Includes tails of the RGB, intensity, and elevation histograms. You can use the 1%, 0.1%, and 0.01% values to set scaling values for the display.
  • Elevation histogram
  • Intensity histogram, by category. Right click on the graph to get a legend.
Histgram on elevations within a lidar tile. Note that essentially all elevations are between 1500 and 1800. There are a few low returns, and a few high returms up to almost 1000 m above the terrain.
Color coding by elevation, with the bulk of the color scale not used for the high noise.
Color coding by elevation, with the range set 1500 to 1800.

Last revision 2/4/2018


Variance

Variance-covariance/Principal components

Option on Image analysis window after loading Multigrids for the satellite image.

  • Basic statistics: create table with mean, std dev, min, and max for each band
  • Correlation matrix: show the correlation matrix for each pair of bands.
  • Variance-covariance matrix: show this matrix for each pair of bands. The correlation matrix is computed from this matrix and is probably easier to interpret.
  • Eigen vectors and PC loadings: shows the relative magnitude of each eigenvector, and the loadings on each vector of each variable.
  • Principal component results: show the PC images.
  • Load PC images
  • Max PC bands: only this number of new grids will be created. Get a senses of the number of pick by looking at the eigen vectors. The 25 shown here only makes sense of hyperspectral imagery.
  • Min explanation to show (%): the higher principal components typically only show noise, so you can limit the images to display by specifing the minimium amount of the variation a component must explain.

Last revision 3/6/2017


PDAL

PDAL offers 2 methods for ground classification (SMRF and PMF) and it is significantly faster than MCC-LIDAR, already has 64-bit binaries ready for use and also supports compressed LAZ files. You can download and install it via OS4GEO here: http://download.osgeo.org/osgeo4w/osgeo4w-setup-x86_64.exe. Its command line can be challenging.

  • https://www.pdal.io/tutorial/las.html PDAL tutorial
  • https://www.pdal.io/tutorial/pcl_block_tutorial.html
  • https://www.pdal.io/apps/index.html#apps
  • https://www.pdal.io/workshop/exercises/analysis/ground/ground.html

commands

  • pdal translate c:/temp/aa.las -o c:/temp/aa_smrf.las smrf -v 4
  • pdal translate c:/temp/aa.las -o c:/temp/aa_pmf.las pmf -v 4 -f filters.reprojection --filters.reprojection.out_srs="EPSG:26918" --filters.reprojection.in_srs="EPSG:26918"

Consider:

Point cloud distances: https://www.pdal.io/apps/hausdorff.html

Outlier removal: https://www.pdal.io/tutorial/pcl_ground/index.html#pcl-ground

last revised 2/14/2018


Peak/Spire/Pit Algorithm

x | x | x
x | c | x
x | x | x

 This is a 1 m lidar DEM, and the search radius is 2 m. Based on the radius selected, the program picks the number of pixels to go in the x and y directions. The number can be different for a geographic DEM.

In this example the program considers a box 5 pixels by 5 pixels in size, centered on c (2 m each direction, with 1 m LIDAR DEM).

Peak Algorithm. Point c is a peak if:

  • C must be taller than all other points in the box.
  • C must be taller than than the minimum point in the region by the selected peak height (relief).

Pit Algorithm. Point c is a pit if:

  • C must be lower than all other points in the box.
  • C must be lower than the 8 points marked by "x" by the selected pit depth.

Spire Algorithm. Point c is a spire if:

  • C must be taller than all other points in the box.
  • C must be taller than than the 8 points marked by "x" by the selected spire height.
  • If the looser standard is allowed, it must only be taller than the number picked, from the 8 marked points. As an example, this might allow selection of a lamppost, which would extend at the top and thus not have all 8 neighbors lower.

Last revised 8/20/2021


Perform Vertical Datum Shifts

Requires the files for the geoid, get on the Geology/Geography tab of the options form .

Sub-Options on Edit menu

  • WGS84 elllipsoid to EGM2008
  • EGM2008 to WGS84 ellipsoid
  • EGM96 to EGM2008

References

  • EGM
  • The Geoid
  • Vertical datums

Last revision 1/26/2023


Perspective Ridge Crests

Option on perspective.

You can set

  • Color, width of line
  • Minimum separation to draw the next ridge. Set this to avoid having the view a solid crest. The optimal value will depend on the DEM resolution and the topography.
            •

    Last revision 5/17/2010


Perspective Window Icons

  • Print
  • Save image :
  • Edit image :
  • Copy to clipboard
  • Force screen redraw
  • Gazetteer labels:
  • Radial properties
  • Show visible points on the map
  • Perspective sensor pitch limits:

Last revision 1/10/2008


Perspective Clouds

Select the option to place clouds, and the name of the JPEG cloud image, on the General Tab of the Perspective view generation form.

The image will be stretched to fit the viewport if necessary.


Perspective Radial

Button on perspective window toolbar; Select this option and then double click on the perspective view.
  • Window caption has the azimuth
  • Row is on the image, 0 is the upper left corner
  • Pitch is measured from horizontal (+ up, - down)
  • Range is distance in meters

Last revision 1/10/2008


Perspective Sensor Pitch

Button on perspective window toolbar.

Last revision 1/10/2008


Perspective Image Quality

Image quality with a draped perspective depends on the following:

  • Size of the window. Bigger is generally better, but slower, until you get to the point where you don't have enough data to support the requirements.
  • Vertical exaggeration in the window. You can change this by resizing the window, or changing the maximum and minimum viewport angles.
  • Spacing of points on the radials. The default should give optimal image quality; you might consider reducing this spacing for faster display.
  • Distance out from the observer. The close in points will only have a few data points spread across the entire screen. You can avoid this problem by raising the minimum vertical angle, or increasing the distance to the first point that will be considered. The second option might result in unrealistic views, by ignoring hills close to your location and letting you see behind them, but the image quality will be better.
  • Max size of the drape image. Set on Views tab of options form.

The program will redraw the draped image map with pixel size equal to the DEM data spacing or the image data spacing before performing the view. However, if the max size of the drape image does not allow drawing with this pixel size, you will get decreased resolution.

For example:

  • 1 m imagery, covering an area of 25 x 25 km.
  • Max drape size to 2000 x 2000 pixels.
  • View requires a drape map that is 10 km by 10 km.
  • To get the full resolution from your 1 m imagery would require 10,000 x 10,000 pixels. To get within the limitsof 2000 x 2000, the drape map will have a resolution of 5 m.
  • To get better resolution, you could:
    • Try increasing the size of the drape maps, although your hardware and the OS might not support this.
    • Decrease the depth of the view. If your drape map only required 5 x 5 km, the resolution would be 2.5 m. To get the full value from the 1 m imagey, you would have to make a view only 2 x 2 km.
    • You will only get the benefit of the the high resolution very close to the viewer's position; farther back the extra resolution will be "wasted".

Last revision 2/16/2015


Photo Database

EXIF Photo Database

Exchangeable image file format (Exif) embeds information about the camera and GPS location in JPEG images. This is very convenient, as it tags when and where a photograph was taken, but can have security implications as it shows when and where you were. If you are on vacation, you home might be empty and could be targeted for break in based on that information. You should be careful about where you place timely personal information such as your location. In 2007 insurgents in Iraq apparently used geo-tagged photos posted on the internet to attack and destroy helicopters on the flight line.

Setting up the phone.

Ways to open EXIF database

  • File menu, map window open: best choice, shows photo locations on map
  • File, Tools, EXIF:
  • Analyze, File metadata, EXIF

Pick directory: to cycle through directory and its subdirectories to see other photos

Open file: pick a single image

Make DB: Create database with the DB button. This will work with all images in the directory and its subdirectories.

You can include or exclude images with no location data. The could might not be turned on for the camera, the camera might not have GPS, and the GPS units might not have acquired satellite yet.

Close: form closes

DB created:

  • Critical fields are LAT,LONG, and IMAGE.
  • ALTITUDE will be most useful for images from a drone or aircraft.
  • AZIMUTH is helpful to know when the photograph is looking, but will not always be present. The azimith must be recorded in an expected format, which varies by camera.
  • IMAGE has the full path and file name. To move to another computer, Edit:, String field operations, and Extract file name will remove the path, but then you have to insure the database and the images stay together, and you do not have imagery in subdirectories.
  • Database on base map.
    • You can attribute the photos. Add a text field and populate it.
    • See field of view of the photos. This requires an azimuth and field of view; the program can compute the horizontal field of view from the camera properties in the EXIF data. , and may not be present in most current phones.
      • Plot, photo locations to see the field of view of each photo.
      • Double click on record in data base, View, "Outline camera view" to see the field of view of that photo. This requires field of view fields in the database
    • Double click on record in data base, "Record display" to see the record, a small version of the photo, and the field of view of that photo. You can use the Forward and Backward buttons to cycle through the pictures.
    • KML export for Google earth. can include the photos in the display in Google Earth, and you can control the size if you select the deliberate export.
    • Icons from thumbnails of the images.

Cameras

  • We initially designed this with a Nikon SLR camera with an external GPS unit that integrated with the camera via the 10 pin remote terminal on higher models in the Nikon line. The external connection was much less convenient than the integrated GPS in phones.
  • We then had a Sony DSC-HX5V with a compass in addition to the GPS. The compass allows determination of the shooting direction of the picture.
  • iPhones
  • Android phones
  • We are now using an Olympus.

https://en.wikipedia.org/wiki/Image_sensor_format

Last revision 12/16/20176


Photogrammetry from Video

Image prep

  • Get screen captures. They must all be the same size with the same extent.
    • You can use PrintScreen, paste into Paint, and save.
    • You can use MICRODEM to automate the process
      • File, tools, load image
      • Make MICRODEM smaller, with just the PrintScreen button on the image editor visible. We can capture the entire monitor the program is running on, but not all the monitors.
      • Arrange the screen so the movie covers as much of the screen as possible
      • Play the movie
      • Hit Print Screen on the image editor to capture an image. You do not have to stop the movie, provided the motion is not super fast.
      • The images will be in "c:\mapdata\images", sequentially numbered.
  • Open one of the images
    • File, tools, load image
    • Currently you must be at 100% zoom
    • File, subset pictures
    • Pick the box desired. Cut out any text, gauges, or other extraneous infomration that will confuse the image matching
    • Pick this subset on multiple images from the popup menu
    • Pick the images to subset, which must all be in the same directory.
    • Subsets will be saved in the same directory, with a "sub_" added to the start of each file name

SfM

  • Get Meshroom (requires nVidia graphics card; if you have an nVidia that is not working, try to update the graphics driver)
    • https://alicevision.org/
    • https://alicevision.org/#meshroom
    • https://github.com/alicevision/meshroom
    • https://sketchfab.com/blogs/community/tutorial-meshroom-for-beginners/
  • Load the images
  • Run
  • The results will be in the same directory as the images, in something like "C:\Users\pguth_2\Pictures\MeshroomCache\Texturing\22e5a490033b8337227007400e7ad40de3cae771"
  • Within the directory, you need 3 files, and they must stay together
    • texture_1001.png
    • texturedMesh.mtl
    • texturedMesh.obj
  • You can view in MeshRoom; use the load button below the 3D viewer window in the upper left corner of the screen

View in Cloud Compare

  • Image will likely appear "upside down", so use that knowledge to overcome any initial misorientation on your part
  • Clean up extraneous objects in the point cloud: https://www.cloudcompare.org/doc/wiki/index.php?title=Interactive_Segmentation_Tool

Other options

last revision 11/7/2019


Point clouds from imagery

Point Clouds from SfM Imagery

Involved two data sets, and has not been updated recently:

Ship models from the 18th century in the collections of the US Naval Academy Museum.

Ship model, including the stand, colored by elevation.
Ship model with the stand largely removed.

If you need to recolor the bottom of the images to remove background that you do not want in the 3D model, use the MICRODEM image editor. This will preserve the EXIF tags in the JPEG files which the SfM software wants. Do not change the size of the photos.

  • Process all files in a directory
  • Set bottom portion of image to single uniform color
Photos of the geology of Deadman Canyon, in the Sheep Range of southern Nevada.

Suggestions culled from the web, mainly applicable to Photosynth (no longer available), but probably apply to other software as well:

  • Select a point to keep roughly in the center of your frame for every shot. This point can be obvious and visible or one that you visualize. Think of it as the center of gravity of your spin, and try to keep your camera pointing toward it in all shots.
  • Shoot in landscape mode, and at a wide focal length. Shoot at least 20 to 30 photos, making sure to overlap your shots a lot. If you are trying to capture something with many holes, shoot 40 or more photos as you move around the object to reduce 3D artifacts.
  • If you shoot all the way around an object, do not inadvertently spiral in or spiral out when completing the loop. The easiest way to complete a clean loop is to put a marker on the ground where you shot the first frame, then make sure you shoot the last frame from the exact same spot.
  • Turntable Shots: The rule of thumb for turntables is to make anything that doesn't rotate disappear. In practice, this means that any non-rotating background needs to be as featureless as possible.
  • Photosynth wants corner-like things and blob/speckle type things to track. Reflective surfaces and largely single color expanses probably won't synth well.

All of this software has crashed; you might need to get the commercial program (it has a demo version, and a reasonable academic license), or experiment to find out if the problem is the software, you not following directions, or badly configured imagery.

One of the challenges is that the computer science and computer vision communites has a different axis convention (the z axis comes out of the page or screen), while the GIS convention has the z axis vertical, normal to the earth's surface. You must insure that you understand the difference, and keep your coordinate systems straight.

MeshRoom--currently my favorite option, from video

VisualSFM

Online download at http://ccwu.me/vsfm/

  • You can get the CUDA or non-CUDA version. CUDA will be faster, but could have issues depending on your graphics card (upgrade the drivers)
  • Need to download and put cmvs.exe/pmvs2.exe/genOption.exe [pthreadVC2.dll] into the same directory as the main exe file.
  • Steps (http://ccwu.me/vsfm/doc.html# shows the icons for each step )
    • Add images
    • Match images
    • Sparse reconstruction
    • Dense reconstruction. You can use SURE for a second opinion on this step.
  • Tutorial
  • http://ccwu.me/vsfm/doc.html#errors

Additional options for manipulation and reconstruction

  • Sure: http://www.ifp.uni-stuttgart.de/publications/software/sure/index.en.html . Much better quality output than VisualSFM, but slow and huge output files.
    • Open NVM file from VisualSFM
    • Project, start processing
    • Setting the Parameters, Level/Resolution to the left will greatly speed up operations and make the resulting file size much more reasonable.
    • Provides LAS files in the 3D_Points directory
    • Provides a PLY file in the Mesh directory
  • Multi-View Environment http://www.gcc.tu-darmstadt.de/home/proj/mve/ (not working fully)

Agisoft Matashape (formerly Photoscan) is the commerial standard. I had a student use it. We got better results with the free software, but that could have been because we learned from the issues with the photos to optimize the geometry, and we used a commercial DLSR instead of a smart phone.

Options I have not tried, but have good reviews:

  • SMVS
    • https://www.gcc.tu-darmstadt.de/home/proj/smvs/smvs.en.jsp
    • https://github.com/flanggut/smvs
    • Good reviews, but only source code with limited documentation
  • Colmap + openMVS (could not find binaries)
    • https://pfalkingham.wordpress.com/2017/08/14/automating-free-photogrammetry-scripts-i-use/
    • https://pfalkingham.wordpress.com/2017/04/04/photogrammetry-testing-8-colmap/
    • My notes:
      • To see progress, move the control window off the main form before starting
      • Don't have any other files in the directory with your JPEG images
      • The Reconstruction, Multi View stereo is renamed
      • Make sure you change the max_image_size before the Stereo step
  • OpenMVG

View OBJ, PLY files in MICRODEM

  • Open PLY in Cloud Compare
  • View the vertices
  • Export as LAS (or ASCII if you want to see it, but the files tend to be really large)
  • Open LAS in MICRODEM, Point Clouds
  • View slices, and rotate, and view as OpenGL

Might need to check on the axes, which are not the GIS x-y horizontal and z vertical:

  • x---y
  • z—x
  • y--z

MeshRecon: http://www-scf.usc.edu/~zkang/software.html , http://zhuoliang.me/meshrecon.html

  • Copy or rename old "img" and "results" folder first if you want to save the last project
  • Put images in "img" folder
  • Run the "run.bat" command
  • Resulting PLY mesh will be in the "results" folder.
  • No luck so far in getting colors on the mesh
  • Can run out of memory; use fewer pictures, or change the level of detail (see the readme file)

123D Catch (now ReCap 360):

  • Free from Autodesk
  • Max of 70 photos (250 in their commercial ReCap)
  • Limit on photo resolution

SfM Georeferencing: http://www.lancaster.ac.uk/staff/jamesm/software/sfm_georef.htm which I have not yet tried.

last revision 1/4/2018


DB Plotting Colors

Set the range of values to be used for coloring. By default, these are the min and max values in the database for this field (perhaps filtered), but you can override them. You might want to do this if there are a few extreme values which will cause a large part of the color range to not be used. You can also verify the range of values in the database.

You can also pick the color scheme.

Chloropleth colors gives you a number of predefined palettes. These will tell you the number of color steps, which are relatively small.

You can reverse the color schemes

Color schemes with 256 colors:
  • Gray scale (top)
  • Rainbow colors, which have discrete breaks
  • Terrain colors
  • Spectrum colors (bottom)

Last revision 4/18/2020


Pick Graph Colors

Click the button to select a series.

  • Check if you want points, lines, or both.
  • Select color and symbol

Redraw to see the effects

The OK button finishes your selection.

Last Revision 4/27/2020


Pick DEM Grid Limits

Select the limits for display or analysis of a DEM grid, in terms of the grid postings, whose origin is in the SW corner, or the actual coordinates.

The default is for the entire DEM.

Interior of the DEM leaves a margin around the edges, which is appropriate when doing area computations which require a buffer around the points and the edges might affect the results.

Option on:

  • Modify Map Area popup, invoked by Modify menu choice on Map child window or by right click on the map window.
  • File , Save DEM, Pick corners, MD DEM

Last revision 1/24/2014


Pick Map Center and Scale

  • Pick the coordinates of the map center point.
  • Pick the scale. It will be the last scale you selected.
  • DPI: the screen resolution used to compute the scale for the map.
  • Map size: the width and height of the map, in pixels.

  • If you change any parameters, the size covered by the map will be updated.

This form can be used to recenter a map using the recenter choice after a right click on the map window.

Last revision 11/13/2006


Pit & Spire Detection

Peak, Pit & Spire Detection

Option on Calculate menu.

2/25/2023: other than pit and spire, the other routines have not been recently tested and may not work well. Use at your own risk

Select Peak/spire/pit parameters, which includes:

  • map symbol
  • search radius
  • elevation difference.

If you change the criteria for the Peak/Spire/Pit Algorithm the calculations are done again and a new database created.

  • Peaks DB
  • Pits DB
  • Spires DB

Databases stored in c:\mapdata\temp directory, and will be deleted on closing the program unless you save them. The files will be named with the DEM name, and the values of the search radius and size in the file name.

Analyzing just the map area can be significantly faster when exploring for the best parameters.

Creating the DB will result in less memory, and the database will contain multiple values for each feature. You can create a grid from the database table and pick the parameter for the grid.

Spires grid example

Cancel will exit.

Peak/Spire/Pit Algorithm.

  • Pits or depresssions are often flaws in the DEM, but can be real sinkholes in karst terrain, or volcanic craters.
  • Relief maps with a small region size can provide an indication of the height/depth parameter to use.
  • Terrain blowup can show details of the region around the pit or spire.
  • Related options
    • Building edge and roof detection
    • Power line detection
    • Wall
    • Road
    • Corner

Examples using this

  • Pits to compare DEMs
  • Peaks to compare DEMs

Last revised 2/25/2023


Pixel-Is-Point or Pixel-Is-Area

The GeoTIFF specification includes a data item, GTRasterTypeGeoKey (#1025), which may be set to either RasterPixelIsArea (maybe the default, but not clear in 7.2.1), or RasterPixelIsPoint.

  • The GTRasterTypeGeoKey value SHALL be:

    • 0 to indicate that the Raster type is undefined or unknown; or
    • 1 to indicate that the Raster type is PixelIsArea; or
    • 2 to indicate that the Raster type is PixelIsPoint; or
    • 32767 to indicate that the Raster type is user-defined.

  • Recommendation: the use of 0 (undefined) or 32767 (user-defined) is not recommended

RasterPixelIsArea defines that a pixel represents an area in the real world, while RasterPixelIsPoint defines a pixel to represent a point in the real world. Often this is useful to distinguish the behavior of optical sensors that average light values over an area vs. raster data which is point oriented like an elevation sample at a point, but this cannot be assumed from key 1025, because global DEMs like SRTM and Copernicus are pixel-is-point but it is derived from an area..

This is a real world issue with Key Global Regional DEMs. For these, some follow the

  • Pixel-is-point standard with DTED, where a 3" data set has 1201x1201points. The edge columns and rows are shared with the neighboring cells.
  • Pixel-is-area standard, where a 3" data set has 1200x1200points and no points are shared with neighboring cells. The point coordinates are the corner of each cell, so the center, where most computations are assigned, has a 1/2 pixel offset in both directions.

In "Arc-speak" these are

  • punctual spatial support where the pixel represents the value of elevation at the center of the cell
  • spatial support equal to the pixel size where the value of the pixel represents the mean value of the elevation inside the pixel

View of the grid for a 1" geographic grid in Alaska, where the spacing is about 15 m x 30 m. The black star represents the geographic position of a pixel.

  • In the pixel-is-point interpretation on the left, the elevation represents the elevation of a single point. If the sensor that created the DEM had to sample an area on the ground, that area would be the size of the pixel, and centered on the coordinates of the pixel, giving the green box.
  • In the pixel-is-point interpretation on the right, the elevation represents the elevations within the pixel (mean, median, min, or max, for instance). The convention is that this is the SW corner of the pixel. If a single point is desired for display or computaions, it should be the center of the pixel, shown with the yellow start. This is offset from the nominal coordinates by a half pixel in each direction.

A number of programs (e.g. GDAL, GRASS) turn all DEMs into Pixel-Is-Area, transforming all coordinates by a half pixel.

For internal operations MICRODEM shifts all DEMs to Pixel-Is-Point, but on export reverts to the original encoding.

History of DEM grid coordinate conventions

References:

  • Geotiff
    • http://geotiff.maptools.org/spec/geotiff2.5.html section 2.5.2.2, which clearly shows the half pixel offset, and does not say anything about the sampling scheme for the data
    • https://docs.ogc.org/is/19-008r4/19-008r4.html#_raster_space
      • Note the "mays" in the explanation.
      • " Many different types of raster data may be georeferenced, and there may be subtle ways in which the nature of the data itself influences how the coordinate system (Raster Space) is defined for raster data. For example, pixel data derived from imaging devices and sensors represent aggregate values collected over a small, finite, geographic area, and so it is natural to define coordinate systems in which the pixel value is thought of as filling an area. On the other hand, digital elevations models may consist of discrete "postings," which may best be considered as point measurements at the vertices of a grid, and not in the interior of a cell."
      • Later discussion is about the half pixel shift, and how to interpret the two raster space definitions
  • OGC Geopackage: https://docs.ogc.org/is/17-066r1/17-066r1.html#_strong_grid_point_strong
    • grid_cell_encoding has 3 values:  default "grid-value-is-center", "grid-value-is-area", or "grid-value-is-corner".
  • https://grasswiki.osgeo.org/wiki/GRASS_raster_semantics
  • https://github.com/opengeospatial/ogcapi-coverages/issues/92
  • https://www.ngdc.noaa.gov/mgg/global/gridregistration.html
  • https://github.com/opengeospatial/coverage-implementation-schema/issues/6
  • http://srtm.csi.cgiar.org/faq/ has diagram at the bottom of the page
  • https://www.usgs.gov/land-resources/eros/topochange/science/srtm-ned-vertical-differencing?qt-science_center_objects=0#qt-science_center_objects how to match SRTM and NED
  • https://www.researchgate.net/publication/222420565_The_impact_of_misregistration_on_SRTM_and_DEM_image_differences

Much older references

  • https://lists.osgeo.org/pipermail/gdal-dev/2009-April/020520.html GDAL take, old
  • https://trac.osgeo.org/gdal/wiki/rfc33_gtiff_pixelispoint (this is old, and GDAL has apparently been handling correctly for over a decade)

Last revision 7/27/2023


Planet Labs Commercial Imagery

Commercial Satellite Imagery

Satellite | Satellites in constellation | Pan Spatial Resolution | MSI Spatial Resolution | SWIR spatial resolution | Revisit | Bands | Online viewing | Reference
Worldview-1 | 1 | 50 cm |  |  | 1.7 days | Pan | https://discover.digitalglobe.com/ | https://resources.maxar.com/data-sheets/worldview-1
Geoeye-1 | 1 | 41 cm | 1.65 m |  | 2.6 days | Pan + RGB + NIR | https://discover.digitalglobe.com/ | https://resources.maxar.com/data-sheets/geoeye-1
Worldview-2 | 1 | 46 cm | 1.85 m |  | 1.1 days | Pan + 8 VIS/NIR | https://discover.digitalglobe.com/ | https://resources.maxar.com/data-sheets/worldview-2
Worldview-3 | 1 | 31 cm | 1.24 m | 3.7 m | <1 day | Pan + 8 VIS/NIR + 8 SWIR + 12 30 m CAVIS | https://discover.digitalglobe.com/ | https://resources.maxar.com/data-sheets/worldview-3
WorldView Legion (coming "soon" but already two year delay) | 6 | 30 cm |  |  | up to 15/day | Pan + 8 VIS/NIR |  | https://www.maxar.com/worldview-legion
Planetscope (DOVE) (use in MICRODEM) | 180+ |  | 3-4.2 m |  | Daily | 8 VIS/NIR (3, 4, and 8 band products) |  | https://assets.planet.com/docs/Planet_Combined_Imagery_Product_Specs_letter_screen.pdf https://developers.planet.com/docs/apis/data/sensors/
Skysat | 21 | 050 cm | < 1 m |  | 0.25 days | Pan + 4 VIS/NIR |  | https://assets.planet.com/docs/Planet_Combined_Imagery_Product_Specs_letter_screen.pdf
Pelican "soon" to replace Skysat | 32 | 30 cm |  |  | at least 10/day, up to 30/day |  |  | https://www.planet.com/products/pelican/
Tananger (maybe 2023) | 2 | 30 mm |  |  |  | 400 hyperspectral |  | Planet Announces New Details of Hyperspectral Offering
Pleiades Neo | 4 | 30 cm | 1.2 m |  | 0.5 days | Pan + 6 VIS/NIR (RGB, NIR, Deep blue for water penetration, red edge |  | https://www.intelligence-airbusds.com/imagery/constellation/pleiades-neo/

Maxar decommissioned satellites'

  • Ikonos, 82 cm
  • Quickbird, 65 cm
  • Worldview-4, 31 cm

last revised 8/4/2023


Plate Boundary Shapefiles

Button on map window toolbar

Plate boundaries are color coded:

  • Red for trenches
  • Green for ridges (includes small transform segments)
  • Orange for transform/strike-slip boundaries.

There are a number of plate boundary files on the internet. Most are very small scale, and when you zoom in to complex regions like the Mediterrean sea, the lines often are not complete. They also typically code all the tranform segments on the ridges the same as the spreading centers, which is perhaps a matter of semantics.

Plate boundaries are vector line files.

Plate boundaries

  • Best example, used by default in MICRODEM:
    • An old KML set of files from USGS on the web, which is no longer available. It has 7 categories (differentiating boundaries in oceanic and continental crust), with good detail. You can cite it from this page
  • Good examples:
    • USGS, earthquakes pages (KMZ): https://earthquake.usgs.gov/learn/kml.php
    • Bird, P., An updated digital model of plate boundaries (Geochemistry Geophysics Geosystems, 4(3), 1027, doi:10.1029/2001GC000252, 2003).
      • https://github.com/fraxen/tectonicplates (for shape files)
      • https://nordpil.com/resources/tectonic-plates-gis-data/
      • http://peterbird.name/publications/2003_PB2002/2003_PB2002.htm
  • Coarser resolution
    • Joseph Kerski, ESRI: https://www.arcgis.com/home/item.html?id=f155b76c13c84f62864446847f1ae652
    • UT Austin: http://www-udc.ig.utexas.edu/external/plates/data.htm
    • USGS Plate boundaries: https://www.sciencebase.gov/catalog/item/4f4e4a48e4b07f02db62303e

Last revision 1/8/2018


Plate Carrée Projection

This projection in not conformal, not equal area, and not a good compromise. It should never be used for large scale, detailed mapping. For a map of the world, it can be an acceptable choice if you consider the alternatives, since any projection will have compromises. This does show the poles, which the Mercator does not.

While not a good choice for mapping, it is a very common choice for globlal data sets such as ETOPO or Blue Marble or global DEMs. If those data sets are to used for smaller area, they should be reprojected into a more appropriate projection on the fly.

Many synonyms:

  • equirectangular projection
  • equidistant cylindrical projection
  • geographic projection
  • la carte parallélogrammatique projection
  • following ESRI, GCS (geographic coordinate system)

Last revision 7/21/2021


Plot DB using Icon Field

Picked from the "Plot" button menu on the database table display window.

The form's title bar will indicate whether plotting from:
  • Icon field in the database
  • Single icon for all records

Pick icon and scaling factor to change its size

Bottom panel controls:

Last revision 1/8/2017


Plot Single Focal Mechanism

  • Load the focal mechanisms database.
  • Subset & zoom
  • Map query, current map area, so the search is fast
  • Plot a single focal mechanism by clicking the button on the map toolbar.
  • Verify options for how to plot the beach balls.
  • Double click on the earthquake location on the map.
  • The focal mechanism will draw; it is not sticky and will disappear the next time the map redraws

Last Update: 3/24/2021


Plotting Highways

The DB groups file, stored in c:\mapdata\database\groups, which will plot roads in the US. Each category uses a different filter, and appears only when the pixel size on the map is less than that in the PIXEL_SIZE field. This file grouping can be created on the Database menu and then modified to add the FILTER and PIXEL_SIZE fields.

Plot the grouping.

Map of the entire US, showing interstates. Since the pixel size is greater than 5000 meters, only the Limited Access Highways appears.

Regional map showing the interstates and other principal highways.

Local map showing all highways .Since the pixel size is less than 1000 meters, all Highways appear.

Legend from File menu of the map.

Last revision 5/23/2011


Plot shape file grouping

Plot cartographic shape file grouping

  • Overlay vector data from a map window. This will display the databases as specified in the shape file grouping, but not perform any other operations.
  • "Load cartographic grouping" from database menu . This opens the file, displays it using the symbology in the index file, and then closes the database.

For full database functionality

  • "Load DB grouping" from the database menu . This loads the Table view of each database, letting you filter or perform other options.

Create the grouping on the database menu. It consists of a database with the names of the databases to plotted, a plotting order, and symbology to use. It can also have a filter, if you want to use different symbology for different records in the same file. You can edit the grouping file in Excel (carefully), or as a database in MICRODEM.

To edit the symbology graphically (as opposed to having to enter colors as an integer), you can open the grouping file as a database, put it in edit mode, and then click on a record the change the symbology.

This works by opening each file in the grouping with order 0 in turn, setting the FILTER if there is an entry in the field, setting the symbology specified, plotting all records that meet the filter, and then closing the file. Then the process is repeated from order 1, and on up until order 9. This allows changing the order of plotting to something other than the order in the file.

Last revision 11/17/2011


PLSS DBF Files:

PLSS DBF Files: Required Fields

The PLSS DBF files require the following fields:

  • All 3 require: LAT_HI, LAT_LOW, LONG_HI, AND LONG_LOW
  • quarter_84 requires: LNDKEY, QSECTN (QQSECTION for the new files)
  • section_84.shp requires: LNDKEY, SECTN
  • twnshp_84.shp requires: LNDKEY, TOWN, TWNFRT, TWNDIR, RANGE, RNGFRT, RNGDIR, PRIMER, STATE

You may remove the other fields using a database program like MS Access or Excel. This will make the files smaller and save hard disk space.

Last revision 7/29/2007


PLSS Options

PLSS is off by default. PLSS only works in the western US, and is a specialized and antiquated system. If you want to use it, you must enable it on the Menu tab of the Menu tab.

Access via:

  • Vector Map tab of options form.
  • Map Overlays PLSS choice.
  • Option to show or hide 1/4 sections, sections, and townships
  • Set colors and widths for the boundaries
  • Label sections or townships; they will use the same colors as their boundaries.
  • If smart scaling is selected, the edit boxes contain the map pixel size in meters at which the features will be drawn. If the pixel size is larger than the specified value, the features will not be drawn.
    • Townships are about 9.6 km in size. With the default size, townships would be about 40 pixels across or they would not be drawn.
    • Sections are about 1.6 km in size. With the default size, sections would be about 32 pixels across.
    • Quarter-quarter sections are about 0.4 km in size. With the default size, quarter-quarter sections would be about 40 pixels across.
  • Use 1/4 sections in labels
  • Use lots in labsel
  • Autoload PLSS with all maps.
  • PLSS to RAM: this will slow initial loading, but greatly speed up all later operations.
  • PLSS file buttons: select up to 5 directories containing files to use for US data.

The 1/4 sections slow down operations greatly. If you know you do not need them you should uncheck the two boxes that refer to them. They may also not be reliable.
PLSS overlay.

Details of PLSS data.

Last revision 8/27/2020


PLSS Data

The Public Land Survey System uses Townships and Sections, and encompasses almost 1.5 billion acres of land beginning with the Land Ordinance of 1785. These surveys of townships and sections begin in Ohio and extend to all parts of the United States except the original thirteen colonies. There are approximately 2.6 million section corners, each located about a mile apart. PLSS assumes a flat earth, and earth curvature plus surveying errors leads to some very interesting "rectangles".

US Data used to be downloaded from the BLM. This has apparently been deprecated, and you have to deal with the wonderful ESRI Geodatabase format. It is now up to you to convert those to shapefiles, in the same format they used to have. Maybe it is time to just use Lat/Lont, UTM, and MGRS.

  • Current
    • https://navigator.blm.gov/services. This is not very easy to use, and we have not gotten it to work. You will probably have to deal with the Geodatabase format; it might be possible to convert to shapefile with QGIS.
  • Old:
    • BLM download, in zipped shapefiles. You can get state or county downloads. This will use a popup, so insure that your browser will allow it (Internet Explorer may work best). Do not get the Geodatabase format.
  • Download to a subdirectory under "c:\mapdata\plss" directory, and unzip. Because each set of files has the same names, you must uncompress each download to a different subdirectory. The shapefile "twnshp" describes the township boundaries; "first" has the section boundaries; and "ladesc" describes quarter-quarter sections. You need the DBF, SHP, and SHX file for each shapefile. Since the BLM may limit the size of downloads, you might have to merge shapefiles on the merge menu of the data manipulation form, or just use multiple directories.
    • Set the base directory to use on PLSS options. Make sure that the folder you want, under "c:\mapdata\plss", opens when you click on it, and then pick OK.
    • The program can deal with the BLM files, and the alternates, but they must be placed in different directories.
    • You must use files downloaded after May 2004 in WGS84.
    • The first time you use the files, the program will rename the shapefiles to "twnshp_84" and "section_84" and "quarter_84".
    • You can remove some fields from the files to save hard disk space.
    • You can use the Calculate, PLSS position menu choice. Double clicking on the map will show the position in Lat/Long and PLSS.
    • Map Overlays PLSS options. You can choose whether to show townships, sections, and quarter sections, and to label townships and sections.
    • You can automatically draw the PLSS grid when a map draws. To do this:
      • Enable "Use PLSS" on Menu tab of the options form.
      • Have "Auto Draw PLSS" check box selected on the Vector Map tab of the options form, or on the grid options form.
      • The grid will be drawn every time, with the level of detail (townships, sections, or 1/4 sections) depending on the scale of the map.

The option to use Alberta township data has been removed.

Online converters. Our experience is that the 1/4-1/4 database has problems, and you might want to verify any critical results (or switch to more modern ways to locate positions, such as Lat/Long, UTM, or MGRS/USNG.

  • http://www.geocommunicator.gov/TownshipGeocoder/TownshipGeocoder.asmx?op=GetTRS
  • http://www.earthpoint.us/TownshipsSearchByLatLon.aspx
  • http://www.legallandconverter.com/p43.html
  • http://www.metzgerwillard.us/plss/plss.html works in Google Earth

Web Services

  • https://navigator.blm.gov/services

Last revision 6/1/2020


+ BOX

Control for slices:

  • Drag to pick boxes on the x-y plane map
  • Enter the box name
  • Enter the z value
  • Coords will be entered in the box outlines database

last revision 4/18/2016


Point Classification (Ridges and valleys)

  • Selected on Geomorphometry analysis of Analyze menu
  • On Ridges choice of Calculate menu.
  • Used with DEM map masking

Now also includes:

  • Pennnock Landform Classification (Pennock,D.J., Zebarth,B.J., and De Jong,E., 1987. Landform Classification and Soil Distribution in Hummocky Terrain, Saskatchewan, Canada. Geoderma, 40: 297-315.), using WhiteBox.
  • Iwashashi and Pike Classification
The top parameters apply only to the Wood (1996) algorithm. Because it uses 4 parameters, this can take some adjustments to get the tuning right for the DEM and geomorphic characteristics.

Mask radius applies the Simple and Simple 2 algorithms. For each point classified as a ridge, a radius of this size will be masked.

Algorithm: Wood Simple Simple 2

Ridge valley tolerance: for the Simple 2 algorithm, how many neighbors must be higher/lower. Smaller values lead to more classified points.

Draw shows the ridges and other point classifications, and optionally shows counts

Ridge map: creates grid using the current algorithm, with the elevations of the points classified as ridges and peaks.

Valley map: creates grid using the current algorithm, with the elevations of the points classified as pits and valleys.

Ridge mask creates mask with the ridge and peak points. This can be used with map masking.

Valley mask creates mask with the pit and valley points.

All points map: creates grid using the current algorithm, with each category with a different number.

High/Low neighbors

Close: exit form. Do not hit this early.

Draw Ridge/valley Map
Wood (1996) algorithm Simple algorithm Simple 2 algorithm (tolerance 5)

Draw Simple 2 Ridge/valley Map
Simple 2 algorithm (tolerance 7) Simple 2 algorithm (tolerance 6) Simple 2 algorithm (tolerance 5, same as above)

Ridge Mask
Wood (1996) algorithm | Simple algorithm | Simple 2 algorithm

Simple:

if (z < znw) and (z < zn) and (z < zne) and (z < zsw) and (z < zs) and (z < zse) and (z < zw) and (z < ze) then Result := PitPoint
else if (z = znw) and (z = zn) and (z = zne) and (z = zsw) and (z = zs) and (z = zse) and (z = zw) and (z = ze) then Result := FlatPoint
else if (z > znw) and (z > zn) and (z > zne) and (z > zsw) and (z > zs) and (z > zse) and (z > zw) and (z > ze) then Result := PeakPoint
else if ((zn > znw) and (zn > zne)) and ((z > zw) and (z > ze)) and ((zs > zsw) and (zs > zse)) then Result := RidgePoint {NS trend}
else if ((zw > znw) and (zw > zsw)) and ((z > zn) and (z > zs)) and ((ze > zne) and (ze > zse)) then Result := RidgePoint {WE trend}
else if ((zn < znw) and (zn < zne)) and ((z < zw) and (z < ze)) and ((zs < zsw) and (zs < zse)) then Result := ValleyPoint {NS trend}
else if ((zw < znw) and (zw < zsw)) and ((z < zn) and (z < zs)) and ((ze < zne) and (ze < zse)) then Result := ValleyPoint {WE trend}
else Result := OtherPoint;

Simple 2:

Of 8 neighbors, count those higher and lower

if Higher = 8 then Result := PitPoint
else if Lower = 8 then Result := PeakPoint
else if (Higher = 0) and (Lower = 0) then Result := FlatPoint
else if (Higher >= RidgeValleyTolerance) then Result := ValleyPoint
else if (Lower >= RidgeValleyTolerance) then Result := RidgePoint
else Result := OtherPoint;

Compare to:

  • TPI: Topographic position index

Last revision 3/2/2023


Point Cloud Problems

  • Hints with large point clouds or wimpy computers to improve performance
  • Insure you do not have an unnecessarily restrictive Filter, which can caused you to see few or no points.

Will not plot

  • An unfortunate number of LAS files do not have the projection set in the LAS file.
  • Follow the procedures in the table below. Some of these require current LAStools
Try opening LIDAR Point cloud | Works, done
Fails, look at LAS file's metadata
  • Use MICRODEM's File Metadata option.
  • Use LAStools
  • Look at download site, which often has the metadata.
 If no projection information, assign it with LAStools Must have either the UTM zone, or the EPSG code, and this must come from the metadata with the file. Metadata is often an XML file, best viewed in NotePad++. There is only one correct choice here, and it is whatever the creator of the data set used. You cannot use this step for Reprojection. If the data is not now geographic or UTM, you must reproject it for MICRODEM.
If there is projection information, but it is not geographic of UTM, reproject it | Must have the correct UTM zone for the operations area.

Elevation colors a single shade

  • Set the range on the Draw tab of the [image] LIDAR Point clouds form.

Last revised 10/31/2019


Point Interpolation

t

Option, accessed on the " Calculate, Intervisibility " menu from a map, shows effectd of different interpolation algorithms.

  • The contour lines follow different rules, using only elevations at the grid points and linear interpolation between them.
  • Circular artefacts in the 1/R and 1/R ² algorithms.
  • Extreme blockiness of the Nearest Grid and SW grid algorithms.
  • Only bilinear interpolation or triangle algorithms should be used.
  • Effects of the interpolation method will decrease as the data spacing decreases, and the four surrounding values become closer and closer in value, although if the elevations are in integer meters there will be stairsteps in certain grids where the values change. The differences will have most impact along ridges and hilltops, because these features control intervisibility.

Some authors have advocated using more than four neighboring elevations; this is not implemented in MICRODEM and is not felt to be worth the additional effort.

Last revision 7/16/2008


Point Parameters

Invoked from "Calculate" menu of a map window with a DEM associated.

Select a region size for the analysis, because a number of the calculated parameters depend on a region size.

Double click on a point; window appears with parameters displayed.

The active slope algorithm affects the results.

Last revision 5/4/2016


Point Spacing

On DEM Properties on Analyze menu. There must be a DEM open for this to work.

Creates two popups:

Data spacing in the x and y directions at the four corners, the DEM center, and the average, for this particular DEM.
Spacing at various latitudes, and % difference in the x spacing between the top and bottom of a one degree cell. This shows the effect of assuming a constant x spacing over a one degree cell.

Last revision 2/7/2016


Max/mean/min grids from point da

Max/mean/min grids from point data

Option on Calculate menu

Creates UTM grids with your choice of point spacing, covering the current map area.

Open any map, and zoom to the desired area. Since this creates 4 new grids, you want to minimize the area of each.

Pick the grid size to use, in meter.

Select the files to put into the grids.

  • 3D point shape files (currently the best option)
  • Databases: pick field for the z values to put in the grids.
  • ASCII XYZ data. Order currently must be lat/long/z; for other choices, convert the file to a database.

Creates grids for the min, max, mean, and point count within each grid cell.

last revision 3/8/2017


Point Selection Along LOS

Point selection along the LOS can use:

  • Scaled radial spacing: you can set the spacing as a fraction of either the DEM spacing (a constant for a DEM), or the map pixel size (which varies as you blow up the map). Whichever number is smaller will be chosen for the LOS. The Nyquist sampling theorem suggests the default of 1/2. This is the only option recommended. The only recommended changes, which only slightly degrade results and speed up computations by a factor of two, would be to set the two spacings to 1.
  • Constant radial spacing: select the spacing in meters. If you used DEMs of varying resolution, this can lead to poor choices (either overkill or insufficient sampling).
  • Grid square sides (Yoeli). This selects only points along the sides of the grid squares, and performs a linear interpolation between them.
  • Nearest grid point Bresenham. This does not interpolation, and takes the elevation of the nearest grid node.

The last three choices are not recommended, and are included only for users who want to compare the results with other programs. The last two choices are not efficiently coded, and will be slow.

This is selected on the LOS/Weapons Fan Algorithms form.

Last revision 7/16/2008


Population Density

Two different depictions of the population:

  • Population per tract, which does not account for the different sizes of the tracts. Some of the largest population tracts also have the largest areas, so the people are really spread out in a rural tract. The Census Bureau exaggerates this effect, since they try to make tracts have nearly the same population.
  • Population density (people per square kilometer or square mile), which emphasizes the urban areas.

Compute ratio like population density: Edit button, Field arithmetic, Quotient 2 Fields (ratio) from a shapefile, and then pick the name for the new field.

Last revised 10/12/2015


Population Pyramids

Two sources:

  • https://www.census.gov/data-tools/demo/idb/#/country?YR_ANIM=2021
    • Select country/area, year
    • Click the submit button, and get a series of graphs.
    • Download as a JPEG.
  • https://www.populationpyramid.net/
    • Select country
    • Download at the bottom left of the figure
    • Copy image

The graph shows the pressure on resources to deal with increasing population and finding educations and jobs for youth, on conversely problems with an aging population and the need for care for the elderly.

This is for the entire country, and in many cases there are significant differences from one part of the country to another.

Things that show up here:

  • Wars, when a cohort is greatly reduced, which can be males, females, or both
  • Increased health care, public health, and vaccinations, which greately reduces childhood mortality
  • Social security for the elderly, so they do not have to produce a lot of children to care for them in old age
  • One child policy's
  • Preference for one gender over the other
  • Women generally outlive men

Last revision 2/12/2021


Power Lines

Experimental, not fully documented, and may not work reliably for other data sets beyond what we have worked with

Requires vegetation density grids, created and opened.

Calculate menu option.

Parameters:

  • Highest vacant voxel: Minimum height in meters above the DTM surface for the power lines.
  • Lowest vacant voxel: Maximum height of any vegetation above the DTM surface, under the power lines.
  • Max occupied voxels: this might need to be more than one if there are several power lines, or if the lines are curved and might appear in several voxels.
  • Required neighbors: adjacent neighbors required for the power line to be continuous.

Last revision 7/18/2014


Prep shapefiles

Insures the bounding box is present, and trims the length of excessively long string fields. You select a folder, and all shapefiles under that directory will be processed. The overall progress will be shown in the lower left corner of the screen. This can take a while (so do it unattended), but pays dividends in time savings down the road.

Particularly useful for

  • OSM
  • Natural Earth
  • GADM

Last Revision 12/17/2020


Principal Components for Imagery

Basics of principal components.

Examples with two bands.

Because most satellite images have bands which are highly correlated as shown in a correlation matrix, there is actually a lot of redundancy in the different bands. It might be possible to create fewer new bands that contain all the information in the scene, and requires less storage space. These new bands, especially the first, might provide an improved analysis tool.

Selected on Imagery analysis menu, after you have opened the satellite as multiple grids.

 | PC 1 | PC 2 | PC 3 | PC 4 | PC 5 | PC 6 | PC 7 | Notes--This was a Landsat 4/5 scene.
Eigenvalues | 822.44 | 44.8 | 20.35 | 5.89 | 3.12 | 2.76 | 0.91 |
Percent Variance Explained | 91.36 | 4.98 | 2.26 | 0.65 | 0.35 | 0.31 | 0.1 | These sum to 100%. By the time you get to the last PC, it might be all noise.
Loadings |  |  |  |  |  |  |  |
Band 1 | 0.0701 | 0.4729 | 0.6014 | -0.104 | 0.565 | 0.0688 | -0.274 | The sum of squares of loadings for each band equals 1
Band 2 | 0.0797 | 0.211 | 0.3297 | 0.0016 | -0.087 | -0.074 | 0.9097 | Band 2 is "alone" on PC7; the other loadings are very small.
Band 3 | 0.171 | 0.2042 | 0.3356 | 0.2599 | -0.569 | -0.585 | -0.286 |
Band 4 | 0.5381 | -0.680 | 0.449 | -0.084 | -0.034 | 0.1923 | -0.040 | Second highest loading on PC1
Band 5 | 0.7522 | 0.2245 | -0.454 | -0.204 | 0.2223 | -0.291 | 0.0447 | Highest loading on PC1
Band 6 | 0.1539 | -0.045 | -0.083 | 0.9324 | 0.2973 | 0.0773 | 0.0599 | Band 6 is "alone" on PC4, because the TIR is so different from the other bands, and has extremely low loadings on all the others.
Band 7 | 0.2839 | 0.419 | -0.045 | 0.0615 | -0.459 | 0.7208 | -0.091 |
TM band 3. | PC1 image, from a 6 band TM analysis. Note the sharp details on land, and the clear distinction between land and water. This is similar to the results in the table above, but did not include Band 6. This image is much better than the Band 3 image above, and actually similar to bands 4 or 5 (which also have the highest loadings on PC1). This PC explains 83% of the variance in the image's 6 bands. | PC6 image, from a 6 band TM analysis. Note that this image appears mostly noise, with only a faint hint of the location of shoreline. This PC explains 0.1% of the variance in the image's 6 bands.

Last revision 8/3/2020


Principal Components Basics

Principal Components

Because many data sets have variables which are highly correlated, there is actually a lot of redundancy in the data. It might be possible to create fewer variables that contain all the information in the data set, and requires less storage space and processing power. The resulting images can be "better" than any of the original images.

  • For satellite imagery, Selected on Imagery analysis menu,
  • For a database

This method does the following:

  • Extracts the eigenvalues from a covariance matrix.
  • Orders the eigenvalues, and computes the percentage of the variance explained by each eigenvector.
  • Computes the loading of each band on each of the principal components. The sum of the squares of the loadings on the principal components equals 1.

Last revision 3/2/2011


Print Preview

Print Preview & Print to Scale

The print button on the map toolbar offers "print preview & print to scale" and "Prepare printer image" options. Both can eventually bring up this form, which shows a reduced view of the current map, with the locations of page breaks indicated.

  • You can adjust the scale to get the map onto a specified number of pages.
  • If you want to get the map onto a specified number of pages without changing the scale, you must subset the map area.
  • The preview map shown may have the grid with many missing lines due to reduction to fit the small window.

You will get the best quality on the final printout with the largest size image possible. Windows will limit the size of the map window you can open, but it is at least 2000 x 2000 pixels and is likely much larger (we have not tested this option in a long time), and a function of your hardware and the version of Windows you are running. Using a large map size is most critical when you print to a very large printer.

Last revision 8/26/2009


Hardware Options Tab

Tab on options form, brought up from the Options choice on the program menu.

  • Max active threads
  • Digitizing options: by default most files are removed from the Windows temp directory when you shut down.
  • Debug log operational: you can turn off the debug log. This should only be necessary if you have a debug version of the program and it is tracking operations inside tight program loops and slowing things noticeably.
  • Save transparent GIF
  • Show WinExec window: when an external program is called, this will shows its progress if it uses the command window
  • JPEG Quality, 0-100: low numbers are low quality and small file size.
  • Update delay: if you update MICRODEM over the web, you need a delay which you can increase if there are problems.
  • Love Bill the Goat: because who doesn't?
  • Stay awake (for GPS, bulk processing): Windows does not doe a good job of tracking when MICRODEM is working, and can prematurely shut down; this option prevents that.
  • Use online help (instead of the CHM file).

Last revision 9/25/2021


ESRI PRJ Files

The program can now read ASC DEMs with an associated PRJ file. The projection file must be in the same directory as the DEM, and have the same base name.

Sample PRJ file that can be read (single line, ASCII)
PROJCS["Croatia",GEOGCS["GCS_Croatia_2000",DATUM["D_Croatia_2000",SPHEROID["Bessel_1841",6377397.155,299.15281]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Transverse_Mercator"],PARAMETER["False_Easting",6500000],PARAMETER["False_Northing",0],PARAMETER["Central_Meridian",18],PARAMETER["Scale_Factor",0.9999],PARAMETER["Latitude_Of_Origin",0],UNIT["Meter",1]]

Currently this will only work with a Transverse Mercator projection, and a file that looks like this.

This file is not publicly documented, to the best of our knowledge. We will add support for other projections as we become aware of DEMs available in this format.

Because there are other kinds of PRJ files, this can lead to problems. You might have to remove offending PRJ files if you have problems with them.

Last revision 6/9/2015


Problem finding options

If you cannot find buttons or menu choices that you need because only a subset appear

  • If the menus or toolbars are missing, or incomplete, double click on the status bar at the bottom of the program screen. It is above the Windows icons, and is the region where the program reports to you. Try these steps in order.
    • Program tab of options form lets you select a number of menu/toolbar subsets, with simpler menus. Change the Program version to something different, and then back to the version you want.
    • Pick one of the default configurations to restore from the lower right corner of the options form. The MICRODEM option should have the most options enabled.
    • Go to the Menu settings button on the Program tab of the options form and insure options for buttons and menus are selected.
  • If you have problems, pick the "Regular" version. You can also start the program with an -EXPERT command line parameter.
  • Delete the program's MICRODEM.INI file.

This is a sporadic issue, and to date we have not been able to determine what triggers it. Only a few students in a class experience it, so what is different about their hardware or program settings eludes us.

Last revised 4/10/2019


Problems importing shape files

Some shapefiles imported from the web will not work correctly and give an error message about a corrupted header.

Solutions that usually work:

  1. Use "Repair headers" option Resample menu choice of [image] data Data Manipulation Form

last revised 10/1/2015


Problems with CSV Import

  • The CSV format is ill-defined, and while it works well with basic data, complicated cases can cause problems.
  • Non-Western characters can present problems. If you do not need the columns with what could become illegible text, delete them in Excel before you import.
  • Commas can present problems, being mistaken for column delimiters. Delete them with a global search and replace in Excel, or replace them with a ';'. You can put the commas back once you get the file imported into MICRODEM.
  • Missing data can be symbolized with a letter, character, or "-". All of these will make the field a string, and limit your options with that field. To avoid that, do a global search and replace in Excel to make them a blank or a magic number like -9999.
  • There can be extraneous text in the file. Usually this will be at the top, the bottom, or somewhere on the right. Try deleting columns to the right, or rows on the bottom. If you cannot easily find it (Notepad can be easier than the spreadsheet to spot problems on the right), copy the actual data portion to a new worksheet in Excel, and use that.
  • The spreadsheet is likely to remove a leading 0 for ZIP (New England) and FIPS codes ("A" states). This causes problems when you want to Join databases.
    • Add leading 0's to the field (Edit database, String field operations , add leadings zeros)
    • Remove leading 0's from the field (Edit database, String field operations, Remove leadings zeros). While this can be the easiest solution, it will leave you with both databases having a non-standard FIPS or ZIP code.

  • String fields can sometimes come in centered, with extra blanks before and after the text. Edit database, String field operations, Trim blanks.

Last revision 1/30/2017


Profile Wavelength/Height Calculations

Profile Wavelength/Height Calculations--not tested recently, and probably removed

Wavelength (km)
  • Median: 2.53
  • Mean: 2.56
  • Std Dev: 0.94

Height (m)

  • Median: 87.17
  • Mean: 75.32
  • Std Dev: 24.05

Several options:

  • Right click on topographic profile; insure profile was correctly oriented to capture periodic structure (perpendicular to crests and troughs). Adjust Parameters.
  • From Fabric at point option on Calculate, Topographic Grain menu. This calculates the direction of the fabric, draws a profile at right angles, and computes wavelength and height.

Option on LOS Right click:

  • Draw a profile, perpendicular to the dune crests.
    • Peaks are determined by parameters on Wavelength tab of Topographic fabric vector overlay form
  • Pick option after LOS Right click
  • For each point identified as a peak on the profile, the algorithm will find all points in both directions on the same crest
    • Spacing of points along the crest is currently hard-wired into the program at 500 m.
  • The data will be in a series of CSV files in the temp directory, which will be collected into a single database..

Parameters to set

Last revision 7/8/2013


Program Options Tab

Program Tab

Tab on options form, brought up from Options menu selection.

  • Can save screen real estate (particularly useful with a netbook, laptop, or tablet), since most choice are available via menus.
    • Show Toolbars:
    • Show Menus
  • Save defaults on exit: turn off if you want to save defaults only manually.
  • Auto open: you can open a data set automatically when the program opens
    • Last project
    • Last DEM
    • Vector map
  • Menus: flavors of the program, with simpler menus.
  • Menu settings
  • Status bar: change widths of the panels in the status bar at the bottom of the screen
            •

    Last revision 7/21/2016


Projection Conversions

Last revision 6/5/2016


Projection/Datum Shift Sequence

Coordinate manipulations involve the steps above. If you are only interested in geographic coordinates, you do not need to use the forwad and inverse projection equations.

To go back from datum 2 to datum 1, you repeat the same steps and exchange the datum 1/2 on the two sides of datum transformation.

On the fly projections of data sets with different datums or projections must use this process to display points on the screen, or to go from the mouse position to the coordinates.

To plot the UTM grid on a Lambert Conformal Conic projection map, you must first convert to geographic, and then use the equations of the other projection.

last revision 11/28/2018


Projection Data Sets

MICRODEM uses projection data downloaded from OSGeo4W, which is used by GDAL and is ultimately maintained by PROJ.

With an OSGeo4W default installation, this will be in OSGeo4W\share\proj but can be copied elsewhere.

  • The README.DATA file describes the data files, and their maintenance on github at https://github.com/OSGeo/PROJ
  • There is a text file describing each of the files from a national mapping agency.

Last revision 6/3/2023


Map Projections for Raster Data

Map Projections for Raster& Lidar Data Data

Raster data such as satellite imagery or DEMs is stored in a rectangular grid, with the coordinates of one corner and the spacing in the x and y directions. The coordinates for every pixel can be computed from the four stored values, and requires essentially no storage. In contrast a point cloud must explicitly stored the x, y, and z values for every point.

The definition of the stored coordinates uses a map projection, which is a series of equations going between latitude and longitude and cartesian x and y coordinates. Since it is impossible to take the surface and flatten it on a flat plane, all projections involve compromise. Computer mapping uses three main types of projection:

  • UTM, the Universal Transverse Mercator system developed by the US military. This creates 60 UTM zones, each 6 degrees of longtitude, and within the zone there is virtually no distortion. Computations are very easy, and the only real challenge is dealing with the discontinuities at the UTM zone boundaries. The Sentinel-2 and Landsat data all use UTM coordinates for their grids. The maximum distortion in the UTM projection, if you stay within the zone, is about 4 parts in 10,000 (stretching by a factor of about 1.0004).
  • Geographic equidistant cylindrical or equirectangular projection, equidirectional projection, geographic projection, plate carrée or carte parallelogrammatique projection. This is not really a projection, but just an assumption the latitude and longitude can be plotted as if they were cartesian coordinates, ignoring earth curvature. It blows up completely at the poles, where the poles maps to the top and bottom rows of the grid. This has been used for data because it is "seamless", meaning there are no problems merging data. Within small areas, the pixels can be considered to be rectangular, and the computations are not much more complicated that with UTM projections. This is used for all the Global Regional DEMs, but they should not be displayed in this projection.
  • Other projections are used much less commonly.
    • Polar stereographic for the poles.
    • Lambert conformal conic, for regions that are wider than they are tall, such as covering all of the continental US or countries like France or Morocco.
    • Transverse Mercator: rather than using the arbitrary central longitudes used in the UTM, this uses a central longitude centered on the region of interest, which should be taller than it is wide.

The US has a system called the state plane coordinate system (SPCS) , which is designed to have even less distortion that with the UTM system. To achieve this, each state has at least one zone, and the largest states have more than one, for a total of about 120 zones. To further complicate matter, many SPCS data sets are in feet, and there are definitions of feet--how you truncate the irrational number matters, and when the coordinates get into the millions, the tiny difference adds up and displaces features. You should avoid the SPCS system if at all possible (some states require that it be used for legal surveys).

Last revision 2/28/2022


Protractor

Option when right-clicking after [image] drawing topographic profile (line of sight). overlay protractor and move it along the profile. Double click to park it on the profile.

Last revision 8115/2013


Point Cloud Ceiling and Floor Grids

Last revision 2/10/2018


Point Cloud Draw Options

Point Cloud Draw Tab

LIDAR Point cloud form option, Draw tab

Thin, map: faster if you skip points

LAS auto thin: the program can attempt smart thinning that will speed up drawing and not create holes.

Thin coeffiecient: with auto thinninng, the value will be PointDensity * ScreenPixelSize * ThinCoefficient

LAS legend on the map

Scale 1%-99%: by ignoring the extremes tails of the elevation or intensity distribution you can avoid bird strikes and other anomalies that distort the assignment of colors and don't use the full range.

IHS color merge: shows point cloud as overlay with the base map showing through.

Opacity: set level for the IHS merge

Min and Max Z: the program will attempt to scale the elevation colors, but you can force the extremes to use. Use the Scale 1%-99% as the first step. You may need to look at a histogram (stats tab) to decide what are the real limits of the data; birds can give anomalous high points and there can also be low points from reflected returns which take too long and are placed underground.

  • Cloud Z returns to the extremes in the point cloud.
  • DEM Z takes the extremes in the DEM used in the base map. There are good reasons why you will have valid returns higher than the DEM (buildings, trees, power lines), but you can decide what would be excessive and there are probably not much higher than the mountain tops.

Coloring: both the intensity and RGB values are 16 bits in the current LAS file, and supposed to be scaled to use the full dynamic range (so that a division by 256 would lead to reasonable coloring). This is frequently not the case. You can set the min and max intensity/colors, complete black and white respectively, and the program will linearly scale between them. To find out the range of values in the LAS file, and hints at extreme tail values, use Histograms/Counts on the Stats tab. Intensity is now done separately for each cloud.

Main controls on the bottom of the form, always visible

Last revision 1/16/2023


Main controls

Point Cloud Options, Main Controls

LIDAR Point cloud form option

Main controls on the bottom of the form, always visible:
  • LAS lidar Color coding options. This varies with the data set.
  • Active point clouds.
    • Pick point symbol for each cloud
    • Check/uncheck which clouds to use. They are drawn from the bottom to the top.
  • 3Views: export intensity, elevation, and LAS categories so you can rapidly pick which to show in the 3D display. Because they will have points at the same location, just colored differently, you can display only one at a time.
  • Class cats: export the LAS categories as separate layers, so they can be turned off and on in the 3D display. This will use the current coloring scheme.
  • Pick all clouds: checks all
  • Clear all clouds: unchecks all
  • Force Redraw (on the associated map): The program attempts to automatically redraw when you make an obvious change, but you might disagree with its assessment.
  • OpenGL Point cloud
  • Slice: EW and NS slices through the point cloud. These are xz and yz. The xy view will probably be less informative. If you have two clouds open, both will be available on the slices.
  • Cancel
  • Help

Last revision 1/16/2023


Point Cloud Mask via Slices

This option may not be fully robust. Do not try it with more than one graph open. This option does not appear to be very useful, and we may remove it.

Mask Pts button of the Point Cloud manipulation form
  • Pick field to use for masking. If it does not exist in the selected shapefiles, it will be added. This can be slow if you have very large databases, or very many of them.
  • The selected shape files will be opened, and the tables displayed.

Toolbar lets you:

  • Select individual points by double clicking on the slice graph.
  • Outlining a box (drag from upper left to lower right) on the slice graph.
  • Points will have the mask set, and the memo box will indicate the number of points masked in each shape file.
The masking will put "Y" in the mask field for the selected points. You can Filter based on this field, save the filtered database, and use it for further operations.
Procedure to create a new 3D point shapefile:
  • Select points and mask using the procedure above.
  • Filter the database to just those points with a "Y" in the mask field.
  • Save the filtered database as a DBF file. (Report menu on the database table form).
  • Open the new DBF file.
  • Write the point shapefile SHP and SHX files. (Report menu on the database table form). This will make many operations significantly faster.

last revision 9/15/2009


Point Cloud Options

Points clouds are a category of GIS data. This forms allow manipulation of the LAS point cloud.

  • Open point clouds.
  • Line of sight / Topographic Profiles, right click

 Tabs provided detailed option selection:
  • General
  • Files
  • Tools
  • Stats
  • Draw
  • Grid creation
    • 1 pass grids Create a new grid that matches the DEM covering the map. This can use min, max, or mean points in the pixel.
    • Multi pass grid: if you want the median, or a specified percentile
    • Grid params
  • Filter
  • Class

Main controls on the bottom of the form, always visible.

General tab
  • Thinning for OpenGL, and slices
  • KML vertical offset, to put the points above the landscape.
  • KML vertical offset: distance above the ground for KML exports.
  • Bad point filter: if this is set, you can ignore points classified as noise, and points classified as overlay.
  • Assume LAS 1.4 for data sets using an older version of the LAS specs, but including the newer classification categories, which is relatively common
  • Open only tiles on map. If you make the map larger, no new tiles will be added.
  • Immediate zoom to cloud on opening files
  • Immediate map after opening: turn off if you have very large point clouds that will draw slowly, and you want to subset first, but keep flexibility to choose a larger or different map area later
  • Automatic lidar redraws: turn off for a very large point cloud
  • Show point density on mean grid creation
  • Log output
  • Use geographic coordindates for slices (for instance to compare global DEMs with the lidar)

Stats tab:

  • Histograms/Counts: histograms for elevation and intensity, and a count of the returns in each category, and by return number.
  • Zero classification: merge all LAS files in the current files listing into a single file, with the classifications all reset to zero.
  • RGB Palette:
  • Split by class: create new files by classification (vegetation, buildings, ground, non_ground, unclassified, and other)
  • Recenter files: recenter all coordinates so that multiple files share the same values. This is designed for use with Cloud Compare, and not at this time to create usable LAS files for further analysis.
  • Subset/tile: recursively quarter files until all file sizes are under a specified value;
  • Zero fields : set the following fields to zero: Intensity, ReturnFlags, ScanAngle, UserData, PointSourceID
  • Cell statistics: compute elevation statistics for every cell in the DEM on which the point cloud is displayed
  • Recompute: recreate the index files for the lidar directories (all those currently selected). Should only be necessarily if the index becomes corrupted, or you add new files to the directory.

  • Notes on gridding the point cloud
  • Hints with large point clouds or wimpy computers to improve performance
  • Compare two point clouds
  • Other Point Cloud Viewers and Lidar tools
  • Lidar Point Cloud Data Sources
  • File prep and work flow to create grids
  • Problems with point clouds

Last revision 6/16/2020


Point Cloud Database Project

Start with "Point cloud" choice on program menu.

You can open multiple projects. The windows will be labeled with the project name, and you will have multiple control forms.

Controls for slices:

"Pick files" button allows you to toggle display of files on and off.

Three different slices open at the same time. Select a new slice with the right radio group, and pick its orientation with the left one.

Files used.

An older version for Vasa archaeology is currently not running. We could bring it back with modest effort, and it would be much improved.

last revision 10/2/2015


Old Vasa project

Point Cloud Database Project (Vasa archaeology)

Currently not working in full.

Start with "Point cloud" menu choice on program menu and pick DBF file with the project.

Open multiple projects, and windows will be labeled with the project name.

Files used.

 Get form with "Point Clouds" option on main program menu. Pick DBF file listing the files in the project.

Controls for slices:

Options which might not work

  • DB--open artefact database. Options to consider here include:
    • Animate field
  • DBs on slice: lets you plot area and line shapefiles on xy slice.
  • Symbols for points in the slices, XYZ points digitized on the slice, and line/area symbology for DBs on the slice.
. More button allows more options for edits and modifications to the database, rather than just display
  • +XYZ: digitize points on slices graph
  • DBs slice: plot databases on the slice
  • X-axis lines
  • Y-axis lines
  • Slide Z
  • Digizitze Y-axis
  • Bin corners
  • Box: Open file with the box outlines
    • OLB: outline boxes (artefact bins)
    • CB--cycle through bins
    • +Box
  • Art Loc: computes coordinates for each artefact. This will be in a text file. Save it. Import this file, in CSV format, into a database, which you can then close. Then open the artefacts data, and Link/join it to a database with the artefact locations. Then use the option on the edit menu, Map Coordinates, Add XYZ from joined table to add the XYZ locations.

Rest may not be working currently

  • Clusters: displays circular cluster regions from CLUSTERS.DBF.
  • TIN--show TIN triangles
  • zv?--Insure Z values are on or above the ground surface.

These controls will likely be eliminated:

  • Mask points pick points on a slice, and mask them in the DBF file

OpenGL option

Three different slices open at the same time. You can select a new slice with the right radio group, and pick its orientation with the left one.

Cluster (from SaTScan). Use the "Clusters" button, and a CLUSTERS.DBF file in the directory with the project files. This needs the fields 'X', 'Y', and 'RADIUS'.

We are using these data sets with X-Y-Z coordinates in meters, with an arbitrary datum. Many normal GIS functions do not yet work, and may be added over time. It is probably possible to crash or hang the program by picking an inappropriate action. We will either fix or disable the option when we hear about it.

These data sets are huge. We have an octree subdivision working (Edit button on the database table form), but have not finished implementing it (index, selection, merging on the fly). At the moment that is a very low priority.

You should consider using the thin option when you do displays or analysis for these data sets.

For files converted to DBF format (which will be less efficient than using the Point Cloud Option);

  • Display with 3D graph option on Stats button on database table form.
  • Export files as Text (CSV) export on Report button on database table form.

last revision 3/29/2014


Point Cloud Slicing

For a LAS file, this can be done:

  • LIDAR Point cloud display options form through the entire point cloud.
  • Along Line of sight / Topographic Profiles, with the coordinates being distance along/across track and the elevation.

You set set options on the to load the following into memory for display on the LAS tab of the options form:

  • LAS classification
  • LAS return Number
  • LAS RGB (often not present in the LAS file)
Controls for slice viewer.
  • The xy slice either requires very careful selection of the z level, or greatly increasing the thickness of the slice. It will not add much to the displays you get with the point cloud directly on the base map.
  • If a change does not automatically redraw the view, use this button.

Global DEMs:

  • Must be a geographic DEM
  • Adjust the display, since it will be duplicated with the shift
  • Pick the button, and the two slices will be created, one with the 1/2 pixel offsets. They will be dumb bitmaps; if you want to modify them, readjust the display
y-z slice:
x-z slice:

last revision 9/1/2020


Point Cloud Data

DEMs were the first widespread mechanisms for distributing and displaying digital topography.

Point clouds are collections of 3D points located randomly in space. A sensor emits a pulse of energy and times its return trip (TWTT, two way travel time). Knowing the position of the sensor, and the direction in which the pulse was transmitted, the 3D location of the reflecting surface can be determined. The sensor can also measure the intensity of the return, to estimate the surface geometry and material composition of the reflecting surface.

The point cloud can be used directly, or converted to a 2.5D grid, a DTM or DSM. As a grid it can be smaller in size, more familiar, and easier to manipulate, than as the point cloud.

Lidar data sources

Types of Point Clouds
Lidar is now generally spelled using all lower case letters, and stands for "light detection and ranging".

Airborne lidars (laser), fly on a helicopter or small plane, and now on drones. These show the ground, vegetation, buildings, and power lines, and even unwanted objects like birds.

This shows a 3D depiction of the point cloud. With computer graphics, the point can be rotated about three axes, zoomed in and out.
  • Overhead view
  • Sides of buildings and cliffs generally obstructed
  • Fast
  • Large footprint (10's cm)
  • Longer ranges
  • Point density (1-80 points/m²)
Terrestrial lidar, from a scanner set on a tripod. This can done outdoors or in a lab or museum. New technology is expanding lidars to work underwater, despite the much greater attenuation of light compared to sound. This slice in the XY plane shows the locations of the sensor, at the center of each of bull's eyes, on the deck of a ship in a museum, because the scanner is limited in how low it scans and it does not directly below the tripod.
Mobile lidar can be mounted on a backpack, or on a vehicle (car or train) for mapping corridors or a drone, with a very large point density and relatively rapid data collection.

  • Good view vertical faces
  • Blocked areas don't have good view
  • Relatively slow (at least compared to airborne)
  • Small pulse footprint (few cm)
  • Shorter ranges (<100 m)
  • Higher point density (100s to 10000s of points/m, but variable with range and other factors
Space lidar
Scanning Sonar, from a ship or ROV. For really high resolution results this will be from an ROV which will slowly survey the object. The sonar can also be placed on a tripod on the bottom, and then moved a few times for complete coverage.

Sound travels at about 1500 m/s, a small fraction of the speed of light.

This shows a slice through the point cloud.
Photogrammetry. We can now create point clouds using a series of photographs, finding matching points, and deriving the point cloud from that. This is from photographs of a ship model in a museum. Traditional photogrammery used high precision cameras and equipment to manipulate the photographs, and required skilled operators.

Structure from motion (SfM) is a range imaging technique; it refers to the process of estimating three-dimensional structures from two-dimensional image sequences which may be coupled with local motion signals. SfM can use consumer grade cameras and computing power to rapidly and nearly automatically create point clouds.

Photography will not penetrate foliage, so the resulting surface will be a DSM.

It is much cheaper to put a good camera on a drone, compared to a lidar sensor, so this offers a lot of potential if you can live with the DSM and no ground points, or acquire the ground points some other way.

Image from Julia McKenna.

Lidar return classification

LAS file format, the standard for point clouds in the mapping realm

You can also view 2D slices through the point cloud. While not as visually exciting as the 3D rotating displays, slices allow measurement and may more clearly reveal relationships.

Organizing point clouds

Point cloud display controls

Problems with point clouds

Other point cloud viewers

Interesting point clouds

last revision 9/29/2023


Point Digitize on Slices

Backup the database frequently (do one deck at at time, and only test the operation first to insure the program is running, and you understand its logic).

To digitize a deck. Do each deck individually.

  • Open a second view. You probably want the x-z and y-z planes.
  • Adjust scaling on the views so you can precisely locate the points. (Rescale on menu, or right click on view.)
  • Pick the more buttons to see expanded options
  • +XYZ: digitize points on slices graph
  • Pick a file name appropriate to what you want to digitize. Include XYZ in the file name. If the file exists, you can overwrite it or append new points
  • Digitize points. Double click on slice graph or registered deck plan. The XYZ triple will be added to the key points database.
  • When done with a section, move either into out of the plane using the controls for slice placement.

Prepare text file with list of locations you want to digitize.

  • Open table with data.
  • In necessary, Concatenate a new field that will be the name of the locations with artefacts.
  • Get list of unique values in the field, and save it to a text file.

Last revision 2/28/2014


Area Geomorphometry Stats

Point Geomorphometry Stats

Stats button popup menu for an area/polygon shapefile.

There must be a DEM associated with the map on which the DB is plotted.

Set parameters that you want computed. You have the same choices as used a regular array of blocks. You also pick the size of the region around each point.

  • Advanced elevation option has the highest and lowest elevations, the locations where they occur, and the direction, distance, and slope in a staight line between them (think for landslides). You can extract these into a new point shape file

Point shapefile will be created, with the lat/long of the center of each polygon's bounding box, and the requested geomorphomertic parameters. You can join with the polygon shapefile using the REC_ID record in each.

Last revision 5/31/2019


The Breeding Ranch


Graph Window Toolbar

The toolbar on a graph window offers the following choices:

  • Print
  • Save image
  • Edit image
  • Rescale graph
  • Drag resize
  • Redraw graph
  • Legend
  • Linear correlation (along x axis)
  • ID record in database (when graph plotted from STATS menu of a database table).

last revision 9/15/2014


Rotating Text

This box lets you add text to the image in the main window with any desired orientation. When you select this option from the main menu (Text, Add option) this box appears.

You must pick a font that is scalable (a True Type font), pick the orientation angle, and enter the text.

The orientation angle is in degrees. An angle of 0 gives horiztonal text; the angle increases in a counterclockwise direction (standard angle notation for mathematics).

The OK button will write the current text. You can also write the text by double clicking on the image where you want the text positioned.

The Cancel button removes the last text written.

To close the window, Uncheck the option on the main menu.

Last revision 1/8/00


PETMAR Trilobite Breeding Ranch

The Story

Once upon a time a young person went to college in the midst of the high California Desert. Our nascent Trilobitophile took courses in geology, paleontology, and did a zoology term project on the growth of one trilobite (whose nomen nudem is Mesolenellus guthi). While in the desert, our hero became convinced that trilobites were not extinct, and would make the perfect pet (and not just as a joke, like pet rocks). He also discovered some new fossils, several echinoderms which have been described in the scientific literature (Journal of Paleontology), including Helicoplacus guthi Durham 1993 (which might now be a junior subjective synonym). (The lower case g is standard for species names, and the ending i makes it Latin possessive).

Trilobitology being a non-existent profession, our hero undertook other pursuits. He entered geology, and undertook to set up his own business on the side: its mission, to undertake recombinant DNA experiments and back breed a trilobite for the home pet market, starting with the horseshoe crab. This, he was convinced, would bring fame and fortune. Along the way, and as a byproduct of other endeavors, the Trilobite Rancher has written a number of computer programs which he has found of interest to friends, and he has set out to distribute them. However, in order not to lose sight of his real goal (the Pet Trilobite), and to emphasize that he is not a professional software house, he initially kept prices low (just cover expenses, thank you), and in fact now the programs are available as freeware over the Internet. That way, with a clear conscience he can ignore things like warranties, or updating the manuals and instructions every time he improves a program (but he is still very concerned about bugs in the computer sense).

The Trilobite Ranch uses two logos: an anatomically correct one on the left, and a stylized rendition on the right created by the Ranch's very own lawyer (whoever said you didn't learn anything useful at Yale Law School?). Observant program users will note that two different trilobites show up when starting the program. This is the work of a random number generator. One trilobite is anatomically correct (an Olenellid, of course), and the other is the ranch logo created by the lawyer brother with the initial letters of the Ranch's name. Since we can't alienate the lawyer, you should get the stylized trilobite most (50.00000000001%) of the time. If not, check your Pentium for a divide error.

The name of the PETMAR Trilobite Breeding Ranch (a combination of the first name of the rancher and his dedicated significant other, with a nice touch being that PET clearly shows the ranch's purpose), the ranch's motto ("Extinction is a State of Mind"), and the stylized PTBR trilobite on the ranch's stationary were all produced by our lawyer (little brother, so he's free and we get what we pay for). Looking for the perfect Christmas present, the lawyer-brother created the aura of the breeding ranch embodied on printed letterhead stationary complete with little VISA/Mastercard symbols. When we needed something to slap on our software, the reality of the ranch was born (but we quickly ditched the credit card symbols; they gave the wrong idea of a commercial operation). Whoever said that you couldn't learn useful things in law school?

"Olenellus lives", the ranch's credo, refers to the little Early Cambrian trilobite last seen alive in about 520 million BC (or maybe it's 520 million B.P.) Watch for its return to a pet store near you in the not too distant future. It is not a virus corrupting your computer. Budding geologists should remember Olenellus, who has a habit of showing up on the Geology GRE as a Lower Cambrian index fossil.

And progress on the pet trilobite? Due to the intense competition in the recombinant DNA market (we started on this well before Jurassic Park), on the advice of our lawyer we decline to mention specifics. Look for results soon--and not in the Journal of Irreproducible Results. The implications for Star Wars ($$$ for the Trilobite Ranch ) should be immediately obvious to the casual observer.

Ranch clients understand the vagaries of trilobite ranching, and we have been given donations of breeding stock to help with the project. The most exotic such trilobites have come from the German Baltic islands, but unfortunately they have not adapted well with our Cambrian critters from California and not not yet produced offspring.

Last revision 1/12/2015


Picking From a List Box

The window title bar tells you why you are picking something. The available choices will be in the large list box; pick one by clicking on it. The current choice will be indicated above the list box. When you are satisfied with the selection, choose the OK button.

In some cases you are not allowed to cancel, and must make a selection, because the program is not prepared to clean up in the middle of the operation.

Last revision 6/18/2010


Two file menus

Two File Menu Choices

There may be two file menu choices available on the main menu at times. If this is the case, the left option gives the main program choices, while the right option gives you specific choices for the currently active window. This is a minor idiosyncrasy of the program and a direct consequence of the high cost of the software.

This will occur with the following kinds of windows:

  • Graph
  • Text editor

These are standard child windows shared among a number of programs. The correct windows procedure would be to customize the windows, and merge their File menu into that of the host program. This requires a significant effort, best devoted to improvement of the overall program.

Last revision 6/18/2010


Text Editor Toolbar

To open a file, use the File, Tools menu option.

The text file editor tool bar has two buttons:

  • Save
  • Print

It has the following menu choices:

  • File (editor)
    • Save
    • Save as
    • Print
    • Printer setup
    • Font
    • Add line numbers
  • Search

Last revision 6/18/2010


Helicoplacus guthi

These two figures show the holotype (and only known specimen) of the Lower Cambrian echinoderm Helicoplacus guthi. (The lower case g is standard for species names, and the ending i makes it Latin possessive). As noted in Durham (1993, p.601), the species name honors the collector.

Note the spiraling (helically) rows of plates radiating from the base, which in life probably was anchored in the muddy substrate.

The fossil comes from the Lower Cambrian Poleta Formation of eastern California.

Perhaps ironically, H. guthi is not a trilobite. As an echinoderm its relatives include the star fish, sea lily, and sea cucumber.

  • Durham, J.W., 1993, Observations on the Early Cambrian helicoplacoid echinoderms: Journal of Paleontology, vol.67, no.4, pp.590-603.

Last revision 10/18/2015


Public Health GIS Data

  • CDC online map: http://gis.cdc.gov/GRASP/NCHHSTPAtlas/main.html . You can export data to Excel

  • National Cancer Institute: http://gis.cancer.gov/tools/data_sources.html

  • Resource listing from CDC: ftp://ftp.cdc.gov/pub/epodphsi/Espa%F1ol/GISRES.HTM

  • UC Berkeley links for public health GIS: http://www.lib.berkeley.edu/PUBL/gis.html

Last revision 6/5/2016


Quad Tick Points

On right click menu from a map.

Right click on a point in the quad where you want a database with the coordinates of the tick marks on the map.

Enter:

  • Size of the map in minutes. If the map is "rectangular" (e.g. 1x2 degrees), enter the larger size
  • Tick size in minutes.
  • If you want the ticks for NAD27.

Resulting table:

  • LAT, LONG inWGS4/NAD83
  • X_UTM,Y_UTM in in WGS 84/NAD83
  • LAT_NAD27 and LONG_NAD27 if you asked for them

Use in registering maps on the NAD27 datum when you want to use the ticks. You can do this in MICRODEM or Google Earth.

To get a portion of the quad, filter the database.

Last revision 6/29/2016


Earthquake Data Download

https://earthquake.usgs.gov/earthquakes/search/
Fill in the required Search Parameters
  • Set the start time to something like 1950. Note carefully the positions of the start and end times; it is easy to get them reversed.
  • Enter the bounding box coordinates
    • in the advanced options, by typing them in
    • graphically on the map, picking"Custom" for geographic region on the right side of the web page
  • Get the CSV format in the output options
  • You can accept the defaults for the other parameters

Select "Submit Search" at the bottom of the form.

If you request too many earthquakes

  • Make thegeographic box smaller
  • Make the time interval shorter
  • Only get larger earthquakes
The spreadsheet format (Comma delimited) allows you to import the data in MICRODEM. If you open the file if Excel, close it, because it cannot be open in two programs.

Database open to plot the earthquakes on a map; pick the CSV file you just downloaded. There will probably be several fields that you must shorten to <= 10 characters in Exe, or you can let the program do that automatically.

Last revision 4/19/2019


Quantify Coastal Erosion

Quantify Coastal Erosion Removed


Quantile Scaling

There are two ways to do automatic coloring, without having to set the break points manually:

  • Linear scale. From the maximum and minimum values, the breaks are distributed evenly.
  • Quantile scale: attempts to have the same number of records in each color category; the boundaries and sized of each color band will vary to enable this.
Annapolis Population Density
Linear scale. Values range from 0 to 47,000. There are very few densely populated blocks, so most of the color scale is unused. | Quantile scaling with a five color scale. The breaks are chosen to put the same of blocks (or as close to it as possible) in each category. In this case there are 645 blocks, and the boundaries are very unevenly distributed. | Quantile scaling with a five color scale, with the unpopulated blocks not included (only 436 blocks actually have people living in them).

Last revision 10/2/2012


Queen's Aspect Ratio

Aspect roses for a floating point DEM on the left, and an integer version on the right.

Note the spikes on the integer version. The Queen's aspect ratio calculates the severity of the spikes.

Diagonal := round(arctan(AverageYSpace/AverageXSpace) / DegToRad); This compensates for geographic DEMs, where the 45 degree spikes might be at a different direction because 1 sec is not the same length in the x and y directions.

QueensAspect := (AspectFreq[0] + AspectFreq[Diagonal] + AspectFreq[90] +
AspectFreq[180-Diagonal] + AspectFreq[180] + AspectFreq[180+Diagonal] +
AspectFreq[270] + AspectFreq[360-Diagonal] + AspectFreq[360]) / (TotalAspects) * 45;

  • Diagonal allows for arc sec DEMs, where the neighbors might not be at 45 degrees
  • This takes the aspects that are directly toward the queen's neighbors, divides by the total number of aspects, and multiples by 45
  • The 45 derives from eight queen's neighbors out of the total 360 possible aspects.
  • The ratio is dimensionless.
  • A value of 1 means that the Queens neighbor aspect arise equally to other aspects.
  • Values less than 1 (probably not likely) means that the Queens aspect neighbors are less frequent.
  • Values greater than 1 (probably very likely) means that the Queens aspect neighbors are less frequent.

Low relief and short DEM spacing relative to the vertical resolution probably lead to larger values of the Queens aspect ratio. DEM quality (partially expressed by the contour ghost ratio, probably not relevant to most current DEMs) probably also affects the ratio.

Floating point DEMs have ratios close to 1, and integer DEMs have a much larger ratio.

This was first introduced in MICRODEM 2001, with the work on the SSO diagram.

Last revision 12/11/2021


Quick 3D Options

OpenGL view button on main toolbar.

Last revised 2/27/2016


Quick DB filterning

Quick DB Filtering

Picked from Quick filter on "Plot" button menu on database table display window.

  • Pick one field or two fields, which must be integer or string/character.

  • Options to show the filter, and the number of records, on the upper left corner of the map
  • Change the font
  • Use "AND" or "OR" to combine the two terms of the filter.
  • Cycle through all the records matching the filter with the "<" and ">" buttons, and highlights them on the map.
  • Use filter for all the databases
  • If there is a graph up with the database, it will be redrawn with the new filter

Last revision 2/9/2019


Radar Principles

Physics

  • Rough surface reflects more back to the sensor
  • Dielectric constant
    • Most materials 3-8
    • Water approximately 80, so moisture greatly increases reflectivity
  • C band has some attenuation during heavy rain events

Color scaling from https://gis.stackexchange.com/questions/400726/creating-composite-rgb-images-from-sentinel-1-channels

  • Single date imagery affected by ground and atmospheric conditions
  • composite RGB (colour) image created using the VV channel for red, VH channel for green and the ratio |VV| / |VH| for blue.
  • RGB combination to map if you work with linear data:
    • red=VV
    • green=VH
    • blue=VV/VH
  • If you work with log-scaled data (in dB) it is slightly different because the laws of logarithms which turn ratios into subtraction:
    • red=VV
    • green=VH
    • blue=VV - VH

Last revision 8/14/2023


Radial IHS Fan Method

Radials, Full Coverage

Version 14.33 (September 2002) introduced a new viewshed algorithm. It was originally called the Radial IHS Fan Method.

The radial spacing and the distance along the radials are selected so that the fan area will be completely filled in. Along the radials there will be coverage at the half the spacing of the DEM or the map (whichever is less), unless you override the default. There may be gaps between radials if the map is not displayed at [image] 1:1 map view, but the faster computation may be worth this tradeoff. Go faster will less accuracy.

This method provides very dense coverage near the observer (weapon) location, because radials have a constant angular separation. Many calculations may be done for the same pixel, and it may be colored both visible and masked. This indicates that portions of the pixel differ in their visibility, and depending on how you want to consider the analysis, you should request either the visible or the masked option.

This method will be much faster than the Point to point method (once called IHS merge), which calculates intervisibility from every point on the map to the observer. Because intervisibility is cumulative, but no map points are on exactly the same line (except the rare case of the N-S and E-W lines), there is a tremendous amount of duplication. For small screen regions this is not noticeable, but for large fans it slows down the calculations. Because this method goes out only along the radials there is much less duplication of computations.

Viewshed algorithms lists the pros and cons of this and other algorithms.

Last revision 7/16/2008


Raster to Vector

Raster GIS menu option

Suppress speckles: under this size will be removed. Larger values will be less noisy.

Black level: under this level, pixels converted to black. Value range is 0-1.

Invert image outlines white regions. Otherwise black regions will be outlined.

Blows the map to 100%

Takes the bitmap, and turns all non-white to black.

If the border option selected is white or black, it will draw a box around the image, with either a white or black line. This might close off regions on the edge which are truncated.

Notes

  • Uses: http://potrace.sourceforge.net/ . Place it in c:\microdem\potrace
  • Command created: potrace test.bmp -b geojson -L 270795 -B 3289770 -x 2.5
  • Convert back to shapefile: 0gr2ogr from GDAL

last revised 1/14/2018


Raster GIS External tools

Option with submenu on the Raster GIS menu.

Many of these might not work with arc second DEMs.

  • Whitebox
    • Whitebox slope map (Horn)
    • Whitebox Aspect map
    • Whitebox curvature
      • Profile
      • Tangential
      • Minimal
      • Maximal
      • Mean
      • Gaussian
    • Whitebox fill holes
    • Whitebox multiscale roughness
    • Whitebox Pennock Landform Classification (Pennock,D.J., Zebarth,B.J., and De Jong,E., 1987. Landform Classification and Soil Distribution in Hummocky Terrain, Saskatchewan, Canada. Geoderma, 40: 297-315.) on Calculate menu, Ridges/valleys
    • Whitebox Geomorphons
    • Whitebox average normal vector angular deviation
    • Whitebox circular variance of aspect
  • GRASS. These use version 78 of GRASS, which is still what is is OSGEO4W. Version 82 cannot be easily substituted.
    • Grass Slope (Horn)
    • Grass aspect (Horn)
    • Grass Profile curvature
    • Grass Tangential curvature
    • Add-ons you have to add to GRASS. There is an option to get these on the File menu with a DEM map open, only with the GIS full version. Alternatively load them directly in the GRASS GUI.
      • TPI
      • TRI
      • GRASS r.roughness.vector; relatively slow
  • GDAL
    • GDAL slope and aspect maps (2 methods available each; problems with geographic DEMs)
    • GDAL hillshade (problems with geographic DEMs)
    • GDAL TRI (Wilson, bathymetric)
    • GDAL TRI (Riley, terrestrial)
    • GDAL TPI
    • GDAL roughness (not the same as the MICRODEM roughness; Roughness is the largest inter-cell difference of a central pixel and its surrounding cell, as defined in Wilson et al (2007, Marine Geodesy 30:3-35).)
    • Contours shapefile: this will be in the temp directory; save elsewhere before closing the program if you want.
  • SAGA
    • SAGA TRI map
    • SAGA TPI map
    • SAGA VRM map (vector ruggedness)
  • Line detection (Hough transform)
  • Raster to vector
  • RVT grid creation

There are also image analysis external tools

last revised 8/10/2022


Raster GIS Operations

Menu available with a raster grid as the active map window. Those options requiring multiple open grids will not appear until you have opened the grids. A DEM is just a specialized grid.

  • DEM/Grid Histogram--create simple histogram of current grid. Settings on options form, (Analysis tab for using sea level for statistics and clipping the tails) will be used for histogram. Other histogram options
  • Fixed palette stats
  • Geomorphometry by categories
  • Filter DEM/grid: creates a new grid, leaving the original unchanged.
  • Downsampling (creating a lower resolution grid)
  • Create derivative grid--create new grids from current grid.
  • Multiple grid arithmec (map algebra)
  • Geomorphometry analysis (requires geomorphometry menu option set)
  • Heat Map
  • External tools
  • Multiple grid masking
  • ID features
    • Create database
    • Load database
  • Migration over time
  • Feature geomorphometry
    • Compute
    • Create grid
  • Two grid comparisons
    • Scatterplot of two grids
    • Co-occurrence matrix of two grids
    • Missing data locations in one grid: create a database where one grid has missing values, and the other a valid value.
  • Moment report
  • Grid correlations: get correlation matrix for open DEMs/grids.
  • Terrain categories--create terrain categories.
  • Viewshed--find masked/visible terrain.
  • Required antenna height
  • Parallel profiles
  • Aligned profiles
  • Create Mask
  • Mask Grid
  • RGB three parameter map
  • Accumulated cost surface
  • Least cost paths
  • Geomorph atlas
    • Grids
    • Database
  • Create bitmap mask: pick area shape file, and then the location and file name for it to be saved. You should probably use the GIF format for most efficient storage on disk. This will create a bitmap with the current screen resolution and coverage area, with the shape file as a solid color.
  • Load sidescan imagery
  • Random sampling points: pick the number of points. If there is a DEM on the map, the points will only occur at locations with valid points on the grid. The points will be in the current map area.
  • Experimental

Last revision 2/23/2023


Recenter Map

Option on the map toolbar, or from the pop up menu when you right click on the map.

  • Set scale
  • Geographic quadrangle: set a size in arc minutes, and get a map with that quadrangle size.

Last revision 7/16/2005


DEM Holes

Reclassify Menu

Option on Edit menu

These work on the entire DEM.

Reclassify: replace values with a new value. In some cases it might create a new grid.
  • Single value: all occurences with the desired value will be reclassified to the selected new value; this should be done with integer and not floating point grids (use range for that)
  • Range to single value: values between a desired min and max will get the desired new value
  • All valid to single value: anything that is not missing data will be converted to the desired new value.
  • All missing to a single value, and valid values set missing
  • +Inf: converts anything coded as positive infinity will be converted to desired new value; missing data will not be affected.
  • NAN: converts anything coded as "not a number" will be converted to desired new value; missing data will not be affected.
  • +/0/- codes: select a tolerance around zero, and all values will be coded as -1 or 0 or 1.
  • From lookup table; only works with an integer or byte grid with no more than 256 distinct values. You must create a database with "OLD_CODE" and "NEW_CODE" fields, which will be used as a look up table for reclasification.
  • Numeric grid with VAT to byte grid with codes. Example usage could be a dNBR with numerical values, and a VAT that assigns burn/regrowth categories; this option would create a new grid with the categories which could be used for further operations.
  • Replace all possible values from second grid: every valid value in the second, already opened grid will replace the nearest grid posting in the grid being edited.
  • Replace only valid values from second grid:

Last revision 3/29/2023


Recognize NLCD

Identify Directory

File, Tools, Identify directory. This will write a recognition file in the directory, so MICRODEM can identify the data and act intelligently.

  • UTM
  • SPCS
  • Mercator
  • South polar stereographic
  • UK-OS grid
  • XYZ shapefiles/LAS
  • Full world imagery: create a world file for images of the entire earth. The upper left corner must be -180, 90 (North Pole, IDL), and the image must have a width twice its height. This is appropriate for images like Blue Marble or Night Lights.

For MICRODEM to recognize NLCD, you must do one of the following.

  1. Insure that the words NLCD and the year (1991, 2001, 2006, or 2011) appear in the file name or the path.

Do not put NLCD canopy or impervious cover files in the same directories as the NLCD land cover.

NLCD overview.

Last revision 3/28/2020


Recover Shapefile Geometry

Repair line or area shapefiles if you have the SHP and are missing either SHX or DBF. The recreated DBF will be empty, so anything that was in it will be gone.
  • ShapeViewer, http://www.qarah.com/shapeviewer/ Use the "File" menu to open the SHX, and then to create the other two.
  • ShapeChk,
    • http://www.oocities.org/andrew_williamson/useful.html,
    • https://allaroundgis.wordpress.com/2013/12/10/shapefile-shp-shape-checker-v3-2/,
    • https://freegeographytools.com/2008/fixing-broken-shapefiles

You should consider SHZ format to avoid separating the parts of a shapefile.

Last revision 6/14/2020


Redistricting Control Form

Redistricting Form.

Statistical data for the current redistricting plan. The size of the color bars are proportional to the target population shown in the "Goal" column, which should be 100% (or very close) for each district.

For each district, it shows the number of blocks, the population, and how close each district is to the goal.

Change redistricting plan:

  • Combo box shows the district that will be selected with the graphical operations.
  • Force redraw, which can be slow. If you use Quick pick, you can select multiple blocks to move and then do a quick redraw for all. The status bar will show how many blocks have not been redrawn.
    • Pick one: move individual blocks into the currently active district by double clicking on the map. The district will be recolored and statistics updated. Use this for fine control.
    • Pick box: drag around a rectangular region with mouse, and move all blocks inside the box into the currently active district by double clicking on the map. The district will be recolored and the statistics updated. Use this for rapid, large changes.
  • Evenness controls the imbalances that will be highlighted in color on this form. Districts shown in green exceed the goal, and those in red do not have enough population. Those in black are within the evenness tolerance factor. Your goal is to have all districts in black.
  • Redraw:
    • Districts on the map. They will not be automatically redrawn when the map is resized or modified.
    • Percentage black
    • Percentage Hispanic
    • Population
    • Population density
    • Percent black
    • Percent Hispanic
  • Report: creates HTML file with the results from the redistricting table.
  • Districts:
    • Create new districts: give each a name and color.
    • Clear all districts--removes district assignments and colors
    • Assign to districts
      • Randomize--these will be scattered and not contiguous, and present a good start for complete gerrymandering.
      • Vertical bands
      • Horizontal bands
    • Create new district
    • Recolor current district
  • Help:
  • Highlight --show high density block for ethnic/racial categories.
  • 1 Race Checking "1 race" calculates WHITE_PC and BLACK_PC using the total in the single race categories WHITE1, BLACK1, and ASIAN1. Unchecking it uses the total population POP, which includes smaller racial categories and the multiracial people. HISP_PC always uses the total population because the Hispanic category is in addition to race, and every respondent must answer Yes or No to the classification.
  • ID button on map toolbar can show population of individual blocks.
  • Plot> Color code by DB field lets you view the population statistics in any way that you want. Scaling (quantile) might make the maps easier to visualize.

Highlight: Checking radio button "Black" or "Hispanic" changes district to show those blocks that have greater than a 50% (or other selected cutoff selected to the right) minority population. If one of the goals is to create a district with a majority that is over 50% Black or Hispanic, then obviously you need to target the blocks in solid as opposed to the others. If none of the blocks in district have a majority of the minority group, then neither can the district as a whole, but you can look at smaller percentages.

Last revision 10/29/2018


GIS Redraw Basemap

This has not been tested lately, and might not work.

Redraw draws either no or all records, using the symbol selected with the "Symbol" button.

"New base map" button replaces the existing base map, allowing you to build up multiple values.

This panel is used for options on the PLOT button of table display window.:

  • Quick filtering
  • Animate field

Last revision 11/10/2007


Reflectance Map Referencecs

Reflectance Map References

  • Buckley, A., Hurni, L., Kriz, K., Patterson, T., and Olsenholler, J., 2004, Cartography and visualization in mountain geomorphology: in Bishop, M.P., and Shroder, Jr., J.F., eds., Geographic information sciences and mountain geomorphology, Springer and Praxis Publishing, p.253-288.
  • Cooper, G.R.J., 2003, Feature detection using sun shading: Computers & Geosciences, vol.29, no.8, p.941-948.
  • Katzil, Y., and Doytsher, Y., 2003, A logarithmic and sub-pixel approach to shaded relief representation: Computers & Geosciences, vol.29, no.9, p.1137-1142.
  • Kennelly, Patrick. 2009. "Hill-shading Techniques to Enhance Terrain Maps". Proceedings, ICC2009: The 24th International Cartographic Conference, Santiago, Chile, November 15-21, 2009. Proceedings published by the local organizing committee for International Cartographic Association. Available online http://icaci.org/documents/ICC_proceedings/ICC2009/html/nonref/28_8.pdf
  • Horn, B.K.P., 1981, Hill shading and the reflectance map: Proceedings of the IEEE, vol.69, no.1, pp.14-47.
  • Oguchi, T., Aoki, T., and Matsuta, N., 2003, Identification of an active fault in the Japanese Alps from DEM-based hill shading: Computers & Geosciences, vol.29, no.7, p.885-891.
  • Pelton, Colin, 1987, A computer program for hill-shading digital topographic data sets: Computers & Geosciences, vol.13, no.5, p.545-548.
  • Ware, C., 1989, Fast hill shading with cast shadows: Computers & Geosciences, vol.15, no.8, p.1327-1334.
  • Zhou, Q., 1992, Relief shading using digital elevation models: Computers & Geosciences, vol.18, no.8, p.1035-1045.

Web pages:

  • http://www.shadedrelief.com/
  • http://www.reliefshading.com/

Main reference page

Last revision 11/21/2005


Reflectance Spectra

Reflectance spectra for 5 surface materials.

For vegetation and water, note the huge difference betweenthe red and NIR bands.

  • Vegetation: low reflectance in the visible, but some reflectance in the green, and then strong reflectance in the NIR
  • Water: low reflectance in the visible, but no reflectance in the NIR.
Normalized ratios can be used to differentiate surface materials. For instance, the NDVI takes the difference between red and NIR bands (3 and 4 for Landsat 7, 4 and 5 for Landsat 8) over their sum. Vegetation will be low in the red band 3 and high in the NIR band, leading to a very large value of the ratio. Non vegetation, like soil or rock in the spectra above, will have very similar values in red and NIR and hence a low NDVI ratio.

Ratios can deal with different total illumination resulting from different solar elevations and partial shading.

With enough detail in the spectra, note that different kinds of vegetation can be discriminated.

Reflectance spectra, available in ASCII format (ASC extension) from USGS Spectroscopy Lab (version 6a), should be placed in a x:\mapdata\spectral_library directory. They can be plotted from

  • Image analysis menu --if you use this you can overlay the reflectances at points on the satellite image
  • Tools menu
  • Hyperspectral imagery viewer.

You can select multiple files. If you right click on the graph you can get a legend.

References.

  • Clark, R.N., Swayze, G.A., Wise, R., Livo, E., Hoefen, T., Kokaly, R., Sutley, S.J., 2007, USGS digital spectral library splib06a: U.S. Geological Survey, Digital Data Series 231.
  • https://speclab.cr.usgs.gov/spectral.lib06/ now outdated version 6 https://archive.usgs.gov/archive/sites/speclab.cr.usgs.gov/spectral.lib06/ds231/datatable.html
  • https://www.usgs.gov/labs/spec-lab/capabilities/spectral-library USGS version 7, not accessible 5/11/2020
  • Global Hyperspectral Imaging Spectral-library of Agricultural crops (GHISA) https://lpdaac.usgs.gov/products/ghisaconusv001/ About 7000 spectra from Hyperion, for about 1 dozen crops at different growth stages, 400-2400 microns

Last revision 2/2/2022


ASTER GDEM References

  • Abrams, M., Bailey, B., Tsu ,H., and Hato, M., 2010, The ASTER Global DEM: Photogrammetric Engineering & Remote Sensing, vol. 76, p. 344-348.
  • Abrams, Michael; Crippen, Robert; Fujisada, Hiroyuki. 2020. "ASTER Global Digital Elevation Model (GDEM) and ASTER Global Water Body Dataset (ASTWBD)" Remote Sens. 12, no. 7: 1156. https://doi.org/10.3390/rs12071156
  • Bullard, J.E., White, K., and Livingstone, I., 2011, Morphometric analysis of aeolian bedforms in the Namib Sand Sea using ASTER data: Earth Surface Processes and Landforms, v. 36, p. 534-1549, DOI: 10.1002/esp.2189
  • Guth, P.L., 2010, Geomorphometric Comparison of ASTER GDEM and SRTM: ASPRS/CaGIS 2010 Fall Specialty Conference, Orlando, FL, November 15-19, 10 p. http://www.asprs.org/a/publications/proceedings/orlando2010/files/Guth.pdf
  • Hengl, T., and Reuter, H.I., 2011, How accurate and usable is GDEM? A statistical assessment of GDEM using Lidar data: In Geomorphometry 2011, edited by T. Hengl, I. S. Evans, J. P. Wilson and M. Gould, 45-48. Redlands, CA, 2011. http://www.geomorphometry.org/HenglReuter2011.
  • Obrock, K., and Guth, P.L., 2008, Filling holes in SRTM DEMs using ASTER DEMs: in Nathanail, C.P, Abrahart, R.J., and Bradshaw, R.P., eds. The History and Technology of Military Geology and Geography, Land Quality Press, Nottingham, U.K., ISBN 0-9547474-2-9, p.313-322.
  • Slater, J.A., Heady, B., Kroenung, G., Curtis, W., Haase, J., Hoegemann, D., Shockley, C., and Tracy, K., 2011, Global assessment of the new ASTER Global Digital Elevation Model: Photogrammetric Engineering & Remote Sensing, v. 77, p.335-349.

Last revision 3/27/2022


Register with Gazetteer

The first time you select the "GAZ" button, or if you have closed the gazetteer, you will be prompted to enter a Gazetteer, which will open.

The edit box on the lower right has a lat/long tolerance. When you select an Image Point, if the map/image already has a rough registration, the gazetteer will be filtered to show only those points within the selected limits of the point's rough registration. This will likely only have a single screen worth of points, and you can select the one you want. If there are no matches for the location, select a different Image Point without moving to the Next Point.

If you then hit the "GAZ" button on the Registration window, the program will transfer the coordinates to the registration window from the gazetteer. In addition, if the POINT name has not been filled it, it will be copied from the NAME (NGA) or FEATURE (USGS) field in the gazetteer.

You can use the "Find" edit box to locate the record you want in the Gazetteer table. If there are multiple points, select the one you want so that the pointer on the left of the display points to it.

You can use these locations to register an image. If you do this, you will have to enter the screen coordinates for the last point, and then move each control point to the bottom of the list and add its image coordinates.

  • Directions for image registration.
  • Example of supplementing quadrangle registration with gazetteer points.

Last revision 10/8/2009


Registering historic MrSid Map s

Register Historic Map scans

These maps will not have a designated projection, which may be very hard to determine, and may not be scanned or corrected to have the edges of the map parallel with the edges of the scan. They also do not have a clear datum. For a first approximation, at this scale, the datum may not make a difference. The final results should be checked, and if necessary, a datum correction applied.

Directions:

  • Register and digitize (using this map)
  • Register (1:250K AMS map)

Last revised 10/10/2009


Register with Map Analyst

http://mapanalyst.org/. Option has not been tested recently.

Uses Map Analyst program by Bernhard Jenny and Adrian Weber, Institute of Cartography, ETH Zurich. At present we need the image coordinates in both maps, and are getting them with some hand tweaking. MICRODEM is also not happy with the Swiss projection, and we hand registered the new map using Google earth and a three point affine transformation.

Historic map, showing locations of control points. These are X_IMAGE and Y_IMAGE in the database, in image coordinates (NW corner is 0,0). | New map, showing location of the control points. These are X_REF_IM and Y_REF_IM in the database, in image coordinates (NW corner is 0,0). This image is registered, and used to compute the LAT and LONG coordinates for each control point.

 Delauney triangulation of the Lat/long coordinates of the points, done with the Reg File button, and then the TIN Mapping option. This will create a database with a TIN- at the front of the file name.

Reproject old map

Export map for Google Earth.

Last revision 10/2/2008


Register scanned quadrangle

Register Scanned Quadrangle Maps

This option creates two databases in the same directory as the scanned map image:

  1. 07AUG44.PNG : original scanned image
  2. 07AUG44.DBF: points used for registration. You can edit this file, and redo the registration if there are problems you need to correct.
  3. tin-07AUG44.DBF: triangles used for the registration, which can be regenerated as needed from the 07AUG44.DBF file if you change any parameters. This is used to warp the map into a projection that Google Earth and MICRODEM can both display.

Open New image. Historic map scan may require special considerations which you should understand

Zoom to 100% for best results. You might be able to work at 50%, but you must be careful about the resulting loss of accuracy, particularly if you already reduced resolution from the original map scan.

Pick Register Image from the menu. If the map has a cutout in a corner, make sure your "corners" are on the intersections of two parallels and two meridians.

On image registration form, register the four corners of the map.

  • Click "Image point" button on the bottom of the form, and double click on a corner. The screen coordinates will be entered in the table.
  • Click "Coords" button on the bottom of the form, and type in the values (most likely in lat/long coordinates) for the corner you just clicked.
  • It is optional to type in the name of the corner, but can help you keep track of the process.
  • "Next point" button on the bottom of the form
  • Repeat entering the corner locations and corner coordinates for all 4 corners.
Form after entering the four corners. The NE corner, on the 4th line, in fact has an error in the LONG.

The quad map button on the right side of the form should now be enabled; select it. Set the size in minutes for the ticks (e.g. 15' for a 1:250K quadrangle map) or the grid lines present on some maps. The map margins should have labels for the ticks or grids, from which you can compute the spacing, but they might not be in all corners. After you enter the tick spacing, check the results for the NW and SE corners of the map, and the approximate pixel spacing in the horizontal and vertical directions. If the x and y spacings are substantially different, you might have a problem with the corner coordinates. The program will provide an error message if your corners do not define two parallels and two meridians; you should not ignore that warning.

Note that the x-spacing is over 10 times the y spacing, because the SE corner has 50 (the latitude entered twice) instead of 1 for the longitude. After correcting that value, re-select the Quad Map button.
X and Y spacings now almost identical. They may not be identical, because the assumptions might not be strictly valid, and the map projection might not preserve distances, but this registration only needs to be able to identify the correct intersection on the lat/long graticule.

Select "Next point" option.

Double click on each lat/long grid point intersection on the map. The image coordinates will be entered, as will lat/long from the rough registration. You can only select the grid intersections, and the coordinates will be rounded to the nearest value from the tick interval. The program will automatically advance to the Next Point. You should select points in a consistent pattern so that you get all the intersections.

If you need additional points along the edges (for instance because you have a conical projection which has been cut to have a rectangular map region), you can use a gazetteer to register additional points or the Tri--triangle extrapolate to the edges to add points along map edges.

When done, perform a Reg File button, and pick the TIN Mapping option. The program will create a Delauney triangulation registration with several graphics to help evaluate the registration.

Scanned AMS 1:250K quad of western Europe done after World War II

Neat lines are not parallel or straight, and the map cannot be easily registered.

Coordinates are listed on the edges of the map.

Notice that all the intersections line up in rows and columns, and that no points have been missed.

Options on the REG button after doing Delauney triangulation registration
  • Reproject map.
    • Export map for Google Earth.
    • Geotiff export
    • KML and Geotiff both at the same time.

Problems with the registration:

  • Close MICRODEM (so you can delete files).
  • Find the files that match your scanned map
    • Do not delete the .DBF file, unless you want to lose all your work. This is the only one the program cannot recover
    • Delete the "tin-xxxxxx.dbf" file
    • Delete the .datum file
    • Delete the .pgw file
  • You can edit the DBF file with the coordinates in EXCEL
    • Insure you have the four corners of the map on the first 4 lines, properly labeled, with correct labels.
    • Save the file as a CSV file.
    • Open the CSV file with the DB option in MICRODEM, which will convert it to a DBF
  • Reopen PNG file with the map.
  • Image, Register
  • Quad option, set the tick spacing in minutes, and recompute the interior pointsI jus. Pay particular attention that you do not get any warnings.
  • Reg, TIN option.

This example does not consider datum shifts. Historic maps do not indicate the datum used, and at the map scale (each pixel is about 36 m in this example) and with allowable cartographic license, it was not worth considering. That additional step could be used if warranted.

  • Tutorial on image registration
  • Directions for image registration.
  • Caveats on image registration.

Last revision 2/24/2014


Register scanned quad with gazetteer

Register Scanned Quadrangle Map With Gazetteer

Daily situation map from World War II, available from the Library of Congress web site.

Registering historic MrSid Map scans

This is a conical orthomorphic projection, which we are not going to reverse engineer.

There is a ½º lat/long grid in the center of the map used for a quad registration .

  • The four corner points on the graticule were digitized, then an affine registration (Rotation registration) provided a rough registration.
  • The remaining points were quickly entered with the quad registration option.
  • These points are unlabeled in the center of the map.

The remaining points on the margins, where there are no lat/long points indicated, were entered from the gazetteer. These points are labeled along the map margins.

When done, perform Reg File and then the TIN Mapping option.

The program creates a Delaunay triangulation.

You can also extrapolate to the edges of the map after you do the Delaunay triangulation, and then retriangulate.

There are two potential ways to draw the triangles, and random effects (slight errors in locating points, and perhaps also imprecision in floating point computations) determine which is drawn.

You can get locations anywhere within the triangles.

Export and tile map for Google Earth.

This example does not consider datum shifts. The maps do not indicate the datum used, and at the map scale (each pixel is about 36 m) and with allowable cartographic license, it was not worth considering. That additional step could be used if warranted.

  • Tutorial on image registration
  • Directions for image registration.
  • Caveats on image registration.

Last revision 2/5/2016


Regional Geomorphic Parameters

MICRODEM computes a series of parameters for a region, with the region size determined by the user. The variables include:

  • ELEV_AVG, ELEV_STD, ELEV_SKW, ELEV_KRT: the first four moments of the elevation distribution, computed with the formulas in Press et al. (1986). ELEV_STD correlates strongly with slope.

  • ELEV_MAX: the maximum elevation in the block. This can find data anomalies and blunders, in addition to any geomorphic significance.

  • SLOPE_AVG, SLOPE_STD, SLOPE_SKW, SLOPE_KRT: moments of the slope distribution in percent (100*rise/run). Slopes were computed with an eight neighbors unweighted algorithm (Evans, 1998; Florinsky, 1998; Sharpnack and Akin, 1969). The algorithm has little effect on the results; Guth (1995) and other studies have shown extremely high correlations between all available slope algorithms. The units (percent or degrees) also appear to have little impact.

  • SLOPE_MAX: largest slope (percent) in the sampling region. While this is largely of value for detecting blunders during DEM creation, it also has geomorphic significance.

  • PLANC_AVG, PLANC _STD, PLANC _SKW, PLANC _KRT: moments of the plan curvature distribution, computed with the formulas in Press et al. (1986). Curvature computed with the equations in Wood (1996) based on earlier suggestions from Evans.

  • PROFC_AVG, PROFC _STD, PROFC _SKW, PROFC _KRT: moments of the profile curvature distribution, computed with the formulas in Press et al. (1986). Curvature computed with the equations in Wood (1996).

  • S1S2, S2S3, FABRIC_DIR: Computed (Guth, 2003, following Chapman, 1952 and Woodcock, 1977) using logs of the eigenvectors v[1] (largest) to v[3] (smallest) of the surface normal vector distribution. S1S2 measures flatness (a logarithmic inverse of slope), S2S3 measures terrain organization, and FABRIC_DIR gives the dominant direction of ridges and valley. Because FABRIC_DIR measures circular angles, its statistics have anomalies. Values depend on the computation region.

    • s1s2 := ln(v[1]/v[2]);

    • s2s3 := ln(v[2]/v[3]);

  • SHAPE, STRENGTH: Fisher et al. (1987, pp.48, 159) defined these ratios of the logs of the eigenvectors, somewhat differently that those used by Woodcock (1977) and Guth (2003). Strength and S1S2 generally correlate closely, while S2S3 and shape correlate moderately.

    • Shape := ln(v[1]/v[2])/ln(v[2]/v[3]);

    • Strength := ln(v[1]/v[3]);

  • ELEV_RELF: elevation relief ratio ( [AveZ-MinZ] / [MaxZ – MinZ]) computed for a region (Pike and Wilson,1971; Etzelmuller, 2000); equivalent to the coefficient of dissection (Klinkenberg,1992 after Strahler,1952).

  • GAMMA_NS, GAMMA_EW, GAMMA_NESW, GAMMA_NWSE: Nugget variance, Co, from the variogram (Curran, 1988). This is a measure of the elevation difference from each point to its nearest neighbor in four directions; smaller values reflect smooth terrain, and high values rougher terrain. All four turn out to be very highly correlated with each other, and with other measures of slope.

  • ROUGHNESS

  • RELIEF: difference between the highest and lowest elevations within the sampling region (Drummond and Dennis, 1968).

  • Upward and Downward openness: the first four moments of the distribution.

  • MISSING: the percentage of holes in the SRTM data. This can be used to filter the results, and only look at statistics where missing data might bias the results.

Key Parameters (Guth, 2006)

Interpretation for eigenvector parameters

References for geomorphic parameters

Last revision 9/18/2021


Register Image Caveats

Affine image registration directions.

Full TM scene. The swath width is about 185 km, and the orbit is broken in scenes that are approximately square.

The yellow arrow shows the satellite's path, which is a "polar" orbit with small inclination.

The UTM map projection keeps the scene geometry, but it is rotated and there are triangular voids on all sides.

If you had the original imagery, with respect to the satellite, the scenes would be square, but would not line up with the UTM grid.

Airplanes could fly in any direction, so that in general you cannot expect north to be at the top of the image, except in a very general sense. The same applies to a map that you would scan; unless you were very lucky, scanning would introduce an angular rotation because you would most likely not be able to place the map in the scanner exactly vertical.

Caveats on image registration, which might work if the simple World file options will not:

  • The MICRODEM image registration provides a "quick and dirty" result. It should only be used carefully, and as a last resort.
  • If your image has geometric distortions, or relief displacement, the simple affine transformation used cannot work well.
  • This should only be used for a large scale imagery of a small area.
  • If your image has an inappropriate projection, the simple affine transformation used cannot work well. The smaller the scale of the image (the larger the area covered), the greater the chance that this will not work.
  • If you scan an image, you almost certainly have to use this method (or rotate the image), because other alternatives (like world files) assume that the map's grid is oriented north-south and it is impossible to get that in a scan.
  • The following will limit the effectiveness of this technique:
    • Camera lens distortion (poor optics).
    • Off-nadir viewing geometry.
    • Terrain displacement in steep areas.
    • Scanner imperfections and distortions.
  • If at all possible, let a professional handle this. In addition to errors that you might make, your data may not be possible to register using this simple technique.

World file and grid types.

Delaunay triangulation registration is valid in a wider range of cases.

Last revision 12/3/2017


Reinterpolate DEM

This has moved to a single selection window.

  • Reinterpolate, UTM: the entire DEM will be resampled into a UTM grid with a specified resolution. If it is a UTM grid, it will be resampled (either up or down in resolution). If the DEM covers two or more UTM zones, you will be asked for the zone's coordinates to use. You should not extend UTM coordinates very far beyond the UTM zone boundaries. Extending too far to the west will create negative coordinates, and the behavior of the program in this case might be erratic. Reinterpolation uses a bilinear interpolation. If you are crossing the zone boundary, you should strongly consider using a lat/long grid.
  • Reinterpolate, lat/long: the entire DEM will be resampled into a lat/long grid. If it is already a lat/long grid, it will be resampled to the spacing you desire (either up or down in resolution). You should pick a spacing in arc seconds that is less than the spacing in meters; for instance, with a 150 m DEM, pick 3 arc seconds. This will result in a larger file but retain more of the detail. You can also decide whether to use a floating point or an integer to save elevations; floating points uses twice the storage and memory.

Reinterpolation uses a bilinear interpolation, which MICRODEM always uses to get an elevation not exactly on a grid node.

There is no penalty in MICRODEM for using lat/long DEMs, and all computations use them without problems. Lat/long DEMs are much better for seamless operations (USGS and NGA agree, and that's what is used for 3DEP/NED, SRTM, ASTER, MERIT, and DTED covering moderate to large areas).

If you are downsampling and want to consider a larger region rather than just the four points around your desired grid postings, you can Filter the DEM first.

If you reinterpolate to a finer resolution than your original DEM, you will get a smoother, generalized DEM, which will behave inside MICRODEM exactly the same as the original DEM. The reinterpolation will not be "better" than the original DEM and will be arguably worse (high and low points tend to be smoothed out); if your DEM is lead, nothing you can do with it can turn it into gold.

Before reinterpolating, you should be sure that you understand the actual resolution of the DEM, and not just the appearance on screen because MICRODEM defalts to showing the entire data set on screen without scrollbars.

Options and cautions for DEM resampling.

Last revision 1/20/2022

.


REM--relative elevation model

Very pretty maps, particularly in wide flood plains

  • Python
    • https://opentopography.org/blog/new-package-automates-river-relative-elevation-model-rem-generation
    • https://github.com/OpenTopography/RiverREM
  • QGIS
    • https://dancoecarto.com/creating-rems-in-qgis-the-idw-method
    • https://dancoecarto.com/creating-rems-in-qgis-the-cross-section-method

Last revision 9/12/2022


Relief Slope Inflection

Select from Calculate menu, Topographic grain submenu with the Fabric at point option.

Relief calculated in successively larger regions about selected point.

Characteristic ridge spacing from the change in slope, in this case about 2 km.

Uses

  • Statistical sample interval, for the number of grid points to use in increasing the spacing. Set on Analysis tab of Options form .
  • Max region size: how far to go out. Set on inflection tab of Topographic fabric vector overlay form.

Reference:

  • Goldberg, G.M., 1962, The derivation of quantitative surface data from gross surveys: Surveying and Mapping, vol.22, p.537-548.

Last revision 1/12/2013


Remote Sensing Syllabus

Remote Sensing Outline

Learning about GIS and remote sensing involves a mixture of education and training:

  • Education in basic principles which would apply to any GIS or remote sensing software.
    • Electromagnetic spectrum
    • Data characteristics, including scale
    • Data availability
    • Operations with geographic data
  • Training in the specifics of a particular software package, which will not apply directly to other software, or even to the next release of the same software package, but is required to actually use data and understand GIS operations. If you understand the principles, you can adapt to different software.
Type of Data | Sensors | Sensor type
Lidar |  | Passive
MSI--Multispectral Imagery | Landsat, Sentinel-2 | Passive
Hyperspectral Imagery | Hyperion | Passive
Radar Altimeters |  | Active
Laser altimeter | GEDI, LVIS and ICESat/ICESat-2 | Active
Synthetic aperature radar | Sentinel-1, SWOT | Active
DEM | SRTM and Copenicus (radar), ALOS (optical), Lidar | Active and Passive

Harmonized Landsat-Sentinel-2

Topics

Readings. You are responsible for all these pages, but not links on them.

Learning Outcomes
What are GIS and Remote Sensing
Vector and raster data
Map elements
Lidar point clouds and derived grids

Basic GIS

  • GIS definition
  • Remote Sensing (next week we will go into each of the links of this page; for now you just want the overview)
  • GIS Programs
  • Importance of data
  • Metadata
  • Computer data types
  • GIS data types
  • Database basics
  • Database filtering
  • Key map elements
  • OpenStreetMap

Program manipulation

  • General Windows computer suggestions
  • Scientific figures
  • Basics of running MICRODEM
  • GIS Project Management

Lidar

  • Airborne lidar system
  • Point clouds
  • LAS format
  • Describe the difference between GIS and remote sensing, and the ways they complement each other.
  • Differentiate raster and vector data, and what happens to each as the map scale changes
  • Create maps with legends, grids, and scalebars.
  • Recognize the common open data formats for imagery, grids, vector data, and point clouds
  • Understand how the number of points in a grid increases non-linearly as the data spacing changes.
  • Describe how the lidar collects elevation and intensity, and how the ground classification is later accomplished.
Landsat TM
Sentinel-2

Remote sensing

  • Resolution
  • Electromagnetic radiation and the atmosphere
  • Band spectral response

Satellites

  • Satellite band tradeoffs
  • Satellite orbits
  • Landsat versus Sentinel-2
  • Landsat Thematic Mapper
  • Landsat 7/8/9 bands
  • Landsat 8 bands with examples (from NASA)
  • Use the Stefan-Boltzmann and Wien's displacement laws to explain the differences we can get in spatial resolution in different parts of the spectrum.
  • Explains the tradeoffs among spatial, spectral, radiometric, and temporal resolution for satellite imagery.
  • Analsyze multispectral imagery from Landsat and Sentinel-2 satellites.
  • Differentiate atmospheric absorption bands and windows, and how they affect remote sensing
  • Use the different albedoes at different wavelengths to interpret multispectral imagery.
  • Recognize the pan, VIS/NIR, and TIR bands from their different spatial resolutions.
  • Use false color imagery for its depiction of vegetation and sharp land/water contrast because of the response to NIR radiation.
  • Reflectance spectra
  • Digitizing
  • Landsat DN computations--radiance, reflectance, brightness temperature
  • Interpret sun position
  • Landsat Thermal computations
  • Normalized satellite indexes
  • Band ratios
  • Atmospheric transmittance
  • Contrast Enhancement
  • Pan sharpening
  • Interpret reflectance spectra in terms of albedo, wavelength, and surface materials.
  • Interpret color satellite imagery in terms of its use of three bands displayed in red, green, and blue.
  • Interpret grayscale satellite imagery in terms of the intensity is a single band.
  • Use contract enhancement to stretch colors in a particular range of DN's to bring out relevant details in the imagery.
  • Differentiate DN, radiance, reflectance, brightness temperature
  • Differentiate surface and top of atmosphere (TOA)
  • Use sun position to interpret shadows in imagery, particularly the seasonal patterns for sun-synchronous satellites

Lidar
  • Map projections for raster & lidar data
  • Horizontal datum
  • Vertical datums

  • Classifying point clouds
  • Return Number and Classification
  • Lidar Time Series
  • Multiple Channel Lidar
  • Lidar for Forestry
  • Grids from lidar for Forestry
  • Map scale
  • Lidar interpretation.
  • Urban lidar displays
  • Understand how the points on the grid for raster data can be computed using different map projections
  • Explain how a horizonal datum works for map coordinates
  • Explain why "sea level" measured by GPS and other satellite systems can be up to 100 m different from the water level, and why you must consider whether elevations are referenced to the geoid or the ellipsoid.
  • Understand that a local tidal datum applies to nautical charts, and that is can be substantially different from the national datum used on land maps.

  • Evaluate lidar data in terms of useful aspects almost always present in addition to the point elevation (return intensity and classification as ground/other) and data that may be present if desired by the customer paying for the survey (merged true or false color imagery, and more complete classification).
  • Use the wavelength of the laser to evaluate what the data show.
  • Understand what return number shows about the lidar return.
  • Differentiate Map scale: small scale (large area, low detail) and large scale (small area, high detail)
  • Understand why we measure radiance and then compute brightness temperature in the TIR, and reflectance in the VIS, NIR, and SWIR.
  • Avoid the dangers of using screen pixel size to characterize spatial resolution when you are not viewing satellite imagery at full resolution.
  • Gridding lidar
  • DTM/DSM/NVS
  • Lidar grid merges
  • Grid lidar for time series and change detection, understanding the choices made and the different land surfaces.
  • Interpret lidar point clouds and grids.

  • GEDI, LVIS and ICESat (laser altimeters)
    • LVIS map images
    • LVIS waveforms
    • LVIS slices
  • EGM
  • Digital Elevation Models (DEMs)
  • Slope and aspect
  • Describe how the radar altimeter can measure with geoid, SWH, and wind speed with a single active radar.
  • Describe how laser altimeters work, and the tradeoffs with collecting full waveform data.
  • Differentiate the ellipsoid, geoid, and other measures of sea level
  • Weather satellites
  • Differentiate geosynchronous and polar orbiting satellite, in terms of altitude, pixel size what areas they cover
    • https://en.wikipedia.org/wiki/List_of_orbits#/media/File:Comparison_satellite_navigation_orbits.svg
    • https://en.wikipedia.org/wiki/Low_Earth_orbit#/media/File:Orbitalaltitudes.svg
  • Land Cover
  • NLCD 30 m (CONUS)
  • Copernicus Global Land Cover (GLC100) (world wide)
  • Copernicus 300 m (world wide)

  • History of Radar Altimeters
  • Fundamentals of Radar Altimeters
  • Understand how landcover uses data from Landsat and Sentinel to divide the land surface into about two dozen caterogories like forest, crops, developed.
  • Discuss the challenges of using a difference grid to track land cover changes.
Hyperspectral--last material on Exam 2
  • Hyperspectral imagery
  • Hyperion
  • Reflectance spectra
  • Unsupervised classification
  • Band scattergrams
  • Band histograms
  • Band correlations
  • Hyperion band correlations
  • Differentiate multispectral and hyperspectral imagery.
  • Understand band correlations, from scatter plots and the correlation coefficient
Web viewing and processing

DEMS
  • Buildings
  • Digital filtering
  • Supervised classification.
 Discuss the difference between supervised and unsupervised classification.


Reprojection

Reprojecting a data set creates a new data set with different coordinates. This can be done for two reasons:

  1. Change the datum. Taking a data set on NAD27, and changing all the coordinates to NAD83.
  2. Change the projection. You could take data in a projected coordinate system like UTM, and change the coordinates to geographic lat/long, or do the reverse.

If you want to display the data as a KML file in Google Earth, only one projection and datum are allowed (geographic coordinates with WGS84), and reprojection will be required unless the data already complies with the requirement.

The reversibility of the reprojection depends on the kind of data.

  1. For vector data, you are just taking the coordinates in one reference system and computing them in another. Within the numerical precision of the computer, this should be completely reversible.
  2. For raster data, a datum shift should be reversible since it only affect the coordinates of a single corner point. For a change in coordinate system, the location and spacing of the points in the grid will change, which will require interpolation. This will not be reversible, and hence reprojection will introduce error into the data.

Last revision 9/23/2011

DEM grids for 30 m UTM spacing (triangles) and 1” geographic spacing (squares) for a location in Wyoming. The UTM grid is square, while the geographic grid is almost rectangular. This mismatch varies over the map area, changing slowly in the north-south direction and rapidly east-west. If you reproject from one coordinate system to another, you have to change the locations of the points in the grid, and presumably also their values. The number of points in the grid will likely change as well.

Reprojecting in MICRODEM

  1. For vector data, MICRODEM only allows the geographic projection in WGS84. If you have a shapefile with another projection or datum, you must reproject the shapefile before you use it.
  2. For raster DEMs or other grids, the File, Save DEM, Reinterpolate, UTM or lat/long can do a reprojection by selecting the type of projection you want, and the grid spacing.

2006 NLCD, in conic projection.

NLCD2006 reprojected to match the DEM in a geographic projection. Note the changed orientation of the gaticule.

Last revision 11/18/2017


Delaunay triangulation reprojection of historic Maps

Create Delaunay triangulation which warps the map to fit control points.

Use "Export registered image" to open in MICRODEM.

Applies to:

  • Register with Map Analyst
  • Register Quad Map
  • Register Quad Map with gazetteer supplemental points
  • Register historic MrSid Map scans
  • Tutorial: Register Image and Digitize
  • Extrapolate to the edges of the map after you do the Delaunay triangulation, and then retriangulate.

Last revision 10/11/2011


Resample/Reproject Shapefiles

Reproject shapefiles on Data Manipulation Form, under the Resample menu choice. The following are currently implemented:

  • Datum shift: change datum. Identify existing datum, and select new datum.
  • Specified shift
  • Add line endpoints to DBF file: (UTM coordinates).
  • Repair SHP and SHX bounding boxes for the entire shapefile.
  • Create DBF: if you have a shapefile missing the DBF file, this can create one with a record field for each record. It will obviously not have any attributes.
  • Rename shape file

To subset a shapefile, you must open it with a base map.

Last revision 11/15/2018


Required Directory Structure

The program requires the following data directories:

  • x:\MapData\DEMS--DEMs written by the program will go to this location.
  • x:\MapData\SATS--satellite imagery or ancillary files written by the program will go to this location.
  • x::\MapData\DataBase --the ODBC alias will point to a dummy data base in this location; other data bases will be copied here. This is a scratch directory and you cannot store your data bases here. (perhaps not true; this aspect is rapidly evolving)
  • x::\MapData\MOVIES --movies will be written to this location.

You set the x drive designation in the Options form, Directories Tab.

The drive on which you place them must be one on which you have write permission. Picking this drive will create the required files if they do not already exist.

The MapData Directory must be at the root level of whatever drive you use.

Last revision 12/15/2008


Resample Data

Data Manipulation Menu choice. Many of these require GDAL
  • Shapefile: reproject shapefile or add fields to its DBF file.
  • DataBase --includes shapefile DBFs.
  • GDAL rasters:
  • GDAL/OGR vectors:
  • Vertical datum shift, overwrite DEM/grid. You must have set up the geoid grids needed, and need to save the original DEM if you do not want it transformed and then can work on a copy.
  • DEM formats--can go to Geotiff or MICRODEM format, copying all files in selected directory
    • ADF directory requires GDAL
    • BIL directory
    • IMG directory requires GDAL
    • DEM directory : overwrites the original DEM files; the DEMs will be smaller and will load much faster for later use.
    • ASC files
    • TXT files
    • Convert to Geotiff (can use GEOTIFFS that have to be imported via GDAL, in which case the original files will be overwritten)
  • LAS lidar
  • Prep OSM/Natural Earth/GADM shapefile: insures the bounding box is present, and trims the length of excessively long string fields. You select a folder, and all shapefiles under that directory will be processed. The overall progress will be shown in the lower left corner of the screen.

Last revised 4/13/2023


Resample Database

This sub-menu is on the Resample menu choice of the [image] data Data Manipulation Form

These options apply to separate both dBase tables and those belonging to a shape file. Geographic coordinate options should be done on the shapefile menu.

  • TIGER redistricting
  • Add lat/long fields
  • Repair headers: if the DBF file headers become corrupt, this may correct the problem.
  • Rename fields
  • Add file name as field: puts the file name into the "NAME" DBF field, in case you want to merge shapefiles that do not indicate what they contain.
  • Edit DBF file

A number of options formerly on this form are now on the Edit button for a database table form

Last revision 8/13/2021


Resample DEM

This option was available from the Resample menu choice of the data manipulation form. Now use the Save DEM menu choice on the map toolbar.

Last revision 7/11/2005


Lidar Resampling

Data Manipulation, Resample submenu. MICRODEM will only deal with lidar tiles in either lat/long or UTM coordinates, on the WGS84/NAD83/ETRS89 datum. The projection information must be in the LAS or LAZ file.

You can encounter two kinds of problems:

  1. Projection is not UTM or geographic (most likely SPCS).
  2. Projection is not included in the LAS file.

You can look at the metatata in the LAS file, using both MICRODEM and lasinfo, to see if metadata is present. File Metadata on the Analyze menu.

There should be separate metatadata files with the LAS or LAZ files, or as a separate download from the web site where you got the data.

Three options, each handles a different set of files. Do not delete the original files until you know the conversion has been correctly handled.

  • LAS files (MD) This will be the best choice if it does what you need. Use it for SPCS, UK OS, and Irish grids.
  • LAStools. This will be the best choice when you have to define the projection because it is not in the file.
  • libLAS

Last revised 10/31/2019


RGB 3 parameter maps

RGB Three Parameter Maps

Available from Raster GIS menu.

Select 3 grids. They do not have to have the same resolution, and may not need to have the exact same coverage area.

Set the max and min values for coloring for each grid.

The initial ranges for coloring can be either the extremes in the grids, or a percentile. If the distributions are extreme, the percentiles can provide a better distribution of colors.

Plot redraws the maps.

Color range sets the color levels for the max and min values. The best selection is probably percentiles, to skip the tails of the distrubtion, between which there will be a linear stretch.
Map showing three geomorphometric parameters.

Stoker (2010) showed examples of this with LIDAR grids and derivative surfaces.

Last revision 5/10/2018


Rhumb Lines

Invoked from "Calculate" menu of a map window

Enter coordinates by:
  • Start and End buttons, and type them in
  • Use "+" buttons to copy in from clipboard (enter by right clicking on the map, and adding the screen position to the clipboard, or by double clicking on a record in a point database.
  • You can use constant point spacing, or pick a specified number of points.
  • "Rhumb line" will create a shapefile with points, and plot it on the map. If you want to save it, use Report button on database table form.

A rhumb line is a line of constant bearing. It will be a straight line on a Mercator projection. It will not be the shortest distance, which will be a great circle, but which requires changing the heading as you travel.

Last revision 3/18/2011

.


Ridge and Valley Detection

  • Calculate menu
    • Peaks, pits, and spires
    • Point classification: Ridges/valleys
      • Hi/low neighbors: this uses the window radius in pixel, and an elevation tolerance, and create two grids, with the number of the 8 neighors that are higher or lower. The two, plus the number within the elevation tolerance, sum to 8. Missing data is there are not 8 neighbors.
      • Raster GIS menu, Create derivative grid
        • Aspect difference

        Last revised 3/2/2023


Right Click Physical Geography

On a map window, right clicking, Physical geography provides these options:

Tissot
Monthly wind
Sun position equinox/solstices

Annual length of daylight

Annual sunrise/sunset. This provides

  • Latitude, based on the difference in daylight from summer to winter
  • Hemisphere, based on the timing of max (summer) and min (winter) daylight

Julian days start with 1 for January 1, and goes to 365 or 366 for December 31.

Annual solar elevation

  • Elevation to the sun at local noon (not exactly noon, depending on position with the time zone, and possible daylight savings time.
Terrain sun blocking

Monthly climate graphs at point.

This will create a graph for each open data set.
Monthly temperature ranges: max, min, and average temperatures. See the effect of ocean moderation and continentality.
Evapotranspiration/precipitation--the water budget
Koppen climograph from station records
Koppen climograph from climate grids
Quick rotate map: must be a planar projection

Last revision 12/15/2019


Right Click

Right Click & Load

Popup menu after right clicking on the map and picking LOAD.

  • Gazetteer
  • Map library
  • Blue Marble
  • Climate
  • Geology
  • Point cloud
  • Pick series and load DEMs from library
  • DEMs from map library, this point
  • DEMs for map library, map area
  • DEM from series: pick a DEM series from the map library, and merge data to cover the current map area
  • DEMIX candidate DEMs in EGM2008--these will be loaded, converted to EGM2008, subset, and saved in the same directory as the reference DEM
    • COP and ALOS
    • All 6-- loads all the active DEMs from the map library

Last revision

4/12/2023


Right Click Remote Sensing Optio

Right Click Remote Sensing Options

  • Satellite DNs at points. For Landsat, it will include radiance, reflectance, and brightness temperature in the thermal bands.
  • TLS (temperature of the land surface) for a range of emissivities, using the TIR bands of Landsat. While these are reported with 30 m pixels, the actual resolution is really closer to 100 m, so you need to have a homogenous pixel over that scale to get an effective emissivity.
  • Sun position

Last revision 1/25/2022


Cut/Fill along Road

  • Open DEM . The resolution and quality of the DEM will affect your results.
  • Digitize centerline of road, with several options. If you use a Points file, the points must be in sequential order along the line. You want to digitize zoomed in as much as possible; your accuracy picked a point is half the pixel size on screen at best, and worse if your hand/eye coordination is not perfect.
    • Annotate Map, Create shapefile, Points or Line.
    • Digitize in Google Earth, and create a points KML file, which you can open [image] Database. If you want to create a line, you will have to convert to shapefile with DNRGPS
  • If you have a points shapefile, turn it into area/line shape file from points.
  • Create points file (along line) and pick a uniform spacing such as the grid spacing in the DEM
  • Verify the point spacing with Edit, Navigation, Add travel path (Azimuth, distance).
  • You can get a profile of the road centerline, with Stats: 2D graph: 2D graph, simple (points) with cumulative distance versus elevation.
  • Edit, DEM, Add interpolated elevation from DEM.

Last revision 4/4/2018


Rose Diagrams

A rose diagram shows the circular distribution of directional data. The diagram plots lines at each of the 360 degrees of a compass distribution, with the length proportional to the number of values in that direction. With small data sets, directions can be binned.

From DEMS | From D ata Bases
  • Aspect distribution by slope on Geomorpometry analysis of Analyze menu
  • Analyze, Elevation-slope plot, Aspect distribution.
 Rose diagram on Stats button popup menu from database table display window

Rose diagrams for a Copernicus 1" DEM, both in the native floating point format, and rounded to a 16 bit integer. | Rose diagram for the Negative Vegetation > 1m

Numbers at the top of the rose, after the DEM name, show the vector average (Fisher, Lewis, & Embleton, 1987), computed by summing the x (sin) and y (cos) components of the aspect, and then computing the average component by averaging the x and y components, and then expressing the result as a vector. The average magnitude will be between 0 and 1, with 0 being a completely random, uniform distribution, and 1 being all in a single direction. The aspects use geographic conventions, with 0 as north and the aspect increasing clockwise; both differ from the math and computer science conventions of programming languages.

For the two Copernicus DEMs, the average directions, both direction and magnitude, are virtually identical. The slope distributions are also virtually identical, but a slope difference map shows random small differences resulting from rounding the elevations. The integer DEM has many more aspects in the principle directions.

The last number is the Queen's aspect ratio, showing how much the number of aspects in the 8 cardinal directions compares with a uniform distribution. It should be close to 1 for floating point DEMs, and much larger for integer DEMs.

Last revision 12/8/2021


Rose Diagram of Focal Plane Dip

Rose Diagram of Focal Plane Dip Directions

Example of a section along the Mid Atlantic ridge. There are 29 earthquakes, leading to 58 focal planes.

Rose diagrams, strikes. The E-W strikes are the transform faults, and the N-S strikes are the normal faults.
Rose diagrams, dip directions. The northward dips are the strike slip faults (which are all nearly vertical), and eastward and westward dips are the normal faults.

Filter the results by fault type to show just the normal or the transform faults.

Get the orientations on the stereo net:

  • Focal planes on stereonet
  • Poles to focal planes on stereonet
  • Dip directions for focal planes on stereonet

From the dip directions, you could look for fault scarp.

Last Update: 11/16/2014


Roughness

Measure correlating strongly with slope
Roughness Measure | MICRODEM, Create derivative grid | GRASS (callable from Windows command line) | SAGA | GDAL (callable from Windows command line) | WhiteBox (callable from Windows command line) | Reference
RRI | Yes | Sebastiano Trevisani, Giordano Teza, & Peter L. Guth. (2023). Hacking the topographic ruggedness index. https://doi.org/10.5281/zenodo.7716785
Roughness factor | Byproduct of SSO computations | GDAL Roughness is the largest inter-cell difference of a central pixel and its surrounding cells, as defined in Wilson et al (2007, Marine Geodesy 30:3-35). | Mark, 1975; Etzelmuller, 2000 .
TPI | Option to normalize all distances | Includes multidimensional (addon, called from MICRODEM) | Yes (does not agree with MICRODEM) | Guisan, A., S. B. Weiss, A. D. Weiss 1999. GLM versus CCA spatial modeling of plant species distribution. Plant Ecology 143: 107-122
TRI

Comparison of TRI with Various Programs 		Option to normalize all distances Allows neighborhood, distance weighting (addon, called from MICRODEM) Yes Riley, S. J., S. D. DeGloria and R. Elliot (1999). A terrain ruggedness index that quantifies topographic heterogeneity, Intermountain Journal of Sciences, vol. 5, No. 1-4, pp.23-27.
Wilson et al (2007, Marine Geodesy 30:3-35)
Multiscale roughness | Yes
MAD--median absolute differences | S. Trevisani, M. Rocca,2015, MAD: robust image texture analysis for applications in high resolution geomorphometry: Computers & Geosciences, Volume 81, pages 78-92, https://doi.org/10.1016/j.cageo.2015.04.003.
Standard deviation of slope | Yes | C. H. Grohmann, M. J. Smith and C. Riccomini, "Multiscale Analysis of Topographic Surface Roughness in the Midland Valley, Scotland," in IEEE Transactions on Geoscience and Remote Sensing, vol. 49, no. 4, pp. 1200-1213, April 2011, doi: 10.1109/TGRS.2010.2053546 .
Variogram gamma | Yes
Rugosity | Yes | https://pubs.usgs.gov/ds/477/
Vector ruggedness r.roughness.vector (addon, called from MICRODEM)
  • https://grass.osgeo.org/grass78/manuals/addons/r.vector.ruggedness.html
  • Sappington, J.M., K.M. Longshore, and D.B. Thomson. 2007. Quantifying Landscape Ruggedness for Animal Habitat Analysis: A case Study Using Bighorn Sheep in the Mojave Desert. Journal of Wildlife Management. 71(5): 1419 -1426.
  • C. H. Grohmann, M. J. Smith and C. Riccomini, "Multiscale Analysis of Topographic Surface Roughness in the Midland Valley, Scotland," in IEEE Transactions on Geoscience and Remote Sensing, vol. 49, no. 4, pp. 1200-1213, April 2011, doi: 10.1109/TGRS.2010.2053546.
  • McKean, J. & Roering, J., 2004. Objective landslide detection and surface morphology mapping using high-resolution airborne laser altimetry. Geomorphology, 57:331-351. http://dx.doi.org/10.1016/S0169-555X(03)00164-8 .
  • This command changed in GRASS 82, which has two different versions which give different results
    • https://grass.osgeo.org/grass82/manuals/addons/r.roughness.vector.html
    • https://grass.osgeo.org/grass82/manuals/addons/r.vector.ruggedness.html
Multiscale Std Dev Normals | Yes (not yet callable from MICRODEM) | JB Lindsay, DR Newman, and A Francioni. 2019 Scale-Optimized Surface Roughness for Topographic Analysis. Geosciences, 9(322) doi: 10.3390/geosciences9070322.

Mark, 1975; Etzelmuller, 2000 . RoughnessFactor := 1 - sqrt(sqr(x1sq) + sqr(y1sq) + sqr(z1sq)) / NumPts; (the three numbers are the sums of the squares of the three components (directional cosines) of the normal vector to the earth's surface) done as byproduct of SSO computations

Call routines from GRASS, GDAL, and WhiteBox from MICRODEM: Raster GIS, External tools

Last revision 8/17/2023


Route Observation

A DEM must be associated with the map. This shows all terrain visible from a designated route, either collectively or at specific locations along the route.

This will probably work best on:

  • Reflectance map, with grayscale
  • Grayscale satellite imagery or aerial photograph
  • Scanned map, turned to grayscale (use Modify menu, Map shading options).
  • Pick on Calculate, Intervisibility menu from a map.
  • Pick Route observation
  • Pick the new route using point or stream for digitizing . After each point you can verify its location, if you have point verification set, and determine whether to continue the route.
  • Set options.
  • You set a distance apart for fans.
  • Program will draw the points that can see or be seen from the route.
  • Program will open the database with the locations, which you can use to view/edit the results with a special toolbar.
  • Speed up ambush movie.

The data for the route is stored in a database, called AMBUSH.DBF.

The viewsheds are stored, with a world file, a PRJ file for use with ArcMap, and a MET file with metadata, in the Viewshed Directory (set on Directories tab of options form). By default this is the Windows Temp directory, which will be cleared out when you close the program.

Older graphics.

Last revision 10/2/2017


Route Observation Options

Affects route observation intervisibility product.

Parameters in the top panel are also used for weapons fan/viewshed :

Parameters in the lower panel are used just for route observation:

  • Frame separation determines how close the fans will be drawn, and thus the number of fans and the time it will take to draw them and the size of the resulting move.
  • Color scheme--used to show multiple coverage.

Last revision 2/19/2012


Rugosity

General discussion of Roughness

Compute with Create derivative grid option.

Robbins and others (http://pubs.usgs.gov/ds/477/) describe this metric (a slope/roughness measure). You would get the same effect with a slope map using the Average neighbor slope algorithm, with some minor differences because rugosity does not account for differences in the diagonal distances.

This does not deal with different x and y spacing in geographic DEMs; MICRODEM computes it, and uses the Average DEM spacing.

We see no reason to use this option, and do not recommend it.

last revision 5/13/2011


Rules for Excel or CSV to dBase

These apply for the creation of files in CSV format to import to MICRODEM. If you have an existing CSV file that needs to be edited, you can use Excel. You can also do small edits to the CSV file in Notepad or Wordpad.

  • The first line must have the field names; you will edit any of those longer than 10 characters, and all characters other than Letters (they will be converted to all capitals), Numbers, and "_" (underscore) will be removed. If your file does not have field names, you can add them in any text editor such as NOTEPAD. Use the same delimiter as the rest of the file.

  1. Insure that you have columns "LAT" and "LONG", both all caps. They can be anywhere in the worksheet.
  2. Rules for field names.
  • If you must scale a column, for instance to convert miles to kilometers, or to insert an implied decimal point from old records that tried to minimize file size:
    • Create a new column in Excel with formulas to get the correct numbers.
    • Copy that column, and use a paste special to get the values instead of the formulas.
    • Delete the original column with the bad units, and the one with the formulas.
  • Insure that latitude and longitude columns use decimal degrees, have a negative sign for south latitude and west longitude, and that longitude goes from -180 to +180. If not, use math operations in Excel to correct them. The CSV import into MICRODEM will let you put a minus sign for west longitude if that is the only problem. You can also edit the database in MICRODEM to multiply the LONG field by -1, or to convert 0-360 longitudes.
  • If you have ZIP codes and want to use them to join/link databases, you should use the field name "ZIP" or "ZIPCODE". Otherwise they may import as real numbers, which cannot be used for the join. MICRODEM now insures the ZIP codes have 5 character lengths, by adding leading "0" if needed (this can happen using Excel which which treat the Zip codes as integers and delete leading "0" in New England).
  • FIPS codes will have similar issues to ZIP codes.
  • Rearrange the columns if you would like (drag and drop); when you view the table later, the fields will be in the same order as they are in the Excel spreadsheet.
  • Avoid using commas and quotation marks in you table. These will cause you problems (values will be in the wrong field, and they cascade down the rows). If you use CSV to export and import into MICRODEM (overall the least hassle), these will cause you problems. Excel has global search and replace where you can replace commas with spaces or dashes.
  • If you have no data for a field (attribute), leave it blank. If you have no data for any of the records for a field, you must put in a holder value in one record that has the correct length (and number of decimals for a floating point number) so that the dBase table will be correctly initialized. You must have a value in the file that will be the largest or longest value that you will ever want in that field if you are going to edit the database or perhaps add additional records.
  • If you want the values to be floating point, you need to insure that they have a decimal point, and the correct number of values after the decimal point. The easiest way to do this will be to edit in Notepad, and put a placeholder value for the first line, which you can edit later.
  • MICRODEM will convert integers larger than about 32000 into strings. If you want them to remain values, put a decimal in the first value in Notepad (Excel will strip it out), and they will be treated as floats.

Excel to CSV to dBase in MICRODEM

Import CSV into MICRODEM.

Problems with CSV import

Last revision 1/26/2013


Rules dBase field names

Rules for dBase Field Names

  • Labels can only use 'A' to 'Z', '0' to '9', and '_', and must be 10 characters or less in length, all caps.
  • The first character should be a letter.
  • The last character of the field name should be a letter rather than a number. Violation of this is likely to lead to problems if you want to filter the database.
  • Each field in the database must have a unique name.

All rules for CSV import.

Last revision 1/29/2019


RVT Relief Visualization Toolbox

Produces

  • hillshading,
  • hillshading from multiple directions,
  • PCA of hillshading,
  • slope gradient,
  • simple local relief model,
  • sky-view factor,
  • anisotropic sky-view factor,
  • positive and negative openness,
  • sky illumination, and
  • local dominance.

Directions

  • Download from https://iaps.zrc-sazu.si/en/rvt#v and place in c:\microdem\rvt
  • Open the program, and select the options you want.
  • Close the program
  • In MICRODEM, open a DEM
  • On Raster GIS, External tools, select RVT
  • The DEM will be written to a RVT subdirectory in Geotiff format, RVT will be called, and the selected output files will be added to the RVT subdirectory
  • To see problems, run the batch file, which will be in c:\mapdata\temp, in a cmd window.
  • To open the RVT program again for manual operation in its GUI, first delete the "process_files.txt" in the setting directory.
  • This probably will not work with geographic DEMs
  • Kokalj, Ž., Somrak, M. 2019. Why Not a Single Image? Combining Visualizations to Facilitate Fieldwork and On-Screen Mapping. Remote Sensing 11(7): 747.
  • Zakšek, K., Oštir, K., Kokalj, Ž. 2011. Sky-View Factor as a Relief Visualization Technique. Remote Sensing 3(2): 398-415 .

Last revision 11/24/2022


S2GLC--Sentinel-2 Global Land Co

S2GLC--Sentinel-2 Global Land Cover

  • High resolution landcover of Europe
    • http://s2glc.cbk.waw.pl/
    • 10 m pixels from Sentinel-2
    • Download at https://finder.creodias.eu/
      • Register for account (this data is free)
      • Put "S2GLC" into the collection drop down
      • 100K squares for single scenes
      • Limited coverage

Land cover basics

Last revision 4/28/2020


Satellite Band Tradeoffs

A band is a portion of the electromagnetic spectrum sensed by a satellite. You can think of it as a color, but often some of the bands will be in the infrared and invisible to the human eye.

To collect a lot of energy, the band must be wide,covering a large range of frequencies or wavelengths and hence a range of colors. The designers of a satellite consider tradeoffs. The response of the sensor is also not perfect with absolute boxcar edges.

The Sentinel-2 satellite shows one response to these demands

https://www.usgs.gov/faqs/what-are-band-designations-landsat-satellites?qt-news_science_products=0#qt-news_science_products
  • Note that for the RGB bands 2-4, the Sentinel-2 satellite has 10 m resolution but relatively large bandwidth.
  • Band 8, in the NIR, also has 10 m spatial resolution but a much larger bandwidth, in part because there is less reflected energy in the IR.
  • There is a second NIR Band, 8A, with 20 m spatial resolution and narrower bandwidth.
  • A number of bands (1, 5, 6, 7, 9, 10) have very narrow bandwidth because they are looking for a particular absorption pattern, but have to use lower spatial resolution.

Table. Sentinel-2 bands

LONG_NAME | WAVELENGTH (nannometers) | BANDWIDTH (nannometers) | RESOLUTION (meters) | Notes
Band 1 - Coastal aerosol | 443 | 20 | 60 | Narrow bandwidth, Low spatial resolution
Band 2 - Blue | 490 | 65 | 10 | VIS has high energy, good spatial resolution
Band 3 - Green | 560 | 35 | 10 | VIS has high energy, good spatial resolution
Band 4 - Red | 665 | 30 | 10 | VIS has high energy, good spatial resolution
Band 5 - Vegetation Red Edge | 705 | 15 | 20 | Narrow band, moderate spatial resolution
Band 6 - Vegetation Red Edge | 740 | 15 | 20 | Narrow band, moderate spatial resolution
Band 7 - Vegetation Red Edge | 783 | 20 | 20 | Narrow band, moderate spatial resolution
Band 8 - NIR | 842 | 115 | 10 | Lower energy, wide band, good spatial resolution
Band 8A - Narrow NIR | 865 | 20 | 20 | Narrower band, lower spatial resolution
Band 9 - Water vapour | 945 | 20 | 60 |
Band 10 - SWIR - Cirrus | 1375 | 20 | 60 |
Band 11 - SWIR | 1610 | 90 | 20 |
Band 12 - SWIR | 2190 | 180 | 20 | Wide band to get reasonable spatial resolution

Last revision 1/23/2023


Satellite Imagery Availability

Free Satellite Imagery Availability

Scale | Spacing | Data series | Coverage | Provider | Web Source | Notes
Global 1-8 km MODIS Worldwide NASA
  • Blue Marble Next Generation monthly images
 Blue Marble

1 km, 500m, and 250 m | MODIS | Much of the world | http://rapidfire.sci.gsfc.nasa.gov/subsets/ | World View Snapshots
Regional 15 m and 30 m Landsat TM Geocover 2000 and Geocover 1990 Worldwide NASA
  • Highly compressed
  • UTM format, 4x6 degree tiles, 15 m resolution, about 230 MB each
  • Direct viewing MrSid.
30 m Landsat Global USGS
  • EarthExplorer
  • GloVis
  • LandsatLook Viewer
 USGS archive, includes Landsat 8, imagery back to early 1980's
10 m Sentinel 2 Global ESA
  • EarthExplorer

For better resolution, you will enter the realm of commercial imagery, and can expect significant costs. You could also check aerial photography.

Last revision 8/4/2023


Satellite Image Analysis References

Remote Sensing References

  • Curran, P.J., 1988, The semivariogram in remote sensing: an introduction: Remote Sensing of Environment, vol.24, p.493-507.
  • Zhang, Y., 2004, Understanding image fusion: PE&RS, vol.70, no.6, p.657-661.

Main reference page

Last revision 6/17/2006


KML Satellite Export Parameters

Requires Delauney triangulation registration of the map, and called with two options on the File menu of the [image] satellite image analysis window.

  • Tile for Google Earth
  • Export registered image. Selection of this option will close the satellite image analysis window and open a regular map window. Pick the name and location for the new image.

Set the following, some of which might not be available depending on the option you selected:

  • Image blowup. 25% will show 1/4 of the rows and 1/4 of the columns (1/16 of the entire data). This trades off legibility versus size.
  • Max tile size: Google Earth once had problems with sizes over 2000 pixels. The tiles will be the smallest number of equally sized images to cover the area without exceeding your specified size. Tiles size no longer appears to be an issue.
  • Whether you want to zip the KML file into a KMZ file.
  • You can put the out in the Windows Temp Directory (which will be deleted when you close MICRODEM; the alternative is a new directory in c:\mapdata\kml, where you can recover it if you do not save it from Google Earth.

As you change the parameters, the preview to the right will change, as will the report with the number of tiles and their sizes.

If you want the output to be a single file, increase the Max tile size.

Last revision 2/25/2015


Satellite Predictions

You must have the 3 line orbital prediction file for the satellites you want in 'c:\microdem\gps-ops.txt'

Summary of satellites

Sky map button produces diagram.

  • Red line is the horizon from the DEM.
  • Green symbols are the satellites in view; those between the red horizon and the black outer circle are masked by the terrain.
  • Only reasonable to use in very steep terrain where there is a signficant chance of terrain blocking low satellites.

http://www.heavens-above.com/ gives predictions to compare with these.

Last revision 9/23/2018


Satellite image filtering

Filtering--Grids or Imagery

Filters can be used to enhance the appearance of an image. The filter can be viewed as a matrix that is moved over the image. Each value in the filter is multiplied by the value in the image underneath it, and then the sum replaces the value at the center of the filter. Filters can also be applied to DEMs or others grids, either to enhance trends or to smooth out random noise or generalize the map.

Filters can be used to smooth or average the image, sharpen the image, or search for edges.

Filtering is available:

  • On the Raster GIS menu for DEMs or other grids including Multi-grids . For these you can get larger sizes using mean, median, min, and max filters compared to imagery.
  • On the Imagery analysis menu , Create difference index, band ratio, new band for satellite imagery.

An unweighted averaging or smoothing filter would look like this:

1 | 1 | 1
1 | 1 | 1
1 | 1 | 1

Smoothing filters included with MICRODEM include AV-5x5.fil, AV-7x7.fil, AV-9x9.fil, and SMOOTH.FIL.

A sharpening filter might look like this:

-1 | -1 | -1
-1 | 9 | -1
-1 | -1 | -1

The sharpening or coarsening filter will enhance differences. If a pixel had the same value as its neighbors, their eight values would be subtracted from nine times the central value, and the result would be the same at the initial central value.

Sharpening filters included with MICRODEM include DIAGLINE.FIL, VERTLINE.FIL, DIAGLINE.FIL, EDGE.FIL, and Laplacian of Gaussian (LoG) filter. See examples of these edge filters with NAIP imagery.

MICRODEM allows only square filters (number of rows equals the number of columns); the current maximum size is 15x15. Values in the filter must be integers; the final result will be divided by the sum of the values in the filter to insure that the average value of the image will not change.

TM Band 4, no filter | TM band 4, sharpening (diagonal) filter applied | TM Band 4, smoothing filter (9x9) applied.

Last revision 3/7/2017


Satellite Reflectance Histograms

Option on Image analysis menu.

Satellite histograms: graph of DN versus the number of pixels with that DN. DN is the digital number, which measures the energy sensed by the satellite if the particular band.
  • Histogram, all bands
  • Histogram, pick band:
  • Use current subset

The reflectance histogram graphs the number of pixels (or percentage of the scene) with a particular DN in the scene. The most commonly occurring DN will mark the mode; in some cases the distribution may have multiple modes. If multiple modes exist, that means that many pixels share a common DN, few pixels have DNs in the region between the modes, and then many pixels share another DN.

The histogram represents the reflectance characteristics of the scene, which is a function of reflection characteristics and the distribution of terrain in the scene.

Because water in rivers, lakes, or the ocean has very distinctive and uniform reflectance characteristics, large water regions will usually lead to a large mode.

Note that the top diagram shows a band with a unimodal distribution, and the bottom diagram shows a band with a bimodal distribution. The bimodal distribution that the scene contains a number of points with very low reflectance (such as water), and then a number of points with varying higher reflectances.

Last revision 3/25/2008


Gray Scale Conventions

For a single band we typically display the image in shades of gray, with white indicating a large energy returned to the sensor and black no energy. This corresponds with what we see in the visible part of the spectrum (black absorbs all light, white reflects all light), but when we display thermal or microwave energy the image has nothing direct to correlate with what we would "see" with our eyes. By convention, however, some sensors typically display with the colors reversed; thermal weather satellite images represent a prime example. Clouds are cold and emit little infrared radiation, so compared to water or the land surface they should be black. But people would balk at black clouds, so we reverse the color scale. Side scan sonar imagery can be displayed with either convention.

In addition to these conventions, contrast enhancement determines how shades are assigned.

Last revision 11/27/99


Composite color image

Satellite Composite Color Image

For multiband imagery, we display three bands in red, green, and blue, which is the color scheme for TV and computer displays. If we have red, green, and blue bands, we have a "true color" image. But we often have some infrared bands, and typically they contain valuable information (for example, the contrast between land and water is much clearer in the IR than in the visible, and vegetation reflects strongly in the IR). In contrast, the blue channel typically contains little of interest. Thus a typical "false color" scheme would show the green in blue, the red in green, and the IR in red, such as the center image below. On such a scene the vegetation shows up in red because its IR signature is so strong.
Annapolis Landsat TM Scene With Different Band Combinations
True color. TM Bands 1, 2, 3 for the older Landsats, and 2,3,4 for Landsat 8. This is a true color image. Note that the coastline does not show up clearly. Band 1 in particular usually has limited information. | False color. TM Bands 2, 3, 4 for the older Landsats, and 3,4,5 for Landsat 8. This is a false color IR image, with the red being the near IR band (which we cannot see), but which clearly shows the vegetation and its health. This may be the most common band combination used in remote sensing. While it requires some training for users, it has the most information. In addition to vegetation, it very clearly shows the difference between water and other features. | TM bands 4, 5, and 7 for the older Landsats (5/6/7 for Landsat 8), all invisible to humans in the near to mid IR. Any time a TM scene involves "unusual" colors like this cyan or yellows or purple, it almost certainly means that the IR bands are being displayed. One prominent use of these bands is to enhance geology.

Landsat 8 changed the bands substantially.

Last revision 1/13/2019


Correlation Coefficient

The correlation coefficient represents the relatedness of two variables, and how well the value of one can be used to predict the value of the other. The correlation coefficient r ranges between -1 and +1. A positive r values indicates that as one variable increases so does the other, and an r of +1 indicates that knowing the value of one variable allows perfect prediction of the other. A negative r values indicates that as one variable increases the other variable decreases, and an r of -1 indicates that knowing the value of one variable allows perfect prediction of the other. A correlation coefficient of 0 indicates no relationship between the variables (random scatter of the points).

To overcome the bias that a negative correlation is somehow worse than a positive correlation, the square of the correlation is often merely to indicate the strength of the relationship between the two variables. R-squared ranges from 0 to 1, and since squared values under 1 decrease rapidly, a large value of r-squared implies a very strong relationship.

This figures shows four sets of data with different correlation coefficients. Note the negative slope for the data set with the -1 correlation coefficient and the positive slope for the +1 correlation coefficient.

In satellite image analysis, the correlation matrix shows the relationship among the bands in the image.

Last revision 12/23/2017


Correlation Matrix

Imagery analysis menu, Multi-grids raster analysis. You must first have converted the satellite image into a series of grids for numerical computations.

  • Grid correlations
  • Variance-covariance/Principal components choice.

A correlation matrix takes each pair of satellite bands (or other related grids) and computes the correlation coefficient between the reflectances in the two bands for each pixel in the image. Because the matrix is symmetrical (the correlation between Bands 1 and 2 does not depend on the order of considering the two bands), often only the upper half is presented. The correlations along the principal diagonal are 1.0, since anything allows perfect prediction of itself.

Correlation Matrix

Band | Band 1 | Band 2 | Band 3 | Band 4 | Band 5 | Band 6 | Band 7 | Band 9 | Band 10 | Band 11
Band 1 | 1.0000 | 0.9804 | 0.7420 | 0.6295 | -0.0220 | 0.1765 | 0.3439 | 0.5334 | -0.2145 | -0.2889
Band 2 | 0.9804 | 1.0000 | 0.8318 | 0.7498 | 0.0425 | 0.2912 | 0.4626 | 0.4757 | -0.0816 | -0.1565
Band 3 | 0.7420 | 0.8318 | 1.0000 | 0.9440 | 0.4954 | 0.6991 | 0.7934 | 0.3144 | 0.4001 | 0.3149
Band 4 | 0.6295 | 0.7498 | 0.9440 | 1.0000 | 0.4255 | 0.7220 | 0.8325 | 0.2141 | 0.4690 | 0.3973
Band 5 | -0.0220 | 0.0425 | 0.4954 | 0.4255 | 1.0000 | 0.8132 | 0.6598 | 0.0533 | 0.6981 | 0.6347
Band 6 | 0.1765 | 0.2912 | 0.6991 | 0.7220 | 0.8132 | 1.0000 | 0.9565 | 0.0279 | 0.7919 | 0.7300
Band 7 | 0.3439 | 0.4626 | 0.7934 | 0.8325 | 0.6598 | 0.9565 | 1.0000 | 0.0689 | 0.7228 | 0.6606
Band 9 | 0.5334 | 0.4757 | 0.3144 | 0.2141 | 0.0533 | 0.0279 | 0.0689 | 1.0000 | -0.3577 | -0.4422
Band 10 | -0.2145 | -0.0816 | 0.4001 | 0.4690 | 0.6981 | 0.7919 | 0.7228 | -0.3577 | 1.0000 | 0.9875
Band 11 | -0.2889 | -0.1565 | 0.3149 | 0.3973 | 0.6347 | 0.7300 | 0.6606 | -0.4422 | 0.9875 | 1.0000

In this example from a Landsat 8 scene, the best correlation of 0.98 is between bands 1 and 2 (both of which lie in the visible), and bands 10 and 11 in the thermal IR. Several bands have negative correlations (especially 9 and the two TIR bands), and some have essentially no correlation (bands 1 and 5). The nature of this matrix depends entirely on what is in the scene; there might be be no negative correlations.

If two bands were perfectly correlated they would be redundant; the recorded reflectance in one channel could be used to predict exactly the value in the other. Principal Components analysis can suggest a new set of bands that reduces data volume with little loss of information. When bands are highly correlated, the outliers are unusual and might have the most interest to determine what is different about them.

Correlation Matrix For A Different Scene (Rif of Morocco). Note there are no negative correlations
 | L8 Band 1 | L8 Band 2 | L8 Band 3 | L8 Band 4 | L8 Band 5 | L8 Band 6 | L8 Band 7 | L8 Band 9 | L8 Band 10 | L8 Band 11
L8 Band 1 | 1.0000 | 0.9799 | 0.8637 | 0.7910 | 0.6444 | 0.6496 | 0.6830 | 0.2110 | 0.4909 | 0.4638
L8 Band 2 | 0.9799 | 1.0000 | 0.9427 | 0.8835 | 0.7638 | 0.7650 | 0.7925 | 0.3041 | 0.6167 | 0.5966
L8 Band 3 | 0.8637 | 0.9427 | 1.0000 | 0.9792 | 0.9143 | 0.9141 | 0.9282 | 0.4366 | 0.7901 | 0.7786
L8 Band 4 | 0.7910 | 0.8835 | 0.9792 | 1.0000 | 0.9429 | 0.9632 | 0.9744 | 0.4677 | 0.8420 | 0.8289
L8 Band 5 | 0.6444 | 0.7638 | 0.9143 | 0.9429 | 1.0000 | 0.9651 | 0.9519 | 0.5164 | 0.8577 | 0.8458
L8 Band 6 | 0.6496 | 0.7650 | 0.9141 | 0.9632 | 0.9651 | 1.0000 | 0.9956 | 0.5146 | 0.8894 | 0.8752
L8 Band 7 | 0.6830 | 0.7925 | 0.9282 | 0.9744 | 0.9519 | 0.9956 | 1.0000 | 0.5025 | 0.8844 | 0.8713
L8 Band 9 | 0.2110 | 0.3041 | 0.4366 | 0.4677 | 0.5164 | 0.5146 | 0.5025 | 1.0000 | 0.5187 | 0.5235
L8 Band 10 | 0.4909 | 0.6167 | 0.7901 | 0.8420 | 0.8577 | 0.8894 | 0.8844 | 0.5187 | 1.0000 | 0.9957
L8 Band 11 | 0.4638 | 0.5966 | 0.7786 | 0.8289 | 0.8458 | 0.8752 | 0.8713 | 0.5235 | 0.9957 | 1.0000

The scattergrams below show only two bands, a concession to human abilities, while the Landsat scene has 11, several of which (coastal, cirrus, and thermal) might be less useful. For Hyperspectral imagery, there could be hundreds of bands, and the challenge is even greater because the correlation matrix overwhelms the user with its size.

Scatterplot of two bands from a scene in the Rif of Morocco with low correlation.

  • r: 0.3041
  • r²: 0.0925

There is a best fit line, but the predictions from it are not very good.

Scatterplot of two TIR bands from a scene in the Rif of Morocco with very high correlation

  • r: 0.9957
  • r²: 0.9915

The graph shows colors with concentrations of points, and most are in the center of the cloud of points.

Scatterplot of two bands from a scene in theAtlas of Morocco with negative correlation

  • r: -0.3386
  • r²: 0.1146

Scatterplot of two bands from a scene including Rabat, Morocco. The trend is not linear, and reflects the fact that the scene covers two very distinct regions: Atlantic Ocean with clouds, and the coastal plain.

  • r: -0.8351
  • r²: 0.6974

Last revision 12/29/2017


Electromagnetic Radiation

The blue curve shows the solar radiation at the top of the atmosphere. The yellow curve shows the radiation at the earth's surface, and is lower due to reflection, absorption, and scattering in the atmosphere on the way down. Several absorption bands, where the atmosphere absorbs preferentially, appear as downward spikes in the yellow curve. Each absorption band corresponds to a specific gas in the atmosphere.

The Stefan-Boltzmann law governs the radiation of energy by a black body: M = {emissivity} * T4. Emissivity is a constant (perhaps a function of wavelength), so the energy radiated increases as the 4th power of temperature. The sun, T=6000°K, emits vastly more energy than the earth at T=300°K.

The wavelength of maximum energy radiated by a body is given by Wien's displacement law: Lambda = A / T. A is a constant, so as temperature increase the wavelength decreases. The sun, T=6000°K, emits primarily in the visible range, while the earth, T=300°K, emits primarily in the thermal IR range.

The atmosphere greatly affects remote sensing, dictating what portions of the electromagnetic spectrum we use.

A body emits radiation as a result of its temperature. A surface reflects energy according to its albedo; with a high albedo, most of the energy is bounced off the surface without change. Low albedo surfaces absorb the energy, which will warm the object and eventually be reradiated at the longer wavelength characteristic of the body's temperature. Albedo, like emissivity, is a function of wavelength. The sum emits with a peak in the visible, which the earth absorbs and then reradiates with a peak in the thermal IR portion of the spectrum. This "greenhouse effect" heats the atmosphere from below, as the visible light from the sun passes through the atmosphere with little impact other than scattering, mostly in the blue wavelengths, while the atmosphere absorbs the thermal energy reradiated by the earth. Reflected energy requires an outside source, usually the sun, and thus works only during the day.

Remote sensing generally uses wavelengths in micometers (µm), and considers UV, visible, NIR, SWIR, TIR, and microwave. UV, VIS, and NIR are emitted by the sun and reflected to various degrees from the earth, based on the albedo at a particular frequency. The TIR and microwave are emitted by the earth. All of the energy wavelengths can be affected by the atmosphere, and limit what the satllite can detect.

Black body (emissivity = 1) radiation at various temperatures. These curves reflect the physics in Kirchhoff's law, Wien's displacement law, and The Stefan–Boltzmann law.

The sun, with a temperature of about 6000K, emits a lot of energy, with the peak in the visible portion of the spectrum. This energy, after passing through the atmosphere, reflects from the surface and can be measured by satellite sensors.

The earth, with a temperature of about 300K, emits much less energy, and its peak emission is diplaced to much long wavelengths in the thermal IR part of the spectrum, offscale in this diagram. Becasue of the small energy, the TIR bands on Landsat have much lower spatial resolution. At one time they came in 120 m pixels sizes, which made remote sensing software deal with the differences. As storage costs came down, the TIR bands were distributed with with same 30 m pixel size as the other bands, but they are noticeably more blurry than the other bands. Weather satellites, which seek very accurate temperature readings, have much larger pixel sizes, on the order of a kilometer, which is acceptable because of the small scale at which atomosphere and ocean operate.

Landsat 7 and 8 have a panchromatic band, with a much wider range of wavelengths collected. This collects much more energy, because there is a much larger area under the curve, and allows Landsat to have 15 m pixels for this band.

Figure from wikipedia.

Last revision 11/2/2021


Signal to Noise Ratio

The signal to noise ratio is important for the design of remote sensing systems. All electronic systems have inherent noise, and the sensor must collect enough electronic information ("Signal") so that it stands out from the random noise. More signal can be collected by:

  • Larger pixel size, integrating over a larger area on the ground.
  • Lower spectral resolution, or larger channel/band sizes. If you merge "colors" there will be more energy. Black and white (panchromatic) sensors collect more energy than color sensors which divide the same amount of light in multiple categories, each of which must be measured separately. This is larger spectral bandwidth.
  • Choosing shorter wavelengths, which provide more energy. The is more energy in the visible, than in the infrared, which in turn has more energy than the microwave.

Satellite band tradeoffs.

Last revision 2/5/2005


Satellite Resolution

Satellite resolution considers:

  • Spatial resolution: the size of the spots (pixels) that can be resolved. Spatial resolution is usually give as the side length of each pixel. For each pixel there will be one value of the energy reflected or emitted in each band. Smaller (better) resolution means more pixels, but less energy per pixel. Improving the spatial resolution by going to pixels half as big on a side will result in four times the number of pixels. With smaller pixels the swath width will be smaller, and the revisit time for the satellite will be longer. The smaller swath width, if the satellite only images at nadir, reduces the geometric distortions which increase if either the swath width is wide, or the sensor looks to the side.
  • Spectral resolution: the range of wavelengths imaged. This goes with the number of bands or channels; the smaller the size of each band, the less energy available but the better the estimate of the color of light being imaged.
  • Radiometric resolution: the accuracy with which the reflected or emitted energy can be measured. For visual images this does not have to be great, but for accurate measurement of things like temperature the radiometric resolution must be very good and able to resolve small differences in energy detected.
  • Temporal resolution: how often the location will be revisited. Getting high temporal resolution (frequent coverage) requires large swath widths and severe geometric distortion at the edges of coverage. This is a function of orbital mechanics, and angular field of view, and whether the sensor can be aimed away from nadir.

Last revision 5/31/2020


Satellite Ratio Images

The ratio between two bands can help to reveal relationships and remove the effects of differential lighting. Lighting can vary with the seasons, time of day, cloud conditions, or shadows so that absolute reflectances can give misleading results. A low reflectance could be due to a low albedo, low light, or shadows, and otherwise identical pixels would look very different.

The ratio between bands should give a more consistent relationship to the surface materials. Even in shadow, the ratio of reflectance should be similar to the case in bright sun.

On the Imagery analysis menu, Create difference index, band ratio, new band for satellite imagery.

TM band 3 (red). Note the difficulty in picking out the shoreline. This is the red ban; the blue band is even worse. | TM band 4 (NIR) over Band 3 (red): note the sharp differentiation between land and water.

Normalized satellite indexes

Last revision 9/9/2020


Satellite Reflectance Scattergrams

On Imagery analysis menu and Supervised classification

In a scattergram, the reflectance in one band is plotted against the reflectance in another band. If the bands are highly correlated, they will plot close to a straight line. If they are uncorrelated, the points will scatter in a wide fashion on the graph.

Relationship between the reflectance in two bands. Note that one band has a bimodal distribution that is not correlated with the reflectances in the other band. | Training sets from Supervised classification. The training points are shown, and to be in that category, another point must be in the rectangle of the same color. Note that the orange category has a lot of scatter, and many of the training points will not be correctly identified.

Last revision 3/2/2011


Satellite Statistics

Washington D.C. T.M. Scene - Nov 1982
       Band              Average  Std Dev   Min Max
====================================================
Band 1: 0.45-0.52  Blue    67.07     7.72    0  203
Band 2: 0.52-0.60  Green   27.79     5.33    0   96
Band 3: 0.63-0.69  Red     27.88     7.09    0  113
Band 4: 0.76-0.90  Near IR 35.27    14.92    0   93

Standard statistics can be applied to the pixel DNs within a scene. These include the average (mean), standard deviation, and the minimum and maximum DNs present in the scene. These statistics can be viewed graphically in histograms.

The minimum and maximum values present depend on whether any pixels within the scene reflect the energies that correspond to those DNs. For reflected energy this will depend on the highest and lowest albedos present in the area, and the insolation present. The highest DN requires high insolation with high albedo; the lowest DN could be some combination of low insolation and low albedo.

The standard deviation determines the range of DNs present in the scene. The larger the standard deviation, the more contrast.

Last revision 2/8/2003


Satellite Orbits

Remote sensing satellites use two types of orbits:

  • Geosynchronous (geostationary) satellites orbit 36,000 km over the equator and remain over a single spot. They always view the same region, and produce the movie "loops" seen on TV news. They cannot cover the high latitudes. They are used for weather forecasting, satellite TV, and communications. These satellites are not really stationary, but appear stationary when viewed from earth because their orbit at the same rate as the earth's daily rotation.
  • Polar orbiting satellites fly several hundred km over the earth's surface with a rotation period of about 110 minutes. They can cover most of the earth's surface except for regions immediately adjacent to the poles. They have an inclination which measures the angle at which they cross the equator and which determines how close they get to passing directly over the poles. They are also called sun synchronous satellites because they often try to maintain the same angle with respect to the sun and hence the illumination. The imaging satelliltes want some shadows, but not too many, so they generally time their orbits for mid morning collections, which can also minimize cloud formation. These satellites have characteristic orbital patterns, similar to those of the space shuttle or international space station (ISS). They will make about a dozen orbits every day, and at the equator each orbit will be about 3000 km apart. Almost all satellites used for remoted sensing and GIS work are polar orbiters.
The map shows the coverage of the TOPEX/Poseidon radar altimeter, but all polar orbiting satellites would show a similar geometry. TOPEX has a 10 day repeat cycle, with 127 compete orbits during the cycles. Each orbit has an ascending (odd numbers) and a descending (even numbers) portion, numbered from 1 to 254. The coverage of all 254 passes is indicated with the gray color, with the first eight highlighted.

The Sentinel-2 satellite has the same 10 day repeat pattern, but its inclination allows imaging higher latitudes.

Note the lack of coverage for high latitudes in both hemispheres, determined by the orbit's inclination.

The track width is imaged on each pass, and occurs on either side of the point directly beneath the satellite ("nadir")s. Greater track width allows greater coverage, but the geometric distortion at the edges of the track increases because of the earth's curvature. If track width is decreased for greater geometric precision, more orbits will be required for complete global coverage, which decreases the time between coverage.

Each orbit of a polar orbiting satellite will have an "ascending" pass when the satellite moves northward toward the equator and then into the northern hemisphere, and then a descending pass on the other side of the word when then satellite moves southward. Because of the geometry, one of the passes will occur during daylight hours and the other will be during the night because it occurs on the opposite side of the earth with a very short delay.

Typical orbits and oribital velocities. Rotational periods range from 100-110 minutes in sun-synchronous orbit, about 12 hours for the GPS constellation, and 24 hours for geostationary. (from Nasa)

Orientation of the satellite and sun over the course of the year. A sun-synchronous satellite like Landsat or Sentinel-2 always passes at the same time, so the position of the satellite with respect to the ground will be same same, with small differences from one corner of the scene to anothter, and potential small difference if the orbit is not precisely constant.

The solar illumination in the scene, and and the angle between the sun and the spacecraft, will change with the seasons. Both the elevation and azimuth to the sun change with the seasons. The most prominent effect will be greater shadows in winter.

This is an earth-centric view; in reality the sun position should be constant, and the earth's inclination changes how it faces the sun.

(https://www.usgs.gov/media/images/earth-s-axial-tilt-and-seasonal-effects)

Last revision 1/23/2023


Satellite Training and Classification

Supervised classification (contrasted with Unsupervised classification, or clustering ) starts with the user selecting training regions on the satellite image that represent a particular surface category like water, vegetation, or urban areas. Regions should be as homogenous as possible; mixed or boundary pixels will have a value intermediate between the two categories involved. The computer then calculates basic statistics for each pixel in the training region.

The table below shows the mean (top line) and standard deviation (bottom line) in each of 7 bands for three categories. Note that in this typical example the water has lower reflectances than the other categories, and lower standard deviations as well; water presents a very uniform reflector with low albedo. The vegetation has very high reflectances in the near and mid IR, bands 4, 5, and 7.

Category statistics, subset from DC TM tape
          Band     1     2     3     4     5     6     7
Class     n=
  Water   2790  58.5  21.2  16.9   8.9   5.5 105.6   3.3
                1.35  0.69  0.63  0.60  0.78  0.50  1.01
Vegetation 306  66.4  28.4  28.1  57.4  64.6 115.2  24.1
                4.17  2.35  4.30  7.01  9.66  1.07  4.81
  Urban    210  71.0  29.0  30.2  28.7  40.4 121.1  22.1
                8.36  4.49  5.21  6.34  9.55  1.74  6.03

The training sets can also be displayed on a scattergram with two of the bands. In the case below, the three categories have overlapping reflectance distributions in Band 2 but Band 4 clearly differentiates them.

While we can easily only display the reflectance relationships for two bands on a scattergram , and we can conceptualize the relationships on a three dimensional graph for three bands, the mathematical relationships extend to higher dimensionality. In the case of Landsat TM imagery we can use seven dimensional statistics to classify the scene. In seven dimensional space each category will occupy a particular region of space.

We can define each category by the region surrounding its mean for each band. The size of the region in each dimension (band) can be modeled by the variability or standard deviation for that band; we can pick an allowable number of standard deviations around the mean. The larger the region, the more points we will assign to the category.

To classify the scene, for every pixel in the scene we compute the distance in n dimensional space (n is the number of spectral bands used for the classification) to the mean of each of the categories using the Pythagorean theorem. The pixel belongs to the category to which it is closest, provided it lies within a specified number of standard deviations from the category mean. We can exclude some bands from the classification; thermal band 6 of the TM often does not add much to a classification because of its much lower spatial resolution.

Supervised Classification Directions

Unsupervised classification (clustering)

Last revision 12/13/2017


Satellite Contrast Methods

Set satellite contrast.

Contrast enhancement allows you to emphasize different aspects of the image. With no enhancement the image will typically contain very little contrast, because few scenes use the full dynamic range of the sensor. The sensor can detect a specific number of radiation intensities (typically 256), and most scenes will not have the brightest (whitest snow) or darkest (pitch black basalt flow) scenery. The contrast enhancement algorithm takes the 256 brightness levels sensed by the satellite and transforms them to 256 colors used on the display screen, hopefully using all 256 (or at least the full range from 0 to 255).

  • None: values in the data file translate directly into screen intensities. Unless the image has already been contrast enhanced, this will generally produce very low contrast.
  • Custom: lets user directly select the color mapping.
  • Histogram equalization: tries to have the same number of pixels in each color category, and the full range from 0 to 255 used. Some intermediate colors may not be used to compensate for colors that are over represented.
  • Linear stretch: assigns the lowest reflectance actually represented in the scene to 0, the highest to 255, and linearly resamples between those points. Not all 255 colors will be used, but the unused colors will be evenly spread and not just the very light and dark grays.
  • Tails, linear stretch: special case of the linear stretch in which a certain percentage of the pixels with high and low reflectances are assigned to white and black respectively. Since these "tails" typically cover a rather large range with low frequency of occurrence, a standard linear stretch would use a large number of colors for very few points, bunching up the image into the middle shades of gray. Clouds are one reason to use this contrast enhancement.
  • Range masking: set the values within a specified range to 255 (white), and those outside to 0 (black).
This diagram shows an example of a histogram equalization. Because this scene has no pixels with very low or with high reflectance values, it would have no black or very dark grays, and no whites or very light grays. All pixels would be medium shades of gray. To use the full range of the gray scale available, the stretch assigns the DNs actually present in the image to the full range of DNs available for the output device. This usually results in all possible output DNs not being used, but the eye usually will not notice this nearly as much as it would if the dark and light shades were not used. If 256 gray shades are available but the eye can only differentiate about 30, the best results can be achieved in the colors actually used are spread as far as possible across the available range.

There are options to modify the satellite histogram on the Modify menu of the map window.

This table shows the same scene in central Missouri from an NGA CIB publicly posted on the WWW. It shows how changing the contrast method can improve or harm the ability to interpret the scene. No single method of contrast enhancement works in all cases, and you must experiment to determine what works best in a given situation.

No contrast enhancement--uses values in the file without modification. With CIB this results in no bright whites because of the unique characteristics of the CIB color palette which only uses 216 colors in a look up table.
Histogram equalization. Attempts to have the same number of pixels in each shade of gray.
Linear stretch--black is assigned to the lowest reflectance in the image, and white to the highest. Values in between are interpolated linearly. If these values at either end are not typical, very few pixels may appear in either the white or black end and most pixels will be middle shades of gray.
Linear stretch, ignoring 1% of the pixels at each end of the distribution. These 1% are shown in white or black. Clouds are one reason to use this stretch, and the percentage to ignore depends on the number of clouds (which ideally should be close to zero, but in certain mission critical cases you might have to use whatever imagery could be acquired).

Increasing what is ignored at the high (cloud) end lightens the image. When clouds are present, this will have the largest impact.

Increasing what is ignred at the low end darkens the image.
Linear stretch, ignoring 5% of the pixels at each end of the distribution. These 5% are shown in white or black, which is apparent when comparing this image with the 1% tails. In this case the 5% is probably excessive, and a lot of the developed area in the upper right is saturated white with no detail.

Last revision 12/13/2017


Electromagnetic Spectrum

Remote sensing uses portions of the electromagnetic spectrum ("windows") which pass through the atmosphere. These include, from short to long wavelengths:

  • Ultraviolet (UV). few uses for most users of MICRODEM.
  • The visible (VIS): solar energy reflected by the earth's surface. Daylight only. Most energy is here, which may be why plants use it for photosynthesis and animals use it to see.
  • Near infrared (NIR): solar energy reflected by the earth's surface; really just an extension of the visible but humans cannot detect it. Daylight only.
  • Mid infrared (MIR): a mixture of reflected solar energy and emitted thermal energy from the earth. This portion of the spectrum differs greatly between day (mostly reflected) and night (all emitted).
  • Thermal infrared (TIR): heat energy emitted by the earth. Day or night.
  • Microwave: energy emitted by the earth with very low intensity. The radar portion of the spectrum. Day or night, can penetrate clouds with some wavelengths, and is reflected by water droplets in other wavelenghths used for Doppler weather radar.

There is more energy available at the shorter wavelengths, because that is where the sun emits its maximum amount of energy.

Wavelength | Typical Spatial Resolution
Visible/NIR | 250 m (Modis), 30 m (Landsat), 1m or less (commercial), ?? (spy)
TIR | 60 m (Landsat with low radiometric resolution) to 1 km (weather satellite with high radiometic resolution)
Passive microwave | 10 km

Between the windows the atmosphere (or particular gases within it) absorbs energy. For certain operations, "sounders" use these portions of the spectrum to probe the atmosphere.

Last revision 5/6/2020


Save DEM

Save DEM/Grid

Option on File menu when map has associated DEM.

  • Entire DEM, MD DEM: save entire DEM in MICRODEM format.
  • Current subset, MD DEM: save portion of DEM on current map area in MICRODEM format. Use this if you have a very large DEM, and want to use only a small portion of it. It will take up less memory and disk space, and load faster.
  • Pick corners, MD DEM: select the region to save using the keyboard
  • Portion of DEM with data
  • GeoTIFF: Missing values will have value defined for Nulls set for DTED export. The file will be saved with the same number of bits as the DEM. You can force the DEM to have the number of bits you desire with the Pick DEM bits option.
  • ASCII
    • ASCII XYZ
    • USGS ASCII:
    • ASCII Arc Grid: this has no information about the datum or projection.
  • DTED : export to NGA format.
  • BIL produces five files, .HDR, .PRJ, .BLW, .STX, and .BIL. Format used by USGS Seamless Server. Only available for geographic DEMs.
  • Grid float: produces three files, .HDR, .PRJ, and .FLT. Format used by USGS Seamless Server. Only available for geographic DEMs.
  • DBF, current map area: save DEM as dBase table. You can select a thinning factor to cut down on the size of the file, and max/min values to export. A thinning factor of 2 will give a file about 1/4 the size of the original. There will be limits on how large a grid this will work with.
  • CSV for VDATUM
  • GeoJSON-G: saved in ASCII GeoJSON, and then BZ2 compressed.
  • LAZ:
  • Caveat emptor: These are not tested regularly (meaning it has been years since they have been checked), and will not be improved.
    • 3d (OBJ):
    • 16-big BSQ
    • Surfer grid
    • PGM:
    • PNG
  • Reinterpolate DEM: resample entire DEM.
    • Reinterpolate, pick projection
    • Reinterpolate UK OS to UTM
    • Convert UKOS DEM
    • GDAL upsample (uses gdalwarp, and both bilinear and bicubic interpolation)
    • GDAL bilinar/bicubic to UTM
  • Pick DEM bits: select an appropriate mode, as the grid with be rounded and clipped to the specified range.
    • bytes: 0-255
    • integer 16: -32K to 32K,
    • word: 2 byte, 0 to 64K
    • floating point: 4 byte IEEE float
  • Create image to match DEM: creates a new map window with the same dimensions and projections as the DEM, and interpolates an image. This will not have any overlays and will not remember how to redraw itself; if you want that, save this image (File, Save map as image).

Last revision 5/15/2023


Save DEM Base Maps

Option removed

Last revision 7/15/2017


Save Image

Consider Copy to clipboard instead, if you will paste the image directly into another program and do not need it saved on your hard disk.

Generally there are three ways to save an image:

  • Toolbar icon
  • Right click popup menu option
  • File menu option

Last revision 4/7/2020


Saving Maps and Images

Save Maps and Images

There are several ways to save maps and imagery. Maps should allow all three methods; other graphics will implement at least one.

Complete all the data manipulation procedures and create all overlays on your map. Saving must be the FINAL step. Once the product is saved it becomes a raster image and ceases to be map data that can produce further products. It is not necessary to save or edit the image before you print.

Before exporting, you might want to insure you have a scalebar. Legends/marginalia after right clicking on the map, lets you put a scalebar on the map.

  1. Icons on map toolbar:
    • Print: This will print what you have in the window. You can do a quick print, a print preview & print to scale, or a prepare printer image. The last option will be the most versatile.
    • Save image to a file on hard disk, with a choice of formats (BMP, PNG, GIF, or JPEG ).
    • Edit image
      • Your computer's image editing program (Paintbrush, MS Imager, or something you have installed) will open with the image.
      • Starting with Windows XP, by default this will probably take you to a picture viewer from which you can jump to paint.
      • You can edit the image (for example add text) if you wish. Print your image if desired, although the scaling option in Paint are limited.
      • Save any changes you made and close your image editing program.
    • Copy to clipboard and then paste from the clipboard into any program you want, including Word Processor or PowerPoint. This may not appear on very small map windows.
      • Quick option exports just the map.
      • Deliberate labels the lat/long graticule around the map.
  2. File menu
  3. Right click popup menu

You can also use the "Print Scrn" key (upper right, near F12 on the keyboard) to capture the screen to the clipboards. You can then paste the entire screen into another program, such as Paint if you need to edit or subset what you want.

Last revision 5/29/2016


Save Map as Image

Options on the map's File menu.

  • As Geotiff, screen scale (color)
  • As Geotiff, screen scale (grayscale)
  • Quick map export to Google Earth
  • Deliberate export to Google Earth
  • With world file (least accurate choice)
  • Bitmap and XYZB bile

In all cases, this will be a "dumb picture". It shows exactly what is on screen, including grids, legends, and scale bars. The coordinates will be as accurate as possible with screen roundoff and resolution issues, but you should never attempt further analysis, subsetting, or resaving of the results.

This is not a good way to save maps for other programs when accuracy and further analysis are planned; for that you need to use a GIS format like Geotiff.

There are specific ways to save:

  • Save DEM, with a variety of formats possible, and option to reinterpolate.
  • Save satellite image

Last revision 4/5/2017


Save Satellite Image

This is now hidden; it works only in very special cases, and is not applicable for the current Landsat and Sentirnel-2 imagery.

Option on File menu when map has associated satellite image.

  • All bands as Geotiff at current resolution. Most imagery currently already comes with each band in its own file.
  • GDAL resample/thin, uses GDALwarp
  • GDAL translate, subset this scene to current map area--intended for a Geotiff with multiple bands in a single file, using GDALtranslate
  • GDAL warp, subset this scene to current map area--copies all bands, and the metadata, using GDALwarp, into a new subdirectory.
  • GDAL subsets all TIFFs in directory, putting in a new subdirectory. Primarily intended for Hyperion.

Last revision 2/7/2023


Projects

Open project: icon on main toolbar

File, Open submenu, Open Project menu choice.

Projects saved as a DBF file. Not all options are currently being saved; report any issues. The following are currently saved:

  • DEMs
  • Open images
  • Database

You can save the desktop (open data files), and then restore the maps you have created. Most overlays will be included on the restored maps. The program will not restore view windows such as perspective or line of sight.

  • A setting on the Program tab of the Options form lets you automatically reload your last project when the program opens.
  • The project will now also save the program settings.

Last revision 5/18/2020


New Page 1

Scale Bar

You can put a scale bar on a map in two maps:

  • Overlay option of the Windows Menu, which will place the scale bar in the lower left.
  • Prepare printer image from the Print button on the Map Window Toolbar which lets you put the scale bar anywhere.

The Units tab of the options form lets you select English or metric units for the scale bar.

Last revision 6/8/2006


Science Figures

Figures includes graphs, photographs, and maps. They have two purposes:

  1. Data exploration, so that you can determine what is going on.
  2. Communication, so that you can tell others what is going on. For this you want to combine figures as much as possible, put them on the same page if possible, and insure they have similar scales so the reader can easily compare them.

Figures are numbered, and referred to in the text by number. The figure should be placed following its first mention in the text. You can say "Figure 1 shows ......." or "The study area (Figure 1)......" but never something vague like "The map below ......." Figures have a caption, which goes below the figure, and which does not have to be a complete sentence. In particular you do not start the caption with "This map shows", but rather start with what the map shows like "Volcanoes of the world."

Unless you are absolutely required to, do not try to run text around the figures, and do not put multiple figures side by side unless you combine them into a single graphic in Paint. It is also easier to just write the caption on a line below the figure, and not try to use a text box in Word, as the text box is very resistant to showing revisions.

Figure 1. A: screen capture, entire screen B: screen capture, map window only C: map image only.

Figures should not include the window and controls in which they appear. Most software has commands to extract the actual figure, and either save it or copy to the clipboard. In MICRODEM (and many other programs) there will usually be entries on the file menu (sometimes View, like Google Earth), on a popup menu when right clicking on the graphic, or via an icon on the toolbar. You want as much of the space used for the figure to be used for actual content.

Recent versions of Windows have a Snip tool to cut just the part of the screen you want. This requires care, or you get a ghost strip from the screen below the window, or chop off part of the edges of map or graph.

If you cannot figure out another solution, you can use the Print Screen option, paste the entire screen into the Paint program, and then cut out the actual image. While in Paint you can annotate or mark up the figure. If you want the figure to have three maps (like shown in Figure 1), assemble them in Paint, and add the "A", "B", "C". This way the figure always stays together, with the correct scaling, and you can use it in both Word and PowerPoint.

If you are comparing two or more maps, try if at all possible to get them on the same page. If necessary, it is easy to make a page landscape for maps in the Word Processor. In Word

  • Layout, Breaks, Section Breaks, Next page, before and after the page on which you want the figure.
  • On the page with the figure, Layout, Orientation, Landscape. You should be able to see the change onscreen.
  • The change will also appear if you save the document as a PDF, and the readers will not have to print or turn their head to see the figure on screen.

Never stretch a figure to distort the aspect ratio, particularly for a map or a picture of your smiling face. After working to minimize distortion by picking an appropriate projection, you do not want to ruin the map by stretching it to fit into an arbitrary space in Word or Powerpoint. There are other solutions, and if space filling is important, you need to change the map coverage area before you export it.

The convention in most scientific writing is that the figure does not have a title (that is what the caption is for). Thus you should not attempt to put one in. If do you need it, say for a PowerPoint presentation, put it in as the slide title there.

For a map, you should consider putting in a "axis labels", which are technically called the grid or graticule. MICRODEM can do this. Unless the map covers a large area and the scale varies, your maps should have a scalebar.

You are quite likely to have to increase the size of the fonts on the legends and axes, to make them legible, because the default sizes may well be too small.

Creating tables in MICRODEM for reports.

Map quality improvements in MICRODEM

Last revision 12/4/2019


Sea Floor Ages

This data set (Muller and others, 2008) interprets the ages of the sea floor (ocean crust) based on marine magnetic anomalies, and plate motion models. It behaves like a DEM, but as you roam on it you get the age of the sea floor. Continental crust has an arbitrary age of 300 Ma, and there are several regions of missing data where the magnetic data does not produce reliable age estimates. There is a small area with the oldest crust in the Mediterrean Sea, which is a very complex region geologically. Otherwise the oldest oceanic crust is approaching subductions zones in the western Pacifiy.

Predicted ages in millions of years, whih is what is stored in the grid.
Predicted ages by period
Predicted ages by epoch

Color boundaries are isochrons, or lines of constant age. They are parallel with the orientation of the ridge that created them, offset along transform faults.

Select the display by right clicking on the map, and picking "Geologic ages". The coloring by period and epoch uses a database in c:\mapdata\database.

Data source, citation, and download.

Last revision 10/5/2018


Sediment Thickness

  • Button on Main Program Toolbar
  • Thicknesses range to 18000 m, but only at very specific locations
  • To change color scale
    • Right click on the map
    • Pick Elevation colors
    • Option 1
      • Pick z Range
      • Set the maximum value to something reasonable (a few km in most cases) so you can actually see variations
    • Option 2, change to a log scale, using checkbox on the form.

This map does an excellent job showing the differences between active and passive continental margins, and the locations of major rivers with huge deltas and submarine fans.

Data source, citation, and download.

Last revision 12/31/2018


Sentinel 2 Imagery

This is a European Space Agency (ESA) satellite. Data is available or Copernicus Open Access Hub (Directions) . There are two satellites on opposite sides of the earth, and each revisits the same locations every 10 days, so one will visit every 5 days. Imagery is acquired at 1030 local time, which minimizes the effect of shadows while also minimizing potential cloud cover. This is the close to the same time as Landsat and SPOT-5, allowing integration with their archive for time-series studies.

First data in 2015.

Multiple resolutions complicates intelligent display (unlike Landsat, which provides the TIR bands at the same resolution, with only the Pan band a different size)

Landsat versus Sentinel-2

Bands and resolution

To identify the desired tile(s)

  • https://sentinel.esa.int/web/sentinel/missions/sentinel-2/news/-/asset_publisher/Ac0d/content/sentinel-2-level-1c-product-tiling-grid-released has a KML file
  • Square tiles, with data right out to the edge in many cases. The tile only contains data from a single satellite pass, so the coverage edges will lead to incomplete tiles. The tile name uses MGRS, and has a T for tile, two digits for UTM zone, a letter for the latitude band, and two letters for the 100K UTM square.
  • Because the tile names use MGRS, you can use NGA shapefiles with 100K MGRS names to see tile outlines.
  • Satellite passes often do not completely fill a tile, and it will have voids that were not imaged with that pass

Complex data structure, JP2 file format; the imagery is buried 4 levels down in directories with very long names. You should use folder selection to pick scenes.

  • L1C_T32NNF_A009285_20170402T093844\--top level directory, with the key information
    • L1C: Multispectal imagery, level 1C for this image
    • T32NNF--tile number in MGRS
    • 20170402T093844--date acquired Year-Month-Day-Hours-Minutes-Sconds
  • S2A_MSIL1C_20170402T093031_N0204_R136_T32NNF_20170402T093844.SAFE\
    • S2A: Sentinel-2, the A satellite (A/B currently flying)
    • MSIL1C: Multispectal imagery, level 1C for this image
    • 20170402T093031: date imagery acquired, date acquired Year-Month-Day-Hours-Minutes-Sconds
    • N0204--baseline processing number
    • R136: Relative orbit number, 1-143; there are all descending orbits in sequential order, so the next one will be displaced quite a distance to the west
    • T32NNF--tile number in MGRS
    • 20170402T093844
    • SAFE\--Sare Archive Format for Europe. Some software wants you to load this directory; which may decompress under another directory with some of the same information in a different format
  • GRANULE\L1C_T32NNF_A009285_20170402T093844\
  • IMG_DATA\
  • T32NNF_20170402T093031_B08.jp2

Level

  • 1C: top of atmosphere reflectance
  • 2A: bottom of atmosphere reflectance, with three folders with the 10, 20, and 60 m data. This has an addtional folder after IMG_DATA with the resoluution (R10m, R20m, and R60m), and the band files have "_10m" after "_B02". Only the 10 m folder has Band 8; the others have Band 8A.

Download available from Copernicus Open Access Hub

MICRODEM will use GDAL to convert the JP2 files to Geotiff . There is an option on the Imagery tab of the options form on whether to keep the JP2 files (needed if you want to use ACOLITE) .

  • The L1C tile JP2 files for a scene take about 800 MB, but require about a minute with GDAL before they can be used by MICRODEM.
  • The Geotiffs take about 1.6 GB.

Working with Sentinel-2 in MICRODEM

  • Two ways to use in MICRODEM so you can combine bands and do analysis.
    • If the program does not recognize a Sentinel-2 image, put the data in a directory with the word "SENTINEL" somewhere in the path.
    • Insure you have GDAL to convert the JPEG2000 files
    • If you have a lot of scenes, you can do a batch conversion and take a walk while they process. File, Tools, Sentinel 2 data prep. Pick a directory, and all images in the first level of subdirectories will be extracted.
  • File, Open submenu, Open Landsat/Sentinel-2 multiband image: particularly good for Sentinel-2 which buries the image files many directories deep. Will let you pick the high level directory, GDAL convert the bands from JP2 to Geotiff. This will take some time for the conversion.

Metadata:

References

  • https://sentinel.esa.int/web/sentinel/missions/sentinel-2
  • https://sentinel.esa.int/web/sentinel/user-guides/sentinel-2-msi/revisit-coverage
  • https://sentinel.esa.int/documents/247904/685211/Sentinel-2_User_Handbook pages 48-49 describe the process for creating Level 2 data (surface reflectance)

Using in QGIS:

  • https://medium.com/sentinel-hub/control-sentinel-hub-from-within-qgis-2a83eb7f13db
  • We could not (some time ago) get the plugin to work in the version of QGIS from OSGeo4W, but did in the build from QGIS. It wants to download data from the web.

Last revision 11/25/2022


Sentinel 2 Imagery from USGS

No longer available from USGS, and you get data from Copernicus Open Access Hub

Last revision 10/6/2022


Sentinel-2 Hub

sentinelhub Playground

https://apps.sentinel-hub.com/sentinel-playground/?

  • Top right to pick the satellite. If you do not pick a satellite, you get an Open Street map which is easier to navigate
    • Sentinel-2 Products (10 m resolution in VIS and NIR)
      • Level-1C: Top-of-atmosphere reflectances in cartographic geometry (combined UTM projection and WGS84 ellipsoid). Tiles of 100 km2 each one with a size of approximately 500 MB. These products are radiometrically and geometrically corrected (including orthorectification).
      • Level-2A: Surface reflectances in cartographic geometry. This product is considered as the mission Analysis Ready Data (ARD), the product that can be used directly in downstream applications without the need for further processing.
    • Landsat 8 only, 30 m resolution:
      • Does not show the thermal bands, and only has data since 2015 (USGS has imagery back to the early 1980's).
    • Modis (much better options at https://wvs.earthdata.nasa.gov/)
    • DEM (not particularly useful)
    • Sentinel-1--radar, very colorful. The options relate to vertical and horizontal polarization sent and returned. Some materials change the polarization of the energy when it reflects. This is higher resolution that Sentinel-2, has more frequent revists, and penetrates clouds. If you want to do analysis, use SNAP
      • Download at: https://step.esa.int/main/
      • https://senbox.atlassian.net/wiki/spaces/SNAP/pages/1898053693/SNAP+FAQs
  • Large number of band combinations, and the ability to make your own with the top "Custom" choice, either as a choice or three bands, or through a map algebra formula. More indexes for Sentinel-2 compared to Landsat 8
  • The viewer has a scale bar in the lower right corner. You must do a snip or screen capture to include it..
  • With Sentinel-2 level 2-A, there is a scene classification (but no legend)
  • The vegetation index is NDVI , but the color scale is not particularly helpful
  • Cost to download data, so use USGS Landsat Look, which has less online capability, but if you know the tile and date you want it works well) if you want to do detailed analysis
  • Generate, and then download an unregistered JPEG, which will not have the scale bar. With care you can get multiple dates covering the same area. You cannot do any GIS operations with this image.
  • Scale bar
  • Pixels | Meters | Pixel size
    65 | 100 | 1.5
    90 | 300 | 3.3
    79 | 500 | 6.3
    80 | 1000 | 12.5

Also look at: https://apps.sentinel-hub.com/eo-browser/?

Other Online satellite data viewing

Last revision 7/3/2023


Sentinel 2 Metadata

Metadata, in two useful files:

  • MTD_TL.xml has grids with the solar azimuth and zenith, and viewing incidence angle every 5000 m, and a mean values.

<Mean_Sun_Angle>
<ZENITH_ANGLE unit="deg">33.0157351481389</ZENITH_ANGLE>
<AZIMUTH_ANGLE unit="deg">148.997931146886</AZIMUTH_ANGLE>
</Mean_Sun_Angle>

<Mean_Viewing_Incidence_Angle bandId="8">
<ZENITH_ANGLE unit="deg">4.76301561136477</ZENITH_ANGLE>
<AZIMUTH_ANGLE unit="deg">101.615059721743</AZIMUTH_ANGLE>
</Mean_Viewing_Incidence_Angle>

MTD_MSIL1C.xml
Time pass starts <DATATAKE_SENSING_START>2017-09-01T18:29:21.026Z</DATATAKE_SENSING_START>
Solar irradianace (power per unit area). This varies by band, and time of year.

<Solar_Irradiance_List>
<SOLAR_IRRADIANCE bandId="0" unit="W/m²/µm">1913.57</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="1" unit="W/m²/µm">1941.63</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="2" unit="W/m²/µm">1822.61</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="3" unit="W/m²/µm">1512.79</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="4" unit="W/m²/µm">1425.56</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="5" unit="W/m²/µm">1288.32</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="6" unit="W/m²/µm">1163.19</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="7" unit="W/m²/µm">1036.39</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="8" unit="W/m²/µm">955.19</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="9" unit="W/m²/µm">813.04</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="10" unit="W/m²/µm">367.15</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="11" unit="W/m²/µm">245.59</SOLAR_IRRADIANCE>
<SOLAR_IRRADIANCE bandId="12" unit="W/m²/µm">85.25</SOLAR_IRRADIANCE>
</Solar_Irradiance_List>

Spectral response of the sensor for each band

<Spectral_Information bandId="1" physicalBand="B2">
<RESOLUTION>10</RESOLUTION>
<Wavelength>
<MIN unit="nm">440</MIN>
<MAX unit="nm">538</MAX>
<CENTRAL unit="nm">496.6</CENTRAL>
</Wavelength>
<Spectral_Response>
<STEP unit="nm">1</STEP>
<VALUES>0.00119988 0.00201397 0.00258793 0.00271734 0.00271858 0.002053 0.00324912 0.0021993 0.00277292 0.00311194 0.00234723 0.00374245 0.0028408 0.00304821 0.00604983 0.00894596 0.01953246 0.03875845 0.08374839 0.17565347 0.29129289 0.36347223 0.3811347 0.38419864 0.39176673 0.39862405 0.40894049 0.42354641 0.4485657 0.4811418 0.50498541 0.52293008 0.52892822 0.53366 0.53242234 0.53311303 0.53655971 0.54232711 0.55667534 0.57791322 0.60145975 0.6156357 0.62060573 0.61270938 0.59482968 0.57420278 0.55609253 0.5440646 0.54004284 0.5517318 0.56998769 0.59684728 0.63205242 0.67244298 0.71093613 0.73748447 0.75709994 0.76697185 0.77176039 0.77883444 0.78683055 0.79421954 0.80824012 0.82348832 0.83743831 0.84485726 0.84716089 0.83974417 0.82502148 0.8036499 0.78544282 0.76973497 0.7598602 0.76337273 0.77981251 0.80847605 0.84947272 0.90112566 0.95456662 0.98736039 1 0.98609155 0.90770989 0.72315884 0.47814326 0.28641509 0.16955089 0.10257285 0.06498784 0.04106167 0.02503855 0.01307564 0.00257814 0.00108051 0.00030609 0.00043924 0.00044121</VALUES>
</Spectral_Response>
</Spectral_Information>
Cloud coverage <Cloud_Coverage_Assessment>0.6456</Cloud_Coverage_Assessment>

MICRODEM will open both files on the Info menu.

Last revision 6/2/2020


Setting Satellite Contrast

Band on map tool bar

Contrast enhancement shifts the colors used to best show details that you are interested in.

Set contrast method (listed and described here).
  • Tail size only applies to two methods with linear stretch and excluding of the tails
  • Enhancement: graphs showing the effect of the current enhanceent
  • The preview image shows a quick look at the method applied to the center of the current image.
  • Force screen redraw keeps this form if you want to see full effects before leaving the form
  • Quick redraw will redraw the entire map when a change in parameters is made; otherwise just the preview window will redraw.
  • Ignore 0 for histograms: this is usually the missing data flag, for voids with no data such as thr triangular gaps with Landsat scenes.

Band: select multiband or single band on the first tab.

Examples of contrast.

Last revision 6/8/2020


Grid Size Considerations

When gridding point clouds you must pick a grid size. It will be a compromise among:

  • Getting the best possible detail, which requires small grid spacing
  • Avoiding voids in the grid, which limits how small the grid spacing can be
  • Minimizing the data storage (file size) and grid manipulation (processing time) costs.

The largest grid you can get is limited by MICRODEM, but your computer is likely to complain before you reach that limit. You can get it with Help, Program limits.

With modern lidar, it is probable that you will have more than one point per grid cell, even with 1 m grid spacing. This was not true in the past, when a rule of thumb for picking the grid size was one data point per grid cell. With one point per grid cell, you have little control over the surface. With more grid points per cell, it is easy to get a DTM/DSM/NVS/CHM, or all of them.

Create grids

Last revision 10/30/2019


Set Percentage Data Shown

Leftmost control on the map toolbar for raster data.

Selected percentage will be the fraction of data points shown on the map. Greater than 100% means pixels will be shown more than once.

% button to the right lets you type in any value.

Last revision 2/14/2016


Set z units

If the program has the wrong units for the z values, you can set them on the edit menu or by edits to the DEM Header. If you change the units on the edit menu, Save DEM will be done automatically.
  • Undefined
  • Integer codes (which will not interpolate values, but show the closest value in the data grid)
  • Various land cover data sets
  • Elevation diffference
  • Generic difference

Last revision 10/13/2019


Program Setup

MICRODEM was developed and tested for English language usage only. Set your regional settings to English or live with the consequences. We have no funding for language translations.

Download and installation instructions

You should Update MICRODEM program immediately after installion unless it has a very recent build date.

You will be asked about GDAL the first time you run the program. If you do not locate it, the program should not ask you again, but you will not be able to open some formats.

Settings are stored in an INI file. Nothing is written to the Windows registry.

Database access.

Map data files should go into subdirectories under \Mapdata, preferably in a map library database. Mapdata should be in the root directory of whatever drive you want to use. This may not be required, but you might encounter problems if you want to change it, and we are unlikely to try to debug those issues. Even if you will access data from a CD-ROM or a network drive, these Mapdata directories must be available with write permission:

  • x:\MapData\DEMS for DEMs.
  • x:\MapData\SATS for satellite imagery.
  • x:\MapData\temp for temporary files.

Basics of running MICRODEM.

Command line parameters

Files required to run program

Help file

Display problems

Known limitations

Last revision 1/6/2022


Census Summary File 1

Summary File 1 from the US Census presents counts and information [age, sex, race, Hispanic/Latino origin, household relationship, whether residence is owned or rented] collected from all people and housing units.

There are two ways to get the 2010 Census data:

  • Shapefiles with demographic data at https://www.census.gov/geo/maps-data/data/tiger-data.html. Make sure you check down on the page to get the Shapefiles instead of the Geodatabases. All the files are national (some are huge), and you pick the geographic level you want. This will be much easier than the second option.
    • The download includes an Excel metadata file, with the names of the fields and a description.
    • You will want to rename the fields to something more meaningful.
    • You can subset the large shapefiles, Filtering on the Geoid field, whose first two digits are the State FIPS code, and first five are the state/county FIPS code.
  • Use new American FactFinder web site at http://factfinder2.census.gov/faces/nav/jsf/pages/searchresults.xhtml?refresh=t . If you get the data here, you will have to Join the database to a file with the geometry.

Last revision 8/10/2014


3D shapefile profile

You must have a 3D area or line shapefile.

Double click on record in the data base and then pick the 3D shapefile profile options.

The graph will be elevation from the 3D coordinates in the shapefile, versus distance within the record.

Last revision 2/15/2009


Shapefile Digitizing

To digitize and then display a shapefile :

  • Open map display window.
  • 1:1 map view (best resolution view of the data). Accuracy of the digitizing is limited by the pixel size on screen, so insure you have the image as large as possible.
  • If you want to control the point symbol used for digitizing points, set "Default Points" option on Database tab of Options form
  • Annotate Map icon on map toolbar , to activate popup menu.
  • Pick type of shape file. The most common choices are points, line, or area/polygon, which are the basic shapefile types. The others are for specialized options.
    • points: you must enter a name for each point
    • track: points, but allows you skip entering attributes to digitize faster.
    • line
    • area/polygon
    • Outline map area: there will be points every 25 pixels (current map area) around this map. This would be most appropriate if the map boundary does not align with parallels and meridians, say for an Albers or Lambert conic projection.
    • Map bounding box: the shapefile will have 5 points, just the corners of the map in geographic coordinates.
    • XYZ points shapefile
    • Points along survey lines: pick line end points, and the point spacing, and the program will create a points shape file with points along the line. This works if you have long straight line segments, but need closely spaced points (say to add elevations from a DEM to a road line segment).
  • Pick name for shapefile .
  • Depending on the choice set for quick definitions set on Database tab of options form.
    • Two fields will the automatically defined (NAME and REC_ID) for the DBF file; you can add others later.
    • Define the database base table fields to be used with shapefile, and then annotate the features as you digitize them.
  • Digitizing can use two modes, either point (double click to set each point) or stream mode (drag with the mouse down). Change modes by right clicking while digitizing.
    • Digitize a feature. For the line and area, end digitizing by right clicking and picking to end from the popup menu. This will close the polygon by snapping back to the first point.
    • Enter values into database table . The name is required.
    • Continue digitizing until all features are completed, when you should pick the option to close the record and the database. Until then you continue digitizing after each record.
    • If you select another option in the middle of digitizing, you may lose your work.
  • File (other than map outlines) will automatically open when you finish digitizing (as if you used Database button), and show database display table . You can add fields and fill them .

The accuracy with which you can digitize depends on two factors:

  1. Pixel size of map on screen. This is the best resolution you can obtain, unless you use point verification with the digitization.
  2. Your own accuracy in selecting points. Fat fingers on the touchpad are less precise than a mouse.

Excel to CSV to dBase in MICRODEM can create point shapefiles.

You can later Merge shapefiles.

Last revision 1/28/2023


Shape File Grouping

Create a shape file grouping on the Database menu: .

  • When creating the grouping, start with the first files you want plotted last (later files will overlay and overprint those plotted for you); the program will automatically create the order fields for you.
  • The grouping files are stored in c:\mapdata\database\groups\.

This creates a dBase table with the shape files to plot, the order of plotting, and the symbology to be used.

  • Order of plotting goes from 0 to 9, so the 9's will be drawn last (on top). If there are multiple files with the same number, they will be drawn in the order in which they appear in the grouping file.
  • The "PLOT" field must have a "Y" to plot, so you can easily turn layers on and off.
  • You can then either have the plot from a specified symbology, or use a numeric field for the coloring.

Plot grouping.

To adjust these parameters, select the Modify, Shape File Grouping menu choice. This will open the dBase table which indexes the files.

  • Right clicking on an entry lets you modify the entries, or change symbology.
  • The "PLOT" field must have a "Y" to plot.
  • The "ORDER" field controls the plotting order.
  • If the "FIELD" field is populated, it must be a numeric field in the database used to color code the plot.

There is a FILTER field and a PIXEL_SIZE field in the data base with the grouping. You can apply a filter before plotting a shape file, and set a map pixel size beyond which the file will not be plotted--if the pixel size is bigger than specified, plotting will not occur..

Example plot highways in the US.

Change display for each database:

  • Multiple database legend.
  • Symbol and color selection on the database table form

Adjust the display by changing the grouping file:

  • "Load grouping" from the database menu.
  • Modify the display options, using the
    • "Display options" from database menu with the option to change all the files.
    • Display modification for each file from the table.
  • "Update grouping" from the database menu .

Last revision 10/25/2011


Shapefile Overview

The Shapefile is an industry standard introduced by ESRI which published the Shapefile specs a long time ago. The Library of Congress has a detailed description of the format. Almost all of the vector GIS data available on the web is in shapefile format.

A shapefile actually consists of at least three binary files, and you must keep all three files together.

The SHP file, with the coordinates. These are stored in binary format, but can be displayed in human readable text. The SHP file also has a header for the entire layer, and a header for each record.

The SHX file, an index. These are stored in binary format. This contains:

  • File header, identical to that in the SHP file.
  • Bounding box for each record
  • The offset to the start of each record, its length, and the number of parts and points.
The DBF file, a dBase file with the database table containing record attributes. This links to the shp and shx files implicitly by the implicit record number in the DBF file. This is a very old format, and databases have gotten much better, but all GIS software likes it, and no alternative has anywhere near the acceptance.

There may be additional files, but they are not standard and not documented in the ESRI specs. MICRODEM does not generally use these additional files. Because MICRODEM will only use shapefiles in Lat/Long coordinates in WGS84, it is not necessary to use the extra files. One of the extra files is the projection (PRJ file, with the projection and horizontal datum). The absence of required projection information is the biggest flaw in the shapefile specification. If you need to make a PRJ file, you can use http://spatialreference.org/

Shapefiles in MICRODEM must be lat/long on WGS84.

You should consider SHZ format to avoid separating the parts of a shapefile.

Recover shapefile geometry.

ESRI has a new proprietary format for data, which is fine if you drink the cool aid and only want to live in the ESRI ecosystem.

Last revision 6/11/2020


Shapefile Areas

Edit button, Field arithmetic, Geometry, Area of each record will compute the area in square kilometers or square meters.

You might want to look at the database, to see if an area field already exists.

This is part of a Census Bureau shapefile for tracts.

  • ALAND10 and AWATER10 are the areas, in square meters, of the land and water in the tract in 2010. Sometimes these will be ALAND and AWATER. This was computed by the Census Bureau, and used information not present in the shape file to determine the proportions of land and water in the record. (Edit, Field arithmetic, Multiply field by constant, or Divide field by constant will let you create a new field with more understandable units; operate on a copy of the field), or there is an option to automatically create it and convert to square kilometers.
  • If you use the ALAND10 field from the shapefiles, you might want to convert the square meters to square kilometers first (Edit, Field arithmetic, Multiply field by constant, or Divide field by constant). You should probably operate on a copy of the field.
  • Field SHAPE_AREA is an ArcGIS field that has unclear units (degrees and square degrees), and the value does not match that from either the Census Bureau or MICRODEM, and should probably not be used.
  • AREA_KM2 was computed by MICRODEM. It has no way to know about how much of the record is water. When there is no water, its values are very close to ALAND10; otherwise it is the sum of ALAND10 and AWATER10.
  • ALAND_KM2 and AWATER_KM2 were computed by MICRODEM in two steps: Edit, Field arithmetic, Copy numeric field to make a new field, and then Edit, Field arithmetic, Multiply field by constant (or divide by constant).

If you want to compute something like population density, you will probably want the area of just the land, and so should use ALAND_KM2.

Last revision 2/6/2017


Shapefiles in MICRODEM

The shapefile (actually a collection of several actual files) is a de facto standard for vector data.

You will see the DBF file in the Table display window and can easily get the impression that it is all the program needs. This is definitely not true for line or area files, for which the program must use all three files for map display and attribute determination. For a point shapefile, MICRODEM stores the Lat/long in the DBF file and does not use the SHP and SHX files. You can recreate those files if necessary on the Report button of the database table form.

MICRODEM will only use shapefiles in Lat/Long coordinates, and they must be in WGS84. If they are not in Lat/Long coordinates, you will have to convert them. This should now be automatic if you have GDAL installed. If you need to reproject shapefiles to lat/long or WGS , you must get the required projection information from the metadata with your shape files.

Some 3D shapefiles have z coordinates in the file, and some additional operations are possible with them.

For line and area data sets, you must be careful not to add or delete records in the DBF file since the linkage between files is based on record position.

You can display the shapefile from the map window toolbar as an overlay on any open map:

  • Overlay vector data (which does not open the Table display window)
  • Database (which opens the Table display window)

You can create a map with the shapefile setting the base area with:

  • Open shapefile on main program toolbar, or the File, Open submenu menu.

To get coordinates for shapefile features:

  1. Database on the map window toolbar.
  2. On the Table display window, Double click on the record, and pick "Record coordinates"

Operations with shape files:

  • Convert point shapefile into a line shapefile
  • Edit a shapefile's dbase table.

Last revision 11/25/2019


SHZ Compressed Shapefile

Option on Report popup from the database table form.

  • Compress shapefile: creates a zip file (with SHZ extension) with the shapefile's 3 files and the MICRODEM specific symbology in the INI file) and the linked table if there is a join. This keeps the files together to send to someone else, compresses the data, and lets you email without having to PIZ the file. You can Uncompress with MICRODEM or just open it as a database. The SHZ file name will have the current date and time, so you can track edits to a database. You can unzip with other software if you rename the file with the normal ZIP extension. MICRODEM can open a SHZ file and treat it just like an SHP file, but you are responsbile for the housekeeping if you make edits to the file.
  • The SHZ file will be in the directory with the shapefile.
  • If you send someone an incomplete "shapefile"
    • with just the SHP file, they can recover the shapefile geometry with various tools, but will not be able to get the DBF database.
    • with just the DBF, they lose all the map information unless it is a point shapefile with the coordinates in the database (no luck if it is a line or polygon)
    • with just the SHX, they lose everything (except the bounding box of the shapefile)

Last revision 1/28/2022


Sidescan Sonar Display and Manip

Sidescan Sonar Display and Manipulation May not longer be supported

Enable sidescan operation on Menu choices tab of Options menu choice.

Insure that you have sidescan data in the correct location and format.

  • You can currently only use an XTF file. We have mostly tested with EdgeTech data, but are now using a Klein.

Open a base map of any type.

icon on the map toolbar to open multiple sidescan records using the file open dialog.

The program will create two databases:

  • Ping record
  • Frequency of the return values
.
 Database for a sidescan survey line.

This file has about 100 pings per second (recorded only to the nearest second), and a total of 106,236 pings.

Each ping has a number and time, the slant range used, and the fish heading and depth.
Sidescan image window
Sidescan image toolbar icons
  • Save image to file
  • Copy image to clipboard
  • 1:1 image
  • Subset image
  • Full image extent
  • Decrease contrast
  • Increase contrast
  • Info on record
  • Measure distance
  • Roaming gives you current coordinates and ping number on the status bar.
  • Right click on sidescan image to get a popup menu.
  • Subset sidescan files
  • File Menu:
    • Subset: write out a subset of current sidescan file. Enter the first and last records (pings); pick these first using the mouse and reading the display at the bottom of the map.

Sidescan results, from the metadata in the XTF file:

  • Start and end times, and the duration of the record
  • Range of the sidescan in meters, in each channel (left and right)
  • Track length from the GPS, assuming it is straight and connecting the end points, and computed along the track
  • Calculated ship speed from the GPS
  • Calculated ship track from the GPS, and whether or not it is displayed reversed
  • Pings and samples, the thinning factor to display them, and the pixel size on screen
  • Corner coordinates of the image

Advanced Export sidescan image option

Sidescan indexing

Other sidescan formats:

  • Import, Satellite has some very limited capability for MST format
  • Oceanographic data has limited capabilities for:
    • 81s data file
    • MST data files.

Last revision 4/21/2017


Sidescan index files

Sidescan Index Files were Outdated


Sidescan Display Options

Right click on sidescan image, display options, lets you:

Sidescan display options:
  • Frequency: pick the high or low frequency (merge is not yet working) if your system collects to two frequencies.
  • Scaled grid can be overlaid. You can pick the color, and spacing in the along track and across track directions.
  • First Record, Last Record: only show some of the pings in the file. Most appropriate if the data includes very long files; many surveys instead break the files into short segments.
  • Thinning makes the data fit better on screen, but does not show all the data.
    • Across Track Thinning: subsample each ping.
    • Along Track Thinning: show only some pings.
    • Provides full resolution view with no thinning, which can be a large image and might not work.
  • Reverse image direction: by default the image starts at the bottom of the screen, and goes toward the top in the direction of the vessel. If you want to compare tracks with the vessel moving in opposite directions, reverse the image direction in one.
  • Reverse grayscale: by default strong returns are in white and shadows in black. You can reverse this.
  • Custom color palette, which will be the gold displayed currently favored for most sidescan work.
  • Low/High cuttoff lets you pick the values below which the display will be black, and above which it will be white. There will be a linear stretch between these for the 255 shades in the color palette.

Grayscale (strong returns in white). Dark area to the left is the wate column. | Grayscale reversed (strong returns in black) | Custom color scale. There must be a 256 color scale in the file "color_palettes.dbf". | Custom color scale, reversed.

Last revision 4/16/2012


Subset Sidescan

Sidecan data on turns has severe anomalies, and you will have the best interpretation results on straight paths.

Getting a straight path segment

  • Method 1
    • Display the image, at a convenient scale
    • Have the map open as well, and notice where the straight line segments are
    • Right click on the image, and pick (you can do one, or both sequentially)
      • Clip image above this point
      • Clip image below this point
    • Right click on image, and pick "Export current subset (XTF)"
    • Give the file a name
  • Method 2
    • Display the image, as a convenient scale
    • Have the map open as well, and notice where the straight line segments are
    • Move the mouse over the screen, and note the ping numbers on the status bar at the bottom of the main program window. You need the start and end pings.
    • File, Subset
    • Pick the starting and ending records
    • Give the file a name
  • Method 3
    • Display the image, as a convenient scale
    • Have the map open as well, and notice where the straight line segments are
    • Open the database with ping locations
    • ID the locations on the map where you want to make the cuts, and note the ping numbers
    • File, Subset
    • Pick the starting and ending records
    • Give the file a name

Last revision 4/21/2017


Simple Flooding Model

Simple elevation: if the point is below the water level, it floods. This is appropriate if you think the water will come through seawalls, or back up along storm drains, and the extra work to compute flow paths is not worth it. If the danger will be from waves, this might not be appropriate (or it will give a very conservative estimate).

  • Open DEM
  • Calculate, Drainage, Flood/sea level rise, Simple elevation check
  • Insure the algorithm is "Elevations"
  • Set the MLLW-NAVD88 value to the local tide gauge.
    • Find the station at https://tidesandcurrents.noaa.gov/stations.html?type=Water+Levels or https://tidesandcurrents.noaa.gov/map/index.html
    • Open the station (go its home page)
    • Find the datums page, which will be linked at the bottom of the page under products available.
    • In meters, get the distance from MLLW to NAVD88. A positive value means that MLLW is below NAVD88.
  • Enter the water level
    • To use meters in NAVD88, enter in the Reservoir Top edit.
    • To use feet in MLLW, use the MLLW edit, and the Reservoir edit will automatically change
  • Click the Flood 1 level button.
  • The map will be redrawn, with everything in blue below the flooding level.
  • The water level, in meters relative to NAVD88 and feet relative to MLLW will be in the upper left corner of the map if label maps is checked.

To get river forecasts:

  • https://water.weather.gov/ahps2/forecasts.php?wfo=akq
  • Zoom in on the map
  • Click on the station
  • Tide records and predictions will be in feet, relative to MLLW
  • Farther down on the page will be the historic and preliminary crests

Last revision 11/3/2019


Single Grid Arithmetic or Map Al

Single Grid Arithmetic or Map Algebra

Edit menu choice.

After changes, map will be redrawn. If you want to save the new grid, do so with the "File, Save DEM" menu choice. This will change the values in the grid, so if you want to keep the original grid, operate on a copy, or insure you save with a new name.

  • Range shifts
  • Unit conversions
  • Math operations
    • Multiply z values: one use is to multiply by -1 for digital bathymetry with positive values for depths.
  • Math functions
  • Set z range to a constant: pick a range of elevations, and all values within that range will be set to a single value.
  • Expand given z range: pick a range of elevations, and a new range to expand them to. The scaling will be linear, and can either increase or decrease the range of elevations. Points outside the range will be set to the range limits.
  • Round to byte range: min value to 0, max to 254 (255 is missing data), and linear range between. You can save as bytes for reduced storage.
  • Round to byte range, percentiles: if the distribution has long tails, will waste a lot of the color range. Use this option for better use of the grayscale. You can save as bytes for reduced storage.
  • Add a grid: any missing data will become missing; if you want to keep those, make the holes 0 first
  • Subtract a grid: any missing data will become missing; if you want to keep those, make the holes 0 first
  • Radians to degrees:
  • Raise/lower z values: add (+ values) or subtract (- values) a constant from every point in the grid.
  • Add an open grid:
  • Subtract an open grid: pick an opened grid, and subtract its value from the the current grid, which must be compatible in size and spacing. This can also be done on Raster GIS, Difference between two grids, but that option may not work with a really large grid since it requires all three grids to be in memory. By changing the one grid already in memory, this option will run with 2/3 of the memory.
  • Log base 10 transform:
  • Ln transform: (natural log)
  • Tangent (radians):
  • Tangent (degrees):
  • Arc tangent: pick a multiplier and then the arc tangent of the value times the multiplier. This can make the statistical distribution more Gaussian.
  • Slope degrees to percent
  • Absolute value

Last revision 4/13/2022


SIO Predicted Bathymetry

Smith & Sandwell Predicted Bathymetry--Global DEM

This data is now incorporated into ETOPO1 or SRTM15+.

Indian Ocean Triple Junction

Predicted bathymetry Icon on the main toolbar

  • Smith, W. H. F., and D. T. Sandwell, 1997, Global Sea Floor Topography from Satellite Altimetry and Ship Depth Soundings, Science, v. 277, p. 1956-1962.

Last revision 3/17/2020


Slice Controls

Controls for slices:

  • Slice parameters
    • Slice center: a value on the axis that is not shown on the view.
    • Slice thickness (m): picks slice width, centered on the center line. If you make this too thick with dense 3D data, the graph will be solid, and you will get out of viewing plane anomalies if the surface slopes or is not perpendicular to the asixs. With a dense point cloud, this can be small, but it must be larger as the point cloud contains fewer points. With a larger slice thickness, if the surface slopes into/out of the view, it will be spread out in the vertical direction on the plot.
  • Slide In/Out
    • (vector point and tail) buttons jump the slice.
    • The edit box controls how far the jumps move with each button press
  • Cloud: if more than one cloud is on the slice, you can toggle which ones to show.
  • Display parameter: if there are multiple options. The data set must have the selected option, and you must have enabled export of that layer (LAS tab on Options form). If the option is not available it will not appear.
  • Plane picks the plane for the graph. The x-y might be the least informative, or may require a much larger slice thickness, and you can get the same effect on a 2D map.
  • Graph: if you have the screen real estate, you can open multiple graphs.
  • Graph size
    • Width, Height: change size of graph windows. One of these dimensions will be reduced to keep the graph correctly scaled, unless you uncheck 1:1 scaling.
    • 1:1 scaling: keeps the axes on the view scaled together.
  • draws or redraws the diagram. If a change does not automatically redraw the view, use this button.
  • OpenGL 3D option.
  • Map pick: clicking on the map draw the slice through that point
  • Polar:
  • Slice thinning: skip points for faster drawing (and less clutter on the display)
  • V--More options: these may not have been tested recently, and might work only in very limited circumstances.
  • Box stats: used for Comparing Global DEM with Lidar.
  • Canopy: used for Comparing Global DEM with Lidar

v More: open additional controls, many of which have not been tested recently. Use cautiously.

  • Graph determines which of the graph planes to use for the drawing.
  • Thin decimates the data. The larger the number, the fewer points will be plotted, and the faster it will draw. Requires using the refresh button.
  • OpenGL all points: you can export just the current slice, or the entire point clouds. The current slice can make it easier to see internal features within the cloud.
  • Movie (only available with multiple clouds)
  • Pick files--toggle files to display
  • + Files--add additional 3D point shapefiles to model
  • CSV out: save point cloud as CSV file.

last revision 1/18/2022


Movie Playback

We are moving to a new movie player.

The PETMAR Trilobites Movie Player window contains both pull-down menu controls and GUI button controls, to provide a simple way to view movies on the screen.

You start Movie Playback in MICRODEM with the "File, Tools, Movie Replay" menu option.

The movie is composed of a series of Windows bitmaps in BMP, GIF, PNG, or JPEG format. There are no restrictions on the file names. A control file with the extension *.MOV contains the names of the files in correct order. The .MOV file cannot be played in any other program that we know of, and is no way related to Apple's QuickTime format. This format is simple and does not degrade image quality, but this comes at the expense of large file sizes.

Immediately on opening, the animated GIF will be created and begin playing.

You can change the frame delay or the optimization options, and pick "Animate" to recreate the GIF.

Save GIF lets you save to a file on disk. Otherwise the animation will be lost when you close the window.

Load NEW lets you open a new animation.

MICRODEM offers a number of options to create Movies and Animations.

Last revision 2/18/2022


Movie Conversion

There is now only one option for exporting a movie.

Format Advantages Disadvantages
GIF
  • Good compression
  • Can be embedded on web pages and Power Point shows
  • Fewest compatibility problems
 Loss of color for images with many colors

Movie directions within MICRODEM.

Last revision 2/18/2022


Slide Points Up/Down

Possible use: digitize at one level, where features are visible, but want the corresponding points at a different level. For example, you measure beams at the top of a space, but want the point on the floor below.

Use Y-axis lines to show a database with locations.

  • Use Slide Z button
    • Pick the database. If you want to preserve the Z values in that database, insure you are working on a copy.
    • Program will plot all the points in the database in silver at the correct x and z, and ask if you want to continue.
    • The active point will be in red. Double click where you want to shift it. Only the z coordinates will be changed. The new point will be in lime green. The moved points will be in blue.
    • When done with the last point, you will be notified.

last revision 2/10/2016


Slider Sorter

  • Option on Tools menu
  • Select a directory. All image files in the directory will be selected. If the time is not in the file name, and it begins with "P" or "DSC" the file will be renamed to include the time.

Display options

  • Three slides appear at a time, all the same size
  • Three slides, center much large to see detail.
  • Four slides in two rows.

You can scroll in to see the full detail.

Controls. The same controls are below each slide.

  • Back: go back to previous slide.
  • Save: remove the file from the list. This allows you to focus on the slides you want to delete. The file will still be on the hard disk.
  • Delete: removes the file from the list, and moves the photo to the recyling bin. Action will be irreversible, unless you have backups.
  • Next: move to the next slide. The two slides on right will shift left.
  • >>>: move 3/4 slides forward
  • Del-Del-Del: moves all 3/4 slides on screen to the recyling bin
  • Slide position and file name appear below each slide.

Coming Improvements

  • Show GPS locations on a map (why else is this in MICRODEM?) For now, use the EXIF option, which does not easily let you compare pictures to decide which to keep.
  • Allow picking multiple levels of subdirectories

Last revision 11/2/2019


Slope Computation

Znw | Zn | Zne
Zw | Z | Ze
Zsw | Zs | Zse
Point notation

Slope map overlaid on satellite image

Slope computation on a grid is focal operation on a cell and generally its eight adjacent neighbors (in fact for many algorithms, the actual point's elevation is not used).

The slope is taken as a dZ value divided by a horizontal distance. The horizontal distance is the data spacing (east-west, north-south, or diagonal).

For an Eight Neighbors Unweighted algorithm, you compute x and y derivatives

dzdx := (zne + ze + zse - zsw - zw - znw) / 6 / UseXSpace; (this will be the average of three differences in the x direction, each twice the data spacing)

dzdy := (znw + zn + zne - zsw - zs - zse) / 6 / AverageYSpace; (this will be the average of three differences in the y direction, each twice the data spacing)

Slope := sqrt(sqr(dzdx) + sqr(dzdy)); (magnitude of the vector from the Pythagorean theorem)

Aspect, the downhill direction, can be computed as a byproduct of the slope computation, as the arc tangent of the x and y derivatives.

Computed slope is generally done either in degrees, or in percent (the tangent of the angle * 100).

Computed slope will be a function of the data spacing; as the spacing goes up, computed slope decreases.

Sample slope maps

Detailed discussion of alternate slope algorithms.

MICRODEM can do:

  • On the fly computation and display of slope as the Display parameter.
  • Create derivative grid of slope.

Last revised 7/1/2014


Map Display Parameter

Aspect slope map merge

You can adjust the DEM map display by:

  • Using the Modify, Display parameter menu choice.
  • Right click on the map, and picking the "display parameter option"
  • Four slope (< 5%, < 20%, <40%, and >40%) and 8 aspect categories
  • Aspect/slope merge DEM color merge, based on:
    • https://cartogis.org/docs/proceedings/archive/auto-carto-11/pdf/color-representation-of-aspect-and-slope-simultaneously.pdf
    • https://www.esri.com/arcgis-blog/products/product/mapping/aspect-slope-map/
    • https://geospatialro.wordpress.com/2017/08/24/new-aspect-slope-raster-function-now-available
    • https://blogs.kcl.ac.uk/geography/2016/03/16/aspect-slope-maps-in-qgis/
    • http://www.staff.city.ac.uk/~jwo/landserf/relief

This compute the values on the fly, and do not create a second grid.

last modified 11/28/2021


Measure Slope

Option when right-clicking after [image] drawing topographic profile (line of sight).

Double click on the profile to select two points, and get the slope between them. The accuracy will depend on:

  • The quality of the DEM.
  • The number of DEM points in the horizontal distance covered.
  • Whether the profile is perpendicular to the topography. If not, you will have an apparent slope which will be less than the true value.

Last revision 1/15/2013


Slope Method Comparisons

There are two ways to compare slope algorithms; both require that a DEM be open:

  • Analyze, DEM properties, Slope algorithms. This lets you see the average slope for the DEM with all the supported slope algorithms. You also select two algorithms, and see a map where they differ. The difference map can either show the absolute value of the difference, or the signed value. Algorithms often differ at specific types of terrain, like ridges or valleys.
  • Calculate, Point Slope (Algorithm): click on the map, and for that point see what each slope algorithm calculates.
  • Right click, Geomorphometry, Point slope algorithms

Maps showing where slope algorithms differ.

Assess the affect of region size on computed slope.

Last revision 11/29/2020


Measure Slope on Topographic Profile

Right click on image, and select option from the popup menu.

Double click on the two ends of the profile segment.

Get slope in percent and degrees. Note that if you have vertical exaggeration in the profile, the true slope will be much less that what it appears to be in the diagram.

For correct results, insure that your profile line runs in the actual direction of the slope. You should be perpendicular to ridge crests and valley bottoms.

For a geologist, this can provide the dip for fault line scarps.

Alternatively, place a protractor on the profile.

Last revision 8/29/2008


Slope References

Slope Computation References

  • Carter, J.R., 1992, The effect of data precision on the calculation of slope and aspect using gridded DEMs: Cartographica, vol.29, no.1, pp.22-34.
  • Dunn, M. and R. Hickey, 1998, The Effect of Slope Algorithms on Slope estimates within a GIS. Cartography. V. 27, no. 1, pp. 9-15.
  • Evans, I.S., 1980, An integrated system of terrain analysis and slope mapping: Zeitschrift für Geomorphologie. Supplementband 36, p. 274-295.
  • Florinsky, I.V., 1998, Accuracy of local topographic variables derived from digital elevation models: International Journal of Geogaphical Information Science, vol.12, no.1, p.47-61.
  • Guth, P.L., 1995, Slope and aspect calculations on gridded digital elevation models: Examples from a geomorphometric toolbox for personal computers: Zeitschrift fur Geomorphologie N.F. Supplementband 101, pp.31-52.
  • Heerdegan, R.G., and Beran, M.A., 1982, Quantifying source areas through land surface curvature and shape: Journal of Hydrology, 57(3-4): 359-373. https://doi.org/10.1016/0022-1694(82)90155-X
  • Hickey, R, A. Smith, and P. Jankowski, 1994, Slope length Calculations from a DEM with in ARC/INFO GRID. Computers, Environment and Urban Systems, v. 18, no. 5, pp. 365-380.
  • Hodgson, M.E., 1995, What cell size does the computed slope/aspect angle represent?: Photogrammetic Engineering & Remote Sensing, vol.61, no.5, pp.513-517.
  • Hodgson, M.E., 1998, Comparison of angles from surface slope/aspect algorithms: Cartography and Geographic Information Systems, vol.25, no.3, p.173-185.
  • Horn, B.K.P., 1981, Hill shading and the reflectance map: Proceedings of the IEEE, vol.69, no.1, pp.14-47.
  • Larsen, I.J., Montgomery, D.R., and Greenberg, H.M., 2014, The contribution of mountains to global denudation: Geology, v. 42, p. 527-530, first published on April 10, 2014, doi:10.1130/G35136.1 [Compares slope with DEM scale, from Lidar to 30 sec]
  • Jones, K.H., 1998, A comparison of algorithms used to compute hill slope as a property of the DEM: Computers & Geosciences, vol.24, no.4, p.315-324.
  • O'Callahan, J., and Mark, D., 1984, The extraction of drainage networks from digital elevation data: Computer Vision and Graphics and Image Processed, vol.28, p.328-344.
  • Olaya, V., 2009, Basic land-surface parameters: In Hengl, T., and Reuter, H.I. (eds), Geomorphometry: concepts, software, applications. Developments in Soil Science Series, Elsevier, ISBN-13: 978-0-12-374345-9, p.141-169.
  • O'Neill, M.P., and Mark, D.M., 1987, On the frequency distribution of land slope: Earth Surface Processes and Landforms, vol.12, pp.127-136.
  • Onorati, G., Poscolieri, M., Ventura, R., Chiarini, V., and Crucilla, U., 1992, The digital elevation model of Italy for geomorphology and structural geology: Catena, vol.19, p.147-178.
  • Sharpnack, D.A., and Akin, G., 1969, An algorithm for computing slope and aspect from elevations: Photogrammetric Engineering, vol.35, no.3, p.247-248.
  • Zevenbergen, L.W., and Thorne, C.R., 1987, Quantitative analysis of land surface topography: Earth Surface Processed and Landforms, vol.12, p.47-56.
  • Zhou, Q., and Liu, X., 2004, Analysis of errors of derived slope and aspect related to DEM data properties: Computers & Geosciences, vol.30, no.4, p.369-378.
  • Zhou, Q., and Liu, X., 2004, Error analysis on grid-based slope and aspect algorithms: Photogrammetic Engineering & Remote Sensing, vol.70, no.8, p.957-962.

These have obviously not been updated recently. If you want, you can look up the papers that have cited some of these.

Main reference page

Last revision 9/27/2021


Smart Text to Avoid Overwriting

This example show schools from the USGS gazetteer overlaid on a TIGER map.

  • Toggled with checkbox on Database options tab of the Options form.
  • Also set when you select labels for a database.
Avoid overwriting. Note that some of the schools are not labeled. | Without overwriting avoidance. Note that all schools are labeled, but many are illegible.

Last revision 3/10/2008


SNAP

  • https://senbox.atlassian.net/wiki/spaces/SNAP/pages/1898053693/SNAP+FAQs
  • Download at: https://step.esa.int/main/
  • Insure that you start the installer as administrator (right click, open as administrator)
  • Sentinel-1, SAR
    • Open manifest.safe
    • Display of bands is initially very slow (they are huge)
  • Sentinel-2, MSI
    • Open MTD_MSIL1C.xml
  • Sentinel-3

Last revision 12/2/2022


Solar Illumination References

  • Zaksek, K., Podobnikar, T., and Ostir, K., 2005, Solar radiation modelling: Computers & Geosciences, vol.31, p.233-240.

Last revised 3/5/2005


Some History

Some History (about satellite image analysis)

When MICRODEM began, it was all about DEMs. DEMs were all 16 bit integers. Very early on the DEM was moved into RAM (memory) for very fast operatoins.

When satellite imagery made an appearance, it was in a completely separate data structure and windows. Images where 8 bit bytes. Image data was read as needed, and not stored in RAM.

Over time, several changes happened:

  • Most image analysis operations moved into the same window as the DEMs.
  • DEMs started to appear as 32 bit floating point values. In making that change, DEMs were also allowed for the less common 8 bit bytes, and 16 bit words (unsigned integers).
  • There were two completely different sets of code for operations like filtering.

When Landsat 8 arrived, with 16 bit integers, I rethought many aspects.

  • The image could continue to be accessed from hard disk, and there was just new code for reading the longer values.
  • For major computations on the imagery, the imagery would be loaded into memory, and treated by the program as a grid just like a DEM.

Last revision 12/18/2017


Point Soundings

  • NOAA soundings at https://www.ncei.noaa.gov/maps/bathymetry/
    • Turn on data in "NOS Hydrographic Surveys".
    • Zoom in on map.
    • Outline box via the Identify button
    • Pick a survey by its ID
    • BAG files can be read via GDAL, and contain very nice grids. You can download directly.
    • Get sounding data:
      • in XYZ format, which requires making a request and awaiting download directions via email. Decompress the GZ file, and convert to a DBF file. Except for the delay to get the data extracted, this is marginally easier to use than the hyd93 format.
      • in hyd93 format (.a93 extension), which is an ASCII file that needs only reading the format metadata and a small amount of cleanup in Matlab or Excel to import as a CSV in MICRODEM.
      • NOAA Soundings probably will not have a minus sign. You should multiply them by -1.

Import to MICRODEM Vector database

  • If the file has a header row, the conversion can be done:
    • Open database without map on Main Program Toolbar
    • Database (shapefile) on the Map Window Toolbar

Import to MICRODEM Grids

  • Data Manipulation, Import, ASCII DEMs, DBF or ASCII XYZ (works if there is not a header row in the file).
  • Max/mean/min grids from point data: If the sounding density is much greater than what you want, you can get the max/mean/min values in a grid, and decide which value most closely works for what you want to do.

Last revision 7/26/2022


Sources of 3D Anaglyph Glasses

A web search for 'stereo anaglyph glasses' will turn up commercial vendors for glasses for Anaglyph maps.

Some of the vendors will even send a free pair of glasses. You can also get glasses with some 3D DVDs, some books, and children's meals at some fast food vendors.

Last revision 11/28/2021


State Plane Coordinate System for Imagery

State Plane Coordinate System

You can now use SPCS data sets if they have a WKT definition file.

The US SPCS zones show the decisions made in picking a projection, in this case between the transverse Mercator and the Lambert conformal conic, both conformal projections.

Lambert conformal conic

Transvere Mercator
  • The US has a little over 120 state plane coordinate system zones, for 50 states.
  • SPCS coordinates allow "plane surveying" techniques, instead of much more complicated geodetic surveying. It works provided the region of interest is sufficiently small.
  • Some states mandate that SPCS be used for all state mapping.
  • Some states use feet instead of meters, and there are two varieties of feet, international and US, and despite the difference appearing to be extremely small, it accumulates over millions of feet which is the magnitude of the coordinates.
  • Smaller states have one zone, and larger states up to 10 (Alaska) and 6 for California. This allow minimation of distortion, which is less than with the UTM projection with its larger zones, 60 for the world.
  • States that are tall use a transverse Mercator projection.
  • States that are wide use a Lambert conformal conic projection.
  • The zone boundaries are irregular, because they match internal political boundaries in the states. This is for the same reason that time zone boundaries are not straight lines every 15 degrees.
  • The large state of Montana has only a single zone. They might have prioritized simplicity over further minimizing distortion.
  • Two states have a mixed system
    • Alaska has 9 Transverse Mercator zones, and one Lambert conformal conic for the Aleutian Islands
    • Florida has 2 Transverse Mercators zones, and one Lambert conformal conic for the pan handle

Other countries have made the same decision about the projection to use for their national maps, based on the shape of the country to choose either the Lambert Conformal Conic or a transverse Mercator.

SPCS Definitions

  • EPSG codes. This is probably the most authoritative source.
  • FIPS codes for SPCS83 https://gist.github.com/fitnr/10795511 which will give you the EPSG code if you search of the FIPS code

Last revision 2/21/2023


SPCS Definition Files

SPCS Definitions


SPCS zone selection

State Plane Coordinate System Zone Selection No Longer Supported Except with WKT


SPCS Feet

In 1959, National Bureau of Standards and United States Coast and Geodetic Survey defined 1 inch as equal to 2.54 centimeters, exactly, or 1 foot as equal to 0.3048 meters, exactly.

The older value for 1 meter equaled 39.37 inches, exactly, was retained for identifying the ‘U.S. survey foot’ because of its uses in the State Plane Coordinate Systems. The difference is 2 parts per million, but that can make a difference.

Convert between meters (m) and International Feet (IF):
International Feet = m / 0.3048
Meters = IF X 0.3048
Convert between meters (m) and U.S. Survey Feet (USF):
U.S. Survey Feet = m X 3.2808333333
Meters = USF / 3.280833333

Last revision 11/24/2003


Speeding up the Ambush Movie.

Speed up Ambush Movie

Speeding up the ambush movie generally involves tradeoffs, sacrificing some accuracy for faster results.

Route Observation Options Form:

  • Set frame separation to a larger value. This directly decreases the number of frames that must be drawn.
  • Color & algorithm : brings up a second form from which you can select the Viewshed algorithm.

Last revision 10/26/2009


Spires Grid

Spires Detection

Option on the Peaks, pits, and spires choice on the Calculate menu.

For each point in the DEM, will find the Spire smallest radius that will make the point a spire with a height of at least the "Spire height" above the points in the periphery.

It will create a database table. From the table you can plot either the height, the radius, or the number of points lower. The number of points lower lets you look for things like light poles, which might have a horizontal projection from the main pole.

You can create a grid from the database table.

Spires plotted by height. | Spires plotted by search radius. With a 2.5 m DSM, possible radii are 2.5, 5, 7.5, and 10.
  • Peak/Spire/Pit Algorithm.

Last revised 4/10/2013


3" SRTM Files

1"/3" SRTM Files

Shuttle Radar Topography Mission data was first released in early 2002, two years after the ten day mission flew on the space shuttle. By early 2004, 3" data for North America, South America, Eurasia, Africa, Australia, and islands was available. 1" data for the US was also universally available initially, and has now being released worldwide after initially being available only for the US military. The mission did not cover the poles, leaving 20% of the landmass vacant.

The biggest problem with SRTM is holes, which occur mostly in two settings: very steep mountains, like the Himalyas, when steep canyons and ridge sides often were not seen by the sensors; and dry sand in the regions like parts of the Sahara where there were no radar reflections.

Recommended sources, in order to try:

  • OpenTopography
  • EarthExplorer has global 1" data (now version 3) and the version 3, hole filled in Geotiff format. You will have to create an account and log in.
    • "Click here to export your results" gives a list of tiles that is not useful.
    • If you download files one at a time, you can get DTED or GEOTIFF in addition to BIL, but each download takes multiple clicks.
  • MERIT DEM
  • HydroSHEDS: also has drainage basins. Select files by name; the Lat/Long are for the SW corner of the data set, and each covers 5ºx5°. Version 2 coming https://www.hydrosheds.org/hydrosheds-v2
  • CGIAR 3" with holes removed
  • SRTM version 3 from NASA: http://opentopo.sdsc.edu/gridsphere/gridsphere?gs_action=lidarDataset&cid=geonlidarframeportlet&opentopoID=OTSRTM.042013.4326.1
  • LP DAAC - SRTMGL1 (usgs.gov) SRTM version 3, to eliminate voids; HGT format
  • http://www.viewfinderpanoramas.org/dem3.html Some DEMs in mountainous regions, from Jonathan de Ferranti.

Other Global DEMs with tables comparing with SRTM

Small scale, merged with bathymetry

  • SRTM 30+
  • SRTM 15+

Using SRTM data in MICRODEM:

  • Map library can graphically open and merge tiles on the fly
  • Open and merge DEMs on the File, Open submenu.
  • Do automatic filling of the voids; pick this, and set the maximum size void to fill, on the Import/Export tab of the Options form. This will remove smaller holes, but not the large "Swiss cheese" DEMs in many mountainous regions.

  • MICRODEM does not perform a vertical datum shift for this data, which you must consider when comparing SRTM data to other DEMs.

Last revision 8/26/2023


SRTM-30

Consider using ETOPO1, which includes the oceans, or now SRTM 30 Plus or SRTM 15+ for smaller areas, more detail

Last revision 5/4/2023


SRTM 30 Plus

Land topography and ocean bathymetry.

Reference | Web site
Becker, J. J., D. T. Sandwell, W. H. F. Smith, J. Braud, B. Binder, J. Depner, D. Fabre, J. Factor, S. Ingalls, S-H. Kim, R. Ladner, K. Marks, S. Nelson, A. Pharaoh, R. Trimmer, J. Von Rosenberg, G. Wallace, P. Weatherall., Global Bathymetry and Elevation Data at 30 Arc Seconds Resolution: SRTM30_PLUS, Marine Geodesy, 32:4, 355-371, 2009. | http://topex.ucsd.edu/WWW_html/srtm30_plus.html

SRTM 15+ for smaller areas, more detail

Last revision 4/6/2021


SRTM 15+

Land topography from SRTM, merged with the best available bathymetry.

Easiest access:

  • Journal paper describing the data: https://doi.org/10.1029/2019EA000658
  • Download via OpenTopography, where you can get any size region you want.
  • Dataset Acknowledgement: Tozer, B, Sandwell, D. T., Smith, W. H. F., Olson, C., Beale, J. R., & Wessel, P. (2019). Global bathymetry and topography at 15 arc sec: SRTM15+. Earth and Space Science, 6, 1847. https://doi.org/10.1029/2019EA000658
  • Dataset Citation: Tozer, B, Sandwell, D. T., Smith, W. H. F., Olson, C., Beale, J. R., & Wessel, P. (2019). Global bathymetry and topography at 15 arc sec: SRTM15+. Distributed by OpenTopography. https://doi.org/10.5069/G92R3PT9 Accessed: 2021-01-15

Additional references

  • https://topex.ucsd.edu/WWW_html/srtm15_plus.html
  • https://catalog.data.gov/dataset/srtm15-plus-data-fusion-of-shuttle-radar-topography-mission-srtm-land-topography-with-measured-
  • https://topex.ucsd.edu/marine_topo/mar_topo.html

Download huge full data set at:

  • https://figshare.com/projects/SRTM15_V2_0/62045, which has a TIFF download of 7.57 GB

SRTM 30+ for bigger areas, less detail and hence file sizes 1/4 as big

Last revision 8/23/2022


SRTM Atlas

Setup

  • Parameter grid files should be placed in "C:\mapdata\srtm_params_grids"
  • Index file 'srtm_params.dbf' must be in the same directory.
  • To use another directory, pick on Directories tab of options form

Running

  • Open a map on which to display the results. ETOPO1 works well for a global picture.
  • From the Raster GIS menu, pick the Geomorph atlas option
  • From a select window, pick the parameter grids to open.
  • "Atlas Classify" form.

Last revision 1/7/2010


SRTM Water Bodies

Place SRTM water bodies data in c:\mapdata\srtm-swbd. Copy the DVD exactly onto your hard disk, and you should have the files in two subdirectories, east\SWBDeast and west\SWBDwest. The files will be zipped and directly accessible by MICRODEM.

  • From [image] Manage Overlays, pick "SRTM water bodies" to plot these.
  • From Edit menu, pick "Edit, mark as missing, SRTM water bodies" to temporarily delete the water bodies from the DEM. If you save the DEM, they will be permanently deleted. This will try to blow the map up to [image] 1:1 view, and will prompt you for the zoom factor if 1:1 view would be too large.

The shape files will be unzipped and plotted.

You should be careful about the size of the map region on which you attempt this; there are 7571 shape files for the eastern hemisphere and 4658 files for the western.

This will not color the major ocean basins; there are no files for 1º cells with no land. You could flood fill those.

Last revision 9/4/2021


Export Sidescan as an Image

Export Sidescan as Image

Export KML, available by right clicking on the display, is probably a better choice than this.

Export sidescan image (this has not been tested recently, and might no longer be supported):

  • Insure sidescan image is indexed, and that all fields are set in it (especially the range).
  • Right click on sidescan image, pick display options, and set the thinning factor in across track direction. You will get the best results (but also the biggest files) with a thinning factor of one. Also pick the frequency and the gain setting.
  • Right click on sidescan image, pick "Scaled image display".
  • Right click on sidescan image, pick "Export as scaled image", and set the file name. This will create a BMP file and an XY registration file.
  • This makes a number of assumptions, including:
    • Speed is constant during the run
    • Heading is constant during the run
    • No geometric corrections are done

New image and open BMP file.

  • Set grid Pick the color and type of grid (UTM probably is the best). You can also set the grid spacing.
  • 1:1 view (best resolution view of the data) You can do this to see the pixel size of the largest scale images (those at the shortest sidescan range).
  • Set the scale: "Modify, Map area, set map pixel size" if you want to get multiple images to the same scale. You should pick this as a compromise between file and image size, and showing all the data.

Last revision 4/27/2016


Sidescan Right Click

  • Display options
  • Scaled image display
  • Histogram
  • Show coverage on map
  • Clip image above this point
  • Clip image below this point
  • Insert target record: to create a targets database
  • Display entire record
  • Full resolution display
  • Label corners
  • Export as registered image
  • Export current subset (XTF)
  • Save labelled image
  • Copy to clipboard
  • Save image

Last revision 4/2/2014


SSO Analysis

SSO Analysis--Terrain Fabric

Terrain fabric or organization quantifies the degree to which all the ridges and valleys are aligned in the same direction. This can be indicated by a a value and a direction, and plotted on the map.

Based on an analysis of 50,000 USGS 30 m DEMs, these are the three most highly organized quads in the US. The maps show the ridge valley patterns in the folded Appalachians in Pennsylvania, and a drumlin field in Wisconsin. The lower left diagram shows the contouring of the earth normals, with a strong girdle concentration, which is also apparent in the rose diagram in the lower right. All the normals either point to the NW or the SE. The dominant ridge direction is to the NE-SW.

The algorithm provides three values: S1S2 or flatness (inverse slope), S2S3 or organization, and the fabric direction.

Detailed discussion of the method.

Terrain organization references.

Last revision 2/6/2017


SSO Computation Pseudocode

if (Normals = Nil) then with HeadRecs do begin

for j := 1 to 3 do MissingVector[j] := MaxSmallint;

for Col := 0 to pred(NumCol) do begin

for Row := 0 to pred(NumRow) do begin

if NormalAtPoint(Col,Row,Normals^[Col]^[Row][1],Normals^[Col]^[Row][2],Normals^[Col]^[Row][3]) then

inc(NumPts)

else Normals^[Col]^[Row] := MissingVector;

end;

end;

end;

with HeadRecs do begin

for j := 1 to 3 do

for k := 1 to 3 do

M^[j,k] := 0.0;

NumPts := 0;

Col := GridLimits.XGridLow;

while (Col <= GridLimits.XGridHigh) do begin

Row := GridLimits.YGridLow;

while (Row <= GridLimits.YGridHigh) do begin

if Normals^[Col]^[Row][3] < pred(MaxSmallInt) then begin

inc(NumPts);

for j := 1 to 3 do

for k := 1 to 3 do

M^[j,k] := M^[j,k] + Normals^[Col]^[Row][j] * Normals^[Col]^[Row][k];

end;

inc(Row);

end {while};

inc(Col);

end {while};

if (NumPts < 100) then Result := false

else begin

Result := true;

Jacobi(M^,3,V,s^,NRot);

Eigsrt(V,S^,3);

if abs(v[2]) < 0.00001 then v[2] := 0.00001;

if abs(v[3]) < 0.000012 then v[3] := 0.000012;

s1s2 := ln(v[1]/v[2]);

s2s3 := ln(v[2]/v[3]);

for i := 1 to 3 do begin //compute the eigenvectors

S2[1] := s[1,i];

S2[2] := s[2,i];

S2[3] := s[3,i];

CartesianToDipStrike(s2,Dip,Strike);

if (Dip < 0) then begin

Dip := abs(Dip);

DipDirect := Strike - 90;

end

else DipDirect := Strike + 90;

CompassAngleInRange(DipDirect);

if DipDirect > 180 then DipDirect := DipDirect - 180;

TheDips[i] := Dip;

TheDipDirs[i] := DipDirect;

end {for i};

end;

end {with};

Last revision 10/20/2011


Standard Windows Program

MICRODEM is a standard Windows program:

  • Two levels of toolbars: the Main Program Toolbar, which has options that can be done on any open map window or do not relate a map, and the individual map toolbar which applies only to that specific map.
  • Large help file, opened with the File, Contents menu choice.
  • Button icons have a hint describing them, which appears below when you hover over them.
  • The status bar on the bottom of the screen has:
    • What the computer is doing at the moment, and what input it is waiting for, in the leftmost panel. If this is blank, your attempt to initiate an action did not take.
    • The coordinates of your current cursor position, with the horizontal datum, and the elevation. The default units are in latitude and longitude; you can also pick UTM or MGRS on the Units tab of the options form.
    • Additional panels will show supplemental information, like a secondary datum or a second choice of coordinates.
    • For multiple step operations, the status bar instructions will change when you complete each step.
  • Right clicking on any window (e.g. a map) should bring up a menu with relevant choices.
  • Save maps and images. You can copy any window's contents to the clipboard, usually using an icon, a right click, or the File menu. This extracts just the figure and not the window with its menus and toolbars, which is what you want. An option on the Maps tab of the options form lets you add a collar around maps.
  • Window menu lets you tile, cascade, or see a list of open windows. This can be helpful when you have a lot of windows open and need to find one that has been lost.
  • Menu options change depending on the type of window that is active (which will have a dark title bar).
  • Drag the entire window by clicking and dragging the blue title bar.
  • Resize a window by moving mouse over border until the cursor turns into a double headed arrow, and then drag to the desired size. Some windows cannot be resized.

Last revision 12/15/2016


State or County DEMs

State, County, or Province DEMs or Grids

Examples. These show the gridded data for just a state, county, country or province. They can be particularly useful when you want to compute statistics for the map, but only include the political region.

  • New DEM to open a DEM or other grid that includes the state, county, or province you want to use.
  • Open Database and zoom to area

Check the "Edit" checkbox on the right of the database toolbar.

Option 1, if you have a shapefile with a single record for the region you want.

  • Edit, Mask, Mask DEM with shapefile
  • Pick masking options (defaults should be fine).

Option 2

  • Double click on the record for the country or province you want to use.
  • The country or province will be highlighted on the map.
  • Pick the "Mask DEM/Grid" choice from the popup.
  • Pick masking options (defaults should be fine).
Program will zoom to the region desired, and mask out areas not included in the country or province.

File, Save DEM, and then pick either:

  • Current subset, MD DEM
  • Portion of DEM with data which might be significantly smaller and faster to load.

Symbol and color selection on the database Table view makes the boundaries easier to see.
For landcover map, legend should appear automatically. This shows the percentage of the area in each category.

Regenerate Land cover legend.

For a more general masking:

  • Filter the database, to select just the single state or county you want, or a combination of regions.
  • Insure the database is plotting the county/state in a solid color. If not, use Symbol and color selection. If you want to have a margin around the state or county, use a wider line for the border to insure you get slight overlap which is probably better than underlap. The correct value will depend on the degree of generalization in the boundary files and the scale at which you are working on the screen.
  • Grid and turn the grid off, because it which will interfere with masking.
  • Subset data set to get just the desired region.
  • 1:1 view for best resolution with the new DEM.
  • Edit menu, Mark as missing, All but selected color, and pick the color used to plot the database. Everything that does not match this color will be removed from the DEM. Hide the database to insure this worked.
  • File menu, Save DEM. Since this works only on the portion of the DEM on screen, save just the screen subset.
  • You might want to change the color for the missing data. Set it on the maps tab of the options form or the overlay menu.

This would let you get statistics over just the county or state, and not the "random" rectangle covered by the data.

Last revision 4/7/2020


State or County DEMs

State, County, or Province DEMs

DEM of the state of Montana, created from SRTM-30.

Missing data is black. Change the missing color on the Maps tab of the Options Form.

DEM of Inyo County , California, created from SRTM-30. At this scale, NED or SRTM3 might be a better choice.
DEM of Badakhshan Province, Afghanistan, created from Hydrosheds SRTM 3" with GADM level 1 boundaries.

Missing data is white. Change the missing color on the Maps tab of the Options Form.

GLOBCOVER for South Sudan, with a legend.

Directions.

Last revision 11/30/2012


State plane coordinates

State Plane Coordinates (SPCS)

The program currently has the following limited support for state plane coordinates:

  • Vector map projections may be able to use the projections. Whether the maps will work correctly is unknown, but the projection routines are working. They were needed for the database conversions, the sole reason for supporting the projection.
  • Convert coordinates There is a limited converter, from state plane to lat/long. This was designed solely to test the database conversion options, for which it works perfectly. Any other beneficial uses are coincidental. This is invoked from the pop up menu after selecting the coordinate conversion button.
  • Point databases and shape files can be converted from SPCS to lat-long, which is required to use them in the program.
  • You can open imagery with a world file. A number of states (e.g. MD, NJ, TX) supply DOQQs in this format over the WWW.
  • SPCS DEMs
  • SPCS imagery

Two databases in the MICRODEM program directory define the constants for SPCS: SPCS_TM_83.DBF and SPCS_LCC_83.DBF. If you have problems with the conversions, you should verify that these files have the correct data for your zone. You can also add other projections, and if they use NAD83/WGS84, and a Transverse Mercator or Lambert Conformal Conic Projection, it should work under the same conditions as SPCS.

Last revision 6/13/2007


Station Time Series

Accessed by

  • Double clicking on a record in the data base and picking Statistics, station time series option from popup menu.
  • Displaying the database record, and then using the < and > buttons to cycle through.

Requires field "TIME_SER" in the database.

Database must have the following fields:

  • LAT
  • LONG
  • LOCATION
  • RISE--rate of sea level rise (+) or drop (-) in mm/yr
  • TIME_SER-name of file (relative to the location of the database) with the time series record. The files must have the same format as the tide station records from the University of Hawaii

Last revision 7/22/2018


Steepest Adjacent Neighbor Slope

Steepest Adjacent/Steepest Downhill/Average Adjacent Neighbor Slope Algorithms

Znw | Zn | Zne
Zw | Z | Ze
Zsw | Zs | Zse

Steepest Adjacent Neighbor (Sharpnack & Akin, 1969; Collins, 1975; Travis et al. 1975, Dept of Agriculture Forest Service Technical Report cited in Jones 1998; ELAS software cited in Ritter, 1987): this method consistently gives steeper results than all others. It picks the steepest of the eight adjacent points, considering that the diagonal distance is longer and that the x and y spacings might be different. The aspect is only available to the nearest 45 degree (approximate if the x and y spacings differ as in geographic grids). The value is assigned to the central point.
  • slope1 = (Zn-Z) / (NS Spacing in meters)
  • slope2 = (Zs-Z) / (NS Spacing in meters)
  • slope3 = (Ze-Z) / (EW Spacing in meters)
  • slope4 = (Zw-Z) / (EW Spacing in meters)
  • slope5 = (Znw-Z) / (Diagonal Spacing in meters)
  • slope6 = (Zne-Z) / (Diagonal Spacing in meters)
  • slope7 = (Zse-Z) / (Diagonal Spacing in meters)
  • slope8 = (Zsw-Z) / (Diagonal Spacing in meters)

For the variants

  • Steepest Adjacent Neighbor: Pick largest absolute value from eight candidates as the slope. If the steepest slope is uphill is assigned as the opposite of the slope direction, which may not be the steepest downhill slope
  • Steepest downhill neighbor (D8) (O'Callahan and Mark, 1987); : similar to the steepest neighbor, but the point must be lower in elevation than the central point. The value is assigned to the central point. Most drainage basin algorithms use a variant of this algorithm, looking only for the neighbor into which water will flow.
  • Average neighbor: averages slopes to the eight nearest neighbors. Its estimate is about 50% of the Steepest neighbor, because the slopes at 90° to the maximum will typically be nearly horizontal. The value is assigned to the central point. This is directly proportional to TRI.

The eight slopes can be considered directional derivatives. For an arc second DEM, the diagonal values will be close to, but not at 45 degree increments because the EW and NS spacings will be different.

Last revised 3/5/2023


Contouring on Stereo Net

  • For contouring, the program uses a net that has a radius of 100 pixels (lower hemisphere, equal area).
  • Each 3D point is projected onto the net.
  • A buffer in memory keeps track of the number of points that have been plotted at each point.
  • For each point on the net, the computer adds the number of points plotted within a radius of 10 pixels. For points on the edge of the net, this means finding the neighbors on the other side of the net because the plot jumps from the upper hemisphere projection on one side of the net to the lower hemisphere projection on the other side.
  • That number, as a percentage of the total number of points, is colored as a percentage of total per 1% area.
  • This is a simple computerization of the standard structural geology contouring method, where a small circle (1% of the net's area) was passed over the entire net; for the edge points, a second circle was at a fixed distance to intersect the other side of the net. Any structural geology text or lab manual should demonstrate the technique.

Guth, P.L., 1987, MicroNET: interactive equal-area and equal-angle nets: Computers & Geosciences, vol.13, no.5, p.541-543.

Last revision 4/8/2004


Stereo Viewing

Stereo pairs can be created on 3D map options after a Right click on the map.

You can view saved stereo images on the Tools menu under File

Menu choices
  • Flip images: switch left and right images
  • Anaglyph
  • Twin view
  • Save
    • Anaglyph-- [image] one file with anaglyph
    • JPS stereo--as either a JPG (extension JPS) or PNG (extension PNS) with both images side by side in a single file. There is no indication in the file itself that this is a stereo pair, but the stereo program with the Toshiba Satellite A665-3DV with nVidia 3D shutter glasses correctly displays the files.
    • MPO: you can extract the two JPEGs with IRFANVIEW or MPO Explorer.
Twin view.
Anaglyph

Last revision 12/25/2011


Stereo Net

To do stereo net operations, follow the following steps:

  • Insure Stereo Net option allowed on Menu choices tab of options form.
  • Open dBase table with data
  • Alternatively open a net with button on main toolbar. This will give you limited options to plot individual data, but for most options you should use the data base option.

  • Adjust net properties by right clicking and picking Net options.
  • Clear the net by changing the net properties (or selecting and not changing).
  • Save or print the net or copy to the clipboard by right clicking, or using File menu.

Last revision 1/10/2013


Storing and Exporting Viewsheds

Set the location for MICRODEM to save fans on the bottom of fan properties selection window.

  • By default this is the Windows temp directory, and the files will be cleared out when you exit MICRODEM.
  • If you set this to another directory, the fans will accumulate (bad for storage space) but quickly recalled (good for speed).

The names will be that of the fan selected on fan properties selection window. If you leave it blank, the program will pick a name for you (and you will have a hard time finding the correct fan).

The program will store both a visible and a masked map, in GIF format. These can be used to compute viewshed statistics. Because the program actually does sub pixel computations (a lot of samples at the center of the fans, just one at the margins), it can compute three categories (fully visible, fully masked, and partial). The two types of fan will use different colors, and the last part of the file name will be VIS or MASK.

For each fan, there will be two viewsheds, the visible and the masked. For each there will be

  • MET metadata file with fan summary statistics
  • GIF,
  • DATUM,
  • GFW world file.

1:1 map view should be used for maximum accuracy of the results. At less than 1:1, it will go faster with less accuracy. Set the zoom factor to use for the on the viewshed algorithm form

These files can be displayed in ArcGIS. You need the GIF and GFW files, and a valid PRJ file. To save fans or Export fan definitions for use in ArcGIS use the "Edit fans" choice from the popup menu and then pick "Report" and DBF table.

Export the fans to KML,but without easy re-import into MICRODEM.

Restore fans by picking GIF file from Overlay, World file images menu choice. This option does not let you modify the fans.

You can also save the fans definition dBase table, and restore it with File, Load weapons fan menu choice. This option lets you modify the fan parameters and redraw.

To create viewsheds from an existing file, which as a minimum must have LAT and LONG fields (NAME would be a good choice as well). This lets you start from a file with known locations.

  • Database (shapefile) open
  • Enable edits
  • Edit, Insert fields, Predefined fields, Insert viewshed fields. This will put in the fields, with the correct type and length. If you create this manually, you must be extremely careful.

Last revision 3/2/2016


Chirp display and manipulation

Subbottom Chirp Display and Manipulation

Enable subbottom operation on Menu tab of Options menu choice. By default this is turned off. It adds an icon to map window toolbar.

  • Open a base map
  • Open subbottom file(s) with button on map window toolbar.
  • The following windows will be open:
    • Graph showing chirp records. This graph will initially show the entire record, and will probably require modification.
    • Map display, showing location of subbottom records as you move through the chirp records
    • Table display window for each chirp; this database will be created the first time the file opens. This will show the track on the map.

Limitations:

  • Program was last actively used about 5 years ago. Code cleanup is incomplete.
  • Does not consider layback of the fish compared to the GPS. When the software was developed, the fish was deployed on a boom beside the vessel, and the offset from the GPS was minimal.
  • Horizontal scale on the bottom of the display is incorrect. Location information is given
  • We removed options for two very old formats of subbottom data. Some of the current available options geared to those formats might not work
Chirp Graph.

The title bar shows the file name, line length, and the ship's heading in going from left to right along the profile. This assumes the file has a single straight survey line. If it does not, the

To adjust the display, pick parameters, and then pick the redraw options:

  • Redraw
  • Gain adjust up or down. Gain is applied to all records equally.
  • Redraw: refresh the display.
  • X dupe: spread out the display for short lines
  • X thinning: shows more of the record on screen.
  • Y thinning: shows more of the record on screen.
  • Reverse line: flip the left and right sides of the display.
  • Protractor--show in upper left corner of screen.
  • Fence
  • Show --how deep to show.
  • Options--opens popup menu, based on the number of samples.
  • TWTT
  • Immediate redraw
  • TVG: time variable gain. The surface returns will have a TVG of 1, the deepest will have the value set here, and there will be a linear gain between them. The correct value depends on attenuation with depth, which depends on the local geology.

Options--popup menu
  • Display options (many of these may no longer do anything)
  • Segment
  • Subset: subbottom record after segmenting, getting a smaller record, which might be easier to interpret if it is a straight line.
  • Index
  • Trace
  • Depth file create a new file, or open an existing file.
  • Digitize pick depths, or thicknesses.
  • Number of returns to show: this controls the depth display.

This has not been tested in quite some time. Fence option may do the same thing better.

Digitize Reflections
  • Start with options on the popup menu
  • You should save you files frequently, in case this options misbehaves, at least until you are sure that you understand how it works.
  • You can create a new file, or append to an existing file.
  • You should create a different file for each category (water depth, specific reflection, specific layer thickness)
  • Depths will be negative, and thicknesses will be positive.
  • The file will contain the source file name.

  • Open Database, Plot on maps, and Color code by z DB field.
TINs (Triangulated irregular networks), select the DBase table, and get a 3D view of the database with the digitized layers. The quality depends on having a number of parallel lines providing input data.

Trace: (may not be working correctly with JSF data)

Select chirp record number

Two graphs:

  • One shows the values of return intensity, with the two sets of chirp frequencies in different colors
  • One shows the values of display grayscale with the current gain, with the two sets of chirp frequencies in different colors

Display Options:
  • Pick frequency range
  • Pick first and last records. If you do not adjust this, you may see a severely subsampled image; this affects the horizontal resolution.
  • Top and base depth (m): lets you isolate the part of the record you want to see, and insure you get the best vertical resolution.
  • Depth from Chirps (single track echosounder).

Files that can be read:

  • EdgeTech files with a JSF extension. The only ones tested have two floats for each return.

Files no longer read:

  • Geo-Star Data Format.pdf, a two page document on "SEG-Y FORMAT FOR DIGITAL RECORDS". These have names like "8-28-09.10" which must be renamed to have a "GSDF" extension. The first time you open a GSDF file, the program will crash, but it will open correctly subsequently. The program will not be happy if the GPS data in the files is not correctly set (we have files with only one location repeated for every record). This option has not been tested recently.

Last revision 3/30/2021


Subset Shapefiles

Selected from Report button on Table display window for shapefiles.

Useful if file is so huge that it displays in an unreasonable length of time

If the file is a point shapefile and the lat/long are in the dBase table

  • Filter to the region you want
    • Rectangular box graphical filter
    • Map area with the current map extent of the map
  • Export DBF Table, on the Report button. You can create the SHP anbd SHX if you have to share with someone using other software.

Two options for all shapfiles, but the only way to go with lines and polygons:

  • Current filter
    • All records on the current Table display window. You can filter the database to restrict the records, or use the map query option.
    • All fields on the current Table display window. You can hide fields, which will not be in the subset database.
  • Current map extent
    • (uses GDAL)
    • This will include all fields
Census Tracts for Maryland
Filter: database using the county FIPS code
Filtered map with tracts for a single county.
Report, subset shapefile, current subset to export just this county.

Last revision 11/14/2019


Subset Chirp File

Subset/Segment Chirp File

Open base map.

Open Chirp file.

Zoom in map so you can clearly see the track.

Size the chirp display so you can easily see it. You want to see it all on screen at once, and still see the map.

Pick Options, Segment.

  • Double click on the points on the chirp display where you want to start and end segments. You should be watching on the map to see where the turns occur, and set the segment boundaries there. They will be assigned to SEGMENTS in the database, and colored on the map.

Pick Options, Subset You will be asked if you want to save each segment to a subset file.

Having individual segments (up to 5) makes it easier to manipulate the Fence diagram

Last revision 3/22/2021


Sum Records Matching Single Fiel

Sum Records Matching Single Field

Option on the Sum submenu of the Stats button on the table display window.

  • The input database had a list of tornadoes, with the FIPS code for the county where each occurred.
  • The table provides an entry for each county by FIPS code, which is the first selection you make.
  • You next pick the field to sum, in this case the Fatalties.
  • The table gives the number of tornadoes in the data base, and the total number of fatalities.
  • You can save this as a CSV file, and then import that as a database.
  • You could Link/join data base to a county shape file.
  • You could then plot the number of tornado fatalities per county.

Last revision 11/22/2008


Summit Level

Relief, Summit Level, Base Level, Geophysical Relief

Parameter maps can be created from a popup menu, selected in two places:

  • Calculate Menu, Derivative Grid
  • Raster GIS menu, Create derivative grid

All require a region size (the full size, half of which is computed in each direction). Within the region the max and min elevations are computed. Then:

  • Relief = Max - Min
  • Summit level = Max
  • Base level = Min
  • Geophysical relief = Max - elevation at point.
  • Neighborhood dropoff = Elevation at point - Min.

References for geophysical relief

  • Champagnac J, Molnar P, Anderson R, Sue C, and Delacou B (2007) Quaternary erosion-induced isostatic rebound in the western Alps. Geology: Vol. 35, No. 3 pp. 195–198.
  • Small EE, Anderson RS (1998) Pleistocene relief production in Laramide mountain ranges, western United States. Geology: Vol. 26, No. 2 pp. 123–126.

Last revision 4/1/2023


Sun and satellite visibility and

Sun and satellite visibility and blocking

This is under development, and might look slightly different.

  • Sun position and horizon blocking
  • Sun above the horizon
  • Geostationary satellite visibility
  • Polar orbiter satellite visibility

Calculate, Intervisibility option controlled with this form.

Horizon calculation settings

  • Max Horizon: maximum distance to go out in the DEM to find blocking terrain. The DEM must extend this far from the point or the search will be truncated at the edge of the DEM.
  • Observer above ground: how high up is the observer.
  • Radial precision: radials will be drawn with this spacing. Smaller numbers will give greater accuracy and take longer.
  • Angular precions: determines the number of points that will be computed in the 360 degree view
Sunlight Graphs
  • Graph horizon distance: by azimuth
  • Graph horizon vert angle: by aziumth
  • Horizon map--requires that the map have a DEM associated

Sunlight computations setting

Sunlight maps--requires that the map have a DEM associated

  • Creates maps with the hours of direct solar illumination.
  • Uses the horizon options
  • Uses the sunlight precision, to find the coverage every n minutes
  • You should minimize the map area, since the values will not be valid near the edges because the horizon is off the DEM, and larger areas will take longer
  • Slow computation
    • Does not change much day to day, so consider how often you need to compute
    • The daylight patterns are symmetrical about the solstices (the same n days before and after)
    • Does not change much spatially, so consider the Grid parameters you want to create the grid. Bigger spacing means faster, and maybe not much loss of detail
  • Sunlight maps: pick the first and last days, and the interval in days between maps
  • Single sunlight map: uses the single day

Single day table

Annual table

Last revision 6/27/2021


Sun Above the Horizon

From Intervisibility submenu on calculate menu or right click, Physical Geography menu. Uses only the effect of topography (the DEM), and not vegetation or buildings not in the DEM.

  • Select point on map.
  • Select governing parameters

 Sky map, showing the elevation of the horizon versus azimuth.

Zero elevation is at the outer diameter of the diagram, directly overhead is the center of the diagram.

Brown line shows the local horizon

The four lines show the sun's path on the selected day (red), and the solstices and equinoxes.

Single Day Table
N28.89085751° E82.4991669°

Solar Positions, Julian day: 111 (4/21/2018)

Sunrise: 4:59
Sun above horizon: 6:39
Sun below horizon: 15:03
Sunset: 17:58
Duration daylight: 12.99 hrs
Direct solar illumination: 8.41 hrs
Terrain masking: 4.58 hrs

Annual Table

  • DIRECT_ILL is the hours of sunlight with the sun above the horizon, taking the terrain into consideration.
  • DAYLIGHT is the number of hours the sun should be above the horizon.
  • TERR_MASK us Terrain masking, the hours that terrain blocks the sun and there will be no direct illumination.

Horizon Blocking Graphs.

Formula after:

  • Peddle, D.R., White, H.P., Soffer, R.J., Miller, J.R., and LeDraw, E.F., 2001, Reflectance processing of remote sensing spectroradiometer data: Computers & Geosciences, vo.27, no.2, p.203-213.

Last revision 6/21/2004


Sunlight Maps

Currently not working

On

  • calculate menu, Intervisibility submenu.
  • Analysis menu

Select region for the computations.

  • You cannot compute this at the edges of the DEM, because the horizon will not be available there. How close to the edge of the DEM you can go will depend on the terrain. You can get a sense of this by doing some horizon blocking computations.
  • Set parameters to govern maps.
  • This operation is slow. Pick only the region you really want, and expect to have the computer spend hours or longer.

DEM grids, one per Julian day, will be stored in \mapdata\sunlight.

Last revision 1/30/2007


Sunrise/Sunset

Accessed with Right click on map, Physical geography

Geography options control the behaviour.

  • Double click on the map
  • From the popup menu, pick:
  • Short table calculates sunrise/sunset
  • Long table adds civil/nautical/ astronomical twilight
  • Graphical plot shows sunrise, sunset, and the length of daylight at desired position throughout the year.

If you pick the icon with no map active:

  • Enter latitude and longitude.
  • Get Long table adds civil/nautical/ astronomical twilight

Sunrise-sunset graphs

Algorithm from pages B5-B7, Almanac for computers 1989, Nautical Almanac Office, U.S. Naval Observatory. Valid for latitudes less than 65° (deteriorates near poles when sun above or below horizon longer than 24 hours) at any time in the latter half of the 20th century. Accurate ± 2 min.

Note that these times give a best guess estimate for the difference to UTC.

Last revision 4/12/2019


Supervised Classification

Supervised classification menu options on the Stats button of the table display window for the training points database:

  • Point reflectance spectra, pick classes. Select one or more classes, and each will have its own graph, with each training set point as a single line.
Point reflectance spectra, single class.
  • Create Average/Standard deviation/ranges
    • Creates database for each classification category, by band. These will be in a 'class_stats" subdirectory.
    • Plot them all with STATS, 2d Graphs, 2d graphs (all open databases)
  • Create grid, distance to class centroids: Select one or more classes, and a grid will be created for each. It will show the distance, using the power you have selected, to the class centroid;
  • Create grid, number of bands within class box. Pick a class.
  • Compare classifications.
    • Insert the second classification with EDIT, DEM, Insert nearest elevation from DEM. This will go into a Z field, which you can rename.
    • Pick the two classifications, and you will get a table showing how they compare.
  • Grid maps:
    • Pick single class
    • Pick grids to use. While you will see the image bands as selection options, this is intended for grids created from a matching DSM, such as slope or fabric.
  • Grid statistics. Pick a grid, and set statistics for each class.
  • Grid cumulative distributions
Grid Cumulative distributions. Normal distribution, which emphasizes the tails.
  • Open all class files
    • Wavelength/means, all class: by class on a single graph
    • Wavelength/Std dev, all class: by class on a single graph
    • Class/band discrimination
  • Candidates to remove: this are not as promising as initially thought, and are likely to be removed;
    • Point reflectance spectra, raw
    • Point reflectance spectra, normalized

Last revision 6/11/2013


Supervised Classification Example

Currently this page is out of date.

New image:

Use a band combination that best shows the features.

  • gray shading for single bands,
  • RGB for multi-band composites

Contrast enhancement may be helpful

Select Train and Classify on Imagery analysis menu.

Define categories. For each pick a name and color.

Select Training sets. Tells program rectangles belong to a particular category. Do this on a map at the highest possible resolution, so that you can accurately pick regions.

At any point you can show the training sets on the map.

You can select multiple training sets for a category.

As you select training sets, the computer will compute the mean and standard deviation within each region for all the bands. In this case, note that water has very small standard deviations--the reflectances are all very similar.

If you get really large standard deviations, you categories are not homogeneous.

Classify. The map will show each category in color.

This might work best on gray shading for a single band. If you do it on a 3 band color image, it can be hard to tell the classification apart from the image.

You can then adjust the opacity of classification overlay with the slider bar.

The results tab shows the classification details:
  • The bands used.
  • The standard deviation
  • The percentage of the area in each category in the classification.
Band Scattergram
  • Each band is shown in color.
  • Rectangle centered on the point that has the mean reflectance in each each band. The rectangle extends in each direction the number of standard deviations used for the classification.
  • In this case the orange category has a bigger standard deviation in band 2 along the x axis, compared to band 4 along the y axis. This category may not be homogenous.
  • Points are classified in a category is they are within the box for that category, and if the distance to the category mean is less than the distance to any other category mean.
  • Classification is done in n-dimensional space, where n is the number of bands used for the classification.
The all scattergrams options shows you all the band histograms in a matrix. This allows easy visualization of which band pairs discriminate your training areas.

The graphs on the principal diagonal how well single bands discriminate the training areas.

Principles of supervised classification.

Unsupervised classification (clustering)

Last revision 12/15/2012


Support Databases

Support databases are downloaded with the program installation.

If you have edited the file on your own, do not reinstall the program until you can save your old file. Then you can compare the two databases, and see whether the structure has changed (in which case the old version will no longer work), or just the definitions.

  • GT_DATUM.DBF, a file originally from TEC (now AGC) listing the parameters for datum shifts around the world. Without this file you are limited to the WGS and NAD datums, and cannot perform datum conversions.
  • GT_ELLIP.DBF, a file originally from TEC (now AGC) listing the parameters for ellipsoids used around the world. Without this file you are limited to the WGS and NAD datums, and cannot perform datum conversions.
  • spcs_lcc_83_v2.dbf: State Plane Coordinate System definitions, Lambert Conformal Conic states.
  • spcs_tm_83_v2.dbf: State Plane Coordinate System definitions, Transverse Mercator states.
  • tiger_rules_v4.dbf
  • tiger_index.dbf
  • osm_map_rule.dbf: rules for full OpenStreetMap apart from roads.
  • osm_road_rules_v2.dbf: OpenStreetMap road definintions
  • LAS_CODES_v3.dbf
  • wms_servers_vN:
  • CSV_IMPORT_RULES_v2
  • SAT_BAND_NAMES_V4
  • color_palettes_vN : ColorBrewer and additional palette definitions MD_TABLE_DEF_v2
  • gaz_symbols_v2
  • LAND_COVER_4:
  • KOPPEN_DEF_V2:
  • wmm_xxxx.cof: World magnetic model coefficients.

Geology data files

  • cmt_fault_cent_sept_2015.dbf: Global centroid-moment-tensor (CMT) catalog

Last revision 7/4/2023


Symbol Options
  • Plot, pick symbols
    • Squares
    • Circles
    • True type symbol: pick font and character with button on the right (only the first 256 symbols in a Unicode file; for the rest create symbol)
    • Icons (from file)

Used in options on "Plot" button menu on table display window.:

  • Proportional symbols
  • Animate field

Last revision 6/29/2018


System Requirements

Besides the files installed with the program, Microdem requires the following on your system:

  • BDE--Borland Database Engine: the complete installation of the program will install this.
  • Internet Explorer: IE (at least version 4) must be installed to view the help file.

Hardware requirements.

Last revision 12/240/2009


Sticks/Tadpole Plot

Sticks/Tadpole plot on Stats button popup menu from database table display window

Pick three fields:

  • Date/time, for the x axis
  • Direction
  • Magnitude

Vectors are drawn showing the speed and magnitude, on each point.

Last revision 2/16/2016


TANDEM-X 90 m DEM

Near global and free. Must register to download.

  • https://geoservice.dlr.de/web/dataguide/tdm90/#introduction
  • X direction spacing varies with latitude, like DTED.
  • Uses ellipsoid (WGS84 ellipsoid (realization G1150) and not geoid height: https://geoservice.dlr.de/web/dataguide/tdm90/#compatibility_issues
  • The file naming convention of TanDEM-X DEM products refers to the latitude and longitude value of the center of the lower left or southwest corner pixel of a DEM product, but other information is coded in the file base name or folder name as well.
    • This is the same convention used by NGA for DTED and SRTM.
    • In contrast, USGS uses the NW corner for 3DEP.

TanDEM-X 12 m resolution data: https://tandemx-science.dlr.de This is the high resolution data that is available to the scientific community for research work only. The default limit of the 12 meter (and 30 meter) data is 100,000 sq km.

For using in MICRODEM

  • GDAL required
  • EGM2008 can be used to do a vertical datum shift on the edit menu.
  • -32767 is the missing data value, but is not in the Geotiff header. MICRODEM will recognize if enabled on Import/Export tab of options form
  • Search for the .dem.tif files, which can be set as the mask, to avoid seeing all the other metadata tif files.

Other Global DEMs

References:

  • Wessel, B., Huber, M., Wohlfart, C., Marschalk, U., Kosmann, D., Roth, A.(2018): Accuracy Assessment of the Global TanDEM-X Digital Elevation Model with GPS Data. ISPRS Journal of Photogrammetry and Remote Sensing. Vol. 139, pp. 171-182.

  • Rizzoli, P., Martone, M., Gonzalez, C., Wecklich, C., Borla Tridon, D., Bräutigam, B., Bachmann, M., Schulze, D., Fritz, T., Huber, M., Wessel, B., Krieger, G., Zink, M., and Moreira, A. (2017): Generation and performance assessment of the global TanDEM-X digital elevation model. ISPRS Journal of Photogrammetry and Remote Sensing, Vol 132, pp. 119-139.

Last revision 4/15/2021


Task Directions

  • Hiking map creation
  • Road cut/fill
  • Building density along coast

Last revision 10/5/2019


Terra Base II Status

Terra Base II was a training system based on MICRODEM to expose soldiers to:

  • The nature and types of digital map and terrain data.
  • Procedures for visualizing terrain.
  • Integrating terrain into tactical planning.

The Terra Base II home page no longer exists, and no longer distributes any of the resources that complemented the help file.

Terra Base II was not updated after Version 6.03 was released in May 2003. There was no official program for testing changes as MICRODEM continued to evolve. The current version has many significant improvements relative to 6.03.

The TBII name has been removed from the program to emphasize that there is no input or testing in the program from the owners of the TBII designation, and that the current MICRODEM is solely the work of one person and is being designed for education and science research.

TB II version | TB II Posted on WWW | Work done | Corresponding MICRODEM release
Version 6.0x | Fall 2002 to spring 2003 | 2002-2003 | Fall 2004
Version 6.0 | 8/15/2002 | 2002 | Jan 2002
Version 5.1 | 11/16/2001 (5.11 minor maintenance release, early 2002) | Summer and fall 2001 | 12.75--14.10 is official TBII-v 5.1 release
Version 5 | 2/15/2001 (5.01, 5.02, and 5.03 minor maintenance releases , spring 2001) | Summer and fall 2000 | 12.21--12.60 is official TBII-v 5 release
Version 4 | 7/20/2000 | Summer 1999 to summer 2000 | 12.01
Version 3 | 5/6/1999 | Summer 1998 | 11.01

TerraBase II was the direct descendant of Terranal, the first fielded Army microcomputer terrain analysis software for the MICROFIX. TerraBase II is the cousin of TerraBase, also derived from Terranal, but TerraBase II had independent code development as MICRODEM. TerraBase II was originally a modified version of the MICRODEM program, and later became a selectable set of menus choices from within MICRODEM .

People who contributed to code in this program:

Testing of the TerraBase II software was done by the TRADOC Terrain Visualization Center at Fort Leonard Wood, especially Mark Adams, whose assistance was invaluable.

Last revised 4/3/2022


Perspective

Perspective View

This pseudo-3D view that shows what the observer would see standing on the ground at the selected location. Several types of perspective view are available:

All perspective views follow the same steps for both generation and modification. They require a DEM.

  • Simple perspective

  • Fly through is a series of perspective views.

  • Panorama provides interactive tool for combining the map display with the perspective view.

When you left double click on any ground position in the perspective view, the coordinates and elevation are reported.

In picking a view you should consider the tradeoffs for image quality.

The gallery shows sample perspective views.

Label features on perspective.

Alpha blending perspective to match photograph or web cam image.

The menu has an option to show the sun position, either for the current date or a specified data.

Geometry: The view is made of a series of radials radiating for the viewer's location. They are equally spaced by angle. Points are drawn along each radial at equal intervals, and can use vertical earth curvature. They are drawn the same way as viewsheds or weapons fans Vertical angles are equal to the horizontal, with vertical exaggeration if desired.

Last revision 6/2/2021


slope map options

Slope Category Options

If you select the user slope categories, you will have a window that allows you to change the colors for the categories and their boundaries.

To change a color, double click on the color square.

To change a category boundary, enter the new value. All slopes of that magnitude or less will be colored in the category. The program starts with the lowest slope category and proceeds until the boundary of the next category up is larger than the slope at that point, so you must insure that the slope categories are in proper increasing order. You can enter the values in either the percent or the degrees columns.

The colors and category boundaries will be stored in the program defaults file.

Slope units are in percent. when displayed on the map, but you can select them in degrees.

Last revision 1/31/2004


Thin DEMs

Thinning is a quick decimation. It takes values from the original grid, and uses them in the final grid. If you want averages, or minimums, or maximums, filter the DEM first, and then thin that grid.

The thin option is on the Raster GIS menu from a map with an associated DEM. To thin a DEM, you will:

  • Pick the thinning factor
  • If you want to save the DEM, use the File, Save DEM option, and pick the name for the new DEM.

A thinning factor of 2 will pick every other elevation in every other row, and will be ¼ the size of the original DEM.

A thinning factor of 3 will pick every third elevation in every third row, and will be 1/9th the size of the original DEM.

The thinned DEM will be smaller and will display faster. You might have to thin before you can merge DEMs if you have large DEMs or want to merge a very large number of DEMs, but in this case you might consider starting with a lower resolution DEM.

Alternative ways to downsample.

Last revision 11/27/2020


Moonrise/Moonset

Accessed with Right click on map, Physical geography

Calculates moonrise and moonset (plus sunrise/sunset) from Montenbruck, O., and Pfleger, T., 1991, Astronomy on the personal computer: Springer-Verlag, 255 p.

Select the starting date for the calculations, and the number of days to include.

Moon phases follow in a separate table, from an algorithm in Press and others (1986).

These times give a best guess estimate for the difference to UTC.

Last revision 10/12/2020


NITF Imagery

There are no plans to make this program a general purpose viewer for NITF files. It is primarily for spy satellite data.

At this point it will read a very limited subset of NITF imagery, with:

  • Lat/long coordinates
  • Uncompressed image
  • The first image in a file
  • Single band
  • No look up tables
  • 8 bit, or 11 bit IKONOS imagery in wrong-endian byte order.

These are the characteristics of the single sample data set we have which has useful information that could be used. We may add other imagery options as we encounter them and develop requirements to use them.

If the file you want to read does not meet these criteria, you will get an error message listing the cause of the problem (the first encountered, so there might be additional problems), and the program should gracefully continue. To add your imagery to the program, we will most likely need a copy of the file (or a similar file with the same image characteristics). You can send us the problem log file (which is overwritten each time you run the program) which contains the first kilobyte of the NITF file which should contain the file header and the first image subheader. That will enable us to make an initial determination if the imagery can be easily supported.

If you want an instructive story about the use of this format, during Hurricane Katrina much of this data was released and none of the civilian users could get it to open.

Last revision 5/6/2009


Screen vs Image Resolution

Screen resolution is typically about 1000 by 1000 pixels (or less), whereas many satellites (like SPOT or Landsat) may collect images about 4000 by 4000 pixels, and some systems may collect even larger images. The operator has several choices about how to show the image on the screen, besides the logical choice of one image pixel per screen pixel.

  • Subset data set --make the displayed area smaller, which makes zooming more manageable and consumes fewer resources.
  • Zoom in: display each pixel in the satellite image a number of times. Very rapidly the image becomes very blocky. You cannot blow up the display to see more data than was originally collected.
  • Zoom out: subsample the data to see a larger area on screen. Every nth pixel in every nth column will be displayed; the others are ignored (there is no averaging). Zoom outs display faster and use less screen real estate. Zooming out lets you see the big picture, the entire image which might not fit entirely on screen.

Last revised 11/12/2006


Subset Map Area

Icon on the map toolbar : Move to the NW corner of the area you want, hold down the left mouse button, and drag to the SE corner. The area selected will be redrawn, keeping the aspect ratio you selected on screen and one of the dimensions from the original map. If you do not select a map region with the same aspect ratio as the original map, the new map will be smaller in one of the dimensions.

If the map becomes too small, [image] Zoom in (blow up; same coverage area on a larger scale). If you use the zoom in indiscriminately, the map will become very large, and you can run out of memory, or it becomes to difficult to navigate with the scroll bars.

This enables you to blow up the map, but cannot change the underlying resolution of the map data. You may begin to clearly see stair-stepping of the individual data points with raster data, or the straight line segments with vector data.

If you want to blow up a very small area of the screen, it is often best to do it in several steps. This will allow you to select the corners more closely. Graphical selection limits the coordinates you can select, and at smaller scales this limitation becomes more severe.

Last revised 11/2/2017


Subset Irregular DEM

You might want to create a DEM with an irregular outline for the following reasons:

  • Create statistics for a region with real geomorphic significance rather than a quadrangle boundary.
  • Extract XYZ triples only over a specific region.
  • Run a trend surface for a particular landform.

This option on the data manipulation form has been removed. The preferred method is now to:

  1. Select the Edit menu with the DEM open (You must have the geomorphometry option enabled), and then "Outline region".
  2. Pick whether you want to pick a lake (all points will be set to a common elevation), a hole, and outline a region of interest, in which case the rest of the DEM will be set to missing..
  3. Outline the region
  4. Close the region outlined by right clicking, and the points outside the region will be deleted.
  5. Save the DEM, if desired, on the file menu.

Last revised 3/2/2016


Range Circles

Select ranges and draw concentric range circles.

Range circles can be drawn with the following icons on the map toolbar.

  • Weapons fan/viewshed , from the the "Edit fans" choice from the right click on the map popup menu after the fan is drawn. Double clicking on a fan's record in the data base, and pick the range circles option.
  • Range circles on Map Window Toolbar

File menu has option to save the range circles as a shape file.

Clear range circles on Overlay menu.

The program uses a file "range_circles.dbf", stored in the same directory as the executable, with the names, ranges, and default symbology for circles to be drawn.

You can quickly toggle using the All or None buttons, or double click to toggle individual ranges.

If there are no ranges enabled, you will be directed to enter new ones.

Set range, and a name if you want to use that for later selections.

To remove a range circle, set its range to 0.

Set the line color and width with the button.

Last revised 10/23/2014


CIB loading

Loading CIB/CADRG

If you want to use RPF, you should convert to shapefiles using FWTools (GDAL).

Last revision 8/14/2013


Waypoint management

GPS Waypoints

Direct import to a shapefile, using a program like DNR GPS, may be the easiest option to manage communications with Garmin GPS.

Last revision 6/23/2014


line of sight options

LOS Options

To set these values, LOS Right click options or use the "Modify, LOS Parameters" menu choice.

Gallery showing effects of individual parameters

In the process of being reorganized

The user can adjust the following parameters for the line of sight profile:

  • Color visible/masked: the profile can show terrain visible to the observer in different colors.
  • Draw LOS: the program can connect the observer and target, showing what blocks or nearly blocks the line of sight.
  • Label multiple LOS
  • Line width: in pixels for the LOS line.
  • Earth curvature algorithm: select how vertical curvature is computed. The program will not allow vertical curvature on very long profiles (such as those with the ETOPO5 and GTOPO30 data sets) where curvature dominates topographic changes.
  • Height observer: height of the observer above the ground, in meters.
  • Height target: height of the observer above the ground, in meters.
  • Fresnel zone: you can show Fresnel zones for radio wave propagation beyond the direct line of sight; if selected, the zones depend on the radio frequency in Mhz.
  • Closest distance to block LOS (m)
  • Missing data blocks LOS: DEM holes can either be ignored for computations, or automatically block the LOS. Holes are bad, and there is no single good solution.
  • Show pitch: show the pitch on the title bar, and the min/max pitch of the sensor.
  • Show masked airspace:
  • Show slope protractor: Puts a legend in the upper left corner with the slope, corrected for the vertical exaggeration.
  • Show observer masking circle: this distance is set on masked antenna height, and if this option is selected, a circle will be drawn on the map.
  • Show LOS data base: the program creates a data base with the results of each LOS profile. You can display this for advanced GIS operations on the database.
  • Adjust sensor pitch:
  • OpenGL settings. These affect the OpenGL picked on the LOS Right click options
    • Show LOS line
    • OpenGL LOS line parameters
  • Vegetation effects
    • Point cloud options
    • Vegetation grid effects may or many not be considered in this assessment.
    • Vegetation density voxels

To change vertical exaggeration, change the size of the window using standard Windows commands (like dragging a corner of the window). Note vertical exaggeration will be indicated on the window title bar.

Last revision 8/3/2012


Three Dimensional Chromadepth Glasses

Several options will now run with ChromaDepth(TM) 3-D glasses. Color tinted elevation maps follow the proper color scheme, and you can select having the perspective view and the contour maps follow this color scheme; and there is a satellite combination of the DEM elevation, computed reflectance, and satellite image.

A black background is supposed to help with the depth perception; it provides a very poor choice if you want to print the image out. For printer output you should remove the ChromaDepth option.

For information on ChromaDepth glasses, see Toutin & Rivard (1995), Toutin (1997) or contact Chromatek Inc. (now owned by American Paper Optics). Some children’s books and Wendy's Kid's Meal 3-D Color Classic Comics use the glasses.

ChromaDepth Color Scheme

Anaglyph 3D alternative.

Last revision 6/18/2010


Data Manipulation, Edit Menu

Menu on data manipulation form provides ways to edit a data set:

  • DEM/grid Header: with great care you can edit the DEM header. This will only save the DEM in MICRODEM format.

The options below replace the original file, so if you want to retain it, copy the file first. These options have mostly not been updated in a long time, and may or may not be very useful at this time. Some of the options put the entire file into memory, and may not work with really huge files.

  • ASCII duplicates: removes all duplicate lines from an ASCII file.
  • ASCII Sort: sorts an ASCII file in alphabetical order.
  • ASCII Sort & remove duplicates
  • ASCII trim columns: allows you to remove specific columns from an ASCII file. The file must have data in aligned columns. You specify the first column, and the number of columns, to remove (each column is one character). If the file is short enough, use Excel instead.
  • ASCII reverse order: make
  • ASCII CR+LF: this option insures that every line ends with a carriage return/line feel, the standard for DOS and Windows, and needed for most input of text files in this program. Some other operating systems do not use the CR/LF pair and will cause problems.
  • ASCII thin: you can thin the file. You can skip lines at the beginning (and optionally put them in the output file, for instance they are column headers), so that you get the first data line you want.
  • ASCII randomize: takes a file, and randomizes the line order. The first line will not be moved (potential header), but all others might. If you want the first line randomized, after a first randomization, manually move the first line, and then randomize again.
  • ASCII remove
    • ASCII remove #0:
    • ASCII remove blank lines:
    • ASCII remove tabs: Replace all tabs with a blank space. This may destroy the alignment of the columns.
    • ASCII remove commas: Replace all commas with a blank space.
    • ASCII remove quotes:
    • ASCII remove after delimiter
    • ASCII remove leading character
    • ASCII trim lines (removes leading and trailing blanks)
    • ASCII remove lines with substring
  • ASCII insert header line: puts a header line at the start of a file, as for example before CSV point file import.
  • ASCII insert line numbers:
  • ASCII find lines with substring
  • ASCII split file:
    • For a small file, you can pick a number of files, and the lines in the file will be put sequentially into the output files.
    • For a large file or if you want, pick the number of lines. The first header line will be repeated in all files.
  • HTML cleanup: reduce the amount of HTML bloat inserted by programs like Word.
  • HTML inventory:
  • HTML extract links: extract all the links from a single HTML file. Use for batch download from OpenTopography.
  • HTML create file links: create a web page with links to all the files in the directory.
  • File Extensions--meant for use on a directory full of files
    • Change file extensions: select a new extension, and replace the existing one.
    • Add file extension: if the file has no extension, or a number of periods in the name (like ICOADS.166210.201203_13), this option will just append an extension.
  • Email cleanup: if you copy email addresses from the email, you are likely to get something like "Peter Guth [pguth@usna.edu]", which if you try to paste back into the email, may not work. This is the case with Outlook, and a long list of addresses. So this option turns the email into "pguth@usna.edu", which will work for cut and paste.
  • ANSI file cleanup
  • File modifications
  • Map symbol patterns

Options to edit DEMs, formerly on this menu, have been moved to the Edit menu with a DEM map open.

11/17/2015


Satellite Import Options

Accessed from Import, Satellite menu choice of the Data Manipulation form.

The following types of satellite imagery can be imported and converted to the program’s native format for satellite data sets. This creates a second copy of the data set.

  • BMP (monochrome)
  • BMP (RGB color):

Last revised 4/3/2012


line of sight example

Line of Sight

In earth science, "topographic profile" or "cross section" is the correct terminology. The best locations for topographic profiles will be perpendicular to features like ridges, valleys, sand dunes.

Graphically displays the line of sight between two points (whether or not the points share intervisibility), in black with intervening terrain shown in red if masked or green if visible, and can be used to determine LOS for:

  • Observation Posts, Scout Locations, Listening Posts
  • Communications Sites
  • Radars
  • Fire towers
  • Cell phone towers

Line of sight/Topographic Profiles directions.

Create terrain profile from line shape file.

Stream Profile plot longitudinal profile of a stream valley by clicking on points on map.

Last revision 12/29/2011


weapons fans

Viewsheds/Weapons Fans

A viewshed or weapons fan is a graphic that shows what can be seen from a particular location, and requires a DEM.

Radial Lines, discrete | Radial lines, full coverage

Viewshed algorithms. There are tradeoffs between speed and accuracy.

If you want to display the viewsheds on an image, the image should share the coordinate system with the DEM used to compute the viewshed. Failure to follow this will result in problems (misregistration).

A visible area plot may be used for:

  • Listening Posts/Observation Posts (LP/LO)
  • Weapons placement
  • Antenna placement for radar, radios, or cell phones
  • Special surveillance equipment placement
  • Personnel placement

Steps for Fans:

  1. Select icon on Map Window Toolbar, or use menu choice Calculate, Intervisibility, Viewshed.
  2. Double left-mouse click on the position for the weapon/observer on the map display. Consider using Verify graphical selection.
  3. Select desired parameters in Viewshed Parameters window. When ready, click on the OK button.
  4. To modify the fan right click and select the "Edit fans" choice from the right click on the map popup menu.
  5. You can draw range circles from the the "Edit fans" choice from the right click on the map popup menu. Double clicking on a fan's record in the data base, and pick the range circles option.
  6. To save fans or Export fan definitions for use in ArcGIS use "Edit fans" choice from popup menu and then pick "Report" and DBF table.

Vegetation grids can be loaded and used for intervisibility masking.

Outline fans with sector boundaries, and min/max ranges.

Export fans to ArcGIS or Google Earth.

Viewshed Validation

Save and restore fans

Multiple fans (especially with multi-cores or multi-processors)

Last revised 12/6/2014


View Menu

Some options can also be created with icons on the toolbar or the popup menu by right clicking.

  • Line of sight/Topographic Profiles:
  • Superimposed topo profiles
  • 3 profiles
  • Magnetic model
  • Perspective
  • Fly through:
  • Circle around:
  • Panorama view
  • Altimeter graphs
  • Cancel pending: abort the current operation.

Last revision 1/17/2022


Perspective Selection

The current position of the mouse pointer is displayed in your default coordinates at the bottom of the map display window. Double click on the desired position for the observer. The view port is displayed in reverse video over the map background as you move the mouse to select the back of the viewport. Double clicking the mouse button selects the view.

If you are verifying point selection, the perspective requires that you select verify reasonable before you will verify point locations for the observer location, and verify all for the back of the viewport. The viewer’s location is much more critical than the exact position of the skyline.

If the viewed area triangle is over-extended so that part of the triangle falls outside of your data, you will be able to continue, but you may get unwanted display artifacts. If the view extends beyond the satellite coverage, the satellite drape options will default to the reflectance view.

Last revision 12/8/2001


DEM Subset

button on the main toolbar. Subset: provides a way to pick a portion of the DEM for a new, smaller DEM.

DEM Rectangle, Graphical Corners: Follow the following steps:

  • Pick the DEM.
  • Double click on the NW corner of the area you want to subset
  • Double click on the SE corner of the area you want to subset
  • Verify the corner grid coordinates. You should change these only if you want specific values, for instance to merge subsets of adjacent DEMs.
  • Enter the new file name.
  • The DEM will be generated and written to the directory you have selected for DEM writes.

DEM Rectangle, Keyboard: You should use this option only if you want specific values, for instance to merge subsets of adjacent DEMs. Follow the following steps:

  • Pick the DEM.
  • Pick the corner grid coordinates.
  • Enter the new file name.
  • The DEM will be generated and written to the directory you have selected for DEM writes.

Irregular area--done after opening a DEM the normal way.

You can also subset a DEM using the [image] Subset data set on the map toolbar , and then using the "Save, DEM, Current Subset, MD format".

Last revision 10/13/2004


Modify Menu

The modify menu will vary with the currently active window. The following choices are available:

  • Map child window:
  • DEM Perspective View window
  • DEM line of sight window

Last revision 2/27/2016


Analyze Menu

Until a DEM is loaded, only a few choices will be available on this sub menu of the MICRODEM menu.

  • Convert coordinates: convert between different datums, with lat/long, UTM, and MGRS coordinates.
  • Computations
  • Geocode, address to lat/long
  • Sunrise-sunset tables or graphs, with algorithm from Naval Observatory.
  • Moonrise/moonset: calculate moonrise and moonset (plus sunrise/sunset)
  • Algorithms
  • DEM Properties
  • File Metadata. Opens popup menu, select data type, pick file, and see metadata.
  • Create
    • New global grid, Greenwich
    • New global grid, IDL
    • Landsat browse index
    • Landsat full scene index
  • Geomorphometry analysis (requires geomorphometry menu option set)
  • Cluster grids (unsupervised classification): done with all open DEMs
  • Trim deviations: remove points from the original DEM that are outside a specified deviation from the trend surface
  • Correlation Matrix
  • Distance matrix
  • Satellite predictions
  • Spectral library

These options may not be available, and may not work even if they are available. They were developed for specific research projects, and some of the project flow may have been hard wired in the code.

  • Batch processing--some of these can use multiple processors/cores, and operate on global data sets
    • Geomorph atlas
      • Block statistics for series from the map library. Landform wavelength/height can be done as part of this computation. Uses threads for multiple processors. Pick the DEM series to use, and the output directory for the DBF files. Because of the threading, each DEM will have its results put into a separate DBF file which can be combined in another step.
      • Merge block statistics DBFs. For SRTM-3", this will combine the dBase tables created by the block statistics options into global grids.
    • Lidar and global DEMs
    • Create DEMs from lidar
    • Categories from all open DEMs--for the open DEMs create bar graphs with the portion of the area in each category of the 4 classifications
    • Categories from data base---for a database create bar graphs with the portion of the area in each category of the 4 classifications
    • Subsample compare thin/average
    • ACOLITE
    • Time cores
  • DEMIX options

Last revision 2/2/2023


loading DEMs

Open Grid/DEM

Select this button on the main program toolbar, or click on menu choice File, Open submenu, Open DEM to bring up the OPEN NEW DEM window.

Navigate to the correct directory.

Check that the Files of type data entry field is set to the type of DEM you want to read. The default “Any DEM” should work.

Select a single DEM, or multiple DEMs, to load. You can double click on the file name, and click and then hit enter. The computer will read the DEM into memory and display a map, and the menu bar will change to reflect the options available with a DEM.

  • You can merge multiple DEMs on the fly.
  • The program directly reads many formats; others must be imported.
  • You can open multiple DEMS simultaneously, each in its own window.

Basics of the MICRODEM display and Key buttons on the map toolbar.

Map library can be used to select DEMs and other data via a graphical map interface.

Last revision 6/11/2022


Contour Maps

Contour map, ChromaDepth colors. | Brown contours overlaid reflectance map (Left side grayscale, right side elevation tints. Drainage directions also overlaid.

Contour map options

Last revision 11/14/2014


New DEM format

New MICRODEM DEM Format

version 4 format introduced 7/30/2014

Verstion 2 File format

  • On Jan 3, 2007, the structure of the headers changed.
  • As of the summer of 2004, any new DEMs will have a new format that allows for either integer or floating point elevations.
  • As of Dec 2002 the header file was modified for 1/3" USGS NED
  • As of November 1997, any new DEMs written by the program will have a format with a single file.

The file consists of the following elements:

  • An ASCII label with the parts of the file, their sizes, and the offset to each.
  • The 132 byte header. As of Dec 2002 the header file was modified for 1/3" USGS NED, and programs reading MICRODEM DEMs should prepare to see files with the new floating point fields for data point spacing and the SW corner of the DEM.
  • The DEM itself--this is stored by columns as 2 byte integers, starting with the SW point in the data set. They are in Intel byte order.
  • Heritage and lineage information. Currently this is only implemented for USGS ASCII data sets, and includes the logical record A.

The single file provides the smaller advantages:

  • Eliminates the possibility of separating the DEM from its header when moving files around.
  • Eliminates the possibility of orphaned headers or DEMs when deleting unneeded data.
  • Saves disk space; the 132 byte header occupied an entire block, over 32 kb.

The new format will be used to write all files, but the program will continue to read the old format.

Missing data is recorded as elevation 32767.

The organization of the elevation data in the file follows the conventions established by NGA and USGS for the ASCII DEMs (but abandoned for SDTS DEMs which follow imagery conventions).

The old format used two files:

  • 132 byte binary header.
  • Binary data file, with no headers.

Header portion of a DEM:

*MICRODEM DEM

60 Offset to Header

192 Offset to DEM

*END

Last revision 2/11/2018


World Files

Long ago ESRI programs like ArcView, and MrSid that export TIFF files use World files to register images. This was a simplistic format that should have been retired long ago. Geotiff is a much better solution because it includes the datum and projection and pixel representation model, and if the only source of georegistration is a world file, you should be dubious about the quality of the data.

The world file has major limitations, which require you to enter data about the projection, which means that it is a poor choice of an incompletely thought out format:

  • No information about the datum used.
  • No information about the projection, specifically the UTM zone used, or SPCS zone.
  • No information about the pixel-is-point or pixel-is-area model for the grid. This probably does not make much difference, since if all you have is data with a world file, the difference from the pixel model is probably the least cause of concern. Pixel-is-area might be slightly more common among those who use world files, but ass-u-me is a possible result of assuming that you know what is not specified.

File, Tools Identify directory can create a world file for images of the entire earth. The upper left corner must be -180, 90 (North Pole, IDL), and the image must have a width twice its height.

File, Save map as image, with world file lets you save the current map as a dumb picture with a world file.

MICRODEM will do its best to figure out the datum and zone. If there are problems:

  • Set the correct default UTM zone on the Datum tab of the options form
  • Create an ALL.DATUM file in the directory with the data files, which will apply to every file in the directory. Copy and rename one of the datum files that has been correctly created.
  • Edit the .DATUM file in the directory with the imagery so that it is correct.
  • Use the option, on the Import/Export tab of the options form, that will force you to verify the datum and UTM zone every time you open a world file. (ALL.DATUM present will override this option, so be careful creating that file).

Information about building a world file can be found online. There is no specification, and these are a poor substitute.

  • https://en.wikipedia.org/wiki/World_file
  • https://freegeographytools.com/2007/worldfile-basics
  • http://www.kralidis.ca/gis/worldfile.htm
  • https://support.esri.com/en/technical-article/000002860
File Type | Extension
Any | WLD or WORLD
BMP | BPW
TIF | TFW
JPG | JPW or JGW
PNG | PNW or PGW
GIF | GFW

The world file looks like this, with one value per line:

Line 1

  • The number of real world units on the x-axis represented by moving one pixel eastward from any spot (a positive number)
  • This value is calculated as the x value of the bottom right-hand corner minus the x value of the upper left-hand corner divided by the image width in pixels.

Line 2

  • The degree to which an image is compressed from the sides (a negative number)
  • This number is usually assumed to be zero. MICRODEM, like many implementations of world files, will not use this parameter.

Line 3

  • The degree to which an image is compressed from top to bottom (a positive number)
  • This number is usually assumed to be zero. MICRODEM, like many implementations of world files, will not use this parameter.

Line 4

  • The number of real world units on the y-axis represented by moving one pixel southward from any spot (a negative number)
  • This number is calculated as the y value of the bottom right-hand corner minus the y value of the upper left-hand corner divided by the image height; it will be negative in almost all cases.

Line 5

  • The x value at the top left of the image

Line 6

  • The y value at the top left of the image

Note: Usually the x value is expressed in meters East, and the y value is expressed in meters North. However, it is possible to work with images and views where the x and y values are expressed in other unit systems, such as decimal degrees (longitude and latitude).

example world file
  • 5.52791260855334
  • 0
  • 0
  • -5.52927276930388
  • 106455.884693458
  • 4025048.87491394

A: meters/pixel in horizontal x Easting direction
D: rotation about y axis, always 0
B: rotation about x axis, always 0
E: meters/pixel in vertical y Northing direction
C: x Easting UTM coordinate of upper left pixel in meters
F: y Northing UTM coordinate of upper left pixel in meters

These values are used in a six-parameter affine transformation.

x1 = Ax + (By) + C
y1 = (Dx) + Ey + F

x1 = calculated UTM Easting coordinate of the pixel on the map
y1 = calculated UTM Northing coordinate of the pixel on the map
x = column number of a pixel in the image counting from left
y = row number of a pixel in the image counting from top
A = x-scale; dimension of a pixel in map units in x direction
B,D = rotation terms
C,F = translation terms; x,y map coordinates of the center of the upper-left pixel
E = negative of y-scale; dimension of a pixel in map units in y direction

Register images to use in a GIS.

  • Make a World file for the image. This is a 6 line ASCII text file with registration information. This is a good job for NotePad. If you want the 2 km image, you must adjust the dx and dy values
    • Give the world file the same name as the file you are registering, but give it a JPW extension, and put it in the same directory.
    • The sample below is for a 540x270 pixel image of the entire world. You must adjust the dx and dy for the image you downloaded. If you get the 5400 x 2700 images, the spacing is one tenth of the values.
    • For a whole world image, dx is 360/(ImageWidth in pixels) and dy is 180/(Image height in pixels)
    • Note that you need the NW corner and the pixel spacing.
    • The file consists just of the 6 numbers, one per line.
    • This will not work with all imagery, since it depends on the map projection, but will in this case. Because it works, there is severe distortion at high latitudes, but the whole world is visible.
    • After you save the file, verify that NotePad did not add a TXT extension. If it did, you must rename the file.
  • Open the registered image in MICRODEM by selecting the file with the JPW extension.
  • Overlay a database to verify your registration. Koppen climate classification or [image] Geology options both work well from the Map Window Toolbar

The interpretation of the x, y coordinates of the upper left of the image could be either a point in the center of the pixel, or the upper left corner of the pixel. This depends on the pixel-is-point or pixel-is-area model for the grid. This is usually explicit for a Geotiff, but in keeping with the ad hoc nature of the world file which does not worry about such things as datums, is ambiguous.

If the imagery has a world file, you should pick the world file rather than the image in MICRODEM. The interpretation of MICRODEM for the pixel-is-point or pixel-is-area model in unclear; it is at the very bottom of the to-do list, since there is no high quality data being produced using world files. If you think it is wrong, and you cannot live with the 1/2 pixel offsets, you can manually edit the world files.

Last revised 4/6/2022


Drape Map on DEM

This option takes a rectangular region of the map and drapes it on the DEM in a 3D view. You can drape with the oblique, perspective, and fly-through.

It can include grid lines and overlays.

To drape an image, you must follow the following steps:

  • Open the DEM first.
  • Open the image, which will be associated with the DEM. (You can also drape the display of the DEM map, as in the example above).
  • Modify the display characteristics of the map as desired.
  • Put desired overlays on the map.
  • Select a 3D option [image] Perspective [image] Fly through [image] OpenGL 3D views
  • Select the desired view on the map window you want to drape.
  • Select draped as the type of view. You must select this initially; if you do not create a draped map when the 3D is first created, it cannot be generated later.
  • Modify the view window.

Perspective or [image] Fly through

Each draped view creates a new map to be draped; the size of this map considers the size of the 3D view and attempts to maximize detail in the final view while minimizing the size of the map. The size is particularly important for preserving overlaid line work. If you create a huge bitmap to drape, and then must subsample it for a small screen window, much of the line work will disappear. Conversely, if you have a small drape map and must expand it for a large screen window, you will start to see the individual pixels. Determining the drape map size for an oblique is more straightforward than for a perspective, because in the perspective the number of pixels changes dramatically from the foreground to the back of the view.

When the drape map is created, it copies all overlay data from the map you used to select the view. Any later overlays on the selection map will not appear on the drape map or the drape view.

The drape map will normally be hidden, but you can choose to display it with a button on the 3D window.

You can set the maximum size of the draped map on the options form, under the Views tab. How much you can increase the value before you run into undesirable behavior (like system crashes) depends on your system configuration (amount of memory, other running software, etc.). Windows has a maximum size bitmap that it can create, and attempting to create a larger bitmap will lead to an out of resources message (even if your system should have enough free memory by a rational calculation). Other programs that appear to have large images often actually use their own internal screen representation and convert that to the screen when the user scrolls.

Last revision 2/27/2016


UTM Grid

USGS maps show the UTM (Universal Transverse Mercator) grid. This rectangular grid has coordinates in meters, in false easting from the central meridian of a 6° zone (numbered starting with 1 at 177°W and proceeding eastward) and in northing.

Coordinates in meters require 6 digits for the easting and 7 digits for the northing. The grid labeled on the large scale (1:24,000) maps have the last three digits (0's) left off; the labels are thus for km rather than meters. Some maps have the UTM grid shown with a fine black line; it is labeled with 1 (easting) or 2 (northing) small superscript numbers followed by two larger numbers. Other maps do not show the grid, but have the ticks to create it shown in blue along the margins of the map, along with the grid labels.

UTM ticks, in blue, on the top of a USGS map.

The left tick shows the full false easting (373000mE), and the one to the right shows only digits needed to get 1 km accuracy. Two of the digits are larger than the others.

On military maps and for MGRS only the large digits (73 and 74) would be shown.

The grid labeled on the small scale (1:250,000) maps has the last four digits (0's) left off; the labels are thus for 10's of km rather than meters. These maps have the UTM grid shown with a fine black line; it is labeled with 1 (easting) or 2 (northing) small superscript numbers followed by one larger number.

One corner of the map will have the full coordinates in meters. Do not confuse the UTM grid with the state plane coordinates in feet, which may also be shown on the map margins.

Reading coordinates is a matter of interpolating between the grid lines (and perhaps first having to draw the grid lines, using a long straight edge and the ticks on the margins of the map). Special scales are available for this task, but a 3x5 card works well and can be properly marked using the scale bar on the map. Insure that you read values and record them to meters.

The UTM grid does not necessarily run north-south (as defined by latitude-longitude) and may be crooked, depending on the map projection used.

MGRS vs UTM.

UTM projection

Last revision 8/18/2009


Hardware Requirements

You should have at least the following hardware to run this program:

  • 24 bit colors or better.
  • 1024x768 pixel resolution.
  • Windows XP, Vista, or 7.
  • 1 GB of RAM.
  • 1 GB free hard disk space as a bare minimum for the program.

While it may work with less, we don’t test on lesser configurations. We have run on a NetBook with satisfactory results.

Last revised 12/24/2009


Fresnel zones and Radio Line of Sight

Set display of Fresnel zones on LOS Parameters form

Computation of Fresnel zones for radio line of sight requires two parameters:

  • frequency in Mhz affects size of Fresnel zones.
  • k factor, or effective earth radius multiple, which is set as part of the vertical earth curvature model. A standard radio atmosphere (standard refraction) has a k factor of 1.333; this value can be used for gross planning of radio link systems. The value of k will vary with altitude, time of day, season, weather conditions, latitude, and proximity to the coast. Values for various conditions have been tabulated; often the tabulations give delta N, the mean refractivity gradient in the first km of the atmosphere. If k > 1, the wave refracts toward the earth; if k < 1, the wave refracts upward toward space. Worst case k values will be about 0.4; k=1.33 represents the ideal case. K affects the amount of curvature on the profile.

Interpretation of the Fresnel zones:

  • Radio line of sight requires no intrusions into the first Fresnel zone within the first and last1 km next to the receiving and transmitting antennas.
  • Want no intrusions more than 40% into the first Fresnel zone at any point. (optimal clearance requires 60% of the first Fresnel zone).
  • At least grazing line of sight must exist during adverse refraction (when k =1 or k= 0.667).

The Fresnel ellipsoid is defined as the loci of all points for which of the sum of the distances from the two antennas is greater by half a wavelength than the direct distance.

The first Fresnel zone is shown in maroon on the profile. The inner 20% of the first Fresnel zone is shown in purple, and must be free from all obstructions.

You can get a graph showing intrusions into the first Fresnel zone.

Last revision 7/7/2015


map grid parameters

Map Grid/Graticule Parameters

Option on map toolbar or by right clicking on map window. This can give you up to 5 grids:

  • Lat/long graticule, primary datum
  • Lat/long graticule, secondary datum. You can only see this if the pixel spacing on the map is less than the datum shift.
  • UTM grid, primary datum This will not appear until the map is sufficiently large scale.
  • UTM grid, secondary datum. You can only see this if the pixel spacing on the map is less than the datum shift. The shift in UTM is different than in geographic coordinates.
  • The projection's native grid, helpful for systems like SPCS or the conic projections.

You can set the color and line width for each to try to differentiate. However, these are designed to allow you to display the correct, single grid, and for educational purposes to see the relationships of the different grids.

Window allows you to modify parameters of the grid on the map. You can:

  • Select UTM grid, lat/long graticule, both, or neither.
  • Select grids to show
    • Primary datum grid.
    • Secondary datum grid will be plotted. The datum for the main grids is selected in the Options form (Datum tab). The secondary datum only can be changed on this form. To change the primary datum you must close the map window, select the new primary datum in the Options from (Datum tab) and then reopen the map window.
    • Native grid: for a DEM that uses an external projection file, such as UK OS grid or SPCS DEMs.
  • UTM grid settings
    • Pick the maximum screen pixel size for the UTM grid, in meters. If you want something at much smaller scales, use Map projection zone options.
    • Grid spacing.
  • Lat/long graticule settings
  • Labels inside map. This will use less space for the map compared to putting in the margin, but can overprint important map information.
  • Pick grid color and line weight for primary and secondary grids;
  • Pick intervals for both of the grids.
  • Change secondary datum.
  • Label KML--create a point shapefile, as a separate layer, with grid labels for KML export.
  • Short UTM: the labels can either be the full UTM, or just the two digit short form. The short form might be more legible on the Google Earth display.
  • KML export: exports grid/graticule to Google Earth.

Alternative Prepare printer image .

Grid Gallery--options illustrated

Last revised 4/5/2021


File Menu

When the program starts, the program should have these choices available on the file menu. Most are also available on the toolbar. Other menus.
  • Open submenu
  • Data Manipulation: allows data manipulation such as importing, merging, subsetting. Only available if no data sets are open.
  • Introductory tutorials. These will download and open data, and provide a quick introduction to the uses of different types of data and the program's capabilities.
  • GIS Labs
  • Remote sensing labs
  • Physical geography labs
  • Geology labs
  • Instructional demos
  • Tools
  • Close:
Once you have loaded data sets, the contents of the file menu may change depending on the type of window you have active. The file menu should have some of the following choices available when a map window is active:
  • Open submenu
  • Print: send the contents of the current window to the printer.
  • Copy to clipboard: setting on the Maps tab of options form determines if this has marginalia automatically added.
  • Save image--dumb picture, useful only for documents or presentations.
  • Save all maps as image: if they are all the same size, you can easily then create a figure using
  • Save map as registered image--dumb picture, roundoff errors, but can be reopened in GIS program
  • Save DEM/grid, with a variety of formats possible, and option to reinterpolate.
  • Save satellite image
  • Create DEM to match map: create a blank UTM or lat/long grid to match the map extent. Specify the grad spacing. Replaces the following four options with a single selection.
    • UTM
    • UTM, specify zone if two zones are on the map, and you want to insure which will be used.
    • Lat/long
    • WKT projection
  • Save range circles: this will save the range circles as a shape file, for display in other software or export to Google Earth.
  • Save project: create DB that will include all the DEMs and imagery open. This can be restored by selecting the next menu choice, or automatically when the program starts if you select the option on the Program tab of the options form. Individual views of the data sets will not be restored.
  • Load feature grid
  • Load CHM grid: green shading proportional to vegetation height. Create CHM=DSM-NVS via map algebra.
  • Load change grid
  • Load vegetation (use with care; has not been tested recently)
    • Load vegetation grid (CHM)
    • Load vegetation layers (voxels)
  • Load weapons fan
  • Load LOS/topo profile
  • Load subset landcover or population density: this is designed for large datasets which are too large to effectively open on their own as a grid. It uses GDAL to load just the portion of the dataset which covers the current map.
  • Legend
    • NLCD Legend
    • Koppen legend
  • Replay flight route
  • Match other maps
  • Graphics with all maps
    • Big bitmap with all maps. make a single bitmap with all the open maps. All maps should be the same size, and they will have the area name printed below the map.
    • Movie with all maps
    • 3D viewer with multiple maps
  • Tools
  • View exif images
  • Time maps
  • Import: options that require a map to do the import to set geographic limits for the extent. Be careful about trying this with too large a map
    • TOPEX/Poseidon
    • Shapefile after subset to match map extent
    • GDAL image subset to match map extent (probably has to be geographic; useful for things like global land cover which are huge files)--unclear images for which this will work (mostly use for grids, next option)
    • GDAL grid subset to match map extent (probably has to be geographic; useful for things like global land cover which are huge files)--use for land cover and DEMs
    • NASA/USGS download
      • you will have to log in to your NASA account to download. There will be a 404 file not found error message for any tiles that don't exist.
      • This will open a new tab on your browser for each file
      • Files will be downloaded to your downloads directory
      • You will have to unzip before using
      • DEMs available
        • ASTER GDEM to match this map
        • NASA DEM to match this map
        • SRTM: ought to work but we cannot get it to work, and it would be complicated because there are 6 folders with data. https://e4ftl01.cr.usgs.gov/MEASURES/SRTMGL1.003/2000.02.11/
  • Export map library: for all the selected series, export the files for each DEM to a selected directory
  • Close: close the active window to reduce screen clutter.

Last revision 8/28/2023


perspective modification

Perspective/Fly Through Modification

This form controls the perspective views that make up overflight movies, live flying, or the single perspective view.

You can modify the perspective view by double clicking on the image, or selecting the Modify menu choice.

Tabs:
General Viewport Viewer Stereo Drape Flight options Image quality Gazetteer

Method is selected from the drop down list on the bottom left:

  • Fishnet: terrain surface is represented by a grid of colored lines generated from the DEM. You can select either ChromaDepth or regular fishnet. Because of the black background, this option is not recommended if you want to print the image. Both fishnets probably now appear primitive with today's typical processing power, and should probably be avoided.
  • Reflectance: elevation data is displayed as a gray scale, shaded relief with synthetic illumination. This provides a more natural display of elevation features, similar to grayscale panchromatic satellite imagery, but is generated solely from the DEM.
  • Draped: the current map window draped over the DEM, which can include map overlays. You must select the draped view initially, and cannot switch to a draped view later.
  • None (ridges only)

You can switch the method once the view is drawn, but the draped option is only available when first selecting the view.

Reset Defaults: return to the program default conditions for the perspective and fly through.

Save to file saves the view parameters to disk. (Under development, and will break any time the view parameters are significantly changed or enhanced.)

Read from file restores view parameters from disk.

General Tab

  • Distance Between Profiles (m): distance between profiles in meters. Consider the data spacing (small profile spacing with large data spacing does not make sense) and remember that the smaller this number, the longer drawing the profile will take. This only affects wire frame views
  • Mesh Spacing (m): separation in meters of the mesh that runs front to back in the image. These lines converge toward the back of the image. This only effects wire frame views.
  • Distance to first profile (m): how much terrain immediately in front of the observer to ignore. This precludes a small hill immediately in front of the observer from blocking everything.
  • Points spacing on radial: This determines the resolution of the view and the time it takes to draw (better means longer). The default puts the point spacing along the radial equal to the DEM spacing (or the image resolution in the case of draped imagery), which should probably give optimal image quality. If this number is excessive you may wish to decrease the number.
  • Clouds: you can place an image with clouds in the sky.
  • Custom perspective sky: you can set the sky color.
  • Min sky to show: when you first draw a view, this determines how much sky will appear at the top of the view. It has no effect when you redraw an existing view.
  • Ridge crests
  • Checkboxes control:
    • Show Views
    • VE (vertical exagerration) allowed
    • Flying danger colors:
    • Viewshed fan on map:
    • Show location sensitivity
    • Label Viewport: label vertical and horizontal angles, and the location of the viewer on the bottom of the window.
    • Title Viewport:
    • Font
    • HFOV spacing (degress)
    • VFOV spacing (degrees)
  • Reflectance (illumination) parameters: only affect the reflectance view, but can dramatically affect the view.
  • Viewshed parameters
Viewport Tab
  • Maximum vertical Angle: The default should be accurate, but you can vary to match an adjacent profile or if unusual terrain causes part of the region to be off screen. This in effect controls vertical exaggeration. The vertical angles are labeled on the left side of the view. Computed from Pitch and VFOV.
  • Minimum vertical Angle: The default should be accurate, but you can vary to match an adjacent profile or if unusual terrain causes part of the region to be off screen. This in effect controls vertical exaggeration. The vertical angles are labeled on the left side of the view. This will probably be a negative angle.Computed from Pitch and VFOV.
  • Pitch:
  • Vertical field of view:
  • Viewport depth (m): nothing beyond this depth will be drawn, so it controls whether mountains on the horizon will be drawn. The tradeoff for showing the horizon (which might be blocked, or obscured by smoke or haze) is increased drawing time.
  • Observer elevation; one choice will be active depending on whether you are set for Nap of the earth or not. The higher above the ground the less will be blocked.
    • Observer above ground (m):
    • Observer elevation (m ASL):
  • Vertical exaggeration is set from the FOV and image size selected, and not picked directly.
  • Observer Elevation for Flight can be either:
    • Nap of the earth--constant elevation above the ground.
    • Constant elevation--specified elevation above sea level.
  • Set Sensor Pitch: which can be shown on the view.
Viewer Tab
  • Move the viewer a specified distance in a given direction.
  • Enter new location from the keyboard.

Stereo Tab

Anaglyph [image] 3D views for red/blue glasses, with a choice of two options:

  • Shift view: affects the Anaglyph, displace options
  • Dual view: affects the Anaglyph, two scenes option

Drape tab:

  • Show grid on drapes: for a draped map, you can either hide or show the grid.
  • Show overlays on drapes: for a draped map, you can either hide or show all overlays (weapons fans, range circles, vector files) .
  • Drape map without redrawing: for faster operation, with lower resolution, you can use a single map to drape all frames, which will show any one time drawing on the map. Otherwise the program will redraw the drape map, at maximum resolution for the required area, for each frame unless your view is still entirely on the last drape.
  • Max size drapes, x and y dimensions:

Flight options Tab

  • Frame separation--distance between movie frames in meters.
  • Move name
  • Show flight map--the location of each view can be displayed on a location map for each frame of the movie.
  • Side by side windows--if the flight map is not side by side, it will be below the view. Which is better depends on the size of the movie frames, the aspect ratio of the movie and the map, and the size of your screen.
  • Default new movie names:
  • Live flying movie: saves live flying as a movie.
  • Dual fields of view: you can get two views for each frame, one zoomed in and the other wide angle. This will double the size of the movie, and the movie can only be played inside MICRODEM.
  • Dual drape maps: for added realism, at the cost of addition time, each of the dual fields of view can have its own drape map with tailored resolution.
  • FOV1:
  • FOV2:
  • Cross track profiles:
    • Show or hide.
    • Height and distance to look on either side.
  • Along track profiles:
    • Show or hide.
    • Number of profiles to show on either side.
    • Distance between profiles.
    • In this case you would get the elevations at 250, 500, 750, 1000, and 1250 m on either side of the flight path.

Image quality Tab: perspectives are drawn using points along the radials. To speed up the operation, you can vary the spacing along the radial. Because you have more detail visible close in, the program can use smaller distances close in and then larger spacing farther out.

Range is the distance out to increase the spacing, and factor is the amount by which to multiply the base distance increment.

If the drape resolution is 1 m, out to a range of 5000 m the program will go every 1 m, determine if that pixel should be visible and where, and draw it. Beyong 5000 m, the program will go every 2 m (the 1 m spacing time the factor of 2), and beyond 10000 m the program will go every 4, and so on.
Gazetteer Tab: Label features on perspective

Perspective Window Icons

  • Print
  • Save image :
  • Edit image :
  • Copy to clipboard
  • Force screen redraw
  • Gazetteer labels
  • Radial properties
  • Show visible points on the map
  • Perspective sensor pitch limits:

Options, Units tab lets you select "feet" as the unit for some of the options on this form in order to be "aviator friendly."

If you hit cancel, nothing will change. If you hit OK, the image will be redrawn with the new parameters. Invalid input will leave the parameter unchanged.

Last revision 7/8/2015


perspective steps

Steps for Perspective View

Load DEM, and optionally [image] New image or [image] New scanned map if you will want to perform a drape.

Select button on main toolbar or on menu click "VIEW, PERSPECTIVE".

Select Perspective View port. The view port should fall within the outline of the DEM, although a back corner can extend somewhat beyond the data coverage.

Select initial parameters of the view of the perspective: type of view, the depth of the view, size of the window, and some parameters for the reflectance if selected.

A Perspective View window will appear. Vertical angles in degrees from horizontal will be indicated, and horizontal angles from north.

Modify view if desired, bearing in mind tradeoffs for image quality.

Save and Edit Program Output: customize and distribute products.

When you left double click on any ground position in the view, the coordinates and elevation are reported. You can drag this box if it obscures the image.

  • Label features on perspective
  • Perspective sensor pitch limits:

The menu has a option to show the sun position.

The DEM map resolution does not affect the fly through. The draped image quality might.

The "Sun position" menu allows you to show the sun position, for the current day or another.

Last revision 6/29/2022


GPS positions

GPS Position Overlays--use Cellphome version of program


Line of sight/topographic profiles

Line of Sight/Topographic Profile

LOS Example and Uses --in earth science, "topographic profile" or "cross section" is the correct terminology. Line of sight is for military or radio/radar applications concerned with intervisibility.

  • DEM must be loaded and assigned to current map,
  • Start with:
    • or [image] or [image] on main toolbar
    • “VIEW, LOS” menu option.
    • Calculate, Intervisibility, Line of sight menu choice
  • Move mouse on map and double click to select observer's location, which will be on the left side of the profile. Coordinates and elevation of the mouse are displayed at the bottom of the map. Verifying point selection may be advisable, and is set on the Coordinates tab of options menu. LOS requires at least "reasonable" to trigger point verification.
  • Move mouse pointer. A reverse video line connects the observer location to the target location. Double click on the desired target location. Verifying point selection may also apply here.
  • If you have a long profile, the program will verify if you really want to use vertical earth curvature. Say No for just a topographic profile.
  • A new LOS window displays the graphical line of sight.

LOS Right click options--analysis options, including turning LOS into topographic profile.

File menu options:

  • Open profile database: this has the coordinates, and distance along the profile, of the points used to draw the profile. You can also show it on the LOS Right click options, LOS Parameters--change display parameters
  • Print
  • Edit image
  • Save image
  • Copy to clipboard
  • Close

Notes:

  • To change vertical exaggeration, change size and aspect ratio of the graph window by clicking and holding down the mouse button on the edge or corner and dragging.
  • Force a specific vertical exaggeration from Modify menu or by right clicking.
  • Change vertical earth curvature algorithm.
  • Moving the mouse in the profile window displays ground coordinates and elevation on the panel at the base of the window.
  • For radio line of sight the program can draw Fresnel zones.
  • Create a terrain profile from a line shapefile.
  • Vegetation grids can be loaded and used for intervisibility masking. Toggle vegetation effects on and off by Right clicking on the view

Last revision 5/19/2023


satellite band selection

Satellite Band/Color Selection

Open with Imagery bands/colors button on the map tool bar, or by right clicking on the image and selecting “Pick band/colors” from the pop up menu.

Select the band or bands to display. The preview displays what the image will look like.

  • The radio buttons on the right determine whether the image will be display in color or a single band grayscale (there must be three bands for a color image).
    • True color and false color use the standard band combinations for the satellite
    • False veg color has vibrant green vegetation and cyan snow from two IR bands
    • if you want psychodelic IR combinations use Pick multiband
  • Pick the band or bands to display with the list boxes on the left.
  • The buttons on the side will give you the true color and false color options and pan sharpening if you have a Landsat 7 or 8 image.
  • Examples of color combinations.
  • Quick redraw does the full image redraw as soon as you change a selection. Uncheck if the redraw is too slow, and just judge the band selection with the preview window.
  • Ignore 0 for histograms: this is usually the missing data flag.
Set satellite contrast from the second tab

Last revision 3/31/2023


Datum Codes

The most common datum codes are:

  • NAS-C = NORTH AMERICAN 1927, CONUS
  • NAR-C = NORTH AMERICAN 1983, CONUS
  • WGS72 = WORLD GEODETIC SYSTEM, 1972
  • WGS84 = WORLD GEODETIC SYSTEM, 1984

These datums are defined inside the program, and do not need the external files.

For other datums, look at the external datum files ("GT_datum.dbf") and ellipsoid ("GT_ellip.dbf") supplied with the program. You can also see them during datum selection within the program.

The three parameter Standard Molodensky Formula and parameters are in the "GT_datum.dat".

Parameters can be seen on [image] Convert coordinates form.

The codes and Molodensky parameters used in MICRODEM are from "DoD World Geodetic System 1984, DMA TR 8350.2-B, 1 DEC 87, Second Printing, Includes 1 SEP 91 Updates". The values are also available on line at http://earth-info.nga.mil/GandG/coordsys/datums/3-param.txt without an indication of updates.

Datum Codes and Transformation Parameters

Table. Commonly Used Ellipsoids. (DMA, 1997, Appendix A.1)

The program uses two databases to store this information. If you want to add a new datum or ellipsoid, you merely have to add the correct values on a new record.

Last revised 12/6/2010


IHS Image Merge

IHS Image Merge Options

This allows combing 2 or 3 data sets into one layer.

The color scheme is variously called HSI, IHS, HSL, or HSV. There are forumulas to go from RGB to IHS and back; some operations are better done in one or the other. Screen display is done in RGB.

Various representations of color space, with 3 parameters (from Wikipedia).
RGB color cube (from Wikipedia)

You can get similar results with transparency/opacity, and drawing one layer atop another.

 | Image/DEM Merge. DEM elevation colors, and TM imagery merge. | DEM Reflectance Merge
Intensity (brightness) | taken from a single band of the satellite image | Elevation range
Hue (chromaticity): | taken from the DEM slope or elevation. Hue goes from blue at the low values to red and magenta at the high values. The default value does not use magenta, which often creates visual confusion. You can increase the hue to extend the slope/elevation color range. | Rflectance value computed from DEM and surn position
Saturation (purity) | reflectance from an illumination model of the DEM, or a single value for the entire scene. | Constant value,. Change with caution; a little difference goes a long way.

DEM/Image Merges

Map overlay hillshading

Default values represent the recommendations of Toutin (1997).

Last revised 11/27/2017


Calculate Menu

This menu option for a map window allows calculation of various parameters and graphics.

  • Area
    • Area: outline the desired area. You do not have to close the area. Select either with stream or point digitizing, whichever you have active.
    • Area of single color: This will be done at screen resolution. If the map covers a large area with a geographic projection, this will be approximate.
    • DEM/Grid area: uses the DEM or grid, with the potentially variable spacing in the x direction. This will use all non-missing pixels in the grid, so if you want to find areas meeting a particular criterion, edit the grid first and mark missing points that do not match your criteria.
  • Distance: double click on points and get the distance between them and the cumulative distance. This option remains active until you decline to add another point to the line.
  • Volume:
  • Geodetic bearing
  • Bearing: calculate bearing (angle) between two points using the Vincenty (1975) geodetic algorithm. This will use a geographic angle (from true north). The line and bearing of the two ends will be plotted on the map.
  • Slopes
  • Elevations / grid values
  • Point classification: Ridges/valleys
  • Peaks, pits, and spires
  • Roads
  • Building edges/roofs (requires DSM as current grid)
  • Walls
  • Profiles
    • Stream : plot longitudinal profile of a stream valley by clicking on points.
    • Extract points: Digitize the profile, and then pick the point separation interval, and whether you want the points to be exactly on DEM grid points or interpolated between them. Creates a database.
  • Point parameters
  • Offset: enter a distance and up to 5 bearings, and the computer will plot the location relative to a starting point that you select.
  • Rhumb line
  • Drainage
  • Oceanography
    • Wave refraction
    • Tsunami travel
    • Drift model
  • Climograph
  • Age from depth (MGT): calculate age from the depth. This assumes normal seafloor subsidence, with a ridge depth of 2.5 km. It will give approximate results, but will not be valid on land, continental shelves or slopes, or near trenches. After selecting this option, the calculated age will appear at the bottom of the map when you roam with the mouse until you select another option that employs the mouse.
  • Derivative grid
  • Topographic grain
  • Intervisibility
  • Average by latitude: plot a graph with latitude on the y axis, and the average value in the grid on the x axis.
  • Flight coverage
  • Map window corners--get a text box with the map window corners, and the center.
  • Point categories
  • Image palette
  • NLCD
  • PLSS
    • PLSS from Lat/Long--click on map, and get the PLSS location
    • PLSS from Lat/Long keyboard entry
    • Lat/Long from PLSS
  • US properties (requires that shapefiles be correctly located)
    • Geology
    • 7½' Quad Names
    • Counties
  • Roaming Z values from 2d grid: pick a second open grid, and while you roam, its z value will appear in in the status bar. This will show only that single DEM, instead of all DEMs (which might not fit if you enough open and a small monitor).
  • Where is? (keyboard)
  • RGB values
  • Max/mean/min grids from point data:
  • Vegetation density layers
    • Vegetation density profile
    • Vegetation layer overlay
    • Vegetation density movie
    • Power lines
    • OpenGL
  • Abort current operation

Last revision 6/7/2022


Import Options

Import Menu Options accessed from Data Manipulation form .

  • Binary DEMs
    • Binary raw DEM (16 bit): it is unclear how useful this option is, and it is a candidate for removal
    • Binary raw DEM (32 bit): it is unclear how useful this option is, and it is a candidate for removal
  • Satellite
  • USGS/NGA gazetteer databases
  • Global CMT catalog (earthquake centroids)
  • Duck nearshore surveys--convert *.3D* files from CRAB available at http://www.frf.usace.army.mil/bathy_main.shtml into 3D line shapefiles. Removed 9/5/2021
  • ISO Gravity stations:
  • CloudCompare ASCII file: file must be UTM coordinates, comma separated, with the following fields and structure:
  • //X,Y,Z,C2C_absolute_distances,C2C_absolute_distances_(X),C2C_absolute_distances_(Y),C2C_absolute_distances_(Z)
  • 377779.510,3632034.720,1211.000,12.298,12.130,1.890,0.730
  • 377780.550,3632030.150,1210.760,12.844,11.090,6.460,0.490
  • 377780.880,3632030.090,1210.550,12.584,10.760,6.520,0.280
  • 377780.740,3632030.710,1210.560,12.398,10.900,5.900,0.290
  • 377780.590,3632031.370,1210.620,12.234,11.050,5.240,0.350
  • 377779.860,3632034.620,1210.870,11.962,11.780,1.990,0.600
  • XYADB file
  • Monthly time series
  • ICOADS LMRF
  • NCEP/NCAR Reanalysis winds
  • Extract XYZ from VRML
  • Tidal vectors
  • ENVI header/IMG
  • Icesat-2 to LAS
  • Card file import
  • SF3 Census data
  • Extract XYZ from DXF file: extracts points from the file. You might have to trim the fields in the file first
  • ASCII xyz to 3D shapefile
  • xview2 json to shapefiles
  • SIN file to shapefile: very old vector format used by MICRODEM.
  • Line KML

Last revised 7/3/2023


reflectance map options

Reflectance Map/ Hillshade Options

Set these options:

  • When you pick a reflectance map, change the display parameter.
  • Right click on the map, and pick "Reflectance options".
  • Pick on the Modify menu.
These parameters define the reflectance map:
  • Sun azimuth: compass direction to the sun. By convention this will be to the northwest (upper left), which is where our mind is used to seeing artistic lighting. The circle on the upper right lets you move the sun by double clicking. illumination. Although this is impossible for most of the "real world" (North Hemisphere, non-tropics), it avoids the problem of valleys and ridges trading places.
  • Sun elevation: elevation angle for the sun. This changes the illumination and shadows. It is measured from the horizon and ranges from 0 to 90 at the zenith (directly overhead). The circle on the upper right lets you move the sun by double clicking. The center of the map is 90 elevation, the edges 0.
  • Vertical exaggeration: for typical DEMs this is not necessary, but in very low relief areas or very small scale DEMs you might want to increase this parameter if the default contrast is too low. For 10-30 m DEMs, set VE to 1-2 for starting, while for Global Data like ETOPO try VE=15. Two levels of default are now kept, for small and large scale DEMs.
  • Water options: These cannot be done if elevation tints are selected.
    • Sea Level check: if selected, water (defined as zero elevation) will be colored distinctively.
    • Lake check: if selected, water (defined as nine adjacent points with the same elevation) will be colored distinctively. The lake check may not behave correctly in very flat, stair step DEMs, or in floating point DEMs where the water was not carefully handled.
  • Sea level: used to shade above or below a particular level
  • Top: used for a two or three color scheme for change maps
  • Base: used for a two or three color scheme for change maps
  • Z range: lets you select the elevation range used for the elevation colors if they are not simply grayscale.
  • Saturation--use very lightly. Saturation lets you interactively adjust the IHS view.
  • Directions to average: multidirection options. They will be equally spaced in azimuth, and all share the same sun elevation. Only applies with diffuse reflectance
  • Default button will return to the factory settings
Elevation colors in hillshade:
  • Grays: no elevation colors, just terrain shading. This may be best when overlaying colored vector data.
  • IHS elev merge: shadows and elevation colors; this is the default
  • Six colors: color will correspond to elevation, with six categories (blue, cyan, green, yellow, red, magenta), and the intensity of the color will correspond with the amount of light reflected.
  • Blue/Green: blue below sea level, and green above. Uses the sea level value for a different base line.
  • Gray/color: land in gray, oceans in color. Uses the sea level value for a different base line.
  • Gray/blue: land in gray, water in blue. Uses the sea level value for a different base line.
Color Options for change maps
  • Green/Yellow/Red. Green above the top level, yellow in the middle. and red below the base level. If top and bottom are the same, the map will be just green and red.
  • Green/Gray/Red. Green above the top, gray in the middle. and red below the base.

Start with top and base that you think will define the level at which change will be important. Zero is no change, but values close to zero could be random noise. For two colors, make the base and top the same. For three colors, the middle category, either gray or yellow, is not important and you can focus on just the important changes.

This color scheme will not show the magnitude of changes, but helps you focus your analysis on what you consider to be significant changes.
  • The preview window on the lower right shows what the map will look like.

Reflectance map theory

Multi direction hillshades

Reflectance map references

Last revision 9/7/2022


Overlay Menu

Overlay submenu from main map window allows plotting additional data in the active map window. The underlying map will not be erased first. If the window is redrawn, the overlay material may not be automatically redraw.

  • Manage Overlays
  • Table of contents to control display of databases on the map
  • GADM: only appears if you have placed data in the correct directories.
  • Grid Posts
  • Cell outlines from selected grids
  • Grid points from second grid. Must be an open grid.
    • Valid points, Locations only: show the locations with solid symbols. Uses the Key Location symbol selected on the Maps tab of the options form
    • Valid points, Values: show colors from the second grid.
    • Valid points, single category
  • Contours from second grid
    • All contours
    • Single contour
  • Clear second grid
  • Map annotation
  • Terrain categories: overlay terrain matching specified characteristics for slope, elevation, and aspect.
  • Range circles : concentric circles about a selected point at specified distances.
    • Add
    • Clear range circles.
    • Restore from saved file
  • Vector outlines
  • Altimeter tracks (MGT option)
    • All
    • Single
    • Label
  • Geology
  • Climate
  • Key latitudes: shows equator, tropics of Cancer and Capricorn, and Arctic and Antarctic circles.
  • DEM shading on vector map--allows an exact projection with the DEM. You are likely to have to reselect this option if you redraw the map.
    • DEM elevation colors
    • DEM reflectance
  • Sector outlines
  • DEM Name
  • Imagery (KML, KMZ, world files)
  • Mulitple map interactive comparisons
  • Overlays variable opaque
  • Clear overlays
  • Map library coverage
  • Curvature categories
  • Ransac plane
  • LAS point clouds
  • LVIS
  • Font
  • Scribble on the map. Makes a line, but it is not saved when the map redraws. Handy when screen sharing with a remote colleague or student.

Last revision 2/17//2023


GEOTIFF

A GEOTIFF is a special kind of TIF (of TIFF) file that contains additioinal information about the map projection and registration in addition to the raster image. TIFF is "tagged image format", and initially was developed for scanners.

A geotiff can be displayed by any graphics program that can handle TIFF images, but that program will not have any mapping capabilities, and cannot supply coordinates.

The Geotiff format, like the TIFF format, has a very large number of possible options including compression, tiling, and photographic interpretation. A single file can contain several satellite image bands, which is common with aerial photography and some satellite images. A file can also contain multiple images, but that option does not appear to be very common in GIS applications.

Fields in a typical Geotiff file.

  • Three digit codes at the top of the list are standard TIFF.
  • The four five digit codes at the bottom have the GeoTIFF registration.
  • Some fields, like the Image dimensions, have the values in the Offset field.
  • Other fields, like the Geotiff extension fields in this case, all have pointed in the offset field which tell the GIS program where to go to find the actual registration information.
  • The end user does not have to understand the internal details of the format, but understand the GIS program is getting both details of the image and of the projection from the data.

Geotiff is probably the best publicly documented format for raster data, and can be used for imagery, scanned paper maps, and DEMs. With a corrretly created GeoTiff, you only the the TIF file. Many files profess to be Geotiffs, but in fact do not have any tags with the geospatial information. They instead rely on a a TFW world file containing registration information, although the world file does not contact any information about the projection since it was developed in an era when all layers on a map shared the same projection.

Geotiffs in MICRODEM

Tag viewers

  • https://www.awaresystems.be/imaging/tiff/tifftags.html (download tag viewer written with Delphi)
  • https://www.mattbrealey.com/geode/ online viewer of tiff tags

Geotiff References

  • Looking up codes
    • http://geotiff.maptools.org/spec/geotiff6.html
    • https://svn.osgeo.org/metacrs/geotiff/trunk/geotiff/html/usgs_geotiff.html
  • In 2019, the Open Geospatial Consortium (OGC) announced updates to the GeoTiff standard, the first in two decades
    • https://www.ogc.org/standards/geotiff
    • http://docs.opengeospatial.org/is/19-008r4/19-008r4.html
  • Home page: http://trac.osgeo.org/geotiff/
  • TIFF baseline: https://www.adobe.io/open/standards/TIFF.html
  • Format: http://web.archive.org/web/20160403164508/http://www.remotesensing.org/geotiff/spec/geotiffhome.html
  • Informative discussion by Library of Congress: https://www.loc.gov/preservation/digital/formats/fdd/fdd000279.shtml
  • https://www.mattbrealey.com/articles/reading-tiff-tags/
  • GDAL: https://gdal.org/drivers/raster/gtiff.html
  • Compression
    • https://kokoalberti.com/articles/geotiff-compression-optimization-guide/
    • https://feed.terramonitor.com/practical-geotiff-compression-comparison/

Last revision 5/1/2023


Coordinate Conversion

on Main toolbar brings up popup menu with:

  • UTM/Lat long (below)
  • Specialized options. There is a bug which affects most of these, which will present an error message. You can click through with no ill effects. If the presence of the bug offends you, just don't use it. It offends me as well, but I have been unable to track it down, and life is just too short to obsess over everything. The alternative at this point is to just remove the options, but I think having the capability, even with the slightly annoying bug, is the better option.
    • SPCS
    • UK OS grid (compare conversions with OS form at http://gps.ordnancesurvey.co.uk/etrs89geo_natgrid.asp )
    • Finland's KKJ.
    • Conic conversions
    • Polar stereographic
  • Lat/long from PLSS

If you want to do batch coordinate transformations from Lat/long in WGS84, you can create a database and use the options on the Edit menu of the database table form to convert to UTM, MGRS, or Mercator x/y.

This window allows coordinate conversion. It will convert between any two datum in the list in DMA TR 8350.2.

Input data goes on the left side of the window, and the converted data on the right. The memo box at the bottom of the window contains the results of your conversions, which you can save to a file or print.

Enter coordinates in three ways by clicking on the small globe. The coordinates will be converted for the local datum in the input box.

  • Lat/long . Enter degrees, degrees and minutes, or degrees, minutes, and seconds.
  • UTM by entering the x (northing), y (false easting), hemisphere, and UTM zone.
  • MGRS:

The output to the right will display in all three formats.

The display in the box at the bottom will put the input coordinates in the same format you entered them. You can select one or more output methods (lat/long, UTM, or MGRS). The buttons above this box control the display:

  • Convert performs the current conversion and prints the results to the display box.
  • Overlap computes the coordinates in the adjacent 6 degree UTM zone, provided that the location is within 40 km of the zone boundary.
  • Clear zeros the display box.
  • Save lets you save the conversions to a text file.

The check boxes on the right control how the output will be displayed in the display box at the bottom. You can select as many as you want of the output methods, including Lat/Long, UTM, or MGRS. You can also automatically display overlapping coordinates if the selected location is within 40 km of a 6 degree zone boundary, and have the lat/long in all three formats.

The buttons on the bottom of the form :

  • allow you to exit the window (OK or Cancel),
  • display the help

You can set the input and output datums as identical if you only want to display equivalent MGRS, UTM, or lat/long coordinates.

Limitations:

  • Will not convert with the UPS grid in the polar regions.
  • Will not handle the special cases of the UTM/MGRS grid in Norway and Svalbard.
  • If converting between WGS84, and NAD27 or any of the datums that use the Bessel ellipsoid in Europe, you must be aware that the 100,000 m grid square designators change by 10 characters in the y direction (e.g. WA becomes WL in the West Point vicinity). As with all MGRS coordinates, the letters I and O are not used to avoid confusion with the numbers 0 and 1, and X ,Y, and Z are not used.

See also:

  • UTM Grid:
  • Datum shifts:
  • DMA TM8358.1

Last revision 8/31/2018


USGS DOQQ

The USGS DOQ (digital orthophoto quad) covers ¼ of a 7.5’ quadrangle. It has very high spatial resolution, and each image requires about 50 Mb of storage if black and white and about 150 MB if color.

The image must be in a standard format like GEOTIFF file.

Once loaded, the DOQQ behaves like any other image.

Many states now have free USGS DOQQs available on line, often in formats like MrSid.

Last revised 4/29/2018


ChromaDepth Color Scheme

This is now just called the rainbow color scheme.

The ChromaDepth color scheme uses color as a guide for distance. Red is the closest and blue the farthest away from the viewer, with the other colors arranged in order of their wavelength. When used with the appropriate glasses you can see the image in three dimensions.

These options will now run with this color scheme:

Contour map
Color tinted elevation maps
Perspective view

A black background is supposed to help with the depth perception; it provides a very poor choice if you want to print the image out. For printer output you should remove the ChromaDepth option and have a standard Windows white background.

Last revision 11/28/2021


Elevation Histograms

There are several ways to get histograms:

  1. From Histogram choice on Raster GIS submenu on the program menu. Settings (options form, Analysis tab for using sea level for statistics and clipping the tails) will be used for this histogram. Elevation will be on the horizontal scale.
  2. From Analyze submenu, Elevation histogram choice on the program menu. Elevation will be on the vertical scale.
  3. From Moment statistics on Geomorphometry analysis from option of Analyze submenu of the program menu. Elevation will be on the vertical scale.

For slope histograms, Create derivative grid for slope, and then treat that like elevation and use these options.

Elevation-slope plot: calculates statistics and displays a number of different graphs.

Single DEM, or all those open

Pick the graphs desired, and whether you want summary text statistics.
  • Regular Histogram:
  • Cumulative:
  • Normal probability:
  • Strahler:
  • Text

Entire DEMs, or just the current map area

Scaling for horizontal axis.

Bin size:

Histogram options

Regular histogram: plots elevation against percentage of area.
Cumulative elevation distribution: plots elevation against percentage of area at that elevation or lower. This uses an arithmetic vertical axis.
Cumulative elevation distribution: plots elevation against percentage of area at that elevation or lower, on a probability axis. This spreads out the tails of the distribution.
Cumulative Strahler curve: hypsometric integral or hypsometric curve(Strahler, 1952). Graphs proportion of total height on the y-axis, and proportion of total area on the x-axis, with both ranging from 0.0 to 1.0.

These all show the same DEM.

Last revision 4/3/2016


Loading satellite imagery

Open Satellite Imagery or Scanned Maps

To load a satellite image, there are two icons and the File menu:

  • Satellite imagery can be [image] Contrast enhanced You can open by:
    • Picking a folder: this works with Landsat, Sentinel-2 and Planet imagery. This allows you to have multiple images in a single directory, and rapidly pick the image desired. This is particularly effective for Sentinel-2 where the image files are buried many levels deep.
    • Picking a file. For multi-file multispectral imagery, picking one file selects the entire scene. Use this option for Landsat Look.
    • Select which you want on the options form.
    • If you have the wrong option, if you cancel the open operation, you can change the option.
    • Review how the open process works to troubleshoot problems.
  • Scanned maps cannot be [image] Contrast enhanced
  • From the File menu, Open submenu

Modify the imagery display by right clicking on the image.

  • Band to display or a 3 band color, or pseudo-color composite image.
  • Contrast

Image analysis menu has options applicable only to imagery.

Map library can be used to select imagery and other data via a graphical map interface.

Last revision 3/18/2021


Map modfication

Map Modification

  • For most maps you can right click to change the display.
  • The modify menu option also provides options to change the display.
  • Toolbar buttons allow quick access to specific functions. When you pause over the toolbar, it displays a hint telling you what the button does.

Zoom the map in or out

Change the size of the map window:

  • Drag the window. You are limited to the size of the underlying image, accessible with the scroll bars. When the scroll bars disappear, you need to change the image size.
  • To change the image size, use the Modify, Map Area, Custom Image Size menu choice. To keep the map correctly scaled, this will be the maximum size for the map. One dimension will be adjusted (made smaller) so that the map remains scaled.

Place a margin around the map:

  • Insure that the Options, Marginal Information menu choice is checked. This will add a white margin for the UTM grid labels and a legend.
  • To maximize the map information data on the map, uncheck the choice.
  • You can change the size of the margin if desired; this should only be necessary if you add lat/long ticks and want them off the map.

Change the map grid :

  • Use the Modify, Grid menu choice, or use the Grid tool button.

Last revision 7/1/2004


Uninstalling Program

Assuming you installed the program with its SETUP option, you uninstall it with the standard Windows procedure: Start, Control Panel, Add/remove programs.

This complies with Microsoft’s standards for Windows, which do not recommend putting an uninstall icon on the start menu.

If you can live with the program name orphaned in the list in Add/remove programs, you can delete its directory.

The program does not currently use the registry or make any changes in the Windows directory.

Last revised 3/2/2009


Elevation Map Options

Select elevation display options with

  • Modify, Elevation, Colors menu choice that appears when an elevation map window is active.
  • Right click on the map and pick Elevation colors, colors from the popup menu.

In addition to the form below, you can:

  • Expand the z range to use all the available colors on the map window, which can be valuable when you have blown up the map and no longer have the highest or lowest locations on the map. This will only work if you have subset the DEM, and will put the elevation limits for coloring based on the highest and lowest elevations on the map.
  • To arbitrarily set the color limits, right click on the elevation map, pick "Elevation colors, Specify", and then select what you want for the limits to use in coloring. These limits will then apply if you switch to a reflectance map.
  • Set the color range, useful if you want to match several maps.
  • Pick Display color scheme. The preview menu shows what the map will look like.
    • Chroma depth colors: the blue to red progression that provides an illusion of depth when used with the appropriate glasses.
    • Terrain color scale: a color scale that looks good with terrain and does not use blue.
    • Gray scale: a black to white progression.
    • Alternate bands: contours displayed in alternating color bands.
    • Color bands
    • IHS colors. You can change and preview the color scheme. For an elevation map the intensity will be from the elevations, the saturation can be from the light reflectance model, and hue will be a constants than you can adjust.
    • Land sea scales:
    • Spectrum colors
    • Rainbow
    • Fixed color palette from table. This used pre-defined categories, usually good for only one thing.
    • Stretched color palette Defined palette
    • Contrast: Coloring of grids by integer code
    • Grayscale reversed
  • The next two options have been in the program a long time, and I have not recently used them. Their usefulness depends a lot on DEM encoding, and were designed when integer DEMs were the norm. You might now get better results with a vector overlay.
    • Ocean check: put all points at or below sea level in the water color.
    • Lake check: put lakes in the water color.
  • Set IHS colors.
  • Set color for missing data.
  • z Range: set the values to use for color coding.
  • Log 10
  • Grayscale (monochrome): pick the color, with an option to invert.

Last revision 2/8/2022


Perspective Image Quality

Image quality with a draped perspective depends on the following:

  • Size of the window.
  • Vertical exaggeration in the window. You can change this by resizing the window, or changing the maximum and minimum viewport angles.
  • Spacing of points on the radials. The default should give optimal image quality; you might consider reducing this spacing for faster display.
  • Distance out from the observer. The close in points will only have a few data points spread across the entire screen. You can avoid this problem by raising the minimum vertical angle, or increasing the distance to the first point that will be considered. The second option might result in unrealistic views, by ignoring hills close to your location and letting you see behind them, but the image quality will be better.

The program will redraw the draped image map with pixel size equal to the DEM data spacing or the image data spacing before performing the view.

Last revision 11/26/99


Data Manipulation Window

The data manipulation window is accessible only from the main program file menu option or the main program toolbar. It presupposes a degree of knowledge about the data and some options may not be completely error trapped. Opening most data sets no longer disables this window, but you should be very careful not to change an open data set.

This is a modal window; you must close it to revert to the other program options.

It allows the following options:

  • File (to close window)
  • Import: convert data into formats the program can use.
  • Subset: create a smaller data set covering a smaller region.
    • LAS file: recursively quarter the LAS file, until all parts are smaller than specified size. Depending on the aspect of the data set, it will be in corner quarters, or 4 tiles in the NS or EW direction. This can speed up operations when you do not use the entire data set, and allows some operations to run in paralle.
    • DEMs: this lets you pick the corner coordinates, and subset a number of DEMs. You might use this for a series of lidar grids over timel
    • Mask DEMs: Pick a DEM to use as the mask, and then a number of DEMS to mask. All points in the DEM to mask, for which there is not a valid point in the DEM to use as the mask, will be removed. The masked DEMs will be stored in a "masked" directory, with just the region with valid data.
  • Resample: Many of these require GDAL to be installed.
  • Create/Index
  • Edit
  • Compress/Uncompress
  • Download
    • List of URLs such as USGS National Map. This fails with some files. For those try the next two options, which is clunkier to use for a large number of files.
    • Chrome list, and then pick the text file. The program will open Chrome, and put each into a tab, and download. You will have to approve each download (quick CR), and it is unclear how many you can download at once (at least 17 works). This may be blocked by IT.
    • IE list, and then pick the text file. The program will open Internet Explorer, and put each file request into a tab, and download. You will have to pick "Save" for each file. This may be allowed by IT, but might be less reliable than using Chrome. You may be able to successfully resume the failed downloads (doesn't hurt to try), and you might crash IE.
  • Delete: remove project, DEM, movie, or KML files from you hard disk. This will remove all associated files.
  • Help

Last revised 7/3/2023


Koppen climate

Koppen Climate Classification


ADRG loading

ADRG Loading--try GDAL


Contour Map Options

Window allows you to select the variable parameters for the contour map, which you can start in several ways:

  • Annotate Map from the Map Window Toolbar to put contour overlays over any map with an associated DEM

  • Right click on the map and

    • pick "Contours" under "Display parameter"

    • Pick "Contour inverval" to change the contour interval and the contour line colors.

  • Maps tab of the options form, brought up from the Options menu selection, which lets you make a contour map the default when opening a DEM.

Options available include:

  • Contour interval: distance between contour lines.
  • Regular: no effect if ChromaDepth colors are selected. Contours not otherwise colored will be in this color.
  • Overlay: when overlaying contour lines on a map or satellite image, only one color will be used.
  • High index: the highest index contour line can be a distinctive color.
  • Index: every fifth contour line can be a different color.
  • Low index: the lowest index contour line can be a distinctive color.
  • Zero: if present in the area, the zero contour line (often sea level) can be a different color.
  • Contour colors:
    • Specified: different colors for the 5 categories on the right
    • Single: only one color.
    • ChromaDepth : if selected, the contour lines will be colored from highest to lowest on the map with a rainbow range of colors from blue (lowest) to red (highest). Because of the black background, this option is not recommended if you want to print the image.
    • Terrain:
  • Contour line width:
  • Label contours: only label contours for small maps. It can take forever on large maps because of the need to connect the contour line segments.
  • Index contour width.
  • Export contour lines in shape file :

Selecting OK will draw the contour map with the selected parameters; cancel will abort the contour operation.

For overlaying contours on another map, only the contour interval and the Overlay contour line color are available.

Last revised 4/16/2021


Datum Caution

All data sets (DEMs, satellite imagery, and scanned maps) are transformed to the local datum. The local datum appears at the bottom of the map window, as a 5 character code. This is the same code used to select datums. All coordinates displayed by the program, or that you enter, use this local datum. You set the local datum in the Maps tab of options form . This will take effect for all data sets loaded after you select it. You might need to close data sets loaded before you set the correct local datum and then reload them.

The data you use was digitized on a particular datum. The program should correctly identify and set this datum. For a DEM you can see this datum on the Analyze header menu choice, and if absolutely necessary you can change it on the data manipulation menu under the Edit, Header menu choice. You can only change the digitizing datum for a DEM stored in the program’s internal format. For a satellite image you can view (and change) the digitizing datum by looking at the XY file that goes with the DEM.

The datum can significantly vary coordinates, and you should take great care to understand about the effect of the datum. This can be particularly true for scanned maps, whose grid might not be on the expected grid. Users of CADRG and ADRG must take note that many of the maps show a local datum grid, and not WGS84. For example, many of the CONUS maps show a UTM grid and lat/long ticks on the NAD27 datum, displaced several 100 m from WGS84.

Datum shifts

Last revised 8/19/2006


Point Selection & Verification

Point selection can be done with the mouse by roaming over the map, watching the coordinates in the panel at the bottom of the window, and double clicking at the desired location. The accuracy with which you can select locations will depend upon:

  • The scale of the DEM
  • The size of the window on the screen
  • Your manual dexterity

With a large DEM or a small window you may not be able to be very precise—you can only select those points that exactly correspond to pixels on the screen. The screen pixel size shown on the Information menu choice will show you the resolution with which you can graphically select points--note this is a best case, and assumes you actually can pick the pixel you want. You can increase your precision by setting the Verify Coordinates setting on the Coordinates tab of the options menu. This offers the following choices:

  • None: all coordinates selected with the mouse will be accepted. This will provide the fastest operation, but potentially lowest resolution.
  • Reasonable: coordinates where you might want to be the most precise (e.g. weapons fans or line of sight placement) will be verified. You have two choices, described below, for verification.
  • All: any coordinate will be verified. This will probably be overkill, but if you wanted two three dimensional views to cover exactly the same ground you should select this option.

You have two ways to verify coordinates (also set on the Coordinates tab of options menu):

  • Graphical blowup: you will get a contoured blowup of the region around the point you selected with the mouse. Select the exact point you want by double clicking on the blowup map.
  • Keyboard selection: enter the exact coordinates you want, with the mouse selection as the default. This does not let you verify that the hill top coordinates read from your map or GPS receiver are in fact those in the DEM.

Last revision 12/3/2011


terrain category overlay

Terrain Category Overlays

Select this option from the Overlays menu with a map open. There must be a DEM associated with the map.

With this window you select the values that define a category and the color to describe it, and then the program will mark all terrain that matches the selected values.

The panels shown will depend on which options you have checked at the top of the form.
  • Elevations: Select the minimum and maximum elevations in meters, with indication below of the equivalent values in feet, and the percentiles within the DEM.
  • Slopes: Select slopes in percentages, and the program will display the corresponding slope angle in degrees to assist in your selection.
  • Relief: relief is the difference in elevation between the highest and lowest point within a specified radius of the point. The radius actually defines a square centered on the point.
  • Aspect: aspect is the downhill direction. You can select any combination of aspects. (aspect maps)
  • Color: Select colors for the categories that contrast with the map display. This will probably show up best on reflectance contour maps, or single band imagery.
  • IHS color merge: to let the terrain peek through. Pick a pastel color for this. This selection affects basin flooding.

  • PLOT button draws the map.
  • Add category
  • Export grid: in the new grid, all points that in the category will have a single value. This is designed to only work with a single category.
  • Export DB: for elevation maps only, every point in the category will be a record in the DB. This is designed to only work with a single category, and the resulting database could be very large.
  • Masking by category. This allows edits of the DEM based on category membership. This will be in memory; to save, you must save the DEM. Reload the DEM to undo the mask.
    • Mask cat in: in the DEM, all points that meet the single category will be retained, and all others removed.
    • Mask cat out: in the DEM, all points that meet the single category will be removed.
  • OK: exit the form, and save the category to be redrawn when the map redraws.
  • Cancel: exit the form, and discard the category.

If you only want to define the category based on a single characteristic, leave the others unchecked. The default values should select the entire region.

The legend for the terrain categories will give the percentage of the map area that fits each criteria.

Last revision 11/14/2017


Elevation-Slope Plot

Option on Analyze menu calculates statistics for the current data set, and then displays several graphs. The program does an automatic assignment to about 100 elevation bins; the exact number depends on the elevation range and each bin having the same size.

Control graphs drawn

Slope frequency: slope value in percent versus number of points. Because of the quantized nature of slope values because most DEMs record elevation only to the nearest meter, these plots may not be comparable for DEMs at different data spacing. You can also get a slope histogram by Creating a derivative grid
Slope vs elevation: elevation versus average slope, as in Moore and Mark (1993). This diagrams shows where generally steep and generally flat areas occur in terms of elevation.

The computer can also plot the standard deviation for slope in each elevation bin, showing the relative variability of slope at different elevations. The thin green and blue lines show one standard deviation above and below the average elevations.

This diagram shows slope in percent.
Slope vs elevation: same diagram as above, but with slope in degrees.
Cumulative slope: slope value in percent versus cumulative percent gentler on a normal probability axis; this avoids many of the problems with quantized slopes that are present in the slope frequency plot.

Aspect Distribution (Rose diagram) :

Elevation distribution:
  • Slope method: 8 neighbors (even)
  • DS_30M
  • Max slope: 345.95% 73.9°
  • Average slope: 27.29% 15.3°
  • Standard deviation: 23.36 (%)
  • RMS 35.93 (%)
 Text results.

Last revision 12/10/2021


Ternary Options

Options to set for the Ternary diagram
  • Grid type
  • Diagram size
Regular grid.
  • Ticks every 10%.
Shepard sediment classification.
  • Lines at 50% perpendicular to each side
  • Lines at 75% near each corner
  • Lines at 20% in parallel to each side

Last revision 10/27/2008


Terrain Blowup

Option when right clicking on a map.

Has contours, elevation colors, the grid z values , and the downhill direction.

Last revision 11/1/2009


Terrain Profiles from Line Shape File

Requires line shape file, and a DEM associated with the map.

Selected by Right clicking record in table display window

Displays graph of elevation along the record.

Limits on results:

  • DEM quality
  • Shape file quality (number of points, and the accuracy with which they are located.

Stream Profile plot longitudinal profile of a stream valley by clicking on points on amp.

Last revision 2/19/2009


Terrain Analysis

Terrain analysis employs elevation data, usually in conjunction with other geospatial information, to describe the landscape, for basic visualization, modeling, or to support decision making. While terrain analysis can create tables, scatterplots, or histograms, the primary product will almost always be a map. The two reasons to do terrain analysis—explore data and see relationships, and then communicate results to others—can be considered part of telling a story. Terrain analysis is the same as any other study in geography, or indeed any intellectual endeavor, and differs only in the questions asked and the data employed.

Terrain analysis ranges from largely qualitative, typified by military terrain analysis, to sophisticated numerical computations in geomorphometry. Military terrain analysis is 'the collection, analysis, evaluation, and interpretation of geographic information on the natural and man-made features of the terrain, combined with other relevant factors, to predict the effect of the terrain on military operations' (DoD, 2010). The same principles would apply to engineering site analysis or the selection of locations for economic development, where users seek to understand how the terrain effects and limits human activity. Geomorphometry is 'the science of topographic quantification; its operational focus is the extraction of land-surface parameters and objects from digital elevation models' (Pike et al., 2009, p.4).

Key data for terrain analysis

Urban DSM Display

Introduction to terrain analysis in MICRODEM

Last revision 10/30/2017


Terrain Organization References

  • Chapman, C.A., 1952, A new quantitative method of topographic analysis: American Journal of Science, vol.250, pp.428-452.
  • Guth, P.L., 2003, Terrain Organization Calculated From Digital Elevation Models: in Evans, I.S., Dikau, R., Tokunaga, E., Ohmori, H., and Hirano, M., eds., Concepts and Modelling in Geomorphology: International Perspectives: Terrapub Publishers, Tokyo, p.199-220. Available online at http://www.terrapub.co.jp/e-library/ohmori/pdf/199.pdf
  • Guth, P.L., 2001, Quantifying terrain fabric in digital elevation models, in Ehlen, J., and Harmon, R.S., eds., The environmental legacy of military operations, Geological Society of America Reviews in Engineering Geology , vol, 14, chapter 3, p.13-25.
  • Guth, P.L., 1999, Quantifying and Visualizing Terrain Fabric from Digital Elevation Models: in Diaz, J., Tynes, R., Caldwell, D., and Ehlen, J., eds., Geocomputation 99: Proceedings of the 4th International Conference on GeoComputation, Fredericksburg, Virginia, USA, 25-28 July, 1999, CD-ROM ISBN 0-9533477-1-0. Available online at http://www.geovista.psu.edu/sites/geocomp99/Gc99/096/gc_096.htm
  • Guth, P.L. 1999, Quantifying Topographic Fabric: Eigenvector Analysis Using Digital Elevation Models: in 27th Applied Imagery Pattern Recognition (AIPR) Workshop: Advances in Computer-Assisted Recognition, 14-16 Oct 1988, Washington, DC, R.J. Merisko, ed., Proceedings of SPIE [The International Society for Optical Engineering] vol.3584, p.233-243.
  • Jordan, G. (2003), Morphometric analysis and tectonic interpretation of digital terrain data: a case study. Earth Surf. Process. Landforms, 28: 807-822. https://doi.org/10.1002/esp.469
  • Woodcock, N.H., 1977, Specification of fabric shapes using an eigenvalue method: Geological Society of America Bulletin, vol.88, p.1231-1236.

Main reference page

Last revision 10/24/2022


Test Viewshed Algorithms

Pick on the Calculate, Intervisibility menu from a map.

  • Pick the location for the fan.
  • Pick the viewshed parameters which will be the same for all the algorithms.
  • Pick the number of fans (1-6), and the characteristics of the algorithms. Double click on the algorithm description to modify it.

  • Each fan will be drawn. The computer will report the time required, and the percentage of the fan area reported as visible by the algorithm, on the title bar of each results window.

Effect of horizontal earth curvature algorithm.

Last revision 7/1/2004


2007 TIGER Shapefiles

TIGER Shapefiles--2007 and later versions

You need to download the file for "ALL LINES or EDGES" from TIGER Census Bureau site.

Last revision 11/20/2012


Threads

Many options can run in multiple threads if your computer has multiple processors. You pick the number of threads to use on the Printer/Hardware tab of the options form.

In most cases you will get a speedup close to directly proportional to the number of threads, up to the number of physical cores in the system, as long your system has that number of cores.

Current options that are threaded:

  • Weapons fans
  • Map drawing of grids
  • Computation of new grids
  • SSO computations
  • Plotting LAS files (must be tiled, and plot multiple tiles simultaneously)
  • Masking a grid from a second grid
  • Converting missing data to sea level
  • Uncompressing ZIP files
  • Creating databases with block statistics
  • Finding lag for best grid correlations
  • Perspective 3D views
  • Overlay second grid on map
  • Import multiple GeoPDF

Threading is done in two ways depending on the procedure:

  • Using Delphi's parallel library, for those operations done within MICRODEM code.
  • Spawning multiple processes in separate command windows, for case when MICRODEM calls outside programs like LAStools or GDAL.

Last revision 8/28/2017


Three Point Problem

The three point problem used in structural geology calculates the orientation of the plane that contains three given points.

Select this option from the structural geology computation window , if the geology options have been enabled on the options form.

You must select each of the three points by double clicking. You can verify that a point has been selected because the status bar in the lower left corner of the screen will increment the point to select next.

The program will report the orientation of the plane, and its slope in percent. It will also draw the projected outcrop trace of the plane.

Last revised 8/27/2004


Thumbnails

On Tools option of File menu, available only when no maps are open.

Takes all graphics files(BMP, JPG, PNG, GIF, and TIFF) in a directory, and change the format and give them all the same height.

The output will be in the same directory, with the prefix "tn-" at the start of each file name.

Optionally you can create an HTML page with all the thumbnails, linked to pages with the full sized images.
Thumbnails index file, with a table. The text on the right displays the file names.
Thumbnails index file, without a table.

Last revision 7/3/2016


Tide Gauges and Global Sea Level

Tide Gauges and Global Sea Level Rise

The University of Hawaii (http://uhslc.soest.hawaii.edu/) has a series of tide gauge records that can be used to look at the spatial patterns of sea level rise. We got these files a very long time ago, and there has been a lot of work in this area since then.

  • Caldwell, P. C., M. A. Merrifield, P. R. Thompson (2015), Sea level measured by tide gauges from global oceans — the Joint Archive for Sea Level holdings (NCEI Accession 0019568), Version 5.5, NOAA National Centers for Environmental Information Dataset doi:10.7289/V5V40S7W
  • Another source of data: http://www.psmsl.org/data/obtaining/

Select global base map for display

Open database with locations of the tide gauges.
  • Filter: you can restrict the display, and should consider duration of the tidal record, and whether the record is rising or falling.
  • Plot: especially Color code by DB field and Color code by numeric field like the length of the tide records or the rate of sea level rise.

Map of the US showing the rate of sea level rise.

Plot, Color code by DB field and Color code by numeric field

Negative values imply drops in sea level.

Plot, Color code by DB field and positive/negative.
  • Yellow have change in sea level less than 2 mm/yr,
  • Red had drop in sea level more than 2 mm/year
  • Green had rise in sea level more than 2 mm/year
Tidal record, time series.

Consider the geologic and plate tectonic settings, and how they might correlate with the sea level rise.

  • Geology options available from map window toolbar, in particular the plate boundaries or the continental outlines . You can overlay these on any maps.
  • Sediment Thickness. This is a DEM/grid, and you can display the tide stations on it.
  • Predicted sea floor ages. This is a DEM/grid, and you can display the tide stations on it.

Last revised 8/3/2018


Tiger geocoding

TIGER ADDRESS GEOCODING

TIGER record in database format. Missing or non-critical fields empty. This database was the original source for Google and Mapquest, and in many cases they still have the same problems.

The coordinates here are the bounding box, which may or may not be the end point coordinates.

  • If there are only two points in the line segment, the coordinates will be the same, but they might be in a different order.

ZIPL and ZIPR contain the ZIP codes on each side of the street.

The latest TIGER files combine FENAME and FETYPE into one field, FULLNAME.

TIGER Address Geocoding

The TIGER scheme uses four fields for each street segment to calculate address locations.

The street segment goes FROM (the first end coordinate pair) TO (the second end coordinates).

As you stand on the FROM end and look toward the TO end, there is a right side and a left side. This results in a "From Address Left (FRADDL)" and a "To Address Left (TOADDL)", and similar values on the right. For each of these there is a house number, typically odd on one side and even on the other.

In this case, for the record above, the left side of the street goes from 101 to 199. If we wanted 107, it should be about 7% of the way down the street, and the coordinates would be picked to be off the street centerline to the left.

In this case, the results are off by about two houses, because the last address on the left is nowhere near 199 (it is 109, but that house is only about 60% of the way down the block, as the last house on the block actually faces the side street). You will frequently find this level of error in addresses derived from the TIGER data (as in Google Maps and Mapquest), but this method allows quick computation for any address with a reasonable storage requirement. If the computer addresses get you to within a few houses, that still represents a vast improvement over having to provide detailed driving directions to your visitors.

Geocoding

Geocoding in MICRODEM.

Last revision 11/9/2015


TIGER County Map

Selected on main program toolbar. Opens a vector map in UTM projection showing the entire county. You will probably want to [image] Subset data set to zoom in. By default MICRODEM uses smart scaling to show increasing levels of detail as you zoom in with the TIGER data.

Pick state by entering its two character abbreviation in the edit box, and then pick the county by either name or FIPS code. If you do not get any counties, try Re_Index, and verify that your data is in the correct location.

Double click on the country, or click the OK button when the correct county is highlighted.

When looking for TIGER files, you must have the files in the correct TIGER data directories and the index current. You can re-index if required, or locate the files with the "Find file" option.

If you need the bounding box for the county, scroll to the right and the high and low lat/longs will be shown.

TIGER overview.

TIGER plotting options

Last revision 11/1/2017


TIGER Data Base

  • Place unzipped shapefiles in c:\mapdata\tiger_shapes\, with a directory for each state with the standard two letter abbreviation. You need the EDGES files.

You will also need the TIGER dBase directory file, included in the program installation, which is currently TIGER_INDEX.DBF.

  • Data Manipulation form, Create/Index menu. This will index the files you have, and insure the record bounding boxes are present in the DBF file. This could be relatively slow for a large number of files.
  • TIGER county map option, which will let you open your TIGER data to verify correct operation, as well as re-index it.

The dBase table contains counties for all 50 states, Puerto Rico, and the District of Columbia. If you want to add other TIGER data (e.g Virgin Island or the Pacific Islands), you must edit the DBF file. You can do this in Excel or another database program which will let you add records to a database. You must fill in all fields. See the existing entries for how to enter the relative path that goes in the file name field.

You can load TIGER data for the current map, either automatically when the map redraws (enabled with Tiger button, Vector maps tab, on the Options form), or as a deliberate menu choice.

  • TIGER overview.
  • TIGER plotting options.
  • Identify and Label TIGER roads.
  • Tiger data download.
  • TIGER shapefiles.

Last revision 7/11/2016


TIGER Data Download

Directions

  • Main TIGER download page: Connect to https://www.census.gov/geographies/mapping-files/time-series/geo/tiger-line-file.html. Select the tab for the year you want; generally the most recent will be best.
  • At the bottom of the page, under TIGER/Line Shapefiles for the year, Pick the web interface. When the data is first released, sometimes only the FTP interface is available. It can be a little harder to use, so consider if you can use the previous year's data, since typically there are not many changes.
  • The year should be selected already, but you can change it.
  • Change layer type to "Features", "All lines" for roads, streams, and other features. This will have "edges" in the file name.
  • Pick submit.
  • Pick state.
  • Pick county
  • Pick download
  • Save the county file; the EDGES files range in size from a few hundred kilobytes to about 15 MB, depending on the size of the county and the density of features.
  • Names consist of:
    • tl for "Tiger Line"
    • The year
    • A five digit county FIPS code ; the first two numbers are the state, and the last three the county. Both states and county codes are in alphabetical order.
  • Create a state directory under "c:\mapdata\tiger-shapes" for the state, using the correct two letter abbreviation.
  • Uncompress. This is a shapefile, which actually consists of multiple files, which must be kep together.
  • Index TIGER line data (optional, but can automatically load the TIGER on a map without your having to use the FIPS codes.

Other useful data here includes:

  • Block, Block Groups, and Census Tracts. The polygons allow you to Join economic and demographic data.
  • Counties (and equivalents)
  • Zip code tabulation areas
  • SF1 Demographic profile: These national level shapefiles and geodatabases join the geometry and selected attributes from the 2010 Census TIGER/Line Shapefiles and the 2010 Census Summary File 1 Demographic Profile (DP1) for the United States and Puerto Rico. They contain data items such as total population, total housing units, median age, population 16 years and over, population 65 years and over, race, relationship, average household size, and many others. Some of the files are huge.

TIGER overview

Last revision 10/21/2019


TIGER Record Labels

Label all: every record will be plotted. Since every block is likely to be its own record, this can lead to overload.
Label some: only the first record with the name will be plotted.

Last revision 1/23/2009


Identify and Label TIGER Roads


TIGER Road Masking

Option on the Raster GIS menu.

Set the options.

Only points near roads, with buffer of 250 m on each side of the road. Roads come from the TIGER file, which must have correctly located and indexed.
Only points off roads, with buffer of 250 m on each side of the road.

Last revision 8/26/2006


TIGER Options

TIGER Shapefile Options

Database with rules for Tiger files. It will be in the main program directory. You can open it and edit it like any database.
  • Toggle display with Y/N in the PLOT field.
  • PIXEL_SIZE for the map determines if layer appears. Map pixel size must be less than this value for the features to be displayed.
  • FILTER sets the MTFCC categories to use.
  • LINE_WIDTH, LINE_COLOR determine line characteristics.

MTFCC is "MAF/TIGER Feature Class Code". It has a letter for the major category, and then 4 numbers for subcategories. The XML metadata file with each shapefile defines the codes.

- <edom>
<edomv>H3013</edomv>
<edomvd>Braided Stream</edomvd>
<edomvds>U.S. Census Bureau</edomvds>
</edom>

MICRODEM selection form

This window allows modifying the plotting parameters with TIGER data. This can be activated by right clicking on a map with TIGER data displayed, or on the Vector Map tab of the options form

  • Separate tabs control the roads, political boundaries, other features, auto-scaling, and file options.
  • The check box determines if the feature is plotted or not.
  • The buttons control the line width, and the line color for each feature.
  • Auto appear scaling uses "smart" logic to remove smaller features as the map scale becomes smaller. See an example of TIGER smart scaling.
  • When autoscaling is on, the roads and streams only appear if the pixel size on the map (in meters) is smaller than the selected threshold.
  • Label every record
  • Defaults returns all settings to the program defaults.

Roads tab

TIGER uses 7 levels of roads, from interstates to trails. The TIGER shape files use only 6 levels of road, (combining levels 2 and 3 into one).

Boundaries tab

TIGER has political boundaries, which are generally not very useful.

Others tab

The "Feature Labels" determines whether roads and streams will be labeled.

The TIGER shapefiles use only 1 water level.

Powerline and Pipeline are not used very often or consistently.

Feature labels determines whether text labels will be drawn. You must be really zoomed in to avoid solid text layers.

Autoscaling tab

These shows the size in meters of the map pixel when features will appear. Notice that a small scale map, with large pixels covering a large area, will only show the most important features.

Features can be labeled, but it is likely that every block will be labeled because of the way the TIGER files are organized.
Files tab

If you set Auto appearing on Maps, or select the Overlay, All TIGER, you can set the max number of counties to automatically draw. If your map has more than this number, you will be asked if you want to proceed. To avoid that annoyance, set this number high. On the other hand, if you sometimes open very large DEMs, you might not want to open all the Tiger files that cover it, and would instead want to use data from the US National Atlas.

he use of zipped files, and the use of the old ASCII files, are probably not working and are not likely to return.

Overview of TIGER operations, and sample output.

TIGER Shapefile record.
  • Left and right, From and To Address field used for address geocoding.

Last revision 6/5/2016


Cross Correlation

Cross correlation presents a technique for comparing two time series and finding objectively how they match up with each other, and in particular where the best match occurs. It can also reveal any periodicities in the data. The technique takes the two time series and lines them up with each other as follows:

lag 0

ABCDEFGHIJKLMNOPQRSTUVWXYZ
abcdefghijklmnopqrstuvwxyz

A correlation coefficient is computed to see how well one series predicts the values in the other. Then the series are shifted and the process repeated:

lag 1

 ABCDEFGHIJKLMNOPQRSTUVWXYZ
abcdefghijklmnopqrstuvwxyz

lag -1

ABCDEFGHIJKLMNOPQRSTUVWXYZ
 abcdefghijklmnopqrstuvwxyz

lag 2

  ABCDEFGHIJKLMNOPQRSTUVWXYZ
abcdefghijklmnopqrstuvwxyz

lag -2

ABCDEFGHIJKLMNOPQRSTUVWXYZ
  abcdefghijklmnopqrstuvwxyz

The lag refers to how far the series are offset, and its sign determines which series is shifted. Note that as the lag increases, the number of possible matches decreases because the series “hang out” at the ends and do not overlap. The value of the lag with the highest correlation coefficient represents the best fit between the two series. The lag times the sampling interval gives the duration by which one series leads or trails the other--how long it takes the effect to propagate from one variable to the other. If you have hourly data and the best lag in 12, the time difference between the two series is 12 hours.

You can plot the correlation coefficients versus lag to look for periodicities in the original time series. If the data is periodic, there will be an oscillation in the correlation coefficients with lag. They will be positive and have large values when the two series are in phase, and negative with large values when the two series are out of phase (peaks aligned with troughs).

Correlogram (correlation coefficient versus lag) for two series. Note that even the best correlation is less than 0.5, and that the pattern is not symmetrical.

A blowup of the diagram above, to show that the best correlation does not occur at 0 lag, so that if the two phenomena are related, there is a time delay to the effect. The pattern is also not symmetrical with positive and negative lags.

Some series (tides, or annual climate) can be strongly periodic.

Some variables will have very strong correlations, and others (such as many things dealing with human behavior or noisy natural phenomena) will have very weak correlations but still be significant.

Auto correlation is a special case of cross correlation with only one time series. It is used only to look for periodicity in the data set.

Directions for cross correlation.

Last revised 6/19/2015


Time Series

We have a number of tools for looking at time series and searching for periodicity in the data. The Nyquist Sampling Theorem relates the frequency at which you sample the time series to the frequencies in the original data series that you can resolve.

We will consider a time series to be a sequence of readings of some parameter at equally spaced points in time, although in many cases we could also consider a series of equally spaced values of the parameter along a horizontal distance axis. Waves represent time series that we can visualize either on a time or distance axis: on a time axis we remain at a fixed point and see how the water surface varies at discrete points in time, and on a distance axis we freeze the water surface and see how the surface varies at discrete distances along it. Tides represent time series that we can visualize on a time axis: we remain at a fixed point and see how the water surface varies at discrete points in time.

We look at time series for two reasons:

  • Search for periodicity in the data, both for objective confirmation that the data is periodic, and to determine the period or frequency of the regular pattern.
  • Search for the relationship between two time series, and in particular to determine if there is a time “lag” between the two relationships. A change in one parameter may cause a change in another, but it may take time for the effect to be seen. For instance an El Niño will cause a change in the water levels on the east side of the Pacific, but it takes time for the water to cross the Pacific in a Kelvin wave. Thus the water level changes may lag the changes in pressure or wind speed.

If we had clean data this would be an easy process, but real world data can be very noisy and we need mathematical assistance.

Methods in MICRODEM for looking at time series available on Stats button of table display window for a database.

  • FFT (Fast Fourier Transform)
  • Auto Correlation
  • Cross Correlation
  • Fit Fourier Curve
  • Plot (xy):
  • Plot (1 series): if there is no explicit time variable, the program will plot the values on the y axis, with the x values being the place within the file. This is only valid if the readings are evenly spaced.
  • Linear interpolate across gaps: pick the time variable (cannot have gaps) and the series value, and any gaps will be filled by linear interpolation.

Last revised 2/21/2016


Fast Fourier Transform

FFT: Fast Fourier Transform

A physical process can be considered in two domains:

  1. The time domain, with the values of a parameter as a function of time.
  2. The frequency domain, with the amplitude of the process as a function of frequency.

The two representations are equivalent, and each can be converted to the other with the appropriate Fourier transform.

The FFT, or Fast Fourier Transform, provides a very fast way to transform data between the two domains. Its discovery, in an era of very limited computing power, allowed Fourier transforms in real time with the collection of data. The FFT has been used in an extremely wide range of fields.

The Power Density Spectrum can be computed as either a one-sided or two-sided value, which will differ by a factor of two. Users frequently will not explicitly state which convention they used, so you should not be surprised if estimates of power vary by a factor of two. Other choices in the processing (segment size, windows, or padding) can also affect the precise numbers obtained as estimates of the power.

Infinite series will have infinite power, so often power is expressed in terms of the power spectral density per unit time. The power density will generally show a steady decrease with smaller periods or larger frequency, but may be interrupted by frequencies with anomalous power that represent cyclic phenomena.

The data for a Fourier transform are always samples at discrete time intervals from a continuous series. The reciprocal of the time interval is the sampling rate.

Sampling and aliasing. Power from periods (or frequencies) outside the sampling range will be folded back into the periods observed. This is known as aliasing, and is governed by the Nyquist Sampling Theorem.

Zero padding the series adds a number of zero values at the end of the series. The speed benefits of the FFT transform require an even power of two for the number of data points. Zero padding also removes some wraparound problems at the ends of data sets.

The FFT will estimate power only at discrete periods (or frequencies), T/n where T is the duration of the time segments used to do the FFT and n is an integer from 1 to the number of samples used in the FFT. Often the true period(s) may not be estimated directly, and its power will “leak” into the adjacent periods (or frequencies).

The shorter the sampling interval, the shorter the periods we can resolve. The more points sampled at the same rate, the finer the frequency resolution we can achieve.

The use of a window attempts to minimize the effects of leakage. The square window does nothing; the best choices are the Parzen or Welch (Press and others, 1985, p.425) with little practical difference between the two. Leakage refers to power spread over several adjacent frequencies, and occurs because we calculate power only at specified periods which may not exactly coincide with the true periods of the phenomena under study.

Power Density Spectrum for a periodic series. There are a number of large spikes in the graph, and they occur at one period and even subdivisions of it.
Power Density Spectrum for a series with no strong periodicity. The small regular oscillation of values on the left side of the diagram is a common artifact of the process.

  • Power spectra.
  • Modify FFT graph
  • Fourier Curve Fitting

Last revision 3/6/2005


FFT power spectra

Fast Fourier Transform Power Spectra

The FFT provides a computationally fast way to transfer between the time and frequency domains.

Power density spectrum with data plotted by frequency. Note the general overall steady decrease in power with increasing frequency, interrupted by sharp spikes where the series is periodic.
The same power density spectrum with data plotted by period. Note the general overall steady increase in power with increasing period, interrupted by sharp spikes where the series is periodic.

Table with the data from the plots. Note the general decline in frequency with increasing bin number, but that periods around 12 and 24 hours have anomalously high power, suggesting periodicity in the data at those periods.

Bin    Frequency   Period         Power
    1       0.0    infinite    1.348073
    3   0.00293  341.333333    0.085273
    2   0.00195  512.000000    0.057467
    4   0.00391  256.000000    0.030551
    5   0.00488  204.800000    0.024552
    6   0.00586  170.666667    0.016627
    7   0.00684  146.285714    0.010556
    8   0.00781  128.000000    0.010149
   82   0.08008   12.487805    0.006268
    9   0.00879  113.777778    0.006149
   10   0.00977  102.400000    0.005995
   11   0.01074   93.090909    0.004356
   83   0.08105   12.337349    0.004074
   43   0.04199   23.813953    0.003910
   12   0.01172   85.333333    0.003597
   13   0.01270   78.769231    0.003324
   40   0.03906   25.600000    0.002679
   15   0.01465   68.266667    0.002505
   14   0.01367   73.142857    0.002443
   42   0.04102   24.380952    0.002357
   16   0.01563   64.000000    0.001971
   17   0.01660   60.235294    0.001869
   18   0.01758   56.888889    0.001701
   20   0.01953   51.200000    0.001432
   19   0.01855   53.894737    0.001422
   81   0.07910   12.641975    0.001408

Last revision 2/2/2009


Fourier Curve Fitting

Fourier theory states that we can model any time series with a series of sine curves. The only major caveat is that the series must have no overall trend (tendency to increase or decrease in value with time); if it does, we can remove the linear trend, solve for the Fourier series, and then add it back to the trend. The result will be:

Original Time Series = Trend + Mean + Series sine curves

Each sine curve has three parameters:

  • Amplitude
  • Period or frequency, which are inverses of each other.
  • Phase angle or shift, which relates the starting point of each curve to the others. A 180° phase shift would transfer the representation from sine curves to cosine curves.

Because sine or cosine curves oscillate about zero, adding the mean allows the series to have an average value that is not zero.

The periods at which we get the sine curves are not random. Several choices can be made, either using powers of two or all integers. In the case of all integers, the zero-th term has infinite period and is the mean; the first term has a period equal to the length of the time series; the second term has a period equal to ½ the length of the time series (two cycles over the entire time period); the third term has a period equal to 1/3 the length of the time series (three cycles over the entire time period); and the nth term has a period equal to 1/n of the length of the time series (n cycles over the entire time period). If we only used powers of two, we would only have periods of 1, ½, ¼, 1/8, 1/16, 1/32…. of the overall period.

In the extreme case, we need the number of terms in the series to equal the number of points in the data series. In practical terms we can generally recreate any series, even a step function, with a much smaller number of terms. To look for periodicity in the series, we can order the terms by their amplitude, and pick out periods with extremely high amplitudes.

To find periodicity in the data, we need to sample over a number of periods. We can resolve very fine differences in period at short periods, but not at the long periods. If the period is long compared to overall time series, we may not be able to accurately measure it since an even number of periods will not fit into the data series.

This graph shows a topographic profile across Mt. St. Helens in red. Superimposed in green is the fit with a series of 50 sine curves. The fit is remarkably good, except at the two ends of the profile where the Fourier curve has to repeat (note that it drops on the left side and rises on the right, which the real profile does not do). In light blue we have the sum of the two strongest terms in the series, and in dark blue is the second strongest term.

The table below shows the data for the strongest terms in the Fourier series to represent Mt. St. Helens. Note that for each a period, phase, and amplitude appear. Each has also has a % SS for percentage of the sum of squares, to indicate how much of the variance each explains. Note that in this case a single sine curve explains almost 95% of the variance; Mt. St. Helens is almost a sine curve (the fortuitous length of the profile probably helps this).

 Mean  = 1668.45  Variance  =   198624.668

Component   Period   Phase    Amp    % SS

     1     602.000   278.3 612.845  94.54
     4     150.500   332.4  75.208   1.42
     5     120.400   134.0  71.785   1.30
     6     100.333   352.5  64.491   1.05
     3     200.667   141.8  62.420   0.98
     8      75.250   359.9  28.498   0.20
     2     301.000    91.1  21.209   0.11
     7      86.000   146.0  19.324   0.09
    11      54.727     0.9  12.635   0.04
    12      50.167   271.4  12.390   0.04
     9      66.889   312.5  10.960   0.03
    14      43.000   292.8   9.984   0.03
    10      60.200   298.2   9.586   0.02

Total Percent sum of Squares  =  100.0

Note that component one has a period of 602, the number of points in the data set, component 2 has a period of 301 (602/2) component 3 has a period of 150.5 (602/3), and so on. If there were any periodicity at a value of 200 or 250 it would be missed by this analysis.

Predicted Hourly readings, Annapolis Tides

50 terms, min resolved period 57.6 hours

This graph shows the Annapolis tide in red, with the fit in green. The minimum resolved period does not capture the true diurnal and semidiurnal tide periods, but does capture some of the longer periods. Overall, as shown in the table below, the series only explains 30% of the variance.

Component   Period   Phase    Amp   % SS  Cum % SS

     1    2880.000   171.2   0.260  18.122   18.12
     4     720.000   146.8   0.117   3.667   21.79
     2    1440.000   168.6   0.109   3.174   24.96
     8     360.000    14.0   0.083   1.860   26.82
     3     960.000   164.0   0.080   1.706   28.53
     9     320.000   168.1   0.053   0.751   29.28
     5     576.000    73.5   0.032   0.280   29.56
    50      57.600     3.0   0.004   0.003   30.48
Total Percent sum of Squares  =   30.4845

With only 50 terms and a minimum resolved period of 57 hours, the series does not do a good job of capturing the tidal variation. The only strong amplitude reflects the annual cycle of the Annapolis tide, where summer water levels are significantly higher than winter levels.

Predicted Hourly readings, Annapolis Tides

250 terms, min resolved period 11.52 hours

This graph shows the Annapolis tide in red, with the fit in green. This fit captures 99.7% of the variance.

Component   Period   Phase    Amp   % SS  Cum % SS
   232      12.414   151.2   0.416  46.263   46.26
     1    2880.000   171.2   0.260  18.122   64.39
   112      25.714   295.5   0.126   4.243   68.63
     4     720.000   146.8   0.117   3.667   72.30
     2    1440.000   168.6   0.109   3.174   75.47
   111      25.946   123.5   0.095   2.424   77.89
   121      23.802    50.8   0.091   2.201   80.09
   120      24.000    36.2   0.090   2.180   82.27
     8     360.000    14.0   0.083   1.860   84.14
   240      12.000    56.4   0.083   1.836   85.97
     3     960.000   164.0   0.080   1.706   87.68
   119      24.202    68.0   0.072   1.375   89.05
   227      12.687   348.4   0.065   1.121   90.17
   231      12.468   324.9   0.054   0.777   90.95
   107      26.916   136.7   0.054   0.767   91.72
     9     320.000   168.1   0.053   0.751   92.47
   233      12.361   156.5   0.050   0.659   93.13
   113      25.487   287.3   0.044   0.528   93.66
   118      24.407    71.5   0.040   0.419   94.07
   122      23.607    47.8   0.037   0.362   94.44
   228      12.632   162.2   0.035   0.334   94.77
   116      24.828    82.1   0.033   0.294   95.07
     5     576.000    73.5   0.032   0.280   95.35
   114      25.263   279.0   0.031   0.255   95.60
   110      26.182   131.5   0.030   0.246   95.85
   117      24.615    77.0   0.030   0.245   96.09
   250      11.520   141.1   0.005   0.006   99.42

Total Percent sum of Squares  =   99.7602

With 250 terms in the series, note the preponderance of periods around 12 and 24 hours, and that the series almost perfectly recreates the predicted tide series.

There appears to be a bug, which can let the sum of the squares explained exceed 100%.

Last revised 3/6/2005


Auto Correlation

Auto correlation is a special case of cross correlation with only one time series. The single series is cross correlated with itself. Lag 0 has a correlation coefficient of 1, and any other lags with high correlation coefficients suggest an underlying periodicity in the data. Positive and negative lags will be identical, because to the mathematics computing the correlation coefficient the two cases look identical:

lag 2

  ABCDEFGHIJKLMNOPQRSTUVWXYZ
ABCDEFGHIJKLMNOPQRSTUVWXYZ

lag -2

ABCDEFGHIJKLMNOPQRSTUVWXYZ
  ABCDEFGHIJKLMNOPQRSTUVWXYZ
Series used for autocorrelation. It is not obvious if there is any periodicity to the data.

Correlogram for the time series above. Note the symmetry about lag 0.

Time series in the two graphs above, plotted with a lag of 2000 which has a correlation coefficient of 0.35. The highest correlation coefficient away from 0 lag (which will always has a correlation coefficient of 1) occurs at a lag of 1991 where the value of r=0.35.

Note that the peaks and troughs generally line up, but the relationship is far from perfect although this is the best value beyond the lags around 0.

Last revised 2/2/2009


Nyquist Sampling Theory

In each graph, the solid thick blue line represents the original time series. The red squares represent the sampled data, starting with a random time. The thin red line connects with sampled points with a cubic spline curve.

This sampling rate accurately captures the periodicity of the original time series.
This sampling, while at a rate less than the period of the original time series, does not accurately capture the periodicity of the original time series. In fact the data appears to have an erroneous period longer than the true time series. This is known as aliasing.
This sampling is at a rate greater than the period of the original time series. Not only does it miss the periodicity of the original time series, but it would appear that the time series has a periodicity much longer than the true period. This is another case of aliasing.

The Nyquist critical frequency is 1 / (2 * sampling interval). You need at least two sampled points in every period that you want to capture. If there is significant power that you do not capture, for instance in shorter periods, you will have problems with aliasing.

Any power outside the range of Nyquist critical frequency will be aliased (falsely transformed) into the range of frequencies correctly sampled.

Critical sampling of a sine wave requires at least two points per cycle.

Last revision 2/2/2009


Time Series Analysis

The best way to do this is to use a dBase Table (DBF file). You can create this with Excel to CSV to dBase in MICRODEM. You must insure that your readings are equally spaced in time, and it is best if you have a column with sequential numbers (set the value first row to 1, the second row to A1+1 [or A2+1 if you have labels]), and then copy the formula down the spreadsheet.

File, Open database to open a database.

DB for the time series. Note:
  • SEQUENCE field. which allows filtering to get a subset of the data.
  • DAYS, which allows graphing with an x axis is days.
  • DATE and TIME, which are difficult to work with.

To see a graph of the data, try the STATS button and the 2D graph option.

Pick two fields for the x and y axes. For the time series, the x -axis should be be the time axis (DAYS or SEQUENCE in the example above) and the y-axis the one you want to investigate for periodicity.
You will not want another data filter. That would let you put a second series on the graph, but is not allowed for time series.
The graph will appear. In this case there appears to be some bad data around day 19. You can remove it with a Filter. In this case a range of 20-37 looks like it would work well.

After you filter, you must create a another graph, so you can close this graph.

You can access the time series options from the Stats button, and the Time series options on the pop up menu.

Time series analysis options also appear on the Analyze Graph menu.

  • FFT (Fast Fourier Transforms)
  • Auto Correlation
  • Fourier Curve Fitting

Last revision 2/27/2006


Times for Sun/Moon rise

Times for Sunrise/Moonrise

Times for the sun and moon events are based on estimated local time, which has two key assumptions:

  1. Time zones are 15° wide, and have rational boundaries. In truth most time zones have been gerrymandered and have little relationship to this ideal, but there is no easy way to determine the time zone from a latitude and longitude.
  2. There is no daylight savings time.

The table will show you a shift (number of hours) from UTC. This must be adjusted during daylight savings time, and if you are in a gerrymandered part of your time zone.

Last revision 5/2/00


TIN

TIN--Triangulated Irregular Network

A TIN is a set of triangles each with X,Y, and Z coordinates. Because the points define a plane, it is easy to interpolate an elevation at every point in the triangle from the corner coordinates. TINS have been proposed as alternatives to DEMs or grids, but they have greater storage requirement and more complicated indexing to rapidly find the triangle that covers a particular point. Virtually no TINs have been produced by mapping agencies.

TINS in MICRODEM

Last revision 10/9/2017


TIN Contour Options

Start with Plot, Tin contour.

Contours on the original map. | Contours in a graph windows.

Right click on graph window to bring up form to modify the graphs.

  • Show the Delaunay triangles
  • Pick line style for Delaunay triangles and contour interval
  • Set the contour interval.

Selecting OK will redraw both images.

Pick "TIN" button ongraph window.
This will great a grid with the same size and spacing as the original DEM.

Original Lidar Grid. Note limited coverage in water. | Grid with holes filled from the grid from the survey data after TIN creation.

Last revision 10/23/2012


TINs in MICRODEM

TINS

Invoked from button on main toolbar. The TIN module works with three kinds of files:

  • *.XYZ: ASCII files with explicit X, Y, and Z coordinates.
  • XYZ-*.DBF: dBase tables with the X, Y, and Z coordinates. These files allow graphical edits of the coordinate locations or z values. These are automatically created and stored in c:\mapdata\tins.
  • TRI-*.DBF: dBase tables with the Delauney triangulation. These are automatically created and stored in c:\mapdata\tins. These cannot yet be opened, but that option will be implemented in the future. The files are verbose, but allow use of the database engine to "index" the triangles and find the desired triangle or its neighbors.

Steps:

  • Select TIN button on main toolbar.
  • Select either an ASCII XYZ file, or an XYZ-*.DBF file.
  • If you selected an ASCII file, set import parameters. The XYZ-*.DBF file will be created and used for later operations. You can create a map showing the point distribution.
  • Select tolerance factor. The default should work, unless you have very bad geometry (e.g. dense data along profile tracks, and nothing between them. If the triangulation fails, you should increase the point tolerance (this is probably disabled for now).
  • The program will contour the data.
  • Recontour by right clicking on the contour map,
  • Note that as you roam on the contour map, the interpolated elevation will be displayed.

DEM Creation:

  • To create a DEM from your triangulation, pick the DEM button on the graph window with the triangulation contouring. You can only create an arc second DEM; you can set the data spacing. The program will show progress, and show the grid points in the DEM. The gridded DEM will be in c:\mapdata\tins.
  • The grid will not "honor" all the data points. Unless a data point lies exactly on one of the nodes in the grid, it will be used to interpolate the points in the neighborhood (all the Delauney triangles with the point on one vertex) and then be "thrown out". Points in the neighborhood will be higher or lower than the original data points. This effect will be greatest with large grid spacings, and minimized with small gird spacings (at the cost of additional storage for the grid).

Limits:

  • TIN currently limited to 50,000 points. This is not designed for large scale creation of DEMs
  • Only use Lat/Long coordinates in WGS-84; anything else will almost certainly lead to problems at some point.

Troubleshooting:

  • Check on the two DBF files (XYZ-*.DBF and TRI-*.DBF) to see if they are being created, and if the contents look reasonable.

Last revision 7/7/2015


Triangulation

In triangulation, the data points are divided into triangles. There is a mathematically best way to do make the triangles, which make them as close to equilateral as possible, and avoids long, skinny triangles. Because of its applicability in many fields, this can be referred to as Delaunay triangulation, Voronoi diagram, Dirichlet tessellation, or Thiessen polygons. The end product can be the triangles, or the areas around each point that are closest to the point.

For interpolation, a triangle defines a plane and provides a unique way to interpolate (in contrast, interpolation within a rectangle can be ambiguous) values or to Reproject an image.

Computer graphics uses triangles, and the speed is the number of triangles that can be drawn per second. Shading is computed by finding the normal to the triangle, and comparing that vector with the illumination direction.

Triangulation can produce a TIN, an alternative to a grid or DEM, or the triangulation can be used to populate a grid created from randomly spaced points such as a lidar point cloud.

Last revision 3/7/2016


Tissot Options

Tissot Indicatrix Options

Option on Cartography menu ("Map distortion") which lets you put a Tissot indicatrix and the h & k parameters at any point on the map by double clicking.

Option on the [image] Map Overlays to put indicatrices on a map in a regular pattern.

Also available from Cartography, Tissot indicatrix

Spacing of indicatrices for [image] Map Overlays option:
  • Spacing in degrees on the lat/long graticule
  • Uniform spacing in pixels on the map

Pick the base diameter of the indicatrices, and the color and line width.

Show h and k (stretching along meridians and parallels), and the number of decimals. If you need to see very precise differences, you need more decimal places. Some skewed projections (e.g. Lambert azimuthal equal area or orthographic) use h' and k' because the stretching is not along parallels and meridians.

Tissot indicatrix theory

last revision 5/19/2009


Table of Contents

button on map window toolbar or after

Click on button with symbol and database name to change display symbology.
Check or uncheck layers to show or hide them. This has the same effect as using the Toggle button on the Table view for the database
Use green arrows to change display order. Layers on the bottom of the stack draw first, and will be overwritten by those which draw last.
Use table button to bring the database Table to the front.

SHP opens another database on the map.

Last revision 1/25/2017


Program Toolbars

MICRODEM Toolbars

Main Program Toolbar

Map Window Toolbar

Last revision 1/4/2012


Tools Menu

On file menu at the start of the program and from map windows.

  • Compress/Decompress
  • Load image: simple image editor.
  • Stereo images
  • Text editor:
  • Show first lines text file: if you have a huge text file which not not open in Notepad, WordPad, or Word, this lets you look at the first 100 lines.
  • Movie replay
  • Military icon generator
  • Unicode symbols
  • Web page thumbnails
  • Edit Zipatone
  • EXIF--photos with geography tags
  • Slide sorter
  • Identify directory: marks a directory with a particular type of data which the program cannot otherwise automatically recognize
  • Spectral library
  • List of matching files: get a list of the files matching a pattern in the name, from a specified directory and level of subdirectories.
  • Copy files: copy all files, in a directory or its subdirectories, which contain a specified string in the file name, into another directory. If the file already exists in the destination directory, it is not copied.
  • Convert DBFs
  • Open TCP interface
  • Update help file
  • Backup program EXE: copies the EXE to the c:\microdem\backup directory, with the version (date) included in the file name.
  • Restore previous program EXE: if you have been updating MICRODEM within the program, or manually backing up the MD exe, you can restore one of the older versions. They are named by date and this will copy and rename them.
  • Close program and update: download new versions of the program. If you set the option on the Web tab of the options form, you can do an automatic backup of the EXE before the update.

Last revision 2/7/2023


TOPEX/Poseidon Import

On the File, Import when when a map is open.

You need all the files for a single cycle, which you can get from CD or online (may not work)

  • http://podaac.jpl.nasa.gov/dataset/PODAAC_MGDR?ids=&values=&search=TOPEX/Poseidon
  • ftp://podaac-ftp.jpl.nasa.gov/allData/topex/L2/mgdrb/

Files must be in a directory on your hard disk.

Import will create a DBF file for all points on the active map, with the following fields:

  • Lat
  • Long
  • Orbit (1-254, numbers assigned by mission, and are in chronological order during the 10 day repeat cycle).
  • GEOID_ANOM: in meters, above or below ellpisoid.
  • ELEV_M:
  • Signficant wave height, two radars wavelengths, very similar results
    • SWH_K:
    • SWH_C
  • WIND_SP: wind speed
  • DYN_TOPO: dynamic topography
  • ASC_EQ_X: ascending equator crossing, 01--127, numbers assigned on import by MICRODEM. These have odd ORBIT numbers, and increase from west to east.
  • DES_EQ_X: descending equator crossing, 01--127, numbers assigned on import by MICRODEM. These have even ORBIT numbers, and increase from west to east..
  • DIST_KM: distance along each obit. This allows plotting in kilometers rather than LAT or LONG. For both ascending and descending number, the 0 distance is the northernmost point, and the largest distance is the southernmost

Last revision 1/27/2020


Topographic Grain Calculations

Submenu options accessed from Calculate menu with map window active. Requires a DEM

  • Topographic fabric vector overlay
  • Fabric by region size
  • Fabric at point: also provides Dune crest spacing/height, and spaceing from the relief-distance graph
  • Grain movie

References for topographic grain.

  • Grain along profile--LOS Right click on [image] Topographic Profiles

Last revision 11/28/2014


Topographic Prominence

https://en.wikipedia.org/wiki/List_of_peaks_by_prominence

http://www.peakbagger.com/

Andrew Kirmse

Last revised 2/20/2018


Topographic Ruggedness Index

Topographic Ruggedness Index (TRI)

General discussion of Roughness

Improved parmeter RRI. Radial Roughness Index: Sebastiano Trevisani, Giordano Teza, & Peter L. Guth. (2023). Hacking the topographic ruggedness index. https://doi.org/10.5281/zenodo.7716785

The topographic ruggedness index (TRI) was developed by Riley et al. (1999) to express the amount of elevation difference between adjacent cells of a DEM. It calculates the difference in elevation values from a center cell and the eight cells immediately surrounding it. Then it squares each of the eight elevation difference values to make them all positive, sums them, and takes the square root.
  • Riley, S. J., S. D. DeGloria and R. Elliot (1999). A terrain ruggedness index that quantifies topographic heterogeneity, Intermountain Journal of Sciences, vol. 5, No. 1-4, pp.23-27.
  • Wilson et al 2007, Marine Geodesy 30:3-35: difference between a central cell and the mean of its eight neighbors

GDAL recommends the Riley method for terrestrial cases, and Wilson for bathymetric.

Can be done:

  • Using MICRODEM, with TPI and TRI both computed at the same time (Raster GIS, Create derivative grid). There are a number of ways to normalize distances, for the diagonals and geographic grids with dx and dy different. The improved SSR is a significant improvement.
  • Using GDAL, (Raster GIS, External tools) where there are 3 options
  • Using GRASS (Raster GIS, External tools) which has options for both TPI and TRI
  • Using SAGA
  • Using Whitebox Tools

Comparison of TRI with Various Programs

See Rugosity, TPI,

Last revision 5/2/2023


Topology

GIS definitions (slightly different from graph theory in mathematics)

  • Topology: rules and behaviours for points, lines, and areas that share geometry. A single point can be part of multiple lines or perimeters, and a line can be a feature like a river and part of the perimeter of a state and a county.
  • Edge: a side of a polygon, between to vertices, or a segment of a line between two vertices
  • Vertex: point where two edges meet.
A single line shown in blue is part of three features: the river, the state boundary, and a county boundary. The river is a line, and the boundaries could be either lines or polygons for perhaps states and counties. Becasue the lines segments are shared, only the color from the last line drawn will be visible.

Ideally, the common line that appears in multiple features would be digitized and stored once, and all the features would have the exact same coordinates. Then if the line was edited, the changes would propogate to all the features. This is not possible with Shapefiles, but is possible with much more complex data structures. The simplicity of just storing and rapidly displaying the data outweighs the advantages of saving the topology, since those advantages really only come into play when editinig the data.

Rules for digitizing with topology:

  • There must be a node at every point where lines cross; they must meet at the node.
  • Lines must hit the node exactly; the GIS program should have a snapping function to insure this.
  • Digitize common borders only once.
  • Close all areas, with the snapping function so the first and last points of the polygon are the same.

last revised 12/4/2017


TPI

TPI, Topographic position index

General discussion of Roughness

TPI after Weiss (2001, ESRI user conference poster).

  • http://www.jennessent.com/arcview/TPI_jen_poster.htm and http://www.jennessent.com/downloads/tpi_poster_av3.zip
  • http://www.jennessent.com/downloads/tpi-poster-tnc_18x22.pdf
  • http://www.jennessent.com/downloads/tpi_documentation_online.pdf

Guisan, A., S. B. Weiss, A. D. Weiss 1999. GLM versus CCA spatial modeling of plant species distribution. Plant Ecology 143: 107-122

the same as the difference to the mean calculation (residual analysis) proposed by Wilson & Gallant (2000)

Also in ( Wilson, M.F.J., O’Connell, B., Brown, C., Guinan, J.C., and Grehan, A.J., 2007,Multiscale Terrain Analysis of Multibeam Bathymetry Data for Habitat Mapping on the Continental Slope: Marine Geodesy, 30:1-2, 3-35,DOI: 10.1080/01490410701295962).

See TRI, Terrain Ruggedness Index for how to compute and similar metrics

Compute:

  • MICRODEM: normalizes distances
  • GRASS (add on): parameters minradius, maxradius, steps. https://grass.osgeo.org/grass80/manuals/addons/r.tpi.html
  • GDAL

Last revision 4/28/2022


Tracking Data Location

From any open map that shows the entire work area, File Match other maps Outline other map coverage areas on this map. Match other maps is also available on the Right click on map.

The Bounding box for the other open maps will be shown.

This will not be sticky for redraws.

This map shows downloads for a number of Landsat scenes, and did not carefully insure they all covered the same area. This is some overlap in the center, but the missing triangles on the sides of the Landsat Bounding boxes, and there might be very little overlap of the data.

Last revision 3/7/2022


Train and Classify

Supervised Train and Classify

Steps:

  • Open multi-grids for raster analysis on the Imagery analysis menu. The operation will be on the grids; you cannot use the original image.
  • On Multi-grids raster analysis pick Supervised classification.
  • Training set: in a new "sup_class" directory under the directory with the data, with the name L8_2017_282_sup_class_NNN.dbf where NNN is a sequential number so you can try multiple different classification.
    • New training set; create a new classification.
    • Open training set: select an existing classification
  • Add training class
  • New training points, in the Current Class
    • Train points: double click for points
    • Train box: outline a region. You set the maximum number of points to add; if the box is too big, points will be subsampled.
  • Pick the classification parameters:
    • Mean/Std will be the best option; you can experiment with others
    • Std Dev determines how many standard deviations from the mean the point must lie within in each band
    • Bands must be in box allows some flexibility if a pixel is far away from the band mean in just a few bands.
    • Classification distance power determines the distance function if a pixel is within the limits for more than one band's limits, in which case it will use the closest.
  • Classify

Some history to explain the disabled options. We are working to reenable them, but we aren't sure many of them are very useful since they were established for experimental options that did not really pan out.

You must have the following data sets:

  • Single TIFF image with all bands, or for Landsat, each band in a file according to USGS standard naming conventions.
  • MICRODEM format DEMs, one for each band, in "multi_grids" directory under the TIFF image. If the checkbox on Imagery tab of options form is set, multiband imagery will be converted to grids automatically. This allows much better handling of statistics for imagery with > 8 bits.

On the options form, Imagery tab, you can select whether to do analysis with the original data or cloud removed data.

Principles of supervised classification.

Supervised Classification Example

Last revision 12/18/2017


Transparent Icons

Left: transparent icons with correct GIF settings
Right: near white background, or white with incorrect GIF settings

If the GIF icons are not transparent, open them in MICRODEM (File, Tools, Load image) and resave with the background color correctly set as transparent. Many graphics programs do not correctly set the transparent file settings in a GIF file.

If you are perverse and want the white backgroud around your icons, open the GIF in MICRODEM (File, Tools, Load image), and pick Recolor, White to near white. The white pixels (red=green=blue=255) will be turned to near white (red=green=blue=254).

This should no longer be a problem; for some time, MICRODEM has handled this for its display, and as of 10/14/17 it corrects all GIFs when it creates a KML/KMZ file.

Examples of transparent icons.

  • Military icons
  • Whales

last revision 1/14/2017


Trend Surface Basics

Hanging Rock DEM, and 1st to 8th order trend surfaces. These use every point in the initial DEM.

The program uses a least squares fit after Davis (1973). It will fit up to a eighth order surface. The terms in the fit include:

  • z = C1 + C2*x + C3*y
  • + C4*x^2 + C5*x*y + C6*y^2
  • + C7*x^3 + C8*x^2*y + C9*x*y^2 + C10*y^3
  • + C11*x^4 + C12*x^3*y + C13*x^2*y^2 + C14*x*y^3 + C15*y^4
  • ........ similar progression up to eighth order

The first order surface is a plane and includes terms C1 to C3 (only terms in x and y); the second order surface adds terms C4 to C6 (terms in x² and xy and y²); the third order surface adds terms C7 to C10 (terms in x³ and x²y and xy² and y ³); and the fourth order surface adds terms C11 to C15. After the first order surface, each additional order adds another inflection point to the surface, and more terms to the equation.

The higher the order of the trend surface, the "better" the fit. With a high enough order, and number of terms in the equation (one term per point in the DEM) you could fit the earth's surface exactly. That is not generally the purpose of the trend surface, which seeks a simple surface in the absence of noise.

Last revision 10/23/2012


Triangle Extrapolation

Historic map registration, using Delauney triangles. There were no good registration points along the edges of the map.

We will extrapolate to the edges, with the understanding that extrapolation can be much more dangerous than interpolation if there are any errors.

Select "TRI" button on image registration form.
  • Double click on an edge triangle, which will turn green.
  • Double click on the edge of the map to add additional registration points. You should aim for a point opposite the center of each edge triangle, and in each corner of the map.
  • Repeat for each edge triangle you want to use for adding points..
Repeating the Delauney triangulation extends the registration to the edges of the map.

Last revision 5/17/2010


Troubleshoot Data Import Problem

Troubleshoot Data Import Problems

Potential Probems

  • Need GDAL?
  • Program crashes or hang on loading the dataset
  • Map has incorrect location
  • Data set does not plot on the map

Metadata, looking especially for the datum and projection.

  • There may be a metadata file in the data download (probably in a different directory if a single file download contains subdirectories.
  • There may be metadata on the web site where you downloaded.
  • For Geotiffs, use the MICRODEM option to look at the file. This has a different format than GDAL, and has some information that GDAL ignores, such as the vertical datum. The file must display for this to work.
  • For GEOTIFFS, JP2, PDF, ADF, you can use GDAL. Other than some Geotiffs, all of these files must go through GDAL.
  • The Resample menu has some options to correct or assign the datum and projection, and you can also use the GDAL command line.

Rasters

  • Open quick vector map , and if the data set opens, File, Match other maps, Outline coverage area. This will show where the program thinks the data is and shows problems with the hemisphere, UTM zone, or the correct units for SPCS data in feet.
  • If the data set had to go through GDAL, run the command in a CMD window and look for error messages. The command will be in the debug log, which you must access before you reopen the program.
    • If the file was a batch command, you must run the batch file from the CMD window.
    • If the command was a single line, you must cut it and paste it into the CMD window and then hit enter.
  • If the program is not in the UTM projection or a geographic project, run it through GDAL WARP.

Vectors

  • Open quick vector map , and if the data set opens.
  • MICRODEM only uses files in Geographic coordinates on the WGS84 datum, and should warn you if you need to reproject. You should try GDAL/OGR first, and then MICRODEM's option. You may have to determine the projection from the metadata.

Last revision 7/22/2020


True North versus Grid North

We are working on handling the difference between true and grid north. The program is now generally using the declination at the center of the map, but whether it uses grid or true north depends on the type of DEM. If you need extremely accurate angles, you probably need to check carefully to verify what the program is doing. If it is not doing what you think it should, contact us.

You can assess the degree of the difference as follows:

  • Cartography menu, "UTM grid-true nort declination". Double clicking on the map will show the angular difference in degrees.
  • Calculate menu, "Geodetic bearing" menu choice will compute the correct geodetic bearing between two locations.
  • Overlay True north lines
Map showing the UTM-grid angle for one UTM zone. Note that west of the central meridian the angles are negative, and to the east they are positive.

This is Finland, and at far north (or south) latitudes the angular deviations are much greater than closer to the equator.

Last revision 1/21/2003


True North Overlay

Overlay selected on the Cartography menu.

Last revision 12/2/2009


uGet

Download and install at uGet - Download Manager download | SourceForge.net

Get a text file listing the downloads you want.

Follow download directions at https://viewer.nationalmap.gov/uget-instructions/index.html

The batch download option inside MICRODEM has security problems
  • From the results of the search or the cart, export URLs to text
  • Use Batch Download on Data Manipulation form if you get the TEXT file.

Last revised 12/31/2020


UK Lidar DSM and DTM

DTM/DSM at 2 m, 1 m, and 0.5 m resolutions:

https://environment.data.gov.uk/DefraDataDownload/?Mode=survey
  • Very rough directions based on trial and error
  • Tile names show the type of product, the resolution, and the year.
  • Tiles will appear when you zoom in, and you need to keep track of what you have downloaded.
  • You can upload a zipped shape file for the region you want
  • The best option is the composite by year, and you can get DSM and DTM at 1 m or 2 m.
  • The national lidar program only has some tiles, presumably those from the selected year
  • Will do at least 6x5 (but not 8x6) tiles in one run. Tiles appear to be 500 m on a side, so the merge is about 2.5 km x 2.5 km (unclear if the merge includes all of the tiles included in the area you asked for, or just the area in your selection box and you might get some clipped tiles. The program says you might have permission to download larger areas, but not clear how you get that.
  • Map shows tiles as 5 x 5 km. Download all may only download quarter tiles, and not all. You may have to click on each one individually.
  • Download all button only works if you enable popups. You will then see each tile download in a new tab, which will close then the file has downloaded
  • To pick a second area (and then more), use the Go Back button at bottom of the screen.

Older directions, probably no longer relevant

  • https://environment.data.gov.uk/DefraDataDownload/?Mode=survey Outline the region you want.
  • You can get 4x4 of the tiles, or maybe more
    • Navigate to the tile you want, and click. The data comes in 10x10 km tiles which you pick on the map, and the lidar DSM are in multiple zipped files for each tile. Each zip will have a number of smaller 1 km tiles.
    • Change the viewing window to have a clear view of the sub tiles available
    • Open the series you want. Insure you get DSM or DTM, at the scale you want
    • Download away
    • Extract to directories, with a parent directory with "uk-os" in its name. You can use threads to Decompress. This will produce a larger number of .ASC files.
    • Use the File, Open submenu, At least 600 of the 1 km tiles for the 1 m DEM can be merged (610 km tiles for a 2.4 GB DEM) on a system with enough RAM.
      • Open and merge if all the DEMs are in the same directory.
      • Open and merge from directories, and pick the directories you want. Cancel when you have all the directories you want.
    • Reinterpolate DEM to UTM
      • File, Save DEM, Reinterpolate DEM, UK OS to UTM DEM
  • Wales: http://lle.gov.wales/Catalogue/Item/LidarCompositeDataset/?lang=en has a different but generally similar interface.
  • https://data.gov.uk/dataset/lidar-composite-dsm-1m1
  • https://data.gov.uk/data/map-based-search
    • Central London. There are gaps in the data, and it is the luck of the draw whether they occur where you want data. This 1.5 GB DEM is 20Kx20K postings, and at this scale you really do not appreciate its detail. The major OSM roads are overlaid.

    This data was downloaded in Feb 2016; the holes will undoubtedly eventually be filled in.
    Full 1 m detail of the Prime Meridian through Greenwhich.
    DTM/DSM for the same area in Portsmouth, UK.

    The DTM is very generalized, and does not provide a good visualization of what is there.

    These do not have any metadata in the data files (which are an inefficient ASCII format). For MICRODEM you must insure that the path to the files contains the phrase "uk-os". Other software will require that you identify the projection and datum.

    To use in MICRODEM:

    • MICRODEM can display the DEMs, but to combine with other data like OSM, you must reproject them to UTM. Use the option on the File, Save DEM, Reinterpolate, UTM or lat/long menu.
    • Example displays.

    Last revised 5/2/2023


Uncompress/Compress

Menu available from:

  • Tools submenu of the file menu :
  • Menu on the data manipulation form provides the following options

Options

  • Uncompress--select the correct file type
    • 7Z or Very large zip using 7-Zip: somewhere certainly over about 2 GB files the Windows unzip starts to fail, so use this option. This is the most robust option
    • Zip file Standard Windows compression routine. You can select multiple files to unzip sequentially. ZIPs will be moved to the recycle bin
    • All zips in dir/subdirs: pick directory, and zip files in directories under it will be unzipped. You can then delete the ZIP files if you want. This is designed for data downloads that are zips of zips.

    • Landsat Geotiffs from unix tar. This will keep each scene in its own directory.
    • Copernicus DEM TIF from unix tar. Just the DEM for 50% saving in storage. Loses the metadata, so consider if the storage saving justifies the loss. MICRODEM does not use the metadata
    • Unix GZ file: This is the standard UNIX compression. 7-Zip must be present for this to work.
    • HGT from zip: if you have to use the SRTM/NASADEM "format" (one off and no metadata, which is only in separate files and not with the data). You really should use ALOS or COP.
    • TIF from zip

    • Generic Unix GZ file
    • Unix tar file: this is the standard UNIX tape archive, which packs many files and directories into a single file. 7-Zip must be present for this to work.
    • Unix tar.gz file: file must have tar.gz extension. The program will gz-uncompress first, make a directory for the files, and then un-tar. 7-Zip must be present for this to work.
  • Zip compress
    • Single named archive (puts all the files into a single zip)
    • Multiple single named archives (select a number of files, and place each into its own zip file)
    • BZIP2: 7-Zip must be present for this to work.
  • LAS/LAZ--point clouds (requires LAStools or ESRI zLAS tool ). I have not seen zLAS files recently, which is a good development.

MICRODEM now automatically moves the compressed file to the recycle bin after uncompressing. It should clean out your recycle bin if you download a lot of data and suspect that the data file sizes are adding up.

Unix Tar and GZIP are often used in sequence, with either two extensions on the file name (.tar.gz) or a single tgz extension. In this case you must first undo the last operation (GZIP), and then the first (TAR).

If you select a KMZ file for the Windows zip option:

  • It will create a directory with the name of the KMZ file, and unzip the file into that directory.

Some compressed files on the web (e.g. the state geologic map of Arizona from USGS) use the Unix compress program's .Z files. You might be able to unzip this with 7-Zip via the command line or its GUI.

Last revised 1/24/2023


UNICODE Symbols

File menu, Tools submenu.

This lets your create a symbol file for any character in a UNICODE font.

  • Pick
    • Font
    • Block
    • Character
  • Adjust size
  • Pick the color
  • Trim white, if you want the size reduced to the smallest rectangle with color
  • Export
    • To clipboard
    • To graphics file

Last revision 6/29/2018


Units Tab

This tab is on the options form, brought up from the Options menu selection.

Set:
  • How to display locations
  • Format for lat/long
  • Elevations in feet or meters (this is very limited; expect to see meters, although you can set the display to both feet and meters on the coordinates tab)
  • Azimuth and pitch angles
  • Speed units
  • Distance units
  • Azimuth angle format
  • Pitch angle format

Last revision 8/27/2012


Updating MICRODEM

MICRODEM Installation


Unsupervised Image Classification

Unsupervised Image Classification (Clustering)

Unsupervised classification attempts to find clusters in n-dimensional space based on the reflectance values, and assigns to those clusters to a group. Hopefully there will be a reason for the cluster, which will correspond to a particular category, but that can only be interpreted by the user. The selected colors are random. On one scene the water might be blue, and on the next it will be vegetation.

Cluster for 6 band Landsat TM image of Hanging Rock quadrangle. | Legend. This will be in a .VAT.DBF file, which you can edit with descriptive names for clusters and change color assignments.

Pick option

  • Image analysis , Multi-grids raster analysis menu.
  • Open hyperspectral imagery
  • Set clustering options. Pick parameters (all defaults should work).

Clustering will be based on a limited subsample of points. They will be selected from the current screen, so you should subset the satellite map to cover just the area of interest. The entire image can be classified, but the results will be most valid in the map region.

Manual, equivalent options

  • Create DBF file on Image analysis menu.
  • Cluster on Stats button popup menu of table display window

You can also use the Orfeo toobox for unsupervised classification.

Clustering Delphi code from Fred Edberg; 11/30/02 ( fedberg@teleport.com ) and uses K mean clustering.

Last revision 7/1/2020


Urban GPS

This figure shows two GPS tracks in central London, collected with an Android cell phone.

The left image shows crossing a bridge and walking along the river, and shows a generally very linerar and realistic path, especially considering that some of the paths go under the bridges. Exceptions are two random points on the north side of the bridge.

The image on the right shows the path in the dense urban canyons, where high buildings block much of the view of the sky. Signals from the GPS satellites travel complex paths with multiple reflections, adding the path length and leading to incorrect trilaterations with positions that are only approximately correct.

These results will vary with the quality of the GPS; these used a Nexus phone.

Last revision 12/10/2017


US NLCD

National Land Cover Database (NLCD) is a Landsat TM derived classification of the United States. It has a nominal resolution of 30 m. The first data set was created in 1995 from circa 1992 imagery and was followed by 2001, 2006, 2011, and NLCD 2016 in the spring of 2019.

Download data from MLRC.

NLCD for Annapolis, MD

  • Because of the conical projection, some of the operations that define a box based on lat/long will have anomalies in operations. You should consider this for any analysis you do with this data set, and might want to reproject the data.

NLCD 2001/2004/2006/2008/2011/2013/2016/2019

NLCD 2001 Classes defined

NLCD 2001 overview on web

(USGS Class definitions on web)

Allows you to open Land Cover from the main toolbar. You can do the following on the Calculate menu.

  • NLCD Classification: roam over the map and see the NLCD category on the right edge of the status bar.
  • NLCD Box: outline a box, and see the percentage of each category in the box.

Mask DEM/grid with NLCD.

Co-occurrence matrix to see changes from one time period to another

We have noticed some anomalies in the NLCD classifications; single points can be off. Consider NLCD an area average.

There is a canopy dataset.

Legends for NLCD classification, on File menu.

NLCD References

  • Vogelmann, J.E., S.M. Howard, L. Yang, C.R. Larson, B.K. Wylie, N. Van Driel, 2001, Completion of the 1990s National Land Cover Data Set for the Conterminous United States from Landsat Thematic Mapper Data and Ancillary Data Sources: Photogrammetric Engineering & Remote Sensing, vol.67, p.650-652.
  • Collin Homer, Jon Dewitz, Joyce Fry, Michael Coan, Nazmul Hossain, Charles Larson, Nate Herold, Alexa McKerrow, J. Nick VanDriel, and James Wickham, 2007, Completion of the 2001 National Land Cover Database for the Conterminous United States: Photogrammetric Engineering & Remote Sensing, vol.73, no.4, p.337-341.
  • Fry, J.A., Xian, G., Jin, S., Dewitz, J.A., and 5 others, 2011, Completion of the 2006 National Land Cover Database for the Conterminous United States: Photogrammetric Engineering & Remote Sensing, vol.77, no.9, p.858-864.
  • Jin, S., Yang, L., Danielson, P., Homer, C., Fry, J., and Xian, G. 2013. A comprehensive change detection method for updating the National Land Cover Database to circa 2011. Remote Sensing of Environment, 132: 159 – 175.

Last revision 1/13/2021


US Road Data

  • TIGER edges, by county
  • National Highway Planning Network, 178 MB shapefile, at http://www.fhwa.dot.gov/planning/processes/tools/nhpn/index.cfm
  • USGS Small-scale Dataset - Major Roads of the United States 199911 Shapefile at https://catalog.data.gov/dataset/usgs-small-scale-dataset-major-roads-of-the-united-states-199911-shapefile
  • Natural Earth 46 MB shapefile at http://www.naturalearthdata.com/downloads/10m-cultural-vectors/roads/ at 1:1,000,000 scale (but holds up to 1:250,000 scale)

Last revision 5/17/2013


US Smart Outlines

Set on:

  • Vector maps tab of options form.
  • Map Overlays US outlines.
  • Right click on map, then [image] Overlays from popup menu..
  • Requires standard vector data in correct locations. Change these locations with the buttons in the center of the form.
  • The checkboxes determine whether the data will be shown on DEM, imagery.
  • The edit boxes determine the map pixel size in meters at which the data will appear.
  • Pick colors and line widths
  • County and State outlines might not match those from the TIGER which are more precise
  • Colors and line widths picked for counties, states, and the Fenneman provinces are also used with the "Overlay, US properties" menu choice.

This will display files without a database table being opened. If you want database table, open files with "Database, Standard, Counties" menu choice

For another country, you could use GADM data or Natural Earth. You can put the levels you want for the state and county files here.

Last revision 1/6/2018


USDA NAIP WMS Service

Adding WMS overlays

Documentation: https://gis.apfo.usda.gov/arcgis/rest/services/NAIP.

You must be using an arc second base map. Start with a DEM, and reproject if necessary.

State servers have different naming conventions:

  • All have the state name
  • Some include the year
  • Some have the scale (probably those with 60 cm instead of 1 m data)
  • The server database will have to updated when the server names change
  • We have not tested all the states (there are fewer than 50, Hawaii and Alaska MIA) , and DC, PR, and the other unusual entitites are not included)

Last revision 10/13/2018


Display of Multiple Bands

Display of Multiple Bands--not tested recently

MICRODEM can automatically recognize and open Landsat files with the default USGS naming. If you have other imagery, or the files have different naming, you have two choices:

  1. Display as an image:
    • File, Open, Open image with multiple bands.
      • It is not error-trapped; you must insure
        • All bands must be integer values
        • They must have the same number of rows and columns, data spacing, and cover the same area
        • They will be in alphabetical order
        • You can split IMG files with multiple included bands in Resample, GDAL.
      • You will primarily use options on the Image analysis menu
      • Contrast: change the contrast of an image
      • Band: select multiband or single band, and choose among the available bands.
  2. Display as grids (DEMs)
    • File, Open, Open multigrids (pick files)
      • Grids can be integer or floating point.
      • All bands must be in separate files (MICRODEM DEM, Geotiff, or IMG). You can split files with multiple included bands in Resample, GDAL.
      • You can use options on the Image analysis, Multi-grids raster analysis menu.
      • You can use options on the Raster GIS menu.
      • RGB three parameter map to see RGB composite images selecting any three of the bands.
      • Overlay, OpenGL, drape on another DEM, to drape the imagery or computed grids on an actual DEM with elevations. The normal [image] OpenGL 3D view would use the grid values for the elevation.

We have not tested all options to verify that they work with different resolutions in the bands. If you have problems:

  • Contact us, with the details of the data and what you are trying to do. A debug log would help
  • Reinterpolate all bands to the same resolution. Image analysis, Multi-grids raster analysis.

Last revision 5/11/2018


Using Vegetation Grid

For rapid analysis of vegetation, MICRODEM uses two grids:

  • The DTM, or bare earth.
  • The HAG, or vegetation height. Buildings may or may not appear in this grid.
  • From these two, the program computes the DSM as needed.
DSM--First return DEM. This includes trees and buildings. | DTM--Bare earth DEM | HAG--height above ground surface (vegetation height) .

Select the surface to display

  • Pick the default display with Views tab on options form,
  • Rapid redraw with intervisibility map menu choice after right click on the map

With high density lidar surveys, you can also create Veg density voxels stored in grids.

Other approaches to creating a vegetation grid.

Last revision 8/27/2012


USGS 24K Quads

The USGS 24K Quads database, with the names and locations of the 50,000 7.5' quadrangles, can be downloaded from the USNA server.

Place it in \mapdata\us\quads24K\quads24K.dbf for special operations.

To use it, you must go to the Menu choices tab of the options menu form, and enable the 7.5' quads.

Then you can pick the Calculate, US properties, USGS quad names. If this is checked, you can see the quad names on the status bar as you roam over the map.

Last revision 6/29/2004


USGS Data

Data explorer, lidar and DEMs: https://prd-tnm.s3.amazonaws.com/LidarExplorer/index.html#/

Lidar base spec: https://www.usgs.gov/core-science-systems/ngp/ss/lidar-base-specification-online

Lidar error dictionary: https://www.usgs.gov/core-science-systems/ngp/ss/lidar-error-dictionary

Online DEM product viewer: https://apps.nationalmap.gov/3depdem/

National Map directions

Earth Explorer directions

Last revision 11/30/2022


USGS Gazetteer

USGS Gazetteers

Compare with NGA gazetteer

Download and convert gazetteer files for use.

Entry for a single record.

Field | Value
LAT | 38.9838889
LONG | -76.4844444
FEAT_ID | 1709698
FEATURE | Fort Severn (historical)
CLASS | Military
STATE_ALF | MD
STATE_FIPS | 24
COUNTY | Anne Arundel
CNTY_FIPS | 003
ELEV_IN_M | 2
ELEV_IN_FT | 7
MAP_NAME | Annapolis
DAT_CREATE | 12/04/1996
DAT_EDIT | 03/26/2009

USGS Gazetteer for Maryland (n=33240, in 51 classes)

CLASS | Number in gazetteer
Populated Place | 8758
Church | 4038
School | 3463
Locale | 2714
Building | 2455
Stream | 2137
Cemetery | 1245
Park | 1229
Cape | 1167
Post Office | 1094
Bay | 741
Civil | 495
Census | 384
Island | 344
Lake | 316
Dam | 276
Crossing | 242
Airport | 241
Summit | 226
Swamp | 225
Hospital | 220
Tower | 152
Reservoir | 142
Bridge | 123
Valley | 92
Military | 75
Ridge | 75
Channel | 73
Bar | 63
Gut | 58
Canal | 49
Spring | 48
Mine | 40
Beach | 35
Harbor | 30
Trail | 24
Cliff | 20
Area | 15
Falls | 15
Basin | 14
Bend | 12
Flat | 12
Forest | 12
Gap | 12
Range | 11
Tunnel | 11
Pillar | 4
Rapids | 3
Reserve | 2
Sea | 1

last revised 11/23/2014


Using State Geologic Maps from USGS

A number of state geologic maps (e.g. Colorado and New Mexico) are available on-line from the USGS. They are in Arc/Info e00 format. To use these in MICRODEM you must do the following:

  • Download the files form the WWW. You must also download the information about the projection.

  • Convert the files to shape files in ArcView.

  • The files we have use seen a Lambert Conformal projection. You must convert that to Lat/Long.

  • Open the data manipulation form.

  • Pick the Resample, Shape file, Conformal conic to lat/long menu choice.

  • Pick the shape file you converted in Arc View.

  • Give it a new name.

  • Fill out the information about the projection--the standard and central parallels and meridian, the datum used, and the projection. The default entries will be for the map of New Mexico. You must get this information from the metadata on line with the data set.

  • The conversion will take place.

  • You may want to do a datum conversion to another datum--for instance from NAD27 to WGS84. You can do with the menu command Resample, Shape file, Datum shift. It is probably a good idea to keep the datum in the file names of your shape file.

  • It is a good idea to do the Resample, Shape file, Add bounding box to DBF file option.

  • It is a good idea to do the Resample, Shape file, Add color field to DBF file option.

  • To display the map, open a vector map or a DEM.

  • Open the data base with DB button on the toolbar or the data base menu choice.

  • Select one of the plot options. The IHS color option on a DEM is particularly effective to see the topography and the geology at the same time..

  • You can assign your own colors

    • Single record at a time, by right clicking on the record in the table, and then picking the color.

    • All records on the display, by clicking the Edit button. You can either do all records, or just those not already assigned a color. This works best by filtering the data set: pick the NAME = Jm, and then you can assign a color to this entire unit.

The US national maps of geology and physiographic provinces are also available. They are in a conic equal area projection, and can be viewed using the same procedures.

Last revised 6/1/01


Getting USGS Seamless data server

Getting USGS Seamless Server Data

The Seamless Server has been retired, and now directs you to the National Map Viewer.

Last revision 9/5/2012


Using ICONS for Database Point Display

Several types of Icons can be displayed:

  • Any graphic in the \mapdata\icons directory.
  • Any graphic in the same directory as the database.

This relies on a "ICON" field in the database. This field will have the file name, without the directory path, as the ICONS must be in the correct directory or c:\mapdata\icons.

You can add this field with the "Edit, Add Icons" menu choice on the database table display window. This will insure that the "ICON" field is present, and then add a selected icon name to all the records. You can filter the database, and use this option to add a variety of symbols.

You can create thumbnails for pictures in the IMAGE field of the database, and use those as icons.

If you have True Type fonts with Icons,

  • Use the Military icon generator to turn symbols into an Icon graphic.
  • Plot Proportional symbols/Icons (True Type fonts)

Last revision 12/17/2017


Using PlanetScope in MICRODEM

Planetscope: https://developers.planet.com/docs/apis/data/sensors/

Product specs: https://assets.planet.com/docs/Planet_Combined_Imagery_Product_Specs_letter_screen.pdf

https://www.planet.com/products/planet-imagery/

  • Planet Rapideye had red edge band and could do chlorophyl, but that constellation was retired in 2020

If you get Planetscope 3 m imagery, with 8 bands in a single geotiff.

  • You will get a file after unzipping with a name like 20201031_170834_73_2271_3B_AnalyticMS_SR_8b_harmonized_clip.tif. There is 1 other TIFF of less value.
  • MICRODEM will recognize the sensor with the "_SR_8b_" string.

If you get Planetscope 3 m imagery, with 4 bands in a single geotiff.

  • You will get a file after unzipping with a name like 20191221_002732_1035_3B_AnalyticMS.tif. There are 2 other TIFFs of less value; one is a mask showing the missing area which MICRODEM does not need.
  • The swath width will be about 26 km, and there may be several 8-10 km subimages along the track.
  • You must insure that the path containing the file includes the word "Planet" so that MICRODEM can recognize it.

There is an option to get only 3 bands, but we have not seen a sample or found the documentation to see how to recognize it.

Preprocessing the images for use in MICRODEM

  • Data Manipulation,
    • GDAL is a manual installation.
    • Resample, GDAL rasters, GDAL merge if you want to combine multiple files (it is much harder to merge the individual bands; if you want to do that, you and GDAL can do it on your own)
      • Must copy the files you want to merge into a single directory, since they must be picked in a single dialog box
    • Resample, GDAL rasters, GDAL band extraction
      • picking the merged file or the single image
      • Verify 4 bands to extract.
      • There will be mutliple files each with a single band 20191221_002732_1035_XXXXXX_AnalyticMS_b1.tif
  • Open image. Use folder selection.

Missing data is 255

last revised 10/2/2022


US Topo Quads

Current GeoPDF (which is actually a combination of vector and raster data, but not very GIS friendly)

Topobuilder: https://topobuilder.nationalmap.gov/ lets you build a custom 1:24K map, centered on the area of interest

USDA Forest Service Quads, GeoPDF and Geotiff

  • https://data.fs.usda.gov/geodata/rastergateway/states-regions/states.php
  • https://www.fs.fed.us/visit/maps
  • https://data.fs.usda.gov/geodata/edw/datasets.php?xmlKeyword=FSTopo has vector data, in KMZ or shapefile

Historical USGS quads from about 1890 to present

  • https://ngmdb.usgs.gov/topoview/viewer/. Maps available as
    • KMZ (easiest option, probably adequate resolution),
    • GeoPDF (challenging option)
    • Geotiff (good option)
      • Geotiff must be untiled with GDAL
      • Geotiff must be warped to UTM with GDAL
  • http://historicalmaps.arcgis.com/usgs/ (3/15/2020, could not figure out how to actually see the maps, and no good reason to use the ESRI option if the USGS version works)
DRG--Digital Raster Graphic, a scanned map.
  • http://libremap.org/ (TIFF, and not much activity in quite some time)
  • Also check state GIS site.

Vector alternatives

  • TIGER
  • OpenStreetMap
  • Topo Map Data and Topo Stylesheet from https://viewer.nationalmap.gov/basic/#productSearch
    • Only ArcGIS compatible for symbolization
    • Has vector data for the 7.5 minute quads
    • Need to uncompress each into its own directory, since the file names are all the same
    • https://viewer.nationalmap.gov/tools/topotemplate/contents/TopoTNMStyleTemplateFAQ.pdf

Other Historic map scans

Last revision 11/8/2020


UTM Coordinate Files

UTM Coordinate File Conversions

  • Open New DEM
  • GPS button on map toolbar to open the GPS Waypoint file
  • Select GPS waypoints from the popup menu.
  • Open the UTM coordinates file, using the "Read from file" button
    • File must have a "UTM" extension.
    • File must have XUTM coordinate (false easting), then YUTM (northing), then optionally a label for the point
    • Fields can be separated with tabs, commas, or spaces
  • Verify UTM zone
  • Check import with "Plot on maps" button. The points should appear on the DEM map. If not, you probably have the wrong UTM zone.
  • Use "Save to File" button, and pick dBase DBF format.
  • Insure that you add the X_UTM and Y_UTM fields to the output file.
  • Close the Waypoints form.
  • Database button on map toolbar to open database.
  • Use Hide button to hide fields you do not want.
  • Use the Report button on the database table form, and then Text file.
  • Set CSV checkbox.
  • Save text file from the form.

Last revision 1/24/2007


Variable Opacity Merges

Select option from Overlay menu, Two map interactive comparison on map.
  • Merge two different maps.
  • Put the overlays for map on separate map plane.

This option allows you to interactively merge two compatible maps, varying the opacity of the top image. The two images must share the same image projection characteristics (UTM or geographic). Possible data sets include:

  • Imagery and DEM
  • Two views of a DEM
  • Two views of the same imagery (different contrast, filters, band combinations)
  • Imagery from two dates

To use this option:

  • Open the two maps in separate windows. Place any desired overlays.
  • Insure that the two images share the same projection characteristics (UTM or Lat/Long).
  • With the bottom image active, pick the Menu choice "Overlay menu, Two map interactive comparison, Variable Opaque merge". The program will notify you if the two projections are not compatible.
  • Pick the second map.
  • The merge will be created, using the bottom image for the size and coverage limits.
  • Use the slider bar to change the opacity settings.

For a faster option, pick Overlay, Mulitple map interactive comparisons, Merge another DEM hillshade (quick)

Other interactive map comparisons

last Modification 2/17/2023


Archaeology Files

Files needed:

  • Beam locations: x,y,z locations of each beam on each deck. Use the distances in the ship drawings to identify beams, to insure that you digitized every beam, and that you did not digitize any extraneous features.
  • Sub beam locations: x,y,z locations on the deck floor below each beam. The name of the beam should be in this file.
  • Artefacts: must have BIN field with combined name including deck, side, and beam. Beams can be referenced by number or distance along the centerline. Beam numbers are unambiguous, but distances would have to be very carefully done to match this data base to the key points database.
  • Key points: XYZ coordinates that go with deck, side, and beam. There must a point that will be a corner for every bin the database. This means every beam used is present.
  • Frequency table for the bins.
  • Bin corner: get list of all the bins in the artefacts, and then use the key points to get the four corners.
DBF file with project

A DBF file contains details of all the files used in the project:

  • 3D point shapefiles contain the point cloud. Shapefiles can display significantly faster than DBF files with included point locations.

File type (all lower case):

  • geometry--the point clouds
  • objects
  • images--scanned maps or drawings. This option may not work well currently

COLOR field used for OpenGL display.

FILTER field is used for "objects" in OpenGL display.

This file must currently be created manually.
Limit Names: Pick database (prompt will be for "names of y axis points to digitize") with the names of the points you want to digitize along the horizontal lines. It must have the field SIDE. These are actually the names for the side margins; if there are three "sides", there are 4 margins.
Side_limits: has the name of the side, and the points that mark its left and right margins. Note if there are three "sides", there are 4 margins. The names here must match those in the Limit Names database, and the
Artefact Bin frequency table,

BOX_OUTLINES.DBF

  • Created with "Bin corners" button
  • NW=1 NE=2
  • SW=4 SE=3

ARTEFACT LOCATIONS.DBF
  • Created with "Art Loc" button
  • Creates file in a text window,
    • Randomizes (automatically, using "ASCII randomize" on Edit menu of data manipulation form, which puts the locations into a random order)
    • Import into a database.
    • Save as a CSV file
    • Open with "Art Loc" button
    • View with the OLB and CB buttons
    • Link/join file to artefact database

CLUSTERS.DBF
  • Created with Excel or any other tool.
  • Must have fields X, Y, and RADIUS

Last revision 2/27/2016


VAT Grid Display

VAT stands for "value attribute table". It goes with a 16 bit integer grid, with values in the range of -32000 to 32000, or an 8 bit byte with values from 0 - 255. For each value in the grid, it provides a definition of the value, a color to use for display, and the number of points in the grid with that value.

This uses a file with the same name as the grid, and the extension ".VAT.DBF". If the file exists, this will be the default display.

You can switch to this display with a right click on the map window, and change the display parameter, If the ".VAT.DBF". does not exist, you can create it by copying a DBF file with the categories and the names, or the program will create a blank file and you will have to enter to names for the categories.

Edit the category names, and the display colors, by editing the ".VAT.DBF" file.

Get a legend with the File, Legend option.

This option was designed for the Landfire Existing vegetation Type, and might need additional work for other data sets. We have a DBF with the vegetation categories, which you can pick when it asks you to copy a definitions file to create the VAT.DBF file.

It works with the files produced by exporting a Geotiff from ArcGIS.

last modified 2/26/2021


VDATUM Datum Shift

US only

Create a CSV file for the current DEM extent on the File, Save DEM/grid. This will have the elevation at 1' intervals with LONG, LAT, ELEV.

Download and run NOAA VDATUM on your local machine, or on the web
  • https://vdatum.noaa.gov/
  • https://vdatum.noaa.gov/vdatumweb/
  • Directions
    • Pick region. If you pick the wrong region, it will refuse to run
    • For vertical, change Target refernce frame to EGM2008 (target Horizontal changes to WGS84)
    • Pick File conversion
    • You can pick multiple file names
    • Change skip lines to 1
    • Pick Transform Button
    • Set input reference date (try the default, 1997.0 earlier this spring, and now 2010.0)
    • Pick OK
    • If on the web, the file will download automatically with no other indication that the conversion ran successfully
    • In at least some areas, we have noted unrealistic geoid slopes

Analyze menu, Algorithms, VDATUM shift in USA

  • Merges the CSV created in MICRODEM which is the VDATUM input with the VDATUM output
  • Computes the average shifts

Shift the UTM DEM with the average dx, dy, and dz. For a region about 50x50 km near the Mountain Pass rare earth mine, average dx and dy were in the range of 1-2 cm, and dz about 1 dm (10 cm). There were much larger dz changes over a few km, which are unrealistic

LONG | LAT | ELEV | LONG2 | LAT2 | ELEV2 | VERT_SHIFT | HORZ_SHIFT | X_SHIFT | Y_SHIFT | HORIZ_AZ
-115.4833333 | 35.4166667 | 1639.04 | -115.4833451363 | 35.4166718928 | 1638.44018 | -0.6 | 1.22 | 0.58 | -1.07 | 298.24
-115.4666667 | 35.4166667 | 1413.22 | -115.4666784739 | 35.4166718942 | 1412.60799 | -0.61 | 1.21 | 0.58 | -1.07 | 298.37
-115.45 | 35.4166667 | 1228.69 | -115.4500118014 | 35.4166718955 | 1228.06207 | -0.63 | 1.21 | 0.58 | -1.07 | 298.32
-115.4333333 | 35.4166667 | 1157.3 | -115.4333451286 | 35.4166718966 | 1156.66582 | -0.63 | 1.22 | 0.58 | -1.07 | 298.27
-115.4166667 | 35.4166667 | 993.18 | -115.4166784661 | 35.4166718979 | 992.53496 | -0.65 | 1.21 | 0.58 | -1.07 | 298.41
-115.4 | 35.4166667 | 898.22 | -115.4000117933 | 35.4166718991 | 897.56967 | -0.65 | 1.21 | 0.58 | -1.07 | 298.36
-115.3833333 | 35.4166667 | 838.44 | -115.3833451205 | 35.4166719002 | 837.78644 | -0.65 | 1.22 | 0.58 | -1.07 | 298.31
-115.3666667 | 35.4166667 | 827.25 | -115.3666784575 | 35.4166719012 | 826.59241 | -0.66 | 1.21 | 0.58 | -1.07 | 298.44
-115.35 | 35.4166667 | 824.05 | -115.3500117844 | 35.4166719023 | 823.39 | -0.66 | 1.21 | 0.58 | -1.07 | 298.39
-115.3333333 | 35.4166667 | 827.33 | -115.3333451114 | 35.4166719033 | 826.67322 | -0.66 | 1.22 | 0.58 | -1.07 | 298.34

FIELD_NAME | CONTENTS
LONG | Created by MICRODEM, NAD83
LAT | Created by MICRODEM, NAD83
ELEV | Created by MICRODEM, NAVD88
LONG2 | Added from VDATUM output, WGS84
LAT2 | Added from VDATUM output, WGS84
ELEV2 | Added from VDATUM output, EGM2008
VERT_SHIFT | in meters to be added to the 3DEP elevation
HORZ_SHIFT | in meters
X_SHIFT | in meters to be added to the 3DEP easting
Y_SHIFT | in meters to be added to the 3DEP northing
HORIZ_AZ | Direction of the shift in degrees

Last revision 5/15/2023


Vector Data

You should use [image] Database (shapefile).

This option will not load the table with the data, and will have much less display flexibility.

This option is marked for deletion.

Last revision 3/2/2016


Vector Data Sources

See also this page, which will be more current.

Sources of free vector data

  • US Data
    • Census economic data
    • BLM PLSS--geo coords (might work best in Internet Explorer) (shapefiles)
    • Historical census tract data
    • Digital Obstacle File (DOF, Terrain and Obstacles Data (TOD) Team, FAA : text file that could be converted into a database in a spreadsheet converting Deg/Min/Sec to decimal degrees.
  • World vector data
    • Natural Earth Data
    • Easy VMAP1 downloads (really old data by now)
    • Boundaries and administrative regions in developing countries (Africa and Central America)
  • MGRS grids
  • Energy GIS data (includes wind power potential, solar power potential, and electric transmission lines)
    • Wind turbines: (CO, http://pubs.usgs.gov/ds/597/; NM, http://pubs.usgs.gov/ds/596/
  • GEO: GLOBAL ENVIRONMENT OUTLOOK
  • US Transportation: http://www.rita.dot.gov/bts/sites/rita.dot.gov.bts/files/publications/national_transportation_atlas_database/2014/index.html

Problems importing shapefiles.

Last Revision 12/19/2016


Vector GIS Products

Rainfall in California, from a vector GIS database file overlaid on shaded reflectance topography from a DEM. This uses the IHS plot for a numeric field in the data base. Note that you can see the mountains and valleys clearly.
Rainfall in California, from vector GIS database file. This uses the color coding from a numeric field in the data base. Note that you do not have cues from the underlying topography.

Last revision 10/5/2004


Vector Maps

Open Vector Maps

Quick vector map: open single vector map with default projection and extent. The default is a Mercator projection; you can change it on the Directories tab of the options form.

Vector maps on the main toolbar, or "File, Open submenu, New Vector map" menu choice brings up this form.

Projections (see Map projection gallery ):

  • Only projections in bold should be used for detailed mapping. The ability to blow up and subset the others varies; they are intended only for overall views of the earth, and teaching the basics of computer mapping.
  • Projections are divided by the geometric basis.

Central latitude and longitude. Set "override defaults" checkbox to modify these.

UTM zone (only affects UTM projection)

Tissot indicatrix: automatically draw distortion measures on the map. They will have a default radius in pixels.

h&k decimals: the number of decimals when you double click on the map and get the values for distortion. The default 2 works well for small scale maps where the distortion varies significantly; for large scale maps, 4 or even 6 may be more appropriate to show patterns of very small distortion.

Options to automatically add

  • MGRS zone
  • UTM 1:100K squares
  • Outlines: control display for global rivers, coasts, and boundaries.

Grayscale, subdue map

Open multiple maps: allows selection of multiple maps, to compare projections.

Close form on opening a new map

User Projection: defined in PRJ file specified on the Directories tab of the Options form. Default is a Mercator projection of the world.

Pick the LCC locality. For other regions, open the map and then Modify projection.

OK: open selected maps.

Change the projection by:

  • Right clicking on map, and then
    • Save current projection
    • Restore previously saved projection
    • Modify current projection

Buttons on map toolbar, especially key buttons.

Use spcified projection to display a DEM.

Last revision 11/1/2017


Vector Shorelines

Vector Shorelines (Shapefiles)

  • NOAA vector shoreline data explorer at https://nsde.ngs.noaa.gov/
  • Water body masks
  • Coastlines it might be possible to use these, which are mostly lines, and they might be close for islands. For the continental coastlines these might be a challenge.

Last revision 6/23/2023


Vector Map Options Tab

Tab on the options form, brought up from the Options menu selection.

  • Vector Map size: default size of vector maps. Must have a ratio of 4/3, and the height will be computed from the width you enter.
  • Pixel size to hide outline: when the screen pixel size is less than this value (in meters) the coarse outlines will not be drawn. This removes the coarse lines with very visible vector segments.
  • CGM symbol size: size in pixels for CGM symbols.
  • Shift Mercator to UTM. This must be picked before you open a map.
    • Auto shift Mercator to UTM: world maps start in the Mercator projection. If this is checked, it will shift to a UTM projection based on two criteria.
    • Long size to shift: the map must be less than this size to shift to UTM
    • Must be in single zone: if this is checked, the map will shift to UTM only if it is entirely in a single UTM zone.
  • World Outlines. When the map pixel size is smaller that the specified value, the outlines will not be displayed.
  • US outlines
  • TIGER Options--access by right clicking on a map with TIGER data plotted.
  • Gazetteer options
  • PLSS options
  • Default projection:

Last revision 10/5/2015


Vegetation Density Profiles

Calculate menu option.

Requires vegetation density grids, created and opened. This shows the number of lidar returns in each elevation bin, above the DTM surface.

Option to show, on the Vegetation tab of Options form

  • Bright green line is the current pixel, and the darker green are the eight nearest neighbors.
  • Average of point and its eight nearest neighbors

Bright green line is the current pixel, and the darker green are the eight nearest neighbors.

Right click provides option to copy the profile to the clipboard, where you can paste it into other software.

Last revision 5/19/2013?


Vegetation Grid

Probably the best way to get a vegetation grid is a difference grid between the DSM and DTM (DSM- DTM), called a CHM.

If you only have a DSM or DTM, a surrogate vegetation grid can be created from the Derivative Grids menu choice on the Calculate Menu or Raster GIS menu,

It must have the same size and spacing as the DEM it is used with, and if you change the DEM, you must change the vegetation grid. If it does not match, you will be asked if you want to reproject it to match the DEM. You should be careful in using this option, that the vegetation covers the entire DEM, and that its spacing is appropriate.

This will only be valid to the degree that the land classification categories (or shapefile regions) have uniform vegetation (or other obstacles). If they do not, you are responsible for using the data anyway, not using any vegetation grid, or creating a better alternative. Nothing replaces the need for a careful analysis of the situation.

  • NLCD grid-- A grid with NLCD 2001 or 2006 categories. This option lets you change the heights by editing the NLCD descriptions database, and is the better solution. This grid is also a better solution for looking at the NLCD data because it lets you see the categories when you mouse over the image.
    • Vegetation obstacle grid from NLCD--grid with the heights in meters. This can be in integer or floating point meters.
  • LANDFIRE grid (Existing Vegetation Height)--grid with LANDFIRE category. Works the same way as NLCD, but has several different height categories for each land class. You want the vegetation height layer.
  • NBCD has vegetation heights
  • Vegetation obstacle grid from shapefile--grid with the heights in meters. This must be a shape file with the field "HEIGHT" (in meters) for the vegetation or other obstacles.

These can be loaded and used for intervisibility masking.

Option when loading the vegetation grid to show its map or not; on Import/Export tab of options form

Turn on/off rapidly

  • For viewsheds on the viewshed parameters form.
  • For LOS by Right clicking on LOS view

Edit grids using any Edit menu option.

Last revision 11/14/2011


Vegetation Tab

Select with Options choice on the program menu, and then the Vegetation tab on the Options form.

Last revision 3/24/2013


Vegetation Voxels

Vegetation Density Voxels

Has not been tested recently; use with care (June 2019)

Create on tools tab of Point cloud options.

Load on File menu.

Used for options on Calculate menu

  • Vegetation density vertical profiles at a point
  • Vegetation layer overlay
  • Vegetation layer movie
  • Power line detection (very experimental)
  • Statistics
  • OpenGL point cloud
  • LAS export--recreate the LAS file. This will be lossy compression. From here you can do anything allowed with the point cloud.
    • If there is a grid with the buildings in it, they can be included in the LAS file. This setting is on the Vegetation tab.
    • If there is a DTM grid, the ground points can be included in the LAS file. This setting is on the Vegetation tab.

Also on line of sight.

Last revision 3/24/2013


Vegetation Inventories

  • National Biomass and Carbon Dataset 2000 (NBCD 2000) download--Description
  • USDA forest biomass https://data.fs.usda.gov/geodata/rastergateway/biomass/index.php
  • Cropscape: US crops http://nassgeodata.gmu.edu/CropScape/ export in Geotiff, with a VAT with color assignments and names of categories
  • LandFire download main page (actual download here)--Description
  • World Intact Forest Landscapes
  • Tree species ranges
  • Global forest change:
    • http://earthenginepartners.appspot.com/science-2013-global-forest web interactive viewer
    • http://earthenginepartners.appspot.com/science-2013-global-forest/download.html data available with 1" spacing, in 10x10°tiles, 7 layers, tiff format
  • Forest canopy height:
    • https://daac.ornl.gov/cgi-bin/dsviewer.pl?ds_id=1271, CMS: GLAS LiDAR-derived Global Estimates of Forest Canopy Height, 2004-2008; point shapefile
    • https://webmap.ornl.gov/wcsdown/dataset.jsp?ds_id=10023
    • average tree height" in 1km pixel. For the small forest cover (<1km2), the tree height is underestimated, because of the mixture of land/forest in Simard's data. MERIT downscaled Simard's forest height to 90m, using Hansen forest cover.
      • Simard, M. (2011, November 2011). Mapping Forest Canopy Height Globally with Spaceborne Lidar. Journal of Geophysical Research. (116) G04021.
      • Lefsky, M. (2010, August 5). A Global Forest Canopy Height Map from the Moderate Resolution Imaging Spectroradiometer and the Geoscience Laser Altimeter System. Geophysical Research Letters. (37) L15401.

Last revision 1/23/2019


Verify CSV Imports

Import a CSV file: If you

  • The usual problem, if you did not follow the rules (perhaps by including commas in text fields), will be that values in one field split over several fields, and that as you go down the display, values are not in the correct fields. If this happens, you must go back to Excel and fix the problems. Excel has global search and replace where you can replace commas with spaces or dashes.
  • Insure it plots in the correct location. The most common problem is not following the rules for west (negative) longitude.
  • Use the Database structure choice on the Report button on the database table form to see the field types and lengths after you import the CSV value.

Other CSV problems.

CSV files.

Last revision 2/11/2014


Vertical Curvature Graphs

Vertical Earth Curvature Graphs

Curvature, from top to bottom:, for algorithms in MICRODEM:
  • Radio, k=0.67, sub-standard atmosphere or earth bulge (Green)
  • Yoeli and TM5-441 (Blue and red)
  • Radio, k=1.33, standard atmosphere (Magenta)
  • Radio, k=10, super-standard atmosphere or flat earth (Purple, along x axis)

Graphs show three different scale ranges.

Generate these graphs, and adjust the scaling, with "Analyze, Algorithms, Vertical earth curvature" menu choice.

Last revision 7/17/2021


Vertical Datum Shift

Edit menu choice with a DEM as the current map.

  • You can shift between the WGS84 ellipsoid, and the EGM2008 geoid.
  • If you want to use another file for the shift, you must insure that MICRODEM cannot find the EGM2008 shift locally (don't download, move, or rename), and identify it yourself.
  • This creates a new DEM, but does not automatically save it. The new DEM's name indicates that a vertical datum shift was done.

Last revision 6/8/2019


Vertical Swipe Compare

Option under "Two maps", Overlay submenu from main map window

  • Pick from the active window the map you want to be on the left.
  • Select the second map to be on the right. It must have the same map projection as the first map.
  • A new form will be created, and you can swipe the divider across it.

Last revision 2/7/2017


Save Viewshed Radials

You can save viewshed radial profiles in text files.

  • Pick the viewshed button.
  • In the Fan Properties option, insure that:
    • Fan "Radials, discrete" viewshed algorithm is checked.
  • In Fan Drawing option, selected from Fan Properties, insure that:
    • Ray spacing is set to your desired value.
    • Point spacing is set to your desired value.
    • Fan drawing method is set to radial lines.
  • When the fan is drawn, you will be prompted for the file name.
  • Files will be saved in the c:\mapdata\md_prof\fans directory.
  • The radial files will be in degrees true; this is non-negotiable, and does not depend on any settings in the options. If you need magnetic, do the conversion.
  • It is your responsibility to do something with the files, and to record the location of the fan. The files will be deleted the next time you use this operation.

The file format :

  • automatically name each file *-xxx.PRO, where "*" means a base filename of the user's choice, and "xxx" is the azimuth in degrees.
  • The data in the file starts with a header line saying "meters"
  • Data lines showing:
    • Distance from tower (in meters), followed by a space, and then elevation (in meters).

File example:

meters
0.0 123.4
30.0 126.7
60.0 127.9

etc
3000 145.6

Last revision 11/15/2017


Viewshed References

Viewshed/Weapons Fan References

  • Champion, D.C., Pankratz, K.G., and Fatale, L.A.. 1995. The effects of different line-of-sight algorithms and terrain elevation representations on combat simulations. TRAC-WSMR-TR-95-032(R).
  • Champion, D.C., Fatale, L.A., Karuse, P.F., and Puffenberger, H.B., 2002, The Prediction of Line of Sight (LOS) in Vegetation Using Remote Sources.TRAC-WSMR-TR-02-001(R), 114 p.
  • Dean, D.J. 1997. Improving the accuracy of forest viewsheds using triangulated networks and the visual permeability method: Canadian Journal of Forestry Research. 27:969-977.
  • Fisher, P.F. 1993. Algorithm and implementation uncertainty in viewshed analysis: International Journal of Geographical Information Systems. 7:331-347.
  • Franklin, W.R. 2002. Siting observers on terrain. Symposium on Spatial Data Handling, Ottawa Canada. (Online version: http://www.ecse. rpi.edu/Homepages/wrf/research/siting-sdh-702/site.pdf)
  • Guth, P.L, 2004, The Geometry of Line-of-Sight and Weapons Fan Algorithms: in Ehlen, J., Harmon, R., and Caldwell, D., eds., Perspectives on Military Geology and Geography, Dordrecht, The Netherlands, Kluwer Academic Publishers, chapter 21, p.271-285.
  • Izraelevitz, D. 2003. A fast algorithm for approximate viewshed computation: Photogrammetic Engineering & Remote Sensing: vol.69, p.767-774.
  • Kidner, D.B., Sparkes, A.J, Dorey, M.I., Ware, J.M., and Jones, C.B. 2001. Visibility analysis with the multiscale implicit TIN. Transactions in GIS. 5:19-37.
  • Kim, Y.-H., Rana, S., and Wise, S., 2004, Exploring multiple viewshed analysis using terrain features and optimization techniques: Computers & Geosciences, vol.30, no.9-10, p.1019-1032.
  • Lee, J. 1991. Analyses of visibility sites on topographic surfaces: International Journal of Geographical Information Systems. 4:413-429.
  • Line-of-Sight Technical Working Group, 2004, Line-of-Sight (LOS) Compendium: Sponsored by U.S. Army Corps of Engineers Engineer Research and Development Center/ Topographic Engineering Center, (ERDC/TEC) at http://www.tec.army.mil/operations/programs/LOS/index.htm
  • Llobera M, 2007, Modeling visibility through vegetation INTERNATIONAL JOURNAL OF GEOGRAPHICAL INFORMATION SCIENCE 21 (7): 799-810 2007
  • Maloy, M.A., and Dean, D.J, 2001. An accuracy assessment of various GIS-based viewshed delineation techniques: Photogrammetric Engineering & Remote Sensing. 67:1293-1298.
  • Rana, S. 2003. Fast approximation of visibility dominance using topographic features as targets and the associated uncertainty: Photogrammetric Engineering & Remote Sensing, vol.69, p.881-888.
  • Riggs, P., & Dean, D. (2007, March). An Investigation into the Causes of Errors and Inconsistencies in Predicted Viewsheds. Transactions in GIS, vol. 11(2), p.175-196. [compares several different software packages]
  • Sorensen, P.A., and Lanter, D.P. 1993. Two algorithms for determining partial visibility and reducing data structure induced errors in viewshed analysis: Photogrammetric Engineering & Remote Sensing. vol.59, p.1149-1160.
  • Swanson, R., 2003a, Multi-vendor line-of-sight application validation against field-collected data: ASPRS-MAPPS conference, October.
  • Swanson, R., 2003b, Multi-vendor line-of-sight application validation against field-collected data: in Proceedings of the International Conference on Military Geology and Geography, June 15-18, 2003, West Point NY, HTML published on CD-ROM.
  • Wang, J., Robinson, G.J., and White, K. 2000. Generating viewsheds without using sightlines: Photogrammetric Engineering & Remote Sensing. 66:87-90.
  • Wu HP, Pan M, Yao LQ, et al., 2007. A partition-based serial algorithm for generating viewsheds on massive DEMs INTERNATIONAL JOURNAL OF GEOGRAPHICAL INFORMATION SCIENCE 21 (9): 955-964
  • Yoeli, P. 1985. The making of intervisibility maps with computer and plotter. Cartographica. 22(3):88-103.

Main references page

Viewshed Validation

Last revision 11/20/2009


MICRODEM Viewshed Algorithms

  • All algorithms allow you to set vertical earth curvature algorithm for line of sight.
  • The algorithms also consider horizontal earth curvature.
  • All algorithms allow you to compute visible locations, masked locations, or both. Since in some options several computed points might plot to the same pixel on screen, you should consider what you want to draw. If you want the most conservative estimate, you should draw only masked or visible.
  • All algorithms assume that you can interpolate intervisibility between DEM grid postings. Some implementations in other programs assume that intervisibility is a grid posting parameter, and only compute results on the grid postings.
Method Description Advantages Disadvantages
Radials, full coverage (MICRODEM default) The fan is drawn on another bitmap, and then merged onto the map. The map will show through. The program draws a number of radial lines, the number of radials being selected so that they overlap at the edges of the map and achieve complete coverage at the map scale. Points near the observer are calculated extremely close together, but the extra effort is worth it because the alternative is much slower.
  • Default spacing along profiles computed at 1/2 DEM spacing (suggested by Nyquist limit) or 1/2 the map pixel size, whichever is less; you can set these two scaling factors and override the default settings. The max number of points on a radial is currently 25,000
  • Enough radials for complete coverage at the edges of the fan.
  • Two saved fans allowed computation of mixed pixel coverage.
  • Radial spacing from screen resolution, so might not get complete coverage this way in terms of DEM points.
  • At less than 1:1 resolution you will have points that are not shown on the map.
Radial Lines, discrete Draws series of radial lines away from the observer. Select ray spacing in degrees, and spacing of points along each profile to compute. At each point the intervisibility is computed, and drawn on screen. If the spacing for computing exceeds the pixel size you will see voids, and if the spacing is less than the pixel size, several computed points will plot on the same pixel. The fan is drawn over the map, and the only way to see the map is through the radials. This algorithm is the fastest of the three, but probably only if you do not go for full coverage.
  • Very fast
  • Control of ray spacing, and points along the ray (further speed control)
  • Voids between radials
Point to point Fan is drawn on another bitmap, and then merged onto the map. This algorithm computes point to point intervisibility for every point on the screen and the observer. If screen pixel size is less than DEM spacing it will miss points, and for best accuracy you should blow up the map to 1:1 resolution. For large fans this can be very slow.
  • Can be very slow
  • Computed at screen resolution

Mixed pixels on fans.

Viewshed Validation

Last revision 8/24/2017


Viewshed Mixed Pixels

Viewshed Mixed Pixels, and the Effect of Map Pixel Size

Radial full coverage viewshed algorithm Other viewshed algorithms.

MICRODEM computes viewsheds at a zoom factor that you set, using the full DEM. This is done on a memory map covering just the region of interest and that bitmap is stretched to display on screen. The zoom factor shows the nominal percentage of the posts in the DEM that can be displayed on screen (nominal because with geographic DEMs, correct scaling for 100% zoom requires that some points be displayed twice). The program computes a box that will contain the viewshed, and the DEM postings that are along the edges of that box. Radials are drawn from the weapon/sensor to each point on the box margins, with a spacing along each radial that is half the DEM spacing (default you can change). Along each radial the program oversamples, but between radials on the margins, the program will undersample for zoom factors less than 100%.

Because the radials fan method computes the number of radials for complete coverage at the margins of the fan, points near the observer will lie on multiple fans. This leads to the possibility that on one radial the point will be masked, while on an adjacent radial they will be visible. These mixed pixels present a challenge in classification.

Region that is visible. | Region that is masked (i.e. not visible).

The mixed pixels can be displayed in a different color on both the visible and masked bitmaps. You can pick whether to do this, and the color to use, on the fan Color & algorithm form.
 | Pixel size | Pts computed | Map Points | Coverage | Mixed
 | 222.1 | 12852 | 456 | 28.29 | 9.21
 | 120.3 | 24003 | 1458 | 26.61 | 5.01
 | 51.1 | 57456 | 7842 | 25.18 | 2.33
 | 31.3 | 94122 | 20764 | 24.68 | 1.39
"1:1 map" | 22.4 | 155877 | 40520 | 24.31 | 0.92
 | 19.9 | 197035 | 51129 | 24.33 | 0.86
 | 13.3 | 442928 | 114521 | 24.13 | 0.54
 | 6.7 | 17732216 | 456590 | 23.96 | 0.29
  • Pixel size: size in meters of the pixels on the map used for viewshed computation.
  • Points computed: the product of the number of radials for complete coverage (which increases as the map pixel size decreases) and the number of points used on each map (the smaller of half the DEM data spacing, or half the screen pixel size).
  • Map Points: the number of points on the map used to compute the coverage.
  • Coverage: the percentage of the fan that is visible. For this metric, mixed pixels are considered visible.
  • Mixed Pixels: the percentage of pixels that at the subpixel level (map size, and not the DEM grid) are partially visible and partially masked.

Note that as the map pixel decreases, the percentage of mixed pixels decreases.

At least with this DEM and the type of terrain it reflects, the relationship looks linear.

Pixel size | Pts computed | Map Points | Coverage | Mixed
222.1 | 12852 | 456 | 22.27 | 9.43
54.7 | 53676 | 6889 | 19.79 | 2.87
19.1 | 213498 | 55770 | 18.66 | 0.92

Masked in red, visible in green, and mixed pixels in black.

Note the mixed pixels occur along the boundaries between visible and masked area.

There are more masked points near the center of the viewshed, because more points are considered there.

This viewshed is computed at a different, nearby, location than the one above.

Maps showing the number of times each grid elevation in the DEM was used to compute the viewshed. These correspond roughly with the three fans shows above. In all cases the screen map had 100% coverage, but at smaller scales not all the DEM points had to be used. Note that near the viewer's location, each pixel was covered by a number of computed points (ranging from 35 to over 200), while at the margin only a single computation was done for each pixel. When multiple points were used each had slightly different coordinates, leading to the possibility of a mixed pixel when some points were visible and others masked.

Results computed with NED near Black Butte, OR. The data spacing is 1", (about 22.15 x 30.87 m)

Viewshed Validation

Last revision 3/2/2016


Viewshed Parameters

This window can be accessed:

  1. When selecting weapons fans or viewsheds initially from the icon on the map toolbar [image] Weapons fan/viewshed .
The following parameters define the viewshed plot:
  • Fan Name: optional text to identify individual fans.
  • Max range (m): how far out to figure intervisibility.
  • Min range: points closer than this are too close for successful engagement by the sensor. They will be marked as invisible.
  • Observer/Target ASL or AGL: these can be defined above the ground or above sea level.
  • Viewer AGL (m): height above the ground (in meters) for the viewer
  • Target AGL (m): height above the ground (in meters) for the viewed objects.
  • Right and left boundary: set the limits, in degrees, for the fan. The fan will start at the left boundary and progress clockwise to the right boundary. You can set values to wrap about north; for instance a left boundary of 270 and a right boundary of 90 will draw a fan centered about north.
  • Max, Min inclination: the upper and lower angular bounds of the viewer. This should only be used for a sensor like a radar that can only look up or down a specified amount.
  • Report coverage: reports the percentage of the fan area that is visible.
  • Graph coverage: (Only applies to a series of fans)
  • Save radials : must use a radial lines algorithm.
  • Use Veg grid: only enabled if a
  • Color & algorithm : brings up a second form from which you can select the Viewshed algorithm.
  • Outline fans and outline color:
  • Range units
  • Opacity: used to draw fans. Can be modified here and on the map overlay manager. All fans share the same value.
  • Fan selection
    • Single: each fan is drawn as you select
    • Multiple (ask): you will enter parameters for each fan, but they will only be drawn when requested
    • Multiple (same): all fans will have the same parameters as the first, but they will only be drawn when requested
  • Path: where fans are stored. By default this is the Windows temp directory

Many selections also apply to route observation options which adds another panel with additional options.

Right click on map and pick "Edit fans" to edit fans after they have been created.

Save and restore fans

Last revision 12/8/2011


Viewshed Toolbar

Invoked

  • With "Edit fan" option after right click on map. (Must have fans loaded, either from File menu or by drawing them with [image] Weapons fan/viewshed)
  • After creating Route observation

Click on record (enable edits first), especially:

  • "Edit point location graphical" to reposition sensor. Insure map displays enough detail to accurately place sensor. You might want to zoom in to the immediate vicinity of the sensor.
  • Recolor fan: changes "VIS_COLOR" field in the database, recolors fan and saves recolored fan.

Edit button menu (must enable edits first):

  • Color, recolor all fans: changes "VIS_COLOR" field in the database, recolors fans and saves them.

Plot button menu: gives only the fan edit plot menu options.

  • Plot fan locations
  • Label sensors
  • Quick filters
  • Enable all options: lets you have all options on the Plot button menu
Standard DB toolbar on top.

Viewshed toolbar: some options work with the current sensor, indicated with the arrow in the grid.

  • Compute fan coverage of a target shapefile
  • LOS--interactively change look direction, and compute parameters along each radial.
  • Panorama
  • Perspective--view from the sensor
  • Required antenna height from current sensor location.
  • HL (Highlight): shows current fan in a different color on the map. You must pick the fan in the table, and then click. If you pick the HL checkbox to the right, the highlight will be immediate when you select the fan in the table.
  • Composite: coverage of all fans
  • Multiple coverage: colored by number of sensors covering each point. Currently not documented.
  • Pick sensors: toggle sensors on and off (the USE field in the database) by picking them by name. You will also see the COVERS value.
  • Recolor: change color of composite fans temporarily. To make permanent changes, use edit options.
  • Save filtered sensor list
  • Clear: clear out fans (they will have to be recomputed for the next display)
  • Slider bar sets opacity of viewshed layer
  • KML: export fans as KML
  • Params: change the fan parameters for all fans.

Key Fields in Fans database:

  • COVERS: percentage of area within fan that is visible. Considers left and right limits, and minimum and maximum ranges. The larger the value, the less the sensor is blocked by terrain.
  • TARGET: percentage of target region that is visible. Only computed when you Compute fan coverage. If you only want to cover a target, this is the number to look at.
  • USE: if "Y", the sensor location is currently used for composite fan coverage.
  • IMAGE: name of the saved fan image.

Last revision 4/18/20171


Viewshed Validation

Comparison of MICRODEM LOS/Viewshed with other software, including ESRI. They produce very similar results, and MICRODEM is at least as good as the others. Randy Swanson was with the Topographic Engineering Center (now Army Geospatial Center, AGC), US Army Corps of Engineers and did two studies in 2003.

To validate viewsheds, you need to compare your results with an accepted program using the same data set and parameters. When doing the comparison, you must be careful about distorting a viewshed when you take it into another program, or through raster to vector conversions. Since both MICRODEM and other software (e.g. ArcGIS) do viewsheds as raster computations, the comparison should be done in the raster realm. The difference will be most severe as the range increases, because many of the shortcuts for speed do not adequately consider curvature of the earth. In particular, if you have a new algorithm, you must compare it carefully to previous algorithms; if there is a difference, it is most likely the new one.

Two steps to validation:

  1. Insure the algorithm works correctly, by comparing to other analyses.
  2. Compare to ground truth data, if you have it.

MICRODEM has a number of tools for this:

  1. Multiple DEM profiles to see the effect of different DEMs.
  2. Line of sight/Topographic Profiles which has a number of options. (LOS Right click options)

Viewshed/weapons fans references

Last revision 5/29/2015


Views Options Tab

Tab on options form, brought up from Options menu selection.

  • Max initial OpenGL triangles: for the first display of OpenGL views, the image is subsampled until the number of triangles is less than this numbers.
  • Max size drapes, x dimension: increasing this may result in better perspective views if you have high resolution imagery. How much you can increase the value before you run into undesirable behavior (like system crashes) depends on your system configuration (amount of memory, other running software, etc.).
  • Max size drapes, x dimension: increasing this may result in better perspective views if you have high resolution imagery. How much you can increase the value before you run into undesirable behavior (like system crashes) depends on your system configuration (amount of memory, other running software, etc.).
  • Earth curvature
  • Grid on drapes
  • Overlays on drapes
  • Movies format--the file format used for individual frames in saved movies.
  • Map with vegetation

Last revision 11/19/2011


Vincenty Algorithm

Vincenty, T. 1975. Direct and inverse solutions of geodesics on the ellipsoid with application of nested equations. Survey Review. 23(176):88-93.

References:

  • Paper: https://www.ngs.noaa.gov/PUBS_LIB/inverse.pdf
  • JavaScript implementation: https://www.movable-type.co.uk/scripts/latlong-vincenty.html with online calculator
  • Python: https://pypi.org/project/vincenty/

Last revision 2/4/2021


Visibility index

Visibility index (total viewshed)

I have not looked at this recently. When I did look at it, we were looking to locate observations and used Openness to pick candidates for testing (we also looked at proximity to roads, and the slope which would affect construction).

The following programs can apparently perform this:

  • Whitebox Tools: https://www.whiteboxgeo.com/manual/wbt_book/available_tools/geomorphometric_analysis.html?highlight=viewshed#visibilityindex
  • QGIS with a plugin: https://www.zoran-cuckovic.from.hr/QGIS-visibility-analysis/

The following references came with a quick web search.

  • https://landscapearchaeology.org/2020/visibility-index/#:~:text=Welcome%20visibility%20index%20algorithm%2C%20a.k.a.,digital%20elevation%20model%20(DEM).
  • https://landscapearchaeology.org/2020/viewshed-tutorial/
  • http://mapaspects.org/book/export/html/2134/
  • https://martinhinz.github.io/gia_hs_2020/13/#1
  • https://www.researchgate.net/publication/304673723_Total_3D-viewshed_Map_Quantifying_the_Visible_Volume_in_Digital_Elevation_Models
  • https://www.sciencedirect.com/science/article/pii/S0305440318302383
  • https://ieeexplore.ieee.org/document/6837455
  • https://onlinelibrary.wiley.com/doi/10.1111/tgis.12216
  • https://www.zoran-cuckovic.from.hr/QGIS-visibility-analysis/

Last revised 2/13/2022


Volume Computation

Icon on map window toolbar if you have a DEM map or a DEM associated with the image map.

Computes the volume above the a specified elevation level, the volume below, and the the total volume. It is intended to be used with a difference DEM, such as before and after DEMs of Mt. St. Helens, before and after DEMs of the Slumgullion landslide, or coastal lidar DEMs taken at different times to track erosion/deposition. You could also use it to compute volume for a body of water. It may or may not be applicable to other DEMs.

Outline the region specified, either with stream or point mode digitizing.

Use an area shape file, double click on a record, and compute the volume of that area.

For each point in the DEM inside the region, the program computes the elevation difference from the specified elevation level. It multiplies this by the area represented by each point (average x and average y dimensions, which are either the UTM values or the converted values in meters for arc second DEMs). It then sums all the values for all the points inside the region.

Last revision 6/22/2020


VRML Export and Viewing

s


Water Masks

Water Body Masks

Copernicus water body mask

  • Each tile has a water body mask in a Geotiff
  • Copernicus Water bodies: https://land.copernicus.eu/global/products/wb 100, 300, 1000 m
  • Water levels: https://land.copernicus.eu/global/products/wl , lakes and rivers
  • Global surface water: https://global-surface-water.appspot.com/download, multiple compressed tiff layers (0.9” by 0.9”), large tiles

ASTWBD--ASTER water body mask (GeoTIFF)

  • https://search.earthdata.nasa.gov/search/granules?p=C1575734433-LPDAAC_ECS&pg[0][v]=f&pg[0][gsk]=-start_date&q=water%20body&tl=1630777380.182!3!!!!
  • Abrams, M.; Crippen, R.; Fujisada, H. ASTER Global Digital Elevation Model (GDEM) and ASTER Global Water Body Dataset (ASTWBD). Remote Sens. 2020, 12, 1156. https://doi.org/10.3390/rs12071156
  • 22,912 files, which are zipped with very good compression. Uncompressed they get very large
  • Two grids for each tile
    • ASTWBDV001_N25E097_att.tif : classification of each water pixel
    • ASTWBDV001_N25E097_dem.tif: elevation of each water pixel

MERIT 2 water masks, based on Landsat and OSM (GeoTIFF)

  • 3"x3" pixels
  • Does not cover some islands (e.g. El Hiero)
  • http://hydro.iis.u-tokyo.ac.jp/~yamadai/G3WBM/index.html
  • http://hydro.iis.u-tokyo.ac.jp/~yamadai/OSM_water/index.html

SRTM water mask (vector shapefiles, polygons)

  • https://www.usgs.gov/centers/eros/science/usgs-eros-archive-digital-elevation-shuttle-radar-topography-mission-water-body?qt-science_center_objects=0#qt-science_center_objects
  • Does not cover high latitudes
  • Created from Landsat, so it is at least semi-independent from the SRTM DEM
  • Two different file naming schemes
    • DVD distributed early 2000's
    • Current files on USGS web site

Global Shoreline Vector (GSV) (vector shapefiles, polygons)

  • Sayre, R., S. Noble, S. Hamann, R. Smith, D. Wright, S. Breyer, K. Butler, K. Van Graafeiland, C. Frye, D. Karagulle, D. Hopkins, D. Stephens, K. Kelly, Z, basher, D. Burton, J. Cress, K. Atkins, D. van Sistine, B. Friesen, B. Allee, T. Allen, P. Aniello, I Asaad, M. Costello, K. Goodin, P. Harris, M. Kavanaugh, H. Lillis, E. Manca, F. Muller-Karger, B. Nyberg, R. Parsons, J. Saarinen, J. Steiner, and A. Reed. 2018. A new 30 meter resolution global shoreline vector and associated global islands database for the development of standardized global ecological coastal units. Journal of Operational Oceanography – A Special Blue Planet Edition. DOI:10.1080/1755876X.2018.1529714. https://doi.org/10.1080/1755876X.2018.1529714
  • Interpolation of 2014 satellite imagery
  • https://rmgsc.cr.usgs.gov/gie/
  • Data is ESRI mpk files (some monstrously big), which QGIS might be able to read
  • I have been unable to find the actual coastlines

Coastlines it might be possible to use these, which are mostly lines, and they might be close for islands. For the continental coastlines these might be a challenge.

Last revision 4/8/2023


Web Books and Tutorials

Geomorphology from space--a global overview of regional landforms: out of print 1986 NASA publication edited by Nicholas M. Short, Sr. and Robert W. Blair, Jr. designed for use by the remote sensing science and educational communities to study landforms and landscapes. The core of this book is a gallery of space imagery consisting of 237 plates, each treating a geographic region where a particular landform theme is exemplified. Commentary, photographs, locator maps, and sometimes a geologic map accompany each plate.

GeoAcademy: https://fossgeo.org/free-qgis-courses/ has several GIS courses using QGIS: http://qgis.org/en/site/

http://www.spatialanalysisonline.com/HTML/index.html?surface_and_field_analysis.htm

https://university.planet.com/ intros to remote sensing, and Planet specific learning. All are currently free. Need free planet account.

https://community.planet.com/

Map projections:

  • http://www.flexprojector.com/, which allows interactive manipulaiton of cylindrical world projections, via download of a Java program.

Cloud gallery from satellite: https://earthobservatory.nasa.gov/features/CloudsGallery

Online guides to GIS

  • David DiBiase, PSU, https://www.e-education.psu.edu/natureofgeoinfo/
  • Beyond Mapping III: Compilation of Beyond Mapping columns appearing in GeoWorld magazine 1996 to 2013 http://www.innovativegis.com/basis/mapanalysis/Default.htm

Remote sensing: The Canada Centre for Mapping and Earth Observation (formerly Canada Centre for Remote Sensing) is pleased to offer this tutorial on remote sensing technology and its applications.

High Resolution Topography: http://serc.carleton.edu/getsi/teaching_materials/high-rez-topo/index.html

Distance/bearing computations

  • http://www.movable-type.co.uk/scripts/latlong.html

Last revised 6/7/2022


Online Historic GIS

Annapolis, MD: http://preservationsearchwebgis.anth.umd.edu/flexviewer/ (slow and hard to see the data, 10/28/2012)

Last revision 10/28/2012


Web Mercator Projection

  • http://earth-info.nga.mil/GandG/wgs84/web_mercator/index.html
  • https://en.wikipedia.org/wiki/Web_Mercator (has the WKT definition of Web Mercator)
  • http://wiki.openstreetmap.org/wiki/EPSG:3857
  • https://alastaira.wordpress.com/2011/01/23/the-google-maps-bing-maps-spherical-mercator-projection/
  • Battersby, Sarah E.; Finn, Michael P.; Usery, E. Lynn; Yamamoto, Kristina H. (2014). "Implications of Web Mercator and Its Use in Online Mapping" . Cartographica. 49 (2): 92. doi : 10.3138/carto.49.2.2313 .

EPSG codes

  • 900913 ("google")
  • 3785: deprecated
  • 3857

Currently not supported in MICRODEM, but work is underway. Solution for USGS imagery.

Last revision 12/3/2017


Web Tab

Web Tab, Options Form

Tab on options form, brought up from Options program menu selection.

  • Enable grid network computing
  • Grid server URL and port
  • Clear KML directory on closing program
  • KML options
  • Options for program update
    • Skip check for program updates. Select this only if you have no web connection, and are willing to live with failures when the program cannot update a required support file. You should not run into problems if you do not update the program.
    • Backup EXE before web update: copies the EXE to the c:\microdem\backup directory, with the version (date) included in the file name. If you do not like an update, or it has problems, you can run the old version.
  • Record WMS requests in debug log: allows you see and potentially debug the requests sent to the WMS server.

Last revision 6/30/2018


Whitebox Toolbox

WhiteBox toolbox list of tools

Help documentation

Main page: https://www.whiteboxgeo.com/geospatial-software/

Download: https://www.whiteboxgeo.com/download-whiteboxtools/ only 64 bit for Windows, Mac, and Linux

github: https://github.com/jblindsay/whitebox-tools

Download and place in c:\microdem\wbt (this changed 1/2022)

Options currently enabled:

  • Raster GIS: External tools lists a number of tools for gridded DEMs
  • Lidar options
    • Lidar point classification (two methods)
    • Lidar IDW grid creation, from Create grids tab.
      • This will create a temporary new LAS file with just the ground points, and then run the Whitebox tool.
      • It uses a radius that is the number of cells used for hole filling (Max Gap to Fill) times the grid spacing selected. Increasing this will cause execution to be very slow, and is likely to create larger holes in the interpolated grid
    • WB nearest neighbor

last revised 1/5/2022


Wind Reanalysis Data

Wind Reanalysis Data (Climatology)

Data set created from download at http://www.esrl.noaa.gov/psd/data/reanalysis/reanalysis.shtml using "NCEP/NCAR Reanalysis winds" on Import menu of Data Manipulation form.

This has monthly u and v (x and y) wind components every 2.5 degrees of latitude and longitude (10512 values in total). You will probably want to zoom in to a continental size region to use this data set, or thin the data to plot fewer vectors, or adjust the Line multiple to change the size of the vectors.

This is a 40 year average.

  • Kalnay et al., 1996, The NCEP/NCAR 40-year reanalysis project, Bull. Amer. Meteor. Soc., 77, 437-470.

MICRODEM use of this data set:

You could get monthly (and probably daily) data for North America:

  • http://www.esrl.noaa.gov/psd/cgi-bin/data/narr/plotmonth.pl
  • Pick Vector wind, and a single month
  • Create plot
  • Get copies of w and v wind data files.
  • The import code would have to be tweaked.

Last revision 1/12/2019


Window Menu Choice

This sub menu has the following options:

  • Close splash screen: the splash screen closes the first time you perform an action to open a window, but this menu choice will do the job.
  • Tile: Windows standard rearrangement of open windows.
  • Cascade: Windows standard rearrangement of open windows.
  • Span all monitors: 2 or 4 monitors configured to work together.
  • Change monitor: move the program to another monitor. You must minimize the main program form with the minimize button on the upper left corner.
  • Restore OpenGL window if covered by other windows.
  • Bring any desired window to the front; they are listed by the window caption.

Last revision 9/29/2018


WKT

Well known text: a way to encode datum and projection information.

At one fairly recent point in time there were multiple WKT variants which were not compatible, but that seems to be less of a problem now.

  • https://gdal.org/tutorials/wktproblems.html
  • http://docs.opengeospatial.org/is/18-010r7/18-010r7.html 2019, version 2.0.6
  • http://docs.opengeospatial.org/is/12-063r5/12-063r5.html 2015, version 1

MICRODEM is moving to using WKT to define map projections, currently including:

  • DEMs in version 5 of the MD DEM format
  • DEMs created from lidar

The file should have a .PRJ or .WKT extension

The following projections should currently be supported; if you have problems with them, send us the WKT PRJ file you are trying to use as there is still some variability in the coding.

  • Azimuthal Equidistant (Equi7)
  • Lambert Azimuthal Equal Area
  • Lambert Conformal Conic (SP1 and two standard parallel variants)
  • Polar Stereographic
  • Transverse Mercator
  • UK OSGB 1936
  • UTM

To change to one of these projections:

  • Open Vector Map
  • Subset & zoom to the region you want
  • Right click on map, Map projections, Load projection (WKT or PRJ)

If you would to see other projects, contact us.

OGC WKT Projection files and Projection Codes

  • https://spatialreference.org/

Last revision 6/30/2022


WMS

A Web Map Service (WMS) is a standard protocol for serving georeferenced map images over the Internet that are generated by a map server using data from a GIS database. The specification was developed and first published by the Open Geospatial Consortium in 1999.

WMS downloads a raster map image, covering a requested area with a particular projection, on demand. The user does not have to download and store the data, but must have an internet connection.

Using WMS can be like having Google Earth inside the GIS program, with high quality imagery available anywhere. You do not get the seamless zoom in and out, and national borders provide a challenge, but for many operations this works well.

Programs communicate with the Map service with two main types of request:

Get capabilities | Returns a list of layers, and the geographic coverage of each, delivered in a standard XML format. This can be turned into a database, which the GIS program can use to see which layers belong on the current map. It also shows the projections available (SRS field). This allows a program to access new layers which might not have existed when the program was written, and to allow the program to access data that was not specifically considered when writing the program. The layer names typically include the geographic area, the resolution of imagery, and the date imagery was acquired.
Get map | Returns just a map image, but the GIS program knows the projection information and the map extent from its request, and thus can perform full GIS work on the layer.

A WMS map request will look like this (this could be cut and pasted into the address bar of any browser, which would display the map image as a "dumb picture" or get the capabilities as an XML file):

  • "http://imsortho.cr.usgs.gov/wmsconnector/com.esri.wms.Esrimap/USGS_EDC_Ortho_NorthCarolina?VERSION=1.3.0&REQUEST=GetMap&BBOX=-75.7594099019983,36.1763161655581,-75.7486369793441,36.1848154690609&LAYERS=NC_DareCounty_0.25ft_Color_Mar_2007&CRS=CRS:84&FORMAT=image/jpeg&STYLES=&WIDTH=978&HEIGHT=950"
  • "http://imsortho.cr.usgs.gov/wmsconnector/com.esri.wms.Esrimap/USGS_EDC_Ortho_NorthCarolina?VERSION=1.3.0&REQUEST=GetCapabilties"

Parts of the request, some of which are optional. While this would be difficult to create manually, it is an easy process for a GIS program to create the request based on the current map area:

  • "http://imsortho.cr.usgs.gov/wmsconnector/com.esri.wms.Esrimap/USGS_EDC_Ortho_NorthCarolina?"-- URL of the WMS server. The "?" indicates that parameters detailing the request will follow.
  • VERSION=1.3.0--version of WMS
  • REQUEST=GetMap--what the client wants
  • BBOX=-75.7594099019983,36.1763161655581,-75.7486369793441,36.1848154690609--Bounding box for the map
  • LAYERS=NC_DareCounty_0.25ft_Color_Mar_2007--name of the layer. This will often be a number.
  • CRS=CRS:84--projection wanted. These are standard codes, even if not obvious. By default MICRODEM will request either "CRS:48" for a map with geographic coordinates, or "EPSG:269xx" for a UTM projection, where the xx is the correct zone. This works in the US to get data from USGS.
  • FORMAT=image/jpeg--graphics format
  • STYLES=
  • WIDTH=978&HEIGHT=950--size of requested map in pixels

Using WMS Maps in MICRODEM is currently disabled

Last revision 10/6/2021


Wood Classification

Wood (1996) proposed a point classification based on the quadratic coefficients in a region about the point of interest.

For best use, this technique uses three variables:

  • Slope tolerance
  • Convexity tolerance
  • Window (region) size
  • We have added a minimum slope that can be classified.

We modified the Wood's (1996) color scheme, to make our maps more closely resemble topography. Ridges and peaks are green to simulate the forest covered uplands, and the streams/valleys and pits are blue to simulate the stream drainages. Passes are in yellow.

The best values for the parameters depend on the DEM and regional characteristics.

MICRODEM also implements two other algorithms.

The Wood algorithm:

if point elevation is missing, PointType := MissingPoint

if neighboring point elevation is missing, PointType := EdgePoint

if (SlopeDeg < MDDef.MinSlopeToClassify) then PointType := FlatPoint
else if (slopeDeg > MDDef.SlopeClassTolerance) then begin
if (CrossC > MDDef.ConvexClassTolerance) then PointType := RidgePoint
else if (CrossC < -MDDef.ConvexClassTolerance) then PointType := ValleyPoint
else PointType := OtherPoint;
end
else if (MaxCurve > MDDef.ConvexClassTolerance) then begin
if (MinCurve > MDDef.ConvexClassTolerance) then PointType := PeakPoint
else if (MinCurve < -MDDef.ConvexClassTolerance) then PointType := PassPoint
else PointType := RidgePoint;
end
else if (MinCurve < -MDDef.ConvexClassTolerance) then begin
if (MaxCurve < -MDDef.ConvexClassTolerance) then PointType := PitPoint
else PointType := ValleyPoint
end
else PointType := OtherPoint;

Last revision 8/18/2008


World Files with Different Grids

Interpretation of UTM world file:
  • Interpreted orientation of a map shown in green, and it will assume that the UTM grid is parallel to the sides of the map.
  • For a UTM data set on the left, it will correctly register with the red UTM grid.
  • For a geographic data set on the right, it will be skewed. The upper left (NW) corner will be correct, and the error will increase towards the SE corner. The data set should have corners in black, but they will be interpreted in green.
Interpretation of a geographic world file:
  • Interpreted orientation of a map shown in green, and it will assume that the lat/long grid is parallel to the sides of the map.
  • For a UTM data set on the left, it will be skewed.
  • For a geographic data set on the right, it will be correctly register withn the black geographic grid.The upper left (NW) corner will be correct, and the error will increase towards the SE corner. The data set should have corners in red, but they will be interpreted in green.

World Files have a provision for a rotation factor, but I have never seen it implemented and MICRODEM does not support those fields.

The user must insure that a compatible world file is selected.

Last revision 8/11/2010


World Outlines Options

World Vector Outlines Options

This uses a cartographic shapefile grouping; selected by:

  • Set on the Vector maps tab of the options form.
  • Map Overlays World outlines.
  • Right click on a map, then Overlays from the popup menu.

This uses the Natural Earth vector files by default, with three levels of detail. The download should be automatic, but your data must be in c:\mapdata. You can force a redownload of the data if you encounter problems. You could create an index grouping for other shapefiles.

If the pixel size on screen is larger than the cutoff for the Small scale data, the small scale data will plot.
If not, and the pixel size on screen is larger than the cutoff for the medium scale date, the medium scale data will plot.
If not, and the pixel size on screen is larger than the cutoff for the large scale date, the large scale data will plot.

If the pixel size on screen is smaller than the cutoff for the large scale date, no data will plot (because it would be too linear).

If you turn off "Variable scale selection", only the small scale data will plot. It will be much faster, but also has less detail.

The buttons let you select/change the table with rules, and edit the rules.

You can force a redownload of the vector data.

Edit the display characteristics with this form:
  • NAME has the layer's description, and shows what the symbology looks like
  • PLOT--yes or no. To change, set the action on clicking to "Toggle" and then click on the layer.
  • PLOT_ORDER is the order is which layers are plotted, from 0 on the bottom to 9 on the top. If there are multiple layers with the same ORDER, they plot in the order listed in the database.

Similar option for maps of US for states and counties.

Last revision 12/8/2021


xview2 json to shapefiles

Data Manipulation, Import

  • Select JSON files from a directory
  • They will convert to shapfiles
  • The files have multiple issues
    • They do not all have the same fields for the database
    • Some have the "xy" coordinates, which probably refer to the image tile
    • The image metadata format is not standard
  • If you find problems
    • If the program crashed during the conversion, note the last file so we can debug
    • If the files later have problems, you have the file name

Last revised 9/13/2020


ASCII XYZ Export

Option on File menu of map window, Save DEM option. There must be a DEM associated with the map. This creates a large file, but it should be very portable for import into other software.

  1. XY Format:
  • UTM: each point in the DEM will be on a separate line, in the order easting, northing, elevation, separated by spaces.
  • Lat/Long: each point in the DEM will be on a separate line, in the order latitude, longitude, elevation, separated by spaces.
  • Long/Lat: each point in the DEM will be on a separate line, in the order longitude, latitude, elevation, separated by spaces.
  • MGRS: each point in the DEM will be on a separate line, in the order MGRS, elevation, separated by spaces.
  • ARC/Info Generate: similar to the UTM option, with a “1,” at the start of the line and commas between values.
  2. Z format:
  3. Decimals
  4. Header row: put in a first row with the names of the columns
  5. Thin: export only every nth value in every nth row

If you save in Lat/Long format with a header row and a CSV file extension, you can import as a database.

ASCII ArcGrid is another simple ASCII format, with much less storage space because the X-Y coordinates are not stored, but only a corner and the spacings.

Export will be in NAD83/WGS84.

Last revision 12/3/2014


XYZ files

Storing files as simple ASCII with x, y, and z coordinates makes a very human readable file, but not for the GIS program. There is no standard format for the order of points, the units (degrees or meters), the projection, and whether or not there is a header line. If you have one of these files:

  • Go back and see if you can get the data as a shapefile or a grid, depending on whether the data is a grid or vector.
  • Open database Try to open it as a vector database. If it works, and is in geographic coordinates, this will be the easiest. It will give you a point DB, which you can display as a continuous line, or convert to a line.
  • Data Manipulation, Import, ASCII DEMs, ASCII XYZ if the data is a grid or vector.

Last revised 10/24/2019


Z Above Ground

Done on Laser scan point cloud option.

In a 3D database, controlling for the z values can be much harder than for the x and y. There are conceptually 3 ways to verify that the z values are reasonable, and allow you to digitize solely on the x-y plane:

  • Database (shapefile): using a database that consists solely of points on the ground surface.
  • The next two have not yet been fully implemented:
    • DEM/grid. This could be created from a TIN or done via ASCII XYZ import, neither of which will currently be happy with arbitrary XYZ coordinates (not lat/long).
    • TINs (Triangulated irregular networks), but this will currently not be completely happy with arbitrary XYZ coordinates (not lat/long).
3D databases (colors), with the Z coordinates "floating", both above and below the correct level within the point cloud (red). Shown in the X-Z plane.
3D database (blue) showing the ground level inside the red point cloud. This was created by Filtering the database, and saving the filtered result.
zv? button: 3D databases (colors), after clipping the z values to the ground. This requires:
  • Pick 3D shape file with the ground locations (it does not have to be open).
  • Pick constant additional height above the ground (highest point in the vicinity in the ground database)
  • Pick random height to be added.
  • Watch progress in status bar at lower left of program window.
TINs (Triangulated irregular networks) shown in the XY plane.
  • Produced from a filtered database, to have just the points on the ground.
  • Database then thinned because TIN algorithm had problems with density of points.
  • TIN then created

last revision 12/1/2010


Elevation Transformations

Z (Elevation) Transformations

For z distributions which are skewed, several transformations on Create derivative grid menu option can spread out colors and better show the distribution. The colors will not be evenly distributed on the z scale.

Natural log.

  • Cannot be done for negative z values.
  • Emphasizes the low values.
Log base 10
  • Cannot be done for negative z values.
  • Emphasizes the low values.

Normalized.

  • 0 is the mean
  • positive values are in standard deviations above mean
  • negative values standard deviations below mean.
Percentiles. Go from 0 to 100; 50 is median elevation.

Last revision 3/18/2013


ZipATone DB Plots

Pick on Plot from the table display window

There are two options for "zipatone":

  • Single file for the entire database.
  • Use a "ZIPATONE" field in the database. The graphic must be in the c:\mapdata\zipatone directory.

This loads an image file (JPEG, GIF, BMP, PNG, and TIFF should work) and uses that as the brush for pattern fill on area shapefiles. We have not test limits on the image size, but the kitten below is 85x89.

OSM buildings and roads in Agdal, Rabat. The whimsical kitten shows that any pattern is possible.
Part of the same area, with a brick or limesone pattern, which might be a little more serious.

You can convert all the Stratcol lithology patterns to zipatone. They are designed to tile very nicely, with a max size of 24x24.

Last revision 1/18/2018


Zipped Data

Microdem can use the following compressed data without unzipping:

Imagery:

  • MrSid imagery (what little of it is still around)

Last revision 7/3/2020


Cartography in MICRODEM

Cartography

MICRODEM offers options for understanding cartography, map making, and map properties. These can be turned on using the Menu choices tab on the options form if they are not visible.

Quick vector map: open single vector map with default projection and extent. The default is a Mercator projection; change it on Directories tab of options form.

New Vector Map on the main toolbar, or "File, Open, New Vector map" menu choice lets you open multiple projections at once.

Cartography menu choice when a map window is active.

  • Map distortion (pick Tissot locations):
  • Datum (horizontal) shift : works on any map with different primary and secondary datums. If the option is disabled, you must pick a different secondary datum. Shows the shift as you roam, and displays full information when you double click. You can also plot the absolute value of the shift when you double click. To pick the font color and size, use the Font option on the Overlay menu. You will get a datbase table for the selected points. You can export the values to a database with the Export computations option.
  • Sunrise/sunset times: You can select what to plot, and the time zone to use for the times.
  • Magnetic variation values: using WMM model. Export values to a database with Export computations option.
  • UTM grid to true north declination:
  • Horizontal earth curvature
  • Magnetic declination overlay: The length of the field lines are arbitrary and constant, but they align with the earth's magnetic field calculated using the WMM model. You are responsible for drawing this on a map with true north to the top. You can export the values to a database with the Export computations option.
  • True north lines
  • Magnetic north lines
  • Tissot indicatrix (grid): this works only on vector maps and shows the pattern of map distortion.
  • State plane coordinate system: pick the projecton (conformal conic or transverse Mercator) and then the zone to use, and the program will show the corners of the current map.
  • Latitudinal scalebars: scalebars on the right side of the map, at the top, middle, and bottom
  • LCC standard parallels
  • Map projection zones
    • MGRS/USNG 6x8 zones: uses NGA shapefiles
    • UTM 100K zones. These are split at the 6x8 degrees boundaries. Uses NGA shapefiles
    • Combined MGRS Polygons
    • US SPCS zones (requires that you have the shapefile in the correct location, c:\mapdata\database\carto\us_spcs\us_spcs_zones.shp)
    • DEMIX 10K Tiles
  • Export computations: saves a number of fields to a database on a regular grid, which you can plot. This can be a better visualization than a smaller number of points
  • Grid spacing and rotation: you can see the spacing and the grid rotation angle, either for the corners and center, or for points spacing a specified number of pixels apart.
  • Earth rotation: rotate the map, with an option to color code it from a number of world data sets. You can overlay the world outlines, with an option set on the "Vector Maps" tab of the options form. Only available with stereographic, orthographic, and Lambert Azimuthal equal area projections
  • 3D rotating globe: must be a global grid or image (-90 to 90, -180 to 180) at full resolution. It will have all overlays; turn off grid labels, legends, and map labels

Map Overlays can show:

  • MGRS grids zones: 6x8 degree MGRS zones. The first part, a number, is the UTM zone between 1-60, and the second part, a letter, is a latitude band.
  • MGRS 100K squares: the two letter designator for 100,000 m squares. These will behave much like a Tissot indicatrix; if the map is conformal, these should be squares, and if the map is equal area, they will all be the same size.
  • Tissot indicatrices: show patterns of map distortion.

Map projection gallery . With the vector map choice, you can get a large number of projections. The default projection is a Mercator ellipsoidal; you can change this by right clicking, and then selecting the "Modify projection" menu choice. There may be problems blowing up some of the more exotic projections.

Cartography principles.

Last revision 9/14/2021


Viewing Datum Shifts

Projection and datum shift calculations. The datum shift between two datums, such as WGS84/NAD83 and NAD27, can be computed in two ways:

  1. From the Lat/long on the two datums, using a Molodensky transformation.
  2. From the UTM coordinates on the two datums. This tends to be greater in magnitude, because the two datums likely use a different ellipsoid which can lead to large differences in the location of the point on the ground with the same UTM false easting and northing. Because of the way projections work, this will be more complicated:
    • UTM in datum 1 to lat long in datum 1
    • Lat long in datum 1 to lat long in datum 2 (Molodensky transformation)
    • Lat long in datum 2 to UTM in datum 2

The datum shift option on the Cartography menu choice will display the shift between the two datums for both Lat/long and UTM coordinates. You will have the choice of labeling the shifts, using either the Lat/Long, UTM coordinates, or both. The shift is computed by using the inversion projection equations to get the lat/long and UTM coordinates of the point on the map where you clicked. Then the datum shift is performed on both sets of coordinates into the secondary datum, and distances between the two sets of Lat/Long and UTM coordinates.

You can Plot the results and Label them using standard options.

Grid: You can also view the datum shift by plotting the UTM grid or lat/long graticule for both datums on any map. You can pick the second grid, and the colors to use.

Additional references

  • Datum caution
  • Datum shifts
  • Datums for warfighters
  • Example of correct and incorrect datum shifts

Last revision 9/7/2018


Magnetic Declination Overlay

In MICRODEM, you can overlay the magnetic declination from the Cartography menu choice of a map menu. You must have the cartography options enabled on the options form.

Last revision 12/14/2000


Map Distortion

Access this option from the Cartography menu of a map window. The map must be a [image] Vector Map.

Tissot options

As you roam over the map, a panel on the bottom will show the scale factors h and k (or h' and k') and Omega, the maximum angular distortion. Double clicking will overprint the scale factors at the point, and draw a Tissot indicatrix.

  • h is the scale factor along the meridian
  • k is the scale factor along the parallel
  • If meridians and parallels intersect in right angles, all other scale factors will be between h and k
  • If the projection is conformal, h=k

For some projections:

  • h' is the scale factor along a line radiating from the center of the projection
  • k' is the scale factor along a line perpendicular to a line radiating from the center of the projection

Last revision 8/26/2008


Map Projection Zones

Option on the Cartography menu. This will download the data files, if needed, and then open shapefile databases. Control the plotting using standard operations for area shapefiles.

US SPCS zones (requires that you have the shapefile in the correct location, c:\mapdata\database\carto\us_spcs\us_spcs_zones.shp)

MGRS/USNG 6x8 zones. This region has a number of non-standard zone boundaries, to keep the number of very thin zones in a country to a minimum. Because of the convergence of the meridians, these zones are very thin.

You should note the special zones near Svalbard and SW Norway (zone 32V), which are not quite "universal" but show the mapping challenges for high latitude countries.

This will automatically download a shapefile provided by NGA,
UTM 100K zones. These are split at the 6x8 degrees boundaries, as seen by the parallel near the center of this map.

These can map the distortion of the projection, if the squares do not maintain their size and shape.

To plot the labels, you must be zoomed in to a small area.

This will automatically download a shapefile provided by NGA,

NGA data from http://earth-info.nga.mil/GandG/update/index.php?action=home#tab_coord-data

last revised 8/29/2018


MGRS Zones

You can overlay MGRS zones and 100K grid zone designators from [image] Map Overlays . You must have the cartography options enabled on the options form. The zones will be labeled if there is enough room in the zone.

MGRS (Military Grid Reference System), valid only away from the poles, coordinates consist of modified UTM coordinates:

  • The zone, 2-3 characters (1-2 digits for the 60 zones, each 6° wide, and one letter for the 8° high latitude band).
  • The 100K grid square, using two letters.
  • An even number of digits to compute the coordinates to the accuracy level desired.
  • The letters "I" and "O" (India and Oscar) are never used, since they could be confused with the numbers 0 and 1.

MGRS zones are bounded by lines of latitude and longitude, they are not all the same size and are not in fact rectangular. They appear rectangular only on projections like the Mercator which distort the converging meridians.

The 100K grid zones should all be the same size and shape, since they are squares 100 km on a side, and at that scale the curvature of the earth is not obvious They can be used like the Tissot indicatrix to get an idea of the distortion produced by a projection.

Note non-standard zones around Norway (32V) and around Spitsbergen to the north (32-36, unlabeled).

Zones on a Mercator Projection. Note that the 100,000 m squares increase in size (apparently, on this projection) northward due to distortion by the projection. The number of squares per zone decreases northward as the meridians converge.

Grid zones on a UTM projection for zone 11. Note increasing distortion to the east. There would be a symmetrical pattern to the west, but we see only a small portion of zone 10.

For the 100,000 m squares, note that the first letter for easting repeats every three zones, and the second letter for northing repeats every other zone.

Last revision 8/31/2011


US SPCS Zones

Last revision 8/29/2018


UTM Projection

The UTM projection is designed to create a rectangular cartesian grid. This allows distances and angles to be computed easily, and minimizes distortion. While the military popularized the UTM projection for ground operations, it is also ideal for many GIS operations.

The Mercator projection is conformal and preserves angles, but distortion increases away from the equator. Geometrically the Mercator projection places a cylinder around the globe tangent at the equator, and unfolds it. The meridians should converge, but must be stretched to keep their intersections with the parallels as right angles. For angles to remain correct, the same degree of stretching must occur along both meridians and parallels. At the poles the stretching must be infinite, to keep the meridians from converging to a point at the poles. This means the Mercator projection can not show the poles.
The transverse Mercator projection rotates the cylinder 90 degrees. The UTM uses 60 zones that are 6 degrees wide, with standard central meridians. Within these zones the UTM projection has very little distortion. UTM coordinates can be extended into a neighboring zone for seamless operations, but the farther away from the 6 degree zone you move, the greater the distortion.

MGRS vs UTM.

UTM grid

Last revision 8/16/2015


Census Data Geometry

Geometry outlines (area/polygon shapefiles ), Tract level data, Block Groups, or Blocks

  • The data will be in files by state (they used to be by county). You can merge these shape files to get a larger region, or you can filter the state to get a county, and then export that to a separate file). See the maps below to get a sense of the level of aggregation each level provides.
  • Download options
Anne Arundel County, Maryland, 2000 Census and Earlier
6537 Blocks | 309 Block Groups | 95 Tracts
TABBLOCK00 | BG00 | TRACT00
Limited data, but based on 100% response ("short form") for the 2000 Census. Now only legislative redistricting data is available for blocks. | For 2000 and earlier census, much richer data than for blocks, but based on statistical sampling of only some households ("long form") For 2010 Census, replaced with American Community Survey Data

ESRI SF1 data, single block group Join BKGPIDFP00 to STFID | ESRI SF1 data, single tract Join CTIFFP00 to STFID

Sample output.

Last revised 9/13/2012


MICRODEM Coding Issues

64 bit version default

MICRODEM's Design Philosophy

Code model

Current source code

Source Code, DOS version

Last revision 8/11/2022


MICRODEM Code Framework

MICRODEM Code Model

Class/Object | Function | Form/Window | Notes
DEMDatum | Geodetic and coordinate conversion routines |  |
tDEMDataSet | Model of a Digital Elevation Model |  | Global variable
tSatImage | Model of satellite image, air photo, or scanned map |  | Global variable
MapProjection | Model of an arbitrary map projection |  |
GISDataSet | Model for a shapefile |  |
tDBTableF | Window to display a data base | Yes |
tMapDraw | Model for a map |  | Must have a tDEMDataSet, tSatImage, or a MapProjection
tMapF | Window for a map | Yes |

This is provided as an aid to understanding what MICRODEM does, and the interfaces it uses.

Important notes:

  • No promise that the interface will remain constant.
  • The underlying source code will not generally be supplied. Source Code, last DOS version of the program, circa 1995, is available.
  • There are probably about 200 code modules in the program, and 350,000 lines of code.

Last revision 5/23/2010


Earth Explorer

Earth Explorer Imagery Downloads

These directions apply specifically for Landsat satellite imagery, but the same general procedures work for all data from Earth Explorer (specific High resolution imagery directions).

Connect to EarthExplorer
Select area. The easiest way is to navigate on the map, and then use the option to select the map area. Making this as small as possible will save having to wade through thousands of images, since images that may only include a small sliver or corner of the map will be included.

You can also select a date range, or search by month if you only want a seasonal event.

You can pick Maximal clould cover. In deserts you should easily be able to get very limited cloud cover, but in other areas you might not be able to be so picky.

Select the data sets

  • Landsat-- Get Landsat Collection 2 Level-1. Avoid the other options.
  • All four of the Landsat sensors should work, Landsat 1 to 9

Landsat 7 had problems at the end of its mission with voids on the edges of scenes (SLC or scan line converter problem); during much of that time Landsat 5 was still collecting data for the multispectral bands (it did not have the pan band)

Landsat Additional Criteria

  • Get the Landsat path and row
  • Once you know the path and row, set the filter on the additional criteria
  • Set the filter on he additional criteria such as cloud cover. In the desert you can set the most restrictive area. In cloudy areas you may have to be less restrictive, but can check if your portion of the entire scene might be cloud free.
  • If you look at the results without looking up the path and row, find a scene with the coverage you want, note its path and row, and return to set the path and row.
After setting all parameters, the Results button will be active and you will get results. This can take some time if you will be getting a lot of scenes, which will then take you a long time to go through. It pays to get the smallest area and time period that works, or set additionial criteria to filter the results.
Each Landsat sensor will return results separately.

Pick the sensor you want from the drop down list.

Results will be displayed. Newest results will be at the top of the first page, oldest at the bottom of the last page.

If you have a huge number of results, you should consider filtering the results:

  • Get picky with clouds. This is easy in the desert, harder in the jungle.
  • Select only the months you want
  • Insure you have just the correct path and row

Search results. Until you have some experience, insure that the secnes cover the area you want. The program often shows a number of different scenes in terms of the coverage area, and they may not overlap. This is particularly true for the earliest Landsats.

The useful buttons to the right of image thumbnail:

  • Show footprint, to see what a tile shows.
  • Second button from the left overlays the image on the selection map, and should clearly show clouds before you download.
  • Show metadata and browse image
  • Download

If you are just downloading a few files, use it from this page (you can have multiple downloads going at a time; that number might now be 2).

If you are downloading a lot, you can add to the Cart and then use one of the following options. This seems to be changing very rapidly

  • MICRODEM download (which may have challenges with the local friendly IT department blocking the operation)
  • uGet.
  • BDA

Landsat Download options for a single scene:

  • For detailed analysis, you need the Geotiff data product, and the Product bundle.
    • For Landsat 8 the scenes are about 1 GB compressed, and about 2 GB when uncompressed.
    • For Landsat 7 the scenes are about 226 MB compressed.
    • For Landsats 4 and 5 the scenes are about 163 MB compressed.
    • For Landsats 1 to 5 MSS the scenes are about 30 MB compressed.
  • For quick analysis, the Full-Resolution Browse GeoTIFF images are significantly smaller (~14 MB) and are georegistgered, zipped.
    • Insure you have installed GDAL as the images must be processed before use (automatic operation)
    • These should be opened with the file option and not directory selectioni
  • Do not get the Full-Resolution Browse JPEG images (they are dumb pictures with no registration).
  • Download the individual band files with great caution
    • Cannot easily get color composite images
    • Open as a DEM/grid
  • All downloads have standard Landsat naming conventions. Do not rename the files or folders, and the program uses the file names to manipulate the data
  • Manage Landsat data

Alternative USGS downloads

  • LandsatLook Viewer.
    • Must zoom in the see data; scale shows in lower left corner of the screen.
    • View scenes, with some contrast enhancement, with option to download
    • View cart with option in the upper left of the data table
    • May be a limit on how many files you can get at a time
  • GloVis

Last revision 3/9/2023


Edit Line

Edit Line/Perimeter for Shape File--Currently Disabled

ast revision 12/13/2017


Create Flight Path File
Use Excel to create a file as shown above. You will probably be importing a TXT file. You must have the fields LAT, LONG, ALTITUDE, and SPEED filled in. The others can be filled in later.

The order of the fields does not matter.

All other fields (AZIMUTH, Z, DISTANCE, and CLEAR_R, CLEAR_OFFR, CLEAR_L, CLEAR_OFFL, ) need a dummy value which will determine the number of digits allowed in the database. Use the values above. The RED and BLUE fields do have values (it does not matter where they are) out of sight on this screen capture.

This is the minimum number of fields for the option to work; other fields can be present and used in standard database operations, but will be ignored for this.

Save the file in CSV format. You can use dBase if you are feeling lucky, but there are too many chances for problems to risk it.

Last revision 12/7/2007


Edit Flight Path File

Create a flight path file.

New DEM: Open a DEM covering the area.

Database Open the CSV file on the Map window toolbar. MICRODEM will convert the CSV file to a DBF file, and from this point on you want to use the DBF file.

Adjust Flight Path Database File
If you do not have Z field (elevation of the ground directly below the aircraft) populated:
  • Check the EDIT box on the database table display window. The EDIT button will be enabled.
  • Hit the Edit button, and then pick the "Add elevation from DEM" menu choice. The ground elevations (in meters) below the points on the flight path will be filled in the Z field.

If you do not have the DISTANCE field (this is the distance from the airfield, used to plot the glide path) populated:

  • Insure that you have the LAT, LONG of the airfield.
  • Insure the EDIT checkbox is checked.
  • Hit the Edit button, and then pick the "Distance from point" menu choice. Enter the coordinates of the airfield. The DISTANCE field (in kilometers) will be populated with the distance to the airfield. If your flight path makes a circle, this is not the best solution since you will be at the same distance from the airfield repeatedly.
  • Alternatively, you can also add the distance with the "Add azimuth to travel path" option discussed below. Since the azimuths from this option will be less accurate than using the World Magnetic model, you can set the azimuth option just to get the distance, and then get the azimuth from the magnetic model.

If you do not have the AZIMUTH field (must be in terms of true north) populated. There will also be problems if the input file repeats the same LAT, LONG pair and MICRODEM attempts to compute the AZIMUTH.

  • Insure the EDIT checkbox is checked.
  • Then you have two choices:
    • If you have compass headings in another field, you can use the World Magnetic model to turn them into true headings. Hit the Edit button, and then pick the "Get azimuth from magnetic heading" menu choice. This would be the preferred option.
    • Hit the Edit button, and then pick the "Add azimuth to travel path" menu choice. The AZIMUTH field (in degrees) will be populated, based on the azimuth between adjacent pairs of points in the data base. Due to rounding errors which can cause a wobble, it would be better to get the azimuth with the other data. This option can also put in the cumulative distance along the path.

Last revision 12/7/2007


Final Flight Path Database

Flight path table after completion of all operations.

Clearance (CLEAR_R and CLEAR_L) is the highest ground elevation in meters on the sides of the route.

CLEAR_OFFR and CLEAR_OFFL are the distances in meters from the path centerline to the highest point on the ground on either side of the route.

Last revision 12/7/2007


Flight path movie & clearance computations

Flight Path Movie and Clearance Computation

New DEM: Open a DEM covering the area.

New image to display or drape the path on a satellite image.

Database should be closed for this operation

Pick "File, Replay Flight Route" menu choice. If you want to drape the satellite image, insure that the image is the active map window.

If you thin the dataset for faster operation (Use Thin option on Edit button of database table form) it can display faster for preliminary assessment of the results.

Set parameters for the movie:

  • Viewport depth on Viewport tab may require increasing the value, since the default may be too small.

  • Insure cross track and along track profile settings are correct on Flight options tab.

Movie can have up to 4 images:
  1. View ahead from the cockpit.
  2. Map showing the route and the area covered in the view. You should set the map area, and position or turn off the scale bar, elevation color scale, and map grid before making the movie.
  3. Cross track view at current location. You set the horizontal and vertical scale for this on the Flight options tab before running the movie.
  4. Along track profile. Set the parameters on the Flight options tab before running movie.
  • The green line is ground track below the aircraft
  • The dark gray line is the flight path.
  • The light gray points are elevations to either side of the aircraft. In this case, there are 10 profiles, five on each side, 250 meters apart. This shows the elevations within a band 2.5 km wide centered on the aircraft. The highest point in this band will be placed in the CLEAR_R and CLEAR_L fields of the database.

Last revision 12/7/2007


Flight Path Operations

Create DBF file with flight path.
  • Create a flight path file.
  • Edit flight path file.
  • Thin dataset for faster operation. Use Thin option on Edit button of database table form
Display flight path on map and 3D views.
Movie and clearance computation.
Final flight path database

Last revision 12/7/2007


Flight Path Display and 3D Views

New DEM: Open a DEM covering the area.

New image to display or drape the path on a satellite image.

Database Open DBF file with the flight path database on the Map window toolbar.

Map with flight path indicated. To get it color coded, use the "Plot, Color code by field in data base" option on Plot button of the Table display window. These colors are from the RED, GREEN, and BLUE fields in the database, which run from 0 to 255. The path above is coded by the changes in air speed--the green and blue segments are constant speed, and the red is a decelleration.
On the flight path map, you can get the information about any point.

Pick the ID button, either on the Map window toolbar or the database table display window, and then double click on a point along the trail. The selected point is indicated with a small black square.
OpenGL 3D view of the flight path. You should pick the draped option if you want to see the ground track, in red on the image to the left. The path above is coded by the changes in air speed--the green and blue segments are constant speed, and the red is a decelleration. These colors are from the RED, GREEN, and BLUE fields in the database, which run from 0 to 255.

We will have to work on query on points along this path and displaying the information. OpenGL is supposed to have such capability, but we have not used it to date. We could color code based on any of the parameters in the flight path.

View can be rotated and zoomed.
From Stats button on the database table display pick the "2D graph, two series". The red line shows the flight altitude, and the blue the terrain under the flight path.

Note that around 19 km the flight path is not high enough to clear the terrain.
Map showing where the flight path is below the ground.

From Edit button on the database table display pick "Field arithmetic, Difference between two fields" and get the difference between the ALTITUDE and Z fields. The from the Plot button, pick the Color code by numeric field and pick the Positive/negative color scheme. You could also filter for the new field values below 0, and plot them.

Last revision 4/18/2013


Using ETREX Legend GPS

Garmin ETREX Legend

Controls:
  • Power button, bottom button on the right.
  • Page button, top button on the right.
  • Click stick on the left front above the screen.
  • In/Out buttons, top two buttons on the left.
  • Find button, bottom button on the left.

Clear waypoints

  • Navigate to main menu using Page button.
  • Navigate to Find icon using click stick.
  • Press down on click stick.
  • Press down on Waypoints with the stick.
  • Press down on By Name with the stick.
  • Use click stick to navigate to the Option Menu button on the top of the display (to the left of the X), and then press down the click stick.
  • Select Delete all with the click stick.
  • Verify that you do indeed want to delete all the waypoints.

Clear tracks

  • Navigate to the main menu using the Page button.
  • Navigate to the Tracks icon using the click stick.
  • Press down on the click stick.
  • Use the click stick to navigate to the Clear button.
  • Press down on the click stick.
  • Verify that you do indeed want to delete all the tracks.

Mark a waypoint

  • Hold down the click stick for two seconds.
  • Select OK with the Click stick.

Change display units

  • Use Setup, Units page. This will let you display coordinates in UTM, decimal degrees, or other units.

Connect to PC

  • Cable attaches to GPS with the cable extending to the right when the GPS is viewed from the front. You pull up the rubber flap, and slide the connector in. It needs to go to a 9 pin serial connect on the PC; if the PC does not have this, you can get a connector and connect to a USB port.

DNR GPS to download tracks and waypoints.

Last revision 4/18/2013


Waypoint+

Waypoint+ Program

Use DNR Garmin


Curvature Tendencies

Curvature Categories

Pick on Overlay menu

Based on Fig. 4.2 and 4.7 in Raseman and others (2004). They provide earlier references for this diagram, but those are hard to obtain (and 2 of 3 are in German).

Last revision 6/7/2009


Bounding Box

The bounding box is the smallest rectangle that will completely enclose a feature. Two points (x-y coordinates) will determine it, or alternatively the MaxX, MaxY, MinX, and MinY. A Shapefile stores the bounding box for every record, and for the entire database.

Four line segments, each of which would have the same bounding box. The corners of the box would be the SW and NE corners.

The line segments have a direction, since they might have attributes based on their topology, or right and left sides (such as the addresses in TIGER roads). The direction goes from the first point in the coordinate list, toward the last point.

A more complex line with its bounding box in black, and a screen window in green.

Without the bounding box, a program would have to consider all coordinates in the line (potentially thousands) to know if the line or any part of it is on screen.

With the bounding box, programs can do a quick check and reject many lines as having no possibility of being on screen, such as the lower left case in the diagram to the left..
It is possible that the screen will lie partly or wholly within the bounding box for a line, and yet the line will be completely off the screen. In this case the GIS program will have to project the line, and then determine point by point that it does not plot on the screen.

ESRI shapefiles store the bounding box in the SHP file for each line and area record. MICRODEM also adds this information to the DBF file.

Last revision 1/8/2018


High resolution imagery National Map

High Resolution Imagery from National Map

General directions for National Map.

National Map imagery available for Annapolis. Be careful about the size of the region you request since these files can rapidly grow to huge sizes.
  • The four band NAIP allows selection of either true color or false color IR. The "A" in NAIP stands for agriculture, so it might also be leaf on, making things hard to see on the ground. Non agricultural users like geologists or hikers often prefer leaf off imagery to see through the trees.
  • You may have to decide if you lots of detail for a small area, or a larger area with less detail.
  • The data is in prestaged tiles, mostly in JPG2000 format (lossy compression). You will need GDAL to open the imagery in MICRODEM.

Some of these data sets are in WGS_1984_Web_Mercator_Auxiliary_Sphere projection. You can verify this by looking in the Geotiff File Metadata for the Geotiff created by GDAL. If the program does not automatically correct this, you must warp the image to usable UTM coordinates, on the Resample menu.

If you need to merge tiles, get ready for the command line using GDAL. MICRODEM should hide the messy details. Do any merges before you warp.
Data sampler.

For a greater choice of imagey, use Earth Explorer.

Last revision 10/15/2018


High resolution imagery Earth Explorer

High Resolution Imagery from Earth Explorer

EarthExplorer download site

Enter search criteria

  • Easiest is to "Use map" after zooming in to region
  • Alternatively, "Add coordinate" to outline box.

Pick data sets. If you want Landsat go to these dirctions.

This shows the two most useful sources for high resolution imagery.

There is a range of historical imagery.

  • The NAIP will be in JP2 compression, which greatly decreases the file size. It can now be warped to load directly by MICRODEM. The files covered a quarter quad of the standard 7.5 USGS quandranges, with probably 1 m resolution.
  • The high resolution will have variable resolution, but in developed regions could be good as 6 inches.

Search results.

The useful buttons:

  • Show footprint, to see what a tile shows.
  • Show metadata and browse
  • Download

If you are just downloading a few files, use it from this page. If you are downloading a lot, you can use the Cart and then one of the following.

  • MICRODEM download
  • uGet.
Data sampler

TIF images will be buried several layers down, in a vol001 directory. You can open them more easily with the imagery folder option.

You might have to warp the image to usable UTM coordinates, on the Resample menu, if it is in SPCS. You can either see if the image plots in the correct location, or check the metadata online or in the index001 driectory.

Last revision 3/1/2023


High resolution imagery National Map

High Resolution Imagery from National Map Sampler In 2014, this was available from the National Map, which now only has one NAIP data set. In 2018, the choice of data has migrated to the Earth Explorer. In 2020, you can get compressed (.JP2, which must be converted with GDAL before use in MICRODEM) or full resolution (zipped Geotiff, which is about 6 times larger than the JP2 version)
 | NAIP (1.46 m pixels). Data available in March 2014.
 | 0.5 m imagery. Data available in March 2014.
 | 0.15 m imagery. Data available in March 2014.
 | This region returns a 28 MB image at 0.5 foot resolution, shown here in very reduced resolution. Picking a large region can rapidly lead to data overload. This was data available in fall 2012. Full resolution of the 6" imagery, clearly showing each gravestone. The March timing for the imagery acquisition means that the trees are bare and do not mask much of the ground. This was the data available in fall 2012.

Last revision 11/10/2022


Linking Imagery into Database

Linking Imagery in Database

Example 1: Hurricanes, and using the DB table display

Database, with images available.

Note the field named IMAGE; the files named will be in the same directory as the dBase table, or in subdirectories with the relative path listed in the IMAGE field.

You can link multiple images, if the field names start with "IMG_".

If you get the imagery from the web, you can right click and use the "Save As" option in the browser.
Popup appears when you double click on on a record in the database.
Image of hurricane Andrew.
Movie of hurricane Emily, displayed in Windows Media Player.

Example 2: Mt. St Helens, and using the map and feature ID.

Display a database record by:
  • Right clicking in the database table display.
  • Using the ID button on the database table, or on the map toolbar.

If the database has a populated field named IMAGE, or WWW (or URL), the toolbar on the record display will be visible.

IMAGE button: You can bring up an image (BMP, GIF, or JPEG) stored in the same directory as the database. If the file is a GIF, it will appear in a window that can play animated GIFs. The program will attempt to load other files (like MPEGs, WAVs, etc.) using the program set as the default in Windows.

WWW: you can open a web page in the web browser.
This screen capture shows the IMAGE in the upper left, and a web browser in the lower right, opened to the Mt St Helens volcano cam
The Mt St Helens volcano cam, linked from the database.

Last revision 7/8/2015


Linking Web Sites to Database

This DB has 4 fields that start with "WWW_". They contain the complete web site address. There are buttons on the top of the form, with an abbreviation for the field names that will open the appropriate web sites. You can have a maximum of 5 such fields.

If you want to have a single field with a link, it can be URL or WWW or URL1.

Related topic:

  • Linking images from database.

Last revision 12/2/2007


Point Digitizing in Google Earth

Download and install Google Earth.

Line digitizing in Google Earth

Use Satellite or Merge view, or digitize on a KML/KMZ fle.

Navigate to the location you want. Since the placement will be in the center of the screen, you might put the location near the screen center.

Pick "Add placemark" button on toolbar.

Drag Placemark Icon to correct location. You want the point of the push pin on the location.

Enter Name for location.

Any other changes will be reflected in Google Earth, but not in MICRODEM.

Hit "OK" when done.
  • Save as KML
  • Open database with MICRODEM and pick the KML point file.
Perform image registration.

Enter the points on the image which correspond to your control points.

You can use these locations to register an image. If you do this, you will have to enter the screen coordinates for the last point, and then move each control point to the bottom of the list and add its image coordinates.

Last revision 12/10/2017


KML Viewshed Viewing

When you export a map to KML you can export viewsheds as individual layers.

It may not currently be possible to reload the KMZ file in MICRODEM. You can open the PNG file that is in the KMZ if you unzip, because MICRODEM puts a PNW world file in the KMZ file.

Last revision 1/23/2017


Digitization in Google Earth

Digitize locations in Google Earth, and save as a KML file. Only the "NAME" data and the locations will be imported.

You can import:

  • Point, Lines, or Areas in either KML or KMZ format with DNR GPS to convert to shapfiles, and then [image] Open database in MICRODEM

  • Open database with MICRODEM and pick a KML point file with will create a shape file. If you want a line or area, digitize as as sequential points, and then convert them to a line or area shapefile in MICRODEM.

If you need to add additional fields for attributes, which Google Earth does not allow.

  • Check the edit checkbox on the database table form once you have the file in MICRODEM
  • Edit database
  • Pick Insert Field, and define the type and size of the field.
  • If all records in the table have the same value for the field, "Edit, Fill field for all records" is a fast way to fill them in.
  • KML dates must be in the format YYYY-MM-DD, but MICRODEM can convert many formats.

Last revision 6/3/2020


Least Cost Paths

Least Cost Path Options. Start from Analyze menu, or Set on Analysis tab of the Options form.

  • Impossible Cost : for points with no cost in the cost surface.
  • Max Impossible In Path: do not consider paths with this many impossible points
  • Buffer Cost: cost per pixel when driveways are not in the roads database;
  • Buffer Rounds: pixels to go out to account for missing driveways. If this is too big, paths will cross rivers and bays or interior blocks.
  • Cost Surface Resolution: size in meters of the grid;
  • Start Free : Pixels around the starting point to have no cost. Needed if the point is perhaps a shopping center, and the database shows no roads;
  • Precint Field: field to use for naming the accumulated cost surface. If this field is not present you will have to pick it. Ideally it would meet the rules for naming a dBase field.
  • Distance: can be either pixels, or distance (with adjustment for diagonals)
  • Save path surface
  • Overwrite
  • Weight diagonals: increase costs and distances for diagonal pixels by √2
  • Compute
    • Least cost path, using the weights
    • Shortest distance with all roads the same cost

Files

  • Road network
  • Route starting points DBF file: this should be a small number, because you will have to create the cost surface and diretion of motion for every record.
  • Route ending points: this can be a large number, because it just involves a lookup in the cost surface.

Procedures

  • Create cost surface: pick a lines shapefile, such as a road network, with a COST field, to create the cost surface.
  • Create path surfaces: using the route starting points DBF file, the three grids will be created for each record in the Precint Field set above.
  • Create route costs
  • One step

Least cost path procedure:

  • Open TIGER county file edges file (or you could use OSM)
    • You could use this with any line or area shape file, as long as there was a COST field with integer values.
    • The "tiger_rules_vNNN.dbf" file in the MICRODEM directory has the cost for each category of road, in a "COST" field. Think of it as the number of seconds for a distance like 100 m, with low cost being best (fastest travel time). The actual numbers do not matter so much as the relative costs.
  • Report, Create cost surface from TIGER file's db Form. The file will be created in the directory with the TIGER file, with the name of the file and then a description added at the end.
  • Open point shapefile with starting points for the least cost paths.
  • Double click on the record for the point to start the paths. This will create three grids, based on a field in the point data base:
    • The cost surface, with the cost for the point to get back to the starting location.
    • The direction of motion, needed to plot the paths.
    • The length of the path, either in meters or pixels

To add the cost to each point in a database.

  • Open the cost surface.
  • Open the desired point database on the cost surface map.
  • Enable edits.
  • Edit, DEM, Add nearest elevation from DEM

To show least cost path:

Scripting Least Cost Path

  • Run the program from the GUI, and set all the parameters. If you do not, it will use the defaults built into the program. The defaults are saved and will be used for every running of the program.
  • Close the program.
  • Run a script with the following (these are NOT case sensitive):
    • microdem.exe
    • space (then no more spaces; this syntax follows web protocols for running the program as a web service, and the & separates parameters)
    • ?act=lcp (this is the action the program will take)
    • Optional parameters to override the settings you made in the MICRODEM GUI. If the files are not present, the program will prompt for you to select them.
      • &road_file= complete path to file, with no spaces allowed (TIGER edges shape file, but OSM might also work if costs were added). Output will go into this file's directory.
      • &start_pts= complete path to file, with no spaces allowed (we have not tested sending a CSV, but that might work)
      • &end_pts= complete path to file, with no spaces allowed (we have not tested sending a CSV, but that might work)
      • &ini= complete path to an INI file, which only makes sense if you are multitasking with several executables, and want them to use the same intial settings apart from the three files above.
  • MICRODEM will open and create the files. During debugging MICRODEM does not yet automatically close.

Grid size for the cost surface.

If you use a large grid, it will process faster and produce smaller files, but there could be paths through many of the urban blocks.
The grid for 10 m resolution will be 9 times larger (3*3), and could present problems if you have a really large area and a wimpy computer.

References

  • Collischonn, W., and Pilar, J. V., 2000, A direction dependent least-cost-path algorithm for roads and canals: International Journal of Geographical Information Science, 14(4): 397-406.
  • Lee J, and Stucky, D., 1998, On applying viewshed analysis for determining least-cost paths on Digital Elevation Models: International Journal of Geographical Information Science, vol.12, no. 8, p. 891-905.
  • Yu, C., Lee, J., and Munro-Stasiuk, M.J. , 2003, Extensions to Least-cost Path Algorithms for Roadway Planning. International Journal of Geographical Information Science, vol.17, no.4, p.361-376.
Original DEM (Hanging Rock Canyon, CA).
Create cost surface. Create this DEM/grid, for instance by creating a derivative grid, multiplying a grid (Edit, data manipulation form), or adding multiple grids (Raster GIS menu). This is a critical step for the operation. If there are points in the original DEM you do not want considered, you can Edit them out before you create the cost surface.

You can edit out regions you do not want the program to consider for the cost surface and eventually the least cost path, either by removing values within a certain range of z values or outlining regions with the mouse (both on the Edit menu). You can edit out regions on the cost surface using an image. To do so, you must associate the cost surface as the DEM to go with the image, on the Modify menu.

You can mask so that you are either close to, or away from roads. You could also mask with any other grid.

In this example, we are just using a slope map

Create accumulated cost surface, on Raster GIS menu. You select a point (in the SW corner in this example, near the mouth of the canyon in a low slope (low cost) location) by double clicking. This surface is good only for the selected starting point.

The colors indicate the cost to get to each point in the grid from the starting location you specified (or to get back to the starting point from every other point in the grid)--blue are "cheap", and red are "expensive".

There is also no consideration of directionality for the surface; diagonal segments are the same cost as straight segments.

Grid showing downhill direction at each point on accumulated cost surface. This grid will be created and used to create least cost paths, but you do not have to open it.
Create least cost paths. Open the accumulated cost surface DEM, and then select option on Raster GIS menu for that grid. You select a point by double clicking and the program will trace the paths back to the starting location and save results as a point shape file.

This shows three different paths, which all converge toward the starting point. To minimize the slopes crossed, the paths go almost straight downhill from the starting points, and then follow the drainage channels. The path shape files have been displayed on the original DEM.

This step is very fast.

Last revision 5/5/2019


Plot CTD Data

Plot CTD Data no longer supported


Tide Predictions

Tide Predictions Removed


Full Geography Analysis

Physical Geography has an option on right click on the map to get all the graphs for the point. If needed, it will open the grids with monthly global climate data, but not open the maps to show them. This gets all the graphs with one operation, at the same location (each graph has its lat/long on the graph). You can close all the graphs with File, Close, All Graphs.


Physical Geography

Physical geography labs Option on file menu

Introductory tutorials on file menu

Demonstrating basic principles of physical geography:

  • Main program toolbar
    • World Base maps on main program toolbar These are not part of the standard MICRODEM installation but they provide a very good depiction of topography.
    • Global topography -- map suitable for viewing both land and underwater features at the scale of a continent down to individual countries or states.
    • Sunrise-sunset on main program toolbar
      • Sunrise-sunset graphs
  • Map window toolbar
    • Geology options on for Plate tectonics and geology
    • Climate options
  • Population pyramids.
  • Quick guide to 3D options
  • Landsat Look online satellite display.

Global Climate Change and Big Data

Sea level rise over time from tide gauges

Web Loops, with multiple parameteers

  • https://iridl.ldeo.columbia.edu/maproom/Global/Climatologies/SST_Loop.html
  • https://www.esrl.noaa.gov/psd/map/clim/sst.shtml
  • https://neo.sci.gsfc.nasa.gov/view.php?datasetId=MYD28W&date=2017-12-01 (can download Geotiffs)
  • http://www.aoml.noaa.gov/phod/dac/dac_animations.php ocean currents, annual

Discussions of theory

  • MICRODEM Koppen Classification

Last revised 1/23/2020


Interpreting Age Profiles

Map of interpreted ages around the Indian Ocean triple junctions, from the [image] Predicted sea floor ages of MÜLLER and others.

Small TJ marks the triple junction, in the center of the 0 age crust.

Four profiles across the three ridges indicated, and are discussed below.

Topographic Profiles

Profile 1 crosses the ridge between Africa and India. Symmetrical spreading with constant velocities back to 20 Ma, indicated by the uniform slopes.
Profile 2 crosses the ridge between Antarctica and India. Symmetrical spreading with constant velocities back to 20 Ma, indicated by the uniform slopes.
Profile 3 crosses the ridge between Antarctica and Africa. Symmetrical spreading with constant velocities back to 20 Ma, indicated by the uniform slopes. On the north (left side) side, the slope reversal at about 400 km indicates that the crust between 0 and 400 km actually was produced by a different ridge, which is located to the east. The low slope there indicates that the profile is no longer perpendicular to the direction of the second ridge.

The slope change at 650 km either indicates the same process, or a change in spreading rate.
Profile 4 crosses the ridge between Antarctica and Africa. Note that there is no zero age crust here, so close to the triple junction this ridge segment currently does not appear to be spreading. On the north (left side) side, the slope reversal at about 350 km indicates that the crust between 0 and 350 actually was produced by a different ridge. The stairsteps at 200 km and 320 km indicate crossing of fracture zones.

Additional analysis of this triple junction:

  • Based on modeled plate velocities.
  • Based on predicted bathymetry.

Last revision 2/25/2003


Arbitrary Rotations

Arbitrary Plate Rotations

Open with Plate rotation button on main MICRODEM toolbar.

Option lets you experiment with moving a plate around on the surface of the earth.
  • Pick Arbitrary rotation radio button in options radio group box on top of form.
  • Pick continent to rotate in bottom group of combo boxes.
  • Set pole with its lat, long, and angular rotation angle in the edit boxes in the middle of the form.
  • Slider bar lets you move rapidly about the pole, changing the rotation angle.
  • Rotate button show the rotated position.
  • Pick Pole button lets you graphically select a pole on the map by double clicking and then will rotate the plate by the rotation angle in the form.

Last revision 9/24/2014


Current Vectors Rotations

Plate rotations using Current Vectors

Open with Plate rotation button on main MICRODEM toolbar.
  • Option, pick current vectors radio button.
  • Pick "Current rotation model" to use.
  • Pick Plate 1.
  • Select Vectors button on the bottom of the form.
  • Double click on the map where you want the plate motion
  • Numerical results will appear in the memo window.
  • Label velocities checkbox will put the velocity at the read of the vector (in the direction of motion).
  • You can have a velocity scalebar.
  • Show Pole button on the bottom of the form shows the Euler Pole for the plate.
Using the Vectors button allows you to calculate and plot the plate motion vector.

You are responsible for insuring that you have the pole for the correct plate; you will get nonsensical results if the location and plate are not appropriate.

The vectors show the tangential velocity of the plate as it rotates about the pole. These are absolute motions in the given reference frame, and the plate motions probably make more sense in a relative framework between two plates.

Last revision 9/19/2015


Plate Motion Data Files

Table Output File
Plate Outline File := DBDirectory + 'continental_crust.dbf'

This is a polygon shapefile.

Plate Poles File := DBDirectory + 'total_poles.dbf'

  • Two models
  • Each model has several times, which are not the same
  • At each time there is an Euler pole for each plate. This is a total reconstruction pole, which moves the plate from its curret position to the position at the specified time.
Plate models in Current Motions File := MainProgramDirectory + 'current_rotations_vN.dbf'

MODEL | Number of Plates
NNR-MORVEL56 | 56
GSRM | 25
MORVEL | 25
NNR-NUVEL-1A | 16
SOPAC-200510 | 16
HS2-NUVEL-1A | 15
HS3-NUVEL-1A | 15
T22A | 14
APKIM8.80 | 12

To add another model, add it to the file, with one line for each plate, including the Euler poles.

  • SOPAC 200510 from "sopac.ucsd.edu/cgi-bin/poleRotationValues.cgi " (now broken)
  • GSRM from http://gsrm.unavco.org/model/files/1.2/rotation_vector_plates_PA.dat
  • Morvel from http://geoscience.wisc.edu/~chuck/MORVEL/MRVL_AVs.html
  • Others from: "dgfi2.dgfi.badw-muenchen.de/geodis/GDYN/platemodels.html " (now broken)

Last revision 1/7/2018


Gulf of California Triple Junction

Triple junction motion rules

A. Motions of the three plates in a reference frame, superimposed on the map. Note that the triple junction is not depicted as a single point, as the Cocos plate is in the process of being subducted and broken into two fragments.
B. Vector diagram of the three plate motions

C. Triple junction motions. Solid lines are the velocity vectors between each pair of plates, thin lines the possible motion of the triple junction. Green is the Cocos-Pacific ridge, cyan is the Pacific North America transform, and blue is the North America trench, with the triple junction motion attached to the overriding North American plate. The three thin lines do not intersect in a point, so as drawn the triple juction would not be stable. Possible changes that could make it stable:

  • The orientation of the trench in not correct. You must set that, and if you get it wrong, the results will also be wrong. You should also check that you have the correct plate subducting.
  • The spreading could not be symmertrical (faster for one plate compared to the other), and it could also be slightly oblique.

With minor adjustment, the stable triple junction does not move relative to North America, but moves relative to the two other plates.

Predicted sea floor ages (MÜLLER and others) at the mouth of the Gulf of California. Spreading patterns run north-south, with some east-west transforms.
Earthquakes at the mouth of the Gulf of California.
  • Normal faults
  • Thrust faults
  • Strike slip faults
Volcanoes at the mouth of the Gulf of California.

Red triangles are stratovolcanoes; all others small blue diamonds.

Plate boundaries in red; note that the three boundaries do not come together to form a triple junction. This is a reflection on the digitized boundaries rather than nature.
Smith & Sandwell predicted topography at the mouth of the Gulf of California.

Plate boundaries and volcanoes overlaid.

Note the arcs to the east of the ridge south of the triple junction, showing rapid increases in the spreading rate moving southward along the East Pacific Rise, and proximity to the Euler pole at the north end.
Spreading velocity along the Cocos-Pacific plate boundary (East Pacific Rise) and [image] Rotate continents button and Two plate motions option.

NUVEL model velocities calculated at three points, in red. The green lines show the relative motion between the plates, with the black line pointing to the spots where the calculations are valid at the tails of the vectors for each platemotion.

Note the southward increase in velocity, from 65 mm/yr (full rate) to 92 mm/yr in the middle and 110 mm/yr at the Galapagos triple junction. These figures are calculated by scaling the computed green relative vectors to one of the red vectors or looking at the scale bar the program can compute.

Last revision 2/21/2019


Plate Model Sensitivy

Plate Model Sensitivity, Indian Ocean Triple Junction

Motion of the three plates at the Indian Ocean triple junction, in three different plate models. Note that despite different assumptions and vastly different motion vectors for the individual plates, the resultant motions between the pairs of plates are very similar:

  • Africa (Nubia) moves north relative to Antarctica, with the smallest motion between a pair of plates.
  • India moves northeasterly with respect to the other two, and it has a larger motion away from Antarctica compared to Africa.

In the HS2-NUVEL-1A model, Antarctica (at least the point in the plate at the triple junction) basically does not move

The differences between the motions between plates shows the uncertainty in our knowledge about the plates, or places where what we consider a single large plate is actually a number of smaller plates, or where the plate suffers internal deformation.

Last revision 3/29/2016


Introduction to Plate Motions

Change Program version to geology.

Plate motions

  • All plate motions can be modeled as a rotation about an Euler pole.
  • The motion includes the location of the Euler pole, and the rotation rate.

Plate models

  • All plate models are relative to something that is fixed. This can be a single plate, the hot spots, or something else the author has reason to believe has not moved.
  • Three kinds of poles:

Part 1.

  • File, Geology lab, Plate rotations

    • or [image] Open button on main MICRODEM toolbar.

    • You will get:

    • Outlines of the major continental crust blocks. Note that continental crust includes the shelves where these are wide.
    • Plate boundaries.
    • A small control window
  • Do an Arbitrary rotation
    • Pick the Option in the upper left corner of the form.
    • Pick the plate to rotate by selecting its name.
    • Adjust the pole of rotation and rotation amount in the control window
      • Pick "Rotate"
      • Select "Pick Pole" and then click on the pole's location on the map.

Answer the following questions (India is a good continent to rotate):

  • What happens when you rotate about the north geographic pole?
  • What happens when you rotate about the south geographic pole?
  • What is the difference between rotating a positive and a negative angle?
  • What happens when you rotate about a point on the equator?
  • What happens when you rotate about a point within the continent?
  • What mathematical convention governs the rotation pole and direction? (Note that there is a north and south rotation pole possible; which do we use?)
  • Where on the plate will there be the fastest and slowest motions? Which rotation above helped you to see that?

Part 2.

  • Do a Current vectors operation, picked on the upper left corner of the form.
  • Pick the NUVEL-1A as the "Current rotation model", and North America as the continent.
  • Where is the pole of rotation?
  • How could you see this by plotting vectors at various locations around the continent?
  • If you change the current rotation model, what happens to the Euler pole, and the rotation vectors? How is this possible?

Part 3.

  • Keep Africa fixed, and try to rotate North America and South America back into place.
  • Do this using an Arbitrary rotation

Answer the following questions:

  • What Euler pole works best to rotate Africa back to South America?
  • What Euler pole works best to rotate South America back to Africa?
  • What Euler pole works best to rotate North America back to Africa?
  • Which pair has a faster angular rate of rotation?

Part 4.

  • Create a movie of past plate motions.
  • Pick the Past total poles option on the upper left corner of the form..
  • Pick the total poles model to use (you can use either one of the two).
  • Pick the movies button on the bottom.
  • You can change the playback speed, single step, and stop the playback.

Answer the following questions:

  • What continent moves the fastest?
  • What is the difference between the two models?

Part 5.

  • Look at the motion of two plates at a boundary.
  • Two plate motions. Note there are two worked examples, for boundaries of the Juan de Fuca plate.
  • Subset & zoom on the map to cover just the Indonesian trench.
  • Pick "Current rotation model" (APKIM8.80)
  • Pick the two plates (Australia and Eurasia)
  • Pick Velocity diagram, Uncheck label velocities, and uncheck Resultant vector
  • Pick the "Motion" button
  • Double click at a point along the boundary. From the velocity diagram or the two vectors, understand how to get the resultant.
  • Zoom out to show entire data set.
  • Repeat for a location on the Mid Atlantic Ridge. Insure that you consider both the ridge and transform segments.

Answer the following questions:

  • For which plate boundary (or boundaries) does the half rate apply?
  • Insure that you can convert either the velocity diagram, or the vectors for the two plates on the map, into a resultant vector.
  • Insure that you can identify the type of plate boundary from the velocities of the two plates and the resultant, also considering the map orientation of the boundary.

Plate motion calculators

Last revision 9/19/2022


Interpreting Magnetic Anomaly Identifications

  • Geology options on map window toolbar.
  • Magnetic anomalies.
  • Label anomalies, using Label all records option on Plot button of Table display window. You must be zoomed in for this to be effective.
Increasing anomaly numbers indicate older anomalies.

Anomaly picks are based on interpretations of profiles obtained by towing a magnetometer behind a ship.

Additional analysis of this triple junction:

  • Based on modeled plate velocities.
  • Based on predicted bathymetry.
  • Based on predicted sea floor ages.

Last revision 4/16/2006


Magnetic Anomaly Data

Magnetic anomalies, from https://www.ncei.noaa.gov/maps/geophysics/

  • Download in MGD77T Tab-Delimited Format. If you have a large area, the single file option may be too big to load into Excel.
  • Open in Excel, save as CSV (currently problem with direct MD import; may also have to fix missing dates; you can also remove unwanted fields to make the file smaller)
  • Open CSV file in MD to create a point database
  • Create area/line shape file from points
    • Set file name
    • No to area to get line
    • Yes to 3D, pick the MAG_RES for the z component, There are issues with some cruises, with MAG_TOT and MAG_RES flipped. You could also consider using MAG_DICORR, although that is missing for many cruises.
    • Yes to Multiple records, pick SURVEY_ID to be the splitting field, and the name for the
    • Leave the thinning factor at 1.

Edit the lines file to add:

  • LENGTH_KM
  • REC_PTS
  • Bounding box

http://www.soest.hawaii.edu/PT/GSFML/ML/index.html

Seton, M., J. Whittaker, P. Wessel, R. D. Muller, C. DeMets, S. Merkouriev, S. Cande, C. Gaina, G. Eagles, R. Granot, J. Stock, N. Wright, S. Williams, 2014, Community infrastructure and repository for marine magnetic identifications, Geochemistry, Geophysics, Geosystems, DOI:10.1002/2013GC005176

Global Seafloor Fabric

http://www.soest.hawaii.edu/PT/GSFML/SF/index.html

  • Matthews, K. J., R. D. Muller, P. Wessel, and J. M. Whittaker (2011), The tectonic fabric of the ocean basins, J. Geophys. Res., 116(B12109),
  • Wessel, P., K. J. Matthews, R. D. Muller, A. Mazzoni, J. M. Whittaker, R. Myhill, and M. T. Chandler (2015), Semiautomatic fracture zone tracking,http://dx.doi.org/10.1002/2015gc005853, Geochemistry, Geophysics, Geosystems, doi:10.1002/2015GC005853. This article discusses the Fracture zone tracking software which is available as a GMT 5.2 supplement.

Last revision 1/31/2016


Interpret Marine Magnetic Anomalies

The black line at the bottom shows the magnetic polarity scale, with the anomalies out to 20 Ma labeled above the line, and the ages below the line (Cande and Kent, 1995). This shows the pattern that would be to the right of the ridge; the pattern would be symmetrical to the left. Solid black is normal polarity, when the measured anomaly will be positive.

The three profiles ID the anomalies in red above each profile.

  1. The first step is to look for the symmetrical pattern about the ridge, which occurs here only on the lowest profile. Depending on ridge orientation and latitude, the degree of symmetry varies. The anomaly at the ridge should be among the largest positive values. You are also looking for the other anomalies as mirror images about the ridge crest. While not labeled here, anomalies 2 and 2A both appear on the left side of the profile, as does the small Jaramillo event with normal polarity about 1 Ma.
  2. The next step is to look for distinctive anomalies. Note that Anomaly 3 has 4 closely spaced peaks, and 3A has two.
  3. Anomaly 5 is a very long normal, which can be confused for a ridge but the pattern is not symmetrical about it.
  4. The middle profile is from the left side of the ridge, which you must consider if you cannot get a good match from the pattern to the right. If the profiles are in the correct spatial relationships, and do not match up, there are transform faults between profiles.
  5. You cannot always get a simple correlation between adjacent survey lines because:
    • Transform faults can occur between adjacent survey lines.
    • Spreading rates vary with distance from the Euler pole, so the distance between the same pair of anomalies also varies.
  6. You can get complexities within a single profile, if the survey line crossed a transform fault, or if there was a ridge jump.
  7. With slow spreading ridges, or noisy real world data, closely spaced reversals may be hard to pick out.

Profile Reversing

Last revision 2/26/2019


Magnetic Anomaly Time Scale

This goes back to the Cretaceous Quiet Zone, and is in a database in c:\mapdata\database\cande_kent_time_scale.dbf. This has the start and end for 93 periods of normal magnetization.

TIME1 | TIME2 | NORMAL | NAME
0 | 0.78 | 1n | Brunhes/Matuyama
0.99 | 1.07 | 1r.1n | Jaramillo
1.77 | 1.95 | 2n | Olduvai
2.14 | 2.15 | 2r.1n |
2.581 | 3.04 | 2An.1n | Matuyama/Gauss
3.11 | 3.22 | 2An.2n |
3.33 | 3.58 | 2An.3n | Gauss/Gilbert
4.18 | 4.29 | 3n.1n | Cochiti
4.48 | 4.62 | 3n.2n | Nunivak

Reference: Cande, S.C., and D.V. Kent, 1995, Revised calibration of the geomagnetic polarity timescale for the late Cretaceous and Cenozoic, J. Geophys. Res., vol. 100, pp.6,093-6,095.

Last revision 12/29/2017


Plate Motion Calculators

Available if you do not want to use MICRODEM, or if you want to verify results.

  • Complex, text based: http://www.unavco.org/software/geodetic-utilities/plate-motion-calculator/plate-motion-calculator.html. Discusses a number of models
  • http://ofgs.aori.u-tokyo.ac.jp/~okino/platecalc_new.html
  • http://geoscience.wisc.edu/~chuck/MORVEL/motionframe_mrvl.html can do up to 1000 points, with 25 plates from MORVEL
  • http://geoscience.wisc.edu/~chuck/MORVEL/motionframe_nnrm56.html can do up to 1000 points, with 56 plates from NNR-MORVEL

Last revision 2/5/2020


Profile Reversing

Profile, cruise POL7004 on the Juan de Fuca ridge. The scale is by longitude; the cruise sailed along a parallel from west to east.

The ridge may or may not be easy to pick out.

Enlarge image.
  • Export the profile to Paint.
  • Enlarge the overall canvas in Paint so you can put a second profile below it. You may also want to add white space on either side of the profile, so you can move the reversed profile back and forth.
  • To get the reversed profile:
    • Reverse the x axis on the profile, on the right click, modify graph form.
    • Or
      • Export a second version of the profile below the first.
      • Perform a flip horizontal on one profile. This gives a mirror image of the profile, and in geology legend, the accidental creation of a mirrored profile by looking at a clear overlay from the back led to recognition of the symmetrical anomalies.
  • Select the reversed profile, and move it to locate the best match.

    Enlarge image.

Best match, with matching anomalies marked.

  • Ridge crest is at -130.25, and is Anomaly 1. It will often not be perfectly symmetrical.
  • Jaramillo event--half the magnitude for the ridge, and very short.
  • Anomaly 2
  • Anaomaly 2A (2 peaks, one is missing here)
  • Anomaly 3 (2 peaks marked, 2 more on east side only)

Enlarge image.

Marine magnetic profile interpretation. Includes time scale and anomaly names.

last revised 10/7/2015


Quick Profile Exploration

If you have a database with a lot of magnetic profiles, you can rapidly view them:

  • Double click on a profile in the database table form.
  • The profile will be highlighted on the map.
  • Size the record display window so you can also see the map. The profile will resize when you pick another record, or you can right click and force it to redraw.
  • Cycle through the profiles with the <Prev and >Next buttons.

Last revision 1/31/2013


References-Plate Motions

References--Plate Rotation Models

  • Argus D.F., R.G. Gordon, 1991, No-net-rotation model of current plate velocities incorporating plate motion model NUVEL-1. Geophys. Res. Lett. (18) 2039-2042. (NNR-NUVEL-1, No-net-rotation)
  • Argus, D. F., Gordon, R. G., and DeMets, C., 2011. Geologically current motion of 56 plates relative to the no-net-rotation reference frame, Geochemistry, Geophysics, Geosystems, vol.12, no.11, DOI: 10.1029/2011GC003751, (NNR-MORVEL56)
  • Cox., A., and Hart, R.B., 1986, Plate tectonics: How it works, Blackwell, p.63-84.
  • DeMets, C., Gordon, R.G., Argus, D.F., and Stein, S., 1994, Effect of recent revisions to the geomagnetic reversal time scale on estimates of current plate motions: Geophysical Research Letters, vol.21, no.20,pp.2191-2194. (NUVEL-1A, Pacific Plate Fixed) (NNR-NUVEL-1A No-net-rotation)
  • De Mets C., R.G. Gordon, D.F. Argus, S. Stein, 1990, Current plate motions: Geophys. J. Int. (101) 425-478. (NUVEL-1, Pacific Plate Fixed)
  • DeMets, C., Gordon, R. G., and Argus, D. F., 2010. Geologically current plate motions, Geophysical Journal International, v. 181, no. 1, p. 1-80, doi: 10.1111/j.1365-246X.2009.04491.x (MORVEL)
  • Drewes, H., 1998, Combination of VLBI, SLR and GPS determined station velocities for actual plate kinematic and crustal deformation models. In: M. Feissel (Ed.): Geodynamics, IAG Symposia, Springer 1998. (Actual plate kinematic models APKIM)
  • Duncan, R.A., and Richards, M.A., 1991, Hotspots, mantle plumes, flood basalts, and true polar wander: Reviews of Geophysics, vol.29, no.1, p.31-50.
  • Kreemer, C., W.E. Holt, and A.J. Haines, An integrated global model of present-day plate motions and plate boundary deformation, Geophys. J. Int., 154, 8-34, 2003. (GSRM model)
  • Wang and Wang, 2001, EPSL, for the T22A model (obtained from GSA data repository, Wang and Liu, 2006, Geology, p.465)

Plate motion calculators:

References for additional models: https://www.unavco.org/software/geodetic-utilities/plate-motion-calculator/plate-motion-calculator.html#models

Last revision 9/19/2022


Spreading Rate Computations

Two Plate Motions--Spreading Rate/Convergence Computations

Open with Plate rotation button on main MICRODEM toolbar.
Pick "Two plate motions" radio button.

Pick Current Rotation Model.

Pick the two plates. Plate 1 will be held constant, and the program will compute the motion of plate 2 with respect to it.

Pick Motion Button at bottom of form.

Double click on the map and

  • Rates (magnitude and direction) will be displayed in the memo box, along with the fixed plate.
  • This will include the motion of each plate in the selected rotation model, and the relative motion between them.
  • The map will show the vectors for the two plates, the resultant, or both, depending on the selection options.
  • If selected, the velocity diagram will show the velocites of the two plates.

Example for Juan de Fuca ridge.

Example for Juan de Fuca--North America trench.

Last revision 9/20/2015


JdF Rdige Spreading

Juan de Fuca Ridge Spreading Rates

The Juan de Fuca Plate off the coast of Washington and Oregon, with the plate boundaries shown.

NUVEL absolute motions at four points along the ridge are shown, for both the JdF and Pacific plates. Note that JdF velocities increase northward, and Pacific rates increase southward. JdF vectors are to the east of the ridge, and Pacific to the west.

The absolute velocities are not orthogonal to the ridge creast; both plates have a northward component of motion.

Velocities are correctly scaled and oriented.

Created in MICRODEM using Two plates motion option on Plate rotation button on main MICRODEM toolbar.
The blue lines show the resultant different vector between the two plates, which gives their relative motions. These were created in Paint, connecting the end points of the two vectors.

The memo box shows the magnitude of direction of this vector.

The motion along the ridge, by measuring the resultants and scaling them according to the scaled original velocities.

Note that spreading rate increases to the north, so that the Euler pole for JdF-PAC motion must lie to the south.

The spreading vectors are parallel to the transforms and perpendicular to the ridge segments, which was not obvious from the original absolute motions.

The rates here are the full spreading rates.
MICRODEM can automatically plot the resultant vectors, and place then centered on the location where they are computed, with the Resultant vector checkbox on the rotation control form. These will be the full spreading rate.

Example for Juan de Fuca--North America trench.

Last revision 12/1/2016


Subduction Zone Velocity

JdF-NA Subduction Zone Velocity

Two plate motions on [image] Plate rotation

Velocity of the North America-Juan de Fuca trench.

One plate moves NE at 21 mm/yr, and the other SW at 19.9 mm/year. This is in the Nuvel No Net Rotation reference frame.

The memo box shows which plate is which.

This shows the motions of the two plates; the resultant motion between the two plates is the vector connecting the heads of the two vectors.

Resultant vector instead of the two plate motions. Select this with the Resultant vector checkbox on the rotation control form.
The resulting motion between the two plates is shown as 38.95 mm/year, toward 61˚ (alternatively it could be toward 241˚, depending on which plate you selected first which will be considered stationary). This is approximately perpendicular to the trend of the trench, which is common but not required for plate tectonics.

The JdF plate is the one moving NE. If you position yourself at the end of its vector, the distance and direction to the end of the other vector gives you the relative motion of the other plate, which in this case is to the SW.

If you position yourself at the end of the NA plate vector, JdF is moving to the NW, the 61˚ given in the memo box.

Because the two plates are moving toward each other, this boundary has to be a trench.

The velocity diagram plots a point to represent the velocity of each plate in terms of the x and y vector components. South and west are both negative.
The motion between the two plates is the vector that connects the two. Its direction depends on which plate you are holding still to compute the relative motion of the other.

Example for the Juan de Fuca ridge.

Last revised 9/20/2015


Total Poles Rotations

Plate Motions using Past Total Poles

Opened with button on the main MICRODEM toolbar.
Select Option, Past Total Poles radio button.

Pick a time.

Pick the continent.

Pick Total Poles Model to use:

  • Cox & Hart: every 20 Ma back to 200 Ma
  • Duncan & Richards: 11, 21, 36, 42, 48, 58, 66, 80, 100, 120 Ma

Buttons:

  • Track button will move the plate to its former position.
  • Time will show all the plates at the selected time.
  • Movie will create an animation of this model. You can change the map projection first with the Modify projection button.

Last revision 9/19/2015


Triple Junction Bathymetry

This map shows the Smith & Sandwell predicted topography around the Indian Ocean triple junction with the interpreted plate boundaries in red.

Note the NE-SW pattern of fracture zones radiating from the NW and SE ridges, and the N-S pattern on the western portion of the SW ridge. On the portion of the SW ridge adjacent to the triple junction, however, note the absence of fracture zone perpendicular to the ridge.

Additional analysis of this triple junction:

  • Based on predicted sea floor ages.
  • Based on modeled plate velocities.
  • Based on identification of magnetic anomalies.

Last revision 4/16/2006


Triple Junction Analysis

Determine of the motion of the three plate boundaries at the triple junction, relative to the plates. Determination of the triple junction motion first requires computing the motion of each pair of plates to determine the type of boundary.

  • AB is the velocity vector of the boundary between the two plates
  • ab is the line on which a point must be to stay on the boundary between those two plates
  • Trench:
    • Velocity line AB is parallel to the trench orientation on the map, or perhaps slightly oblique.
    • ab goes through the point with the upper plate, because the trench is fixed to the upper plate. The triple junction can only move along this boundary.
    • Subduction (plate motion direction) does not have to be perpendicular to the trench
  • Transform
    • Velocity line AB is parallel to the transform.
    • ab goes along line AB showing velocities of the two plates--the plates must have velocities parallel to the transform. In a few cases of "leaky transform faults", the motion is slightly oblique to the boundary. The triple junction can only move along the boundary, since crust is being neither added or destroyed at the boundary.
  • Ridge
    • Velocity line ab perpendicular to the ridge
    • If spreading is symmetrical and perpendicular, then it's perpendicular bisector of AB. This is the typical case, but there can be exceptions. Both plates will be moving away from the triple junction.

A triple junction is stable only if the velocity lines for the three plate boundaries intersect in a single point. A stable triple junction will maintain it configuration over time, and it will almost certainly migrate with respect to the plates

If that point representing the triple junction's veclocity is not on the point representing the plate, the triple junction will be moving relative to that plate. The triple junction cannot be stationary with respect to all three plates, and in general will be migrate with respect to several of the plates. A ridge-ridge-ridge triple junction will migrate with respect to all three plates. The migration of the Mendocino triple junction north along the coast of North America between the Pacific and North American explains many of the salient features of the Cenozoic geologic history of California.

Examples:

  • Gulf of California

  • Indian Ocean

Last revision 2/27/2019


Triple Junction Computations
  • Rotate continents button on main program toolbar.
  • Subset map to show the triple junction you want to analyze.
  • Insure on the control window that:
    • "Plate motions" selection in the control window is set to "Triple junctions"
    • The correct plate model is selected. Some models do not include all the smaller plates.
  • Pick the three plates, which must share a common triple junction.
  • Pick Motion Button on control window.
  • Double click on the triple junction. The rates for each plate will be displayed in the memo box, along with the model and the location.
  • You can plot the vectors on the map
    • If the vectors are too long or not long enough, Adjust the size of the vectors, with the "Velocity vector" slider in the top panel, redraw the map, and then reselect the point. You want the vectors to be long enough to be able to measure accurately.
    • If the labels are off the graph, right click on the graph, Rescale, and adjust the axes to provide room.
  • You can get a separate velocity diagram
    • Resize it by dragging the lower right corner
    • You can measure the relative motions between each pair of plates using the option of the graph toolbar.
    • Option on the map to measure the orientation of the trench, which is the only boundary for which you need that.
    • If you identify the type of plate boundary between each pair of plates, and for any trenches the orientation of the trench and subducting plate, you can get the triple junction motion.
  • Compute the relative motions between each pair of plates, which can be done as graphically as vector differences on the velocity diagram.

Examples

  • Indian Ocean triple junction.
  • Gulf of California triple junction analysis.

Last revision 2/21/2019


Analyze Triple Junctions

  • Directions in MICRODEM.
  • Triple junction motion rules
A. The values on the map are absolute motions in whatever reference frame the plate model uses.
You must now convert them to relative motions for each of the three plate-pairs at the triple junction.
You can solve for the relative motions graphically or analytically, since they are vector additions. The memo box on the control form shows the magnitudes and directions if you want to work analytically.
B. You can get a velocity graph.
C. Triple junction velocity diagram. Velocity lines of the three ridges shown in thin lines, which are the perpendicular bisectors of the velocity vector for the motion between the pair of plates. The lines are parallel to the trend of hte plate boundaries (ridges). For the AF-IN and AN-IN pairs, this makes them perpendicular to the lines connecting the plate velocities, but that cannot be the case for the AF-AN pair (note from the plate motions and the orientation of the boundary that this spreading must be at an oblique angle, which is reasonable given the orientation of the three ridges where they come together, and is also apparent if you look at the bathymetry in the region.

Because the three lines intersect in a point, the triple junction is stable. The triple junction is moving relative to the three plates (they are each spreading away from the triple junction).

Triple junction motion rules.

Additional analysis of this triple junction:

  • Comparing different plate models
  • Based on predicted sea floor ages.
  • Based on predicted bathymetry.
  • Based on identification of magnetic anomalies.

Gulf of California triple junction analysis.

Additional references:

  • Cox & Hart, 1986, Plate tectonics: How it works, Blackwell, p.63-84.

Last revision 2/19/2019


Box statistics

NPts: 7434

Max: 974.00
99 pc: 971.14
95 pc: 969.60
90 pc: 968.35
Mean: 959.05
Median: 959.85
50 pc: 959.85
5 pc: 947.93
Min: 945.92

StdDev: 7.07

Aster z: 961.09 55.56% 0.54
ALOS z: 958.78 46.66% 0.46
SRTM z: 952.27 22.90% 0.23

Box stats button. Lidar return density by elevation in a single 1"x1" box in Shenandoah National Park. The statistics on the right show the density distribution. The three colored boxes show the elevations from the 3 DEMs, and the bottom of the statistics shows the percentile within the elevation distribution, and the fractional position of the elevation from the lowest to the highest lidar returns. If you are using Icesat 2 data, you must insure there is data in the grid cell chosen (zoom in, perhaps beyond 100%)

Last revised 2/25/2020


Canopy button

Canopy Button Results

Part of the analysis of global DEMs using point clouds, lidar and Icesat-2

Database created from canopy button.

FIELD_NAME |
LAT |
LONG |
Z_SRTM | Elevation from SRTM
Z_ASTER |
Z_ALOS |
SLP_SRTM | Slope from SRTM
SLP_ASTER |
SLP_ALOS |
PC_SRTM | Percentile in the point cloud for the SRTM elevation -10, below entire cloud 100 above entire cloud
PC_ASTER |
PC_ALOS |
FR_SRTM | Fraction of SRTM in the point cloud: (SRTMz - Cloud.MinZ) / (Cloud.MaxZ-Cloud.MinZ)
FR_ASTER |
FR_ALOS |
CLOUD_PTS | Points in the point could
CLOUD_MAX |
CLOUD_MEAN |
CLOUD_MED |
CLOUD_MIN |
CLOUD_HT | Cloud.MaxZ-Cloud.MinZ
CELL_DZ | Due the median slope in the 3 DEMs, what would be the cloud height over 30 m
REC_ID |

Canopy button. Histogram of the percentile within the lidar height distribution for the DEM elevations for 3087 points in Shenandoah National Park. The points at 110 indicate the DEM elevation is above all points in the point cloud, and those at -10 indicate all points in the point cloud are below the DEM.

  • Right clicking on the graph has an option to get a legend, which you can paste into the graph.

Canopy button. Histogram of the fractional position within the lidar height distribution for the DEM elevations for 3087 points in Shenandoah National Park. The points above 1.0, and below 0.0, indicate the DEM elevation is not within the point cloud. Because the elevation distribution within the point cloud is not uniform, this historgram is different than the previous one.

Using DB created by Canopy Button

From the DB created by the canopy button; no other data required.

Pick Location in one of two ways

  • Double clicking on a record in data base (can be challenging to get the one you want
  • ID button on map toolbar or database window, double clicking on the map, and then clicking the options button

From popup, pick "Point cloud and global DEMs"

Pick Lat profile, long profile, or Both profiles

Pick the tolerance in arc seconds. You want to get enough points, without have side slope distorting results

Lower left corner shows the parallel or meridian along which the profile runs

Right clicking on the graph has an option to get a legend, which you can paste into the graph.

Icesat-2 has challenges because the orbital tracks do not line up with the parallels and meridians, and you will see the gaps. The filter option below might be better.

The profiles for lidar are continuous.

Add beam and track to the database

  • Creates grids from the point cloud for the Point ID and User Data fields
  • Add the values from those grids into the DB

Filter the DB for the track and beam desired

From the Stats menu, Point clouds to analyze global DEMs,

  • Lat profile current filter
  • Long profile current filter

Last revised 1/26/2020


Compare global DEM with lidar

Comparing Global DEM with Lidar

This is currently replaced with DEMIX wine contest. Lidar may be incorporated there "soon"

Compare Point clouds to global 1" DEMs (and potentially 3" DEMs). This documentation is not completely up to date

  • Get Key Global Regional DEMs. This is geared to work with SRTM, NASA, ALOS, ASTER, and COP[ernicus] 1" data
    • Index in c:\mapdata\indexed_data\dems\ with series names that are less than 6 characters (these will be used for database field names and need space for the Z or SLP)
  • Lidar or ICESat-2 photon data point cloud
    • Input data
      • ICESat-2 photon data
        • ICESat-2 photon data to LAS (doing this limits the output to the desired confidence levels)
        • You must have "icesat2" in the file name to be able to filter the data by beam and confidence.
      • Icesat 2 elevation (terrain and CHM) data.
        • Very sparse coverage compared to photon data converted to point clouds.
        • Much less noisy compared to photon data converted to point clouds.
      • Lidar point cloud already in LAS
    • LIDAR Point clouds Open LAS file on DEM
    • Create a point density map for the LAS file at 1" spacing (or other spacing of the DEM), name it "point_density.dem" and put in the same directory as the DEM
    • Pick the Slice option on the LIDAR Point clouds
    • For ICEsat-2, Set options (which beams to use, the minimum confidence for the point to use it, but you might already have limited the confidence values that were exported).
    • Pick Canopy button option on Slice window control form
    • Requires SRTM, ASTER, and ALOS DEMs
    • The program can automatically open them and gets the elevations where needed
  • Analysis of the point cloud data
    • Filter to remove very large CLOUD_HT, or very high values of FR_SRTM or other DEM
    • Double click in a record
      • You must still have the point cloud open
      • Select database with results of the Canopy button
      • Filter to remove very large CLOUD_HT or large FR_xxxxDEM values
      • Double click on one of the records
        • Point cloud statistics
        • Point cloud points: creates a DBF with all points in a 1"x1" box, and see if the problems are with one track, individual beams, confidence levels, or the GPS Time.
  • Analysis of the comparision statistics with the results of the Canopy button in a DBF file, Lidar or ICESat-2 photon or elevation data data. For ICESat-2 you might want to filter on date, beam, and track_id.
    • Stats, Lidar to analyze global DEMs
      • DEMs within point cloud range. Filter for one track, and one beam.
        • Lat profile, current filter (generally the better choice because of the orbital track geomtry)
        • Long profile, current filter
      • Distribution histograms (must be from a point cloud)
        • All DBs
        • This DB
      • Dirt and air shots: makes a diagram with the over, under, within for the point cloud (or ground/canopy top) for all points in the DB and each of the 3 global DEMs, and a table with the results
        • All DBs
        • This DB
        • This DB, landcover categories. The landcover must be in an integer field; when you add it from the landcover grid, pick the nearest value as an integer
        • This DB, slope categories
      • ICESat-2 beam splitter: makes a LAT profile and a distribution summary for the current filter, adding each of the 6 beams to the current filter
      • Cloud summaries
        • All DBs
        • This DB, landcover categories. The landcover must be in an integer field; when you add it from the landcover grid, pick the nearest value as an integer

ICESat2 anomalies:

  • In Gabon, there are a number of geoid elevations below sea level. These appear to occur where the canopy estimates exceed 100 m.

Open point cloud

  • From Icesat-2 to LAS.
  • From airborne lidar, which will have much larger point densities.

Canopy button results

Last revised 1/5/2021


ICEsat2 Filters

Pick whether to filter or not.
Pick the beams to use.
Pick the minimum confidence for each beam

For the global DEM verification:

  • Box size in arc seconds (this size, centered on the point)
  • Min cell pts that must be in the grid cell to create a data record
  • All three DEMs required: if one is missing data, no data record created.

Last revised 1/27/2020


In Cloud Statistics

For each point, computes if the elevation from each of the global DEMs is:
  • Between the ground and top of canopy for the ICESat-2 elevation data
  • Within the bounds of the point cloud for that DEM posting location, for the photo data or lidar LAS data.

Color coding:

  • Blue: DEM point is above the cloud (sky shot)
  • Green: DEM point is within the cloud
  • Brown: DEM point is below the cloud (ground shot)

Last revised 2/25/2020


Point Cloud Points

Used with Comparing Global DEM with Lidar. Double click in a record in the data base with the points from the global DEM.

Creates a DB with all the points in a 1"x1" box, and see if the problems are with individual beams, or the confidence

LAT | LONG | Z | TRACK | BEAM | QUALITY | GPS_TIME | REC_ID
-14.252274 | -60.746058 | 66.86 | 1169 | 6 | 3 | 1228867200 | 1
-14.252293 | -60.746059 | 69.48 | 1169 | 6 | 3 | 1228867200 | 2
-14.252293 | -60.746059 | 70.65 | 1169 | 6 | 3 | 1228867200 | 3
-14.252293 | -60.74606 | 67.06 | 1169 | 6 | 3 | 1228867200 | 4
-14.252293 | -60.746059 | 68.9 | 1169 | 6 | 3 | 1228867200 | 5
-14.252293 | -60.746059 | 70.86 | 1169 | 6 | 3 | 1228867200 | 6
-14.252293 | -60.746061 | 46.8 | 1169 | 6 | 3 | 1228867200 | 7
-14.252293 | -60.746061 | 41.59 | 1169 | 6 | 3 | 1228867200 | 8
-14.252293 | -60.746061 | 43.74 | 1169 | 6 | 3 | 1228867200 | 9
-14.252293 | -60.746061 | 44.91 | 1169 | 6 | 3 | 1228867200 | 10
-14.252293 | -60.746061 | 46.99 | 1169 | 6 | 3 | 1228867200 | 11
-14.252293 | -60.746061 | 48.92 | 1169 | 6 | 3 | 1228867200 | 12
-14.252293 | -60.746062 | 33.47 | 1169 | 6 | 3 | 1228867200 | 13
-14.252293 | -60.746062 | 31.03 | 1169 | 6 | 3 | 1228867200 | 14
-14.252293 | -60.746062 | 31.92 | 1169 | 6 | 3 | 1228867200 | 15
-14.252321 | -60.745974 | 1215.3 | 1169 | 6 | 3 | 1228867200 | 16
-14.252388 | -60.746071 | 50.63 | 1169 | 6 | 3 | 1228867200 | 17

Note the single bad elevation at 1215.3 m

Last revised 1/26/2020


Required Antenna Height Map

Required Antenna Height Map--Speed Comparison

Fast algorithm (<1 sec).

A radial is drawn to each point on the perimeter of the DEM, and all interior points lie along at least one radial. The last radial drawn will overwrite any previous values.

Note moire patterns in the flat areas, where multiple radials through the same point, with slightly different azimuths, produce different results.

In this case, the DEM is 374x465, and the number of radials is 2*(374+465) = 1678.
Rigorous Algorithm (112 sec).

Required antenna computed for every point.

In this case, the DEM is 374x465, and the number of computations is (374*465) = 173,910. This is a factor of 103 more than the fast algorithm. While the average length will be half that in the fast algorithm, radial overhead and differences in optimization lead to the time difference.
Differences between two algorithms.

Note the moire patterns, and the radial patterns where sharp peaks have shadows. The differences follow radials, where multiple radials project onto single points.
Histogram of elevation differences. The maximum difference of about 30 m compares to a maximum value over 2000 m.

Most graphics removed. This had not been looked at in over 20 years. If you want to use this, experiment.

Last revision 1/28/2023


Landsat Bands

Landsat 8 (Landsat 9 is similar) compared to Landsat 7 and the earlier Landsats and the ESA's Sentinel-2. The gray shows the transmission bands, with the absorption bands in white.
In terms of the energy, the TIR bands on the right have only a small fraction of the energy compared to the VIS and NIR (this graph shows the albedo).

The energy available for the satellite is function of the area under the curve of incoming energy versus wavelength. The wider the band (the more frequencies used), the incoming energy (highest in the visible, lowest in the TIR), the easier it is to record.

Most of the Landsat bands are in atmospheric windows, which have a high transmission and allow energy to pass through the atmosphere. The one exception is band 9 on Landsat 8's OLI, which is located in an absorption band. These occur where gases in the atmosphere absorb radiation of a particular wavelength, and are used to track changes in the atmosphere; band 9 is designed to pick up cirrus clouds.

Nice discussion of Landsat 8 bands, individually and as 3 band color combinations: https://landsat.gsfc.nasa.gov/landsat-8/landsat-8-bands/

Landsat 7 was very similar to the Landsat 4 and 5 (and 6 if it had achieved orbit) multispectral bands.

Anomalies in band numbering for Landsat:

  • In earlier Landsats before 7, there had only been 6 bands during development. The band numbers and spectral positions had been fixed, when a 7th band added. Rather than renumber the TIR band, band 7 was added out of sequence.

  • Band 8, the pan band, was added later without changing the numbers of the other bands. In any case, because it overlaps 3 other bands, the number it "should" have is unclear.\

  • Landsat 8 had major changes in the band numbering (the old bands 1-5 all increased to 2-6; these are the most commonly used with the possible exception of the pan band 8).

Landsat history.

Comparison with Sentinel-2 bands

Last revision 1/5/2023


Principal components

Satellite analysis--Principal Components (2 band examples)

General discussion, and example with 7 bands

Scatter grams, bands 2 and 3. These bands are highly correlated. In principal components, the axes are rotated so that the first axis goes through the main cloud of data. Both axes are scaled so that values range from 0-255. Because almost all points lie along a single line as indicated by the very high correlation coefficient, PC1 explains almost all the data (98.63%).
Correlation Matrix
 | Band 3, TM: red | Band 2, TM: green
Band 3, TM: red | 1.00 | 0.96
Band 2, TM: green | 0.96 | 1.00
 | PC1 | PC2 | Notes
Eigenvalue | 265.62 | 3.69 |
Explains | 98.63 | 1.37 |
Band 3, TM: red | 0.86895 | -0.49491 | PC1 is a mixture of bands 2 and 3, which a higher loading from Band 3
Band 2, TM: green | 0.49491 | 0.86895 |

Scatter grams, bands 1 and 4. These bands are poorly correlated (r=0.27), and rotation of the axes leads to a PC1 that explains 93.42% of the information.

Correlation Matrix

 | Band 3 TM: red 0.63-0.69 | Band 4 TM: near IR 0.76-0.90
Band 3 TM: red 0.63-0.69 | 1.00 | 0.27
Band 4 TM: near IR 0.76-0.90 | 0.27 | 1.00
 | PC1 | PC2 | Notes
Eigenvalue | 2631.06 | 185.33 |
Explains | 93.42 | 6.58 |
Band 3, TM: red 0.63-0.69 | 0.08122 | 0.99670 | PC2 is almost entirely Band 3.
Band 4, TM: near IR 0.76-0.90 | 0.99670 | -0.08122 | PC1 is almost entirely Band 4


Plotting Sieve Results

Plotting Sieve Results and Calculating Statistics--Likely Disabled

1. The raw data consists of the weight of sand retained on each sieve. Note that the small phi sizes appear at the top of the data table, just as the small phi size sieves go on the top of the stack of sieves. This corresponds to the large sediment grains.

2. Sum the weights.

3. Compute the percentage retained on each sieve.

4. Compute the cumulative percentage retained for each sieve. This will be the weight retained on that sieve and all sieves above it in the stack.

5. The cumulative percent passing will be 100% minus the cumulative percentage retained.

6. Graph the data. Plot each data point, and connect them with straight lines.

7. From the graph determine the following values: Phi16, Phi50, and Phi84. Phi16 is the phi size of the sieve that would retain 16% by weight of the sand sample. Phi50 is the median, with 50% by weight smaller and 50% larger. Go left from the appropriate Phi value on the vertical axis until you intersect the curve, and then drop down to the horizontal axis and read the appropriate phi value. Be particularly careful reading the graph if any of the values are less than 0, and insure that you retain the minus sign to use in the formulas.

8. Determine the mean with the formula (Phi16+Phi50+Phi84) / 3;

9. Determine the standard deviation with the formula (Phi84-phi16) / 2.

10. Determine the skewness, alpha, with the formula (Mean - Median) / (Standard Deviation).

Phi    Weight  % Retained  Cum % Retained   Cum % Passed
-2.00    0.73        1.46      1.46            98.54
-1.00    1.88        3.76      5.22            94.78
 0.00    2.28        4.56      9.78            90.22
 1.00    2.18        4.36     14.14            85.86
 2.00    1.58        3.16     17.30            82.70
 3.00   25.98       51.96     69.26            30.74
 4.00   15.37       30.74    100.00             0.00
Pan      0.00        0.00    100.00             0.00
Total weight       50.00
Phi16= 1.60   Phi50= 2.65   Phi84= 3.19
Mean= 2.48    Sigma (Std dev)= 0.80    Alpha (skewness)=-0.21

Phi    Weight  % Retained  Cum % Retained   Cum % Passed
-2.00    0.00        0.00      0.00           100.00
-1.00   11.52       11.52     11.52            88.48
 0.00   63.40       63.40     74.92            25.08
 1.00   20.22       20.22     95.14             4.86
 2.00    4.02        4.02     99.16             0.84
 3.00    0.70        0.70     99.86             0.14
 4.00    0.14        0.14    100.00            -0.00
  Pan    0.00        0.00    100.00            -0.00
Total weight      100.00

Phi16=-0.89   Phi50=-0.35   Phi84= 0.34
Mean=-0.30    Sigma (Std dev)= 0.61    Alpha (skewness)= 0.09


Sand sieve analysis

Sand Sieve Analysis--Likely Disabled

Sieve theory.

Plotting Sieve Results and Calculating Statistics

Option on the Geology menu.

How to:

Add data to existing diagram: File, Open, or File, Create file

Add data to new diagram: File, New diagram, then File, Open, or File, create file.

Create a data file: File, Create file.

Display an existing file: File, Open

Change display: Options, Phi and normal probability axis or Options, MM and arithmetic axis

Menu structure:

File:

New diagram: create a new sieve diagram, using the currently selected options. This diagram will be used for any additional data files selected.

Open: display an existing data file and display it using the currently selected options.

Create file: call the data file creation window.

Edit file: call up a text editor to edit a data file.

Close: exit the program.

Options:

Phi and normal probability axis:

MM and arithmetic axis

Show statistics: for cumulative percent retained versus phi size, this will show the statistics.

Window: cascade, tile, or select individual window.

Help: access help file, see hardware available, or the program version.

Last revision 8/19/2015


Sieve size analysis theory

Sieve Size Analysis Theory--Likely Disabled

The cumulative histograms seen in statistics texts and in the definitions of the various frequency distributions require, in theory, an infinite number of sampling intervals. For sand samples, a histogram of the weight retained on each sieve depends on the size interval chosen and the available sieves.

The diagram to the left shows the weight retained for the same sample using both one phi and quarter phi sieves. Note that:
  • neither histogram resembles a normal distribution
  • comparing the two histograms is not easy, even though they represent the same sample.
  • computing the mean or standard deviation would not be easy.
  • computing the mode would be relatively easy but interpreting it might be difficult.
This is the same data, but plotted at the midpoints of the interval. This is probably a better solution; note how the modes occur at nearly the same position (they can’t be at the same position, because the midpoint on the 1 phi sieves is the size of one of the ¼ phi sieves).

The mode for the one phi sieves occurs at a phi size of 2, meaning the most sand was retained on the two phi sieve and had a size between one and two phi. Without other knowledge, then, the best estimate for the mode would be 1.5 phi.

Definition of Phi size:

Phi size = - log2(diameter in mm)

Calculus relationship:

logx(a) = logy(a) / loga(x)

To find phi sizes, we need to find a log to the base 2 which cannot be done on most calculators. We can use the second equation, where x=2. For y can use either 10 or e, since the calculator provides logs to both those bases. We must also remember to use the negative sign from the definition of phi sizes.

Phi size = - log10(diameter in mm)/log10(2)

or -ln(diameter in mm)/ln(2)

To find a size in mm from the phi size, raise two to the power equal to both sides of the equation.

(Phi size) = -log2(diameter mm)

-(Phi size) = log2(diameter mm)

2^(-Phi size) = 2^(log2(diameter mm))

2^(-Phi size) = diameter mm

2^(-Phi size) = diameter mm

Note the minus sign which is critical.

Whole number phi sizes are even powers of two which should be easy to compute. The positive phi sizes are ½, ¼, 1/8, 1/16, 1/32, and so on. The negative phi sizes are 2, 4, 8, 16, 32, and so on. Phi 0 is 1 mm. When solving a problem, a quick check would be to insure that your answer is between the correct two integer values of phi, whether positive or negative.

The cumulative weight retained graph shows the results of analyzing the same sand with two sets of sieves, one at ¼ phi intervals and the other at one phi intervals. On this graph the two sands are nearly identical; the table below compares the relevant statistics for the two analyses.

Parameter | ¼ Phi Sieves | 1 Phi Sieves
Phi 16 | 0.90 | 0.83
Phi 50 (Median) | 1.39 | 1.34
Phi 84 | 1.80 | 1.79
Mean | 1.36 | 1.32
Std Dev | 0.45 | 0.48
Alpha (Skewness) | -0.06 | -0.04

Plotting Sieve Results


Stratcol Options Form

  • Text direction: pick vertical or horizontal text for the label files.
  • Width: pick the width in pixels of the diagram.
  • Erosional right margin: display a ragged erosional margin on the right side of lithologic columns instead of rectangular boxes.
  • Variable resistance: scale the width in each unit in proportion to its strength, instead of scaling all units the same.
  • Column labels: put the column name at the top of each column.
  • Time axis: turn the time (or thickness axis) on or off.

You can also place the units names inside the units or to the right.

You can turn the vertical time axis on the left of the diagram on and off, and select the tick size to be employed if you do not like the default.

Vertical Time Axis

There can be a vertical time axis on the left margin of the diagram. On a time correlation diagram its scale will be determined by the first time label column entered, but you can manually override this selection and redraw the diagram to any time limits you desire. You toggle the axis on and off in the Options menu.

  • There are four options for coloring the lithologic patterns:
    • Color patterns: use color assigned to each pattern.
    • Black and white patterns: use black on a white background.
    • No pattern: leave units blank. If you are editing the column boundaries, this will produce the fastest results since the column must be redrawn after each edit. Once you have the boundaries in the correct locations, you select one of the other options for final display.
    • Solid colors: use solid color assigned for each pattern.
  • Three options for unit names within the diagram:
    • Short Names
    • Long Names
    • No Names

Last revision 1/18/2018


Creating New Time Label Files

STRATCOL (not updated recently) Creating New Time Label File

You create a new time label file from the top down. For each label you enter the top and bottom boundaries in age or thickness; it is up to you to keep these separated if you will be drawing both kinds of diagrams. The top of one unit is the bottom of the unit above, and after the first unit the top should already be correct (if you change the top, it will also change the bottom of the unit below). You continue to add units until you select the Cancel button; the current information in the edit window will be ignored when you select Cancel.

Last revision 1/17/2018


Editting columns

STRATCOL (not updated recently) Edit Stratigraphic Column

You can currently make the following edits to a lithologic column:

1. Change a stratigraphic unit's thickness, duration (in terms of top and bottom ages), resistance, short and long names, top and bottom boundary types, and lithology. To edit a unit, move the mouse cursor onto the unit and double click. This will bring up the unit edit window. In standard Windows practice, hitting the Enter key will close the window.

2. Move a contact. Move the mouse to the desired contact, depress the left mouse button, and move the contact to the desired location. Note that the Window status bar gives your position along the vertical axis. If you want more precise placement than you can get with the graphical move, use the unit edit window.

3. Insert a new unit. Move the mouse to the desired boundary between two units, and press the Insert key to get to the unit edit window. Insure that you correctly set the top and bottom ages; the program currently will not check the consistency of what you enter.

4. Delete a unit. Move the mouse within the unit to eliminate, and hit the delete key. You must confirm the deletion. In a time correlation diagram, the time duration of the deleted unit will be added to the unit below. If necessary you must edit that unit or the unit above to adjust the boundary.

You can either save the modified columns manually from the File menu, or the program will prompt you to save it when you clear the diagram or leave the program.

Last revision 1/17/2018


Creating a thickness diagram

STRATCOL (not updated recently) Create Thickness Diagram

To create a thickness diagram, go through the following steps:

  1. On the options menu, select the choices you want.
  2. On Rock Correlation, select Label file for any time or lithology name files that you want plotted on the left side of the diagram. You will first also have to pick a thickness .
  3. On Rock correlation, pick Column file to plot the lithology symbols.
  4. On Rock correlation, pick Fossil ranges to select the files.

5. You can save the completed diagram with the File, Save Diagram option.

Last revision 1/17/2018


Options for column display

STRATCOL Options Menu for Column Display

  • Set options
  • Font. Font: pick the font to use, and the size. For vertical text you must pick a scalable font (such as a True Type font indicated with the TT symbol in the font selection window). Due to the way the program works, the font size you select will not correspond exactly to normal expectation when you print the diagram. You must experiment to pick a size that works well.
    • Scale bar
    • Columns
  • Time/Thickness axis
    • Present
    • Tick size
    • Grid
  • Edit lithology patterns: edit or recolor lithology patterns.
  • Pattern names
    • Create
    • Select
    • Display
  • Create GIS db

The text can print using any font, style, and size that is available to Windows. Time scale units, but not lithology file units, can display either vertically or horizontally. The program will attempt to use a smaller point size to keep the text within bounds. Currently if you select a size that it too large it may run beyond its correct limits. To print vertically you must select a scalable font like a True Type font. The only part of the font that will be saved between sessions will be the point size; the font will always default to Times New Roman.

The width for time scale units will be generated automatically based on the font used; you can set the width (in pixels) for the lithologic columns.

Last revision 1/17/2018


Setting Diagram Size

STRATCOL (not updated recently) Setting Diagram Size

There is a good chance that this does not work.

The white portion of the screen indicates the diagram size. If it is larger than your screen, you will be able to scroll through the diagram using scroll bars on the right side and bottom.

Use the Resize diagram command in the File menu. You will set the vertical and horizontal resolution in pixels. You can use the Help, About menu choice to see the current resolution of your printer (although this may not be accurate). You should set the printer resolution at 150-180 dpi (dots per inch) before printing; anything with higher resolution will only work if you select the lithologic patterns very carefully.

The size of the diagram determines the thinnest units that will show, and that will have a name printed. If units do not show, you must either make the diagram larger or combine thin units.

Last revision 1/18/2018


Adding column

STRATCOL (not updated recently) Adding a New Column

1. To add a column, you will first have to enter the following:

a. Latitude and longitude.

b. Name for the column, which will be printed above the column on the diagram (keep this short).

c. The first (top) unit, using the unit edit window.

d. Additional units until you hit the cancel button in the unit edit window. The unit on which you hit cancel will not be entered into the column.

2. Once the column has been entered, you modify the column or add additional units the same way that you edit an existing column entered from a file. You can edit the new column at any time.

3. You can either save the column manually from the File menu, or the program will prompt you to save it when you clear the diagram or leave the program.

Last revision 1/17/2018


Menu structure

STRATCOL Menu Structure

File

Time correlation

  • Time scale from file
  • Column from file
  • Create new
    • New column
    • New time scale
  • New time limits
  • Redraw

Rock correlation

  • Label file:
  • Column file
  • Fossil ranges
  • Create new
    • Column
  • Rescale thickness
  • Redraw

Stratcol Options

Help

Last revision 1/18/2018


File menu

STRATCOL File Menu Options

  • Save image
  • Save files: if you have added a new column or modified one of the existing columns, you can save them to the same or a different file. You will automatically be prompted to save them before you can close the program or start another diagram, so you do not have to select this option manually.
  • Open diagram
  • Save diagram: You can save the diagram at any point in standard Windows BMP format. You can then import the BMP file into any Windows program. A saved diagram is just a representation of the screen; it does not contain any of the raw stratigraphic data used to create the image.
  • Close Diagram: You can clear the screen, remove any data files from memory, and start over on a new diagram.
  • Convert length units
    • Time file
    • Fossil ranges
  • Exit Stratcol

Last revision 1/18/2018


Fossil files

STRATCOL (not updated recently) Fossil Files

Files with fossil ranges are ASCII text files with the extension *.FO*. They look like this:

      8.9916         9.2964   Bayfieldia sp.A
      8.9916        21.5189   Bowmania sp.
      8.9916        22.6162   Euptychaspis typicalis
      8.9916        20.1473   Prosaukia sp.
     20.1473        20.4521   Bowmania n.sp. A
     20.1473        29.2608   Eurekia n.sp.A
     20.1473        22.6162   Illaenurus sp.
     21.5189        21.8237   Saukiella sp.
     21.5189        21.8237   Saukia sp.

There is one range per line. The first number is the base of the range, in meters from the base of the section, and the second number is the top of the range. If the name is enclosed in quotation marks, the entire name will be printed in italics.

Last revision 1/17/2018


Fossil ranges

STRATCOL (not updated recently) Fossil Ranges

  1. You will first select a fossil file

  2. The window above allows customization of the display.

    The top line shows the number of fossil ranges in the file, which you cannot change within the program.

    The first edit box allows you to select the number of fossils to place, running from left to right, If the number of ranges in the file exceeds this number, the addition files will move back to the starting position and run left to right. This will only work if the ranges are short compared to the overall column. This number is based on how much you have already placed on the diagram, the size of the diagram, and the font size you have selected.

    The starting location in the number of pixels from the left side of the diagram at which the first ranges will plot. You should change this only with great care.

    The ending location shows where the fossil ranges in end, again in pixels.

3. You should place fossil groups that you want to appear together in separate files. This includes long ranging taxa that cannot have another species above or below them, and groups that you want to plot in proximity if you will have the ranges plot in multiple groups.

Last revision 1/17/2018


Creating time correlations

STRATCOL (not updated recently) Creating a Time Correlation Diagram

1. Clear any existing diagram.

2. Set the size of the diagram

3. Insure that the Options have been set correctly.

4. Select an existing Time scale from file, or create a new time scale. A time scale is always the left-most element of the diagram, after the optional vertical time axis.

5. Select additional time scales or columns. These can be inserted in any order you desire. Before selecting the file, insure that the Options have been set correctly if you want to change any display parameters.

6. After a stratigraphic column is displayed you can edit any of the displayed stratigraphic data columns.

7. You can create a new column and add it to the diagram.

8. You can save the graphic image, print the graphic image, or save new or revised data files at any point from the File menu.

9. When you close the program or clear a diagram, the program will give you the chance to save any new columns that you have created or any columns that you have modified.

Last revision 1/17/2018


Unit edit window

STRATCOL Unit Edit Window

The unit edit window allows the user the enter stratigraphic units, or to modify those that have been entered.

Left column Center column Right column
  • Short Name (limited to 10 characters)
  • Long Name
  • Thickness (m)
  • For age columns
    • Top (Ma)
    • Base (Ma)
  • Resistance factor

The resistance and thickness options are not required for time correlation diagrams, while the ages are not required for rock thickness diagrams. By entering both, however, your data files can be plotted in both formats.

Buttons

  • OK ends entry or edit. It is not enabled until you enter a thickness.
  • Cancel
  • Help
 Select lithology pattern. This uses the current set, picked on the file menu. See the effects graphically on the lower left of the form.
  • Parameters for unit top (same as the base of unit above)
  • Parameters for unit base (same as the top of the unit below

Some of the boundaries require setting a width and depth parameter which determine how the boundary is drawn. Where required you will be able to enter values; otherwise the options are not enabled for those boundaries which take no user-defined parameters.

See the effects graphically on the lower left of the form.

Last revision 1/18/2018


Stratigraphic files

STRATCOL (not updated recently) Stratigraphic Files

Stratigraphic files contain the information to draw columns scaled either to time or thickness.

The fields are:
1.  Short Name --up to 10 characters
2.  Thickness  in m
3.  Duration in Ma (older files like the example below will have thickness in feet, and will not plot properly as time correlation files)
4.  Three character lithology symbol
5.  Resistance (1 to 5, the most resistant)
6.  Long Name

If the base is anything other than conformable, a base label and drawing parameters will occur on a separate line between units.

The first line is optional, and contains the latitude and longitude an an optional location which can plot as the second line above the column.
The second line contains a title for the column.
  • * 36.50 -115.25 Sheep Range
  • Indian Springs Quad (Guth, unpub)
  • PPbs 1780.0 5839.9 LS4 3 Bird Spring Formation
  • Mc 30.0 98.4 SH1 1 Chainman Shale
  • Mj 250.0 820.2 LS6 4 Joana Limestone
  • Mp 15.0 49.2 SH1 1 Narrow Canyon LS
  • Dg 440.0 1443.6 LS5 4 Guilemette Formation
  • Ds 195.0 639.8 DS2 3 Simonson Dolomite
  • Dsca 50.0 164.0 DS1 3 Silty-cherty-argill
  • DSls 300.0 984.3 DS2 3 Sevy-Laketown Dol
  • Oes 140.0 459.3 DS3 5 Ely Springs Dolomite
  • Oe 50.0 164.0 SS3 4 Eureka Quartzite
  • Oaa 280.0 918.6 LS1 4 Antelope Valley Ls
  • Ops 310.0 1017.1 L&D 3 Silty mid Pogonip Gp
  • Og 340.0 1115.5 DS2 3 Goodwin Limestone
  • Cns 300.0 984.3 DS3 5 Nopah Formation
  • Cbb 813.0 2667.3 D&L 4 Banded Mtn Member
  • Cbp 582.0 1909.4 L&D 3 Papoose Lake Member
  • Cc 265.0 869.4 L&S 2 Carrara Formation
  • CZw 650.0 2132.5 RW5 2 Wood Canyon Formation
  • Zs 950.0 3116.8 SS3 3 Stirling Quartzite
  • Zj 1590.0 5216.5 SS1 2 Johnnie Formation
  • BASE
  • Composite section in the Indian Springs 1:100,000 quad, southern Nevada.
  • From Guth, in prep.

Last revision 1/17/2018


Time files

STRATCOL (not updated recently) Time Files

Time files are used to label stratigraphic columns. The units can be either distance (meters) or time (Ma). While the program should handle all aspects of these files, you can manually edit them in any editor or word processor (insure that you keep them in plain ASCII format).

Time files are stored with the extension *.TM*. The intention is that you will store those for a single project with the same name and differing extensions, such as CAMBRAIN.TM1, CAMBRIAN.TM2, and so on.

On each line the first number is the base of the first labelling unit, the second number is the top of the first labelling, and then comes the label. The youngest unit should be at the top.

Sample time file

  • 505.0000 490.0000 Croixan
  • 520.0000 505.0000 Albertan
  • 530.0000 520.0000 Waucoban
  • 545.0000 530.0000 Placentian

Last revision 1/17/2018


Stratcol GIS

Open Stratcol.

Go to options, and pick "Create GIS DB". The column files must be in c:\mapdata\stratcol, and can be in subdirectories.

Open base map.

Database Open the stratcol database, c:\mapdata\stratcol\stratcol.dbf.

You can open columns by using the Stratcol button on the map toolbar, and then double clicking on the map, or by double clicking on the record in the database table.

Last revision 1/17/2018


Stratcol Options

Description of some options:

  • Column locations: potential second line for descriptions on columns. Requires that the first line of the file begin with a "*", have the lat and long as floating point fields, and an optional literal field last.

Last revision 10/4/2017


Draw Contact from Three Point Problem

Contact from Three Point Problem

  • Required:
    • New DEM--required for the 3D geometry
    • New scanned map--optional for situational awareness. You can also use a satellite image, orthophotography, and a WMS service.
  • Open structural geology computation window from a scanned geologic map.
Click Three Point button

Double click three points along the contact or bedding plane. The three points are circled in yellow.

The points must be as far from collinear as possible. If you have no choice except to pick collinear points, that tells you something about the dip of the feature, and decreases the reliability of the result.

The plane's trace will be drawn, in the color on the "Contact" button. Note in this case that the contact follows the mapped contact, at least within this fault block. If you cross faults, this method will not be valid, and if the contact is not in fact planar, it will not be accurate either.
The memo field will show the three points used to determine the plane, and the computed dip and strike.

Last revision 7/25/2016


Contact from Scanned Geologic Map

  • Load project or [image] New DEM and [image] New scanned map:
  • Open structural geology computation window from a scanned geologic map.
Click "Strike from map" button.
Digitize the strike line from the dip and strike symbol. A white line marks the results of the digitization.

The accuracy of the strike depends on the length of the strike line.

Strike appears on form when you double click the second point on the strike line. You can modify value if desired.

Enter dip and dip direction.

Click the "Plane Contact" button, and then double click on the center of the dip and strike symbol.

The plane's trace will be drawn, in the color on the "Contact" button. Note that the computed contact parallels the drawn contact, although it is valid only within the fault block that contains the dip and strike.
If an incorrect dip direction is entered (here to the NW, instead of the SE), the traced contact will be wrong.

Last revision 4/4/2014


Contact from Keyboard Dip and Strike

  • New DEM
  • New scanned map:
  • Open structural geology computation window from a scanned geologic map.
Enter strike. Enter an angle from north: 0-90, or 270-360.

Enter dip and the dip direction.

Click "Plane Contact" button, and then double click on the center of the dip and strike symbol.

The plane's trace will be drawn, in the color on the "Contact" button.

Last revision 8/27/2007


Structural Geology Exercise

Geology Version

Geological oceanography course has the current directions. Those below might be out of date.

The geology version of MICRODEM has a limited menu and toolbar:
  • Load project:
  • New DEM
  • New image:
  • OpenGL 3D views:
  • LOS/Topographic Profiles: in geology these are topographic profiles or cross sections.
  • Earthquake centroids--open database and plot location of earthquakes.
  • Stereo net

Viewing and visualizing terrain

  • Topographic Profiles: for maximum precision in measuring on the profiles and in getting a true visualization, select a short distance, and run the profiles in the dip direction perpendicular to the strike.
  • OpenGL 3D views: block diagrams.
  • Variable opacity merges: stack two views (such as DEM topography and satellite image) and adjust how much of each one you see.
  • Topographic grain overlays: for an objective view of how organized the terrain is, and if the valleys and ridges align in a preferred direction.

Measuring fault scarps

  • Get strike from Calculate, Bearing menu option.
  • Measure dip from profiles or place a protractor on the profile if you assume the land surface follows the fault plane, and you draw the profiles perpendicular to strike of the faults. This can be a good assumption with active faults in arid climates.
  • Get dip and strike from three point problems
  • Get dip from terrain categories (from the Overlay, Terrain Categories menu). Select the slope in percent (100 * tangent) or degrees, and the matching terrain will be colored. If you would like to see all the slopes with a particular range of values, this can be effective in picking out large areas that could be fault scarps.
  • Get dip from slope maps. Right click on the map, Select "Display parameter", and then pick "Slope". You should pick standard categories, and then use the button to select slope categories. You should pick categories to match what you are looking for on the fault scarps.

Earthquake focal mechanisms

  • Harvard data base locations (and many other earthquake catalogs) are accurate to 0.01°, so at the very best we can locate to about 1 km. This will be in addition to any errors in locating the earthquake; those errors will be greatest for small earthquakes, and earthquakes in remote location with a poor distribution of recording stations.
  • Plot the beach ball diagrams
  • ID epicenters, and get the strike and dip from the database record. The dip direction is not in the data base, but can be computed as 90 degrees from the strike. Remember that the focal mechanism provides two planes, one of which is the fault plane.

DEM opened, and earthquake focal mechanisms selected with plotting by colored symbols.

Plot single focal mechanism on the map by clicking .

One of the two nodal planes will be the fault plane.
The southwestern earthquakes lies in a valley, far away from any bedrock exposures. The strike appears to be approximately east-west, and the ridge to the southeast might represent the fault scarp.

This shows the result of using the three point problem (on the structural geology computation window). After selecting three points on the SW side of the ridge, the computer calculated the plane which passes though them (N63W 21SW), and shows where its outcrop would project.

The plane passes close to the epicenter, but the focus is 35 km deep, which would affect the results depending on which of the two focal planes represented the fault rupture surface.

This dip is significantly different than the two focal planes ( N76W 45N, and N82E 47S), and the strike is different from the focal plane with a south dip).

The ridge is probably not a fault line scarp from the fault associated with this earthquake.

Calculate menu has a Bearing tool is being used to measure the trend of the long linear valleys in the NW part of the map, as they could be related to a fault.

The 115 degrees measured is N75W, fairly close to the second focal plane. The segment closer to the dialog box actually has an even closer fit.

The large number of valleys and lineaments oriented NW-SE suggest that the second focal plane may well be the orientation of the fault.
Record of the southeastern of the two earthquakes, obtaining by using [image] Identify data base records button on the map toolbar or the database table display and then double clicking on the epicenter. Explanation of the fields.

The two possible fault planes have nearly identical strikes (284 and 82) and dips (45 and 47), but have very different dip directions. The dip direction is not in the data base, but can be computed as 90 degrees clockwise from the strike. In this case, Plane 1 dips to the N (284+90=374=14, and Plane 2 dips to the S (82+90=172). Standard geological shorthand for the two planes would be N76W 45N, and N82E 47S.http://

Record of the northwestern of the two earthquakes, obtaining by using the [image] Identify data base records button on the map toolbar and then double clicking on the epicenter.

The two planes are N36E, 74SE and N58W, 75NE

OpenGL 3D view of faults and their scarps. This was selected on the Landsat TM of the area, so the view combines the satellite imagery with SRTM topography. You can rotate and zoom the view.
Variable opacity merge combines TM satellite imagery with a reflectance view of SRTM DEM. This emphasizes the fault scarps, although the direction of lighting in the reflectance view determines which faults will be highlighted. In this option you can interactively adjust the opacity, and which of the two scenes dominates the display.

Last revision 10/8/2014


Structural Geology Form

Geology options on Map Window Toolbar , or "Overlay, Geology" menu, and then pick "Structural Geology Computations" from popup menu. If you want the contacts on the geologic map or satellite image, start the process from that map's toolbar.

Main Options:
  • DB: Planar Trend surface from a digitized line contact as a series of points; for most options, usethe option on the Stats menu of the data base table display window
  • Three point: Calculate the orientation of a plane containing three selected points on the map, and show the trace on the map. Trace contact with three point problem
  • Plane contact: enter dip and strike at a point (or use that from a three point problem or trace contact) double click on the map, and then see how the contact follows topography. This can get multiple parallel planes.
  • Strike from map: double click on two points on a map, and the strike will be computed and entered in the form. If you have a scanned geologic map, this lets you get the strikes from the geologic symbols on the map. If you add the dip and dip direction, you can trace the contact.
  • Parallel contact: you need to create a deviations DEM from a planar trend surface. Doing a three point problem will do this. You then enter a thickness, and will see the trace of a parallel plane.
  • Trace contact: digitize a linear contact.
  • Thickness to pt: you need to create a deviations DEM from a planar trend surface. Doing a three point problem will do this. If you pick this option, double clicking on the map will give you the thickness of between the first plane and a parallel plane.
  • End
  • Structure options

Control output:

  • Trace plane on all maps: show the plane on all open maps
  • Show plane on stereonet
  • Auto increment colors
  • Plane: pick the color and line width for the contacts.
  • Extrapolation (m): determine the distance to go. Smaller will be faster, and can restrict the calculations to a region over which you expect planar geometry to hold.
  • Force screen redraw (removes previous lines from this operation)
  • Contact DBF

Examples:

  • Trace contact from dip and strike measured on a scanned geologic map.
  • Trace contact from dip and strike entered with keyboard. pick one point, and the orientation of the plane (e.g. N34E 23NW) and the location of the plane will be traced across the topography.

References to structural geology in a GIS

  • Compass, plug in for CloudCompare
    • http://www.cloudcompare.org/doc/wiki/index.php?title=Compass_(plugin)
    • https://www.solid-earth-discuss.net/se-2017-83/

Last revision 10/26/2017


mpMICRODEM

mpMICRODEM and IanMICRODEM

This has been retired. Cross platform was a nice idea, but who knows where the time goes?

Last Update: 11/10/2022


Icons Composer

The Icon composer was initially developed for military symbols (military TrueType™ fonts from Major Tom Mouat at www.mapsymbs.com), but has now been extended for other applications. You can select any additional True Type font on the computer (such as the mapping fonts from ESRI if you have any Arc products loaded) after the prog;ram loads with one of these fonts.

This icon composer can be accessed:

  • Map annotation from map toolbar, and then [image] icon on popup menu. The locations are stored in a file, and can be recalled for later display on the same or a different map. These icons are stored in a DBF file in \MapData\MD-PROJ\MILICONS directory. They can be recalled with the [image] Overlay vector data from the map toolbar. They can be edited (dragged to a new location) or deleted by selecting the Edit, Military Icons menu choice.
  • File menu, Tools submenu. Create icons and save them.
  • Create Unit Icons on Edit button popup menu on database table form.
Menu commands
  • Close: close form.
  • Symbol to clipboard: copies the symbol in the upper right as a bitmap to the clipboard.
  • Save to file: save the symbol in the upper right as a JPG, GIF, or BMP graphics file. Save to \mapdata\icons, and you can use the symbol for plotting databases.
  • Font: Pick font for the text and symbols. The font name, point size, color, and bold/no bold will be applied.
  • Options:
    • Military 0-width fonts: allows overprinting of multiple symbols, and are used for the unit size.
    • Large font samples: You have a choice for two sizes for the font samples on the left.
    • Show military land symbols
    • Show naval symbols
    • Show military air symbols
  • Multiple icons: this can be used to create a number of icons from a database (Create unit icons menu choice from the edit option).
  • Help: display this help topic.

Any true type font provides these options on the right.

Put text around the icon.
Change size of text, symbol
Change color of text, symbol

Changing any parameter will change the sample drawing in the upper right corner.

Military symbols

Adds the following controls:

  • Unit size
  • Symbol fill color
  • Select tab to pick different font. Switching to an air or sea unit disables the unit size radio buttons. Switching to another font disables color fill. Reset them from the options menu if you are sure you font will correctly support them.
  • Select symbol by double clicking in the grid which shows all symbols in the font. Some symbols are unused, and display a rectangular box.
  • Select unit size with radio buttons. Select none for Air and Sea units for which this does not apply.
  • Select unit designation (text which appears to the left of the symbol).
  • Select parent unit (text which appears to the right of the symbol)
  • Select size of the text (unit and parent) and the symbol. Because of scaling inconsistencies with Windows, some symbol sizes do not work well. Experiment with the size until the symbol looks good--a single step up or down can make a big difference.
  • Select whether unit is filled with color with the radio buttons.
  • Select color for unit fill.

Military Unit Symbols are composed of three parts added to the base symbol:
  • Unit designation, written to the left of the symbol (D in this symbol)
  • Symbol, a single "character". If the font has zero length characters in the correct character slots, it can also be colored (green here) and have a unit size appended (the | for company in this symbol).
  • Parent designation, written to right of the symbol (44 in this symbol).

In MICRODEM,

  • Moving on the map window will drag the icon. Double click to place it on the map.
  • Close button will end icon placement.

 Icons on DEM reflectance map
Icons on DRG (scanned map)

Icons for KML and Google Earth export.

Other potential True Type fonts to use:

  • US DHS Emergency Management Symbology (Version 2.20, Released: September 14, 2005 and apparently not updated since, but the site is now secure) https://www.fgdc.gov/HSWG/ref_pages/NaturalEvents_ref.htm
  • ESRI fonts. ArcGIS installs a large number of fonts on your system. They are usable if present.

Last revision 11/8/2022


Grayscale Color Options

Grayscale Options

Used for :

  • Openness maps
  • Reverse grayscale slope maps
Range for color scale: values outiside this range will be clipped (to avoid the tails of very skewed distributions).

Colors to use: the red rectangle in the grayscale image at the top will show the effect. Particularly at the black end of the scale, a lot of the range is not very effective.

Last revision 6/11/2019


Slope Map Instructions

Start a slope map by:

  • Right clicking on a DEM map, picking the "Map Parameter" choice from the popup menu, and then picking "Slope".

Modify slope map by:

  • Right clicking on the map, and picking "Slope categories". If you pick "Standard", you can adjust the bins and colors , and for reverse grayscale you can also affect the colors.

  • Right clicking on the DEM/slope merge map, and picking "Max merge slope" to adjust the range over which the color spectrum will be spread. This requires that the DEM for the map area be loaded.

  • Slope region size (pixels)
  • Slope algorithm

Slope category | Trafficability | Go/No Go | Notes
<1% | Flat | Flat | Could be wet or slippery and thus impassible
1-30% | Go | Go |
30-45% | Slow Go | No Go |
>45% | No Go | No Go |

You can also Create a new derivative grid of slope. Unlike this option, that one will not show the elevation as your roam over the map.

Slope map picture gallery with samples of the color options.

Slope units, in percent.

Last revision 6/7/2017


Urban DSM Display

Urban lidar provide superb situational awareness while moving. A number of display options can accentuate buildings and trees, and vector road overlays work well, particularly with graycale base maps.

  • Hillshade/reflectance map
  • Slope maps
  • Openness maps

OpenGL 3D view of the map

Last revision 10/26/2017


Point Cloud Options

Point Cloud File List Tab

One of the tabs on point cloud control form.

Files list tab. List of files to be used.
  • Open
    • Directory, try to open all files in the directory
    • Files, select files to open. Do this only if you can readily identify the files you want.
  • Metadata: Display Metadata for the files. If there are a lot of files, you probably only want to look at a few.
  • Outline tiles on the current map
  • Zoom: restrict map to just area covered by the point cloud.
  • On Map: only open tiles that are on the map. If you zoom out, other tiles will not automatically appear.
  • Zoom to cloud: if set, the map will zoom to the area covered by the first point cloud you load
    • If you are not sure of the area covered by the point clout, this is a fast way to get to the region and explore the date.
    • If you will load multiple clouds, and the later clouds might not cover the same area, you probably do you not want this option.
  • Label: Label the tiles. You might have to adjust the map colors to see them.
  • Outlines: always outlline the tiles when redrawing
  • Immediate map: if you have a huge number of tiles, you can turn this off and subset the map based on what it shows and pick a smaller area of interest before doing any drawing. The saves waiting for a long time for the map to draw.
  • Add #1, #2, #3, #4 Pick individual files/directories to included. You can open multiple point clouds, and turn them on and off rapidly.

Last revision 10/30/2019


Point Cloud Options

Files Tab, Point Cloud Options

LIDAR Point cloud form option, Files tab

Files list tab. List of files to be used.
  • Metadata: Display Metadata for the files. If there are a lot of files, you probably only want to look at a few.
  • Outline tiles on the current map
  • Zoom: restrict map to just area covered by the point cloud.
  • Label: Label the tiles. You might have to adjust the map colors to see them.
  • Outline: automatically show tile outlines
  • Add #1, #2, #3, #4 Pick individual files/directories to included. You can open multiple point clouds, and turn them on and off rapidly.

Last revision 2/17/2021


Multi-Pass Grid Creation

Tab on LIDAR point cloud analysis form.

Set the parameters desired, and then pick one of the four buttons to start processing:

  • First returns (creates a DSM). You must save the DEMs.
  • All returns. You must save the DEMs.
  • Ground classified returns (creates a DTM) You must save the DEMs.
  • Multiple grids: You can create multiple grids. These can take time, so you can set this up and come back later. You must pick a control table, and then the directory where the files will be saved as Geotiffs.

You can use:

  • Noise points: if the noise parts are mostly identified in the point cloud, not using them can simplify grid creation.
  • Overlap points: if the edge of the overlap occurs within the cell, it could double the return density in part of the cell, potentially skewing the results. Wihtout overlap the return density within the cell should be more uniform. This will be increasingly important as the cell size increases.

Min points required: unless the cell has at least this number of returns, it will not be used. This is designed for cases like bird strikes over water, where the only returns might be unrecognized noise.

Auto thin by cell: if this is checked, when any cell within the block gets to the max number of returns, the block will be recomputed with a thinning factor increased by one. The computations will use only ever 2d point. These should be randomly distributed, and with 10,000s of points the statistics should be equivalent. If thinning of 2 is insufficient, it will be increased again until no cell within the block has too many returns. This becomes a bigger issue as the cell size increases, or the number of returns per square meter increases.

Set the percentile: 100 at the top of the cloud, 50 at the median, and 0 at the base. In case of unrecognized noise, high or low, pick a percentile like 99 (the best choice depends on the number of points in the tile and the number of noise points).

Block size to use. This is the side of the block; the number of cells determined in each pass through the data will be the square of this. This affects the memory that must be allocated. This determines the number of passes through the data.

Maximum number of returns in a cell. This affects the memory that must be allocated. Returns beyond this number will be ignored, which might or might not be an acceptable solution. If the points were randomly distributed in the LAS file, this would probably work, but if they are sorted by elevation, either deliberately or accidently, it might be a problem. If this is too small, you will be told upon completion, and should consider redoing. You can avoid this is Auto thin by cell.

The memory required below suggests when you might adjust the parameters which determine the size (block size and max returns per cell). If you have lots of other things open, you don't have the free memory shown which is the total on the system.

Grid parameters picked on the Grid params tab.

Multiple grids control table:

y_res | x_res | units | pixel_is | DEM | Percentile | WKT | file_name
1 |  | sec | area | Mid | 5 |  | mid_5_area_1_sec
1 |  | sec | point | Mid | 5 |  | mid_5_point_1_sec
30 |  | m | area | Mid | 5 |  | mid_5_area_30_m
30 |  | m | point | Mid | 5 |  | mid_5_area_30_m
3 |  | sec | area | Mid | 5 |  | mid_5_area_3_sec
3 |  | sec | point | Mid | 5 |  | mid_5_point_3_sec
0.4 |  | sec | area | Mid | 5 |  | mid_5_area_0.4_sec
0.4 |  | sec | point | Mid | 5 |  | mid_5_point_0.4_sec
90 |  | m | area | Mid | 5 |  | mid_5_area_90_m
90 |  | m | point | Mid | 5 |  | mid_5_area_90_m
  1. Create a table in Excel or other program
    • Resolution is the data point spacing
    • Units is sec, m, WKT (in which case it will be projected meters)
    • PixelIsPoint/PixelIsArea Pick area unless you have a very good reason to test the 1/2 pixel point shifts
    • DEM is DSM (uses just the first returns), Mid (uses all points), DTM (uses just the ground classified points)
    • Percentile: 100 at the top of the cloud, 50 the median, and 0 at the base. I
    • WKT: name of the projection definition file, which must be in c:\microdem\wkt_proj with a .PRJ extension
    • File Name for the DEM will with constructed with the point cloud name + '_' + contents of this field
  2. Save as CSV
  3. Open database without map, to convert to DBF
  4. LIDAR Point clouds on map
  5. Adjust map area so it covers what you want the lidar-derived grids to cover
  6. Pick the Multiple grids button to start processing
  7. The same control table can be used for muliple point clouds, if each is in its own folder.

Last revision 5/30/2021


Point Cloud Tools tab

Tools Tab

LIDAR Point cloud form option, Tools tab

Tools tab: Many of these options require that the base map in use have a DEM associated with it, which will determine the size of the grid created.

Point based

  • Extract map LAS, Extract masked, Extract valid grid:
    • Extract points on the current map, which might be in multiple files, into a single LAS file or 3D shapefile. Pick a small map area for this option.
    • For mask option, the current map must have a mask in red, and only points that project to a red pixel on the map will be extracted.
    • For extract valid grid, only points that map to valid values in the DEM associated with the map will be extracted.
  • Extract GeoJSON: create file for current map area
  • Points above DEM, Points below DEM: puts the points above or below the DEM on the map into the memo box on the right of the form. This uses the Zcrit defined below.

Others

  • Thin LAS
  • Translate LAS
  • Scale up LAS
  • RGB filter las

Zcrit: buffer added to DTM before deciding if point is not on the ground.

DEM Z:

  • Interpolate: get elevation with bilinear interpolation.
  • Floor/ceiling: get elevation from highest or lowest, as appropriate, of the 4 grid nodes surrounding the point cloud location. This can be better in regions of steep slope in the DEM.

Last revision 4/10/2018


Airborne Lidar System and Processing

The airborned lidar system consists of:

  • A scanning laser, typically operating at several thousand scans per second (kilohertz).
    • Airborne topographic mapping lidars generally use 1064 nm (NIR) diode pumped YAG lasers. These lasers are invisible to the human eye and do not attract attention.
    • Bathymetric systems generally use 532 nm (green) frequency doubled diode pumped YAG lasers because green light penetrates water with much less attenuation than does NIR which is almost completely absorbed.
    • A common alternative, 1550 nm lasers, are eye-safe at much higher power levels and are not visible in night vision goggles.
  • A GPS unit and an IMU/INU, inertial mapping/navigation unit. These have complimentary capabilities, the GPS giving a new location about every second, but subject to noise, and the IMU proving a smoother, more realistic path. The IMU/INU also captures the pitch, roll, and yaw of the aircraft, so the system knows the exact orientation of each scan.
  • The lidar instrument typically scans up to about 20 degrees from either side of nadir, and records the orienation of the lidar beam as it leaves the instrument.
  • Electronics and storage to control the instruments and record the data.
  • Many systems also have a camera, either RGB or RGB/NIR, to record the scene for later merging into the lidar data.
  • The instrument can record the full waveform (intensity of energy returned versus TWTT), or pick out the distinct peaks as the data is collected. Even if the full waveform is recorded, it is rarely distributed becasue the files are huge and most users do not need them.
  • Data from the instrument will be recorded in a vendor specific format.

Processing, generally done by a contractor. Some of the final steps could be done by the national mapping agency prior to hosting the data on the web.

  • The raw data is rarely delivered to the customer.
  • The vendor merges the navigation data, sensor orientation, and the returns, to find the 3D coordinates of every return. From the position and orientation of the instrument when the pulse is emitted, and the TWTT to find the distance between the sensor the the point causing the return, the 3D coordinates can be computed.
  • The intensity of the return (how much energy at the laser's waverlength returns). This looks like a grayscale image, but it will be either green or NIR, which will influence interpretaton. They are not scaled consistently, which presents challenges to display software to provide good contrast.
  • The vendor performs some point classification. How much depends on the desires of the customer. Most data sets will have ground returns identified, since they are used to create DTMs.
  • The vendor selects a datum/projection for the data. This most often in UTM in WGS84 or a local datum like NAD83 or ETRS89 that is functionally equivalent, but can be another local equivalent if required by local law, as in some states in the US where everything must use SPCS. Hopefully this will be encoded in the files, but some files will not have it and users will have to manually enter it.
  • The vendor tiles the data, for more efficent use, almost always in the open LAS format.
  • The vendor generally compresses the data, most often with LAZ format, but sometimes only with ZIP.
  • The vendor may create DTM/DSM grids, which are significantly smaller in size and can be easier to use.

Distribution if freely avaible

  • Generally the national mapping agency, like USGS in the US, but there is also data from NOAA
  • OpenTopography originally had NSF-funded data for science projects, but now had data from USGS and New Zealand.
  • Many European countries have data, often of higher resolution that most in the US, and often with better point classification.

End users

  • Manipulate and display the data, either by downloading it on ineracting with it online.

Other types of point clouds

Last revision 1/3/2023


Annapolis Redistricting

Go to File, GIS Labs, Annapolis redistricting. It has the following components:

  • TIGER Edges for Anne Arundel County
  • Shapefile with Annapolis city limits
  • Results by block for the 2010 census, for the current area of the city of Annapolis. This is the main shapefile you will use.
  • Results by block for the 2000 census, for the current area of the city of Annapolis (it includes areas annexed to the city after after the 2000 census). This is supplied for historical context, since one interesting question is how the city is growing, and where the increase in the Hispanic population is taking place.

Redistricting and gerrymandering

Lab Directions--Redistricting

Redistricting Form detailed instructions.

Last revision 8/10/2017


Annapolis Data Download

The downloads for the Annapolis tutorial will download a large amount of data. The data will be in subdirectories under c:\mapdata\annapolis_data\

These are the most important data sets. They are standard products of US agencies

Data set | Subdirectory under c:\mapdata\annapolis_data\ | Notes | Source of data
DEM, elevation data | dem | 1/3" | USGS 3DEP , formerly called NED. Merge 2 1 degree tiles, and then subset to match the county
TIGER vector data | tiger_edges | Roads, shorelines, streams | US Census Bureau for the country
OpenStreetMap vector data | osm_aug_2020_planet_-76.755,38.719_-76.259,39.203.osm.shp | roads, buildings, points | Crowd sourced (like Wikipedia). Available world wide, although variable level of detail
NLCD, US Land cover data | NLCD_annapolis |  | USGS--8 years, and an animated GIF that shows the changes
USGS gazetteer | usgs_gazetteer\MD_FEATURES_20210825.dbf | Feature names and locations | USGS
USGS Topo map |  |  | USGS
Land water merge CONED DEM | land_water_merge_coned\usna_coned_chesapeake_dem_m6193.dem |  | USGS
NAIP | naip_2018\naip_2018_usna_subset.tif | 0.6 m imagery | USGS. Subset of larger data set. In urban areas (including Annapolis) higher resolution data is available at the cost of larger file sizes.

Lidar Point Cloud location | Year | Survey dates | Point density | Intensity range (1% - 99%) | Metadata sources on the web | Notes. Some data sets were reprojected from Maryland State Plane Coordinates to UTM with LAStools.
las_2020_anne_arundel | 2020 | late 2020, snow-free | 13.1 pts/m² | 1-6760 | Metadata in folder with data | First of these data sets to have point classification
las_2019_ngs_topobathy | 2019 | Nov 9-15 | 50.5 pts/m² | 2291-65525 | Metadata in folder with data |
las_2017_Anne_Arundel | 2017 | March 2-5 | 10.6 pts/m² | 2891-65534 | https://lidar.geodata.md.gov/metadata/AnneArundel/2016/Anne_Arundel_MD_LiDAR_2016_DEM.xml | Covers a smaller area, since it has about 20 times as many pts/m²
las_2011_Anne_Arundel | 2011 | March 1-2 | 0.6 pts/m² | 1-166 | Metadata in folder with data https://inport.nmfs.noaa.gov/inport/item/52242 https://lidar.geodata.md.gov/metadata/AnneArundel/2011/AnneArundelMetadata.xml |
las_2004_Anne_Arundel | 2004 | April 1-May 1 | 0.5 pts/m² | N/A | Per tile metadata in folder with data http://dds.cr.usgs.gov/lidar_v2/MD/2004/MD_Statewide_2004/metadata/MD_Statewide_2004_metadata.zip | Only elevation--no classification, intensity, or scan angle

OpenGL Point cloud 3d Views of the 2011 and 2017 lidar surveys, showing differences in resolution.

Note that the sensor looking down images very few points on the side of buildings, leading to apparently floating roofs.

Last revision 1/3/2022


Census & Redistricting

One of the hallmarks of the American system of government is the principle of proportional representation, or one person, one vote. This applies to the House of Representatives and most state and local governments, but not to the US Senate or the Electoral College. It also took a while, as slaves were originally counted as a fraction and a person and could not vote, and women could not vote until early in the 20th century.

Redistricting traditionally rewards the party in power, and has also been used to minimize the power of racial minorities. The party in power typically wants to create as many districts as possible giving themselves a comfortable majority (say 55%, but the party in power can decide how confident they are of "their" voters, and they could win with just 50.1% of the vote, or even less if there were more than two parties). This process is call "cracking", since it tries to spread the party out of power into as many districts as possible where they will be the minority. If this is not possible, then "packing" tries to put the minority party into as few districts as possible, ideally where they would have as close to 100% of the vote as possible.

For a famous example of redistricting, in 2003 the Texas state legislature redistricted their 32 seats in the US House of Representatives. Before the redistricting, the Democats had a 17-15 advantage. After the redistricting, the Republicans had a 21-11 advantage, a swing of 6 seats. This is possible because nationally the Democrats tend to dominate urban area and Republicans rural area, and you can pack Democrats into a few urban districts, or crack Republicans by making districts combine urban and suburban areas. This redistricting, done after the normal redistricting immediately following the decennial census, was orchestrated by the US House Majority Leader Tom DeLay, who resigned shortly afterward due to money laundering charges on which he was convicted in 2011.

Redistricting attempts to:

  • Make all districts as close to the same population as possible.
  • Not perpetuate racial discrimination. The US Department of Justice scrutinizes the redistricting plans, especially in states with past histories of discrimination, and many plans wind up in court.
  • Maintain community integrity.

While various impartial and unbiased algorithms have been proposed, and some states attempt to have a non-political commission do the work, there is no ideal solution and the results typify the old adage about how even if you love sausage, you don't really want to know how it's made.

The redistricting file supplied by the US Census Bureau after every decennial census consists of five detailed tables: the first shows the population by race, including six single race groups and 57 multiple race groups (63 total race categories); the second shows the Hispanic or Latino population as well as the non-Hispanic or Latino population cross-tabulated by the 63 race categories. These tabulations are repeated in the third and fourth tables for the population 18 years and over.

Original political cartoon of "The Gerry-Mander", which led to the coining of the term Gerrymander. The district depicted in the cartoon was created by Massachusetts legislature to favor the incumbent Democratic-Republican party candidates of Governor Elbridge Gerry over the Federalists in 1812.

Originally published in the Boston Centinel, 1812.

From wikipedia
Maryland's 3rd Congressional District, 2002-2012. The boundaries cannot be understood in isolation, but in the overall context of creating minority districts, and keeping the opposition party from getting too many representatives. This is not a majority black district, but borders two of those, one of which has equally irregular borders.

Proposals for redistricting in Utah in 2011, 4 congressional districts:

  • On the left, Pizza pie: the slices all come together in the state's only urban area, allowing their votes to be diluted by rural voters in all 4 districts. This sends four rural representatives to Washington.
  • On the right, the Donut hole: the urban area is in its own district. Careful selection of its boundaries, and which suburbs go to the urban district and which to the rural ones, could send this district to either party. With the right care, the state would send only rural representatives to Congress.

In addition to the Wikipedia article on gerrymandering, the book Bushmanders and Bullwinkles: How Politicians Manipulate Electronic Maps and Census Data to Win Elections by Mark Monmonier is a very readable expose on the process.

Last revision 11/1/2018


Copernicus Open Access Hub

Download data at: https://scihub.copernicus.eu/dhus/#/home
  • Log in (or create an account) on the upper right
  • Pick region on map, using bottom button on the top right ("switch to area mode"). If you don't pick an area you will have millions of results.
  • Open search with the hamburger menu on the top left
  • Pick sensor
    • Sentinel-1
      • Modes at https://sentinels.copernicus.eu/web/sentinel/user-guides/sentinel-1-sar/resolutions/level-1-single-look-complex
      • Pick GRD product type, IW sensor mode
      • There may be very long file names, so put the files in a very short path location before unzipping
    • Sentinel-2
      • For cloud cover, it is case sensitive and you need the brackets: [0 TO 5] It will be black when acceptable
      • Pick the level with "Product Type". You want S2MSI1C (the 1C is the key part)
        • The Level 2A data has folders with 10 m, 20 m, and 60 m resolution. The lower resolution contains all the bands with a downsampled version of the higher resolution band. This is not currently used by MICRODEM.
      • You can leave the other two fields blank (you probably don't care which satellite you get, or the orbit which is sequentially numbered over time)
    • Sentinel-3, mode, dates with the filter
      • Not currently used by MICRODEM
  • Pick the search (black magnifying glass)
  • Results will appear. You have a thumbnail, which will show the coverage; for Sentinel-2 it shows if the edge of the orbit creates missing data along one edge.
  • Limit of 4 concurrent downloads
  • Older tiles may be offline (indicated in the upper right of the information about the tile in the search results), and you must request them to be added to your cart. You will not get an email, but they showed in under a day (very fast at quiet times, like weekends). Your cart is at the top left of the screeen. The cart files might not show up immediately, wait a short time to see if they are there. After downloading, delete them from your cart.
  • Files will be zipped; you can unzip the file in MICRODEM.
    • Use the "Unzip to this directory" option, which makes the SAFE folder the top.
    • Put the files in as short a path as possible, since the full paths approach a limit in Windows for file names.

Last revision 23/31/2023


GIS Labs

  • Annapolis redistricting
  • Duck beach profiles
  • Sensor Coverage
  • Landsat time series

Last revision 9/11/2019


Labs Introduction

General notes on using computers and technical writing

  • General Windows computer suggestions
  • Scientific figures
  • Map quality improvements

Download MICRODEM

Setting up MICRODEM

Set Program version on Program tab of options form. Pick the appropriate option. This does two things:

  1. Simplifies menus, removing choices you will not need. The "regular" option is the most comprehensive.
  2. Opens up labs menu choices, which automates downloading and opening data sets.

General Directions for the program

  • Basics of running MICRODEM.
  • Legends/marginalia on maps. All large scale maps should have a scalebar. Small scale maps, where the scale changes significantly from top to bottom, will not allow a single scalebar.
  • Key buttons on map toolbar (which is different from the main program toolbar)
    • Copy to clipboard You can copy any window's contents to the clipboard and then to Word or PowerPoint. If this is not on the toolbar, use the right click popup menu, or the File menu. For a map you have the choice of a quick export, or a cartographically pretty map with the coordinates labeled. This gets all of graphic, and none of the border, both of which can be challanges if you use the Windows "Snip" tool. Copy to clipboard also works with all graphs and other figures created by the program.
    • Map zooming. For large maps, use subset and zoom. These data sets are larger than will fit on screen at full resolution.
    • Zoom out to show entire data set.
  • Key options with database. The database table will be displayed in its own form, which allows you a number of options with the data.
  • Quick map enhancement options
  • Map query on database table display (especially Rectangular region and Current Map Area to find just the database records that are on a smaller region of the map)
  • For a DEM, the default display is a combination reflectance map with color elevation tinting. If you want to display other data on the map, you might go with a grayscale reflectance map. Right click on the map window, and change the display parameter, or adjust the "reflectance options".

last revision 1/25/2021


Landsat Time Series

This will download and unzip 4 scenes in the Nile Delta of Egypt

  • Landsat 8 from mid December 2018. This has a 15 m Pan band in addition to the 30 m bands.
  • Three scenes from Landsat 5 from 1984, 1986, and 1994. Landsat 5 did not have a 15 m panchromatic band.
    • The 1984 scene may have a registration error, and does not align with the others.
  • The file names shows:
    • The satellite in the first group of characters
    • The path and row in the third group of characters (when you search for data, once you find the scene you want and then want to look at additional data collections, you can filter to just get the same path and row)
      • You can get shapefiles and KML files showing the scene locations by path and row at https://www.usgs.gov/land-resources/nli/landsat/landsat-shapefiles-and-kml-files
      • https://landsat.usgs.gov/landsat_acq#convertPathRow can convert a lat/long into the path/row
    • The band number is in the last group of characters before the TIF extension (B1 to B11). There is also a quality assurance band (BQA) which you probably do not want

Open image: you can open any of the TIF files. The program will open the scene and display a false color image.

  • Band: select multiband or single band, choose among the available bands, and adjust contrast.
  • Subset & zoom. These scenes are about 8500x7000 pixels, and your computer might not easily handle the large images when you look at the full resolution data.
  • Set percentage data shown for raster data. For detailed analysis or digitzing, you need to be at 100% scale.
Overlay menu, Two map interactive comparison to see differences between dates:
  • Variable opaque merge
  • Vertical swipe compare

Create NDVI maps.

Raster GIS, Multiple grid arithmetic, Difference between two grids . Create a difference map for the 2018 data compared to the earlier dates.

Annotate Map, Create shapefile, Line. Digitize a stretch of the coast where you think there has been erosion/deposition on three of the maps, and overlay all the data on a single map.

  • Insure you are at 100% view (or higher), and can see the entire region on the map before you start digitizing.
  • You might want to experiment to see if you prefer stream or point digitizing mode.

Deliverables. Write a discussion of how Landsat document change in the Nile Delta over the past 35 years. You should have at least 4-6 graphics.

  • How has the vegetation in the delta changed in the decades leading up to 2018? Where have the largest changes taken place? Do you think this reflects true change, or does the season of the imagery make a difference?
  • Does the Landsat data show erosion of the delta (e.g. https://eos.org/research-spotlights/how-fast-is-the-nile-delta-sinking)? Cite this paper using the correct format.

Last revision 9/16/2019


Map Algebra

Map algebra manipulates geographic raster data sets to produce new map layers. They can work on a single layer (grid), or combine multiple layers. Tomlinson is credited with the concept. In many ways map algebra works like matrix manipulations in Matlab.

The map algebra transformations can use different spatial neighborhoods:

  • Local operations works on individual raster cells. An example would be converting elevations from meters to feet, or taking the log of the elevations to spread out the use of color.
  • Focal operations work on cells and their neighbors. Examples include Slope , Reflectance (or hillshade), and Filtering. For this type of operation, missing values for any of the points in the neighborhood can lead to a missing value in the output layer.
  • Global operations work on the entire layer.
  • Zonal operations work on areas of cells that share the same value. This can for example be used to reclassify all cells with one value, or a range of values, to another value.

Single layer operations can add a constant, take a log or sin, filter the raster, or compute the slope. This can operate on the grid in question in memory, provided you take care not to the overwrite the original layer unless you want to do that.

Multiple layer operations can include addition/subtraction, multiplication/division, ratios, or statistics like mean or standard deviation. This often requires creating a new grid, because if you replace values in the original grid, that will affect the computation of its neighbors not yet done. Focal operations must create a new grid, since the values depend on the neighborhood which cannot be overwritten.

Some operations may require several steps in succession. For example, with a noisy DEM, it might be best to Filter before computing Curvature because as a second derivative, curvature can be very sensitive to minor noise in the input DEM.

You can often combine many operations into one step, but often the intermediate grids will be helpful to help you see the effects of each layer. If you have five criteria and their result is no acceptable locations, it helps to look at each layer so you can decide which one to change, or to know why there are no acceptable locations. The ability of the analyst to see the spatial patterns can provide insights the software cannot.

Examples:

  • Sand dune migration.
    • You have grids with the locations of sand dunes at three time periods (T1, T2, and T3).
    • Reclassify them to 1, 2, and 4 respectively for dune locations, and 0 for non dune. Note that if you think in terms of computer bits, you are setting three bits, one for each of the time periods.
    • Sum the three reclassified grids.
    • You will have potential values of 0, 1, 2, 3, 4, 5, 6, and 7. From the value you can determine when a dune occurred at each point in the grid: a 0 was never a dune, a 3 was a dune during T1 and T2, and a 7 was a dune at all three time periods.
  • Find a location for a helicopter landing zone, with three input grids.
    • DEM derived slope grid. You want the slope in the landing zone to be less than 5%.
    • NLCD. You want the categories 31 or 72.
    • Tiger roads. You want to be within 100 m of a road.
    • Some approaches:
      • Reclassify slope grid, to make > 5% 0, and less < 5% 1.
      • Reclassify NLCD to 1 for classes 31 or 72, and 0 for the remainder.
      • Make a buffer for the roads, insure it is a grid, and reclassify so that points close to the road are 1 and those too far away are 0.
      • Operate on the three grids, with several possibilities
        • Multiply the three grids. If any layer is a 0, unacceptable, it will make the result 0. If the value is 0, it is unacceptable; if it is 1, it meets all three criteria.
        • Sum the three grids. The value will be the number of criteria met. You want the 3, but if there are not enough points, you could consider those with a score of 2, or you could go back and adjust the criteria--maybe another NLCD category is acceptable, or you can land on a steeper slope.
        • Use boolean operators like (Slope < 5), (NLCD=31) or (NLCD=72), which will create grids with 0 (false, failed the condition) or 1 (true, met the condition) which you could name Good_slope and Good_NLCD, and then combine to a new grid with Good_slope and Good_NLCD and Good_roads.
      • Make all the unacceptable points missing data. Then you could start with a clean grid, and successively mask out all the missing data in the other grids. Whatever was left would be acceptable.

In MICRODEM, map algebra operations are available:

  • Calculate Menu, Derivative Grid
  • Raster GIS menu, Create derivative grid
  • Raster GIS menu, Multiple grid arithmetic
  • Edit menu, Single grid arithmetic
  • Edit menu, Mark as missing

Last revision 11/23/2017


Physical Geography Labs

Physical Geography Labs Page was Outdated


Lab--Redistricting

Lab: Redistricting after the Census

Insure that you update both the program and help file, and are running 2017.4.5 or newer. Also, go to Options, Menus tab, and select "show labs".

Open Annapolis redistricting (File, GIS Labs, Annapolis Redistricting). If you wanted to use another area, create the dataset in MICRODEM.

After reading the column by Foer, the leadership of the Historic Annapolis Hispanic Alliance has asked you to investigate whether it would be possible to create a ward in the city which will be majority Hispanic. Even if that is not possible, they project that the Hispanic population will continue to rise (it went from 6.7% to 15.6% between 2000 and 2010), will continue to be concentrated in the same neighborhoods, and they might be able to elect someone even if the numbers would not currently indicate they would have the votes.

They would like you to create the most hispanic-friendly district possible in the city, subject to the following constraints:

  • The population must be within 5% of the target, which is 1/8th of the city population. This was the largest deviation at the start of the 2010 redistricting; because of uneven growth, the current ward 4 was 15.9% too populous, while ward 8 was 12.5% too small.
  • The ward must be contiguous; you cannot simple cherry pick the most populous Hispanic blocks. It does not have to be compact, but can emulate some of the congressional districts you can see online.
  • After you create the best possible Hispanic ward, they would like to see if it possible to retain two majority Black districts.

Deliverables:

  • Discussion of whether the highest population densities in the city (> 10000/km²) are segregated by race and Hispanic ethnicity. You should have a map and some numbers to back this up. To do this filter the blocks by population, and then look at the totals for each group.
  • Discussion of whether the lowest population densities in the city (< 1000/km²) are segregated by race and Hispanic ethnicity. You should have a map and some numbers to back this up. Do not include the water and commercial blocks which have no population.
  • Word document showing the final Ward maps, and a discussion about how hard it is to come up with the desired ward makeups.
  • KMZ file showing your Ward map. This will probably be best if you export the final map rather than the database.
  • Use File, GIS Labs, Annapolis Redistricting. This will open several datasets:
    • TIGER map with the edges/lines, and the census blocks overlaid. If this does not appear automatically.
    • A database with all the blocks in the city of Annapolis, with their populations after the 2010 census.
    • A redistricting form with the districts and their current populations.
  • We will try to get 8 districts for the city council. You have the following constraints:
    • Each must be within 5% of the target population (“one person, one vote”)
    • We would like two district to have a majority black population.
    • Districts must be contiguous and not be outrageously gerrymandered.

Assumptions

  • Population estimates only include those who reported themselves as solely White, Black, or Asian. This is a slight simplification, but the multiple race categories allowed in the census make analysis very complex. Hispanic is totally separate from race.
  • Population estimates include only the total population, and do not use the separate data tables with those over 18 who are the only ones eligible to vote.
  • Data uses the original data from the US Census Bureau, and does not consider the state readjustment of incarcerated prisoners who are returned to their homes instead of being included in the districts with the state prisons.
  • Does not consider that some people counted may be illegal aliens and not eligible to vote, or that the age distributions of some groups may have higher percentages of children who cannot vote.

Things to note:

  • The population blocks include schools, government buildings, shopping centers, and other commercial blocks. These will be clear on the maps.
  • There are some big blocks, like the football stadium, which have a few houses in one corner, and get an artificially low population density.

Directions.

Redistricting Form detailed instructions.

Scaling (quantile)

Last revision 5/29/2015


Register Image and Digitize

Tutorial: Register Image and Digitize

Caveats on image registration.

WW2 situation maps from http://memory.loc.gov/ammem/collections/maps/wwii/date.html

This page has an overview of the process. Details are on the pages linked to from the overview.

Directions Image Additional Notes
Download JPEG2000 file for desired date.

Open New image with JPEG2000 file. This requires FWTools; you will be warned if it is not present.

Pick 50% or 100% zoom level. The 50% level should have an acceptable lowering of the image quality, and will require 25% of the file storage. Verify that you can read the map at this resolution; if not, go with the 100%.

Save image with PNG format. Rename as "SIT-MAP_DDMMM194Y". This file is unregistered, and cannot be used for mapping.

Close map, and do not use it any further.

Open New image with PNG file you just saved.

Register image using map graticule for quadrangle registration. This will create two databases, one with the registration points and another with the triangle mappings. The triangle mappings can always be regenerated.

 Original map downloaded from the Library of Congress. Note conical projection with both parallels and meridians curved, removed secret classification, marginal information, and in the lower right that this map entered the Library of Congress collections in November 1944, three months after the day depicted.

If the map edges are not parallels and meridians, you can extrapolate to the edges (or the margins if you want to retain that information).

Because this map spans the Prime Meridian, you must be very careful as you enter the longitude values.

Export map to Google Earth from the Registration window, using Reg File, export map to Google Earth option.

If it does not line up, carefully look at which part of the map appears to be in error, and then redo the Delaunay triangulation registration paying particular attention to the graphs provided and the triangulation overlay. Adjust the registration.

Reprojected map after Delaunay triangulation registration. Note the decollaring which removed the marginal information, and straightened the meridians and parallels.

Select Register button, and then Reproject map. This will close the map registration and open the registered map for use in MICRODEM.

This map can be viewed in the main map window, and used for all program operations.

Digitize locations of all divisions on the map. Divisions have an "XX" above the box for the symbol. Name this file "DIVISIONS_xxMonth1944". You have two options:
  • Digitize in Google Earth and import to MICRODEM. If you do this, only the Name field will be imported, so you should put the name of the division in it, and then add the ICON and DATE in MICRODEM. Use DNR GPS to convert a KML file from Google Earth to a shapefile.
  • Annotate Map and create a point shapefile in MICRODEM.

You must carefully consider how to define the database table. Follow the conventions in the database shown on the right. Some software might limit the length of the NAME field, so you might want to abbreviate the division identifiers.

As a point geometry, this database is very tolerant of mistakes as it resides in a single DBF file. You can edit the file in MICRODEM, or in Excel (export via CSV back to MICRODEM).

Create and fill an icon field, and populate it with the correct symbols for each type of division. Use the Add from substring flag option and make new fields for "GER", "US", "BRIT", "ARM", and "INF". You can then filter for US='Y' and ARM='Y', and do a Fill field for all records on the ICON fields and put in "us-Arm-Div.gif".

Add a DATE field on the Edit option, Insert new field and then fill all values with a single command (Fill field for all records) since all the divisions entered should be for a single day. This will allow us to merge all the daily databases, and filter on the date.

Icons are for Infantry, Armor, and Airborne divisions for the US (dark blue), UK and other allies (cyan), and Germany (red). Blue/Red is standard military symbology.

Digitize the front lines on the map. Name this file "FRONT_LINES_xxJuxx1944". You have two options:
  • Digitize in Google Earth and import in MICRODEM.
  • Annotate Map and create a line shapefile . You must carefully consider how to define the database base table. You will need the date to label your front lines.

As a line geometry, this will be fussy and you must keep all three parts of the shapefile together.

Map in Google Earth after digitizing unit locations and front lines. This shows the default push pins and not unit icons that must be added in MICRODEM, and which can then be exported back to Google Earth.
Databases displayed on [image] SRTM Map using [image] Database overlay option. To get icons, change Plotting Options for the database. You can adjust the size of the icons with the scaling factor.

Export map to Google Earth, by right clicking on map and picking Export , Google Earth overlay .

Export the front lines and the division locations from the Report: button on the table display forms.

Clean up KML exports within Google Earth

Problem solving:

  • Label the points and plot your registration points. Look at the four corners. If they are not in the correct locations, fix them by editing in the grid. Then you can retry the registration after closing the map and deleting the files listed above.

Last revision 2/28/2014


Sensor Placement and Coverage

If you check Options, Menus tab, Show labs:

  • Go to Files, GIS Labs, Sensor coverage

Otherwise

  • Download data files for Sensor Placement Exercise at http://www.usna.edu/Users/oceano/pguth/downloads/sensor_placement_lab.zip.

This gives you a DEM and the NLCD for a location on the Arizona border, in the region where DHS had a large demonstration project called P28 which was part of the Secure Border Initiative (SBInet).

The diagonal green line is the border which we want to cover with sensors, represented by a thin shapefile.

The locations of 6 sensors and their Viewsheds are also shown.

We will calculate the sensor coverage by the percentage of the border shapefile that is in the the visible portion of the viewsheds for the sensors.

Turn in:

  • Word document with maps showing your coverage, and a printout of the results, for three different arrangements of 5 sensors selected from your 10. Include a discussing of:

    • Which part of the area is causing you the most problems, and why.
    • How hard you think it will be to get multiple coverage of the border with this sensor density.
    • Do you think the landcover categories along the border will impact the ability of the sensors to work. You have an NLCD landcover data set to go with the DEM.
    • We are using a 1" DEM. What would change if we used the 1/3" DEM which is also available?
    • What principles you think you should use to place sensors.
  • The dBase table with your sensor locations. This will be the "unfiltered" version, with all 10 locations, with the 5 used in your best solution indicated in the USE field.

You will use sensors with the following characteristics, set on the Viewshed Parameters window. The size of the towers matches news reports, but the characteristics of the sensors (radar, infrared and other according to the news reports) are hypothetical.

  • Range 500-10,000 meter. Sensors cannot operate close to the tower.
  • Height 30 m above the ground
  • Target height 2 m above the ground
  • Horizontal field of view: 60˚. The coverage starts with the left boundary, and goes to the right boundary. Note that the left and right boundaries are adjusted to get this width, and the sensors are aimed to the SW because of the orientation of the border. This could be adjusted.
  • Vertical field of view: 20˚. Note that the Max and min inclination are adjusted, and the aiming point is at -5˚ since the towers are tall and will be placed on high terrain.

By default, the program will save the viewsheds in c:\mapdata\temp, which will be cleaned out when you close the program. You might want to change that location, with the Path button on the bottom of the form, to the directory you are using for the lab. The program can regenerate the fans if you save the sensor locations, but you can can save some time by saving the viewsheds in a safe location.

New DEM and load the DEM and NLCD. Locate the international border. You can note this as an artefact in the DEM, or overlay the state or county borders on the map. You can also look at the NLCD, and note the change in coverage at the border. You probably want a grayscale reflectance map.

Annotate Map, Create shapefiles, to create an area shapefile for the international border. You are creating a small area that covers the border so that you can determine the effectiveness of sensor placement. Insure that the shape file plots with a solid fill pattern (Symbol and color selection). Fan coverage computations will do an intersection of this region with the fan coverage.

1:1 map view (best resolution view of the data, and best chance to get optimal sensor placement)

Go to the Coordinates tab on the Options form, and pick Reasonable for "Verify graphical selection", and "Graphical blowup" for the Verify option. Graphical selection might not be very precise, and could place sensors in holes from which they might not see very much. If you know coordinates, perhaps from a GPS field survey, you could pick the option to type them in from the keyboard.

Weapons fan/viewshed. Place at least 10 sensors to attempt to cover the border. Insure that you correctly:

  • Set the parameters given above for each sensor in the Viewshed parameters window. This is especially important for the first sensor, since the settings will be remembered for the others. Set the horizontal viewport with the left and right boundaries, and the vertical viewport with the min and max inclinations, and minimum and maximum ranges.

  • If you fans are not showing check:

    • That the vertical viewport is reasonable. If you place sensors on tall platforms on hilltops, they might have to be aimed downward.
    • That the Opacity of the fans is not set to 0.
Map Overlays Adjust the order of overlays, plotting the Sensor fans after the Database with the border.
Check the opacity, set with the slider on the Sensor panel; Pick a midrange opacity for the fans, which will let you see the terrain behind the fans..

After you have entered the sensors,

  • Right click on the map and pick "Edit fans", which brings up a fan edit window which gives some analysis options.
  • Save the sensor locations with Report, DBF on the fan edit window. The default location will be cleared when you close the program.
  • Restore the sensor locations with File, Load Weapons with the map window active. This allows the locations and any changes to be saved between times you run the program.

The key options:

  • Compute fan coverage gives the location and characteristics of the sensors, and the coverage computations of the target shapefile.
  • Pick sensors: turns individual sensors on and off.

last revision 4/18/2017

.


Tsunami Travel Time

Get location of earthquake epicenter and time.

Get locations of buoys, and the sea surface height records for the period of the tsunami, for instance at http://www.ndbc.noaa.gov/dart.shtml

Get locations of tide gauges, and sea surface height records for the period of the tsunami, for instance at http://tidesonline.nos.noaa.gov/geographic.html

Create a file with this information. The easiest way it to use Excel, put in column headers LAT, LONG, NAME, enter the data, and save as a CSV file.

New DEM to open a map with bathymetry (DEM) of the desired ocean basin. ETOPO is a good choice.

If your DEM has a poorly chosen extent for your tsunami (say because it breaks in the middle of the ocean basin you want) and you would like the entire route on a single map, there are several choices:

  1. Create a new DEM from the ETOPO5, centered on the area of interest:
  2. Quick vector map:
    • Right click where you would like the map centered, [image] Recenter, pick a zoom option, and the map will redraw
    • Right click anywhere, modify projection, and move the NW corner of the map to an appropriate location.
    • Menu Modify, Set DEM on map. If there is only one DEM open, it will be set automatically.

Open Database and open the CSV file with the locations of the buoys, tide gauges, and the epicenter.

On the "Calculate" menu of the map window, pick the "Rhumb lines" option.

Enter location of epicenter and a buoy or tide gauge. You can type them in (START and END buttons), or cut and paste from the database (right click on record in the data, pick "copy coordinates to clipboard", and then select + buttons to add here).

Pick a point spacing or the number of points, and adjust the parameters until you are satisfied. Point spacing will have equal distances between, except for the last point, while "Number of Points" will have constant spacing.

Select "Rhumb line"
The resulting database has the location of each point along the rhumb line, the elevation (-z is below sea level), and the length of that segment from the previous point.

Save it, using Report button on database table form, for import into Excel or Matlab to find the travel time for each segment, and the total time to get from the epicenter to the buoy. You can save either a CSV file, or a DBF (dBase) table.

You can also use the total distance and average depth for a potentially easier computation.

Last revision 3/24/2011


Vertical and Tidal Datums

  • Vertical datums


Wind Plotting

Use map toolbar icon and "Global monthly winds" option from the popup. This requires "C:\mapdata\climate\global_winds_v2.dbf" which will download automatically if you do not have it. The data originally comes from NCEP/NCAR Reanalysis winds.

This data set will be best looking at a continent or ocean basin, but with the autospace option it will show something at global scale.

You can get this form with the Plot, Vector data option on the GIS table display window.

Units are in meters per second, which are equal to 1.94 knots.

Default setting should work.

Use the Plot button, or check the month you want, to plot the wind vectors on the map.

Full description of all options on this form.

NW Indian Ocean
January winds | August winds
Monthly wind stick or tadpole diagram.

Monsoon summary, one of the visualizations possible with this data

NCEP/NCAR Reanalysis winds data set source

Last revision 1/27/2016


Create A Map

Create A Map--Alps Example

The data used in this example should be available world wide.

DEM (HydroSHEDS: hole filled SRTM)

Reflectance map, IHS elevations

Map Overlays, Contours overlaid.

Database (shapefile), for HydroSHEDS: 15' stream network

Legends/marginalia for the scale bar, elevation color legend

Consider making this grayscale.
Elevation map has a number of coloring options
Contours only, two options:
  • Contour display option
  • Blank display option with [image] Map Overlays, Contours
Comparison of streams from
  • OpenStreetMaps (cyan)
  • HydroSHEDS (blue)
NGA Gazetteer for Italy (lakes, peaks, populated places)

OpenStreetMaps roads (red)
Print:
  • Prepare printer image to label [image] Lat/long Graticule

last revision 8/14/2013


Data types tutorial

Data Types Tutorial in MICRODEM

File, Introductory tutorials, Annapolis GIS data sampler

This will download data if it is not present (you should review this page to see what data is present and something of its characteristics)

Raster and Vector Data.

  • Open Grid/DEM and open the 3DEP/NED ninth second.
  • Database (shapefile) and open the TIGER edges file. There is a database table display, which you can toggle on and off with the checkbox on the top left of the toolbar.
  • The "best" display for the DEM is a shaded reflectance or hillshade. It can have elevation colors (called IHS, for the color model used), or be grayscale. To change, right click on the map, and pick the option desired (there are some more esoteric ones as well).
  • Which of these is raster data, and which is vector?
    • Subset & zoom to be sure you understand what happens to each type of data as you change the scale.

Vector Data Types.

  • Open Grid/DEM and open the 3DEP/NED ninth second
  • Database (shapefile) and open the TIGER edges file. There is a database table display, which you can toggle on and off with the checkbox on the top left of the toolbar.
  • From the DB table, Report, Database structure
  • What types of data are in this database? Besides the type, what other key variables are there for each field?
  • Note that the field names cannot be very long, and can only use capital letters, digits, and the underscore. This is a relict from an ancient PC database, but which was adapted for the shapefile standard and which remains the de facto interchange format even as database technology has improved.

Vector Data Geometries.

  • Open Grid/DEM and open the 3DEP/NED ninth second
  • Database: Load OSM overlay: pick the directory with the OSM data (there are two years to choose from).
    • This does not load the DB tables, which would allow addtional options if you instead opened the eight files (or just those you wanted) with [image] Database
  • To highlight just the vector data, you could:
    • Hide the DEM with the "blank" option on Display parameter
    • Change the Reflectance map to use grayscale instead of color, since your mind has troubles using color for too many things at once
  • To better see the vector data, you could:
    • Set percentage data shown for raster data
    • Subset & zoom
  • Can you see examples of point, line, and area features? Looking back to the TIGER data, what geometry was it?

Raster Data Resolution.

  • Open Grid/DEM and open the three 3DEP/NED DEMs, which are all nearly the same file size (10-15 MB).
  • Which has the most detail?
  • Which covers the largest area?
  • What do you have to do to see the pixels?
  • These all have data spacing in arc seconds. What does this do to the spacing in meters?

Raster Data Types

  • Open Grid/DEM and open the one second 3DEP/NED DEM
    • Edit, Edit DEM grid, and then outline a box. What is the type for the data in the grid?
  • Open Landcover map and open the 2011 NLCD (you want the TIF file). This uses Landsat satellite imagery to classify the ground into about 25 categories.
    • Roam over the map and note that it tells you the name for feature class at that location. The grid actually holds an integer, which the program converts to a string using a lookup table.
    • Get a legend by right clicking and Popup legend.
  • Grids cannot hold strings/characters

Last revision 5/25/2020


Lidar tutorial

Lidar Tutorial in MICRODEM

File, Introductory tutorials, Annapolis lidar. This will download a very large dataset (~ 8 GB download, ~25GB when uncompressed).

This will download data if it is not present (you should review this page to see what data is present and something of its characteristics)

Lidar puts a laser on an aircraft, and shoots a laser pulse thousands a times a second. It records the TWTT (two way travel time) and the intensity of the returned energy. Knowing the location of the sensor from GPS and an INU and the orientation of the energy pulse, it can compute a 3D location. The laser is typically NIR, but if the survey wants water penetration, it will be green light, which can cause interest or concern when people notice the beams. When there are trees or power lines, there can be multiple returns from a single pulse because the energy spreads out.

For many areas along the US Coast, there are lidar surveys almost every year, which can monitor coastal erosion and hurricane damage (for example, see Duck, NC).

Open point cloud data.

  • Open Grid/DEM to use as a base map.
  • LIDAR Point clouds. This can be done either by selecting the folder, or picking the individual files.
  • If you have problems with the "large" data sets,
    • Subset & zoom to just the area you want to look at.
    • Load only a few of the tiles. You will have to switch to opening by files rather than by directory to do this, and then will have to figure out the tiles you need. The map subset and zoom option handles the details of getting the correct file

Use the control window for the point cloud operations.

  • Look at the metadata, on files list tab. for just one file. Some of this is in the LAS header, and some is computed. There may also be Metadata in the directory with the files; this does not have a standard format or file naming convention, so it is not easy for the program to process it, but you can use file explorer. The metadata may also be online (this data's metadata locations)
  • Look at the different display options for the lidar overlay on the base map. Insure you understand what each shows, and how that information was acquired.
    • On the intenity maps, what reflects the most energy (do not be confused by the missing data which is white in all the displays)
    • Which display shows your the direction of the flight lines?
    • Where do you see multiple returns?

  • Look at Lidar 3D displays This will work best with a small area, so [image] Subset & zoom before picking

Advanced options (don't do):

  • Look at Histograms/Counts. (this can be slow)

Last revision 5/28/2020


Display of Coastal Lidar

Display of Coastal Lidar Grids

Older coastal lidar, with sparser point densities, can present challenges for display. You might consider void filling, and the display options you want.

2004 Pre-Ivan survey | Elevation map--relatively tolerant of voids | Reflectance map or Hillshade--not very tolerant of voids. Computing requires all the point's neighbors (Focal operation). If any neighbors are missing, the point will be missing.
Data as downloaded |  |
Data after void filling |  |

Reflectance map with blue/green color scheme for points below and above sea level. Note the wave crestsf in green on the right of the map. | Elevation map with land/sea color scheme.

Difference map between two surveys, shown as Elevation map. The color scheme only shows elevation differences with an absolute value less than 2 m. The data has big vertical differences (up to ± 30m) which are probably not significant or meaningful, especially for natural processes like beach erosion and deposition. Restricting the range of values used for coloring may enhance the ability to see the trends of interest. In this map, note that the largest positive changes are along the edges of the pier and some of the buildings; other large changes relate to the vegetation, which can grow rapidly, and can respond very different in leaf-on and leaf-off conditions.

In coastal regions, the largest changes are likely be be in the dune-berm region, reflecting both seasonal and long term changes.

Last revision 8/5/2018


Duck lidar dems

Duck, NC Lidar Grids

The data download for the North Carolina coast near Duck will be a 160 MB download.

  • Go to "File, GIS Labs, Download data sets", and get the Duck Beach data, and pay attention to where the download goes.
  • http://www.usna.edu/Users/oceano/pguth/downloads/duck_beach.zip lets you download to a specified location, where you must unzip.

There download includes multiple Lidar surveys covering the USACE FRF (US Army Corps of Engineers Field Research Facility) at Duck. They were downloaded from the NOAA LIDAR coastal data web site, where you could look for newer data, or coverage of other areas. The older surveys appear to be first return models, showing the ground, buildings, and vegetation--whatever the laser beam first encountered. Some also record the seafloor along the coast, which requires a different frequency (green) for the laser to enable it to penetrate water because the typical near infrared (NIR) laser will be completely absorbed by water. The surveys have different coverage, reflecting variable numbers of passes parallel to the coast, flying height, and instrument scan angle. You will also get the Lidar point cloud from the NOAA site for any new surveys. The LAS data, particularly for the older data, might not have all the fields filled in such as intensity or scan angle.

Survey | Survey Dates | Notes
1996_fall_east_coast.DEM |  |
1997_fall_east_coast.DEM |  |
1998_fall_east_coast.DEM |  |
1999_fall_east_coast.DEM |  |
1999_nc_post_dennis.DEM | hurricane landfall 1999/09/05 |
1999_nc_post_floyd.DEM | hurricane landfall 1999/09/17 |
2004_pre_ivan.DEM | 20040709 to 20040714 | Seabed returns
2005_topo_bathy.DEM | 20051001 to 20051126 |
2008_NOAA_IOCM_NC.DEM | 20080317 to 20080327 | Seabed returns
2009_usace.DEM | 20090816 to 20090824 |
2012 usgs post sandy | 20121105 to 20121129 |
2013 usace nmcp nc | 20130926 |
2014 nfcmp phase1 | 20140106 to 20141121 |
2014 NGS post sandy bathytopo |  |
2014 usace ncmp duck | 20151031 to 20151031 | Seabed returns
2015 usace ncmp duck | 20151031 | Seabed returns
2016 post Matthew | 201610 to 201612 | Still most recent available, Aug 2019

Map display of these grids.

Other Display Options
 | Topographic Profiles
 | Multiple DEM profiles Of these, note that only one had water penetration and records the seafloof.
 | OpenGL 3D view: ( [image] Subset & zoom map first)

Last revision 9/6/2019


Beach Ball and Fault Scarp

Basic techniques are covered here. This example shows an earthquake along the Wasatch Front in Utah, north of Salt Lake City.

Location of earthquake focal mechanism. The location is reported to the nearest 0.01º, which is about 1 km. This is the precision, which means that even if the location were perfectly accurate, the best we could say is that it lies within a circle with a diameter of about 1 km. If the earthquake was small, or there are not a large number of stations nearby, or the earthquake is very old, the location uncertainty could be substantially greater. The depth is listed as 7.9 km, which should probably only be taken to mean that it is very shallow; the trace would project to the surface displaced from the epicenter (greater displacement for shallow fault dips and deeper focus).

The location in a valley adjacent to a mountain front strongly suggests a range front scarp. It would also suggest that the west dipping plane is the fault plane, and the east dipping plane is the auxiliary plane. The strike of the fault plane should be close to the orientation of the range front topography, and is about N20E.

The dip of the fault plane might be close to the slope of the range front, although erosion might decrease the slope over time.

Slopes over 20 degrees, which occur mostly along the range front regardless of aspect.

"Calculate" menu, Slopes, Excessive slope. This exaggerates the number of points but rapidly find points that exceed a particular slope. This can help to pick slopes to show on the Focal plane analysis.

Note here that the range front is steeper than the regions to the east.

Slopes over 35 degrees, any aspect. Only the steepest part of the range front is this steep.

Locations for cross sections shown below.

  • Topographic Profile (below) shown by the red line.
  • Multiple parallel profiles. The purple/cyan profile was drawn, and then 5 parallel profiles were drawn on each side.

You always want to draw the cross sections perpendicular to the range front and the presumed fault trace.

Topographic Profile with a protractor shown. The protractor is adjusted for the vertical exagerration in the profile. The range front here dips about 30 to the WNW.
Multiple parallel profiles. The green profile was selected, and then 5 parallel profiles were drawn on each side. The red line shows the average profile

Last Update: 11/8/2022


Earthquake Focal Mechanisms

Visualizing Multiple Earthquake Focal Mechanisms

If you select a group of faults in an area, you can see the similarities in their orientations on the stereonet.

Earthquake Focal Mechanisms Option on Stats button of on table display window.

Focal planes on stereonet. There are earthquakes produced from normal and strike slip faults, each with two focal planes.

  • The normal faults (green) mostly have strikes of about N45E to N90E, and dips either to the NW or the SE. There is a fair amount of scatter.
  • The strike slip faults (blue) have strikes that are either about N10E or N80W, 90 degrees apart. The dips are all very steep.

Poles to focal planes. The pole is the line normal/perpendicular to the plane, which plots as a point on the stereonet.

  • The normal faults (green) have poles in two groups, toward the north, and toward the south.
  • The strike slip faults (blue) have poles in two groups. This looks like four groups, because a gently dipping line to the north is very close to a gently dipping line to the south.
Dp directions for focal planes. The dip direction lies on the plane (90 degrees from the strike), so the line will plot as a point on the great circle.
  • The normal faults (green) have dip directions in two groups, toward the north, and toward the south. While these look superficially like the poles to the focal planes, the dip directions are actually 90 degrees away from the poles (the poles in the north part of the diagram are the dip directions in the south).
  • The strike slip faults (blue) have poles in basically one group in the center of the net, because the dips are all very close to vertical. However, there are dips to both the E-W, and to the N-S because a few faults are not quite vertical.

This diagram can be used to set limits for looking for fault scarps in digital topography.

Earthquake Focal Mechanisms Option on Stats button of on table display window.

Last revision 1 1/28/2015


Fault Scarps

A fault scarp is a slope created by motion along a fault. The largest scarps will form along range front normal faults, where the footwall forms the mountain and hanging wall forms an adjacent valley.

The best scarps will form along normal faults, because:

  • Normal faults typically have a steeper dip than reverse faults, which makes for a more impressive scarp. Normal faults usually have a significant vertical offset across active features. If there is little erosion, the dip of the mountain face or the rift valley may approximate that of the fault that forms it.
  • The geometry of reverse faults, with their overthrust nature, encourages collapse of the hanging wall.
  • Strike slip faults typically have no vertical motion, so instead of scarps they typically have a valley with sag ponds.

In unconsolidated sediments or weak rocks, the maximum angle will be the angle of repose, which is typically around 30º. While these sediments can support very small vertical slopes, these will occur only in active erosional areas such as stream channels, or the most recent active scarps, which will rapidly erode back to the angle of repose.

Often hills will be asymmetrical in cross section, with one side steeper than the other. In this case the steeper side will generally be the candidate for the fault scarp.

Fault traces cannot continue forever as straight lines on a curved earth, and fault ruptures rarely affect more than a few tens of km. Fault traces will curve, and displacement will die out laterally, perhaps to be replaced by motion on another fault. Fault blocks are complex three dimensional geometric features, and must obey the law of conservation of matter/mass. Nature also abhors a vacuum, and faults cannot open up a hole underground. Thus our notion of dip and strike for a fault, implying a planar fault surface, will probably be a useful local simplification of reality.

The direction of lighting in a reflectance view of a DEM determines which faults will be emphasized. You can adjust the lighting to best showcase the faults; faults of different orientations may require different lighting.

The slope shown by digital elevation models depends in part on the data spacing. The larger the DEM grid spacing, the more generalized the topography becomes and the gentler the recorded slopes.

The west (left) side of this mountain block is steeper than the right, and is the more likely to be the fault scarp.

This range front scarp in hard bedrock has several distinct segments.

  • The upper segment has gentler slopes. Because the faulting event with each earthquake probably moves the earth less than 10 m, this range front would have required 40 or 50 earthquakes. The oldest parts of the scarp have had the longest to be eroded on the earth's surface.
  • A middle stretch, which was measured here with a 50º slope, might more closely approximate the fault plane because it has had less time for erosion.
  • The talus slope at the base of the range reflects the buildup of material eroded from higher up the slope.
  • This pattern leads to what is known as a wine glass valley, which can show up very clearly in a reflectance view map.

Measure slope from [image] Topographic Profile

Insure that you mentally consider vertical exaggeration in evaluating the profiles.

Fault scarp example

last revised 10/11/2016


Marine Magnetics

Marine Magnetics Lab

We have marine magnetic profile data collected near the Tula Fracture Zone in the southern Pacific Ocean. The data set has profiles from 64 cruises. For three cruises you have an extract, with just the data from a straight part of the cruise, and where they cruised mostly perpendicular to the ridge. In one case the profile has been reversed, so they will all plot west to east. You should use these extracts for the detailed analysis. These profiles are:

  • ELT19 (1965). The Eltanin 19 cruise was one of the most important for the acceptance of plate tectonics, and you should look at it particularly carefully.
  • MRTN06WT (1984)
  • WEST03MV (1994)

Some of the profiles in the larger database are hard to interpret because:

  • They did not collect much data.
  • The missing data is incorrectly coded. This is "ancient" data, collected in analog fashion, and had to be digitized.
  • They have a number of segments, in different directions, and you would have to look at each segment individually.

USNS Eltanin History

  • https://en.wikipedia.org/wiki/USNS_Eltanin_(T-AK-270)
  • https://www.taylorfrancis.com/chapters/edit/10.1201/9780429498282-5/board-eltanin-19-walter-pitman
  • https://agupubs.onlinelibrary.wiley.com/doi/abs/10.1029/AR044p0029 (shrimp)

Deliverables. Prepare a report on the magnetics of this region, with the following points:

  • Include a map showing all the magnetic data, and the profiles you analyzed. Insure this has latitude and longitude labels (you want a deliberate export to the clipboard, or label the grid inside the map).
  • Find the full Eltanin 19 profile and compare it to the subset profile. Label the anomalies, and compute the spreading rate on each side of the ridge for the subset. Does the spreading appear to be symmetrical on the two sides of the ridge?
  • Correlate the other two profiles to Eltanin 19.
  • Two profiles have a crossover (go over the same point). If you identify anomalies near the crossover, it should be the same anomaly on each profile. Comment on this.
  • One profile (MRTN06WT) is much longer than the other two. Based on the spreading rate close to the ridge, how far back in time do you think the profile covers? What anomaly would that be? Can you recognize any distinctive anomalies on that profile (you should identify the distance or longitude of at least one that you think would be distinctive)? Do not try to do all the correlations, and do not go beyond anomaly 6 in any detail. Do you see anything in the bathymetry that suggests that there might be complications in the history of this profile?
  • Compare the spreading rates you computed with the MORVEL and one of the NUVEL models. You can use MICRODEM or a Plate motion calculator.

Directions.

Review Labs introduction.

Change program version to geology.

Go to File, Geology labs, Tula Fracture Zone magnetic anomalies. This will download the data. It will be in c:\mapdata\tula_fracture_zone if you want to reload, or you can just use the menu choice which will be fast once the data has downloaded. If the file does not download, get it at https://www.usna.edu/Users/oceano/pguth/downloads/tula_fracture_zone_v2.zip, unzip and load on a bathymetry data set.

  • The magnetic anomalies will plot on the map with color according to the anomaly value, with a range of -500 to 500. You can adjust the line thickness.
  • Subset & zoom to get just the map to cover just the area with the data.
  • If you want, you can change the map display to grayscale reflectance (or slope, reverse grayscale) so color only shows the anomalies.
  • Table of contents to hide/show the magnetic anomaly files.

To see the profiles in profile view:

  • Double click on the record in the data base table window. This will be easiest on the extracted files with a single profile, but it will also work in the full database.
  • Pick Views, and then either:
    • 3D shapefile profile (distance)
    • 3D shapefile profile (longitude)--since these profiles run almost east-west, this will be almost the same as by distance, except that it will be much harder to get distances to get spreading rates.
  • Resize the graph window with the profiles by dragging, then right click, and Resize image. You want the anomalies to be distinct.
  • You can adjust the line thickness and it will be a continous line by default (watch for missing data).
  • Right click on the graph, pick Open profile. In that view you can right click and set the extents manually if you do not want to see the entire profile.

Quick Profile Exploration to cycle through all the profiles for the full file to get a sense of what they show.

Example on the Juan de Fuca Ridge.

Magnetic anomaly profile, with the anomalies picked. It is easiest to first find the ridge, remembering that the symmetry of anomaly 1 varies with the latitude and orientation of the profile.

The magnetic time scale

  • Graphical format.
  • Tabular form with [image] Geology options (Cande and Kent time scale) inside MICRODEM
  • Magnetic model lets you get profiles for any time interval desired. You can experiment with profiles to see how the various parameters affect them.

Anomaly | Age | Distance
3 | -4.8 | 28
2A | -2.8 | 72
2 | -1.86 | 96
 | -1.03 | 116
1 | 0 | 150
 | 1.03 | 174
2 | 1.86 | 199
2A | 2.8 | 228
3 | 4.8 | 272
3A | 6.2 | 365
 Table created in Excel with the picks. Age is marked as negative to the left of the ridge, which makes the next step easier, but it could be done as two separate computations (which would be required if the spreading were markedly asymmetrical). The unnamed anomaly is the Jaramillo normal event during a reversed interval.
Graph of age versus distance in Excel. The slope of the line will be spreading rate in km/My (or mm/yr), and in this case the value is about 26 km/My, which would make it a slow spreading ridge (indeed the case for the Juan de Fuca Ridge). The line is very linear, suggesting a very constant spreading rate over this interval, and that spreading is symmetrical.

There are about 200 km on the profile to the east of where we stopped picking anomalies. With the calculated spreading rate, that should be another 8 My, with the oldest crust on the right about 14 My old. If this is the case, anomalies 4, 4A, 5, and 5A should be present, but with the slow spreading, they may not be clearly defined (note that 3 and 3A are not as distinct as we might like).

The ideal profile for looking at the magnetic anomalies will run perpendicular to the crest of the ridge. If the profile crosses the ridge at an angle, you will have to reduce the distances by multiplying by the cosine of the angle between the track and perpendicular to the ridge. If the profile crosses a fracture zone, you will either have anomalies missing, or repeated anomalies.

If the cruise makes multiples passes over the ridge to "mow the lawn", you want to look at the survey legs individually.

  • Marine magnetic profile interpretation. Includes time scale and anomaly names.
  • Profile Reversing
  • Quick Profile Exploration
  • Magnetic anomaly data sources
  • Synthetic magnetic anomaly profile
    • on main toolbar with the DEM active
    • Length of the selected profile will govern the length of the synthetic profile
    • Magnetic model from the popup menu after a right click on the topo profile

We have looked at other data sets which might help your interpretation. You should be able to pick out ridges and transforms on the bathymetry.

  • Global topography.
  • Predicted sea floor ages
  • Magnetic anomaly maps
  • Sediment Thickness
  • Geology options
  • Rotate continents. Two plate motions can give you an estimate of the current plate spreading in the region.

Last revision 3/8/2021


GIS Joins Lab

This lab will teach:

  • Downloading Census Bureau economic data, and joining it to shape files. Joining databases is an important GIS concept.
  • Computing areas for shape files, and population densities.
  • Making maps showing a database parameter
Tasking:
  • Your best friend from high school wants to set up a dating service in your county, and wants your help doing a GIS analysis on where in the county efforts should be concentrated. You are to pick either men or women as the target audience, and must:
    • Get the following data from the SF1 data for the 2010 Census:
      • Total population
      • Male to female ratio (either overall, or an interesting age category)
      • Age distribution by gender (limit to interesting one or two interesting age categories)
    • Get at least one additional data set from the American Community Survey; you might consider one of the following.
      • S1501 Educational Attainment
      • B08302 Time leaving home to go to work
      • B23006, Educational Attainment by Employment Status

Deliverables

  • If you country is large, show maps of only a portion of the county. Prepare maps showing:
    • Population of the target gender in the county.
    • Population density of the target gender in the county.
    • Ratio of men to women (or women to men) in the county, by age group if you want.
    • Your additional data set.
  • Use at least two different mechanisms to show results on the maps, such Color code by DB field or Proportional Scale Symbols.
  • Put at least one map on DEM reflectance base map, and one on NLCD using Grayscale and subdue map, with adjusted opacity for the GIS layer.
  • Discussion
    • What geometry level (block, block group, or tract) would be best to use, and why? Include a table with the number of polygons at each level for your county, and the mean and median sizes for each in both square kilometers and square miles. For the 2000 Census, you could get data for each geometry. For the 2010 census this is no longer true, and we can only get the tracts. Why do you think the Census Bureau no longer distributes detailed data for the blocks? You might consider the average population for polygon at the different levels, and privacy issues.
    • What are the advantages and disadvantages of the different ways to display the map data (color coding and scaled symbols)?
    • Which is better, population numbers or population density, for a map of the county? Why?
    • What names did you pick for two of the fields that were not converted? How hard or easy was this, both in terms of the procedure, and in finding a "good" name?

    • Data Acquisition

    Download, Do early | Data Layer | File name and location on your hard drive
Yes (should be simple) | Download Tiger Census Blocks shapefile |
 | Subset Blocks shapefile to just your county (filter with county FIPS codes) and save |
Yes (should be simple) | Download Tiger Census Block groups shapefile |
 | Subset Block groups shapefile to just your county and save |
Yes (should be simple) | Download Tiger Census Tracts shapefile |
 | Subset tracts shapefile to just your county and save |
Yes (big but simple) | Download National coverage Census Bureau SF1 shapefile by tracts (it has a metadata file with it) |
 | Subset SF1 shapefile to just your county (filter with county and state FIPS codes, which are the first 5 characters of the GEOID field, so use GEOID='24003*') and save. Because of the size of this file, the subset is critical (or you will sit around a lot). |
 | Rename fields in subset SF1 |
Yes; will be complicated | Download American Community Survey Data for your county, by tracts |
 | Modify CSV file from American Community survey (rename a few fields, and delete the rest) |
 | Import American Community survey as DBF file. If you have a coastal region, there are often tracts with 0 population. These will skew your color coding by field, and it will probably improve your map if you filter them out and perhaps save the shapefile without them. Add leading zeros to repair Zip or FIPS codes. |

    Data analysis:
    1. Open a map.
      • New DEM. With a reflectance map, this provides a very nice background, but you can use any base map you want. The TIGER edges on top might provide additional context. You will be trying to understand where in the county things are happening, and a good base map really helps.
        • Database: Open the tract shapefile as an overlay atop another map
      • Open shapefile map that covers just the region of the shapefile.
    2. Link/join the demographic data to the shapefile with region outlines. You must correctly match the geometry with the correct demographics (you cannot match block groups with tracts, for instance) for the ACS data.
      • In the census demographic data, the linking field is GEO_ID2, unless you renamed it.
    3. Plot maps of parameters from the "Plot" button menu on the database table display window,
      • Color code by DB field
      • Proportional symbols plotting
      • If there are tracts along the coast with 0 population, you should filter then out. Otherwise they can cause a lot of color to be wasted, since the lowest actual value should be 0 rather than the artificial 0.
      • Insure that you consider opacity for the display.
    4. Computations you want
      • Compute area.
      • Convert area to square miles:
        • Edit, Field arithmetic, Copy numeric field to make a new field. You could just operate on the original field, but you must be careful that the size and precision of the field will work. In this case, square kilometers and square miles are close enough that it should work. If you were converting square meters to square kilometers, you need a much shorter field, but probably many more decimal places.
        • Edit, Field arithmetic, Multiply field by constant (Google the conversion factor)
      • Compute ratio (e.g. population density, or male/female ratio): Edit button, Field arithmetic, Quotient 2 Fields (ratio)
      • Get the mean and median of the area field with Stats, Moments, or Double clicking on field name and picking Field stats.
    5. Double click on the area field header, and get Field statistics (min, max, mean, etc.) Make a table with this information
    6. Adjust the color in the underlying map to de-emphasize the background and let this data dominate, but the background helps the viewer locate the points of interest.
      • Grayscale and subdue map

    Color code by DB field | Proportional Scale Symbols

    CSV file import problems

    Last revision 9/13/2018


ICESat-2

Selection map at http://openaltimetry.org/.

  • Tracks in red, with the selected track in green.
  • Clicking on a track shows the available dates, quarterly.
  • Picking a date shows the lidar beams in colored dots for the 6 beams, in three pairs. The 6 beams, in pairs 90 m apart, with strong and weak beams, and 3.3 km from the next pair of beams.
  • Some dates will have no data or partial data, depending on weather.

Right click on track, and pick view elevation profile.

Cycle through all the dates, saving the CSV files. Insure you do not change to the Photo View, or to a product other than ATL08. This is a manual process of picking tracks and saving them.

Fields as downloaded in CSV format from http://openaltimetry.org/.

File after merging and converting individual dates and tracks (batch process).

  • Removed unneeded fields (segments, h5 file names)
  • Field names comply with dBase length requirements
  • Reasonable decimals for elevations (cm instead of micrometers)
  • EGM2008 correction applied to ellipsoid heights
  • Top of canopy elevation computed

Alaska test region with ICESat-2 data overlain

  • Four tracks go through the area (lower latitude locations would have many fewer because of orbital geometries, and the beams would be farther apart).
  • Data for 13 dates
  • Data for 4594 points. A 1x2" DEM covering the area has 220,000 points, so there is about 2% coverage.

Coverage for a single day's orbit.

Elevations added for the three global DEMs via bilinear interpolation.

Guth, P. L., & Geoffroy, T. M. (2021; https://doi.org/10.1111/tgis.12825 Paper as submitted in January 2021). show that the global DEMs sample somewhere between the ICESat-2 ground and top canopy elevations.

Last revised 1/15/2022


LVIS Gabon Images

LVIS Images

The LVIS returns can be plotten on a map, with any of the parameters colored. These are from the survey of Gabon.

The maps can display two things:

  • How the data was collected
  • The terrain, and the structure of the forest.
The scan pattern from LVIS, which is parallel to the flight path.

The aircraft flew NW to SE.
Because LVIS records the top and base of the waveform, software can compute the horizontal distance traversed by the wave.

This connects the two points, EDIT button, Field geometry, Distance between two points in record

The distance is typically < 2 m
Unlike typical scanning lidars which scan on either side of nadir, LVIS scans to the front of the aircraft. Points directly along the flight path are about 3 degrees, which those on the edges of the swath are about 8 degrees. This angle is the number of degrees, measured from vertical (off-nadir). This is never very large, and accounts for the small ground footprint of the returns in each pulse.
ZG (ground elevation): --This would be a DTM if converted to a grid. The low points are streams on the SE edge of the map (nearly the same height in ZT, and with a CHM near 0).
ZT: -- elevation at the top of the canopy, this would be a DSM if converted to a grid
RH100, or CHM. Height from which cumulative 100% of the energy is returned.
Azimuth of the laser pulse. The aircraft flight path is in the center, to the SE, about 130 degrees, and it scans to the left and right. You should think about this geometry with the incident angle.

Range of the pulse. This portion of the record shows:

  • Steady climb of the aircraft as it flew SE
  • With each pulse, the smallest range is at the center, and the largest on either side as the laser swung left and right.
SHOT or pulse NUMBER. The increase in numbers shows the flight direction, NW to SE. Not particularly, but shows the direction of flight.

Last revision 6/30/2020


LVIS and ICEsat

Laser Altimeters: ICESat, and ICESat-2, GEDI, LVIS

ICESat-2 is a laser altimeter launched in 2018 with 6 beams. Two tracks, 90 m apart, have strong (even numbers) and weak (odd numbers) beams, and are 3.3 km from the next pair of beams.

  • The ATL08 elevation data measures the ellipsoidal ground elevation and the canopy height at point approximately 100 m intervals.
  • The ATL02 data set detects individual photons spaced approximately 0.7 m apart each with an associated quality level. This increases the data volume, with a great deal of noise

Download ICESat and ICESat-2 data

Demo of data download

ICEsat flew from 2003 to 2009. The sole instrument on ICESat was the Geoscience Laser Altimeter System (GLAS), a space-based LIDAR. GLAS combined a precision surface LIDAR with a sensitive dual-wavelength cloud and aerosol LIDAR. The GLAS lasers emit infrared and visible laser pulses at 1064 and 532 nm wavelengths. As ICESat orbited, GLAS produces a series of approximately 70 m diameter laser spots that are separated by nearly 170 m along the spacecraft's ground track. The ICESat mission was designed to provide elevation data needed to determine ice sheet mass balance as well as cloud property information, especially for stratospheric clouds common over polar areas. It provides topography and vegetation data around the globe, in addition to the polar-specific coverage over the Greenland and Antarctic ice sheets. The satellite was found useful in assessing important forest characteristics, including tree density. ICEsat had three lasers, but they failed prematurely and the satellite did not collect as much data as anticipated.

ICESat data covering a 1 degree by 1 degree region in southern Nevada.

There are about 11000 lidar pulses in the map area.

LVIS

  • LVIS: NASA's Land, Vegetation, and Ice Sensor (a.k.a. the Laser Vegetation Imaging Sensor). LVIS is similar to ICESat, and served to help develop ICESat-2.
  • mounted on aircraft and flown at ~24,000’ (8000 m) over selected target areas and lines.
  • 25 m footprint, 2 km swath, 10 m between shots
  • Processing LVIS data for MICRODEM
  • Using LVIS
    • LVIS map images
    • LVIS waveforms
    • LVIS slices

GEDI

LVIS was also a prototype for GEDI currently on the ISS. GEDI data comes in huge HDF5 files (several GB each), which is not particularly friendly for GIS use. It records the waveforms, a different approach from ICESat-2. Spatial resolution is 25 m.

  • https://lpdaac.usgs.gov/products/gedi02_bv001/
  • https://lpdaac.usgs.gov/products/gedi02_av001/
  • https://git.earthdata.nasa.gov/projects/LPDUR/repos/gedi-subsetter/browse script that will extract GeoJSON (GIS friendly) form HDF5 (GIS unfriendly)

As noted in Kokalj and Mast (2021) »the rGEDI package was released by Silva et al. (2020) which provides user-friendly utilities for the processing and visualization of GEDI data in R. For Python users the LP DAAC released the GEDI-subsetter (Krehbiel 2020a), a tool for converting the HDF5 files into geojson objects, which can be more easily used in traditional GIS. The LP DAAC further released a series of jupyter notebooks which showcase the processing of GEDI granules in python (Krehbiel 2020b).«

  • Kokalj, Žiga, Mast Johannes. 2021. Space Lidar for Archaeology? Reanalyzing GEDI Data for Detection of Ancient Maya Buildings. Journal of Archaeological Science: Reports, 36: 102811.

  • Krehbiel, Cole. 2020a. GEDI Spatial and Band/Layer Subsetting and Export to GeoJSON Script. Sioux Falls, South Dakota, USA: Land Processes Distributed Active Archive Center (LP DAAC). https://git.earthdata.nasa.gov/projects/LPDUR/repos/gedi-subsetter/browse.

  • Krehbiel, Cole. 2020b. Getting Started with GEDI L1B, L2A, and L2B Data in Python Tutorial Series. Sioux Falls, South Dakota, USA: Land Processes Distributed Active Archive Center (LP DAAC). https://git.earthdata.nasa.gov/projects/LPDUR/repos/gedi-tutorials/browse.

  • Silva, Carlos Alberto, Caio Hamamura, Ruben Valbuena, Steven Hancock, Adrian Cardil, Eben North Broadbent, Danilo Roberti Alves de Almeida, et al. 2020. RGEDI: NASA’s Global Ecosystem Dynamics Investigation (GEDI) Data Visualization and Processing (version 0.1.7). https://CRAN .R-project.org/package=rGEDI.

Last revision 11/1/2021


LVIS slices

Slice showing the top and the bottom of the LVIS data, in terms of absolute elevation.
Slice showing the canopy structure, with 0 the ground.

RH100 is the height of the first detection of reflected energy, RH75 the 75th percentile, and so on.

Last revision 12/13/2017


LVIS Waveforms

The Level 2 data from LVIS stores the waveform as cumulative distribution, with the height where various percentage of the return energy are reached.

The 0 height is the ZG elevation recorded. The next value is RH10, and there is a return every 5%, with addition values for 96 %, 97%, 98% and 99% to tease out the structure of the uppermost canopy.
The software can tease out an approximation of the actual waveform, with units of percentage of return energy per meter. The peaks here might correspond with the discrete returns from a traditional lidar survey, and different canopy levels. Triple canopy is a beloved term from infantry soliders in SE Asia.
Mulitple waveforms can be plotted. The differences in the structure will determine how many waveforms can be plotted before the plot becomes impossible to interpret.

This data from Gabon is triple canopy jungle, which this data hints at but would b easier to see with fewer waveforms.

Last revision 3/22/2022


Processing steps for LVIS Level

Processing steps for LVIS Level 2 data

  • Get the Level 2 ASCII text files at https://lvis.gsfc.nasa.gov/Gabon_2016.html
  • In a text editor
    • Remove the first twelve lines with comments
    • Remove the "#" character from the 13th line
    • Rename the incident angle field name (it is too long for dbASE).
  • Import the text file in MICRODEM It will be converted to a DBF file, which you should use going forward.

References

  • Metadata: https://lvis.gsfc.nasa.gov/data_sets/2016_gabon/LVIS_GabonAfriSAR_data_release.pdf
  • Tutorial to use data in QGIS: https://lvis.gsfc.nasa.gov/workshop/LVIS_QGIS_Tutorial_Gabon.pdf

Last revision 12/13/2017


MLRC--NLCD Download

Map view and the ability to subset small regions.

  • https://www.mrlc.gov/viewer/ allows you to subset the data; you want the land cover. Pick the desired region, and it will be prepped and you will get an email to download with all 8 years. You may get a larger area than requested (but it will be Albers equal area projection, and you select on a cylindrical projection)
  • You can get all 7 years from 2001 to 2019 of NLCD as a 10.2 GB download. To open:
    • File, import, GDAL raster subset to match map extent
    • Load that file in QGIS, and then export a smaller region as a Geotiff for use in MICRODEM.
  • There are two versions. The science product has two experimental, transitional forest categories (45 and 46). Unless you need them, don't get them since it just doubles the size of an already large download.

Zoom in the to area desired. The map can be resistant to dragging the viewport; just be persistent.

Open the download tool in the upper right of the map.

Pick "Place" in the lower left, which then changes to "clear".

Drag the selection box to where you want it.

Check that the bounding box is correct. Since you won't see the files for a day, you should be sure you are getting the right area.

Pick land cover, and all land cover years.

Keep track of where you saves the file, and being able to determine which data set it is. The file names for the ZIP, and the extract, is a random string of numbers. The files should start with NLCD_20NN for the year. They will be Geotiffs.

Last revision 3/21/2023


National Map

USGS National Map

  1. Open by:
    • Point browser to https://apps.nationalmap.gov/downloader/
To download data
  • Zoom to your area of interest;
  • Easiest to just download the entire screen.
  • You can upload a zipped shape file (insure you get all the files) that will zoom the map to your area of interest.
  • Select available data products. The most useful will be:
    • Elevation Products (3DEP): this is 3DEP/NED in 1", 1/3" available nationwide; and 1/9", and the 1 m DEM available in some locations. Different spacing in Alaska.
    • Elevation Source Data (3DEP): LAS files. These are large
    • Names--Geographic Names Information System (GNIS, or gazetteer)
    • US Topo
    • Historical Topographic Maps
  • Generally less useful
    • Hydrography NHD: you probably want the shapefiles for Dynamic Extract and Dynamic extract with flow table.
  • Select format. If possible you want Geotiff or Shapefile as the best formats for use in MICRODEM. In particular avoid the Geodatabase, which is a proprietary ESRI format for Arc. Some other formats will require that that you have GDAL

Elevation Products (3DEP): For the elevation data there are several formats, all of which work with varying challenges. All will be zipped initially.

  • Geotiff
  • IMG select the IMG file and GDAL converts to a Geotiff which will open.

Elevation Source Data (3DEP): LAS files.

  • Pick lidar point cloud under data, and select the region
  • Download options
High resolution imagery.
  • Imagery--1 foot (HRO) .This imagery may have the choice of multiple dates, some of which will include 4 bands with IR for vegetation analysis.
  • Imagery--1 meter (NAIP). Newer NAIP might have higher spatial resolution.

Zoom map to show your area.

Pick the option for "Current extent" on the top of the mpa.

Find products.

Download options

Download options

Options here have been changing significantly

Should be able to

  • Download each tile individually. Download link LAZ in blue on the right lets you choose the directory to download a single file. Easiest choice if you want just a few file.
  • Batch download
    • From the results of the search or the cart, export URLs to text (TXT icon)
    • Use Batch Download on Data Manipulation form if you get the TEXT file.
  • You must pick the data you want and add to your cart (you use +All instead of checking each individually). Then view cart. You can download all files together.

Recently (but not now) the uget option was the only one that worked; it is available from your cart where the individual download option is not present. Use uGet only if you need a lot of files.

National Map Alternatives

The table below shows alternatives to the National Map if the site is down or unresponsive. These might also be faster and easier to use. Most options now require you to get pre-packaged tiles, instead of packaging the region on demand that was possible with the Seamless Server model.

Data layer | Alternative source | Comments
Gazetteer | USGS NAMES server | Alternative to Gazetteer for some applications.

Last revision 1/5/2022


Open Topography

OpenTopography.Org

This data was mostly collected with funding from the National Science Foundation for research programs. You can get similar data from other locations.

Global DEMs: Bulk download gets the original files (except perhaps that the overlap top row and right column will be trimmed out); the cookie cutter option will be reprojected and reinterpolated for the higher latitudes. Bulk download is overkill as you must get the entire data set, but it is simple if you have the bandwidth and required storage, You could also figure out how to download just what you want or need, but programmer time is more expensive than bandwidth or storage.

  • SRTM v3: 14,280 files, 125 GB
  • ALOS v 3.2: 23,997 files, 220 GB
  • Copernicus: 26,440 files, 550 GB. This will not reinterpolate to 1" longitude spacing everywhere, which the cookie-cutter option does.
  • NASADEM: 14,251 files, 128 GB

OpenTopography now has lidar from both USGS and NOAA, with the following caveats (the original source may be better):

  • You can get a "limited" number of returns
  • The points will all be in a single file, which could be very large and not as flexible as the tiles you would get from USGS or NOAA.
  • Each download will give you the same file names, so you must do your own management.
  • These reservations apply less to DEM grids, although for those you do have to manage the file names.
Connect to https://opentopography.org/ and pick the "Get data" option.

Preferentially get the red symbol data sets, which are on the OpenTopography web site.

Two ways to pick data:

  • Graphically on the map
  • Search by location
With search by location, you will see a list of surveys. Use the "Get data" button for the one you want.

With graphical selection on the map, use the blue "Select a region" button to pick a survey, and then pick the "Get data" button.

There will be 5 tabs (some are restricted to academics):

  • OT High Resolution Topography: this is the lidar
  • USGS 3DEP (see note above on why it might be better to get from USGS)
  • NOAA (see note above on why it might be better to get from NOAA)
  • Community Contributed
  • Global & Regional DEM (global DEMs)

To see the more complete metadata, use the "More" selector. This is the only way to see the projection used for the data. You want to avoid state plane coordinates to the maximum extent possible. You might want to save this metadata for later review.
The page for a data set has abbreviated metadata. It will give the following key information:
  • Survey date (pay attention to the season, as leaf on and leaf off are very different in terms of the lidar characteristics)
  • Survey area size
  • Point density. Early surveys were often <1 pts/m²; current surveys can be > 15 pts/m². This number will be an average; vegetation has a higher density because each pulse can have multiple returns in the vegetation canopy.

The full metadata option includes the projection. You want to avoid state plane coordinates to the maximum extent possible.
Use the blue "Select a region" button to pick the region. Watch the status window below the map, which will tell you approximately how many points are in the region. You must keep reducing the area until you get under you point limit. If you really need more data, you should register for an account.
When you have reduced the number of points sufficiently, set the terms of the download:
  1. Get all return classifications.
  2. Request the point cloud in LAZ format, which will be about 10% of the size of the alternatives but requires that you have LAStools (read license carefully).
  3. If you want local gridding, change the grid format to GeoTiff. Alternatively MICRODEM can generate a grid from the point cloud.
  4. If you want DEM generation via TIN, change the grid format to GeoTiff. You can create your own grids in MICRODEM
  5. Do not get derivative DEM or TIN products; MICRODEM can generate these rapidly on the fly.
  6. Do not get Visualization.
  7. You can get Hydrologic terrain analysis products from TauDEM, which require some of the optional grids.

Enter a job description and title.

Enter you email.

Submit the job.

You can stay on the page and watch the progress, or wait for the email which will have download links.

When done, you can download your files. Note the file names "points" and "dems" are used for every download, so insure you do not mix them on your hard disk. Put each area in a separate directory.

The point cloud will be in the format you requested; use LAStools to uncompress the LAZ file.

If the points file is really large, you can split it into smaller sections. This will make the display of subsets of the data much faster.
If you do not wait for you downloads to be prepared, you will get an email, which will direct you back to the page above.
Notes on global DEMs

AWS Bulk downloads. There is an option to do bulk downloads after you have selected an OpenTopography data set. You should only do this if you have to download a very large area, or you do not want to deal with reinterpolation done by OpenTopography in some cases.

  • Install https://docs.aws.amazon.com/cli/latest/userguide/install-cliv2-windows.html
  • The popup window when you pick the bulk download for a data set gives the command you want, which will be something like:
    • aws s3 cp s3://pc-bulk/NAPA_2014/ . --recursive --endpoint-url https://opentopography.s3.sdsc.edu --no-sign-request
  • Files will be downloaded to the directory from which you run the DOS command, so plan accordingly and have lots of free disk space (100s of MB is not out of the realm of possibility).
  • Enter that command in a DOS command prompt. If this is not in your PATH, add the path and enclosing the EXE name (aws) in quotes because of the space in "program files", as in
    • "C:\Program Files\Amazon\AWSCLIV2\aws" s3 cp s3://pc-bulk/NAPA_2014/ . --recursive --endpoint-url https://opentopography.s3.sdsc.edu --no-sign-request
  • At an initial period of inactivity, the command prompt window will show you the progress of the downloads. The anticipated file size and number of files remaining is likely to creep upward (perhaps by an order of magnitude or more, so what starts out looking like a 10 GB download balloons to 120 GB) while the download progresses, so multitask or take a break and don't watch too closely.
  • The lidar files will be in LAZ format, which you must uncompress to use
  • There may also be LAX indexed files, which MICRODEM does not use but some software might.

Last revised 2/15/2023


Climate Maps

On map toolbar, Climate options load Koppen climate stations. The following fields in the database can provide summary graphs, using Color code by DB field option on "Plot" button menu on database table display window.

  • MAX_T: the maximum of the average monthly mean temperatures. This generally occurs in the summer, although there are exceptions.
  • MIN_T: the minimum of the average monthly mean temperatures. This generally occurs in the summer, although there are exceptions.
  • WARM_MON: the month with MAX_T, 1 (Jan) to 12 (Dec)
  • COLD_MON: the month with MIN_T, 1 (Jan) to 12 (Dec)
  • RANGE_T: the difference between MAX_T and MIN_T, or the annual range in average temperatures.
  • PRECIP_TOT: total precipitation, in cm
  • PRECIP_WIN: total winter precipitation, in cm. Winter is months 10-3 in the northern hemisphere, and 4-8 in the southern.
  • PRECIP_SUM: total summer precipitation, in cm. Summer is months 10-3 in the southern hemisphere, and 4-8 in the northern.
  • N_WARM_MON: number of warm months (average temperature above 10°C)
  • N_DRY_MON: number of dry months (rainfall less than 6.1 cm)
  • There are also monthly average temperatures, monthly precipitation, and for some stations, the average monthly minimum and maximum temperatures.
Jan average temperatures
Number of warm months

(average temperature above 10°C)

Warmest Month
You can get much the same results using the Monthly climate parameters.

Last revision 5/31/2019


Evapotranspiration

File, Physical Geography labs

Right clicking on the map provides the water budget, with the rainfall in blue and the potential evapotranspiration in red.

http://www.fao.org/geonetwork/srv/en/metadata.show%3Fid=7416%26currTab=simple has ASCII grids monthly reference evapotranspiration - 10 arc minutes, 1961-1990

We combine this with precipiation from http://worldclim.org/version2 30 sec to 10 minutes

Fick, S.E. and R.J. Hijmans, 2017. Worldclim 2: New 1-km spatial resolution climate surfaces for global land areas. International Journal of Climatology.

http://www.fao.org/nr/water/aquastat/main/index.stm

http://www.fao.org/nr/water/aquastat/climateinfotool/index.stm

Lastest version of data is at http://data.ceda.ac.uk/badc/cru/data/cru_ts/cru_ts_4.01/data/ but not trivial to use

Last revision 8/2/2018


Climograph Classification Key

Note that there are solid liht gray lines on the graph at the key temperatures for the classification.

Steps:

  1. Determine if you think it is a desert or a steppe. The amount of rain required to avoid being an arid climate depends on the temperature--the hotter the temperatures the more water will be lost to evaporation, requiring more rain for vegetation, and its distribution throughout the year. In general a steppe will have less that about 75 cm of annual rain, and a desert less than 25 cm.
  2. Check if the average temperature for all months is > 18 C. If so, an A climate.
  3. Check if at least one month has an average temperature below 0 C (US standard), or -3 C (European standard). If so, it is a D climate
  4. If it looks really cold and miserable, you might have an E climate.
  5. If none of the above, it is a cool C climate (at least one month below 18 C, and no months belew 0 or -3C.

last revised 9/20/2021


Sun Position Solstice and Equinoxes

On the Physical Geography entry on the popup menu after right clicking on the map.

  • Equinox/solstices: should show three plots (the two equinoxes look identical in terms of the sun), but could only be two if within the Arctic/Antarctic circles
  • Today
  • All: today and the equinox/solstices
  • Specified day

This diagram shows a polar plot, with the azimuth to the sun along the spokes of the diagram, and solar altitude from the small circles.

Noon will be when the sun reaches its highest altitude, the point closest to the center of the diagram.

The curve farthest north will be the June Solistice, the farthest south will be the December solstice, and the two equinoxes will be identical and between the solstices on the diagram.

The sun can only get directly overhead at positions between the two tropics. At the tropics it will be overhead only at a solstice; other locations between the tropics will have it overhead on two days, which at the equator it will be overhead at the two equinoxes.

On the equinoxes, everywhere on earth the sun will rise due east and set due west.

You can compare these with the variation in daylight duration. Incoming solar radiation, which affects climate and vegetation, depends on the duration of sunlight, the altititude of the sun, and the presence of clouds.

Point just inside the arctic circle.

  • At the June Solstice, the sun never sets and complete a full 360 degree transit.
  • The two equinoxes (dark green) have the same pattern, with the sun rising in the east and setting in the west (true at any latitude), which happens everywhere on earth.
  • The sun never rises for the December solstice.

Annapolis at 39 degrees north.

  • At the June solstice (blue), the sun rises in the northeast (60 degrees) and sets in the northwest (300 degrees). It almost gets directly overhead at noon (actually about 75 degrees), at the Tropic of Cancer on this day the sun would directly overhead.
  • The two equinoxes (dark green) have the same pattern, with the sun rising in the east and setting in the west, which happens everywhere on earth on this day.
  • At the December solstice (cyan), the sun rises in the southeast (120 degrees) and sets in the southwest (240 degrees). It gets to a maximum of 30 degrees above the horizon at noon. Good time for photography.
  • The sun is always to the south at noon, which happens everywhere north of the Tropic of Cancer.

The equator

  • At the June Solstice, the sun is always to the north, and never quites get directly overhead.
  • The two equinoxes (dark green) have the same pattern, with the sun rising in the east and setting in the west, which happens everywhere on earth. The sun is directly overhead at noon.
  • At the Decrmber Solstice, the sun is always to the south, and never quites get directly overhead.
  • The equator has 12 hours of sunlight every day of the year.

If requested, today's positon will be shown in red, and will be between a solstice and an equinox.

Last revision 1/5/2020


Satellite imagery tutorial

Satellite Image Analysis Tutorial in MICRODEM

Key learning outcomes
  • see resolution in bands:
    • as wavelength goes up, energy and spatial resolution goes down (bands 10 and 11 TIR compared to 2-5 VIS and NIR)
    • PAN: as bandwidth goes up, so does detail and spatial resolution, because you are combining R-G-B in one band, so there is roughly three times the energy (band 8)
    • low resolution of the TIR (bands 10 and 11)
  • true and false color--combination of 3 colors
    • True color uses the RGB collected by the satellite for the same colors on the display
    • False colors uses the NIR/red/green, because NIR has more valuable information than the blue, except in rare cases likes looking at shallow water where blue penetrates and NIR is completely absorbed.
    • To display more than one IR band, the colors become surreal because reflectances in the NIR are not intuitive to us, but may display interesting relationships and can be very psychedelic
  • Importance NIR (band 5)--land-water-vegetation differentiation
  • Band: select multiband or single band, and choose among the available bands, and contrast enhancement--highlight the data of most interest
  • Electromagnetic radiation

This shows transmission (albedo). Most satellite bands are in transmission windows, and not absorption bands. Exceptions, like Band 9 of the OLI, are used to measure the atmospheric concentration of the gas absorbing at that wavelength.

Go to File, Introductory tutorials, Annapolis TM8 scene

This will download and open a Landsat 8 scene, which is about 1 GB compressed and will uncompress to about 2 GB. Landsat is a medium resolution (30 m) satellite system

  • Subset & zoom. This scene is about 6000x6000 pixels and will not fit on screen; by default it will be severely subsampled. Zoom into a smaller region to see the true resolution of the sensor.
  • Set 100% data shown or [image] 1:1 map view (best resolution view of the data, but you might run out of memory unless you subset first, and using the scroll bars can be unwieldly)
  • The next options are tabs on the same form:
    • Band: select multiband or single band, and choose among the available bands. You should look at the true color, and false color dominated by the near IR. Contrast: changes are done on the same form.
  • Image histograms

Complete image analysis options. Some will require additional data prep work.

Key Remote Sensing Options in MICRODEM

Last revision 8/20/2020


Terrain Analysis Tutorial

Terrain Analysis Tutorial in MICRODEM

Insure MICRODEM has been installed. If necessary, download here. You should immediately download the help file from the help menu. MICRODEM is a Windows 64 bit program.

If the version of the program is older than the revision date at the bottom of this page, update the program.

Introduction to key operations in the program

Go to File, Introductory tutorials, Harper's Ferry Terrain Analysis. This will download the following data sets, a 100+ MB file, unzip it, and open the DEM.

Data Set | Scale | Uses | Format | Web Source
DEM: NED, 1/9" | 1/9" DTM, about 2.66x3.43 m | Terrain characterization | Geotiff | USGS, National Map Viewer
OpenStreetMap: vector overlays |  | Cultural awareness | Shapefile | http://download.bbbike.org/osm/
Lidar Point Clouds | 2.8 pts/m² | 3D visualization | LAS | USGS, http://earthexplorer.usgs.gov/
Scanned geologic map |  | Interpret geology | KMZ | USGS OF-2000-297, from http://ngmdb.usgs.gov/ngmdb/ngm_catalog.ora.html

This data uses common open formats, and should work with no problems in commercial ESRI ArcGIS or open source QGIS. These data sets will show the range of operations available in MICRODEM; you can later deal with the challenges of getting additional data. This region was chosen because its relief highlights the 3D possibilities in GIS.

This tutorial emphasizes the terrain analysis aspects of MICRODEM; the program can do many other things.

Investigate displays possible with the DEM. Display parameter lets you pick the main option, and then many have additional choices that you set the first time you pick or you can modify later.

  • Colored hillshade or shaded relief is the default. This will generally provide better appreciation of the terrain than an Elevation map
  • Grayscale hillshade provides a good base map, on which you can overlay additional data sets in color.
  • Slope shows the terrain steepness; the gray scale reversed option provides a nice base map.
  • Openness provides a similar display, and might work better for urban or open terrain lidar DSMs. This option provides a quick default display.
  • Aspect show the downhill direction, and is important for soil development, vegetation, or ski slope siting.
  • Contours can show the traditional relief depiction. You can also overlay contours on any base map with [image] Map Overlays

Overlay raster data on the map

  • Overlay, Imagery (KML, KMZ, world files), and pick the KMZ which will overlay a scanned geological map. You can adjust its opacity.

Overlay vector data on map

  • Database menu, Load OSM overlay, and pick the directory with the OSM data. This data set varies in quality with the local crowd sourcing community, but generally will have pretty good roads, and sometimes railroads, water, buildings, and natural landcover.
  • Map Overlays allows you to change the opacity of the layer.

3D map operations

  • OpenGL 3D view. This will be best with a larger map, perhaps even larger than will fit on screen.
  • Perspective views
  • Panorama view
  • Line of sight and [image] Topographic Profiles: these are similar and show a 2D slice through the terrain. Line of sight shows intervisibility, important for many military operations, and communications.
  • Weapons fan/viewshed

Open lidar point cloud

  • LIDAR Point clouds and pick the directory with the lidar data. This is a relatively low resolution survey, but still creates a 300 MB file. It also has not beeen completely classified (there are no buildings or trees identified), which is typical for many readily available point clouds.
    • Look at the display options.
    • Slice: EW and NS slices through the point cloud. These are xz and yz. The xy view will probably be less informative.
      • OpenGL 3D option.
    • Create grids, Ceiling + floor grids to make a DSM (ceiling) and a DTM (floor). A 1 or 2 m grid spacing is appropriate for this data. The 1 m grid will be 4 times larger. The DTM includes the buildings, because removing them requires a building classification to be done on the point cloud, and then replacing the building with a value determined from the surrounding ground. You can see this in the NED DSM, although it has a smaller scale. MICRODEM does not attempt to perform these operations, in part because we think the DTM with buildings is actually more useful in most cases.
      • Create a HAG or CHM grid by doing the difference between the DSM and DTM. Use Raster GIS, Multiple grid arithmetic, Difference between two grids. You want DSM-DTM so the values will be positive.

Last revision 8/21/2018


ACOLITE

ACOLITE bundles the atmospheric correction algorithms and processing software developed at RBINS (Royal Belgian Institute of Natual Sciences) for aquatic applications of metre and decametre satellite data, including Landsat (5/7/8) and Sentinel-2 (A/B). ACOLITE is in particular suited for processing of turbid waters and small inland water bodies, but can be used with reasonable success over clearer waters and land.

Acolite manual

This has been tested with Landsat and Sentinel-2.

  • For Sentinel-2, insure that you do not let MICRODEM delete the JP2 files which it converts to Geotiff via GDAL. The program will warn if this happened.

ACOLITE should mask clouds, even subtle ones, so you can process scenes and get results for the cloud free portions.

This uses the default settings for ACOLITE. If you want other changes, you should modigy the default settings file in config\defaults.txt.

Web links

  • Program home page: https://odnature.naturalsciences.be/remsem/software-and-data/acolite
  • Program forum: https://odnature.naturalsciences.be/remsem/acolite-forum/
  • Program download: https://github.com/acolite/acolite
  • Old version download: https://github.com/acolite/acolite_ls2 Landsat/Sentinel 2 version (no longer supported)

Set up ACOLITE, one time:

  • The simplest solution is to sideload the entire directory from an existing installation, from an external hard drive or a zipped archive.
  • If that is not possible:
  • Download and uncompress ACOLITE from github. It does not have to be installed, and does not need admin priviledges.
  • In the defaults settings in config\defaults.txt, change the Geotiff settings to true:

  • # GeoTIFF export options
    l1r_export_geotiff=True
    l2t_export_geotiff=True
    l2r_export_geotiff=True
    l2w_export_geotiff=True
  • You are likely to have to download the LUTs for the different satellites, from https://github.com/acolite/acolite_luts, and place them in the correct location
  • With all lookups (which you don't need, but it's really hard to get just what you do need), this will be about 9 GB.

Set up anaconda, one time

  • Download and install anaconda. You can do this without admin priviledges for the personal edition, but that works only for the single user.
  • Open an anaconda prompt from the start menu
  • Create a Python environment, by issuing the following commands, and accepting all prompts. The first and last of the three commands are slow (or very slow, depending on your perspective), but will show progress, and you need to keep an eye open for the prompts.

  • conda create -n acolite -c conda-forge python=3
    conda activate acolite
    conda install -c conda-forge numpy matplotlib scipy gdal pyproj scikit-image pyhdf pyresample netcdf4 h5py

Limits when Running ACOLITE

  • Strongly considering setting geographic limits. Full scenes take a long time and create very large output files.
  • You could reduce the resolution of the product grids from the 10 m default, which runs much faster and with much smaller output files

ACOLITE L2W Parameters

  • Pick the L2W parameters you want. They are listed in section 5 of the manual, with references. A starting point would be:

  • tur_nechad2016,spm_nechad2016,ndci,chl_re_mishra
    • tur, turbidity (units are NFU, Formazin Nephelometric Unit,, log 10 scale)
    • spm, suspended particulate matter (units are g/m3, log 10 scale)
    • chl, chlorphyl concentration (units are ug/l, log 10 scale)
    • ndci, normalized difference chloroph index
  • Parameters that cannot be computed with the satellite (for instance NDCI or chlorphyl, which need the red edge band of Sentinel-2 which is not present in Landsat) will be ignored

Running ACOLITE from MICRODEM, obviously the preferred choice

  • Get data: Sentinel-2 directions and EarthExplorer download. Unzip with the MICRODEM tools option.
  • Open image for a Sentinel-2 image; use folder directory selection. Make sure you pick the directory whose name ends with "SAFE"
  • Subset & zoom to just the area you want to process
  • Imagery options to set parameters
  • Image analysis, ACOLITE processing
  • If the program cannot find it, you must identify the ACOLITE.EXE file, which will be something like 'G:\acolite_py_win_20210802.0\acolite_py_win\dist\acolite\acolite.exe';
  • The output will be placed in a new folder under c:\mapdata\acolite. You should keep an eye on this folder that it does not kill your hard disk.
  • MICRODEM will delete the NC files, and a few other "unneeded" files, but you will still have many GB for each scene.

Running ACOLITE from its GUI

  • Start ACOLITE EXE. A shortcut will be near the top of the directory structure for ACOLITE
  • Pick the directory with the satellite image, which should have SAFE at the end of the folder name
  • Create and pick an output directory
  • Enter the L2W parameters
  • Enter geographic limits
  • Run

Batch Running ACOLITE

  • Open all the images
  • Subset one to the desired area
  • Use Files, Match other Maps, This coverage area
  • Pick the option on the Analyze, Batch processing, ACOLITE
  • Use with caution, and probably will not work with Sentinel-2

Output

  • You can delete the large NC files, since you want the Geotiffs. MICRODEM now automatically deletes them as well as several other files, and the next version of ACOLITE will have this as an option.
  • Output files will be in c:\mapdata\acolite, with a directory for each run of the program. The name has the base name for the satellite image, which includes date, location, and sensor, and the subset extent. You can sort by the creation time to find the most recent one.
  • Sentinenel-2 Levels
    • Level-1C processing includes radiometric and geometric corrections including ortho-rectification and spatial registration on a global reference system with sub-pixel accuracy. This is what you download.
    • The Level-2A processing includes a scene classification and an atmospheric correction applied to Top-Of-Atmosphere (TOA) Level-1C orthoimage products. Level-2A main output is an orthoimage Bottom-Of-Atmosphere (BOA) corrected reflectance product. This is what ACOLITE is producing.
  • Reflectance files.. These will all be at 10 m resolution (unless you have specfied another resolution), so the files will be huge
    • rhot files from top of atmosphere reflectance
    • rhos files from earth surface reflectance
  • Output files named for the wavelength, rather than the band (Table 1)
  • To reopen the L2W parameter maps later, open them as a DEM/grid

Table 1. Sentinel-2 bands used by ACOLITE (some wavelengths differ slighlty from other sources)

Sentinel-2 Bands | Central Wavelength (nm) | Central Wavelength (µm) | Resolution (m)
Band 1 - Coastal aerosol | 443 | 0.443 | 60
Band 2 - Blue | 492 | 0.492 | 10
Band 3 - Green | 560 | 0.56 | 10
Band 4 - Red | 665 | 0.665 | 10
Band 5 - Vegetation Red Edge | 704 | 0.704 | 20
Band 6 - Vegetation Red Edge | 740 | 0.74 | 20
Band 7 - Vegetation Red Edge | 783 | 0.783 | 20
Band 8 - NIR | 833 | 0.833 | 10
Band 8A - NIR | 865 | 0.865 | 20
Band 9 - Water vapour | 945 | 0.945 | 60
Band 10 - SWIR - Cirrus | 1373 | 1.373 | 60
Band 11 - SWIR | 1614 | 1.614 | 20
Band 12 - SWIR | 2202 | 2.202 | 20

ACOLITE Errors and Likely causes

  • Key error: 'B1': you deleted the JP2 files. If they are not backed up in the the recycle bin, you will have to redownload.
  • Ignore these errors:
    • PROJ: utm: Invalid latitude
    • RuntimeWarning: mean of empty slice

Debugging ACOLITE

  • Output goes in the folder listed above
  • There is a log named "acolite_run_20211108_150946_log_file.txt"which will record the run
  • Check that to see what problems are recorded

last revised 10/25/2021


Band Spectral Response

Each band of a satellite has a spectral response curve. While we often state that the band has a width in micons and think of it as a boxcar filter (the sensor ignores all wavelengths outside the band, and collects all energy within the band), the true response has a region with almost all energy collected, and shoulders on either side where the response trails off to zero.

Last revision 9/4/2020


Definition of Remote Sensing

  • USGS: Remote sensing is the process of detecting and monitoring the physical characteristics of an area by measuring its reflected and emitted radiation at a distance (typically from satellite or aircraft). Special cameras collect remotely sensed images, which help researchers "sense" things about the Earth.
  • NOAA: Remote sensors collect data by detecting the energy that is reflected from Earth. These sensors can be on satellites or mounted on aircraft.
    Remote sensors can be either passive or active. Passive sensors respond to external stimuli. They record natural energy that is reflected or emitted from the Earth's surface. The most common source of radiation detected by passive sensors is reflected sunlight.
    In contrast, active sensors use internal stimuli to collect data about Earth. For example, a laser-beam remote sensing system projects a laser onto the surface of Earth and measures the time that it takes for the laser to reflect back to its sensor.
  • NASA: Remote sensing is the acquiring of information from a distance. NASA observes the Earth and other planetary bodies via remote sensors on satellites and aircraft that detect and record reflected or emitted energy. Remote sensors, which provide a global perspective and a wealth of data about Earth systems, enable data-informed decision making based on the current and future state of our planet.

Last revision 5/19/2020


ICESat-2 elevation data

Due to very sparse coverage (relatively dense along track, but not between tracks), these will not work well as point clouds.
  • Download ICESat-2 ATL08 elevation data
    • Get data for tracks crossing the lake/reservoir, and all the dates available.
  • Convert CSV to DBF
    • Insure you have a map open
    • Merge nultiple CSV files from the database menu choice.
    • Open database to open Single file for later operations; insure you pick tghe DBF and not the CSV file.
  • From the DB tool bar: Stats, ICESast-2, ICESat-2 file cleanup. This should happen automatically.
    • Gets the geoid, and makes geoid heights for the ground and canopy top
    • Extracts the date from the FILE_NAME field
    • Reduces the "precision" to centimeter
    • Removes three unneeded fields in the database
    • If you cannot get the records to show up, close and then reopen the database
  • Plot, Color code by DB numeric field to see canopy height or the ground level on the map
  • Plot, field quick filter to rapidly find a single altimeter track. You can move among the track, date, and beam. This affects both the map display, and any profiles plotted.

To track the water levels

  • With satellite image as base map
    • Create an NDVI or NDWI map
  • With DEM as the base map. This requires that the DEM has been editted so that the lake has a single elevation; not all DEMs have this done.
    • Adjust the colors on the map to use the full range, so you can clearly see the flat lake
  • With the grid from the base map
    • Check the Edit checkbox on the databbase
    • Edit, DEM/grid, Add interpolated elevation from DEM/grid. Give it a meaningful name
    • Filter the database.
      • With the DEM, use the field you created, and pick a lower and upper bound just slightly different from the elevation of the lake in the DEM
      • With the satellite NDVI or NDWI, use the field you created, and pick a bound that differentiates the water from everything else
    • Adjust the filter until you have only points in the lake
    • Report, Export DBF Table which will have just the area of the lake and use this database for further operations
  • With any basemap. This will work well if you have a big lake and it's easy to get all you satellite tracks in a rectangle with no land.
    • Zoom to the area of the lake
    • Rectangular region on Map query. You want as large an area as possible to cover as any different tracks as possible, to get the largest number of days
    • Report:, Export DBF Table which will have just the area of the lake
  • Stats, ICESat-2, Lat profiles colors from date
    • There will be a popup legend with the dates and their colors
    • You can adjust the scaling on the graph by right clicking
ICESat-2 profiles in the reservoir on the Nile in Sudan. This was filtered using the reservoir elevations in the COP DEM.

Compared to the lake below, the reservoir is very narrow, and the water level changed dramatically over the period covered by ICESat-2.
ICESat-2 profiles on one of the Easst African Rift lakes.. This was not filtered, and many of the points are not in the lake. This uses the same vertical scale as the graph above.
ICESat-2 profiles on one of the Easst African Rift lakes.. This was not filtered, and many of the points are not in the lake. This uses the a vertical scale to highlight the returns from the lake surface.

Icesat File Problems

With some regularity, some of the ICESat-2 files have columns that do not align (probably when there is no canopy anywhere on the profile). To fix that:

  • Open the DBF that fails in Excel
  • Find the offending lines.
  • Cut and paste them to the right so they line up
  • Save as a CSV
  • Import into MICRODEN

Last revised 3/22/2022


Landsat Format and File Names

Landsat File Names

LXSS_LLLL_PPPRRR_YYYYMMDD_yyyymmdd_CC_TX

LC08_L1TP_015033_20220108_20220108_02_RT

LM01_L1TP_015033_19770526_20200907_02_T2

Name elements

  • Key groups
    • First group
      • L for landsat
      • Sensor: “C”=OLI/TIRS combined, “O”=OLI-only, “T”=TIRS-only, “E”=ETM+, “T”=“TM, “M”=MSS
      • Two digits for landsat number
    • Fourth group, date image acquired
  • Secondary group
    • Third group, path/row which shows where the image was located. In particular you can quickly see if scenes cover the same area
  • Other groups
  • Second group, Landset processing correction levels
    • Level 1, L1TP/L1GT/L1GS
      • Precision and Terrain Correction (L1TP)--attempted for all scences
      • Systematic Terrain Correction (L1GT)--if L1TP fails
      • Systematic Correction (L1GS)--if L1GT fails
      • Level-1 data are delivered as Digital Numbers (DN) in an unsigned 16-bit integer format and can be converted to Top of Atmosphere (TOA) reflectance or radiance using the radiometric scaling factors provided in each scene metadata file.
      • https://www.usgs.gov/core-science-systems/nli/landsat/landsat-collection-2-level-1-data?qt-science_support_page_related_con=1#qt-science_support_page_related_con
    • Level 2
      • surface reflectance and surface temperature.
      • https://www.usgs.gov/core-science-systems/nli/landsat/landsat-collection-2-level-2-science-products
    • Two characters:
      • SP, science pagkage, both surface reflectance (SR) and surface termperature (ST)
  • Fifth group--date image processed or reprocessed
  • Sixth group, collection number
    • 1: older format
    • 2: reprocesing, will be the only option starting in 2022
      • https://prd-wret.s3.us-west-2.amazonaws.com/assets/palladium/production/atoms/files/Landsat-C1vsC2-2021-0430-LMWS.pdf
      • No more Collection 1 processing after Dec 2021, and no more availability after Dec 2022
      • Should not mix Collection 1 and Collection 2 in same workflow
      • The Landsat Collection 2 U.S. Analysis Ready Data (ARD) product contains Top of Atmosphere (TOA) reflectance, TOA Brightness Temperature (BT), Surface Reflectance (SR), Surface Temperature (ST), and Quality Assessment (QA) data. It uses 150 km tiles, with only the points collected that day. Albers projection
  • Seventh group, Landsat Tiers or collection category--designated by the last two digits in the name
    • RT--newly acquired
    • T1--highest quality data after processing and analysis
    • T2--lower quality data after processing and analysis

MICRODEM relies on the file naming convention from USGS. It may still deal an older variant, but not the LANDSAT 8 SURFACE REFLECTANCE CODE (LASRC) PRODUCT.

Last revision 2/22/2022


Landsat MSS

Landsat MSS (Multi Spectral Scanner)

Landsat Multispectral Scanner (MSS)
Landsat MSS 1, 2, 3 Spectral Bands | Landsat MSS 4, 5 Spectral Bands | Wavelength | Useful for mapping
 |  |  | None of the MSS sensors had a blue band, so they cannot supply true color Bands 1-3 on the early Landsats were the RBV blue/gree/red, but those were rarely used
Band 4 - green | Band 1 - green | 0.5-0.6 | Sediment-laden water, delineates areas of shallow water
Band 5 - red | Band 2 - red | 0.6-0.7 | Cultural features
Band 6 - Near Infrared | Band 3 - Near Infrared | 0.7-0.8 | Vegetation boundary between land and water, and landforms
Band 7 - Near Infrared | Band 4 - Near Infrared | 0.8-1.1 | Penetrates atmospheric haze best, emphasizes vegetation, boundary between land and water, and landforms
Band 8 - Thermal infrared |  | 10.4-12.6 | Landsat 3 only

Last revision 1/16/2022


Landsat versus Sentinel-2

Landsat versus Sentinel-2 Comparison

 | Landsat 5 and 7 | Landsat 8 and Landsat 9 | Sentinel-2
Bands: Tradeoffs and comparison | 7 | 8 | 13 (3 red edge bands have some vegetation, and chlorphyl in the ocean, applications)
Thermal bands | 1 | 2 (band 10 generally better) | none
Swath width | 185 km | 185 km | 290 km
Inclination (angle orbit crosses equator) |  | 98.22 | 98.56
Best spatial resolution | 15 m pan (7 only), 30 m MSI | 15 m pan, 30 m MSI | 10 m for 4 bands
Revisit time |  | 16 days for each satellite; 8 days with both satellites active | 10 days per satellite, 5 days for the constellation with 2 satellites
Coverage limits |  | 81.8 S to 81.8N | systematic coverage: 56S to 84 N on request to 84S
Recorded data: | 8 bit DN | 16 bit DN, which can be linearly scaled to TOA radiance or reflectance using constants in metadata | 16 bit DN, which can be converted to TOA reflectance by dividing by 10000

Sentinel-2 scenes come in 100 km tiles, named for the UTM 100k squares which have a two letter designation in the MGRS system. Since the swath width of the sensor is 290 km, each day's pass will be in multliple (3-4) tiles. The two images here show scenes before and after fires in southern Australia. On the scene to the left, post fire, the western part of the tile was not imaged in this orbit. The earlier image, before the fires, completely covered this tile

For Landsat, each pass of the satellite (call a path) is broken in rows which are approximately square but rotated by the inclination of the orbit.

For both systems, the compressed files for each scene are arbout 1GB, and decompress to about 2 GB.

Last revision 2/13/2022


Landsat Thermal Computations

Landsat 8 and 9 measure the TOA radiance in the two thermal bands. Band 10 is generally better.

Landsat DN computations--radiance, reflectance, brightness temperature

After converting the DN to radiance, the TB (brightness temperature) can be computed:

  • TB = K2 / ln(K1/Lλ + 1)
    • TB = Top of atmosphere brightness temperature (K)
    • Lλ = TOA spectral radiance (Watts/( m2 * srad * μm))
    • K1 = Band-specific thermal conversion constant from the metadata (K1_CONSTANT_BAND_x, where x is the thermal band number)
    • K2 = Band-specific thermal conversion constant from the metadata (K2_CONSTANT_BAND_x, where x is the thermal band number)

If the emissivity is known or can be assumed, the TLS (temperature land surface) can be computed:

  • TLS = TB / ( 1 + lambda * 1e-6 * TB / 1.4388e-2 * ln(Emissivity))
    • lambda is the wavelength at the center of the band in nm
    • 1e-6 converts to m
    • TB is the brightness temperature
    • The constant combines Planck's constant, the Boltzmann constant, and the speed of light (basic physics)
    • This comes from the Stefan-Boltzmann law

The Landsat thermal bands have an actual spatial resolution of 100 m, but they are reported at 30 m resolution to match the other bands. They are interpolated, which causes the obvious generalization and lack of detail. At the observational scale, the earth will not resemble the pristine materials measured in the lab (Table 1). Rocks will be weathered and partially covered by vegetation, so on the scale seen by Landsat they will have much larger emissivities (Tables 2 and 3).

Table 1. Laboratory measurements of emissivity (Engineering Toolbox)

Surface Material | Emissivity
Basalt | 0.72
Granite | 0.45
Ice rough | 0.985
Limestone | 0.92
Sand | 0.76
Sandstone | 0.59
Soil | 0.93
Water | 0.96

Table 2. Emissivity values of various land cover types (from Mallick, et al. 2012).
Land surface | Emissivity e
Soil | 0.928
Grass | 0.982
Asphalt | 0.942
Concrete | 0.937

Table 3. In site vegetation emissivities (Sobrino and others, 2002, JGR Atmospheres)
Land surface | Emissivity
Corn | 0.974
Alfalfa | 0.996
Bare soil | 0.966
Barley | 0.970
Water | 0.987

Konda, M., Imasato, N., Nishi, K. et al. Measurement of the sea surface emissivity. J Oceanogr 50, 17–30 (1994). https://doi.org/10.1007/BF02233853

 Ocean emissivity: 0.984 ± 0.004 is a reliable emissivity value from the night time data.

Xiangqian Wu and William L. Smith, "Emissivity of rough sea surface for 8–13 µm: modeling and verification," Appl. Opt. 2609-2619 (1997)

Volcanic rocks (effects temperature, wavelength, and rock compositionP

  • https://www.hou.usra.edu/meetings/lpsc2020/pdf/1158.pdf
  • https://presentations.copernicus.org/EGU21/EGU21-714_presentation.pdf

Create derivative thermal grids for Landsat

Remote sensing right click on map, includes band values at point

Last revision 11/4/2021


Remote Sensing Labs

Spectral library

Annapolis Lidar sampler (same slow, 8 GB download as the Annapolis data sampler the first time run)

Eureka Valley

GERD

Last revision 1/26/2023


Weather Satellite Bands

GOES

https://www.goes-r.gov/spacesegment/ABI-tech-summary.html

TABLE I. Summary of the wavelength, resolution, and sample use and heritage instrument(s) of the ABI bands. The minimum and maximum wavelength range represent the full width at half maximum (FWHM or 50%) points. [The Instantaneous Geometric Field Of View (IGFOV).]
ABI Band | Central Wavelength(µm) | Type | Nickname | Best Spatial Resolution (km)
1 | 0.47 | Visible | Blue | 1
2 | 0.64 | Visible | Red | 0.5
3 | 0.86 | Near-Infrared | Veggie | 1
4 | 1.37 | Near-Infrared | Cirrus | 2
5 | 1.6 | Near-Infrared | Snow/Ice | 1
6 | 2.2 | Near-Infrared | Cloud particle size | 2
7 | 3.9 | Infrared | Shortwave window | 2
8 | 6.2 | Infrared | Upper-level water vapor | 2
9 | 6.9 | Infrared | Midlevel water vapor | 2
10 | 7.3 | Infrared | Lower-level water vapor | 2
11 | 8.4 | Infrared | Cloud-top phase | 2
12 | 9.6 | Infrared | Ozone | 2
13 | 10.3 | Infrared | "Clean" longwave window | 2
14 | 11.2 | Infrared | Longwave window | 2
15 | 12.3 | Infrared | "Dirty" longwave window | 2
16 | 13.3 | Infrared | CO2 longwave | 2
Schmit, T. J., S. S. Lindstrom, J. J. Gerth, M. M. Gunshor, 2018. Applications of the 16 spectral bands on the Advanced Baseline Imager (ABI) J. Operational Meteor., 6 (4), 33-46.

MODIS

https://modis.gsfc.nasa.gov/about/specifications.php

Primary Use | Band | Reflected bandwidth (nm)1 | Spectral Radiance (W/m2 -µm-sr) 2 | Required SNR3
Land/Cloud/Aerosols Boundaries | 1 | 620 - 670 | 21.8 | 128
 | 2 | 841 - 876 | 24.7 | 201
Land/Cloud/Aerosols Properties | 3 | 459 - 479 | 35.3 | 243
 | 4 | 545 - 565 | 29.0 | 228
 | 5 | 1230 - 1250 | 5.4 | 74
 | 6 | 1628 - 1652 | 7.3 | 275
 | 7 | 2105 - 2155 | 1.0 | 110
Ocean Color/ Phytoplankton/ Biogeochemistry | 8 | 405 - 420 | 44.9 | 880
 | 9 | 438 - 448 | 41.9 | 838
 | 10 | 483 - 493 | 32.1 | 802
 | 11 | 526 - 536 | 27.9 | 754
 | 12 | 546 - 556 | 21.0 | 750
 | 13 | 662 - 672 | 9.5 | 910
 | 14 | 673 - 683 | 8.7 | 1087
 | 15 | 743 - 753 | 10.2 | 586
 | 16 | 862 - 877 | 6.2 | 516
Atmospheric Water Vapor | 17 | 890 - 920 | 10.0 | 167
 | 18 | 931 - 941 | 3.6 | 57
 | 19 | 915 - 965 | 15.0 | 250
Primary Use | Band | Emmitted bandwidth (µm)1 | Spectral Radiance (W/m2 -µm-sr) 2 | Required NE[Δ]T(K)4
Surface/Cloud Temperature | 20 | 3.660 - 3.840 | 0.45(300K) | 0.05
 | 21 | 3.929 - 3.989 | 2.38(335K) | 2.00
 | 22 | 3.929 - 3.989 | 0.67(300K) | 0.07
 | 23 | 4.020 - 4.080 | 0.79(300K) | 0.07
Atmospheric Temperature | 24 | 4.433 - 4.498 | 0.17(250K) | 0.25
 | 25 | 4.482 - 4.549 | 0.59(275K) | 0.25
Cirrus Clouds Water Vapor | 26 | 1.360 - 1.390 (reflected) | 6.00 | 150(SNR)
 | 27 | 6.535 - 6.895 | 1.16(240K) | 0.25
 | 28 | 7.175 - 7.475 | 2.18(250K) | 0.25
Cloud Properties | 29 | 8.400 - 8.700 | 9.58(300K) | 0.05
Ozone | 30 | 9.580 - 9.880 | 3.69(250K) | 0.25
Surface/Cloud Temperature | 31 | 10.780 - 11.280 | 9.55(300K) | 0.05
 | 32 | 11.770 - 12.270 | 8.94(300K) | 0.05
Cloud Top Altitude | 33 | 13.185 - 13.485 | 4.52(260K) | 0.25
 | 34 | 13.485 - 13.785 | 3.76(250K) | 0.25
 | 35 | 13.785 - 14.085 | 3.11(240K) | 0.25
 | 36 | 14.085 - 14.385 | 2.08(220K) | 0.35

1 Bands 1 to 19 are in nm; Bands 20 to 36 are in µm
2 Spectral Radiance values are (W/m2 -µm-sr)
3 SNR = Signal-to-noise ratio
4 NE(Δ)T = Noise-equivalent temperature difference

Orbit: 705 km, 10:30 a.m. descending node (Terra) or 1:30 p.m. ascending node (Aqua), sun-synchronous, near-polar, circular

Scan Rate: 20.3 rpm, cross track

Swath Dimensions: 2330 km (cross track) by 10 km (along track at nadir)

Telescope: 17.78 cm diam. off-axis, afocal (collimated), with intermediate field stop

Size: 1.0 x 1.6 x 1.0 m

Weight: 228.7 kg

Power: 162.5 W (single orbit average)

Data Rate: 10.6 Mbps (peak daytime); 6.1 Mbps (orbital average)

Quantization: 12 bits

Spatial Resolution: 250 m (bands 1-2), 500 m (bands 3-7), 1000 m (bands 8-36) Design Life: 6 years (but they launched in 1999 and 2002 and are still going)

Getting data:

  • https://modis.gsfc.nasa.gov/tools/

  • https://modis.ornl.gov/data.html

  • https://nsidc.org/data/modis/tools.html

VIIRS (NOAA's newest polar orbiter)

  • 16 are moderate resolution bands (M-bands) which have a spatial resolution of 750 m at nadir
  • 5 bands are imaging resolution bands (I-bands), which have a spatial resolution of 375 m at nadir
  • 1 one day/night panchromatic band with a spatial resolution of 750m.
Band number | Spectral range (µm) | Primary uses
M1 | 0.402-0.422 | Ocean Color Aerosols
M2 | 0.436-0.454 | Ocean Color Aerosols
M3 | 0.478-0.498 | Ocean Color Aerosols
M4 | 0.545-0.565 | Ocean Color Aerosols
I1 | 0.600-0.680 | Imagery
M5 | 0.662-0.682 | Ocean Color Aerosols
M6 | 0.739-0.754 | Atmospheric Correction
I2 | 0.846-0.885 | NDVI
M7 | 0.846-0.885 | Ocean Color Aerosols
M8 | 1.230-1.25 | Cloud Particle Size
M9 | 1.371-1.386 | Cirrus/Cloud Cover
I3 | 1.580-1.640 | Binary Snow Map
M10 | 1.580-1.640 | Snow Fraction
M11 | 2.225-2.275 | Clouds
I4 | 3.550-3.930 | Cloud Imagery
M12 | 3.660-3.840 | Sea surface temperature (SST)
M13 | 3.973-4.128 | SST Fires
M14 | 8.400-8.700 | Cloud Top Properties
M15 | 10.263-11.263 | SST
I5 | 10.500-12.400 | Cloud Imagery
M16 | 11.538-12.488 | SST


World View 3

To recognize the data in MICRODEM, the path must include the appropriate recognition string

  • WV3-MS
  • WV3-SWIR

You should select the satellite imagery with the folder option.

Spectral range | Band name | Wavelength (nm) | GSD Nadir (m) | GSD 20 degree off (m)
Panchromatic band (1) | Pan | 450 - 800 | 0.31 | 0.34
MS (Multispectral) bands (8) | Coastal Blue | 400 - 450 | 1.24 | 1.38
 | Blue | 450 - 510 |  |
 | Green | 510 - 580 |  |
 | Yellow | 585 - 625 |  |
 | Red | 630 - 690 |  |
 | Red edge | 705 - 745 |  |
 | Near-IR1 | 770 - 895 |  |
 | Near-IR2 | 860 - 1040 |  |
Multiband (8 bands) in SWIR | SWIR-1 | 1195 - 1225 | 3.7 | 4.1
 | SWIR-2 | 1550 - 1590 |  |
 | SWIR-3 | 1640 - 1680 |  |
 | SWIR-4 | 1710 - 1750 |  |
 | SWIR-5 | 2145 - 2185 |  |
 | SWIR-6 | 2185 - 2225 |  |
 | SWIR-7 | 2235 - 2285 |  |
 | SWIR-8 | 2295 - 2365 |  |

The SWIR bands of World View 3 can be used for geologic classification https://www.l3harrisgeospatial.com/Learn/Blogs/Blog-Details/ArtMID/10198/ArticleID/15532/Exploiting-the-New-SWIR-Bands-of-WV-3

https://earth.esa.int/eogateway/missions/worldview-3

Last revision 1/25/2022


Slope algorithm arc second DEMs

Slope Algorithms for Arc-Second Digital Elevation Models

There is a paper in Transactions in GIS (Guth & Kane, 2021) that covers this.

Strobl and others (2021) list software that can correctly do this, including MICRODEM

Peter L. Guth

Department of Oceanography

U.S. Naval Academy

Annapolis MD 21402

Slope and aspect computations provide one of the most useful derivative products from digital elevation models (DEMs). Slope and aspect affect mobility and insolation, so users in fields as diverse as the military and ecology care about the results. At least a half dozen distinctly different slope algorithms exist, and a host of studies (e.g. Carter, 1992; Florinsky, 1998; Guth, 1995; Hodgson, 1998; Jones, 1998; Zhou and Liu, 2004a, 2004b; and countless other more recently) have looked at slope algorithms and the effects of data resolution and precision on the computed results. However, except for brief mentions in Guth (1995, p.32; 2009, p.352; 2010), the published discussions implicitly assume a rectangular UTM or UTM-like grid for the DEM because they refer to a single value for data spacing. This paper will explore the implications of that assumption, and its importance when the best medium resolution DEMs (10-100 m post spacing) all use arc-second spacing.

Three common DEMs use geographic coordinates: the U.S Geological Survey’s National Elevation Dataset (USGS NED, Gesch and others, 2002); the National Geospatial-Intelligence Agency’s Digital Terrain Elevation Data (NGA DTED, National Imagery and Mapping Agency, 2000), and the Shuttle Radar Topography Mission (SRTM, Slater and others, 2006). These data sets have horizontal spacing from 30” (DTED-0 and SRTM-30) to 1/9” (limited quantities of NED). Much of this data is freely available on the WWW: 30” and 3” (SRTM) for the entire world, and 1” data for the United States (both SRTM and NED). Free means both easy to obtain and without cost. Because of its ready availability, these DEMs have seen widespread usage world-wide.

All of the global DEMs at 1-3 arc second spacing use geographic coordinates: SRTM (Slater and others, 2006), ASTER, ALOS, TandemX, ASTER, as do many of the USGS 3DEP data (formerly USGS NED, Gesch and others, 2002) and the the National Geospatial-Intelligence Agency’s Digital Terrain Elevation Data (NGA DTED, National Imagery and Mapping Agency, 2000). Much of this data is freely available on the WWW for the entire world. Free means both easy to obtain and without cost. Because of its ready availability, these DEMs have seen widespread usage world-wide.

The traditional approach, typified by a comment about GDAL: "The gdaldem generally assumes that x, y and z units are identical. If x (east-west) and y (north-south) units are identical, but z (elevation) units are different, the scale (-s) option can be used to set the ratio of vertical units to horizontal. For LatLong projections near the equator, where units of latitude and units of longitude are similar, elevation (z) units can be converted to be compatible by using scale=370400 (if elevation is in feet) or scale=111120 (if elevation is in meters). For locations not near the equator, it would be best to reproject your grid using gdalwarp before using gdaldem." (https://gdal.org/programs/gdaldem.html ) ArcGIS long used the same approach (https://desktop.arcgis.com/en/arcmap/10.3/tools/spatial-analyst-toolbox/applying-a-z-factor.htm), but now has a geodetic option that produces correct results. If there were no alternative, accepting the changes in the grid brought about by resampling could be justified. Howerver, if the grid could be used in its native form, that should produce a better result.

Geodetic formulas (Vincenty, 1975) can be used to compute spacing of DEMs with coordinates in latitude and longitude.

Fig. Spacing in meters for a 1” DEM as a function of latitude.

Fig. Percent difference in E-W data spacing from the top to the bottom of a 1º cell of a lat/long DEM.

Fig. Maximum error in the value of the slope computed using a constant E-W data spacing equal to the value in the center of a DEM, for a DEM centered near 55º N

Guth (2010) proposed 5 ways to deal with calculating slope and aspect for arc second DEM

  1. Reproject the DEM to a projected cartesian system, such as UTM. This changes the DEM and cannot improve it, and there is no reason to accept the need for reprojection.

  2. Using a single conversion factor to relate degrees to meters, and ignore the differences between the x and y spacings. This only works very close to the equator. A number of GIS programs in 2020 still offer only this option, and suggest the reprojection option otherwise (or always, since the equator is a rare place to be using a DEM).

  3. Assume the DEM has a rectangular framework, with constant spacing throughout the DEM but a different x and y spacing. This works for small areas, not at high latitude where the x spacing changes rapidly (see figure above)

  4. Assume the DEM has a trapezoidal framework (quasi-rectangular), with constant y spacing throughout the DEM but an x spacing that varies with latitude. This is the optimal solution, and has little performance penalty. When the DEM is opened, the software computes the x spacing at every row of the DEM grid, using geodetic formulae like Vincenty (1975).

  5. Assume the DEM has a trapezoidal framework, with variable x and y spacing that varies with latitude. This is overkill, as the y spacing changes very little.

Preferred Slope algorithm pseudo-code

Variables for arc second DEMs. These are calculated when opening the DEM, along with the projection and datum initialization.

  • AverageYSpace: computed once for a DEM, and differences can be ignored. It is the average of the y spacing at the top and bottom of the DEM
  • AverageXSpace: computed once for a DEM, and for a small area, differences can be ignored. The larger the area, and the higher the latitude, the greater the errors in using this approximation. If you want to go this way, replace UseXSpace in the formulas below;
  • UseXSpace: the spacing for each row of the DEM is computed and stored when the DEM is opened, and all computations use the value for the row where the computation is done. There is no significant performance penalty.

Slope := sqrt(sqr(dzdx) + sqr(dzdy));

GetAspect(dzdx,dzdy) uses an ATAN2 function, and adjusting for geographic compass convention that 0 is north and values increase clockwise (math convention 0 is east, and values increase counterclockwise)

Preferred Slope algorithm pseudo-code for dzdx and dzdy

EightNeighborsUnweighted (Evans; 3FD, Heerdegen and Beran, 1982; Sharpnack and Akin, 1969; Horn, 1981; Wood, 1996 (PhD))

dzdx := (zne + ze + zse - zsw - zw - znw) / 6 / UseXSpace; (variable, function of the latitude; compute and store when opening DEM)

dzdy := (znw + zn + zne - zsw - zs - zse) / 6 / AverageYSpace;

Other algorithms pseudo-code for dzdx and dzdy

FourNeighbors (2FD, Fleming and Hoffer, 1979 (Purdue Laboratory technical report cited in Zhou and Liu, 2004); Zevenbergen and Thorne, 1987; Ritter, 1987)

dzdy := (zn - zs) * 0.5 / AverageYSpace;

dzdx := (ze - zw) * 0.5 / UseXSpace;

EightNeighborsWeighted (3FDWRSD, Horn 1981 method)

dzdy := 0.125 * ((znw + 2 * zn + zne) - (zsw + 2 * zs + zse)) / AverageYSpace;

dzdx := 0.125 * ((zne + 2 * ze + zse) - (znw + 2 * zw + zsw)) / UseXSpace;

EightNeighborsWeightedByDistance (3FDWRD, Third-order Finite Difference Weighted by Reciprocal of Distance; Unwin, 1981)

dzdy := 1 / (4 + 2 * Ö2) * ((znw + Ö2*zn + zne) - (zsw + Ö2*zs + zse)) / AverageYSpace;

dzdx := 1 / (4 + 2 *Ö2) * ((zne + Ö2*ze + zse) - (znw + Ö2*zw + zsw)) / UseXSpace;

FrameFiniteDifference (FFD, Chu and Tsai 1995 Conference Proceedings cited in Zhou and Liu, 2004)

dzdy := (znw - zsw + zne - zse) * 0.25 / AverageYSpace;

dzdx := (zse - zsw + zne - znw) * 0.25 / UseXSpace;

SimpleDifference (SIMPLE-D, Jones 1998)

dzdy := (z - zs) * 0.5 / AverageYSpace;

dzdx := (z - zw) * 0.5 / UseXSpace;

Jones (1998) proposed a “diagonal Ritters” method that uses the four diagonal neighbors to the NE, SE, SW, and NW. While this readily adapts to a square grid, for a rectangular grid the two partial derivatives will not be perpendicular. Because this algorithm provides no significant advantages, I will not try to adapt it for a geographic grid.

DISCUSSION

Comparing the results of the geographic algorithm with a UTM algorithm is not simple, for several reasons:

  1. Reinterpolation produces grid nodes at different locations, so you cannot compare results of the two DEMs since they compute slope at different locations.
  2. Reinterpolation produces a grid with a different number of grid nodes.
  3. Most reinterpolation algorithms probably smooth the original DEM, so the overall statistics may be different.

We looked at the slope distributions for 4 versions of the Westgard Pass, California quadrangle: two SDTS DEMs with 10 m and 30 m spacing, and two NED DEMs with 1/3” and 1” spacing. The reinterpolation for these DEMs was done by USGS, which uses the SDTS DEMs as the source for NED. The 10 m and 1/3” show slightly steeper slopes, as expected for a DEM with smaller spacing, and generally agree with each other. Likewise the 30 m and 1” DEMs generally agree with each other. In both pairs at comparable scales, the distributions differ.

Figure. Slopes for the Westgard Pass, California 7.5’ quadrangle

Table. Westgard Pass CA 7.5m quad Slope method: 8 neighbors (even)

 | NED 1/3 sec | SDTS 10 m | NED 1 sec | SDTS 30 m
Max slope | 231.62% (66.6°) | 233.33% (66.8°) | 157.64% (57.6°) | 154.32% (57.1°)
Average slope | 39.19% (21.4°) | 39.24% (21.4°) | 37.09% (20.3°) | 36.79% (20.2°)
Slope standard deviation | 20.64 | 20.62 | 19.12 | 18.98

References Cited

Carter, J.R., 1992, The effect of data precision on the calculation of slope and aspect using gridded DEMs: Cartographica, vol.29, no.1, pp.22-34.

Florinsky, I.V., 1998, Accuracy of local topographic variables derived from digital elevation models: International Journal of Geogaphical Information Science, vol.12, no.1, p.47-61.

Gesch, D.B., Oimoen, M., Greenlee, S., Nelson, C., Steuck, M., and Tyler, D., 2002. The national elevation dataset: Photogrammetric Engineering & Remote Sensing, 68(1):5-11.

Guth, P.L., 1995, Slope and aspect calculations on gridded digital elevation models: Examples from a geomorphometric toolbox for personal computers: Zeitschrift fur Geomorphologie N.F. Supplementband 101, pp.31-52.

Guth, P.L., 2009, Geomorphometry in MICRODEM, In Hengl, T., and Reuter, H.I. (eds), Geomorphometry: concepts, software, applications. Developments in Soil Science Series, Elsevier, ISBN-13: 978-0-12-374345-9, p.351-366.

Guth, P.L., 2010, Slope, Reflectance, and Viewshed Algorithms for Arc-Second Digital Elevation Models: ASPRS 2010 Conference, San Diego, CA, April 26-30, 2010, 11 page paper on Conference CD-ROM.

Guth, P., & Kane, M. (2021). Slope, aspect, and hillshade algorithms for non-square digital elevation models. Transactions in GIS, 25, 2309– 2332. https://doi.org/10.1111/tgis.12852 Paper as submitted in April 2021

Hodgson, M.E., 1995, What cell size does the computed slope/aspect angle represent?: Photogrammetic Engineering & Remote Sensing, vol.61, no.5, pp.513-517.

Hodgson, M.E., 1998, Comparison of angles from surface slope/aspect algorithms: Cartography and Geographic Information Systems, vol.25, no.3, p.173-185.

Jones, K.H., 1998, A comparison of algorithms used to compute hill slope as a property of the DEM: Computers & Geosciences, vol.24, no.4, p.315-324.

National Imagery and Mapping Agency, 2000, Performance specification digital terrain elevation data (DTED): MIL-PRF-89020B, 45 p. Available online at http://www.nga.mil/ast/fm/acq/89020B.pdf.

Slater, J.A., Garvey, G., Johnston, C., Haase, J., Heady, B., Kroenung, G., and Little, J., 2006, The SRTM data “finishing” process and Products: Photogrammetric Engineering & Remote Sensing, 72, 237-247.

Strobl, P. A., Bielski, C., Guth, P. L., Grohmann, C. H., Muller, J.-P., López-Vázquez, C., Gesch, D. B., Amatulli, G., Riazanoff, S., and Carabajal, C.: 2021 THE DIGITAL ELEVATION MODEL INTERCOMPARISON EXPERIMENT DEMIX, A COMMUNITY-BASED APPROACH AT GLOBAL DEM BENCHMARKING, Int. Arch. Photogramm. Remote Sens. Spatial Inf. Sci., XLIII-B4-2021, 395–400, https://doi.org/10.5194/isprs-archives-XLIII-B4-2021-395-2021

Verdin, K.L., Godt, J.W., Funk, C., Pedreros, D., Worstell, B., Verdin, J., 2007, Development of a global slope dataset for estimation of landslide occurrence resulting from earthquakes: U.S. Geological Survey, Open-File Report 2007-1188, 25 p.

Vincenty, T. 1975. Direct and inverse solutions of geodesics on the ellipsoid with application of nested equations. Survey Review. 23(176):88-93.

Zhou, Q., and Liu, X., 2004, Analysis of errors of derived slope and aspect related to DEM data properties: Computers & Geosciences, vol.30, no.4, p.369-378.

Zhou, Q., and Liu, X., 2004, Error analysis on grid-based slope and aspect algorithms: Photogrammetic Engineering & Remote Sensing, vol.70, no.8, p.957-962.

Last revised 1/15/2022